#include <knewstuff2_includes.h>

#include <smoke.h>
#include <knewstuff2_smoke.h>

namespace __smokeknewstuff2 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QDataStream
      switch(to) {
        case 6: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 7:   //QDate
      switch(to) {
        case 7: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 8:   //QDateTime
      switch(to) {
        case 8: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 10:   //QHashDummyValue
      switch(to) {
        case 10: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 11:   //QIncompatibleFlag
      switch(to) {
        case 11: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 12:   //QLatin1String
      switch(to) {
        case 12: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 13:   //QObject
      switch(to) {
        case 13: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 14:   //QRegExp
      switch(to) {
        case 14: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 15:   //QString::Null
      switch(to) {
        case 15: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 16:   //QStringRef
      switch(to) {
        case 16: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 17:   //QTime
      switch(to) {
        case 17: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 18:   //QUrl
      switch(to) {
        case 18: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 19:   //QVariant
      switch(to) {
        case 19: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 20:   //QVariantComparisonHelper
      switch(to) {
        case 20: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//6
    { "QDate", true, 0, 0, 0, 0, 0 },	//7
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//8
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//9
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//10
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//11
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//12
    { "QObject", true, 0, 0, 0, 0, 0 },	//13
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//14
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//15
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//16
    { "QTime", true, 0, 0, 0, 0, 0 },	//17
    { "QUrl", true, 0, 0, 0, 0, 0 },	//18
    { "QVariant", true, 0, 0, 0, 0, 0 },	//19
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//20
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//8
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//10
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDataStream&", 6, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDate&", 7, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDateTime&", 8, Smoke::t_class|Smoke::tf_ref },	//14
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//15
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//16
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//17
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//18
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//19
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//20
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//21
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//28
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//29
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//30
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//31
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "QIncompatibleFlag", 11, Smoke::t_class|Smoke::tf_stack },	//40
    { "QRegExp&", 14, Smoke::t_class|Smoke::tf_ref },	//41
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//43
    { "QString::Null", 15, Smoke::t_class|Smoke::tf_stack },	//44
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//47
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//48
    { "QTime&", 17, Smoke::t_class|Smoke::tf_ref },	//49
    { "QUrl&", 18, Smoke::t_class|Smoke::tf_ref },	//50
    { "QUrl::FormattingOption", 18, Smoke::t_enum|Smoke::tf_stack },	//51
    { "QVariant&", 19, Smoke::t_class|Smoke::tf_ref },	//52
    { "QVariant::Type&", 19, Smoke::t_enum|Smoke::tf_ref },	//53
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QtMsgType", 9, Smoke::t_enum|Smoke::tf_stack },	//125
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//126
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//127
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//128
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//129
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//130
    { "const QDate&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//131
    { "const QDateTime&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//132
    { "const QHashDummyValue&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//133
    { "const QLatin1String&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//134
    { "const QObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//135
    { "const QRegExp&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//136
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//137
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//138
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//139
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//140
    { "const QStringRef&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//141
    { "const QTime&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//142
    { "const QUrl&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//143
    { "const QVariant&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//144
    { "const QVariant::Type", 19, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//145
    { "const QVariantComparisonHelper&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//146
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//147
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//148
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//149
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//150
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//151
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    4, 16, 0,	//1  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    12, 11, 0,	//4  QDataStream&, QChar&
    147, 134, 0,	//7  const char*, const QLatin1String&
    124, 149, 0,	//10  Qt::WindowType, int
    129, 147, 0,	//13  const QByteArray&, const char*
    147, 138, 0,	//16  const char*, const QString&
    89, 89, 0,	//19  Qt::ItemFlag, Qt::ItemFlag
    144, 146, 0,	//22  const QVariant&, const QVariantComparisonHelper&
    10, 138, 0,	//25  QChar, const QString&
    134, 134, 0,	//28  const QLatin1String&, const QLatin1String&
    141, 141, 0,	//31  const QStringRef&, const QStringRef&
    138, 141, 0,	//34  const QString&, const QStringRef&
    138, 10, 0,	//37  const QString&, QChar
    134, 141, 0,	//40  const QLatin1String&, const QStringRef&
    114, 114, 0,	//43  Qt::ToolBarArea, Qt::ToolBarArea
    141, 134, 0,	//46  const QStringRef&, const QLatin1String&
    12, 13, 0,	//49  QDataStream&, QDate&
    111, 149, 0,	//52  Qt::TextInteractionFlag, int
    10, 10, 0,	//55  QChar, QChar
    7, 19, 0,	//58  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    12, 50, 0,	//61  QDataStream&, QUrl&
    12, 145, 0,	//64  QDataStream&, const QVariant::Type
    12, 144, 0,	//67  QDataStream&, const QVariant&
    6, 18, 0,	//70  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    111, 34, 0,	//73  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    89, 29, 0,	//76  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    86, 28, 0,	//79  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    44, 44, 0,	//82  QString::Null, QString::Null
    147, 129, 0,	//85  const char*, const QByteArray&
    92, 30, 0,	//88  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    133, 133, 0,	//91  const QHashDummyValue&, const QHashDummyValue&
    3, 149, 0,	//94  KUrl::CleanPathOption, int
    129, 129, 0,	//97  const QByteArray&, const QByteArray&
    12, 138, 0,	//100  QDataStream&, const QString&
    75, 149, 0,	//103  Qt::DropAction, int
    95, 149, 0,	//106  Qt::MatchFlag, int
    111, 111, 0,	//109  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    45, 21, 0,	//112  QString::SectionFlag, QFlags<QString::SectionFlag>
    97, 97, 0,	//115  Qt::MouseButton, Qt::MouseButton
    75, 75, 0,	//118  Qt::DropAction, Qt::DropAction
    138, 44, 0,	//121  const QString&, QString::Null
    80, 26, 0,	//124  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    39, 39, 0,	//127  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    73, 24, 0,	//130  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    95, 31, 0,	//133  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    54, 149, 0,	//136  Qt::AlignmentFlag, int
    84, 149, 0,	//139  Qt::ImageConversionFlag, int
    5, 17, 0,	//142  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    4, 149, 0,	//145  KUrl::DirectoryOption, int
    8, 8, 0,	//148  QBool, QBool
    138, 127, 0,	//151  const QString&, char
    147, 141, 0,	//154  const char*, const QStringRef&
    44, 138, 0,	//157  QString::Null, const QString&
    6, 149, 0,	//160  KUrl::EqualsOption, int
    5, 149, 0,	//163  KUrl::EncodedPathAndQueryOption, int
    80, 80, 0,	//166  Qt::GestureFlag, Qt::GestureFlag
    12, 130, 0,	//169  QDataStream&, const QChar&
    54, 54, 0,	//172  Qt::AlignmentFlag, Qt::AlignmentFlag
    12, 129, 0,	//175  QDataStream&, const QByteArray&
    84, 84, 0,	//178  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    123, 149, 0,	//181  Qt::WindowState, int
    12, 43, 0,	//184  QDataStream&, QString&
    92, 92, 0,	//187  Qt::KeyboardModifier, Qt::KeyboardModifier
    126, 8, 0,	//190  bool, QBool
    12, 14, 0,	//193  QDataStream&, QDateTime&
    141, 138, 0,	//196  const QStringRef&, const QString&
    92, 149, 0,	//199  Qt::KeyboardModifier, int
    12, 132, 0,	//202  QDataStream&, const QDateTime&
    129, 138, 0,	//205  const QByteArray&, const QString&
    51, 51, 0,	//208  QUrl::FormattingOption, QUrl::FormattingOption
    73, 149, 0,	//211  Qt::DockWidgetArea, int
    12, 49, 0,	//214  QDataStream&, QTime&
    124, 124, 0,	//217  Qt::WindowType, Qt::WindowType
    124, 38, 0,	//220  Qt::WindowType, QFlags<Qt::WindowType>
    123, 123, 0,	//223  Qt::WindowState, Qt::WindowState
    12, 47, 0,	//226  QDataStream&, QStringList&
    12, 143, 0,	//229  QDataStream&, const QUrl&
    5, 5, 0,	//232  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    4, 4, 0,	//235  KUrl::DirectoryOption, KUrl::DirectoryOption
    12, 142, 0,	//238  QDataStream&, const QTime&
    12, 41, 0,	//241  QDataStream&, QRegExp&
    86, 149, 0,	//244  Qt::InputMethodHint, int
    138, 129, 0,	//247  const QString&, const QByteArray&
    51, 22, 0,	//250  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    129, 127, 0,	//253  const QByteArray&, char
    54, 23, 0,	//256  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    6, 6, 0,	//259  KUrl::EqualsOption, KUrl::EqualsOption
    7, 7, 0,	//262  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    39, 20, 0,	//265  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    80, 149, 0,	//268  Qt::GestureFlag, int
    12, 131, 0,	//271  QDataStream&, const QDate&
    127, 129, 0,	//274  char, const QByteArray&
    138, 147, 0,	//277  const QString&, const char*
    99, 99, 0,	//280  Qt::Orientation, Qt::Orientation
    138, 138, 0,	//283  const QString&, const QString&
    8, 126, 0,	//286  QBool, bool
    12, 139, 0,	//289  QDataStream&, const QStringList&
    12, 136, 0,	//292  QDataStream&, const QRegExp&
    141, 147, 0,	//295  const QStringRef&, const char*
    114, 35, 0,	//298  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    12, 52, 0,	//301  QDataStream&, QVariant&
    117, 36, 0,	//304  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    7, 149, 0,	//307  KUrl::QueryItemsOption, int
    117, 149, 0,	//310  Qt::TouchPointState, int
    97, 32, 0,	//313  Qt::MouseButton, QFlags<Qt::MouseButton>
    75, 25, 0,	//316  Qt::DropAction, QFlags<Qt::DropAction>
    99, 149, 0,	//319  Qt::Orientation, int
    12, 53, 0,	//322  QDataStream&, QVariant::Type&
    114, 149, 0,	//325  Qt::ToolBarArea, int
    12, 9, 0,	//328  QDataStream&, QByteArray&
    3, 15, 0,	//331  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    117, 117, 0,	//334  Qt::TouchPointState, Qt::TouchPointState
    84, 27, 0,	//337  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    123, 37, 0,	//340  Qt::WindowState, QFlags<Qt::WindowState>
    73, 73, 0,	//343  Qt::DockWidgetArea, Qt::DockWidgetArea
    51, 149, 0,	//346  QUrl::FormattingOption, int
    95, 95, 0,	//349  Qt::MatchFlag, Qt::MatchFlag
    86, 86, 0,	//352  Qt::InputMethodHint, Qt::InputMethodHint
    99, 33, 0,	//355  Qt::Orientation, QFlags<Qt::Orientation>
    89, 149, 0,	//358  Qt::ItemFlag, int
    97, 149, 0,	//361  Qt::MouseButton, int
    3, 3, 0,	//364  KUrl::CleanPathOption, KUrl::CleanPathOption
    39, 149, 0,	//367  QIODevice::OpenModeFlag, int
    45, 149, 0,	//370  QString::SectionFlag, int
    127, 138, 0,	//373  char, const QString&
    45, 45, 0,	//376  QString::SectionFlag, QString::SectionFlag
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Q_COMPLEX_TYPE",	//1
    "Q_DUMMY_TYPE",	//2
    "Q_MOVABLE_TYPE",	//3
    "Q_PRIMITIVE_TYPE",	//4
    "Q_STATIC_TYPE",	//5
    "QtCriticalMsg",	//6
    "QtDebugMsg",	//7
    "QtFatalMsg",	//8
    "QtSystemMsg",	//9
    "QtWarningMsg",	//10
    "operator!=",	//11
    "operator!=##",	//12
    "operator!=#$",	//13
    "operator!=$#",	//14
    "operator!=$$",	//15
    "operator+",	//16
    "operator+##",	//17
    "operator+#$",	//18
    "operator+$#",	//19
    "operator+$$",	//20
    "operator<",	//21
    "operator<##",	//22
    "operator<#$",	//23
    "operator<$#",	//24
    "operator<$$",	//25
    "operator<<",	//26
    "operator<<##",	//27
    "operator<<#$",	//28
    "operator<<#?",	//29
    "operator<=",	//30
    "operator<=##",	//31
    "operator<=#$",	//32
    "operator<=$#",	//33
    "operator<=$$",	//34
    "operator==",	//35
    "operator==##",	//36
    "operator==#$",	//37
    "operator==$#",	//38
    "operator==$$",	//39
    "operator>",	//40
    "operator>##",	//41
    "operator>#$",	//42
    "operator>$#",	//43
    "operator>$$",	//44
    "operator>=",	//45
    "operator>=##",	//46
    "operator>=#$",	//47
    "operator>=$#",	//48
    "operator>=$$",	//49
    "operator>>",	//50
    "operator>>##",	//51
    "operator>>#$",	//52
    "operator>>#?",	//53
    "operator|",	//54
    "operator|$$",	//55
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {9, 54, 1, 2, Smoke::mf_static, 16, 1},	//1 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {9, 50, 4, 2, Smoke::mf_static, 12, 2},	//2 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {9, 45, 7, 2, Smoke::mf_static, 126, 3},	//3 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {9, 54, 10, 2, Smoke::mf_static, 40, 4},	//4 QGlobalSpace::operator|(Qt::WindowType, int)
    {9, 21, 13, 2, Smoke::mf_static, 126, 5},	//5 QGlobalSpace::operator<(const QByteArray&, const char*)
    {9, 40, 16, 2, Smoke::mf_static, 126, 6},	//6 QGlobalSpace::operator>(const char*, const QString&)
    {9, 54, 19, 2, Smoke::mf_static, 29, 7},	//7 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {9, 35, 22, 2, Smoke::mf_static, 126, 8},	//8 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {9, 16, 25, 2, Smoke::mf_static, 137, 9},	//9 QGlobalSpace::operator+(QChar, const QString&)
    {9, 30, 28, 2, Smoke::mf_static, 126, 10},	//10 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {9, 30, 31, 2, Smoke::mf_static, 126, 11},	//11 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {9, 11, 34, 2, Smoke::mf_static, 126, 12},	//12 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {9, 16, 37, 2, Smoke::mf_static, 137, 13},	//13 QGlobalSpace::operator+(const QString&, QChar)
    {9, 35, 31, 2, Smoke::mf_static, 126, 14},	//14 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {9, 11, 40, 2, Smoke::mf_static, 126, 15},	//15 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {9, 54, 43, 2, Smoke::mf_static, 35, 16},	//16 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {9, 35, 46, 2, Smoke::mf_static, 126, 17},	//17 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {9, 50, 49, 2, Smoke::mf_static, 12, 18},	//18 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {9, 54, 52, 2, Smoke::mf_static, 40, 19},	//19 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {9, 11, 55, 2, Smoke::mf_static, 126, 20},	//20 QGlobalSpace::operator!=(QChar, QChar)
    {9, 54, 58, 2, Smoke::mf_static, 19, 21},	//21 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {9, 50, 61, 2, Smoke::mf_static, 12, 22},	//22 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {9, 26, 64, 2, Smoke::mf_static, 12, 23},	//23 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {9, 26, 67, 2, Smoke::mf_static, 12, 24},	//24 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {9, 35, 7, 2, Smoke::mf_static, 126, 25},	//25 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {9, 54, 70, 2, Smoke::mf_static, 18, 26},	//26 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {9, 54, 73, 2, Smoke::mf_static, 34, 27},	//27 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {9, 54, 76, 2, Smoke::mf_static, 29, 28},	//28 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {9, 54, 79, 2, Smoke::mf_static, 28, 29},	//29 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {9, 40, 28, 2, Smoke::mf_static, 126, 30},	//30 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {9, 11, 82, 2, Smoke::mf_static, 126, 31},	//31 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {9, 16, 85, 2, Smoke::mf_static, 128, 32},	//32 QGlobalSpace::operator+(const char*, const QByteArray&)
    {9, 11, 7, 2, Smoke::mf_static, 126, 33},	//33 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {9, 21, 85, 2, Smoke::mf_static, 126, 34},	//34 QGlobalSpace::operator<(const char*, const QByteArray&)
    {9, 45, 55, 2, Smoke::mf_static, 126, 35},	//35 QGlobalSpace::operator>=(QChar, QChar)
    {9, 54, 88, 2, Smoke::mf_static, 30, 36},	//36 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {9, 30, 55, 2, Smoke::mf_static, 126, 37},	//37 QGlobalSpace::operator<=(QChar, QChar)
    {9, 35, 91, 2, Smoke::mf_static, 126, 38},	//38 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {9, 54, 94, 2, Smoke::mf_static, 40, 39},	//39 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {9, 35, 82, 2, Smoke::mf_static, 126, 40},	//40 QGlobalSpace::operator==(QString::Null, QString::Null)
    {9, 11, 28, 2, Smoke::mf_static, 126, 41},	//41 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {9, 30, 97, 2, Smoke::mf_static, 126, 42},	//42 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {9, 26, 100, 2, Smoke::mf_static, 12, 43},	//43 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {9, 54, 103, 2, Smoke::mf_static, 40, 44},	//44 QGlobalSpace::operator|(Qt::DropAction, int)
    {9, 54, 106, 2, Smoke::mf_static, 40, 45},	//45 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {9, 40, 7, 2, Smoke::mf_static, 126, 46},	//46 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {9, 40, 31, 2, Smoke::mf_static, 126, 47},	//47 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {9, 45, 97, 2, Smoke::mf_static, 126, 48},	//48 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {9, 40, 85, 2, Smoke::mf_static, 126, 49},	//49 QGlobalSpace::operator>(const char*, const QByteArray&)
    {9, 35, 85, 2, Smoke::mf_static, 126, 50},	//50 QGlobalSpace::operator==(const char*, const QByteArray&)
    {9, 54, 109, 2, Smoke::mf_static, 34, 51},	//51 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {9, 54, 112, 2, Smoke::mf_static, 21, 52},	//52 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {9, 54, 115, 2, Smoke::mf_static, 32, 53},	//53 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {9, 11, 31, 2, Smoke::mf_static, 126, 54},	//54 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {9, 54, 118, 2, Smoke::mf_static, 25, 55},	//55 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {9, 35, 121, 2, Smoke::mf_static, 126, 56},	//56 QGlobalSpace::operator==(const QString&, QString::Null)
    {9, 54, 124, 2, Smoke::mf_static, 26, 57},	//57 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {9, 30, 7, 2, Smoke::mf_static, 126, 58},	//58 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {9, 54, 127, 2, Smoke::mf_static, 20, 59},	//59 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {9, 54, 130, 2, Smoke::mf_static, 24, 60},	//60 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {9, 54, 133, 2, Smoke::mf_static, 31, 61},	//61 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {9, 30, 16, 2, Smoke::mf_static, 126, 62},	//62 QGlobalSpace::operator<=(const char*, const QString&)
    {9, 54, 136, 2, Smoke::mf_static, 40, 63},	//63 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {9, 54, 139, 2, Smoke::mf_static, 40, 64},	//64 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {9, 54, 142, 2, Smoke::mf_static, 17, 65},	//65 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {9, 16, 16, 2, Smoke::mf_static, 137, 66},	//66 QGlobalSpace::operator+(const char*, const QString&)
    {9, 30, 85, 2, Smoke::mf_static, 126, 67},	//67 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {9, 11, 97, 2, Smoke::mf_static, 126, 68},	//68 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {9, 40, 55, 2, Smoke::mf_static, 126, 69},	//69 QGlobalSpace::operator>(QChar, QChar)
    {9, 45, 13, 2, Smoke::mf_static, 126, 70},	//70 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {9, 45, 28, 2, Smoke::mf_static, 126, 71},	//71 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {9, 21, 31, 2, Smoke::mf_static, 126, 72},	//72 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {9, 54, 145, 2, Smoke::mf_static, 40, 73},	//73 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {9, 11, 148, 2, Smoke::mf_static, 126, 74},	//74 QGlobalSpace::operator!=(QBool, QBool)
    {9, 16, 151, 2, Smoke::mf_static, 137, 75},	//75 QGlobalSpace::operator+(const QString&, char)
    {9, 11, 154, 2, Smoke::mf_static, 126, 76},	//76 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {9, 35, 28, 2, Smoke::mf_static, 126, 77},	//77 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {9, 11, 22, 2, Smoke::mf_static, 126, 78},	//78 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {9, 35, 157, 2, Smoke::mf_static, 126, 79},	//79 QGlobalSpace::operator==(QString::Null, const QString&)
    {9, 30, 13, 2, Smoke::mf_static, 126, 80},	//80 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {9, 54, 160, 2, Smoke::mf_static, 40, 81},	//81 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {9, 54, 163, 2, Smoke::mf_static, 40, 82},	//82 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {9, 54, 166, 2, Smoke::mf_static, 26, 83},	//83 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {9, 26, 169, 2, Smoke::mf_static, 12, 84},	//84 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {9, 54, 172, 2, Smoke::mf_static, 23, 85},	//85 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {9, 26, 175, 2, Smoke::mf_static, 12, 86},	//86 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {9, 11, 157, 2, Smoke::mf_static, 126, 87},	//87 QGlobalSpace::operator!=(QString::Null, const QString&)
    {9, 54, 178, 2, Smoke::mf_static, 27, 88},	//88 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {9, 35, 34, 2, Smoke::mf_static, 126, 89},	//89 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {9, 54, 181, 2, Smoke::mf_static, 40, 90},	//90 QGlobalSpace::operator|(Qt::WindowState, int)
    {9, 11, 46, 2, Smoke::mf_static, 126, 91},	//91 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {9, 50, 184, 2, Smoke::mf_static, 12, 92},	//92 QGlobalSpace::operator>>(QDataStream&, QString&)
    {9, 35, 148, 2, Smoke::mf_static, 126, 93},	//93 QGlobalSpace::operator==(QBool, QBool)
    {9, 54, 187, 2, Smoke::mf_static, 30, 94},	//94 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {9, 35, 190, 2, Smoke::mf_static, 126, 95},	//95 QGlobalSpace::operator==(bool, QBool)
    {9, 50, 193, 2, Smoke::mf_static, 12, 96},	//96 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {9, 21, 16, 2, Smoke::mf_static, 126, 97},	//97 QGlobalSpace::operator<(const char*, const QString&)
    {9, 35, 196, 2, Smoke::mf_static, 126, 98},	//98 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {9, 54, 199, 2, Smoke::mf_static, 40, 99},	//99 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {9, 26, 202, 2, Smoke::mf_static, 12, 100},	//100 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {9, 11, 196, 2, Smoke::mf_static, 126, 101},	//101 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {9, 21, 7, 2, Smoke::mf_static, 126, 102},	//102 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {9, 11, 190, 2, Smoke::mf_static, 126, 103},	//103 QGlobalSpace::operator!=(bool, QBool)
    {9, 16, 205, 2, Smoke::mf_static, 137, 104},	//104 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {9, 54, 208, 2, Smoke::mf_static, 22, 105},	//105 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {9, 54, 211, 2, Smoke::mf_static, 40, 106},	//106 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {9, 50, 214, 2, Smoke::mf_static, 12, 107},	//107 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {9, 11, 121, 2, Smoke::mf_static, 126, 108},	//108 QGlobalSpace::operator!=(const QString&, QString::Null)
    {9, 54, 217, 2, Smoke::mf_static, 38, 109},	//109 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {9, 54, 220, 2, Smoke::mf_static, 38, 110},	//110 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {9, 54, 223, 2, Smoke::mf_static, 37, 111},	//111 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {9, 35, 154, 2, Smoke::mf_static, 126, 112},	//112 QGlobalSpace::operator==(const char*, const QStringRef&)
    {9, 50, 226, 2, Smoke::mf_static, 12, 113},	//113 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {9, 16, 13, 2, Smoke::mf_static, 128, 114},	//114 QGlobalSpace::operator+(const QByteArray&, const char*)
    {9, 26, 229, 2, Smoke::mf_static, 12, 115},	//115 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {9, 54, 232, 2, Smoke::mf_static, 17, 116},	//116 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {9, 54, 235, 2, Smoke::mf_static, 16, 117},	//117 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {9, 26, 238, 2, Smoke::mf_static, 12, 118},	//118 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {9, 50, 241, 2, Smoke::mf_static, 12, 119},	//119 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {9, 54, 244, 2, Smoke::mf_static, 40, 120},	//120 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {9, 40, 97, 2, Smoke::mf_static, 126, 121},	//121 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {9, 35, 55, 2, Smoke::mf_static, 126, 122},	//122 QGlobalSpace::operator==(QChar, QChar)
    {9, 16, 247, 2, Smoke::mf_static, 137, 123},	//123 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {9, 54, 250, 2, Smoke::mf_static, 22, 124},	//124 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {9, 16, 253, 2, Smoke::mf_static, 128, 125},	//125 QGlobalSpace::operator+(const QByteArray&, char)
    {9, 54, 256, 2, Smoke::mf_static, 23, 126},	//126 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {9, 54, 259, 2, Smoke::mf_static, 18, 127},	//127 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {9, 35, 16, 2, Smoke::mf_static, 126, 128},	//128 QGlobalSpace::operator==(const char*, const QString&)
    {9, 54, 262, 2, Smoke::mf_static, 19, 129},	//129 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {9, 54, 265, 2, Smoke::mf_static, 20, 130},	//130 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {9, 54, 268, 2, Smoke::mf_static, 40, 131},	//131 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {9, 26, 271, 2, Smoke::mf_static, 12, 132},	//132 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {9, 16, 274, 2, Smoke::mf_static, 128, 133},	//133 QGlobalSpace::operator+(char, const QByteArray&)
    {9, 16, 277, 2, Smoke::mf_static, 137, 134},	//134 QGlobalSpace::operator+(const QString&, const char*)
    {9, 21, 97, 2, Smoke::mf_static, 126, 135},	//135 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {9, 54, 280, 2, Smoke::mf_static, 33, 136},	//136 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {9, 16, 283, 2, Smoke::mf_static, 137, 137},	//137 QGlobalSpace::operator+(const QString&, const QString&)
    {9, 11, 286, 2, Smoke::mf_static, 126, 138},	//138 QGlobalSpace::operator!=(QBool, bool)
    {9, 35, 97, 2, Smoke::mf_static, 126, 139},	//139 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {9, 26, 289, 2, Smoke::mf_static, 12, 140},	//140 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {9, 26, 292, 2, Smoke::mf_static, 12, 141},	//141 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {9, 35, 295, 2, Smoke::mf_static, 126, 142},	//142 QGlobalSpace::operator==(const QStringRef&, const char*)
    {9, 45, 16, 2, Smoke::mf_static, 126, 143},	//143 QGlobalSpace::operator>=(const char*, const QString&)
    {9, 54, 298, 2, Smoke::mf_static, 35, 144},	//144 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {9, 50, 301, 2, Smoke::mf_static, 12, 145},	//145 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {9, 54, 304, 2, Smoke::mf_static, 36, 146},	//146 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {9, 16, 97, 2, Smoke::mf_static, 128, 147},	//147 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {9, 11, 295, 2, Smoke::mf_static, 126, 148},	//148 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {9, 54, 307, 2, Smoke::mf_static, 40, 149},	//149 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {9, 45, 85, 2, Smoke::mf_static, 126, 150},	//150 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {9, 54, 310, 2, Smoke::mf_static, 40, 151},	//151 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {9, 11, 85, 2, Smoke::mf_static, 126, 152},	//152 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {9, 21, 55, 2, Smoke::mf_static, 126, 153},	//153 QGlobalSpace::operator<(QChar, QChar)
    {9, 54, 313, 2, Smoke::mf_static, 32, 154},	//154 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {9, 54, 316, 2, Smoke::mf_static, 25, 155},	//155 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {9, 54, 319, 2, Smoke::mf_static, 40, 156},	//156 QGlobalSpace::operator|(Qt::Orientation, int)
    {9, 50, 322, 2, Smoke::mf_static, 12, 157},	//157 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {9, 54, 325, 2, Smoke::mf_static, 40, 158},	//158 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {9, 50, 328, 2, Smoke::mf_static, 12, 159},	//159 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {9, 54, 331, 2, Smoke::mf_static, 15, 160},	//160 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {9, 54, 334, 2, Smoke::mf_static, 36, 161},	//161 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {9, 40, 13, 2, Smoke::mf_static, 126, 162},	//162 QGlobalSpace::operator>(const QByteArray&, const char*)
    {9, 54, 337, 2, Smoke::mf_static, 27, 163},	//163 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {9, 11, 16, 2, Smoke::mf_static, 126, 164},	//164 QGlobalSpace::operator!=(const char*, const QString&)
    {9, 54, 340, 2, Smoke::mf_static, 37, 165},	//165 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {9, 54, 343, 2, Smoke::mf_static, 24, 166},	//166 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {9, 21, 28, 2, Smoke::mf_static, 126, 167},	//167 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {9, 45, 31, 2, Smoke::mf_static, 126, 168},	//168 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {9, 35, 40, 2, Smoke::mf_static, 126, 169},	//169 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {9, 54, 346, 2, Smoke::mf_static, 40, 170},	//170 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {9, 54, 349, 2, Smoke::mf_static, 31, 171},	//171 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {9, 54, 352, 2, Smoke::mf_static, 28, 172},	//172 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {9, 54, 355, 2, Smoke::mf_static, 33, 173},	//173 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {9, 35, 13, 2, Smoke::mf_static, 126, 174},	//174 QGlobalSpace::operator==(const QByteArray&, const char*)
    {9, 54, 358, 2, Smoke::mf_static, 40, 175},	//175 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {9, 54, 361, 2, Smoke::mf_static, 40, 176},	//176 QGlobalSpace::operator|(Qt::MouseButton, int)
    {9, 35, 286, 2, Smoke::mf_static, 126, 177},	//177 QGlobalSpace::operator==(QBool, bool)
    {9, 11, 13, 2, Smoke::mf_static, 126, 178},	//178 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {9, 54, 364, 2, Smoke::mf_static, 15, 179},	//179 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {9, 54, 367, 2, Smoke::mf_static, 40, 180},	//180 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {9, 54, 370, 2, Smoke::mf_static, 40, 181},	//181 QGlobalSpace::operator|(QString::SectionFlag, int)
    {9, 16, 373, 2, Smoke::mf_static, 137, 182},	//182 QGlobalSpace::operator+(char, const QString&)
    {9, 54, 376, 2, Smoke::mf_static, 21, 183},	//183 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {9, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 184},	//184 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {9, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 185},	//185 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {9, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 186},	//186 QGlobalSpace::Q_STATIC_TYPE (enum)
    {9, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 187},	//187 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {9, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 188},	//188 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {9, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 189},	//189 QGlobalSpace::QtDebugMsg (enum)
    {9, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 190},	//190 QGlobalSpace::QtWarningMsg (enum)
    {9, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 191},	//191 QGlobalSpace::QtCriticalMsg (enum)
    {9, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 192},	//192 QGlobalSpace::QtFatalMsg (enum)
    {9, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 193},	//193 QGlobalSpace::QtSystemMsg (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    15,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    20,  // QGlobalSpace::operator!=(QChar, QChar)
    31,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    41,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    54,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    68,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    74,  // QGlobalSpace::operator!=(QBool, QBool)
    78,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    91,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    0,
    87,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    101,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    138,  // QGlobalSpace::operator!=(QBool, bool)
    148,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    178,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    0,
    12,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    33,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    76,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    103,  // QGlobalSpace::operator!=(bool, QBool)
    108,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    152,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    0,
    9,  // QGlobalSpace::operator+(QChar, const QString&)
    104,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    114,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    125,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    13,  // QGlobalSpace::operator+(const QString&, QChar)
    32,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    123,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    133,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    66,  // QGlobalSpace::operator+(const char*, const QString&)
    75,  // QGlobalSpace::operator+(const QString&, char)
    134,  // QGlobalSpace::operator+(const QString&, const char*)
    137,  // QGlobalSpace::operator+(const QString&, const QString&)
    182,  // QGlobalSpace::operator+(char, const QString&)
    0,
    72,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    135,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    153,  // QGlobalSpace::operator<(QChar, QChar)
    167,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    34,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    102,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    24,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    84,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    86,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    100,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    115,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    118,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    132,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    141,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    0,
    23,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    43,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    0,
    10,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    11,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    37,  // QGlobalSpace::operator<=(QChar, QChar)
    42,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    0,
    58,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    67,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    8,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    14,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    17,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    38,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    40,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    77,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    93,  // QGlobalSpace::operator==(QBool, QBool)
    122,  // QGlobalSpace::operator==(QChar, QChar)
    139,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    169,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    0,
    79,  // QGlobalSpace::operator==(QString::Null, const QString&)
    98,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    142,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    174,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    177,  // QGlobalSpace::operator==(QBool, bool)
    0,
    25,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    50,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    56,  // QGlobalSpace::operator==(const QString&, QString::Null)
    89,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    95,  // QGlobalSpace::operator==(bool, QBool)
    112,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    0,
    30,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    47,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    69,  // QGlobalSpace::operator>(QChar, QChar)
    121,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    46,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    49,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    35,  // QGlobalSpace::operator>=(QChar, QChar)
    48,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    71,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    168,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    0,
    3,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    150,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    2,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    18,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    22,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    96,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    107,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    119,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    145,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    159,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    0,
    92,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    157,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    1,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    4,  // QGlobalSpace::operator|(Qt::WindowType, int)
    7,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    16,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    19,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    21,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    26,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    27,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    28,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    29,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    36,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    39,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    44,  // QGlobalSpace::operator|(Qt::DropAction, int)
    45,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    51,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    52,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    53,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    55,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    57,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    59,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    60,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    61,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    63,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    64,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    65,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    73,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    81,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    82,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    83,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    85,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    88,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    90,  // QGlobalSpace::operator|(Qt::WindowState, int)
    94,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    99,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    105,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    106,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    109,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    110,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    111,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    116,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    117,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    120,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    124,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    126,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    127,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    129,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    130,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    131,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    136,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    144,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    146,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    149,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    151,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    154,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    155,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    156,  // QGlobalSpace::operator|(Qt::Orientation, int)
    158,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    160,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    161,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    163,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    165,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    166,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    170,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    171,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    172,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    173,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    175,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    176,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    179,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    180,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    181,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    183,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {9, 1, 184},	// QGlobalSpace::Q_COMPLEX_TYPE
    {9, 2, 188},	// QGlobalSpace::Q_DUMMY_TYPE
    {9, 3, 187},	// QGlobalSpace::Q_MOVABLE_TYPE
    {9, 4, 185},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {9, 5, 186},	// QGlobalSpace::Q_STATIC_TYPE
    {9, 6, 191},	// QGlobalSpace::QtCriticalMsg
    {9, 7, 189},	// QGlobalSpace::QtDebugMsg
    {9, 8, 192},	// QGlobalSpace::QtFatalMsg
    {9, 9, 193},	// QGlobalSpace::QtSystemMsg
    {9, 10, 190},	// QGlobalSpace::QtWarningMsg
    {9, 12, -1},	// QGlobalSpace::operator!=##
    {9, 13, -11},	// QGlobalSpace::operator!=#$
    {9, 14, -17},	// QGlobalSpace::operator!=$#
    {9, 15, 164},	// QGlobalSpace::operator!=$$
    {9, 17, 147},	// QGlobalSpace::operator+##
    {9, 18, -24},	// QGlobalSpace::operator+#$
    {9, 19, -29},	// QGlobalSpace::operator+$#
    {9, 20, -34},	// QGlobalSpace::operator+$$
    {9, 22, -40},	// QGlobalSpace::operator<##
    {9, 23, 5},	// QGlobalSpace::operator<#$
    {9, 24, -45},	// QGlobalSpace::operator<$#
    {9, 25, 97},	// QGlobalSpace::operator<$$
    {9, 27, -48},	// QGlobalSpace::operator<<##
    {9, 28, -57},	// QGlobalSpace::operator<<#$
    {9, 29, 140},	// QGlobalSpace::operator<<#?
    {9, 31, -60},	// QGlobalSpace::operator<=##
    {9, 32, 80},	// QGlobalSpace::operator<=#$
    {9, 33, -65},	// QGlobalSpace::operator<=$#
    {9, 34, 62},	// QGlobalSpace::operator<=$$
    {9, 36, -68},	// QGlobalSpace::operator==##
    {9, 37, -79},	// QGlobalSpace::operator==#$
    {9, 38, -85},	// QGlobalSpace::operator==$#
    {9, 39, 128},	// QGlobalSpace::operator==$$
    {9, 41, -92},	// QGlobalSpace::operator>##
    {9, 42, 162},	// QGlobalSpace::operator>#$
    {9, 43, -97},	// QGlobalSpace::operator>$#
    {9, 44, 6},	// QGlobalSpace::operator>$$
    {9, 46, -100},	// QGlobalSpace::operator>=##
    {9, 47, 70},	// QGlobalSpace::operator>=#$
    {9, 48, -105},	// QGlobalSpace::operator>=$#
    {9, 49, 143},	// QGlobalSpace::operator>=$$
    {9, 51, -108},	// QGlobalSpace::operator>>##
    {9, 52, -117},	// QGlobalSpace::operator>>#$
    {9, 53, 113},	// QGlobalSpace::operator>>#?
    {9, 55, -120},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff2_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff2_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff2_Smoke = new Smoke(
        "knewstuff2",
        __smokeknewstuff2::classes, 20,
        __smokeknewstuff2::methods, 194,
        __smokeknewstuff2::methodMaps, 46,
        __smokeknewstuff2::methodNames, 55,
        __smokeknewstuff2::types, 151,
        __smokeknewstuff2::inheritanceList,
        __smokeknewstuff2::argumentList,
        __smokeknewstuff2::ambiguousMethodList,
        __smokeknewstuff2::cast );
    initialized = true;
}

void delete_knewstuff2_Smoke() { delete knewstuff2_Smoke; }

}
