#include <knewstuff3_includes.h>

#include <smoke.h>
#include <knewstuff3_smoke.h>

namespace __smokeknewstuff3 {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAction
      switch(to) {
        case 1: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 2:   //KActionCollection
      switch(to) {
        case 2: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 3:   //KCharsets
      switch(to) {
        case 3: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 4:   //KComponentData
      switch(to) {
        case 4: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 5:   //KDialog
      switch(to) {
        case 29: return (void*)(QDialog*)(KDialog*)xptr;
        case 86: return (void*)(QWidget*)(KDialog*)xptr;
        case 55: return (void*)(QObject*)(KDialog*)xptr;
        case 5: return (void*)(KDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(KDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 6:   //KGuiItem
      switch(to) {
        case 6: return (void*)(KGuiItem*)xptr;
        default: return xptr;
      }
    case 7:   //KLocale
      switch(to) {
        case 7: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 8:   //KNS3::Button
      switch(to) {
        case 12: return (void*)(KPushButton*)(KNS3::Button*)xptr;
        case 65: return (void*)(QPushButton*)(KNS3::Button*)xptr;
        case 15: return (void*)(QAbstractButton*)(KNS3::Button*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::Button*)xptr;
        case 55: return (void*)(QObject*)(KNS3::Button*)xptr;
        case 8: return (void*)(KNS3::Button*)xptr;
        default: return xptr;
      }
    case 9:   //KNS3::DownloadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::DownloadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::DownloadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::DownloadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::DownloadDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)xptr;
        default: return xptr;
      }
    case 10:   //KNS3::Entry
      switch(to) {
        case 10: return (void*)(KNS3::Entry*)xptr;
        default: return xptr;
      }
    case 11:   //KNS3::UploadDialog
      switch(to) {
        case 5: return (void*)(KDialog*)(KNS3::UploadDialog*)xptr;
        case 29: return (void*)(QDialog*)(KNS3::UploadDialog*)xptr;
        case 86: return (void*)(QWidget*)(KNS3::UploadDialog*)xptr;
        case 55: return (void*)(QObject*)(KNS3::UploadDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)xptr;
        default: return xptr;
      }
    case 12:   //KPushButton
      switch(to) {
        case 65: return (void*)(QPushButton*)(KPushButton*)xptr;
        case 15: return (void*)(QAbstractButton*)(KPushButton*)xptr;
        case 86: return (void*)(QWidget*)(KPushButton*)xptr;
        case 55: return (void*)(QObject*)(KPushButton*)xptr;
        case 12: return (void*)(KPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 13:   //KStandardDirs
      switch(to) {
        case 13: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 14:   //KUrl
      switch(to) {
        case 82: return (void*)(QUrl*)(KUrl*)xptr;
        case 14: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 15:   //QAbstractButton
      switch(to) {
        case 86: return (void*)(QWidget*)(QAbstractButton*)xptr;
        case 55: return (void*)(QObject*)(QAbstractButton*)xptr;
        case 15: return (void*)(QAbstractButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QAbstractButton*)xptr;
        default: return xptr;
      }
    case 16:   //QActionEvent
      switch(to) {
        case 16: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QBool
      switch(to) {
        case 17: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 18:   //QBrush
      switch(to) {
        case 18: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 19:   //QByteArray
      switch(to) {
        case 19: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 20:   //QChar
      switch(to) {
        case 20: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 21:   //QChildEvent
      switch(to) {
        case 21: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QCloseEvent
      switch(to) {
        case 22: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 23:   //QColor
      switch(to) {
        case 23: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 24:   //QContextMenuEvent
      switch(to) {
        case 24: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 25:   //QCursor
      switch(to) {
        case 25: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 26:   //QDataStream
      switch(to) {
        case 26: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 27:   //QDate
      switch(to) {
        case 27: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 28:   //QDateTime
      switch(to) {
        case 28: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 29:   //QDialog
      switch(to) {
        case 86: return (void*)(QWidget*)(QDialog*)xptr;
        case 55: return (void*)(QObject*)(QDialog*)xptr;
        case 29: return (void*)(QDialog*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QDialog*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 30:   //QDrag
      switch(to) {
        case 30: return (void*)(QDrag*)xptr;
        default: return xptr;
      }
    case 31:   //QDragEnterEvent
      switch(to) {
        case 31: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QDragLeaveEvent
      switch(to) {
        case 32: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QDragMoveEvent
      switch(to) {
        case 33: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 34:   //QDropEvent
      switch(to) {
        case 34: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 35:   //QEvent
      switch(to) {
        case 35: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QFocusEvent
      switch(to) {
        case 36: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QFont
      switch(to) {
        case 37: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 39:   //QHashDummyValue
      switch(to) {
        case 39: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 40:   //QHideEvent
      switch(to) {
        case 40: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QIcon
      switch(to) {
        case 41: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 42:   //QImage
      switch(to) {
        case 42: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 43:   //QIncompatibleFlag
      switch(to) {
        case 43: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 44:   //QInputMethodEvent
      switch(to) {
        case 44: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QKeyEvent
      switch(to) {
        case 45: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QKeySequence
      switch(to) {
        case 46: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 47:   //QLatin1String
      switch(to) {
        case 47: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 48:   //QLine
      switch(to) {
        case 48: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 49:   //QLineF
      switch(to) {
        case 49: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 50:   //QMargins
      switch(to) {
        case 50: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 51:   //QMatrix
      switch(to) {
        case 51: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 52:   //QMetaObject
      switch(to) {
        case 52: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 53:   //QMouseEvent
      switch(to) {
        case 53: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QMoveEvent
      switch(to) {
        case 54: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QObject
      switch(to) {
        case 55: return (void*)(QObject*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QObject*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QObject*)xptr;
        case 8: return (void*)(KNS3::Button*)(QObject*)xptr;
        default: return xptr;
      }
    case 56:   //QPaintEngine
      switch(to) {
        case 56: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 57:   //QPaintEvent
      switch(to) {
        case 57: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QPainterPath
      switch(to) {
        case 58: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 59:   //QPalette
      switch(to) {
        case 59: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 60:   //QPixmap
      switch(to) {
        case 60: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 61:   //QPoint
      switch(to) {
        case 61: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 62:   //QPointF
      switch(to) {
        case 62: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 63:   //QPolygon
      switch(to) {
        case 63: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 64:   //QPolygonF
      switch(to) {
        case 64: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 65:   //QPushButton
      switch(to) {
        case 15: return (void*)(QAbstractButton*)(QPushButton*)xptr;
        case 86: return (void*)(QWidget*)(QPushButton*)xptr;
        case 55: return (void*)(QObject*)(QPushButton*)xptr;
        case 65: return (void*)(QPushButton*)xptr;
        case 8: return (void*)(KNS3::Button*)(QPushButton*)xptr;
        default: return xptr;
      }
    case 66:   //QRect
      switch(to) {
        case 66: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 67:   //QRectF
      switch(to) {
        case 67: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 68:   //QRegExp
      switch(to) {
        case 68: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 69:   //QRegion
      switch(to) {
        case 69: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 70:   //QResizeEvent
      switch(to) {
        case 70: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QShowEvent
      switch(to) {
        case 71: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QSize
      switch(to) {
        case 72: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 73:   //QSizeF
      switch(to) {
        case 73: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 74:   //QSizePolicy
      switch(to) {
        case 74: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 75:   //QString::Null
      switch(to) {
        case 75: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 76:   //QStringRef
      switch(to) {
        case 76: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 77:   //QStyle
      switch(to) {
        case 77: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 78:   //QTabletEvent
      switch(to) {
        case 78: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QTime
      switch(to) {
        case 79: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 80:   //QTimerEvent
      switch(to) {
        case 80: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QTransform
      switch(to) {
        case 81: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 82:   //QUrl
      switch(to) {
        case 82: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 83:   //QVariant
      switch(to) {
        case 83: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 84:   //QVariantComparisonHelper
      switch(to) {
        case 84: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 85:   //QWheelEvent
      switch(to) {
        case 85: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QWidget
      switch(to) {
        case 55: return (void*)(QObject*)(QWidget*)xptr;
        case 86: return (void*)(QWidget*)xptr;
        case 11: return (void*)(KNS3::UploadDialog*)(QWidget*)xptr;
        case 9: return (void*)(KNS3::DownloadDialog*)(QWidget*)xptr;
        case 8: return (void*)(KNS3::Button*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    12, 0,	// 1: KPushButton
    5, 0,	// 3: KDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KNS3__Entry(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KNS3__Button(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__DownloadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__Entry(Smoke::Index, void*, Smoke::Stack);
void xcall_KNS3__UploadDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAction", true, 0, 0, 0, 0, 0 },	//1
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//2
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//3
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//4
    { "KDialog", true, 0, 0, 0, 0, 0 },	//5
    { "KGuiItem", true, 0, 0, 0, 0, 0 },	//6
    { "KLocale", true, 0, 0, 0, 0, 0 },	//7
    { "KNS3::Button", false, 1, xcall_KNS3__Button, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::Button) },	//8
    { "KNS3::DownloadDialog", false, 3, xcall_KNS3__DownloadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::DownloadDialog) },	//9
    { "KNS3::Entry", false, 0, xcall_KNS3__Entry, xenum_KNS3__Entry, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KNS3::Entry) },	//10
    { "KNS3::UploadDialog", false, 3, xcall_KNS3__UploadDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KNS3::UploadDialog) },	//11
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//12
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//13
    { "KUrl", true, 0, 0, 0, 0, 0 },	//14
    { "QAbstractButton", true, 0, 0, 0, 0, 0 },	//15
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//16
    { "QBool", true, 0, 0, 0, 0, 0 },	//17
    { "QBrush", true, 0, 0, 0, 0, 0 },	//18
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//19
    { "QChar", true, 0, 0, 0, 0, 0 },	//20
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//21
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//22
    { "QColor", true, 0, 0, 0, 0, 0 },	//23
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//24
    { "QCursor", true, 0, 0, 0, 0, 0 },	//25
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//26
    { "QDate", true, 0, 0, 0, 0, 0 },	//27
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//28
    { "QDialog", true, 0, 0, 0, 0, 0 },	//29
    { "QDrag", true, 0, 0, 0, 0, 0 },	//30
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//33
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//34
    { "QEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QFont", true, 0, 0, 0, 0, 0 },	//37
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//38
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//39
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QIcon", true, 0, 0, 0, 0, 0 },	//41
    { "QImage", true, 0, 0, 0, 0, 0 },	//42
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//43
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//46
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//47
    { "QLine", true, 0, 0, 0, 0, 0 },	//48
    { "QLineF", true, 0, 0, 0, 0, 0 },	//49
    { "QMargins", true, 0, 0, 0, 0, 0 },	//50
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//51
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//52
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QObject", true, 0, 0, 0, 0, 0 },	//55
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//56
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//58
    { "QPalette", true, 0, 0, 0, 0, 0 },	//59
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//60
    { "QPoint", true, 0, 0, 0, 0, 0 },	//61
    { "QPointF", true, 0, 0, 0, 0, 0 },	//62
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//63
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//64
    { "QPushButton", true, 0, 0, 0, 0, 0 },	//65
    { "QRect", true, 0, 0, 0, 0, 0 },	//66
    { "QRectF", true, 0, 0, 0, 0, 0 },	//67
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//68
    { "QRegion", true, 0, 0, 0, 0, 0 },	//69
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QSize", true, 0, 0, 0, 0, 0 },	//72
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//73
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//74
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//75
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//76
    { "QStyle", true, 0, 0, 0, 0, 0 },	//77
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QTime", true, 0, 0, 0, 0, 0 },	//79
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QTransform", true, 0, 0, 0, 0, 0 },	//81
    { "QUrl", true, 0, 0, 0, 0, 0 },	//82
    { "QVariant", true, 0, 0, 0, 0, 0 },	//83
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//84
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QWidget", true, 0, 0, 0, 0, 0 },	//86
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KAction*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "KActionCollection*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCharsets*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//4
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KDialog::ButtonCode", 5, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KDialog::CaptionFlag", 5, Smoke::t_enum|Smoke::tf_stack },	//7
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//8
    { "KGuiItem", 6, Smoke::t_class|Smoke::tf_stack },	//9
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//10
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//11
    { "KLocale*", 7, Smoke::t_class|Smoke::tf_ptr },	//12
    { "KNS3::Button*", 8, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KNS3::DownloadDialog*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref },	//15
    { "KNS3::Entry*", 10, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KNS3::Entry::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//17
    { "KNS3::UploadDialog*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//19
    { "KStandardDirs*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KStandardGuiItem::BidiMode", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KStandardGuiItem::StandardItem", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KUrl::CleanPathOption", 14, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KUrl::DirectoryOption", 14, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KUrl::EncodedPathAndQueryOption", 14, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KUrl::EqualsOption", 14, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KUrl::QueryItemsOption", 14, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QActionEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QBool", 17, Smoke::t_class|Smoke::tf_stack },	//29
    { "QBrush&", 18, Smoke::t_class|Smoke::tf_ref },	//30
    { "QByteArray&", 19, Smoke::t_class|Smoke::tf_ref },	//31
    { "QChar", 20, Smoke::t_class|Smoke::tf_stack },	//32
    { "QChar&", 20, Smoke::t_class|Smoke::tf_ref },	//33
    { "QChildEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QCloseEvent*", 22, Smoke::t_class|Smoke::tf_ptr },	//35
    { "QColor&", 23, Smoke::t_class|Smoke::tf_ref },	//36
    { "QContextMenuEvent*", 24, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QCursor&", 25, Smoke::t_class|Smoke::tf_ref },	//38
    { "QDataStream&", 26, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDate&", 27, Smoke::t_class|Smoke::tf_ref },	//40
    { "QDateTime&", 28, Smoke::t_class|Smoke::tf_ref },	//41
    { "QDrag*", 30, Smoke::t_class|Smoke::tf_ptr },	//42
    { "QDragEnterEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDragLeaveEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QDragMoveEvent*", 33, Smoke::t_class|Smoke::tf_ptr },	//45
    { "QDropEvent*", 34, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//47
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFocusEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QFont&", 37, Smoke::t_class|Smoke::tf_ref },	//78
    { "QHideEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "QIcon&", 41, Smoke::t_class|Smoke::tf_ref },	//81
    { "QImage&", 42, Smoke::t_class|Smoke::tf_ref },	//82
    { "QIncompatibleFlag", 43, Smoke::t_class|Smoke::tf_stack },	//83
    { "QInputMethodEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QKeyEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref },	//86
    { "QLine", 48, Smoke::t_class|Smoke::tf_stack },	//87
    { "QLine&", 48, Smoke::t_class|Smoke::tf_ref },	//88
    { "QLineF", 49, Smoke::t_class|Smoke::tf_stack },	//89
    { "QLineF&", 49, Smoke::t_class|Smoke::tf_ref },	//90
    { "QList<KNS3::Entry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QMatrix&", 51, Smoke::t_class|Smoke::tf_ref },	//92
    { "QMetaObject::Call", 52, Smoke::t_enum|Smoke::tf_stack },	//93
    { "QMouseEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QMoveEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QObject*", 55, Smoke::t_class|Smoke::tf_ptr },	//96
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QPaintEngine*", 56, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QPaintEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//99
    { "QPainterPath", 58, Smoke::t_class|Smoke::tf_stack },	//100
    { "QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref },	//101
    { "QPair<KGuiItem,KGuiItem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//102
    { "QPalette&", 59, Smoke::t_class|Smoke::tf_ref },	//103
    { "QPixmap&", 60, Smoke::t_class|Smoke::tf_ref },	//104
    { "QPoint", 61, Smoke::t_class|Smoke::tf_stack },	//105
    { "QPoint&", 61, Smoke::t_class|Smoke::tf_ref },	//106
    { "QPointF", 62, Smoke::t_class|Smoke::tf_stack },	//107
    { "QPointF&", 62, Smoke::t_class|Smoke::tf_ref },	//108
    { "QPolygon", 63, Smoke::t_class|Smoke::tf_stack },	//109
    { "QPolygon&", 63, Smoke::t_class|Smoke::tf_ref },	//110
    { "QPolygonF", 64, Smoke::t_class|Smoke::tf_stack },	//111
    { "QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref },	//112
    { "QRect&", 66, Smoke::t_class|Smoke::tf_ref },	//113
    { "QRectF&", 67, Smoke::t_class|Smoke::tf_ref },	//114
    { "QRegExp&", 68, Smoke::t_class|Smoke::tf_ref },	//115
    { "QRegion", 69, Smoke::t_class|Smoke::tf_stack },	//116
    { "QRegion&", 69, Smoke::t_class|Smoke::tf_ref },	//117
    { "QResizeEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QShowEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QSize", 72, Smoke::t_class|Smoke::tf_stack },	//120
    { "QSize&", 72, Smoke::t_class|Smoke::tf_ref },	//121
    { "QSizeF&", 73, Smoke::t_class|Smoke::tf_ref },	//122
    { "QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref },	//123
    { "QSizePolicy::ControlType", 74, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//125
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//126
    { "QString::Null", 75, Smoke::t_class|Smoke::tf_stack },	//127
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//130
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//131
    { "QStyle&", 77, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTabletEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QTime&", 79, Smoke::t_class|Smoke::tf_ref },	//134
    { "QTimerEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QTransform", 81, Smoke::t_class|Smoke::tf_stack },	//136
    { "QTransform&", 81, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl&", 82, Smoke::t_class|Smoke::tf_ref },	//138
    { "QUrl::FormattingOption", 82, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QVariant", 83, Smoke::t_class|Smoke::tf_stack },	//140
    { "QVariant&", 83, Smoke::t_class|Smoke::tf_ref },	//141
    { "QVariant::Type&", 83, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QWheelEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QWidget*", 86, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QWidget::RenderFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "QtMsgType", 38, Smoke::t_enum|Smoke::tf_stack },	//217
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//218
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//219
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//220
    { "const KComponentData&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const KNS3::Entry&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const KNS3::Entry::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//223
    { "const KUrl&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QBrush&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QByteArray", 19, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//226
    { "const QByteArray&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QChar&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QColor&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QCursor&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDate&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDateTime&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QFont&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QHashDummyValue&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QIcon&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QImage&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QKeySequence&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QLatin1String&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QLine&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QLineF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QMargins&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QMatrix&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QMetaObject&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QMetaObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//244
    { "const QObject*", 55, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QPainterPath&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QPalette&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QPixmap&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QPoint", 61, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QPoint&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QPointF", 62, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//251
    { "const QPointF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QPolygon&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QPolygonF&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QRect&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QRectF&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QRegExp&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QRegion&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QSize", 72, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//259
    { "const QSize&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QSizeF", 73, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//261
    { "const QSizeF&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QSizePolicy&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//264
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//267
    { "const QStringRef&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QTime&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QTransform&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QUrl&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QVariant&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//272
    { "const QVariant::Type", 83, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//273
    { "const QVariantComparisonHelper&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//274
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//275
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//276
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//277
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//278
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//279
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//280
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//281
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//282
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//283
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    265, 0,	//1  const QString&
    265, 219, 0,	//3  const QString&, bool
    79, 0,	//6  QHideEvent*
    35, 0,	//8  QCloseEvent*
    85, 0,	//10  QKeyEvent*
    278, 0,	//12  int
    275, 0,	//14  const char*
    275, 275, 0,	//16  const char*, const char*
    275, 275, 278, 0,	//19  const char*, const char*, int
    93, 278, 282, 0,	//23  QMetaObject::Call, int, void**
    265, 265, 144, 0,	//27  const QString&, const QString&, QWidget*
    144, 0,	//31  QWidget*
    223, 0,	//33  const KNS3::Entry::List&
    265, 144, 0,	//35  const QString&, QWidget*
    222, 0,	//38  const KNS3::Entry&
    224, 0,	//40  const KUrl&
    280, 224, 0,	//42  unsigned int, const KUrl&
    219, 0,	//45  bool
    277, 0,	//47  double
    94, 0,	//49  QMouseEvent*
    99, 0,	//51  QPaintEvent*
    250, 0,	//53  const QPoint&
    47, 0,	//55  QEvent*
    135, 0,	//57  QTimerEvent*
    119, 0,	//59  QShowEvent*
    118, 0,	//61  QResizeEvent*
    37, 0,	//63  QContextMenuEvent*
    96, 47, 0,	//65  QObject*, QEvent*
    165, 278, 0,	//68  Qt::DockWidgetArea, int
    250, 277, 0,	//71  const QPoint&, double
    277, 252, 0,	//74  double, const QPointF&
    189, 70, 0,	//77  Qt::MouseButton, QFlags<Qt::MouseButton>
    241, 241, 0,	//80  const QMargins&, const QMargins&
    277, 262, 0,	//83  double, const QSizeF&
    39, 82, 0,	//86  QDataStream&, QImage&
    39, 263, 0,	//89  QDataStream&, const QSizePolicy&
    178, 278, 0,	//92  Qt::InputMethodHint, int
    255, 255, 0,	//95  const QRect&, const QRect&
    260, 260, 0,	//98  const QSize&, const QSize&
    39, 270, 0,	//101  QDataStream&, const QTransform&
    252, 242, 0,	//104  const QPointF&, const QMatrix&
    239, 270, 0,	//107  const QLine&, const QTransform&
    215, 75, 0,	//110  Qt::WindowState, QFlags<Qt::WindowState>
    262, 277, 0,	//113  const QSizeF&, double
    39, 239, 0,	//116  QDataStream&, const QLine&
    275, 238, 0,	//119  const char*, const QLatin1String&
    262, 262, 0,	//122  const QSizeF&, const QSizeF&
    227, 227, 0,	//125  const QByteArray&, const QByteArray&
    238, 268, 0,	//128  const QLatin1String&, const QStringRef&
    189, 189, 0,	//131  Qt::MouseButton, Qt::MouseButton
    23, 51, 0,	//134  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    23, 23, 0,	//137  KUrl::CleanPathOption, KUrl::CleanPathOption
    272, 274, 0,	//140  const QVariant&, const QVariantComparisonHelper&
    29, 29, 0,	//143  QBool, QBool
    5, 278, 0,	//146  KConfigBase::WriteConfigFlag, int
    146, 61, 0,	//149  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    127, 127, 0,	//152  QString::Null, QString::Null
    39, 256, 0,	//155  QDataStream&, const QRectF&
    32, 265, 0,	//158  QChar, const QString&
    80, 56, 0,	//161  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    6, 6, 0,	//164  KDialog::ButtonCode, KDialog::ButtonCode
    39, 247, 0,	//167  QDataStream&, const QPalette&
    11, 0,	//170  KIconLoader::Group&
    39, 227, 0,	//172  QDataStream&, const QByteArray&
    254, 270, 0,	//175  const QPolygonF&, const QTransform&
    206, 206, 0,	//178  Qt::ToolBarArea, Qt::ToolBarArea
    27, 278, 0,	//181  KUrl::QueryItemsOption, int
    145, 278, 0,	//184  QWidget::RenderFlag, int
    167, 278, 0,	//187  Qt::DropAction, int
    39, 266, 0,	//190  QDataStream&, const QStringList&
    25, 25, 0,	//193  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    146, 146, 0,	//196  Qt::AlignmentFlag, Qt::AlignmentFlag
    39, 36, 0,	//199  QDataStream&, QColor&
    39, 257, 0,	//202  QDataStream&, const QRegExp&
    139, 278, 0,	//205  QUrl::FormattingOption, int
    227, 275, 0,	//208  const QByteArray&, const char*
    24, 24, 0,	//211  KUrl::DirectoryOption, KUrl::DirectoryOption
    165, 62, 0,	//214  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    7, 7, 0,	//217  KDialog::CaptionFlag, KDialog::CaptionFlag
    239, 242, 0,	//220  const QLine&, const QMatrix&
    24, 52, 0,	//223  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    240, 242, 0,	//226  const QLineF&, const QMatrix&
    191, 191, 0,	//229  Qt::Orientation, Qt::Orientation
    246, 242, 0,	//232  const QPainterPath&, const QMatrix&
    206, 278, 0,	//235  Qt::ToolBarArea, int
    39, 108, 0,	//238  QDataStream&, QPointF&
    39, 237, 0,	//241  QDataStream&, const QKeySequence&
    187, 278, 0,	//244  Qt::MatchFlag, int
    265, 275, 0,	//247  const QString&, const char*
    39, 230, 0,	//250  QDataStream&, const QCursor&
    172, 172, 0,	//253  Qt::GestureFlag, Qt::GestureFlag
    39, 40, 0,	//256  QDataStream&, QDate&
    80, 80, 0,	//259  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    220, 227, 0,	//262  char, const QByteArray&
    275, 265, 0,	//265  const char*, const QString&
    275, 227, 0,	//268  const char*, const QByteArray&
    39, 31, 0,	//271  QDataStream&, QByteArray&
    39, 141, 0,	//274  QDataStream&, QVariant&
    6, 278, 0,	//277  KDialog::ButtonCode, int
    39, 115, 0,	//280  QDataStream&, QRegExp&
    252, 252, 0,	//283  const QPointF&, const QPointF&
    270, 277, 0,	//286  const QTransform&, double
    268, 268, 0,	//289  const QStringRef&, const QStringRef&
    32, 32, 0,	//292  QChar, QChar
    246, 270, 0,	//295  const QPainterPath&, const QTransform&
    39, 225, 0,	//298  QDataStream&, const QBrush&
    6, 49, 0,	//301  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    39, 117, 0,	//304  QDataStream&, QRegion&
    252, 277, 0,	//307  const QPointF&, double
    25, 278, 0,	//310  KUrl::EncodedPathAndQueryOption, int
    39, 231, 0,	//313  QDataStream&, const QDate&
    187, 69, 0,	//316  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    172, 278, 0,	//319  Qt::GestureFlag, int
    124, 124, 0,	//322  QSizePolicy::ControlType, QSizePolicy::ControlType
    39, 38, 0,	//325  QDataStream&, QCursor&
    184, 68, 0,	//328  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    187, 187, 0,	//331  Qt::MatchFlag, Qt::MatchFlag
    39, 137, 0,	//334  QDataStream&, QTransform&
    253, 242, 0,	//337  const QPolygon&, const QMatrix&
    265, 127, 0,	//340  const QString&, QString::Null
    39, 122, 0,	//343  QDataStream&, QSizeF&
    252, 0,	//346  const QPointF&
    181, 181, 0,	//348  Qt::ItemFlag, Qt::ItemFlag
    39, 248, 0,	//351  QDataStream&, const QPixmap&
    227, 265, 0,	//354  const QByteArray&, const QString&
    216, 76, 0,	//357  Qt::WindowType, QFlags<Qt::WindowType>
    252, 270, 0,	//360  const QPointF&, const QTransform&
    181, 67, 0,	//363  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    209, 74, 0,	//366  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    265, 220, 0,	//369  const QString&, char
    39, 271, 0,	//372  QDataStream&, const QUrl&
    124, 57, 0,	//375  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    39, 272, 0,	//378  QDataStream&, const QVariant&
    39, 88, 0,	//381  QDataStream&, QLine&
    184, 184, 0,	//384  Qt::KeyboardModifier, Qt::KeyboardModifier
    146, 278, 0,	//387  Qt::AlignmentFlag, int
    250, 242, 0,	//390  const QPoint&, const QMatrix&
    184, 278, 0,	//393  Qt::KeyboardModifier, int
    181, 278, 0,	//396  Qt::ItemFlag, int
    176, 65, 0,	//399  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    250, 250, 0,	//402  const QPoint&, const QPoint&
    128, 278, 0,	//405  QString::SectionFlag, int
    216, 278, 0,	//408  Qt::WindowType, int
    145, 145, 0,	//411  QWidget::RenderFlag, QWidget::RenderFlag
    268, 265, 0,	//414  const QStringRef&, const QString&
    238, 238, 0,	//417  const QLatin1String&, const QLatin1String&
    234, 234, 0,	//420  const QHashDummyValue&, const QHashDummyValue&
    26, 26, 0,	//423  KUrl::EqualsOption, KUrl::EqualsOption
    139, 139, 0,	//426  QUrl::FormattingOption, QUrl::FormattingOption
    39, 81, 0,	//429  QDataStream&, QIcon&
    39, 253, 0,	//432  QDataStream&, const QPolygon&
    209, 278, 0,	//435  Qt::TouchPointState, int
    7, 50, 0,	//438  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    145, 60, 0,	//441  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    268, 275, 0,	//444  const QStringRef&, const char*
    23, 278, 0,	//447  KUrl::CleanPathOption, int
    27, 27, 0,	//450  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    5, 5, 0,	//453  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    39, 240, 0,	//456  QDataStream&, const QLineF&
    39, 30, 0,	//459  QDataStream&, QBrush&
    39, 252, 0,	//462  QDataStream&, const QPointF&
    265, 265, 0,	//465  const QString&, const QString&
    265, 268, 0,	//468  const QString&, const QStringRef&
    26, 278, 0,	//471  KUrl::EqualsOption, int
    7, 278, 0,	//474  KDialog::CaptionFlag, int
    124, 278, 0,	//477  QSizePolicy::ControlType, int
    39, 123, 0,	//480  QDataStream&, QSizePolicy&
    275, 268, 0,	//483  const char*, const QStringRef&
    39, 92, 0,	//486  QDataStream&, QMatrix&
    189, 278, 0,	//489  Qt::MouseButton, int
    39, 121, 0,	//492  QDataStream&, QSize&
    178, 178, 0,	//495  Qt::InputMethodHint, Qt::InputMethodHint
    39, 142, 0,	//498  QDataStream&, QVariant::Type&
    203, 72, 0,	//501  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    240, 270, 0,	//504  const QLineF&, const QTransform&
    268, 238, 0,	//507  const QStringRef&, const QLatin1String&
    39, 254, 0,	//510  QDataStream&, const QPolygonF&
    39, 262, 0,	//513  QDataStream&, const QSizeF&
    206, 73, 0,	//516  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    39, 233, 0,	//519  QDataStream&, const QFont&
    26, 54, 0,	//522  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    39, 242, 0,	//525  QDataStream&, const QMatrix&
    220, 265, 0,	//528  char, const QString&
    215, 215, 0,	//531  Qt::WindowState, Qt::WindowState
    139, 59, 0,	//534  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    39, 112, 0,	//537  QDataStream&, QPolygonF&
    39, 103, 0,	//540  QDataStream&, QPalette&
    39, 246, 0,	//543  QDataStream&, const QPainterPath&
    256, 256, 0,	//546  const QRectF&, const QRectF&
    277, 260, 0,	//549  double, const QSize&
    277, 250, 0,	//552  double, const QPoint&
    39, 250, 0,	//555  QDataStream&, const QPoint&
    39, 236, 0,	//558  QDataStream&, const QImage&
    227, 220, 0,	//561  const QByteArray&, char
    39, 78, 0,	//564  QDataStream&, QFont&
    128, 58, 0,	//567  QString::SectionFlag, QFlags<QString::SectionFlag>
    39, 260, 0,	//570  QDataStream&, const QSize&
    39, 114, 0,	//573  QDataStream&, QRectF&
    39, 228, 0,	//576  QDataStream&, const QChar&
    219, 29, 0,	//579  bool, QBool
    27, 55, 0,	//582  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    253, 270, 0,	//585  const QPolygon&, const QTransform&
    29, 219, 0,	//588  QBool, bool
    215, 278, 0,	//591  Qt::WindowState, int
    39, 130, 0,	//594  QDataStream&, QStringList&
    39, 255, 0,	//597  QDataStream&, const QRect&
    24, 278, 0,	//600  KUrl::DirectoryOption, int
    39, 258, 0,	//603  QDataStream&, const QRegion&
    165, 165, 0,	//606  Qt::DockWidgetArea, Qt::DockWidgetArea
    39, 229, 0,	//609  QDataStream&, const QColor&
    216, 216, 0,	//612  Qt::WindowType, Qt::WindowType
    260, 277, 0,	//615  const QSize&, double
    127, 265, 0,	//618  QString::Null, const QString&
    178, 66, 0,	//621  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    39, 106, 0,	//624  QDataStream&, QPoint&
    39, 41, 0,	//627  QDataStream&, QDateTime&
    39, 269, 0,	//630  QDataStream&, const QTime&
    39, 86, 0,	//633  QDataStream&, QKeySequence&
    258, 270, 0,	//636  const QRegion&, const QTransform&
    128, 128, 0,	//639  QString::SectionFlag, QString::SectionFlag
    80, 278, 0,	//642  QIODevice::OpenModeFlag, int
    172, 64, 0,	//645  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    254, 242, 0,	//648  const QPolygonF&, const QMatrix&
    39, 110, 0,	//651  QDataStream&, QPolygon&
    25, 53, 0,	//654  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    39, 126, 0,	//657  QDataStream&, QString&
    39, 265, 0,	//660  QDataStream&, const QString&
    39, 33, 0,	//663  QDataStream&, QChar&
    203, 203, 0,	//666  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    39, 104, 0,	//669  QDataStream&, QPixmap&
    5, 48, 0,	//672  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    265, 227, 0,	//675  const QString&, const QByteArray&
    39, 113, 0,	//678  QDataStream&, QRect&
    176, 278, 0,	//681  Qt::ImageConversionFlag, int
    39, 235, 0,	//684  QDataStream&, const QIcon&
    39, 273, 0,	//687  QDataStream&, const QVariant::Type
    39, 90, 0,	//690  QDataStream&, QLineF&
    39, 101, 0,	//693  QDataStream&, QPainterPath&
    209, 209, 0,	//696  Qt::TouchPointState, Qt::TouchPointState
    203, 278, 0,	//699  Qt::TextInteractionFlag, int
    250, 270, 0,	//702  const QPoint&, const QTransform&
    39, 232, 0,	//705  QDataStream&, const QDateTime&
    39, 134, 0,	//708  QDataStream&, QTime&
    176, 176, 0,	//711  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    167, 63, 0,	//714  Qt::DropAction, QFlags<Qt::DropAction>
    167, 167, 0,	//717  Qt::DropAction, Qt::DropAction
    191, 278, 0,	//720  Qt::Orientation, int
    258, 242, 0,	//723  const QRegion&, const QMatrix&
    39, 138, 0,	//726  QDataStream&, QUrl&
    265, 32, 0,	//729  const QString&, QChar
    191, 71, 0,	//732  Qt::Orientation, QFlags<Qt::Orientation>
    11, 278, 0,	//735  KIconLoader::Group&, int
    34, 0,	//738  QChildEvent*
    77, 0,	//740  QFocusEvent*
    143, 0,	//742  QWheelEvent*
    95, 0,	//744  QMoveEvent*
    133, 0,	//746  QTabletEvent*
    28, 0,	//748  QActionEvent*
    43, 0,	//750  QDragEnterEvent*
    45, 0,	//752  QDragMoveEvent*
    44, 0,	//754  QDragLeaveEvent*
    46, 0,	//756  QDropEvent*
    218, 0,	//758  _XEvent*
    97, 0,	//760  QPaintDevice::PaintDeviceMetric
    84, 0,	//762  QInputMethodEvent*
    179, 0,	//764  Qt::InputMethodQuery
    132, 0,	//766  QStyle&
    247, 0,	//768  const QPalette&
    233, 0,	//770  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Button",	//4
    "Button#",	//5
    "Button$$#",	//6
    "Cancel",	//7
    "Close",	//8
    "Default",	//9
    "DelayedPopup",	//10
    "Deleted",	//11
    "Details",	//12
    "DownloadDialog",	//13
    "DownloadDialog#",	//14
    "DownloadDialog$",	//15
    "DownloadDialog$#",	//16
    "Downloadable",	//17
    "DrawChildren",	//18
    "DrawWindowBackground",	//19
    "Entry",	//20
    "Entry#",	//21
    "HIGCompliantCaption",	//22
    "Help",	//23
    "IgnoreMask",	//24
    "Installed",	//25
    "Installing",	//26
    "InstantPopup",	//27
    "Invalid",	//28
    "ModifiedCaption",	//29
    "No",	//30
    "NoCaptionFlags",	//31
    "NoDefault",	//32
    "None",	//33
    "Ok",	//34
    "Q_COMPLEX_TYPE",	//35
    "Q_DUMMY_TYPE",	//36
    "Q_MOVABLE_TYPE",	//37
    "Q_PRIMITIVE_TYPE",	//38
    "Q_STATIC_TYPE",	//39
    "QtCriticalMsg",	//40
    "QtDebugMsg",	//41
    "QtFatalMsg",	//42
    "QtSystemMsg",	//43
    "QtWarningMsg",	//44
    "Rejected",	//45
    "Reset",	//46
    "Try",	//47
    "Updateable",	//48
    "Updating",	//49
    "UploadDialog",	//50
    "UploadDialog#",	//51
    "UploadDialog$",	//52
    "UploadDialog$#",	//53
    "User1",	//54
    "User2",	//55
    "User3",	//56
    "Yes",	//57
    "aboutToShowDialog",	//58
    "accept",	//59
    "actionEvent",	//60
    "category",	//61
    "changeEvent",	//62
    "changedEntries",	//63
    "checkStateSet",	//64
    "childEvent",	//65
    "closeEvent",	//66
    "connectNotify",	//67
    "contextMenuEvent",	//68
    "customEvent",	//69
    "devType",	//70
    "dialogFinished",	//71
    "dialogFinished?",	//72
    "disconnectNotify",	//73
    "done",	//74
    "dragEnterEvent",	//75
    "dragLeaveEvent",	//76
    "dragMoveEvent",	//77
    "dragObject",	//78
    "dropEvent",	//79
    "enabledChange",	//80
    "enterEvent",	//81
    "event",	//82
    "eventFilter",	//83
    "focusInEvent",	//84
    "focusNextPrevChild",	//85
    "focusOutEvent",	//86
    "fontChange",	//87
    "heightForWidth",	//88
    "hideEvent",	//89
    "hitButton",	//90
    "id",	//91
    "inputMethodEvent",	//92
    "inputMethodQuery",	//93
    "installedEntries",	//94
    "installedFiles",	//95
    "keyPressEvent",	//96
    "keyReleaseEvent",	//97
    "languageChange",	//98
    "leaveEvent",	//99
    "license",	//100
    "metaObject",	//101
    "metric",	//102
    "minimumSizeHint",	//103
    "mouseDoubleClickEvent",	//104
    "mouseMoveEvent",	//105
    "mousePressEvent",	//106
    "mouseReleaseEvent",	//107
    "moveEvent",	//108
    "name",	//109
    "nextCheckState",	//110
    "operator!=",	//111
    "operator!=##",	//112
    "operator!=#$",	//113
    "operator!=$#",	//114
    "operator!=$$",	//115
    "operator*",	//116
    "operator*##",	//117
    "operator*#$",	//118
    "operator*$#",	//119
    "operator+",	//120
    "operator+##",	//121
    "operator+#$",	//122
    "operator+$#",	//123
    "operator+$$",	//124
    "operator++",	//125
    "operator++$",	//126
    "operator++$$",	//127
    "operator-",	//128
    "operator-#",	//129
    "operator-##",	//130
    "operator-#$",	//131
    "operator/",	//132
    "operator/#$",	//133
    "operator<",	//134
    "operator<##",	//135
    "operator<#$",	//136
    "operator<$#",	//137
    "operator<$$",	//138
    "operator<<",	//139
    "operator<<##",	//140
    "operator<<#$",	//141
    "operator<<#?",	//142
    "operator<=",	//143
    "operator<=##",	//144
    "operator<=#$",	//145
    "operator<=$#",	//146
    "operator<=$$",	//147
    "operator=",	//148
    "operator=#",	//149
    "operator==",	//150
    "operator==##",	//151
    "operator==#$",	//152
    "operator==$#",	//153
    "operator==$$",	//154
    "operator>",	//155
    "operator>##",	//156
    "operator>#$",	//157
    "operator>$#",	//158
    "operator>$$",	//159
    "operator>=",	//160
    "operator>=##",	//161
    "operator>=#$",	//162
    "operator>=$#",	//163
    "operator>=$$",	//164
    "operator>>",	//165
    "operator>>##",	//166
    "operator>>#$",	//167
    "operator>>#?",	//168
    "operator|",	//169
    "operator|$$",	//170
    "paintEngine",	//171
    "paintEvent",	//172
    "paletteChange",	//173
    "providerId",	//174
    "qt_metacall",	//175
    "qt_metacall$$?",	//176
    "qt_metacast",	//177
    "qt_metacast$",	//178
    "reject",	//179
    "resizeEvent",	//180
    "selectCategory",	//181
    "selectCategory$",	//182
    "setButtonText",	//183
    "setButtonText$",	//184
    "setCaption",	//185
    "setChangelog",	//186
    "setChangelog$",	//187
    "setConfigFile",	//188
    "setConfigFile$",	//189
    "setDescription",	//190
    "setDescription$",	//191
    "setPlainCaption",	//192
    "setPreviewImageFile",	//193
    "setPreviewImageFile$#",	//194
    "setPrice",	//195
    "setPrice$",	//196
    "setPriceEnabled",	//197
    "setPriceEnabled$",	//198
    "setPriceReason",	//199
    "setPriceReason$",	//200
    "setUploadFile",	//201
    "setUploadFile#",	//202
    "setUploadName",	//203
    "setUploadName$",	//204
    "setVersion",	//205
    "setVersion$",	//206
    "setVisible",	//207
    "showDialog",	//208
    "showEvent",	//209
    "sizeHint",	//210
    "slotButtonClicked",	//211
    "startDrag",	//212
    "staticMetaObject",	//213
    "status",	//214
    "styleChange",	//215
    "summary",	//216
    "tabletEvent",	//217
    "timerEvent",	//218
    "tr",	//219
    "tr$",	//220
    "tr$$",	//221
    "tr$$$",	//222
    "trUtf8",	//223
    "trUtf8$",	//224
    "trUtf8$$",	//225
    "trUtf8$$$",	//226
    "uninstalledFiles",	//227
    "version",	//228
    "wheelEvent",	//229
    "windowActivationChange",	//230
    "x11Event",	//231
    "~Button",	//232
    "~DownloadDialog",	//233
    "~Entry",	//234
    "~UploadDialog",	//235
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//1 KDialog::sizeHint() const
    {5, 103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//2 KDialog::minimumSizeHint() const
    {5, 185, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//3 KDialog::setCaption(const QString&)
    {5, 185, 3, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//4 KDialog::setCaption(const QString&, bool)
    {5, 192, 1, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//5 KDialog::setPlainCaption(const QString&)
    {5, 89, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 KDialog::hideEvent(QHideEvent*)
    {5, 66, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 KDialog::closeEvent(QCloseEvent*)
    {5, 96, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//8 KDialog::keyPressEvent(QKeyEvent*)
    {5, 211, 12, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//9 KDialog::slotButtonClicked(int)
    {5, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 10},	//10 KDialog::None (enum)
    {5, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 11},	//11 KDialog::Help (enum)
    {5, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 12},	//12 KDialog::Default (enum)
    {5, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 13},	//13 KDialog::Ok (enum)
    {5, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 14},	//14 KDialog::Apply (enum)
    {5, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 15},	//15 KDialog::Try (enum)
    {5, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 16},	//16 KDialog::Cancel (enum)
    {5, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 17},	//17 KDialog::Close (enum)
    {5, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 18},	//18 KDialog::No (enum)
    {5, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 19},	//19 KDialog::Yes (enum)
    {5, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 20},	//20 KDialog::Reset (enum)
    {5, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 21},	//21 KDialog::Details (enum)
    {5, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 22},	//22 KDialog::User1 (enum)
    {5, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 23},	//23 KDialog::User2 (enum)
    {5, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 24},	//24 KDialog::User3 (enum)
    {5, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 25},	//25 KDialog::NoDefault (enum)
    {5, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 26},	//26 KDialog::NoCaptionFlags (enum)
    {5, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 27},	//27 KDialog::AppNameCaption (enum)
    {5, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 28},	//28 KDialog::ModifiedCaption (enum)
    {5, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 29},	//29 KDialog::HIGCompliantCaption (enum)
    {8, 101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 1},	//30 KNS3::Button::metaObject() const
    {8, 177, 14, 1, Smoke::mf_virtual, 281, 2},	//31 KNS3::Button::qt_metacast(const char*)
    {8, 219, 16, 2, Smoke::mf_static, 125, 3},	//32 KNS3::Button::tr(const char*, const char*)
    {8, 223, 16, 2, Smoke::mf_static, 125, 4},	//33 KNS3::Button::trUtf8(const char*, const char*)
    {8, 219, 19, 3, Smoke::mf_static, 125, 5},	//34 KNS3::Button::tr(const char*, const char*, int)
    {8, 223, 19, 3, Smoke::mf_static, 125, 6},	//35 KNS3::Button::trUtf8(const char*, const char*, int)
    {8, 175, 23, 3, Smoke::mf_virtual, 278, 7},	//36 KNS3::Button::qt_metacall(QMetaObject::Call, int, void**)
    {8, 4, 27, 3, Smoke::mf_ctor, 13, 8},	//37 KNS3::Button::Button(const QString&, const QString&, QWidget*)
    {8, 4, 31, 1, Smoke::mf_ctor, 13, 9},	//38 KNS3::Button::Button(QWidget*)
    {8, 188, 1, 1, 0, 0, 10},	//39 KNS3::Button::setConfigFile(const QString&)
    {8, 183, 1, 1, 0, 0, 11},	//40 KNS3::Button::setButtonText(const QString&)
    {8, 58, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//41 KNS3::Button::aboutToShowDialog()
    {8, 71, 33, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//42 KNS3::Button::dialogFinished(const KNS3::Entry::List&)
    {8, 208, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 14},	//43 KNS3::Button::showDialog()
    {8, 219, 14, 1, Smoke::mf_static, 125, 15},	//44 KNS3::Button::tr(const char*)
    {8, 223, 14, 1, Smoke::mf_static, 125, 16},	//45 KNS3::Button::trUtf8(const char*)
    {8, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 243, 17},	//46 KNS3::Button::staticMetaObject() const
    {8, 232, 0, 0, Smoke::mf_dtor, 0, 18 },	//47 KNS3::Button::~Button()
    {9, 101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 1},	//48 KNS3::DownloadDialog::metaObject() const
    {9, 177, 14, 1, Smoke::mf_virtual, 281, 2},	//49 KNS3::DownloadDialog::qt_metacast(const char*)
    {9, 219, 16, 2, Smoke::mf_static, 125, 3},	//50 KNS3::DownloadDialog::tr(const char*, const char*)
    {9, 223, 16, 2, Smoke::mf_static, 125, 4},	//51 KNS3::DownloadDialog::trUtf8(const char*, const char*)
    {9, 219, 19, 3, Smoke::mf_static, 125, 5},	//52 KNS3::DownloadDialog::tr(const char*, const char*, int)
    {9, 223, 19, 3, Smoke::mf_static, 125, 6},	//53 KNS3::DownloadDialog::trUtf8(const char*, const char*, int)
    {9, 175, 23, 3, Smoke::mf_virtual, 278, 7},	//54 KNS3::DownloadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {9, 13, 31, 1, Smoke::mf_ctor, 14, 8},	//55 KNS3::DownloadDialog::DownloadDialog(QWidget*)
    {9, 13, 35, 2, Smoke::mf_ctor, 14, 9},	//56 KNS3::DownloadDialog::DownloadDialog(const QString&, QWidget*)
    {9, 63, 0, 0, 0, 91, 10},	//57 KNS3::DownloadDialog::changedEntries()
    {9, 94, 0, 0, 0, 91, 11},	//58 KNS3::DownloadDialog::installedEntries()
    {9, 219, 14, 1, Smoke::mf_static, 125, 12},	//59 KNS3::DownloadDialog::tr(const char*)
    {9, 223, 14, 1, Smoke::mf_static, 125, 13},	//60 KNS3::DownloadDialog::trUtf8(const char*)
    {9, 13, 0, 0, Smoke::mf_ctor, 14, 14},	//61 KNS3::DownloadDialog::DownloadDialog()
    {9, 13, 1, 1, Smoke::mf_ctor, 14, 15},	//62 KNS3::DownloadDialog::DownloadDialog(const QString&)
    {9, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 243, 16},	//63 KNS3::DownloadDialog::staticMetaObject() const
    {9, 233, 0, 0, Smoke::mf_dtor, 0, 17 },	//64 KNS3::DownloadDialog::~DownloadDialog()
    {10, 20, 38, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 16, 1},	//65 KNS3::Entry::Entry(const KNS3::Entry&)
    {10, 148, 38, 1, 0, 15, 2},	//66 KNS3::Entry::operator=(const KNS3::Entry&)
    {10, 109, 0, 0, Smoke::mf_const, 125, 3},	//67 KNS3::Entry::name() const
    {10, 61, 0, 0, Smoke::mf_const, 125, 4},	//68 KNS3::Entry::category() const
    {10, 95, 0, 0, Smoke::mf_const, 129, 5},	//69 KNS3::Entry::installedFiles() const
    {10, 227, 0, 0, Smoke::mf_const, 129, 6},	//70 KNS3::Entry::uninstalledFiles() const
    {10, 214, 0, 0, Smoke::mf_const, 17, 7},	//71 KNS3::Entry::status() const
    {10, 100, 0, 0, Smoke::mf_const, 125, 8},	//72 KNS3::Entry::license() const
    {10, 216, 0, 0, Smoke::mf_const, 125, 9},	//73 KNS3::Entry::summary() const
    {10, 228, 0, 0, Smoke::mf_const, 125, 10},	//74 KNS3::Entry::version() const
    {10, 91, 0, 0, Smoke::mf_const, 125, 11},	//75 KNS3::Entry::id() const
    {10, 174, 0, 0, Smoke::mf_const, 125, 12},	//76 KNS3::Entry::providerId() const
    {10, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 13},	//77 KNS3::Entry::Invalid (enum)
    {10, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 14},	//78 KNS3::Entry::Downloadable (enum)
    {10, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 15},	//79 KNS3::Entry::Installed (enum)
    {10, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 16},	//80 KNS3::Entry::Updateable (enum)
    {10, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 17},	//81 KNS3::Entry::Deleted (enum)
    {10, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 18},	//82 KNS3::Entry::Installing (enum)
    {10, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 19},	//83 KNS3::Entry::Updating (enum)
    {10, 234, 0, 0, Smoke::mf_dtor, 0, 20 },	//84 KNS3::Entry::~Entry()
    {11, 101, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 244, 1},	//85 KNS3::UploadDialog::metaObject() const
    {11, 177, 14, 1, Smoke::mf_virtual, 281, 2},	//86 KNS3::UploadDialog::qt_metacast(const char*)
    {11, 219, 16, 2, Smoke::mf_static, 125, 3},	//87 KNS3::UploadDialog::tr(const char*, const char*)
    {11, 223, 16, 2, Smoke::mf_static, 125, 4},	//88 KNS3::UploadDialog::trUtf8(const char*, const char*)
    {11, 219, 19, 3, Smoke::mf_static, 125, 5},	//89 KNS3::UploadDialog::tr(const char*, const char*, int)
    {11, 223, 19, 3, Smoke::mf_static, 125, 6},	//90 KNS3::UploadDialog::trUtf8(const char*, const char*, int)
    {11, 175, 23, 3, Smoke::mf_virtual, 278, 7},	//91 KNS3::UploadDialog::qt_metacall(QMetaObject::Call, int, void**)
    {11, 50, 31, 1, Smoke::mf_ctor, 18, 8},	//92 KNS3::UploadDialog::UploadDialog(QWidget*)
    {11, 50, 35, 2, Smoke::mf_ctor, 18, 9},	//93 KNS3::UploadDialog::UploadDialog(const QString&, QWidget*)
    {11, 201, 40, 1, 0, 0, 10},	//94 KNS3::UploadDialog::setUploadFile(const KUrl&)
    {11, 203, 1, 1, 0, 0, 11},	//95 KNS3::UploadDialog::setUploadName(const QString&)
    {11, 205, 1, 1, 0, 0, 12},	//96 KNS3::UploadDialog::setVersion(const QString&)
    {11, 190, 1, 1, 0, 0, 13},	//97 KNS3::UploadDialog::setDescription(const QString&)
    {11, 186, 1, 1, 0, 0, 14},	//98 KNS3::UploadDialog::setChangelog(const QString&)
    {11, 193, 42, 2, 0, 0, 15},	//99 KNS3::UploadDialog::setPreviewImageFile(unsigned int, const KUrl&)
    {11, 197, 45, 1, 0, 0, 16},	//100 KNS3::UploadDialog::setPriceEnabled(bool)
    {11, 195, 47, 1, 0, 0, 17},	//101 KNS3::UploadDialog::setPrice(double)
    {11, 199, 1, 1, 0, 0, 18},	//102 KNS3::UploadDialog::setPriceReason(const QString&)
    {11, 181, 1, 1, 0, 0, 19},	//103 KNS3::UploadDialog::selectCategory(const QString&)
    {11, 59, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//104 KNS3::UploadDialog::accept()
    {11, 219, 14, 1, Smoke::mf_static, 125, 21},	//105 KNS3::UploadDialog::tr(const char*)
    {11, 223, 14, 1, Smoke::mf_static, 125, 22},	//106 KNS3::UploadDialog::trUtf8(const char*)
    {11, 50, 0, 0, Smoke::mf_ctor, 18, 23},	//107 KNS3::UploadDialog::UploadDialog()
    {11, 50, 1, 1, Smoke::mf_ctor, 18, 24},	//108 KNS3::UploadDialog::UploadDialog(const QString&)
    {11, 213, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 243, 25},	//109 KNS3::UploadDialog::staticMetaObject() const
    {11, 235, 0, 0, Smoke::mf_dtor, 0, 26 },	//110 KNS3::UploadDialog::~UploadDialog()
    {12, 210, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//111 KPushButton::sizeHint() const
    {12, 78, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 42, 0},	//112 KPushButton::dragObject()
    {12, 106, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//113 KPushButton::mousePressEvent(QMouseEvent*)
    {12, 105, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//114 KPushButton::mouseMoveEvent(QMouseEvent*)
    {12, 172, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//115 KPushButton::paintEvent(QPaintEvent*)
    {12, 212, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//116 KPushButton::startDrag()
    {15, 90, 53, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//117 QAbstractButton::hitButton(const QPoint&) const
    {15, 64, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//118 QAbstractButton::checkStateSet()
    {15, 110, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//119 QAbstractButton::nextCheckState()
    {15, 97, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//120 QAbstractButton::keyReleaseEvent(QKeyEvent*)
    {15, 107, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//121 QAbstractButton::mouseReleaseEvent(QMouseEvent*)
    {15, 62, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//122 QAbstractButton::changeEvent(QEvent*)
    {15, 218, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//123 QAbstractButton::timerEvent(QTimerEvent*)
    {29, 207, 45, 1, Smoke::mf_virtual, 0, 0},	//124 QDialog::setVisible(bool)
    {29, 74, 12, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//125 QDialog::done(int)
    {29, 59, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//126 QDialog::accept()
    {29, 179, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//127 QDialog::reject()
    {29, 209, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//128 QDialog::showEvent(QShowEvent*)
    {29, 180, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//129 QDialog::resizeEvent(QResizeEvent*)
    {29, 68, 63, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//130 QDialog::contextMenuEvent(QContextMenuEvent*)
    {29, 83, 65, 2, Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//131 QDialog::eventFilter(QObject*, QEvent*)
    {38, 169, 68, 2, Smoke::mf_static, 83, 1},	//132 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {38, 116, 71, 2, Smoke::mf_static, 249, 2},	//133 QGlobalSpace::operator*(const QPoint&, double)
    {38, 116, 74, 2, Smoke::mf_static, 251, 3},	//134 QGlobalSpace::operator*(double, const QPointF&)
    {38, 169, 77, 2, Smoke::mf_static, 70, 4},	//135 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {38, 111, 80, 2, Smoke::mf_static, 219, 5},	//136 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {38, 116, 83, 2, Smoke::mf_static, 261, 6},	//137 QGlobalSpace::operator*(double, const QSizeF&)
    {38, 165, 86, 2, Smoke::mf_static, 39, 7},	//138 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {38, 139, 89, 2, Smoke::mf_static, 39, 8},	//139 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {38, 169, 92, 2, Smoke::mf_static, 83, 9},	//140 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {38, 111, 95, 2, Smoke::mf_static, 219, 10},	//141 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {38, 120, 98, 2, Smoke::mf_static, 259, 11},	//142 QGlobalSpace::operator+(const QSize&, const QSize&)
    {38, 139, 101, 2, Smoke::mf_static, 39, 12},	//143 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {38, 116, 104, 2, Smoke::mf_static, 107, 13},	//144 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {38, 116, 107, 2, Smoke::mf_static, 87, 14},	//145 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {38, 150, 80, 2, Smoke::mf_static, 219, 15},	//146 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {38, 169, 110, 2, Smoke::mf_static, 75, 16},	//147 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {38, 116, 113, 2, Smoke::mf_static, 261, 17},	//148 QGlobalSpace::operator*(const QSizeF&, double)
    {38, 139, 116, 2, Smoke::mf_static, 39, 18},	//149 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {38, 155, 119, 2, Smoke::mf_static, 219, 19},	//150 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {38, 128, 122, 2, Smoke::mf_static, 261, 20},	//151 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {38, 160, 125, 2, Smoke::mf_static, 219, 21},	//152 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {38, 150, 128, 2, Smoke::mf_static, 219, 22},	//153 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {38, 169, 131, 2, Smoke::mf_static, 70, 23},	//154 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {38, 169, 134, 2, Smoke::mf_static, 51, 24},	//155 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {38, 169, 137, 2, Smoke::mf_static, 51, 25},	//156 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {38, 111, 140, 2, Smoke::mf_static, 219, 26},	//157 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {38, 150, 143, 2, Smoke::mf_static, 219, 27},	//158 QGlobalSpace::operator==(QBool, QBool)
    {38, 169, 146, 2, Smoke::mf_static, 83, 28},	//159 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {38, 169, 149, 2, Smoke::mf_static, 61, 29},	//160 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {38, 150, 152, 2, Smoke::mf_static, 219, 30},	//161 QGlobalSpace::operator==(QString::Null, QString::Null)
    {38, 139, 155, 2, Smoke::mf_static, 39, 31},	//162 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {38, 120, 158, 2, Smoke::mf_static, 264, 32},	//163 QGlobalSpace::operator+(QChar, const QString&)
    {38, 169, 161, 2, Smoke::mf_static, 56, 33},	//164 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {38, 169, 164, 2, Smoke::mf_static, 49, 34},	//165 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {38, 139, 167, 2, Smoke::mf_static, 39, 35},	//166 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {38, 125, 170, 1, Smoke::mf_static, 11, 36},	//167 QGlobalSpace::operator++(KIconLoader::Group&)
    {38, 139, 172, 2, Smoke::mf_static, 39, 37},	//168 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {38, 116, 175, 2, Smoke::mf_static, 111, 38},	//169 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {38, 169, 178, 2, Smoke::mf_static, 73, 39},	//170 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {38, 169, 181, 2, Smoke::mf_static, 83, 40},	//171 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {38, 120, 122, 2, Smoke::mf_static, 261, 41},	//172 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {38, 169, 184, 2, Smoke::mf_static, 83, 42},	//173 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {38, 169, 187, 2, Smoke::mf_static, 83, 43},	//174 QGlobalSpace::operator|(Qt::DropAction, int)
    {38, 139, 190, 2, Smoke::mf_static, 39, 44},	//175 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {38, 169, 193, 2, Smoke::mf_static, 53, 45},	//176 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {38, 169, 196, 2, Smoke::mf_static, 61, 46},	//177 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {38, 165, 199, 2, Smoke::mf_static, 39, 47},	//178 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {38, 139, 202, 2, Smoke::mf_static, 39, 48},	//179 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {38, 169, 205, 2, Smoke::mf_static, 83, 49},	//180 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {38, 134, 208, 2, Smoke::mf_static, 219, 50},	//181 QGlobalSpace::operator<(const QByteArray&, const char*)
    {38, 169, 211, 2, Smoke::mf_static, 52, 51},	//182 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {38, 169, 214, 2, Smoke::mf_static, 62, 52},	//183 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {38, 169, 217, 2, Smoke::mf_static, 50, 53},	//184 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {38, 116, 220, 2, Smoke::mf_static, 87, 54},	//185 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {38, 169, 223, 2, Smoke::mf_static, 52, 55},	//186 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {38, 116, 226, 2, Smoke::mf_static, 89, 56},	//187 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {38, 169, 229, 2, Smoke::mf_static, 71, 57},	//188 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {38, 116, 232, 2, Smoke::mf_static, 100, 58},	//189 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {38, 169, 235, 2, Smoke::mf_static, 83, 59},	//190 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {38, 165, 238, 2, Smoke::mf_static, 39, 60},	//191 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {38, 139, 241, 2, Smoke::mf_static, 39, 61},	//192 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {38, 169, 244, 2, Smoke::mf_static, 83, 62},	//193 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {38, 120, 247, 2, Smoke::mf_static, 264, 63},	//194 QGlobalSpace::operator+(const QString&, const char*)
    {38, 139, 250, 2, Smoke::mf_static, 39, 64},	//195 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {38, 169, 253, 2, Smoke::mf_static, 64, 65},	//196 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {38, 165, 256, 2, Smoke::mf_static, 39, 66},	//197 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {38, 169, 259, 2, Smoke::mf_static, 56, 67},	//198 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {38, 120, 262, 2, Smoke::mf_static, 226, 68},	//199 QGlobalSpace::operator+(char, const QByteArray&)
    {38, 132, 71, 2, Smoke::mf_static, 249, 69},	//200 QGlobalSpace::operator/(const QPoint&, double)
    {38, 120, 265, 2, Smoke::mf_static, 264, 70},	//201 QGlobalSpace::operator+(const char*, const QString&)
    {38, 150, 268, 2, Smoke::mf_static, 219, 71},	//202 QGlobalSpace::operator==(const char*, const QByteArray&)
    {38, 165, 271, 2, Smoke::mf_static, 39, 72},	//203 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {38, 165, 274, 2, Smoke::mf_static, 39, 73},	//204 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {38, 169, 277, 2, Smoke::mf_static, 83, 74},	//205 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {38, 165, 280, 2, Smoke::mf_static, 39, 75},	//206 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {38, 150, 283, 2, Smoke::mf_static, 219, 76},	//207 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {38, 132, 286, 2, Smoke::mf_static, 136, 77},	//208 QGlobalSpace::operator/(const QTransform&, double)
    {38, 143, 265, 2, Smoke::mf_static, 219, 78},	//209 QGlobalSpace::operator<=(const char*, const QString&)
    {38, 111, 289, 2, Smoke::mf_static, 219, 79},	//210 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {38, 134, 292, 2, Smoke::mf_static, 219, 80},	//211 QGlobalSpace::operator<(QChar, QChar)
    {38, 116, 295, 2, Smoke::mf_static, 100, 81},	//212 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {38, 139, 298, 2, Smoke::mf_static, 39, 82},	//213 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {38, 160, 119, 2, Smoke::mf_static, 219, 83},	//214 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {38, 169, 301, 2, Smoke::mf_static, 49, 84},	//215 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {38, 165, 304, 2, Smoke::mf_static, 39, 85},	//216 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {38, 116, 307, 2, Smoke::mf_static, 251, 86},	//217 QGlobalSpace::operator*(const QPointF&, double)
    {38, 169, 310, 2, Smoke::mf_static, 83, 87},	//218 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {38, 150, 98, 2, Smoke::mf_static, 219, 88},	//219 QGlobalSpace::operator==(const QSize&, const QSize&)
    {38, 139, 313, 2, Smoke::mf_static, 39, 89},	//220 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {38, 150, 119, 2, Smoke::mf_static, 219, 90},	//221 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {38, 169, 316, 2, Smoke::mf_static, 69, 91},	//222 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {38, 169, 319, 2, Smoke::mf_static, 83, 92},	//223 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {38, 111, 125, 2, Smoke::mf_static, 219, 93},	//224 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {38, 169, 322, 2, Smoke::mf_static, 57, 94},	//225 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {38, 165, 325, 2, Smoke::mf_static, 39, 95},	//226 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {38, 169, 328, 2, Smoke::mf_static, 68, 96},	//227 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {38, 132, 113, 2, Smoke::mf_static, 261, 97},	//228 QGlobalSpace::operator/(const QSizeF&, double)
    {38, 169, 331, 2, Smoke::mf_static, 69, 98},	//229 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {38, 165, 334, 2, Smoke::mf_static, 39, 99},	//230 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {38, 116, 337, 2, Smoke::mf_static, 109, 100},	//231 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {38, 155, 292, 2, Smoke::mf_static, 219, 101},	//232 QGlobalSpace::operator>(QChar, QChar)
    {38, 160, 268, 2, Smoke::mf_static, 219, 102},	//233 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {38, 150, 340, 2, Smoke::mf_static, 219, 103},	//234 QGlobalSpace::operator==(const QString&, QString::Null)
    {38, 134, 125, 2, Smoke::mf_static, 219, 104},	//235 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {38, 165, 343, 2, Smoke::mf_static, 39, 105},	//236 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {38, 128, 346, 1, Smoke::mf_static, 251, 106},	//237 QGlobalSpace::operator-(const QPointF&)
    {38, 169, 348, 2, Smoke::mf_static, 67, 107},	//238 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {38, 139, 351, 2, Smoke::mf_static, 39, 108},	//239 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {38, 120, 354, 2, Smoke::mf_static, 264, 109},	//240 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {38, 169, 357, 2, Smoke::mf_static, 76, 110},	//241 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {38, 116, 360, 2, Smoke::mf_static, 107, 111},	//242 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {38, 169, 363, 2, Smoke::mf_static, 67, 112},	//243 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {38, 169, 366, 2, Smoke::mf_static, 74, 113},	//244 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {38, 120, 369, 2, Smoke::mf_static, 264, 114},	//245 QGlobalSpace::operator+(const QString&, char)
    {38, 160, 289, 2, Smoke::mf_static, 219, 115},	//246 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {38, 150, 140, 2, Smoke::mf_static, 219, 116},	//247 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {38, 139, 372, 2, Smoke::mf_static, 39, 117},	//248 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {38, 169, 375, 2, Smoke::mf_static, 57, 118},	//249 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {38, 139, 378, 2, Smoke::mf_static, 39, 119},	//250 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {38, 165, 381, 2, Smoke::mf_static, 39, 120},	//251 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {38, 169, 384, 2, Smoke::mf_static, 68, 121},	//252 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {38, 134, 268, 2, Smoke::mf_static, 219, 122},	//253 QGlobalSpace::operator<(const char*, const QByteArray&)
    {38, 169, 387, 2, Smoke::mf_static, 83, 123},	//254 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {38, 116, 390, 2, Smoke::mf_static, 105, 124},	//255 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {38, 169, 393, 2, Smoke::mf_static, 83, 125},	//256 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {38, 169, 396, 2, Smoke::mf_static, 83, 126},	//257 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {38, 111, 98, 2, Smoke::mf_static, 219, 127},	//258 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {38, 169, 399, 2, Smoke::mf_static, 65, 128},	//259 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {38, 143, 208, 2, Smoke::mf_static, 219, 129},	//260 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {38, 111, 402, 2, Smoke::mf_static, 219, 130},	//261 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {38, 169, 405, 2, Smoke::mf_static, 83, 131},	//262 QGlobalSpace::operator|(QString::SectionFlag, int)
    {38, 169, 408, 2, Smoke::mf_static, 83, 132},	//263 QGlobalSpace::operator|(Qt::WindowType, int)
    {38, 169, 411, 2, Smoke::mf_static, 60, 133},	//264 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {38, 150, 414, 2, Smoke::mf_static, 219, 134},	//265 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {38, 160, 417, 2, Smoke::mf_static, 219, 135},	//266 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {38, 150, 420, 2, Smoke::mf_static, 219, 136},	//267 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {38, 169, 423, 2, Smoke::mf_static, 54, 137},	//268 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {38, 169, 426, 2, Smoke::mf_static, 59, 138},	//269 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {38, 165, 429, 2, Smoke::mf_static, 39, 139},	//270 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {38, 139, 432, 2, Smoke::mf_static, 39, 140},	//271 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {38, 116, 286, 2, Smoke::mf_static, 136, 141},	//272 QGlobalSpace::operator*(const QTransform&, double)
    {38, 169, 435, 2, Smoke::mf_static, 83, 142},	//273 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {38, 169, 438, 2, Smoke::mf_static, 50, 143},	//274 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {38, 134, 289, 2, Smoke::mf_static, 219, 144},	//275 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {38, 169, 441, 2, Smoke::mf_static, 60, 145},	//276 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {38, 111, 444, 2, Smoke::mf_static, 219, 146},	//277 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {38, 111, 268, 2, Smoke::mf_static, 219, 147},	//278 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {38, 155, 289, 2, Smoke::mf_static, 219, 148},	//279 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {38, 169, 447, 2, Smoke::mf_static, 83, 149},	//280 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {38, 169, 450, 2, Smoke::mf_static, 55, 150},	//281 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {38, 169, 453, 2, Smoke::mf_static, 48, 151},	//282 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {38, 139, 456, 2, Smoke::mf_static, 39, 152},	//283 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {38, 165, 459, 2, Smoke::mf_static, 39, 153},	//284 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {38, 139, 462, 2, Smoke::mf_static, 39, 154},	//285 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {38, 120, 465, 2, Smoke::mf_static, 264, 155},	//286 QGlobalSpace::operator+(const QString&, const QString&)
    {38, 134, 265, 2, Smoke::mf_static, 219, 156},	//287 QGlobalSpace::operator<(const char*, const QString&)
    {38, 111, 265, 2, Smoke::mf_static, 219, 157},	//288 QGlobalSpace::operator!=(const char*, const QString&)
    {38, 111, 208, 2, Smoke::mf_static, 219, 158},	//289 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {38, 111, 468, 2, Smoke::mf_static, 219, 159},	//290 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {38, 169, 471, 2, Smoke::mf_static, 83, 160},	//291 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {38, 169, 474, 2, Smoke::mf_static, 83, 161},	//292 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {38, 169, 477, 2, Smoke::mf_static, 83, 162},	//293 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {38, 165, 480, 2, Smoke::mf_static, 39, 163},	//294 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {38, 155, 125, 2, Smoke::mf_static, 219, 164},	//295 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {38, 143, 119, 2, Smoke::mf_static, 219, 165},	//296 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {38, 150, 402, 2, Smoke::mf_static, 219, 166},	//297 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {38, 150, 483, 2, Smoke::mf_static, 219, 167},	//298 QGlobalSpace::operator==(const char*, const QStringRef&)
    {38, 120, 268, 2, Smoke::mf_static, 226, 168},	//299 QGlobalSpace::operator+(const char*, const QByteArray&)
    {38, 165, 486, 2, Smoke::mf_static, 39, 169},	//300 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {38, 169, 489, 2, Smoke::mf_static, 83, 170},	//301 QGlobalSpace::operator|(Qt::MouseButton, int)
    {38, 143, 289, 2, Smoke::mf_static, 219, 171},	//302 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {38, 165, 492, 2, Smoke::mf_static, 39, 172},	//303 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {38, 169, 495, 2, Smoke::mf_static, 66, 173},	//304 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {38, 165, 498, 2, Smoke::mf_static, 39, 174},	//305 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {38, 150, 292, 2, Smoke::mf_static, 219, 175},	//306 QGlobalSpace::operator==(QChar, QChar)
    {38, 169, 501, 2, Smoke::mf_static, 72, 176},	//307 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {38, 111, 414, 2, Smoke::mf_static, 219, 177},	//308 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {38, 116, 504, 2, Smoke::mf_static, 89, 178},	//309 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {38, 111, 507, 2, Smoke::mf_static, 219, 179},	//310 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {38, 139, 510, 2, Smoke::mf_static, 39, 180},	//311 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {38, 139, 513, 2, Smoke::mf_static, 39, 181},	//312 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {38, 169, 516, 2, Smoke::mf_static, 73, 182},	//313 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {38, 139, 519, 2, Smoke::mf_static, 39, 183},	//314 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {38, 169, 522, 2, Smoke::mf_static, 54, 184},	//315 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {38, 139, 525, 2, Smoke::mf_static, 39, 185},	//316 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {38, 120, 528, 2, Smoke::mf_static, 264, 186},	//317 QGlobalSpace::operator+(char, const QString&)
    {38, 111, 128, 2, Smoke::mf_static, 219, 187},	//318 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {38, 111, 292, 2, Smoke::mf_static, 219, 188},	//319 QGlobalSpace::operator!=(QChar, QChar)
    {38, 150, 417, 2, Smoke::mf_static, 219, 189},	//320 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {38, 169, 531, 2, Smoke::mf_static, 75, 190},	//321 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {38, 169, 534, 2, Smoke::mf_static, 59, 191},	//322 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {38, 150, 122, 2, Smoke::mf_static, 219, 192},	//323 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {38, 165, 537, 2, Smoke::mf_static, 39, 193},	//324 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {38, 165, 540, 2, Smoke::mf_static, 39, 194},	//325 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {38, 139, 543, 2, Smoke::mf_static, 39, 195},	//326 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {38, 150, 289, 2, Smoke::mf_static, 219, 196},	//327 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {38, 111, 546, 2, Smoke::mf_static, 219, 197},	//328 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {38, 116, 549, 2, Smoke::mf_static, 259, 198},	//329 QGlobalSpace::operator*(double, const QSize&)
    {38, 160, 208, 2, Smoke::mf_static, 219, 199},	//330 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {38, 116, 552, 2, Smoke::mf_static, 249, 200},	//331 QGlobalSpace::operator*(double, const QPoint&)
    {38, 139, 555, 2, Smoke::mf_static, 39, 201},	//332 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {38, 139, 558, 2, Smoke::mf_static, 39, 202},	//333 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {38, 120, 561, 2, Smoke::mf_static, 226, 203},	//334 QGlobalSpace::operator+(const QByteArray&, char)
    {38, 132, 307, 2, Smoke::mf_static, 251, 204},	//335 QGlobalSpace::operator/(const QPointF&, double)
    {38, 160, 292, 2, Smoke::mf_static, 219, 205},	//336 QGlobalSpace::operator>=(QChar, QChar)
    {38, 143, 125, 2, Smoke::mf_static, 219, 206},	//337 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {38, 165, 564, 2, Smoke::mf_static, 39, 207},	//338 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {38, 143, 417, 2, Smoke::mf_static, 219, 208},	//339 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {38, 169, 567, 2, Smoke::mf_static, 58, 209},	//340 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {38, 139, 570, 2, Smoke::mf_static, 39, 210},	//341 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {38, 155, 268, 2, Smoke::mf_static, 219, 211},	//342 QGlobalSpace::operator>(const char*, const QByteArray&)
    {38, 165, 573, 2, Smoke::mf_static, 39, 212},	//343 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {38, 139, 576, 2, Smoke::mf_static, 39, 213},	//344 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {38, 150, 546, 2, Smoke::mf_static, 219, 214},	//345 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {38, 111, 579, 2, Smoke::mf_static, 219, 215},	//346 QGlobalSpace::operator!=(bool, QBool)
    {38, 169, 582, 2, Smoke::mf_static, 55, 216},	//347 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {38, 116, 585, 2, Smoke::mf_static, 109, 217},	//348 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {38, 111, 588, 2, Smoke::mf_static, 219, 218},	//349 QGlobalSpace::operator!=(QBool, bool)
    {38, 169, 591, 2, Smoke::mf_static, 83, 219},	//350 QGlobalSpace::operator|(Qt::WindowState, int)
    {38, 128, 402, 2, Smoke::mf_static, 249, 220},	//351 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {38, 165, 594, 2, Smoke::mf_static, 39, 221},	//352 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {38, 120, 208, 2, Smoke::mf_static, 226, 222},	//353 QGlobalSpace::operator+(const QByteArray&, const char*)
    {38, 139, 597, 2, Smoke::mf_static, 39, 223},	//354 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {38, 111, 122, 2, Smoke::mf_static, 219, 224},	//355 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {38, 143, 268, 2, Smoke::mf_static, 219, 225},	//356 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {38, 169, 600, 2, Smoke::mf_static, 83, 226},	//357 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {38, 139, 603, 2, Smoke::mf_static, 39, 227},	//358 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {38, 169, 606, 2, Smoke::mf_static, 62, 228},	//359 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {38, 150, 468, 2, Smoke::mf_static, 219, 229},	//360 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {38, 111, 417, 2, Smoke::mf_static, 219, 230},	//361 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {38, 139, 609, 2, Smoke::mf_static, 39, 231},	//362 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {38, 169, 612, 2, Smoke::mf_static, 76, 232},	//363 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {38, 116, 615, 2, Smoke::mf_static, 259, 233},	//364 QGlobalSpace::operator*(const QSize&, double)
    {38, 150, 618, 2, Smoke::mf_static, 219, 234},	//365 QGlobalSpace::operator==(QString::Null, const QString&)
    {38, 169, 621, 2, Smoke::mf_static, 66, 235},	//366 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {38, 165, 624, 2, Smoke::mf_static, 39, 236},	//367 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {38, 150, 208, 2, Smoke::mf_static, 219, 237},	//368 QGlobalSpace::operator==(const QByteArray&, const char*)
    {38, 165, 627, 2, Smoke::mf_static, 39, 238},	//369 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {38, 155, 265, 2, Smoke::mf_static, 219, 239},	//370 QGlobalSpace::operator>(const char*, const QString&)
    {38, 139, 630, 2, Smoke::mf_static, 39, 240},	//371 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {38, 165, 633, 2, Smoke::mf_static, 39, 241},	//372 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {38, 155, 208, 2, Smoke::mf_static, 219, 242},	//373 QGlobalSpace::operator>(const QByteArray&, const char*)
    {38, 134, 119, 2, Smoke::mf_static, 219, 243},	//374 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {38, 120, 402, 2, Smoke::mf_static, 249, 244},	//375 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {38, 143, 292, 2, Smoke::mf_static, 219, 245},	//376 QGlobalSpace::operator<=(QChar, QChar)
    {38, 116, 636, 2, Smoke::mf_static, 116, 246},	//377 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {38, 111, 618, 2, Smoke::mf_static, 219, 247},	//378 QGlobalSpace::operator!=(QString::Null, const QString&)
    {38, 155, 417, 2, Smoke::mf_static, 219, 248},	//379 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {38, 169, 639, 2, Smoke::mf_static, 58, 249},	//380 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {38, 111, 340, 2, Smoke::mf_static, 219, 250},	//381 QGlobalSpace::operator!=(const QString&, QString::Null)
    {38, 169, 642, 2, Smoke::mf_static, 83, 251},	//382 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {38, 169, 645, 2, Smoke::mf_static, 64, 252},	//383 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {38, 116, 648, 2, Smoke::mf_static, 111, 253},	//384 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {38, 128, 53, 1, Smoke::mf_static, 249, 254},	//385 QGlobalSpace::operator-(const QPoint&)
    {38, 165, 651, 2, Smoke::mf_static, 39, 255},	//386 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {38, 169, 654, 2, Smoke::mf_static, 53, 256},	//387 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {38, 165, 657, 2, Smoke::mf_static, 39, 257},	//388 QGlobalSpace::operator>>(QDataStream&, QString&)
    {38, 150, 125, 2, Smoke::mf_static, 219, 258},	//389 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {38, 139, 660, 2, Smoke::mf_static, 39, 259},	//390 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {38, 128, 283, 2, Smoke::mf_static, 251, 260},	//391 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {38, 134, 417, 2, Smoke::mf_static, 219, 261},	//392 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {38, 165, 663, 2, Smoke::mf_static, 39, 262},	//393 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {38, 120, 286, 2, Smoke::mf_static, 136, 263},	//394 QGlobalSpace::operator+(const QTransform&, double)
    {38, 169, 666, 2, Smoke::mf_static, 72, 264},	//395 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {38, 150, 444, 2, Smoke::mf_static, 219, 265},	//396 QGlobalSpace::operator==(const QStringRef&, const char*)
    {38, 111, 483, 2, Smoke::mf_static, 219, 266},	//397 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {38, 165, 669, 2, Smoke::mf_static, 39, 267},	//398 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {38, 120, 125, 2, Smoke::mf_static, 226, 268},	//399 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {38, 169, 672, 2, Smoke::mf_static, 48, 269},	//400 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {38, 120, 675, 2, Smoke::mf_static, 264, 270},	//401 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {38, 165, 678, 2, Smoke::mf_static, 39, 271},	//402 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {38, 169, 681, 2, Smoke::mf_static, 83, 272},	//403 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {38, 150, 265, 2, Smoke::mf_static, 219, 273},	//404 QGlobalSpace::operator==(const char*, const QString&)
    {38, 139, 684, 2, Smoke::mf_static, 39, 274},	//405 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {38, 139, 687, 2, Smoke::mf_static, 39, 275},	//406 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {38, 132, 615, 2, Smoke::mf_static, 259, 276},	//407 QGlobalSpace::operator/(const QSize&, double)
    {38, 165, 690, 2, Smoke::mf_static, 39, 277},	//408 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {38, 165, 693, 2, Smoke::mf_static, 39, 278},	//409 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {38, 150, 579, 2, Smoke::mf_static, 219, 279},	//410 QGlobalSpace::operator==(bool, QBool)
    {38, 169, 696, 2, Smoke::mf_static, 74, 280},	//411 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {38, 169, 699, 2, Smoke::mf_static, 83, 281},	//412 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {38, 116, 702, 2, Smoke::mf_static, 105, 282},	//413 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {38, 160, 265, 2, Smoke::mf_static, 219, 283},	//414 QGlobalSpace::operator>=(const char*, const QString&)
    {38, 139, 705, 2, Smoke::mf_static, 39, 284},	//415 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {38, 165, 708, 2, Smoke::mf_static, 39, 285},	//416 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {38, 111, 283, 2, Smoke::mf_static, 219, 286},	//417 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {38, 169, 711, 2, Smoke::mf_static, 65, 287},	//418 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {38, 128, 98, 2, Smoke::mf_static, 259, 288},	//419 QGlobalSpace::operator-(const QSize&, const QSize&)
    {38, 169, 714, 2, Smoke::mf_static, 63, 289},	//420 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {38, 169, 717, 2, Smoke::mf_static, 63, 290},	//421 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {38, 169, 720, 2, Smoke::mf_static, 83, 291},	//422 QGlobalSpace::operator|(Qt::Orientation, int)
    {38, 111, 119, 2, Smoke::mf_static, 219, 292},	//423 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {38, 120, 283, 2, Smoke::mf_static, 251, 293},	//424 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {38, 116, 723, 2, Smoke::mf_static, 116, 294},	//425 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {38, 150, 588, 2, Smoke::mf_static, 219, 295},	//426 QGlobalSpace::operator==(QBool, bool)
    {38, 150, 95, 2, Smoke::mf_static, 219, 296},	//427 QGlobalSpace::operator==(const QRect&, const QRect&)
    {38, 165, 726, 2, Smoke::mf_static, 39, 297},	//428 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {38, 120, 729, 2, Smoke::mf_static, 264, 298},	//429 QGlobalSpace::operator+(const QString&, QChar)
    {38, 111, 152, 2, Smoke::mf_static, 219, 299},	//430 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {38, 169, 732, 2, Smoke::mf_static, 71, 300},	//431 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {38, 111, 143, 2, Smoke::mf_static, 219, 301},	//432 QGlobalSpace::operator!=(QBool, QBool)
    {38, 150, 507, 2, Smoke::mf_static, 219, 302},	//433 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {38, 128, 286, 2, Smoke::mf_static, 136, 303},	//434 QGlobalSpace::operator-(const QTransform&, double)
    {38, 125, 735, 2, Smoke::mf_static, 10, 304},	//435 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {38, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 305},	//436 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {38, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 306},	//437 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {38, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 307},	//438 QGlobalSpace::Q_STATIC_TYPE (enum)
    {38, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 308},	//439 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {38, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 279, 309},	//440 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {38, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 310},	//441 QGlobalSpace::QtDebugMsg (enum)
    {38, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 311},	//442 QGlobalSpace::QtWarningMsg (enum)
    {38, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 312},	//443 QGlobalSpace::QtCriticalMsg (enum)
    {38, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 313},	//444 QGlobalSpace::QtFatalMsg (enum)
    {38, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 217, 314},	//445 QGlobalSpace::QtSystemMsg (enum)
    {55, 83, 65, 2, Smoke::mf_virtual, 219, 0},	//446 QObject::eventFilter(QObject*, QEvent*)
    {55, 218, 57, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//447 QObject::timerEvent(QTimerEvent*)
    {55, 65, 738, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//448 QObject::childEvent(QChildEvent*)
    {55, 69, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//449 QObject::customEvent(QEvent*)
    {55, 67, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//450 QObject::connectNotify(const char*)
    {55, 73, 14, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//451 QObject::disconnectNotify(const char*)
    {65, 103, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 120, 0},	//452 QPushButton::minimumSizeHint() const
    {65, 82, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//453 QPushButton::event(QEvent*)
    {65, 96, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QPushButton::keyPressEvent(QKeyEvent*)
    {65, 84, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//455 QPushButton::focusInEvent(QFocusEvent*)
    {65, 86, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//456 QPushButton::focusOutEvent(QFocusEvent*)
    {86, 70, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//457 QWidget::devType() const
    {86, 207, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//458 QWidget::setVisible(bool)
    {86, 88, 12, 1, Smoke::mf_const|Smoke::mf_virtual, 278, 0},	//459 QWidget::heightForWidth(int) const
    {86, 171, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 98, 0},	//460 QWidget::paintEngine() const
    {86, 82, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//461 QWidget::event(QEvent*)
    {86, 106, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//462 QWidget::mousePressEvent(QMouseEvent*)
    {86, 107, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//463 QWidget::mouseReleaseEvent(QMouseEvent*)
    {86, 104, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//464 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {86, 105, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//465 QWidget::mouseMoveEvent(QMouseEvent*)
    {86, 229, 742, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//466 QWidget::wheelEvent(QWheelEvent*)
    {86, 97, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//467 QWidget::keyReleaseEvent(QKeyEvent*)
    {86, 84, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//468 QWidget::focusInEvent(QFocusEvent*)
    {86, 86, 740, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//469 QWidget::focusOutEvent(QFocusEvent*)
    {86, 81, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//470 QWidget::enterEvent(QEvent*)
    {86, 99, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//471 QWidget::leaveEvent(QEvent*)
    {86, 172, 51, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//472 QWidget::paintEvent(QPaintEvent*)
    {86, 108, 744, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//473 QWidget::moveEvent(QMoveEvent*)
    {86, 180, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//474 QWidget::resizeEvent(QResizeEvent*)
    {86, 66, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//475 QWidget::closeEvent(QCloseEvent*)
    {86, 68, 63, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//476 QWidget::contextMenuEvent(QContextMenuEvent*)
    {86, 217, 746, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//477 QWidget::tabletEvent(QTabletEvent*)
    {86, 60, 748, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//478 QWidget::actionEvent(QActionEvent*)
    {86, 75, 750, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//479 QWidget::dragEnterEvent(QDragEnterEvent*)
    {86, 77, 752, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//480 QWidget::dragMoveEvent(QDragMoveEvent*)
    {86, 76, 754, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//481 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {86, 79, 756, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//482 QWidget::dropEvent(QDropEvent*)
    {86, 209, 59, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//483 QWidget::showEvent(QShowEvent*)
    {86, 89, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//484 QWidget::hideEvent(QHideEvent*)
    {86, 231, 758, 1, Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//485 QWidget::x11Event(_XEvent*)
    {86, 62, 55, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//486 QWidget::changeEvent(QEvent*)
    {86, 102, 760, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 278, 0},	//487 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {86, 92, 762, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//488 QWidget::inputMethodEvent(QInputMethodEvent*)
    {86, 93, 764, 1, Smoke::mf_const|Smoke::mf_virtual, 140, 0},	//489 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {86, 85, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 219, 0},	//490 QWidget::focusNextPrevChild(bool)
    {86, 215, 766, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//491 QWidget::styleChange(QStyle&)
    {86, 80, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//492 QWidget::enabledChange(bool)
    {86, 173, 768, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//493 QWidget::paletteChange(const QPalette&)
    {86, 87, 770, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//494 QWidget::fontChange(const QFont&)
    {86, 230, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//495 QWidget::windowActivationChange(bool)
    {86, 98, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//496 QWidget::languageChange()
    {86, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 41},	//497 QWidget::DrawWindowBackground (enum)
    {86, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 42},	//498 QWidget::DrawChildren (enum)
    {86, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 145, 43},	//499 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    136,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    141,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    157,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    210,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    224,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    258,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    261,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    310,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    318,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    319,  // QGlobalSpace::operator!=(QChar, QChar)
    328,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    355,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    361,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    417,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    430,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    432,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    277,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    289,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    308,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    349,  // QGlobalSpace::operator!=(QBool, bool)
    378,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    278,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    290,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    346,  // QGlobalSpace::operator!=(bool, QBool)
    381,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    397,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    423,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    144,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    145,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    169,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    185,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    187,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    189,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    212,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    231,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    242,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    255,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    309,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    348,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    377,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    384,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    413,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    425,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    133,  // QGlobalSpace::operator*(const QPoint&, double)
    148,  // QGlobalSpace::operator*(const QSizeF&, double)
    217,  // QGlobalSpace::operator*(const QPointF&, double)
    272,  // QGlobalSpace::operator*(const QTransform&, double)
    364,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    134,  // QGlobalSpace::operator*(double, const QPointF&)
    137,  // QGlobalSpace::operator*(double, const QSizeF&)
    329,  // QGlobalSpace::operator*(double, const QSize&)
    331,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    142,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    172,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    375,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    399,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    424,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    163,  // QGlobalSpace::operator+(QChar, const QString&)
    240,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    334,  // QGlobalSpace::operator+(const QByteArray&, char)
    353,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    394,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    199,  // QGlobalSpace::operator+(char, const QByteArray&)
    299,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    401,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    429,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    194,  // QGlobalSpace::operator+(const QString&, const char*)
    201,  // QGlobalSpace::operator+(const char*, const QString&)
    245,  // QGlobalSpace::operator+(const QString&, char)
    286,  // QGlobalSpace::operator+(const QString&, const QString&)
    317,  // QGlobalSpace::operator+(char, const QString&)
    0,
    237,  // QGlobalSpace::operator-(const QPointF&)
    385,  // QGlobalSpace::operator-(const QPoint&)
    0,
    151,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    351,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    391,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    419,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    200,  // QGlobalSpace::operator/(const QPoint&, double)
    208,  // QGlobalSpace::operator/(const QTransform&, double)
    228,  // QGlobalSpace::operator/(const QSizeF&, double)
    335,  // QGlobalSpace::operator/(const QPointF&, double)
    407,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    211,  // QGlobalSpace::operator<(QChar, QChar)
    235,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    275,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    392,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    253,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    374,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    139,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    143,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    149,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    162,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    166,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    168,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    179,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    192,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    195,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    213,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    220,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    239,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    248,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    250,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    271,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    283,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    285,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    311,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    312,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    314,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    316,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    332,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    333,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    341,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    344,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    354,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    358,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    362,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    371,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    405,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    415,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    390,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    406,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    302,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    337,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    339,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    376,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    296,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    356,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    146,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    153,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    158,  // QGlobalSpace::operator==(QBool, QBool)
    161,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    207,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    219,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    247,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    267,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    297,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    306,  // QGlobalSpace::operator==(QChar, QChar)
    320,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    323,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    327,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    345,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    389,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    427,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    433,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    265,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    365,  // QGlobalSpace::operator==(QString::Null, const QString&)
    368,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    396,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    426,  // QGlobalSpace::operator==(QBool, bool)
    0,
    202,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    221,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    234,  // QGlobalSpace::operator==(const QString&, QString::Null)
    298,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    360,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    410,  // QGlobalSpace::operator==(bool, QBool)
    0,
    232,  // QGlobalSpace::operator>(QChar, QChar)
    279,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    295,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    379,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    150,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    342,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    152,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    246,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    336,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    214,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    233,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    138,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    178,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    191,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    197,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    203,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    204,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    206,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    216,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    226,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    230,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    236,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    251,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    270,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    284,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    294,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    300,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    303,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    324,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    325,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    338,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    343,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    367,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    369,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    372,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    393,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    398,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    408,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    416,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    305,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    132,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    135,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    140,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    147,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    154,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    155,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    156,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    159,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    160,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    164,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    165,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    170,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    171,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    173,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    174,  // QGlobalSpace::operator|(Qt::DropAction, int)
    176,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    177,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    180,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    182,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    183,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    184,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    186,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    188,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    190,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    193,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    196,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    198,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    205,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    215,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    218,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    222,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    223,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    225,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    227,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    229,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    238,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    241,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    243,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    244,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    249,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    252,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    254,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    256,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    257,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    259,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    262,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    263,  // QGlobalSpace::operator|(Qt::WindowType, int)
    264,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    268,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    269,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    273,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    274,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    276,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    280,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    281,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    282,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    291,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    292,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    293,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    301,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    304,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    307,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    313,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    315,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    321,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    322,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    340,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    347,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    350,  // QGlobalSpace::operator|(Qt::WindowState, int)
    357,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    359,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    363,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    366,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    380,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    382,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    383,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    387,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    395,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    400,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    403,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    411,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    412,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    418,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    420,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    421,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    422,  // QGlobalSpace::operator|(Qt::Orientation, int)
    431,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {8, 5, 38},	// KNS3::Button::Button#
    {8, 6, 37},	// KNS3::Button::Button$$#
    {8, 58, 41},	// KNS3::Button::aboutToShowDialog
    {8, 72, 42},	// KNS3::Button::dialogFinished?
    {8, 101, 30},	// KNS3::Button::metaObject
    {8, 176, 36},	// KNS3::Button::qt_metacall$$?
    {8, 178, 31},	// KNS3::Button::qt_metacast$
    {8, 184, 40},	// KNS3::Button::setButtonText$
    {8, 189, 39},	// KNS3::Button::setConfigFile$
    {8, 208, 43},	// KNS3::Button::showDialog
    {8, 213, 46},	// KNS3::Button::staticMetaObject
    {8, 220, 44},	// KNS3::Button::tr$
    {8, 221, 32},	// KNS3::Button::tr$$
    {8, 222, 34},	// KNS3::Button::tr$$$
    {8, 224, 45},	// KNS3::Button::trUtf8$
    {8, 225, 33},	// KNS3::Button::trUtf8$$
    {8, 226, 35},	// KNS3::Button::trUtf8$$$
    {8, 232, 47},	// KNS3::Button::~Button
    {9, 13, 61},	// KNS3::DownloadDialog::DownloadDialog
    {9, 14, 55},	// KNS3::DownloadDialog::DownloadDialog#
    {9, 15, 62},	// KNS3::DownloadDialog::DownloadDialog$
    {9, 16, 56},	// KNS3::DownloadDialog::DownloadDialog$#
    {9, 63, 57},	// KNS3::DownloadDialog::changedEntries
    {9, 94, 58},	// KNS3::DownloadDialog::installedEntries
    {9, 101, 48},	// KNS3::DownloadDialog::metaObject
    {9, 176, 54},	// KNS3::DownloadDialog::qt_metacall$$?
    {9, 178, 49},	// KNS3::DownloadDialog::qt_metacast$
    {9, 213, 63},	// KNS3::DownloadDialog::staticMetaObject
    {9, 220, 59},	// KNS3::DownloadDialog::tr$
    {9, 221, 50},	// KNS3::DownloadDialog::tr$$
    {9, 222, 52},	// KNS3::DownloadDialog::tr$$$
    {9, 224, 60},	// KNS3::DownloadDialog::trUtf8$
    {9, 225, 51},	// KNS3::DownloadDialog::trUtf8$$
    {9, 226, 53},	// KNS3::DownloadDialog::trUtf8$$$
    {9, 233, 64},	// KNS3::DownloadDialog::~DownloadDialog
    {10, 11, 81},	// KNS3::Entry::Deleted
    {10, 17, 78},	// KNS3::Entry::Downloadable
    {10, 21, 65},	// KNS3::Entry::Entry#
    {10, 25, 79},	// KNS3::Entry::Installed
    {10, 26, 82},	// KNS3::Entry::Installing
    {10, 28, 77},	// KNS3::Entry::Invalid
    {10, 48, 80},	// KNS3::Entry::Updateable
    {10, 49, 83},	// KNS3::Entry::Updating
    {10, 61, 68},	// KNS3::Entry::category
    {10, 91, 75},	// KNS3::Entry::id
    {10, 95, 69},	// KNS3::Entry::installedFiles
    {10, 100, 72},	// KNS3::Entry::license
    {10, 109, 67},	// KNS3::Entry::name
    {10, 149, 66},	// KNS3::Entry::operator=#
    {10, 174, 76},	// KNS3::Entry::providerId
    {10, 214, 71},	// KNS3::Entry::status
    {10, 216, 73},	// KNS3::Entry::summary
    {10, 227, 70},	// KNS3::Entry::uninstalledFiles
    {10, 228, 74},	// KNS3::Entry::version
    {10, 234, 84},	// KNS3::Entry::~Entry
    {11, 50, 107},	// KNS3::UploadDialog::UploadDialog
    {11, 51, 92},	// KNS3::UploadDialog::UploadDialog#
    {11, 52, 108},	// KNS3::UploadDialog::UploadDialog$
    {11, 53, 93},	// KNS3::UploadDialog::UploadDialog$#
    {11, 59, 104},	// KNS3::UploadDialog::accept
    {11, 101, 85},	// KNS3::UploadDialog::metaObject
    {11, 176, 91},	// KNS3::UploadDialog::qt_metacall$$?
    {11, 178, 86},	// KNS3::UploadDialog::qt_metacast$
    {11, 182, 103},	// KNS3::UploadDialog::selectCategory$
    {11, 187, 98},	// KNS3::UploadDialog::setChangelog$
    {11, 191, 97},	// KNS3::UploadDialog::setDescription$
    {11, 194, 99},	// KNS3::UploadDialog::setPreviewImageFile$#
    {11, 196, 101},	// KNS3::UploadDialog::setPrice$
    {11, 198, 100},	// KNS3::UploadDialog::setPriceEnabled$
    {11, 200, 102},	// KNS3::UploadDialog::setPriceReason$
    {11, 202, 94},	// KNS3::UploadDialog::setUploadFile#
    {11, 204, 95},	// KNS3::UploadDialog::setUploadName$
    {11, 206, 96},	// KNS3::UploadDialog::setVersion$
    {11, 213, 109},	// KNS3::UploadDialog::staticMetaObject
    {11, 220, 105},	// KNS3::UploadDialog::tr$
    {11, 221, 87},	// KNS3::UploadDialog::tr$$
    {11, 222, 89},	// KNS3::UploadDialog::tr$$$
    {11, 224, 106},	// KNS3::UploadDialog::trUtf8$
    {11, 225, 88},	// KNS3::UploadDialog::trUtf8$$
    {11, 226, 90},	// KNS3::UploadDialog::trUtf8$$$
    {11, 235, 110},	// KNS3::UploadDialog::~UploadDialog
    {38, 35, 436},	// QGlobalSpace::Q_COMPLEX_TYPE
    {38, 36, 440},	// QGlobalSpace::Q_DUMMY_TYPE
    {38, 37, 439},	// QGlobalSpace::Q_MOVABLE_TYPE
    {38, 38, 437},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {38, 39, 438},	// QGlobalSpace::Q_STATIC_TYPE
    {38, 40, 443},	// QGlobalSpace::QtCriticalMsg
    {38, 41, 441},	// QGlobalSpace::QtDebugMsg
    {38, 42, 444},	// QGlobalSpace::QtFatalMsg
    {38, 43, 445},	// QGlobalSpace::QtSystemMsg
    {38, 44, 442},	// QGlobalSpace::QtWarningMsg
    {38, 112, -1},	// QGlobalSpace::operator!=##
    {38, 113, -18},	// QGlobalSpace::operator!=#$
    {38, 114, -24},	// QGlobalSpace::operator!=$#
    {38, 115, 288},	// QGlobalSpace::operator!=$$
    {38, 117, -31},	// QGlobalSpace::operator*##
    {38, 118, -48},	// QGlobalSpace::operator*#$
    {38, 119, -54},	// QGlobalSpace::operator*$#
    {38, 121, -59},	// QGlobalSpace::operator+##
    {38, 122, -65},	// QGlobalSpace::operator+#$
    {38, 123, -71},	// QGlobalSpace::operator+$#
    {38, 124, -76},	// QGlobalSpace::operator+$$
    {38, 126, 167},	// QGlobalSpace::operator++$
    {38, 127, 435},	// QGlobalSpace::operator++$$
    {38, 129, -82},	// QGlobalSpace::operator-#
    {38, 130, -85},	// QGlobalSpace::operator-##
    {38, 131, 434},	// QGlobalSpace::operator-#$
    {38, 133, -90},	// QGlobalSpace::operator/#$
    {38, 135, -96},	// QGlobalSpace::operator<##
    {38, 136, 181},	// QGlobalSpace::operator<#$
    {38, 137, -101},	// QGlobalSpace::operator<$#
    {38, 138, 287},	// QGlobalSpace::operator<$$
    {38, 140, -104},	// QGlobalSpace::operator<<##
    {38, 141, -137},	// QGlobalSpace::operator<<#$
    {38, 142, 175},	// QGlobalSpace::operator<<#?
    {38, 144, -140},	// QGlobalSpace::operator<=##
    {38, 145, 260},	// QGlobalSpace::operator<=#$
    {38, 146, -145},	// QGlobalSpace::operator<=$#
    {38, 147, 209},	// QGlobalSpace::operator<=$$
    {38, 151, -148},	// QGlobalSpace::operator==##
    {38, 152, -166},	// QGlobalSpace::operator==#$
    {38, 153, -172},	// QGlobalSpace::operator==$#
    {38, 154, 404},	// QGlobalSpace::operator==$$
    {38, 156, -179},	// QGlobalSpace::operator>##
    {38, 157, 373},	// QGlobalSpace::operator>#$
    {38, 158, -184},	// QGlobalSpace::operator>$#
    {38, 159, 370},	// QGlobalSpace::operator>$$
    {38, 161, -187},	// QGlobalSpace::operator>=##
    {38, 162, 330},	// QGlobalSpace::operator>=#$
    {38, 163, -192},	// QGlobalSpace::operator>=$#
    {38, 164, 414},	// QGlobalSpace::operator>=$$
    {38, 166, -195},	// QGlobalSpace::operator>>##
    {38, 167, -228},	// QGlobalSpace::operator>>#$
    {38, 168, 352},	// QGlobalSpace::operator>>#?
    {38, 170, -231},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *knewstuff3_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_knewstuff3_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    knewstuff3_Smoke = new Smoke(
        "knewstuff3",
        __smokeknewstuff3::classes, 86,
        __smokeknewstuff3::methods, 500,
        __smokeknewstuff3::methodMaps, 136,
        __smokeknewstuff3::methodNames, 235,
        __smokeknewstuff3::types, 283,
        __smokeknewstuff3::inheritanceList,
        __smokeknewstuff3::argumentList,
        __smokeknewstuff3::ambiguousMethodList,
        __smokeknewstuff3::cast );
    initialized = true;
}

void delete_knewstuff3_Smoke() { delete knewstuff3_Smoke; }

}
