#include <qttest_includes.h>

#include <smoke.h>
#include <qttest_smoke.h>

namespace __smokeqttest {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QByteArray
      switch(to) {
        case 2: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 3:   //QChildEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 3: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 4:   //QEvent
      switch(to) {
        case 4: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 18: return (void*)(QTestEventLoop*)(QObject*)xptr;
        case 10: return (void*)(QSignalSpy*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QPoint
      switch(to) {
        case 8: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 9:   //QRegExp
      switch(to) {
        case 9: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 10:   //QSignalSpy
      switch(to) {
        case 7: return (void*)(QObject*)(QSignalSpy*)xptr;
        case 10: return (void*)(QSignalSpy*)xptr;
        default: return xptr;
      }
    case 12:   //QTestAccessibility
      switch(to) {
        case 12: return (void*)(QTestAccessibility*)xptr;
        default: return xptr;
      }
    case 13:   //QTestAccessibilityEvent
      switch(to) {
        case 13: return (void*)(QTestAccessibilityEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QTestData
      switch(to) {
        case 14: return (void*)(QTestData*)xptr;
        default: return xptr;
      }
    case 15:   //QTestDelayEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestDelayEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QTestEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)(QTestEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)(QTestEvent*)xptr;
        case 15: return (void*)(QTestDelayEvent*)(QTestEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)(QTestEvent*)xptr;
        default: return xptr;
      }
    case 17:   //QTestEventList
      switch(to) {
        case 17: return (void*)(QTestEventList*)xptr;
        default: return xptr;
      }
    case 18:   //QTestEventLoop
      switch(to) {
        case 7: return (void*)(QObject*)(QTestEventLoop*)xptr;
        case 18: return (void*)(QTestEventLoop*)xptr;
        default: return xptr;
      }
    case 19:   //QTestKeyClicksEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyClicksEvent*)xptr;
        case 19: return (void*)(QTestKeyClicksEvent*)xptr;
        default: return xptr;
      }
    case 20:   //QTestKeyEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestKeyEvent*)xptr;
        case 20: return (void*)(QTestKeyEvent*)xptr;
        default: return xptr;
      }
    case 21:   //QTestMouseEvent
      switch(to) {
        case 16: return (void*)(QTestEvent*)(QTestMouseEvent*)xptr;
        case 21: return (void*)(QTestMouseEvent*)xptr;
        default: return xptr;
      }
    case 22:   //QTestTable
      switch(to) {
        case 22: return (void*)(QTestTable*)xptr;
        default: return xptr;
      }
    case 23:   //QTimerEvent
      switch(to) {
        case 4: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 23: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 24:   //QWidget
      switch(to) {
        case 7: return (void*)(QObject*)(QWidget*)xptr;
        case 24: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 0, 0,	// 1: QObject, QList
    16, 0,	// 4: QTestEvent
    0, 0,	// 6: QList
    7, 0,	// 8: QObject
};

// These are the xenum functions for manipulating enum pointers
void xenum_QTest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QSignalSpy(Smoke::Index, void*, Smoke::Stack);
void xcall_QTest(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibility(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestAccessibilityEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestData(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestDelayEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventList(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestEventLoop(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyClicksEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestKeyEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_QTestMouseEvent(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//2
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QPoint", true, 0, 0, 0, 0, 0 },	//8
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//9
    { "QSignalSpy", false, 1, xcall_QSignalSpy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSignalSpy) },	//10
    { "QTest", false, 0, xcall_QTest, xenum_QTest, Smoke::cf_namespace, 0 },	//11
    { "QTestAccessibility", false, 0, xcall_QTestAccessibility, 0, Smoke::cf_deepcopy, sizeof(QTestAccessibility) },	//12
    { "QTestAccessibilityEvent", false, 0, xcall_QTestAccessibilityEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestAccessibilityEvent) },	//13
    { "QTestData", false, 0, xcall_QTestData, 0, 0, sizeof(QTestData) },	//14
    { "QTestDelayEvent", false, 4, xcall_QTestDelayEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestDelayEvent) },	//15
    { "QTestEvent", false, 0, xcall_QTestEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestEvent) },	//16
    { "QTestEventList", false, 6, xcall_QTestEventList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QTestEventList) },	//17
    { "QTestEventLoop", false, 8, xcall_QTestEventLoop, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTestEventLoop) },	//18
    { "QTestKeyClicksEvent", false, 4, xcall_QTestKeyClicksEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyClicksEvent) },	//19
    { "QTestKeyEvent", false, 4, xcall_QTestKeyEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestKeyEvent) },	//20
    { "QTestMouseEvent", false, 4, xcall_QTestMouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QTestMouseEvent) },	//21
    { "QTestTable", true, 0, 0, 0, 0, 0 },	//22
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//23
    { "QWidget", true, 0, 0, 0, 0, 0 },	//24
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QByteArray", 2, Smoke::t_class|Smoke::tf_stack },	//3
    { "QChildEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "QEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//6
    { "QFlags<Qt::KeyboardModifier>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//7
    { "QList<QTestAccessibilityEvent>", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//9
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QPoint", 8, Smoke::t_class|Smoke::tf_stack },	//11
    { "QRegExp&", 9, Smoke::t_class|Smoke::tf_ref },	//12
    { "QSignalSpy*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//14
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//15
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//16
    { "QTest::KeyAction", 11, Smoke::t_enum|Smoke::tf_stack },	//17
    { "QTest::MouseAction", 11, Smoke::t_enum|Smoke::tf_stack },	//18
    { "QTest::QBenchmarkMetric", 11, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QTest::SkipMode", 11, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QTest::TestFailMode", 11, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QTestAccessibilityEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QTestData&", 14, Smoke::t_class|Smoke::tf_ref },	//23
    { "QTestDelayEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "QTestEvent*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QTestEventList*", 17, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QTestEventLoop&", 18, Smoke::t_class|Smoke::tf_ref },	//27
    { "QTestEventLoop*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QTestKeyClicksEvent*", 19, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QTestKeyEvent*", 20, Smoke::t_class|Smoke::tf_ptr },	//30
    { "QTestMouseEvent*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QTestTable*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "QTimerEvent*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "QWidget*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QtMsgType", 5, Smoke::t_enum|Smoke::tf_stack },	//106
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//107
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//108
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//109
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//111
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//112
    { "const QRegExp&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//113
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//114
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//116
    { "const QTestAccessibilityEvent&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const QTestDelayEvent&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const QTestEvent&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const QTestEventList&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//120
    { "const QTestKeyClicksEvent&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//121
    { "const QTestKeyEvent&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//122
    { "const QTestMouseEvent&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//123
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//124
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//125
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//126
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//127
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//128
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//130
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//131
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    124, 0,	//1  const char*
    5, 0,	//3  QEvent*
    10, 5, 0,	//5  QObject*, QEvent*
    33, 0,	//8  QTimerEvent*
    4, 0,	//10  QChildEvent*
    10, 124, 0,	//12  QObject*, const char*
    9, 127, 130, 0,	//15  QMetaObject::Call, int, void**
    34, 11, 127, 0,	//19  QWidget*, QPoint, int
    34, 0,	//23  QWidget*
    34, 11, 0,	//25  QWidget*, QPoint
    126, 19, 0,	//28  double, QTest::QBenchmarkMetric
    124, 124, 21, 124, 127, 0,	//31  const char*, const char*, QTest::TestFailMode, const char*, int
    34, 78, 6, 11, 127, 0,	//37  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    34, 78, 0,	//43  QWidget*, Qt::MouseButton
    34, 78, 6, 0,	//46  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    34, 78, 6, 11, 0,	//50  QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    10, 115, 0,	//55  QObject*, const QStringList&
    34, 107, 127, 6, 14, 107, 127, 0,	//58  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int
    34, 107, 127, 6, 14, 107, 0,	//66  QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool
    34, 72, 6, 127, 0,	//73  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    34, 72, 0,	//78  QWidget*, Qt::Key
    34, 72, 6, 0,	//81  QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    124, 20, 124, 127, 0,	//85  const char*, QTest::SkipMode, const char*, int
    107, 124, 124, 124, 127, 0,	//90  bool, const char*, const char*, const char*, int
    124, 124, 127, 0,	//96  const char*, const char*, int
    72, 0,	//100  Qt::Key
    127, 0,	//102  int
    17, 34, 72, 108, 6, 127, 0,	//104  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 108, 6, 0,	//111  QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>
    34, 108, 6, 127, 0,	//117  QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    34, 108, 0,	//122  QWidget*, char
    34, 108, 6, 0,	//125  QWidget*, char, QFlags<Qt::KeyboardModifier>
    124, 127, 0,	//129  const char*, int
    17, 34, 108, 6, 127, 0,	//132  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int
    17, 34, 108, 0,	//138  QTest::KeyAction, QWidget*, char
    17, 34, 108, 6, 0,	//142  QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>
    125, 125, 124, 124, 124, 127, 0,	//147  const void*, const void*, const char*, const char*, const char*, int
    10, 127, 110, 0,	//154  QObject*, int, char**
    10, 0,	//158  QObject*
    10, 127, 0,	//160  QObject*, int
    107, 124, 109, 109, 124, 124, 124, 127, 0,	//163  bool, const char*, char*, char*, const char*, const char*, const char*, int
    18, 34, 78, 6, 11, 127, 0,	//172  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    18, 34, 78, 6, 11, 0,	//179  QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    125, 0,	//185  const void*
    108, 0,	//187  char
    127, 124, 0,	//189  int, const char*
    124, 124, 124, 124, 124, 127, 0,	//192  const char*, const char*, const char*, const char*, const char*, int
    107, 124, 124, 127, 0,	//199  bool, const char*, const char*, int
    17, 34, 72, 14, 6, 127, 0,	//204  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 14, 6, 0,	//211  QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>
    17, 34, 72, 6, 127, 0,	//217  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 34, 72, 0,	//223  QTest::KeyAction, QWidget*, Qt::Key
    17, 34, 72, 6, 0,	//227  QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>
    106, 124, 0,	//232  QtMsgType, const char*
    34, 114, 6, 127, 0,	//235  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int
    34, 114, 0,	//240  QWidget*, const QString&
    34, 114, 6, 0,	//243  QWidget*, const QString&, QFlags<Qt::KeyboardModifier>
    117, 0,	//247  const QTestAccessibilityEvent&
    10, 127, 127, 0,	//249  QObject*, int, int
    127, 125, 0,	//253  int, const void*
    118, 0,	//256  const QTestDelayEvent&
    119, 0,	//258  const QTestEvent&
    120, 0,	//260  const QTestEventList&
    72, 6, 127, 0,	//262  Qt::Key, QFlags<Qt::KeyboardModifier>, int
    17, 72, 6, 127, 0,	//266  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int
    108, 6, 127, 0,	//271  char, QFlags<Qt::KeyboardModifier>, int
    114, 6, 127, 0,	//275  const QString&, QFlags<Qt::KeyboardModifier>, int
    17, 108, 6, 127, 0,	//279  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int
    78, 6, 11, 127, 0,	//284  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    11, 127, 0,	//289  QPoint, int
    72, 6, 0,	//292  Qt::Key, QFlags<Qt::KeyboardModifier>
    17, 72, 0,	//295  QTest::KeyAction, Qt::Key
    17, 72, 6, 0,	//298  QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>
    108, 6, 0,	//302  char, QFlags<Qt::KeyboardModifier>
    114, 0,	//305  const QString&
    114, 6, 0,	//307  const QString&, QFlags<Qt::KeyboardModifier>
    17, 108, 0,	//310  QTest::KeyAction, char
    17, 108, 6, 0,	//313  QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>
    78, 0,	//317  Qt::MouseButton
    78, 6, 0,	//319  Qt::MouseButton, QFlags<Qt::KeyboardModifier>
    78, 6, 11, 0,	//322  Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint
    11, 0,	//326  QPoint
    124, 124, 0,	//328  const char*, const char*
    121, 0,	//331  const QTestKeyClicksEvent&
    122, 0,	//333  const QTestKeyEvent&
    17, 0,	//335  QTest::KeyAction
    6, 0,	//337  QFlags<Qt::KeyboardModifier>
    18, 78, 6, 11, 127, 0,	//339  QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int
    123, 0,	//345  const QTestMouseEvent&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Abort",	//1
    "BitsPerSecond",	//2
    "BytesPerSecond",	//3
    "CPUTicks",	//4
    "Click",	//5
    "Continue",	//6
    "Events",	//7
    "FramesPerSecond",	//8
    "InstructionReads",	//9
    "MouseClick",	//10
    "MouseDClick",	//11
    "MouseMove",	//12
    "MousePress",	//13
    "MouseRelease",	//14
    "Press",	//15
    "QSignalSpy",	//16
    "QSignalSpy#$",	//17
    "QTestAccessibilityEvent",	//18
    "QTestAccessibilityEvent#",	//19
    "QTestAccessibilityEvent#$",	//20
    "QTestAccessibilityEvent#$$",	//21
    "QTestDelayEvent",	//22
    "QTestDelayEvent#",	//23
    "QTestDelayEvent$",	//24
    "QTestEvent",	//25
    "QTestEvent#",	//26
    "QTestEventList",	//27
    "QTestEventList#",	//28
    "QTestEventLoop",	//29
    "QTestEventLoop#",	//30
    "QTestKeyClicksEvent",	//31
    "QTestKeyClicksEvent#",	//32
    "QTestKeyClicksEvent$$$",	//33
    "QTestKeyEvent",	//34
    "QTestKeyEvent#",	//35
    "QTestKeyEvent$$$$",	//36
    "QTestMouseEvent",	//37
    "QTestMouseEvent#",	//38
    "QTestMouseEvent$$$#$",	//39
    "Q_COMPLEX_TYPE",	//40
    "Q_DUMMY_TYPE",	//41
    "Q_MOVABLE_TYPE",	//42
    "Q_PRIMITIVE_TYPE",	//43
    "Q_STATIC_TYPE",	//44
    "QtCriticalMsg",	//45
    "QtDebugMsg",	//46
    "QtFatalMsg",	//47
    "QtSystemMsg",	//48
    "QtWarningMsg",	//49
    "Release",	//50
    "SkipAll",	//51
    "SkipSingle",	//52
    "WalltimeMilliseconds",	//53
    "_action",	//54
    "_ascii",	//55
    "_delay",	//56
    "_key",	//57
    "_modifiers",	//58
    "addColumnInternal",	//59
    "addColumnInternal$$",	//60
    "addDelay",	//61
    "addDelay$",	//62
    "addKeyClick",	//63
    "addKeyClick$",	//64
    "addKeyClick$$",	//65
    "addKeyClick$$$",	//66
    "addKeyClicks",	//67
    "addKeyClicks$",	//68
    "addKeyClicks$$",	//69
    "addKeyClicks$$$",	//70
    "addKeyEvent",	//71
    "addKeyEvent$$",	//72
    "addKeyEvent$$$",	//73
    "addKeyEvent$$$$",	//74
    "addKeyPress",	//75
    "addKeyPress$",	//76
    "addKeyPress$$",	//77
    "addKeyPress$$$",	//78
    "addKeyRelease",	//79
    "addKeyRelease$",	//80
    "addKeyRelease$$",	//81
    "addKeyRelease$$$",	//82
    "addMouseClick",	//83
    "addMouseClick$",	//84
    "addMouseClick$$",	//85
    "addMouseClick$$#",	//86
    "addMouseClick$$#$",	//87
    "addMouseDClick",	//88
    "addMouseDClick$",	//89
    "addMouseDClick$$",	//90
    "addMouseDClick$$#",	//91
    "addMouseDClick$$#$",	//92
    "addMouseMove",	//93
    "addMouseMove#",	//94
    "addMouseMove#$",	//95
    "addMousePress",	//96
    "addMousePress$",	//97
    "addMousePress$$",	//98
    "addMousePress$$#",	//99
    "addMousePress$$#$",	//100
    "addMouseRelease",	//101
    "addMouseRelease$",	//102
    "addMouseRelease$$",	//103
    "addMouseRelease$$#",	//104
    "addMouseRelease$$#$",	//105
    "append",	//106
    "append$$",	//107
    "asciiToKey",	//108
    "asciiToKey$",	//109
    "changeInterval",	//110
    "changeInterval$",	//111
    "child",	//112
    "childEvent",	//113
    "cleanup",	//114
    "clear",	//115
    "clearEvents",	//116
    "clone",	//117
    "compare_helper",	//118
    "compare_helper$$$$",	//119
    "compare_helper$$$$$$$$",	//120
    "compare_ptr_helper",	//121
    "compare_ptr_helper$$$$$$",	//122
    "compare_string_helper",	//123
    "compare_string_helper$$$$$$",	//124
    "connectNotify",	//125
    "currentDataTag",	//126
    "currentTestFailed",	//127
    "currentTestFunction",	//128
    "customEvent",	//129
    "data",	//130
    "data$",	//131
    "dataCount",	//132
    "dataTag",	//133
    "disconnectNotify",	//134
    "enterLoop",	//135
    "enterLoop$",	//136
    "event",	//137
    "eventFilter",	//138
    "events",	//139
    "exitLoop",	//140
    "ignoreMessage",	//141
    "ignoreMessage$$",	//142
    "initialize",	//143
    "instance",	//144
    "isValid",	//145
    "keyClick",	//146
    "keyClick#$",	//147
    "keyClick#$$",	//148
    "keyClick#$$$",	//149
    "keyClicks",	//150
    "keyClicks#$",	//151
    "keyClicks#$$",	//152
    "keyClicks#$$$",	//153
    "keyEvent",	//154
    "keyEvent$#$",	//155
    "keyEvent$#$$",	//156
    "keyEvent$#$$$",	//157
    "keyPress",	//158
    "keyPress#$",	//159
    "keyPress#$$",	//160
    "keyPress#$$$",	//161
    "keyRelease",	//162
    "keyRelease#$",	//163
    "keyRelease#$$",	//164
    "keyRelease#$$$",	//165
    "keyToAscii",	//166
    "keyToAscii$",	//167
    "metaObject",	//168
    "mouseClick",	//169
    "mouseClick#$",	//170
    "mouseClick#$$",	//171
    "mouseClick#$$#",	//172
    "mouseClick#$$#$",	//173
    "mouseDClick",	//174
    "mouseDClick#$",	//175
    "mouseDClick#$$",	//176
    "mouseDClick#$$#",	//177
    "mouseDClick#$$#$",	//178
    "mouseEvent",	//179
    "mouseEvent$#$$#",	//180
    "mouseEvent$#$$#$",	//181
    "mouseMove",	//182
    "mouseMove#",	//183
    "mouseMove##",	//184
    "mouseMove##$",	//185
    "mousePress",	//186
    "mousePress#$",	//187
    "mousePress#$$",	//188
    "mousePress#$$#",	//189
    "mousePress#$$#$",	//190
    "mouseRelease",	//191
    "mouseRelease#$",	//192
    "mouseRelease#$$",	//193
    "mouseRelease#$$#",	//194
    "mouseRelease#$$#$",	//195
    "newRow",	//196
    "newRow$",	//197
    "object",	//198
    "operator==",	//199
    "operator==#",	//200
    "parent",	//201
    "qData",	//202
    "qData$$",	//203
    "qElementData",	//204
    "qElementData$$",	//205
    "qExec",	//206
    "qExec#",	//207
    "qExec#$",	//208
    "qExec#$?",	//209
    "qExec#?",	//210
    "qExpectFail",	//211
    "qExpectFail$$$$$",	//212
    "qFail",	//213
    "qFail$$$",	//214
    "qGlobalData",	//215
    "qGlobalData$$",	//216
    "qSkip",	//217
    "qSkip$$$$",	//218
    "qSleep",	//219
    "qSleep$",	//220
    "qVerify",	//221
    "qVerify$$$$$",	//222
    "qWait",	//223
    "qWait$",	//224
    "qWaitForWindowShown",	//225
    "qWaitForWindowShown#",	//226
    "qWarn",	//227
    "qWarn$",	//228
    "qt_metacall",	//229
    "qt_metacall$$?",	//230
    "qt_metacast",	//231
    "qt_metacast$",	//232
    "sendKeyEvent",	//233
    "sendKeyEvent$#$$$",	//234
    "sendKeyEvent$#$$$$",	//235
    "setBenchmarkResult",	//236
    "setBenchmarkResult$$",	//237
    "setChild",	//238
    "setChild$",	//239
    "setEvent",	//240
    "setEvent$",	//241
    "setObject",	//242
    "setObject#",	//243
    "set_action",	//244
    "set_action$",	//245
    "set_ascii",	//246
    "set_ascii$",	//247
    "set_delay",	//248
    "set_delay$",	//249
    "set_key",	//250
    "set_key$",	//251
    "set_modifiers",	//252
    "set_modifiers$",	//253
    "signal",	//254
    "simulate",	//255
    "simulate#",	//256
    "simulateEvent",	//257
    "simulateEvent#$$$$$",	//258
    "simulateEvent#$$$$$$",	//259
    "staticMetaObject",	//260
    "testObject",	//261
    "timeout",	//262
    "timerEvent",	//263
    "timerEvent#",	//264
    "toHexRepresentation",	//265
    "toHexRepresentation$$",	//266
    "toString",	//267
    "toString$",	//268
    "tr",	//269
    "tr$",	//270
    "tr$$",	//271
    "tr$$$",	//272
    "trUtf8",	//273
    "trUtf8$",	//274
    "trUtf8$$",	//275
    "trUtf8$$$",	//276
    "verifyEvent",	//277
    "verifyEvent#",	//278
    "verifyEvent#$$",	//279
    "~QSignalSpy",	//280
    "~QTestAccessibilityEvent",	//281
    "~QTestData",	//282
    "~QTestDelayEvent",	//283
    "~QTestEvent",	//284
    "~QTestEventList",	//285
    "~QTestEventLoop",	//286
    "~QTestKeyClicksEvent",	//287
    "~QTestKeyEvent",	//288
    "~QTestMouseEvent",	//289
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {5, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 1},	//1 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {5, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 2},	//2 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {5, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 3},	//3 QGlobalSpace::Q_STATIC_TYPE (enum)
    {5, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 4},	//4 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {5, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 5},	//5 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {5, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 6},	//6 QGlobalSpace::QtDebugMsg (enum)
    {5, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 7},	//7 QGlobalSpace::QtWarningMsg (enum)
    {5, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 8},	//8 QGlobalSpace::QtCriticalMsg (enum)
    {5, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 9},	//9 QGlobalSpace::QtFatalMsg (enum)
    {5, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 10},	//10 QGlobalSpace::QtSystemMsg (enum)
    {7, 168, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 0},	//11 QObject::metaObject() const
    {7, 231, 1, 1, Smoke::mf_virtual, 129, 0},	//12 QObject::qt_metacast(const char*)
    {7, 137, 3, 1, Smoke::mf_virtual, 107, 0},	//13 QObject::event(QEvent*)
    {7, 138, 5, 2, Smoke::mf_virtual, 107, 0},	//14 QObject::eventFilter(QObject*, QEvent*)
    {7, 263, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//15 QObject::timerEvent(QTimerEvent*)
    {7, 113, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//16 QObject::childEvent(QChildEvent*)
    {7, 129, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//17 QObject::customEvent(QEvent*)
    {7, 125, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//18 QObject::connectNotify(const char*)
    {7, 134, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//19 QObject::disconnectNotify(const char*)
    {10, 16, 12, 2, Smoke::mf_ctor, 13, 1},	//20 QSignalSpy::QSignalSpy(QObject*, const char*)
    {10, 145, 0, 0, Smoke::mf_const, 107, 2},	//21 QSignalSpy::isValid() const
    {10, 254, 0, 0, Smoke::mf_const, 3, 3},	//22 QSignalSpy::signal() const
    {10, 229, 15, 3, Smoke::mf_virtual, 127, 4},	//23 QSignalSpy::qt_metacall(QMetaObject::Call, int, void**)
    {10, 280, 0, 0, Smoke::mf_dtor, 0, 5 },	//24 QSignalSpy::~QSignalSpy()
    {11, 182, 19, 3, Smoke::mf_static, 0, 1},	//25 QTest::mouseMove(QWidget*, QPoint, int)
    {11, 182, 23, 1, Smoke::mf_static, 0, 2},	//26 QTest::mouseMove(QWidget*)
    {11, 182, 25, 2, Smoke::mf_static, 0, 3},	//27 QTest::mouseMove(QWidget*, QPoint)
    {11, 236, 28, 2, Smoke::mf_static, 0, 4},	//28 QTest::setBenchmarkResult(double, QTest::QBenchmarkMetric)
    {11, 211, 31, 5, Smoke::mf_static, 107, 5},	//29 QTest::qExpectFail(const char*, const char*, QTest::TestFailMode, const char*, int)
    {11, 186, 37, 5, Smoke::mf_static, 0, 6},	//30 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 186, 43, 2, Smoke::mf_static, 0, 7},	//31 QTest::mousePress(QWidget*, Qt::MouseButton)
    {11, 186, 46, 3, Smoke::mf_static, 0, 8},	//32 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 186, 50, 4, Smoke::mf_static, 0, 9},	//33 QTest::mousePress(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 128, 0, 0, Smoke::mf_static, 124, 10},	//34 QTest::currentTestFunction()
    {11, 206, 55, 2, Smoke::mf_static, 127, 11},	//35 QTest::qExec(QObject*, const QStringList&)
    {11, 261, 0, 0, Smoke::mf_static, 10, 12},	//36 QTest::testObject()
    {11, 257, 58, 7, Smoke::mf_static, 0, 13},	//37 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool, int)
    {11, 257, 66, 6, Smoke::mf_static, 0, 14},	//38 QTest::simulateEvent(QWidget*, bool, int, QFlags<Qt::KeyboardModifier>, QString, bool)
    {11, 158, 73, 4, Smoke::mf_static, 0, 15},	//39 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 78, 2, Smoke::mf_static, 0, 16},	//40 QTest::keyPress(QWidget*, Qt::Key)
    {11, 158, 81, 3, Smoke::mf_static, 0, 17},	//41 QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 174, 37, 5, Smoke::mf_static, 0, 18},	//42 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 174, 43, 2, Smoke::mf_static, 0, 19},	//43 QTest::mouseDClick(QWidget*, Qt::MouseButton)
    {11, 174, 46, 3, Smoke::mf_static, 0, 20},	//44 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 174, 50, 4, Smoke::mf_static, 0, 21},	//45 QTest::mouseDClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 217, 85, 4, Smoke::mf_static, 0, 22},	//46 QTest::qSkip(const char*, QTest::SkipMode, const char*, int)
    {11, 221, 90, 5, Smoke::mf_static, 107, 23},	//47 QTest::qVerify(bool, const char*, const char*, const char*, int)
    {11, 213, 96, 3, Smoke::mf_static, 0, 24},	//48 QTest::qFail(const char*, const char*, int)
    {11, 166, 100, 1, Smoke::mf_static, 108, 25},	//49 QTest::keyToAscii(Qt::Key)
    {11, 223, 102, 1, Smoke::mf_static, 0, 26},	//50 QTest::qWait(int)
    {11, 233, 104, 6, Smoke::mf_static, 0, 27},	//51 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 233, 111, 5, Smoke::mf_static, 0, 28},	//52 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    {11, 227, 1, 1, Smoke::mf_static, 0, 29},	//53 QTest::qWarn(const char*)
    {11, 158, 117, 4, Smoke::mf_static, 0, 30},	//54 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 158, 122, 2, Smoke::mf_static, 0, 31},	//55 QTest::keyPress(QWidget*, char)
    {11, 158, 125, 3, Smoke::mf_static, 0, 32},	//56 QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 126, 0, 0, Smoke::mf_static, 124, 33},	//57 QTest::currentDataTag()
    {11, 146, 117, 4, Smoke::mf_static, 0, 34},	//58 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 146, 122, 2, Smoke::mf_static, 0, 35},	//59 QTest::keyClick(QWidget*, char)
    {11, 146, 125, 3, Smoke::mf_static, 0, 36},	//60 QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 127, 0, 0, Smoke::mf_static, 107, 37},	//61 QTest::currentTestFailed()
    {11, 215, 129, 2, Smoke::mf_static, 129, 38},	//62 QTest::qGlobalData(const char*, int)
    {11, 225, 23, 1, Smoke::mf_static, 107, 39},	//63 QTest::qWaitForWindowShown(QWidget*)
    {11, 196, 1, 1, Smoke::mf_static, 23, 40},	//64 QTest::newRow(const char*)
    {11, 154, 132, 5, Smoke::mf_static, 0, 41},	//65 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 154, 138, 3, Smoke::mf_static, 0, 42},	//66 QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    {11, 154, 142, 4, Smoke::mf_static, 0, 43},	//67 QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 146, 73, 4, Smoke::mf_static, 0, 44},	//68 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 146, 78, 2, Smoke::mf_static, 0, 45},	//69 QTest::keyClick(QWidget*, Qt::Key)
    {11, 146, 81, 3, Smoke::mf_static, 0, 46},	//70 QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 204, 129, 2, Smoke::mf_static, 129, 47},	//71 QTest::qElementData(const char*, int)
    {11, 121, 147, 6, Smoke::mf_static, 107, 48},	//72 QTest::compare_ptr_helper(const void*, const void*, const char*, const char*, const char*, int)
    {11, 206, 154, 3, Smoke::mf_static, 127, 49},	//73 QTest::qExec(QObject*, int, char**)
    {11, 206, 158, 1, Smoke::mf_static, 127, 50},	//74 QTest::qExec(QObject*)
    {11, 206, 160, 2, Smoke::mf_static, 127, 51},	//75 QTest::qExec(QObject*, int)
    {11, 162, 73, 4, Smoke::mf_static, 0, 52},	//76 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 162, 78, 2, Smoke::mf_static, 0, 53},	//77 QTest::keyRelease(QWidget*, Qt::Key)
    {11, 162, 81, 3, Smoke::mf_static, 0, 54},	//78 QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 118, 163, 8, Smoke::mf_static, 107, 55},	//79 QTest::compare_helper(bool, const char*, char*, char*, const char*, const char*, const char*, int)
    {11, 267, 1, 1, Smoke::mf_static, 109, 56},	//80 QTest::toString(const char*)
    {11, 179, 172, 6, Smoke::mf_static, 0, 57},	//81 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 179, 179, 5, Smoke::mf_static, 0, 58},	//82 QTest::mouseEvent(QTest::MouseAction, QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 267, 185, 1, Smoke::mf_static, 109, 59},	//83 QTest::toString(const void*)
    {11, 108, 187, 1, Smoke::mf_static, 72, 60},	//84 QTest::asciiToKey(char)
    {11, 59, 189, 2, Smoke::mf_static, 0, 61},	//85 QTest::addColumnInternal(int, const char*)
    {11, 162, 117, 4, Smoke::mf_static, 0, 62},	//86 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    {11, 162, 122, 2, Smoke::mf_static, 0, 63},	//87 QTest::keyRelease(QWidget*, char)
    {11, 162, 125, 3, Smoke::mf_static, 0, 64},	//88 QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    {11, 265, 129, 2, Smoke::mf_static, 109, 65},	//89 QTest::toHexRepresentation(const char*, int)
    {11, 169, 37, 5, Smoke::mf_static, 0, 66},	//90 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 169, 43, 2, Smoke::mf_static, 0, 67},	//91 QTest::mouseClick(QWidget*, Qt::MouseButton)
    {11, 169, 46, 3, Smoke::mf_static, 0, 68},	//92 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 169, 50, 4, Smoke::mf_static, 0, 69},	//93 QTest::mouseClick(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 219, 102, 1, Smoke::mf_static, 0, 70},	//94 QTest::qSleep(int)
    {11, 123, 192, 6, Smoke::mf_static, 107, 71},	//95 QTest::compare_string_helper(const char*, const char*, const char*, const char*, const char*, int)
    {11, 118, 199, 4, Smoke::mf_static, 107, 72},	//96 QTest::compare_helper(bool, const char*, const char*, int)
    {11, 233, 204, 6, Smoke::mf_static, 0, 73},	//97 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    {11, 233, 211, 5, Smoke::mf_static, 0, 74},	//98 QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    {11, 202, 129, 2, Smoke::mf_static, 129, 75},	//99 QTest::qData(const char*, int)
    {11, 154, 217, 5, Smoke::mf_static, 0, 76},	//100 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {11, 154, 223, 3, Smoke::mf_static, 0, 77},	//101 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    {11, 154, 227, 4, Smoke::mf_static, 0, 78},	//102 QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {11, 141, 232, 2, Smoke::mf_static, 0, 79},	//103 QTest::ignoreMessage(QtMsgType, const char*)
    {11, 191, 37, 5, Smoke::mf_static, 0, 80},	//104 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {11, 191, 43, 2, Smoke::mf_static, 0, 81},	//105 QTest::mouseRelease(QWidget*, Qt::MouseButton)
    {11, 191, 46, 3, Smoke::mf_static, 0, 82},	//106 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {11, 191, 50, 4, Smoke::mf_static, 0, 83},	//107 QTest::mouseRelease(QWidget*, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {11, 150, 235, 4, Smoke::mf_static, 0, 84},	//108 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>, int)
    {11, 150, 240, 2, Smoke::mf_static, 0, 85},	//109 QTest::keyClicks(QWidget*, const QString&)
    {11, 150, 243, 3, Smoke::mf_static, 0, 86},	//110 QTest::keyClicks(QWidget*, const QString&, QFlags<Qt::KeyboardModifier>)
    {11, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 87},	//111 QTest::Abort (enum)
    {11, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 88},	//112 QTest::Continue (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 89},	//113 QTest::MousePress (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 90},	//114 QTest::MouseRelease (enum)
    {11, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 91},	//115 QTest::MouseClick (enum)
    {11, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 92},	//116 QTest::MouseDClick (enum)
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 93},	//117 QTest::MouseMove (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 94},	//118 QTest::Press (enum)
    {11, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 95},	//119 QTest::Release (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 96},	//120 QTest::Click (enum)
    {11, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 97},	//121 QTest::SkipSingle (enum)
    {11, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 98},	//122 QTest::SkipAll (enum)
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 99},	//123 QTest::FramesPerSecond (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 100},	//124 QTest::BitsPerSecond (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 101},	//125 QTest::BytesPerSecond (enum)
    {11, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 102},	//126 QTest::WalltimeMilliseconds (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 103},	//127 QTest::CPUTicks (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 104},	//128 QTest::InstructionReads (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 105},	//129 QTest::Events (enum)
    {12, 143, 0, 0, Smoke::mf_static, 0, 1},	//130 QTestAccessibility::initialize()
    {12, 114, 0, 0, Smoke::mf_static, 0, 2},	//131 QTestAccessibility::cleanup()
    {12, 116, 0, 0, Smoke::mf_static, 0, 3},	//132 QTestAccessibility::clearEvents()
    {12, 139, 0, 0, Smoke::mf_static, 8, 4},	//133 QTestAccessibility::events()
    {12, 277, 247, 1, Smoke::mf_static, 107, 5},	//134 QTestAccessibility::verifyEvent(const QTestAccessibilityEvent&)
    {12, 277, 249, 3, Smoke::mf_static, 107, 6},	//135 QTestAccessibility::verifyEvent(QObject*, int, int)
    {13, 18, 249, 3, Smoke::mf_ctor, 22, 1},	//136 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int, int)
    {13, 199, 247, 1, Smoke::mf_const, 107, 2},	//137 QTestAccessibilityEvent::operator==(const QTestAccessibilityEvent&) const
    {13, 18, 247, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 3},	//138 QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    {13, 18, 0, 0, Smoke::mf_ctor, 22, 4},	//139 QTestAccessibilityEvent::QTestAccessibilityEvent()
    {13, 18, 158, 1, Smoke::mf_ctor, 22, 5},	//140 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    {13, 18, 160, 2, Smoke::mf_ctor, 22, 6},	//141 QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*, int)
    {13, 198, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 10, 7},	//142 QTestAccessibilityEvent::object() const
    {13, 242, 158, 1, Smoke::mf_attribute, 0, 8},	//143 QTestAccessibilityEvent::setObject(QObject*)
    {13, 112, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 127, 9},	//144 QTestAccessibilityEvent::child() const
    {13, 238, 102, 1, Smoke::mf_attribute, 0, 10},	//145 QTestAccessibilityEvent::setChild(int)
    {13, 137, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 127, 11},	//146 QTestAccessibilityEvent::event() const
    {13, 240, 102, 1, Smoke::mf_attribute, 0, 12},	//147 QTestAccessibilityEvent::setEvent(int)
    {13, 281, 0, 0, Smoke::mf_dtor, 0, 13 },	//148 QTestAccessibilityEvent::~QTestAccessibilityEvent()
    {14, 106, 253, 2, 0, 0, 1},	//149 QTestData::append(int, const void*)
    {14, 130, 102, 1, Smoke::mf_const, 129, 2},	//150 QTestData::data(int) const
    {14, 133, 0, 0, Smoke::mf_const, 124, 3},	//151 QTestData::dataTag() const
    {14, 201, 0, 0, Smoke::mf_const, 32, 4},	//152 QTestData::parent() const
    {14, 132, 0, 0, Smoke::mf_const, 127, 5},	//153 QTestData::dataCount() const
    {14, 282, 0, 0, Smoke::mf_dtor, 0, 6 },	//154 QTestData::~QTestData()
    {15, 22, 102, 1, Smoke::mf_ctor, 24, 1},	//155 QTestDelayEvent::QTestDelayEvent(int)
    {15, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//156 QTestDelayEvent::clone() const
    {15, 255, 23, 1, Smoke::mf_virtual, 0, 3},	//157 QTestDelayEvent::simulate(QWidget*)
    {15, 22, 256, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 4},	//158 QTestDelayEvent::QTestDelayEvent(const QTestDelayEvent&)
    {15, 283, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QTestDelayEvent::~QTestDelayEvent()
    {16, 255, 23, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//160 QTestEvent::simulate(QWidget*) [pure virtual]
    {16, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 25, 2},	//161 QTestEvent::clone() const [pure virtual]
    {16, 25, 0, 0, Smoke::mf_ctor, 25, 3},	//162 QTestEvent::QTestEvent()
    {16, 25, 258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 4},	//163 QTestEvent::QTestEvent(const QTestEvent&)
    {16, 284, 0, 0, Smoke::mf_dtor, 0, 5 },	//164 QTestEvent::~QTestEvent()
    {17, 27, 0, 0, Smoke::mf_ctor, 26, 1},	//165 QTestEventList::QTestEventList()
    {17, 27, 260, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 2},	//166 QTestEventList::QTestEventList(const QTestEventList&)
    {17, 115, 0, 0, 0, 0, 3},	//167 QTestEventList::clear()
    {17, 63, 262, 3, 0, 0, 4},	//168 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 75, 262, 3, 0, 0, 5},	//169 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 79, 262, 3, 0, 0, 6},	//170 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 71, 266, 4, 0, 0, 7},	//171 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {17, 63, 271, 3, 0, 0, 8},	//172 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 75, 271, 3, 0, 0, 9},	//173 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 79, 271, 3, 0, 0, 10},	//174 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    {17, 67, 275, 3, 0, 0, 11},	//175 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {17, 71, 279, 4, 0, 0, 12},	//176 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {17, 96, 284, 4, 0, 0, 13},	//177 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 101, 284, 4, 0, 0, 14},	//178 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 83, 284, 4, 0, 0, 15},	//179 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 88, 284, 4, 0, 0, 16},	//180 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {17, 93, 289, 2, 0, 0, 17},	//181 QTestEventList::addMouseMove(QPoint, int)
    {17, 61, 102, 1, 0, 0, 18},	//182 QTestEventList::addDelay(int)
    {17, 255, 23, 1, 0, 0, 19},	//183 QTestEventList::simulate(QWidget*)
    {17, 63, 100, 1, 0, 0, 20},	//184 QTestEventList::addKeyClick(Qt::Key)
    {17, 63, 292, 2, 0, 0, 21},	//185 QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 75, 100, 1, 0, 0, 22},	//186 QTestEventList::addKeyPress(Qt::Key)
    {17, 75, 292, 2, 0, 0, 23},	//187 QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 79, 100, 1, 0, 0, 24},	//188 QTestEventList::addKeyRelease(Qt::Key)
    {17, 79, 292, 2, 0, 0, 25},	//189 QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 71, 295, 2, 0, 0, 26},	//190 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    {17, 71, 298, 3, 0, 0, 27},	//191 QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    {17, 63, 187, 1, 0, 0, 28},	//192 QTestEventList::addKeyClick(char)
    {17, 63, 302, 2, 0, 0, 29},	//193 QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    {17, 75, 187, 1, 0, 0, 30},	//194 QTestEventList::addKeyPress(char)
    {17, 75, 302, 2, 0, 0, 31},	//195 QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    {17, 79, 187, 1, 0, 0, 32},	//196 QTestEventList::addKeyRelease(char)
    {17, 79, 302, 2, 0, 0, 33},	//197 QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    {17, 67, 305, 1, 0, 0, 34},	//198 QTestEventList::addKeyClicks(const QString&)
    {17, 67, 307, 2, 0, 0, 35},	//199 QTestEventList::addKeyClicks(const QString&, QFlags<Qt::KeyboardModifier>)
    {17, 71, 310, 2, 0, 0, 36},	//200 QTestEventList::addKeyEvent(QTest::KeyAction, char)
    {17, 71, 313, 3, 0, 0, 37},	//201 QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    {17, 96, 317, 1, 0, 0, 38},	//202 QTestEventList::addMousePress(Qt::MouseButton)
    {17, 96, 319, 2, 0, 0, 39},	//203 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 96, 322, 3, 0, 0, 40},	//204 QTestEventList::addMousePress(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 101, 317, 1, 0, 0, 41},	//205 QTestEventList::addMouseRelease(Qt::MouseButton)
    {17, 101, 319, 2, 0, 0, 42},	//206 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 101, 322, 3, 0, 0, 43},	//207 QTestEventList::addMouseRelease(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 83, 317, 1, 0, 0, 44},	//208 QTestEventList::addMouseClick(Qt::MouseButton)
    {17, 83, 319, 2, 0, 0, 45},	//209 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 83, 322, 3, 0, 0, 46},	//210 QTestEventList::addMouseClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 88, 317, 1, 0, 0, 47},	//211 QTestEventList::addMouseDClick(Qt::MouseButton)
    {17, 88, 319, 2, 0, 0, 48},	//212 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>)
    {17, 88, 322, 3, 0, 0, 49},	//213 QTestEventList::addMouseDClick(Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint)
    {17, 93, 0, 0, 0, 0, 50},	//214 QTestEventList::addMouseMove()
    {17, 93, 326, 1, 0, 0, 51},	//215 QTestEventList::addMouseMove(QPoint)
    {17, 285, 0, 0, Smoke::mf_dtor, 0, 52 },	//216 QTestEventList::~QTestEventList()
    {18, 168, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 112, 1},	//217 QTestEventLoop::metaObject() const
    {18, 231, 1, 1, Smoke::mf_virtual, 129, 2},	//218 QTestEventLoop::qt_metacast(const char*)
    {18, 269, 328, 2, Smoke::mf_static, 14, 3},	//219 QTestEventLoop::tr(const char*, const char*)
    {18, 273, 328, 2, Smoke::mf_static, 14, 4},	//220 QTestEventLoop::trUtf8(const char*, const char*)
    {18, 269, 96, 3, Smoke::mf_static, 14, 5},	//221 QTestEventLoop::tr(const char*, const char*, int)
    {18, 273, 96, 3, Smoke::mf_static, 14, 6},	//222 QTestEventLoop::trUtf8(const char*, const char*, int)
    {18, 229, 15, 3, Smoke::mf_virtual, 127, 7},	//223 QTestEventLoop::qt_metacall(QMetaObject::Call, int, void**)
    {18, 29, 158, 1, Smoke::mf_ctor, 28, 8},	//224 QTestEventLoop::QTestEventLoop(QObject*)
    {18, 135, 102, 1, 0, 0, 9},	//225 QTestEventLoop::enterLoop(int)
    {18, 110, 102, 1, 0, 0, 10},	//226 QTestEventLoop::changeInterval(int)
    {18, 262, 0, 0, Smoke::mf_const, 107, 11},	//227 QTestEventLoop::timeout() const
    {18, 144, 0, 0, Smoke::mf_static, 27, 12},	//228 QTestEventLoop::instance()
    {18, 140, 0, 0, Smoke::mf_slot, 0, 13},	//229 QTestEventLoop::exitLoop()
    {18, 263, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//230 QTestEventLoop::timerEvent(QTimerEvent*)
    {18, 269, 1, 1, Smoke::mf_static, 14, 15},	//231 QTestEventLoop::tr(const char*)
    {18, 273, 1, 1, Smoke::mf_static, 14, 16},	//232 QTestEventLoop::trUtf8(const char*)
    {18, 29, 0, 0, Smoke::mf_ctor, 28, 17},	//233 QTestEventLoop::QTestEventLoop()
    {18, 260, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 111, 18},	//234 QTestEventLoop::staticMetaObject() const
    {18, 286, 0, 0, Smoke::mf_dtor, 0, 19 },	//235 QTestEventLoop::~QTestEventLoop()
    {19, 31, 275, 3, Smoke::mf_ctor, 29, 1},	//236 QTestKeyClicksEvent::QTestKeyClicksEvent(const QString&, QFlags<Qt::KeyboardModifier>, int)
    {19, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//237 QTestKeyClicksEvent::clone() const
    {19, 255, 23, 1, Smoke::mf_virtual, 0, 3},	//238 QTestKeyClicksEvent::simulate(QWidget*)
    {19, 31, 331, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//239 QTestKeyClicksEvent::QTestKeyClicksEvent(const QTestKeyClicksEvent&)
    {19, 287, 0, 0, Smoke::mf_dtor, 0, 5 },	//240 QTestKeyClicksEvent::~QTestKeyClicksEvent()
    {20, 34, 266, 4, Smoke::mf_ctor, 30, 1},	//241 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    {20, 34, 279, 4, Smoke::mf_ctor, 30, 2},	//242 QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    {20, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 3},	//243 QTestKeyEvent::clone() const
    {20, 255, 23, 1, Smoke::mf_virtual, 0, 4},	//244 QTestKeyEvent::simulate(QWidget*)
    {20, 34, 333, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//245 QTestKeyEvent::QTestKeyEvent(const QTestKeyEvent&)
    {20, 54, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 17, 6},	//246 QTestKeyEvent::_action() const
    {20, 244, 335, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 7},	//247 QTestKeyEvent::set_action(QTest::KeyAction)
    {20, 56, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 127, 8},	//248 QTestKeyEvent::_delay() const
    {20, 248, 102, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 9},	//249 QTestKeyEvent::set_delay(int)
    {20, 58, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 7, 10},	//250 QTestKeyEvent::_modifiers() const
    {20, 252, 337, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 11},	//251 QTestKeyEvent::set_modifiers(QFlags<Qt::KeyboardModifier>)
    {20, 55, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 108, 12},	//252 QTestKeyEvent::_ascii() const
    {20, 246, 187, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 13},	//253 QTestKeyEvent::set_ascii(char)
    {20, 57, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 72, 14},	//254 QTestKeyEvent::_key() const
    {20, 250, 100, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 15},	//255 QTestKeyEvent::set_key(Qt::Key)
    {20, 288, 0, 0, Smoke::mf_dtor, 0, 16 },	//256 QTestKeyEvent::~QTestKeyEvent()
    {21, 37, 339, 5, Smoke::mf_ctor, 31, 1},	//257 QTestMouseEvent::QTestMouseEvent(QTest::MouseAction, Qt::MouseButton, QFlags<Qt::KeyboardModifier>, QPoint, int)
    {21, 117, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 25, 2},	//258 QTestMouseEvent::clone() const
    {21, 255, 23, 1, Smoke::mf_virtual, 0, 3},	//259 QTestMouseEvent::simulate(QWidget*)
    {21, 37, 345, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//260 QTestMouseEvent::QTestMouseEvent(const QTestMouseEvent&)
    {21, 289, 0, 0, Smoke::mf_dtor, 0, 5 },	//261 QTestMouseEvent::~QTestMouseEvent()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    184,  // QTestEventList::addKeyClick(Qt::Key)
    192,  // QTestEventList::addKeyClick(char)
    0,
    185,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>)
    193,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>)
    0,
    168,  // QTestEventList::addKeyClick(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    172,  // QTestEventList::addKeyClick(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    190,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key)
    200,  // QTestEventList::addKeyEvent(QTest::KeyAction, char)
    0,
    191,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>)
    201,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>)
    0,
    171,  // QTestEventList::addKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    176,  // QTestEventList::addKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    186,  // QTestEventList::addKeyPress(Qt::Key)
    194,  // QTestEventList::addKeyPress(char)
    0,
    187,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>)
    195,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>)
    0,
    169,  // QTestEventList::addKeyPress(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    173,  // QTestEventList::addKeyPress(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    188,  // QTestEventList::addKeyRelease(Qt::Key)
    196,  // QTestEventList::addKeyRelease(char)
    0,
    189,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>)
    197,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>)
    0,
    170,  // QTestEventList::addKeyRelease(Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    174,  // QTestEventList::addKeyRelease(char, QFlags<Qt::KeyboardModifier>, int)
    0,
    241,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    242,  // QTestKeyEvent::QTestKeyEvent(QTest::KeyAction, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    138,  // QTestAccessibilityEvent::QTestAccessibilityEvent(const QTestAccessibilityEvent&)
    140,  // QTestAccessibilityEvent::QTestAccessibilityEvent(QObject*)
    0,
    59,  // QTest::keyClick(QWidget*, char)
    69,  // QTest::keyClick(QWidget*, Qt::Key)
    0,
    60,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    70,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    58,  // QTest::keyClick(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    68,  // QTest::keyClick(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    66,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char)
    101,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key)
    0,
    67,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>)
    102,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    0,
    65,  // QTest::keyEvent(QTest::KeyAction, QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    100,  // QTest::keyEvent(QTest::KeyAction, QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    0,
    40,  // QTest::keyPress(QWidget*, Qt::Key)
    55,  // QTest::keyPress(QWidget*, char)
    0,
    41,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    56,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    39,  // QTest::keyPress(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    54,  // QTest::keyPress(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    77,  // QTest::keyRelease(QWidget*, Qt::Key)
    87,  // QTest::keyRelease(QWidget*, char)
    0,
    78,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>)
    88,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>)
    0,
    76,  // QTest::keyRelease(QWidget*, Qt::Key, QFlags<Qt::KeyboardModifier>, int)
    86,  // QTest::keyRelease(QWidget*, char, QFlags<Qt::KeyboardModifier>, int)
    0,
    52,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>)
    98,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>)
    0,
    51,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, char, QFlags<Qt::KeyboardModifier>, int)
    97,  // QTest::sendKeyEvent(QTest::KeyAction, QWidget*, Qt::Key, QString, QFlags<Qt::KeyboardModifier>, int)
    0,
    80,  // QTest::toString(const char*)
    83,  // QTest::toString(const void*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {5, 40, 1},	// QGlobalSpace::Q_COMPLEX_TYPE
    {5, 41, 5},	// QGlobalSpace::Q_DUMMY_TYPE
    {5, 42, 4},	// QGlobalSpace::Q_MOVABLE_TYPE
    {5, 43, 2},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {5, 44, 3},	// QGlobalSpace::Q_STATIC_TYPE
    {5, 45, 8},	// QGlobalSpace::QtCriticalMsg
    {5, 46, 6},	// QGlobalSpace::QtDebugMsg
    {5, 47, 9},	// QGlobalSpace::QtFatalMsg
    {5, 48, 10},	// QGlobalSpace::QtSystemMsg
    {5, 49, 7},	// QGlobalSpace::QtWarningMsg
    {10, 17, 20},	// QSignalSpy::QSignalSpy#$
    {10, 145, 21},	// QSignalSpy::isValid
    {10, 230, 23},	// QSignalSpy::qt_metacall$$?
    {10, 254, 22},	// QSignalSpy::signal
    {10, 280, 24},	// QSignalSpy::~QSignalSpy
    {11, 1, 111},	// QTest::Abort
    {11, 2, 124},	// QTest::BitsPerSecond
    {11, 3, 125},	// QTest::BytesPerSecond
    {11, 4, 127},	// QTest::CPUTicks
    {11, 5, 120},	// QTest::Click
    {11, 6, 112},	// QTest::Continue
    {11, 7, 129},	// QTest::Events
    {11, 8, 123},	// QTest::FramesPerSecond
    {11, 9, 128},	// QTest::InstructionReads
    {11, 10, 115},	// QTest::MouseClick
    {11, 11, 116},	// QTest::MouseDClick
    {11, 12, 117},	// QTest::MouseMove
    {11, 13, 113},	// QTest::MousePress
    {11, 14, 114},	// QTest::MouseRelease
    {11, 15, 118},	// QTest::Press
    {11, 50, 119},	// QTest::Release
    {11, 51, 122},	// QTest::SkipAll
    {11, 52, 121},	// QTest::SkipSingle
    {11, 53, 126},	// QTest::WalltimeMilliseconds
    {11, 60, 85},	// QTest::addColumnInternal$$
    {11, 109, 84},	// QTest::asciiToKey$
    {11, 119, 96},	// QTest::compare_helper$$$$
    {11, 120, 79},	// QTest::compare_helper$$$$$$$$
    {11, 122, 72},	// QTest::compare_ptr_helper$$$$$$
    {11, 124, 95},	// QTest::compare_string_helper$$$$$$
    {11, 126, 57},	// QTest::currentDataTag
    {11, 127, 61},	// QTest::currentTestFailed
    {11, 128, 34},	// QTest::currentTestFunction
    {11, 142, 103},	// QTest::ignoreMessage$$
    {11, 147, -43},	// QTest::keyClick#$
    {11, 148, -46},	// QTest::keyClick#$$
    {11, 149, -49},	// QTest::keyClick#$$$
    {11, 151, 109},	// QTest::keyClicks#$
    {11, 152, 110},	// QTest::keyClicks#$$
    {11, 153, 108},	// QTest::keyClicks#$$$
    {11, 155, -52},	// QTest::keyEvent$#$
    {11, 156, -55},	// QTest::keyEvent$#$$
    {11, 157, -58},	// QTest::keyEvent$#$$$
    {11, 159, -61},	// QTest::keyPress#$
    {11, 160, -64},	// QTest::keyPress#$$
    {11, 161, -67},	// QTest::keyPress#$$$
    {11, 163, -70},	// QTest::keyRelease#$
    {11, 164, -73},	// QTest::keyRelease#$$
    {11, 165, -76},	// QTest::keyRelease#$$$
    {11, 167, 49},	// QTest::keyToAscii$
    {11, 170, 91},	// QTest::mouseClick#$
    {11, 171, 92},	// QTest::mouseClick#$$
    {11, 172, 93},	// QTest::mouseClick#$$#
    {11, 173, 90},	// QTest::mouseClick#$$#$
    {11, 175, 43},	// QTest::mouseDClick#$
    {11, 176, 44},	// QTest::mouseDClick#$$
    {11, 177, 45},	// QTest::mouseDClick#$$#
    {11, 178, 42},	// QTest::mouseDClick#$$#$
    {11, 180, 82},	// QTest::mouseEvent$#$$#
    {11, 181, 81},	// QTest::mouseEvent$#$$#$
    {11, 183, 26},	// QTest::mouseMove#
    {11, 184, 27},	// QTest::mouseMove##
    {11, 185, 25},	// QTest::mouseMove##$
    {11, 187, 31},	// QTest::mousePress#$
    {11, 188, 32},	// QTest::mousePress#$$
    {11, 189, 33},	// QTest::mousePress#$$#
    {11, 190, 30},	// QTest::mousePress#$$#$
    {11, 192, 105},	// QTest::mouseRelease#$
    {11, 193, 106},	// QTest::mouseRelease#$$
    {11, 194, 107},	// QTest::mouseRelease#$$#
    {11, 195, 104},	// QTest::mouseRelease#$$#$
    {11, 197, 64},	// QTest::newRow$
    {11, 203, 99},	// QTest::qData$$
    {11, 205, 71},	// QTest::qElementData$$
    {11, 207, 74},	// QTest::qExec#
    {11, 208, 75},	// QTest::qExec#$
    {11, 209, 73},	// QTest::qExec#$?
    {11, 210, 35},	// QTest::qExec#?
    {11, 212, 29},	// QTest::qExpectFail$$$$$
    {11, 214, 48},	// QTest::qFail$$$
    {11, 216, 62},	// QTest::qGlobalData$$
    {11, 218, 46},	// QTest::qSkip$$$$
    {11, 220, 94},	// QTest::qSleep$
    {11, 222, 47},	// QTest::qVerify$$$$$
    {11, 224, 50},	// QTest::qWait$
    {11, 226, 63},	// QTest::qWaitForWindowShown#
    {11, 228, 53},	// QTest::qWarn$
    {11, 234, -79},	// QTest::sendKeyEvent$#$$$
    {11, 235, -82},	// QTest::sendKeyEvent$#$$$$
    {11, 237, 28},	// QTest::setBenchmarkResult$$
    {11, 258, 38},	// QTest::simulateEvent#$$$$$
    {11, 259, 37},	// QTest::simulateEvent#$$$$$$
    {11, 261, 36},	// QTest::testObject
    {11, 266, 89},	// QTest::toHexRepresentation$$
    {11, 268, -85},	// QTest::toString$
    {12, 114, 131},	// QTestAccessibility::cleanup
    {12, 116, 132},	// QTestAccessibility::clearEvents
    {12, 139, 133},	// QTestAccessibility::events
    {12, 143, 130},	// QTestAccessibility::initialize
    {12, 278, 134},	// QTestAccessibility::verifyEvent#
    {12, 279, 135},	// QTestAccessibility::verifyEvent#$$
    {13, 18, 139},	// QTestAccessibilityEvent::QTestAccessibilityEvent
    {13, 19, -40},	// QTestAccessibilityEvent::QTestAccessibilityEvent#
    {13, 20, 141},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$
    {13, 21, 136},	// QTestAccessibilityEvent::QTestAccessibilityEvent#$$
    {13, 112, 144},	// QTestAccessibilityEvent::child
    {13, 137, 146},	// QTestAccessibilityEvent::event
    {13, 198, 142},	// QTestAccessibilityEvent::object
    {13, 200, 137},	// QTestAccessibilityEvent::operator==#
    {13, 239, 145},	// QTestAccessibilityEvent::setChild$
    {13, 241, 147},	// QTestAccessibilityEvent::setEvent$
    {13, 243, 143},	// QTestAccessibilityEvent::setObject#
    {13, 281, 148},	// QTestAccessibilityEvent::~QTestAccessibilityEvent
    {14, 107, 149},	// QTestData::append$$
    {14, 131, 150},	// QTestData::data$
    {14, 132, 153},	// QTestData::dataCount
    {14, 133, 151},	// QTestData::dataTag
    {14, 201, 152},	// QTestData::parent
    {14, 282, 154},	// QTestData::~QTestData
    {15, 23, 158},	// QTestDelayEvent::QTestDelayEvent#
    {15, 24, 155},	// QTestDelayEvent::QTestDelayEvent$
    {15, 117, 156},	// QTestDelayEvent::clone
    {15, 256, 157},	// QTestDelayEvent::simulate#
    {15, 283, 159},	// QTestDelayEvent::~QTestDelayEvent
    {16, 25, 162},	// QTestEvent::QTestEvent
    {16, 26, 163},	// QTestEvent::QTestEvent#
    {16, 117, 161},	// QTestEvent::clone
    {16, 256, 160},	// QTestEvent::simulate#
    {16, 284, 164},	// QTestEvent::~QTestEvent
    {17, 27, 165},	// QTestEventList::QTestEventList
    {17, 28, 166},	// QTestEventList::QTestEventList#
    {17, 62, 182},	// QTestEventList::addDelay$
    {17, 64, -1},	// QTestEventList::addKeyClick$
    {17, 65, -4},	// QTestEventList::addKeyClick$$
    {17, 66, -7},	// QTestEventList::addKeyClick$$$
    {17, 68, 198},	// QTestEventList::addKeyClicks$
    {17, 69, 199},	// QTestEventList::addKeyClicks$$
    {17, 70, 175},	// QTestEventList::addKeyClicks$$$
    {17, 72, -10},	// QTestEventList::addKeyEvent$$
    {17, 73, -13},	// QTestEventList::addKeyEvent$$$
    {17, 74, -16},	// QTestEventList::addKeyEvent$$$$
    {17, 76, -19},	// QTestEventList::addKeyPress$
    {17, 77, -22},	// QTestEventList::addKeyPress$$
    {17, 78, -25},	// QTestEventList::addKeyPress$$$
    {17, 80, -28},	// QTestEventList::addKeyRelease$
    {17, 81, -31},	// QTestEventList::addKeyRelease$$
    {17, 82, -34},	// QTestEventList::addKeyRelease$$$
    {17, 84, 208},	// QTestEventList::addMouseClick$
    {17, 85, 209},	// QTestEventList::addMouseClick$$
    {17, 86, 210},	// QTestEventList::addMouseClick$$#
    {17, 87, 179},	// QTestEventList::addMouseClick$$#$
    {17, 89, 211},	// QTestEventList::addMouseDClick$
    {17, 90, 212},	// QTestEventList::addMouseDClick$$
    {17, 91, 213},	// QTestEventList::addMouseDClick$$#
    {17, 92, 180},	// QTestEventList::addMouseDClick$$#$
    {17, 93, 214},	// QTestEventList::addMouseMove
    {17, 94, 215},	// QTestEventList::addMouseMove#
    {17, 95, 181},	// QTestEventList::addMouseMove#$
    {17, 97, 202},	// QTestEventList::addMousePress$
    {17, 98, 203},	// QTestEventList::addMousePress$$
    {17, 99, 204},	// QTestEventList::addMousePress$$#
    {17, 100, 177},	// QTestEventList::addMousePress$$#$
    {17, 102, 205},	// QTestEventList::addMouseRelease$
    {17, 103, 206},	// QTestEventList::addMouseRelease$$
    {17, 104, 207},	// QTestEventList::addMouseRelease$$#
    {17, 105, 178},	// QTestEventList::addMouseRelease$$#$
    {17, 115, 167},	// QTestEventList::clear
    {17, 256, 183},	// QTestEventList::simulate#
    {17, 285, 216},	// QTestEventList::~QTestEventList
    {18, 29, 233},	// QTestEventLoop::QTestEventLoop
    {18, 30, 224},	// QTestEventLoop::QTestEventLoop#
    {18, 111, 226},	// QTestEventLoop::changeInterval$
    {18, 136, 225},	// QTestEventLoop::enterLoop$
    {18, 140, 229},	// QTestEventLoop::exitLoop
    {18, 144, 228},	// QTestEventLoop::instance
    {18, 168, 217},	// QTestEventLoop::metaObject
    {18, 230, 223},	// QTestEventLoop::qt_metacall$$?
    {18, 232, 218},	// QTestEventLoop::qt_metacast$
    {18, 260, 234},	// QTestEventLoop::staticMetaObject
    {18, 262, 227},	// QTestEventLoop::timeout
    {18, 264, 230},	// QTestEventLoop::timerEvent#
    {18, 270, 231},	// QTestEventLoop::tr$
    {18, 271, 219},	// QTestEventLoop::tr$$
    {18, 272, 221},	// QTestEventLoop::tr$$$
    {18, 274, 232},	// QTestEventLoop::trUtf8$
    {18, 275, 220},	// QTestEventLoop::trUtf8$$
    {18, 276, 222},	// QTestEventLoop::trUtf8$$$
    {18, 286, 235},	// QTestEventLoop::~QTestEventLoop
    {19, 32, 239},	// QTestKeyClicksEvent::QTestKeyClicksEvent#
    {19, 33, 236},	// QTestKeyClicksEvent::QTestKeyClicksEvent$$$
    {19, 117, 237},	// QTestKeyClicksEvent::clone
    {19, 256, 238},	// QTestKeyClicksEvent::simulate#
    {19, 287, 240},	// QTestKeyClicksEvent::~QTestKeyClicksEvent
    {20, 35, 245},	// QTestKeyEvent::QTestKeyEvent#
    {20, 36, -37},	// QTestKeyEvent::QTestKeyEvent$$$$
    {20, 54, 246},	// QTestKeyEvent::_action
    {20, 55, 252},	// QTestKeyEvent::_ascii
    {20, 56, 248},	// QTestKeyEvent::_delay
    {20, 57, 254},	// QTestKeyEvent::_key
    {20, 58, 250},	// QTestKeyEvent::_modifiers
    {20, 117, 243},	// QTestKeyEvent::clone
    {20, 245, 247},	// QTestKeyEvent::set_action$
    {20, 247, 253},	// QTestKeyEvent::set_ascii$
    {20, 249, 249},	// QTestKeyEvent::set_delay$
    {20, 251, 255},	// QTestKeyEvent::set_key$
    {20, 253, 251},	// QTestKeyEvent::set_modifiers$
    {20, 256, 244},	// QTestKeyEvent::simulate#
    {20, 288, 256},	// QTestKeyEvent::~QTestKeyEvent
    {21, 38, 260},	// QTestMouseEvent::QTestMouseEvent#
    {21, 39, 257},	// QTestMouseEvent::QTestMouseEvent$$$#$
    {21, 117, 258},	// QTestMouseEvent::clone
    {21, 256, 259},	// QTestMouseEvent::simulate#
    {21, 289, 261},	// QTestMouseEvent::~QTestMouseEvent
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qttest_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qttest_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qttest_Smoke = new Smoke(
        "qttest",
        __smokeqttest::classes, 24,
        __smokeqttest::methods, 262,
        __smokeqttest::methodMaps, 224,
        __smokeqttest::methodNames, 289,
        __smokeqttest::types, 131,
        __smokeqttest::inheritanceList,
        __smokeqttest::argumentList,
        __smokeqttest::ambiguousMethodList,
        __smokeqttest::cast );
    initialized = true;
}

void delete_qttest_Smoke() { delete qttest_Smoke; }

}
