#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AbstractContactEditorWidget
      switch(to) {
        case 1: return (void*)(Akonadi::AbstractContactEditorWidget*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AbstractContactFormatter
      switch(to) {
        case 2: return (void*)(Akonadi::AbstractContactFormatter*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AbstractContactGroupFormatter
      switch(to) {
        case 3: return (void*)(Akonadi::AbstractContactGroupFormatter*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AddressAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::AddressAttribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentBase
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(Akonadi::AgentBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 6: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 7: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 8: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentInstance
      switch(to) {
        case 10: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::AgentType
      switch(to) {
        case 15: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::AgentTypeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Attribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)(Akonadi::Attribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)(Akonadi::Attribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)(Akonadi::Attribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)(Akonadi::Attribute*)xptr;
        case 4: return (void*)(Akonadi::AddressAttribute*)(Akonadi::Attribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::AttributeFactory
      switch(to) {
        case 20: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::CachePolicy
      switch(to) {
        case 21: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::ChangeRecorder
      switch(to) {
        case 96: return (void*)(Akonadi::Monitor*)(Akonadi::ChangeRecorder*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ChangeRecorder*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::ChangeRecorderPrivate
      switch(to) {
        case 23: return (void*)(Akonadi::ChangeRecorderPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Collection
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 24: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::CollectionComboBox
      switch(to) {
        case 131: return (void*)(KComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 159: return (void*)(QComboBox*)(Akonadi::CollectionComboBox*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionComboBox*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(Akonadi::CollectionComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)xptr;
        default: return xptr;
      }
    case 26:   //Akonadi::CollectionCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCopyJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)xptr;
        default: return xptr;
      }
    case 27:   //Akonadi::CollectionCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionCreateJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)xptr;
        default: return xptr;
      }
    case 28:   //Akonadi::CollectionDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDeleteJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //Akonadi::CollectionDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)xptr;
        default: return xptr;
      }
    case 30:   //Akonadi::CollectionFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFetchJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)xptr;
        default: return xptr;
      }
    case 31:   //Akonadi::CollectionFetchScope
      switch(to) {
        case 31: return (void*)(Akonadi::CollectionFetchScope*)xptr;
        default: return xptr;
      }
    case 32:   //Akonadi::CollectionFilterProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 33:   //Akonadi::CollectionModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(Akonadi::CollectionModel*)xptr;
        default: return xptr;
      }
    case 34:   //Akonadi::CollectionModelPrivate
      switch(to) {
        case 34: return (void*)(Akonadi::CollectionModelPrivate*)xptr;
        default: return xptr;
      }
    case 35:   //Akonadi::CollectionModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionModifyJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)xptr;
        default: return xptr;
      }
    case 36:   //Akonadi::CollectionMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionMoveJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)xptr;
        default: return xptr;
      }
    case 37:   //Akonadi::CollectionPropertiesDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)xptr;
        default: return xptr;
      }
    case 38:   //Akonadi::CollectionPropertiesPage
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionPropertiesPage*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)xptr;
        default: return xptr;
      }
    case 39:   //Akonadi::CollectionPropertiesPageFactory
      switch(to) {
        case 39: return (void*)(Akonadi::CollectionPropertiesPageFactory*)xptr;
        default: return xptr;
      }
    case 40:   //Akonadi::CollectionQuotaAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::CollectionQuotaAttribute*)xptr;
        case 40: return (void*)(Akonadi::CollectionQuotaAttribute*)xptr;
        default: return xptr;
      }
    case 41:   //Akonadi::CollectionRequester
      switch(to) {
        case 138: return (void*)(KHBox*)(Akonadi::CollectionRequester*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionRequester*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionRequester*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionRequester*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)xptr;
        default: return xptr;
      }
    case 42:   //Akonadi::CollectionStatistics
      switch(to) {
        case 42: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 43:   //Akonadi::CollectionStatisticsDelegate
      switch(to) {
        case 206: return (void*)(QStyledItemDelegate*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)xptr;
        default: return xptr;
      }
    case 44:   //Akonadi::CollectionStatisticsJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)xptr;
        default: return xptr;
      }
    case 45:   //Akonadi::CollectionStatisticsModel
      switch(to) {
        case 33: return (void*)(Akonadi::CollectionModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionStatisticsModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)xptr;
        default: return xptr;
      }
    case 46:   //Akonadi::CollectionView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::CollectionView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::CollectionView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::CollectionView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::CollectionView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::CollectionView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::CollectionView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)xptr;
        default: return xptr;
      }
    case 47:   //Akonadi::ContactDefaultActions
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ContactDefaultActions*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)xptr;
        default: return xptr;
      }
    case 48:   //Akonadi::ContactEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditor*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)xptr;
        default: return xptr;
      }
    case 49:   //Akonadi::ContactEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)xptr;
        default: return xptr;
      }
    case 50:   //Akonadi::ContactEditorPagePlugin
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactEditorPagePlugin*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)xptr;
        default: return xptr;
      }
    case 51:   //Akonadi::ContactGroupEditor
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditor*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditor*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)xptr;
        default: return xptr;
      }
    case 52:   //Akonadi::ContactGroupEditorDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupEditorDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)xptr;
        default: return xptr;
      }
    case 53:   //Akonadi::ContactGroupExpandJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupExpandJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)xptr;
        default: return xptr;
      }
    case 54:   //Akonadi::ContactGroupSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)xptr;
        default: return xptr;
      }
    case 55:   //Akonadi::ContactGroupViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactGroupViewer*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)xptr;
        default: return xptr;
      }
    case 56:   //Akonadi::ContactGroupViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactGroupViewerDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)xptr;
        default: return xptr;
      }
    case 57:   //Akonadi::ContactSearchJob
      switch(to) {
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::ContactSearchJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ContactSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ContactSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ContactSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)xptr;
        default: return xptr;
      }
    case 58:   //Akonadi::ContactViewer
      switch(to) {
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewer*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewer*)xptr;
        case 81: return (void*)(Akonadi::ItemMonitor*)(Akonadi::ContactViewer*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)xptr;
        default: return xptr;
      }
    case 59:   //Akonadi::ContactViewerDialog
      switch(to) {
        case 137: return (void*)(KDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 164: return (void*)(QDialog*)(Akonadi::ContactViewerDialog*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ContactViewerDialog*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ContactViewerDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)xptr;
        default: return xptr;
      }
    case 60:   //Akonadi::Control
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Control*)xptr;
        case 60: return (void*)(Akonadi::Control*)xptr;
        default: return xptr;
      }
    case 61:   //Akonadi::Entity
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)xptr;
        case 73: return (void*)(Akonadi::Item*)(Akonadi::Entity*)xptr;
        case 24: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 62:   //Akonadi::EntityDisplayAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityDisplayAttribute*)xptr;
        case 62: return (void*)(Akonadi::EntityDisplayAttribute*)xptr;
        default: return xptr;
      }
    case 63:   //Akonadi::EntityHiddenAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::EntityHiddenAttribute*)xptr;
        case 63: return (void*)(Akonadi::EntityHiddenAttribute*)xptr;
        default: return xptr;
      }
    case 64:   //Akonadi::EntityListView
      switch(to) {
        case 183: return (void*)(QListView*)(Akonadi::EntityListView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityListView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityListView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityListView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)xptr;
        default: return xptr;
      }
    case 65:   //Akonadi::EntityMimeTypeFilterModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)xptr;
        default: return xptr;
      }
    case 66:   //Akonadi::EntityPrivate
      switch(to) {
        case 66: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 67:   //Akonadi::EntityTreeModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::EntityTreeModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)xptr;
        default: return xptr;
      }
    case 68:   //Akonadi::EntityTreeModelPrivate
      switch(to) {
        case 68: return (void*)(Akonadi::EntityTreeModelPrivate*)xptr;
        default: return xptr;
      }
    case 69:   //Akonadi::EntityTreeView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::EntityTreeView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::EntityTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::EntityTreeView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::EntityTreeView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::EntityTreeView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)xptr;
        default: return xptr;
      }
    case 70:   //Akonadi::EntityTreeViewStateSaver
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)xptr;
        default: return xptr;
      }
    case 71:   //Akonadi::Exception
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 72:   //Akonadi::FavoriteCollectionsModel
      switch(to) {
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::FavoriteCollectionsModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)xptr;
        default: return xptr;
      }
    case 73:   //Akonadi::Item
      switch(to) {
        case 61: return (void*)(Akonadi::Entity*)(Akonadi::Item*)xptr;
        case 73: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 74:   //Akonadi::ItemCopyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCopyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCopyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCopyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCopyJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)xptr;
        default: return xptr;
      }
    case 75:   //Akonadi::ItemCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemCreateJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)xptr;
        default: return xptr;
      }
    case 76:   //Akonadi::ItemDeleteJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemDeleteJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemDeleteJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemDeleteJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)xptr;
        default: return xptr;
      }
    case 77:   //Akonadi::ItemFetchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemFetchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemFetchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemFetchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemFetchJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)xptr;
        default: return xptr;
      }
    case 78:   //Akonadi::ItemFetchScope
      switch(to) {
        case 78: return (void*)(Akonadi::ItemFetchScope*)xptr;
        default: return xptr;
      }
    case 79:   //Akonadi::ItemModel
      switch(to) {
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::ItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::ItemModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(Akonadi::ItemModel*)xptr;
        default: return xptr;
      }
    case 80:   //Akonadi::ItemModifyJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemModifyJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemModifyJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemModifyJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemModifyJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)xptr;
        default: return xptr;
      }
    case 81:   //Akonadi::ItemMonitor
      switch(to) {
        case 81: return (void*)(Akonadi::ItemMonitor*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(Akonadi::ItemMonitor*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(Akonadi::ItemMonitor*)xptr;
        default: return xptr;
      }
    case 82:   //Akonadi::ItemMoveJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemMoveJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemMoveJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemMoveJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemMoveJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)xptr;
        default: return xptr;
      }
    case 83:   //Akonadi::ItemSearchJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSearchJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSearchJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSearchJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSearchJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::ItemSearchJob*)xptr;
        default: return xptr;
      }
    case 84:   //Akonadi::ItemSerializerPlugin
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)(Akonadi::ItemSerializerPlugin*)xptr;
        default: return xptr;
      }
    case 85:   //Akonadi::ItemSerializerPluginV2
      switch(to) {
        case 84: return (void*)(Akonadi::ItemSerializerPlugin*)(Akonadi::ItemSerializerPluginV2*)xptr;
        case 85: return (void*)(Akonadi::ItemSerializerPluginV2*)xptr;
        default: return xptr;
      }
    case 86:   //Akonadi::ItemSync
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::ItemSync*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::ItemSync*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::ItemSync*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemSync*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)xptr;
        default: return xptr;
      }
    case 87:   //Akonadi::ItemView
      switch(to) {
        case 209: return (void*)(QTreeView*)(Akonadi::ItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)(Akonadi::ItemView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(Akonadi::ItemView*)xptr;
        case 172: return (void*)(QFrame*)(Akonadi::ItemView*)xptr;
        case 213: return (void*)(QWidget*)(Akonadi::ItemView*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)xptr;
        default: return xptr;
      }
    case 88:   //Akonadi::Job
      switch(to) {
        case 135: return (void*)(KCompositeJob*)(Akonadi::Job*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::Job*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::Job*)xptr;
        case 88: return (void*)(Akonadi::Job*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(Akonadi::Job*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(Akonadi::Job*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(Akonadi::Job*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(Akonadi::Job*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(Akonadi::Job*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(Akonadi::Job*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(Akonadi::Job*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(Akonadi::Job*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(Akonadi::Job*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(Akonadi::Job*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(Akonadi::Job*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(Akonadi::Job*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(Akonadi::Job*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(Akonadi::Job*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(Akonadi::Job*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(Akonadi::Job*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(Akonadi::Job*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(Akonadi::Job*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(Akonadi::Job*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(Akonadi::Job*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(Akonadi::Job*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(Akonadi::Job*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(Akonadi::Job*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(Akonadi::Job*)xptr;
        default: return xptr;
      }
    case 89:   //Akonadi::JobPrivate
      switch(to) {
        case 89: return (void*)(Akonadi::JobPrivate*)xptr;
        default: return xptr;
      }
    case 90:   //Akonadi::LinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::LinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::LinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::LinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::LinkJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)xptr;
        default: return xptr;
      }
    case 91:   //Akonadi::MessageFolderAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageFolderAttribute*)xptr;
        case 91: return (void*)(Akonadi::MessageFolderAttribute*)xptr;
        default: return xptr;
      }
    case 92:   //Akonadi::MessageModel
      switch(to) {
        case 79: return (void*)(Akonadi::ItemModel*)(Akonadi::MessageModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)(Akonadi::MessageModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)xptr;
        default: return xptr;
      }
    case 93:   //Akonadi::MessageThreaderProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::MessageThreaderProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)xptr;
        default: return xptr;
      }
    case 94:   //Akonadi::MessageThreadingAttribute
      switch(to) {
        case 19: return (void*)(Akonadi::Attribute*)(Akonadi::MessageThreadingAttribute*)xptr;
        case 94: return (void*)(Akonadi::MessageThreadingAttribute*)xptr;
        default: return xptr;
      }
    case 95:   //Akonadi::MimeTypeChecker
      switch(to) {
        case 95: return (void*)(Akonadi::MimeTypeChecker*)xptr;
        default: return xptr;
      }
    case 96:   //Akonadi::Monitor
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Monitor*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(Akonadi::Monitor*)xptr;
        default: return xptr;
      }
    case 97:   //Akonadi::MonitorPrivate
      switch(to) {
        case 97: return (void*)(Akonadi::MonitorPrivate*)xptr;
        default: return xptr;
      }
    case 98:   //Akonadi::PartFetcher
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::PartFetcher*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PartFetcher*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)xptr;
        default: return xptr;
      }
    case 99:   //Akonadi::PayloadBase
      switch(to) {
        case 99: return (void*)(Akonadi::PayloadBase*)xptr;
        default: return xptr;
      }
    case 100:   //Akonadi::PayloadException
      switch(to) {
        case 71: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 100: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 101:   //Akonadi::PreprocessorBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::PreprocessorBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::PreprocessorBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::PreprocessorBase*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)xptr;
        default: return xptr;
      }
    case 102:   //Akonadi::ResourceBase
      switch(to) {
        case 5: return (void*)(Akonadi::AgentBase*)(Akonadi::ResourceBase*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceBase*)xptr;
        case 161: return (void*)(QDBusContext*)(Akonadi::ResourceBase*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)xptr;
        default: return xptr;
      }
    case 103:   //Akonadi::ResourceSynchronizationJob
      switch(to) {
        case 140: return (void*)(KJob*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::ResourceSynchronizationJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)xptr;
        default: return xptr;
      }
    case 104:   //Akonadi::SearchCreateJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::SearchCreateJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::SearchCreateJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::SearchCreateJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SearchCreateJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)xptr;
        default: return xptr;
      }
    case 105:   //Akonadi::SelectionProxyModel
      switch(to) {
        case 143: return (void*)(KSelectionProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::SelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::SelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(Akonadi::SelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 106:   //Akonadi::ServerManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::ServerManager*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)xptr;
        default: return xptr;
      }
    case 107:   //Akonadi::Session
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::Session*)xptr;
        case 107: return (void*)(Akonadi::Session*)xptr;
        default: return xptr;
      }
    case 108:   //Akonadi::SessionPrivate
      switch(to) {
        case 108: return (void*)(Akonadi::SessionPrivate*)xptr;
        default: return xptr;
      }
    case 109:   //Akonadi::StandardActionManager
      switch(to) {
        case 190: return (void*)(QObject*)(Akonadi::StandardActionManager*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)xptr;
        default: return xptr;
      }
    case 110:   //Akonadi::StatisticsProxyModel
      switch(to) {
        case 203: return (void*)(QSortFilterProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(Akonadi::StatisticsProxyModel*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::StatisticsProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)xptr;
        default: return xptr;
      }
    case 111:   //Akonadi::TransactionBeginJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionBeginJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionBeginJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionBeginJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)xptr;
        default: return xptr;
      }
    case 112:   //Akonadi::TransactionCommitJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionCommitJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionCommitJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionCommitJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)xptr;
        default: return xptr;
      }
    case 113:   //Akonadi::TransactionRollbackJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionRollbackJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionRollbackJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionRollbackJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)xptr;
        default: return xptr;
      }
    case 114:   //Akonadi::TransactionSequence
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::TransactionSequence*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::TransactionSequence*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::TransactionSequence*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::TransactionSequence*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)xptr;
        default: return xptr;
      }
    case 115:   //Akonadi::TransportResourceBase
      switch(to) {
        case 115: return (void*)(Akonadi::TransportResourceBase*)xptr;
        default: return xptr;
      }
    case 116:   //Akonadi::UnlinkJob
      switch(to) {
        case 88: return (void*)(Akonadi::Job*)(Akonadi::UnlinkJob*)xptr;
        case 135: return (void*)(KCompositeJob*)(Akonadi::UnlinkJob*)xptr;
        case 140: return (void*)(KJob*)(Akonadi::UnlinkJob*)xptr;
        case 190: return (void*)(QObject*)(Akonadi::UnlinkJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)xptr;
        default: return xptr;
      }
    case 117:   //KABC::Address
      switch(to) {
        case 117: return (void*)(KABC::Address*)xptr;
        default: return xptr;
      }
    case 118:   //KABC::Addressee
      switch(to) {
        case 118: return (void*)(KABC::Addressee*)xptr;
        default: return xptr;
      }
    case 119:   //KABC::AddresseeList
      switch(to) {
        case 119: return (void*)(KABC::AddresseeList*)xptr;
        default: return xptr;
      }
    case 120:   //KABC::ContactGroup
      switch(to) {
        case 120: return (void*)(KABC::ContactGroup*)xptr;
        default: return xptr;
      }
    case 121:   //KABC::Geo
      switch(to) {
        case 121: return (void*)(KABC::Geo*)xptr;
        default: return xptr;
      }
    case 122:   //KABC::Key
      switch(to) {
        case 122: return (void*)(KABC::Key*)xptr;
        default: return xptr;
      }
    case 123:   //KABC::PhoneNumber
      switch(to) {
        case 123: return (void*)(KABC::PhoneNumber*)xptr;
        default: return xptr;
      }
    case 124:   //KABC::Picture
      switch(to) {
        case 124: return (void*)(KABC::Picture*)xptr;
        default: return xptr;
      }
    case 125:   //KABC::Secrecy
      switch(to) {
        case 125: return (void*)(KABC::Secrecy*)xptr;
        default: return xptr;
      }
    case 126:   //KABC::Sound
      switch(to) {
        case 126: return (void*)(KABC::Sound*)xptr;
        default: return xptr;
      }
    case 127:   //KABC::TimeZone
      switch(to) {
        case 127: return (void*)(KABC::TimeZone*)xptr;
        default: return xptr;
      }
    case 128:   //KAction
      switch(to) {
        case 128: return (void*)(KAction*)xptr;
        default: return xptr;
      }
    case 129:   //KActionCollection
      switch(to) {
        case 129: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 130:   //KCharsets
      switch(to) {
        case 130: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 131:   //KComboBox
      switch(to) {
        case 159: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 213: return (void*)(QWidget*)(KComboBox*)xptr;
        case 190: return (void*)(QObject*)(KComboBox*)xptr;
        case 133: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 131: return (void*)(KComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 132:   //KCompletion
      switch(to) {
        case 190: return (void*)(QObject*)(KCompletion*)xptr;
        case 132: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 133:   //KCompletionBase
      switch(to) {
        case 133: return (void*)(KCompletionBase*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 134:   //KComponentData
      switch(to) {
        case 134: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 135:   //KCompositeJob
      switch(to) {
        case 140: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 190: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 135: return (void*)(KCompositeJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KCompositeJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KCompositeJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KCompositeJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KCompositeJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KCompositeJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KCompositeJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KCompositeJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KCompositeJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KCompositeJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KCompositeJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KCompositeJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KCompositeJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KCompositeJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KCompositeJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KCompositeJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KCompositeJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KCompositeJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KCompositeJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KCompositeJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KCompositeJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KCompositeJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KCompositeJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KCompositeJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KCompositeJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 136:   //KConfigGroup
      switch(to) {
        case 136: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 137:   //KDialog
      switch(to) {
        case 164: return (void*)(QDialog*)(KDialog*)xptr;
        case 213: return (void*)(QWidget*)(KDialog*)xptr;
        case 190: return (void*)(QObject*)(KDialog*)xptr;
        case 137: return (void*)(KDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(KDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(KDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(KDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(KDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(KDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 138:   //KHBox
      switch(to) {
        case 172: return (void*)(QFrame*)(KHBox*)xptr;
        case 213: return (void*)(QWidget*)(KHBox*)xptr;
        case 190: return (void*)(QObject*)(KHBox*)xptr;
        case 138: return (void*)(KHBox*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(KHBox*)xptr;
        default: return xptr;
      }
    case 139:   //KIcon
      switch(to) {
        case 176: return (void*)(QIcon*)(KIcon*)xptr;
        case 139: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 140:   //KJob
      switch(to) {
        case 190: return (void*)(QObject*)(KJob*)xptr;
        case 140: return (void*)(KJob*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(KJob*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(KJob*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(KJob*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(KJob*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(KJob*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(KJob*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(KJob*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(KJob*)xptr;
        case 88: return (void*)(Akonadi::Job*)(KJob*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(KJob*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(KJob*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(KJob*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(KJob*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(KJob*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(KJob*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(KJob*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(KJob*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(KJob*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(KJob*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(KJob*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(KJob*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(KJob*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(KJob*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(KJob*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(KJob*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(KJob*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(KJob*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 141:   //KLocale
      switch(to) {
        case 141: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 142:   //KLocalizedString
      switch(to) {
        case 142: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 143:   //KSelectionProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(KSelectionProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(KSelectionProxyModel*)xptr;
        case 190: return (void*)(QObject*)(KSelectionProxyModel*)xptr;
        case 143: return (void*)(KSelectionProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(KSelectionProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(KSelectionProxyModel*)xptr;
        default: return xptr;
      }
    case 144:   //KStandardDirs
      switch(to) {
        case 144: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 145:   //KUrl
      switch(to) {
        case 210: return (void*)(QUrl*)(KUrl*)xptr;
        case 145: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 146:   //KXMLGUIClient
      switch(to) {
        case 146: return (void*)(KXMLGUIClient*)xptr;
        default: return xptr;
      }
    case 147:   //KXmlGuiWindow
      switch(to) {
        case 147: return (void*)(KXmlGuiWindow*)xptr;
        default: return xptr;
      }
    case 148:   //QAbstractItemModel
      switch(to) {
        case 190: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractItemModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractItemModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractItemModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractItemModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractItemModel*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QAbstractItemModel*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QAbstractItemModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 149:   //QAbstractItemView
      switch(to) {
        case 151: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 172: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 190: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 149: return (void*)(QAbstractItemView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractItemView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractItemView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractItemView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 150:   //QAbstractProxyModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 150: return (void*)(QAbstractProxyModel*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QAbstractProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QAbstractProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QAbstractProxyModel*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QAbstractProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 151:   //QAbstractScrollArea
      switch(to) {
        case 172: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 213: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 190: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QAbstractScrollArea*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QAbstractScrollArea*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QAbstractScrollArea*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 152:   //QAbstractTableModel
      switch(to) {
        case 148: return (void*)(QAbstractItemModel*)(QAbstractTableModel*)xptr;
        case 190: return (void*)(QObject*)(QAbstractTableModel*)xptr;
        case 152: return (void*)(QAbstractTableModel*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QAbstractTableModel*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QAbstractTableModel*)xptr;
        default: return xptr;
      }
    case 153:   //QActionEvent
      switch(to) {
        case 153: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 154:   //QBool
      switch(to) {
        case 154: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 155:   //QByteArray
      switch(to) {
        case 155: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 156:   //QChildEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 156: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 157:   //QCloseEvent
      switch(to) {
        case 157: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 158:   //QColor
      switch(to) {
        case 158: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 159:   //QComboBox
      switch(to) {
        case 213: return (void*)(QWidget*)(QComboBox*)xptr;
        case 190: return (void*)(QObject*)(QComboBox*)xptr;
        case 159: return (void*)(QComboBox*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 160:   //QContextMenuEvent
      switch(to) {
        case 160: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 161:   //QDBusContext
      switch(to) {
        case 161: return (void*)(QDBusContext*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QDBusContext*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 162:   //QDataStream
      switch(to) {
        case 162: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 163:   //QDateTime
      switch(to) {
        case 163: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 164:   //QDialog
      switch(to) {
        case 213: return (void*)(QWidget*)(QDialog*)xptr;
        case 190: return (void*)(QObject*)(QDialog*)xptr;
        case 164: return (void*)(QDialog*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QDialog*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QDialog*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QDialog*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QDialog*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QDialog*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 165:   //QDragEnterEvent
      switch(to) {
        case 165: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 166:   //QDragLeaveEvent
      switch(to) {
        case 166: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 167:   //QDragMoveEvent
      switch(to) {
        case 167: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 168:   //QDropEvent
      switch(to) {
        case 168: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 169:   //QEvent
      switch(to) {
        case 169: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 170:   //QFocusEvent
      switch(to) {
        case 170: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 171:   //QFont
      switch(to) {
        case 171: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 172:   //QFrame
      switch(to) {
        case 213: return (void*)(QWidget*)(QFrame*)xptr;
        case 190: return (void*)(QObject*)(QFrame*)xptr;
        case 172: return (void*)(QFrame*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QFrame*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QFrame*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QFrame*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QFrame*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 174:   //QHideEvent
      switch(to) {
        case 174: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 175:   //QIODevice
      switch(to) {
        case 190: return (void*)(QObject*)(QIODevice*)xptr;
        case 175: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 176:   //QIcon
      switch(to) {
        case 176: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 177:   //QIncompatibleFlag
      switch(to) {
        case 177: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 178:   //QInputMethodEvent
      switch(to) {
        case 178: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 179:   //QItemSelection
      switch(to) {
        case 179: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 180:   //QItemSelectionModel
      switch(to) {
        case 190: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 180: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 181:   //QKeyEvent
      switch(to) {
        case 181: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 182:   //QLineEdit
      switch(to) {
        case 182: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 183:   //QListView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 172: return (void*)(QFrame*)(QListView*)xptr;
        case 213: return (void*)(QWidget*)(QListView*)xptr;
        case 190: return (void*)(QObject*)(QListView*)xptr;
        case 183: return (void*)(QListView*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QListView*)xptr;
        default: return xptr;
      }
    case 184:   //QLocale
      switch(to) {
        case 184: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 185:   //QMetaObject
      switch(to) {
        case 185: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 186:   //QMimeData
      switch(to) {
        case 186: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 187:   //QModelIndex
      switch(to) {
        case 187: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 188:   //QMouseEvent
      switch(to) {
        case 188: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 189:   //QMoveEvent
      switch(to) {
        case 189: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 190:   //QObject
      switch(to) {
        case 190: return (void*)(QObject*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QObject*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QObject*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QObject*)xptr;
        case 101: return (void*)(Akonadi::PreprocessorBase*)(QObject*)xptr;
        case 102: return (void*)(Akonadi::ResourceBase*)(QObject*)xptr;
        case 11: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 30: return (void*)(Akonadi::CollectionFetchJob*)(QObject*)xptr;
        case 44: return (void*)(Akonadi::CollectionStatisticsJob*)(QObject*)xptr;
        case 93: return (void*)(Akonadi::MessageThreaderProxyModel*)(QObject*)xptr;
        case 75: return (void*)(Akonadi::ItemCreateJob*)(QObject*)xptr;
        case 36: return (void*)(Akonadi::CollectionMoveJob*)(QObject*)xptr;
        case 47: return (void*)(Akonadi::ContactDefaultActions*)(QObject*)xptr;
        case 98: return (void*)(Akonadi::PartFetcher*)(QObject*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QObject*)xptr;
        case 111: return (void*)(Akonadi::TransactionBeginJob*)(QObject*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QObject*)xptr;
        case 22: return (void*)(Akonadi::ChangeRecorder*)(QObject*)xptr;
        case 28: return (void*)(Akonadi::CollectionDeleteJob*)(QObject*)xptr;
        case 113: return (void*)(Akonadi::TransactionRollbackJob*)(QObject*)xptr;
        case 88: return (void*)(Akonadi::Job*)(QObject*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QObject*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QObject*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QObject*)xptr;
        case 70: return (void*)(Akonadi::EntityTreeViewStateSaver*)(QObject*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QObject*)xptr;
        case 116: return (void*)(Akonadi::UnlinkJob*)(QObject*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QObject*)xptr;
        case 76: return (void*)(Akonadi::ItemDeleteJob*)(QObject*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QObject*)xptr;
        case 26: return (void*)(Akonadi::CollectionCopyJob*)(QObject*)xptr;
        case 74: return (void*)(Akonadi::ItemCopyJob*)(QObject*)xptr;
        case 33: return (void*)(Akonadi::CollectionModel*)(QObject*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QObject*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QObject*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QObject*)xptr;
        case 17: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 79: return (void*)(Akonadi::ItemModel*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 86: return (void*)(Akonadi::ItemSync*)(QObject*)xptr;
        case 92: return (void*)(Akonadi::MessageModel*)(QObject*)xptr;
        case 104: return (void*)(Akonadi::SearchCreateJob*)(QObject*)xptr;
        case 35: return (void*)(Akonadi::CollectionModifyJob*)(QObject*)xptr;
        case 27: return (void*)(Akonadi::CollectionCreateJob*)(QObject*)xptr;
        case 57: return (void*)(Akonadi::ContactSearchJob*)(QObject*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QObject*)xptr;
        case 72: return (void*)(Akonadi::FavoriteCollectionsModel*)(QObject*)xptr;
        case 67: return (void*)(Akonadi::EntityTreeModel*)(QObject*)xptr;
        case 106: return (void*)(Akonadi::ServerManager*)(QObject*)xptr;
        case 112: return (void*)(Akonadi::TransactionCommitJob*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 45: return (void*)(Akonadi::CollectionStatisticsModel*)(QObject*)xptr;
        case 53: return (void*)(Akonadi::ContactGroupExpandJob*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QObject*)xptr;
        case 107: return (void*)(Akonadi::Session*)(QObject*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QObject*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QObject*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QObject*)xptr;
        case 82: return (void*)(Akonadi::ItemMoveJob*)(QObject*)xptr;
        case 96: return (void*)(Akonadi::Monitor*)(QObject*)xptr;
        case 54: return (void*)(Akonadi::ContactGroupSearchJob*)(QObject*)xptr;
        case 109: return (void*)(Akonadi::StandardActionManager*)(QObject*)xptr;
        case 114: return (void*)(Akonadi::TransactionSequence*)(QObject*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 60: return (void*)(Akonadi::Control*)(QObject*)xptr;
        case 77: return (void*)(Akonadi::ItemFetchJob*)(QObject*)xptr;
        case 90: return (void*)(Akonadi::LinkJob*)(QObject*)xptr;
        case 83: return (void*)(Akonadi::ItemSearchJob*)(QObject*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QObject*)xptr;
        case 80: return (void*)(Akonadi::ItemModifyJob*)(QObject*)xptr;
        case 103: return (void*)(Akonadi::ResourceSynchronizationJob*)(QObject*)xptr;
        case 105: return (void*)(Akonadi::SelectionProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 191:   //QPaintEngine
      switch(to) {
        case 191: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 192:   //QPaintEvent
      switch(to) {
        case 192: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 193:   //QPainter
      switch(to) {
        case 193: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 194:   //QPalette
      switch(to) {
        case 194: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 195:   //QPoint
      switch(to) {
        case 195: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 196:   //QRect
      switch(to) {
        case 196: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 197:   //QRegExp
      switch(to) {
        case 197: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 198:   //QRegion
      switch(to) {
        case 198: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 199:   //QResizeEvent
      switch(to) {
        case 199: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 200:   //QSettings
      switch(to) {
        case 200: return (void*)(QSettings*)xptr;
        default: return xptr;
      }
    case 201:   //QShowEvent
      switch(to) {
        case 201: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 202:   //QSize
      switch(to) {
        case 202: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 203:   //QSortFilterProxyModel
      switch(to) {
        case 150: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 148: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 190: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 203: return (void*)(QSortFilterProxyModel*)xptr;
        case 32: return (void*)(Akonadi::CollectionFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        case 110: return (void*)(Akonadi::StatisticsProxyModel*)(QSortFilterProxyModel*)xptr;
        case 65: return (void*)(Akonadi::EntityMimeTypeFilterModel*)(QSortFilterProxyModel*)xptr;
        case 9: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 204:   //QStyle
      switch(to) {
        case 190: return (void*)(QObject*)(QStyle*)xptr;
        case 204: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 205:   //QStyleOptionViewItem
      switch(to) {
        case 205: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 206:   //QStyledItemDelegate
      switch(to) {
        case 190: return (void*)(QObject*)(QStyledItemDelegate*)xptr;
        case 206: return (void*)(QStyledItemDelegate*)xptr;
        case 43: return (void*)(Akonadi::CollectionStatisticsDelegate*)(QStyledItemDelegate*)xptr;
        default: return xptr;
      }
    case 207:   //QTabletEvent
      switch(to) {
        case 207: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 208:   //QTimerEvent
      switch(to) {
        case 169: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 208: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 209:   //QTreeView
      switch(to) {
        case 149: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 151: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 172: return (void*)(QFrame*)(QTreeView*)xptr;
        case 213: return (void*)(QWidget*)(QTreeView*)xptr;
        case 190: return (void*)(QObject*)(QTreeView*)xptr;
        case 209: return (void*)(QTreeView*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QTreeView*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QTreeView*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 210:   //QUrl
      switch(to) {
        case 210: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 211:   //QVariant
      switch(to) {
        case 211: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 212:   //QWheelEvent
      switch(to) {
        case 212: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 213:   //QWidget
      switch(to) {
        case 190: return (void*)(QObject*)(QWidget*)xptr;
        case 213: return (void*)(QWidget*)xptr;
        case 56: return (void*)(Akonadi::ContactGroupViewerDialog*)(QWidget*)xptr;
        case 59: return (void*)(Akonadi::ContactViewerDialog*)(QWidget*)xptr;
        case 69: return (void*)(Akonadi::EntityTreeView*)(QWidget*)xptr;
        case 41: return (void*)(Akonadi::CollectionRequester*)(QWidget*)xptr;
        case 18: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 50: return (void*)(Akonadi::ContactEditorPagePlugin*)(QWidget*)xptr;
        case 46: return (void*)(Akonadi::CollectionView*)(QWidget*)xptr;
        case 16: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        case 64: return (void*)(Akonadi::EntityListView*)(QWidget*)xptr;
        case 37: return (void*)(Akonadi::CollectionPropertiesDialog*)(QWidget*)xptr;
        case 48: return (void*)(Akonadi::ContactEditor*)(QWidget*)xptr;
        case 52: return (void*)(Akonadi::ContactGroupEditorDialog*)(QWidget*)xptr;
        case 49: return (void*)(Akonadi::ContactEditorDialog*)(QWidget*)xptr;
        case 13: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 55: return (void*)(Akonadi::ContactGroupViewer*)(QWidget*)xptr;
        case 29: return (void*)(Akonadi::CollectionDialog*)(QWidget*)xptr;
        case 58: return (void*)(Akonadi::ContactViewer*)(QWidget*)xptr;
        case 87: return (void*)(Akonadi::ItemView*)(QWidget*)xptr;
        case 25: return (void*)(Akonadi::CollectionComboBox*)(QWidget*)xptr;
        case 51: return (void*)(Akonadi::ContactGroupEditor*)(QWidget*)xptr;
        case 38: return (void*)(Akonadi::CollectionPropertiesPage*)(QWidget*)xptr;
        default: return xptr;
      }
    case 214:   //boost::exception
      switch(to) {
        case 214: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 215:   //boost::exception_detail::large_size
      switch(to) {
        case 215: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 216:   //boost::exception_detail::small_size
      switch(to) {
        case 216: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    19, 0,	// 1: Akonadi::Attribute
    190, 161, 0,	// 3: QObject, QDBusContext
    6, 0,	// 6: Akonadi::AgentBase::Observer
    203, 0,	// 8: QSortFilterProxyModel
    140, 0,	// 10: KJob
    148, 0,	// 12: QAbstractItemModel
    213, 0,	// 14: QWidget
    190, 0,	// 16: QObject
    137, 0,	// 18: KDialog
    96, 0,	// 20: Akonadi::Monitor
    61, 0,	// 22: Akonadi::Entity
    131, 0,	// 24: KComboBox
    88, 0,	// 26: Akonadi::Job
    138, 0,	// 28: KHBox
    206, 0,	// 30: QStyledItemDelegate
    33, 0,	// 32: Akonadi::CollectionModel
    209, 0,	// 34: QTreeView
    83, 0,	// 36: Akonadi::ItemSearchJob
    213, 81, 0,	// 38: QWidget, Akonadi::ItemMonitor
    183, 0,	// 41: QListView
    105, 0,	// 43: Akonadi::SelectionProxyModel
    152, 0,	// 45: QAbstractTableModel
    84, 0,	// 47: Akonadi::ItemSerializerPlugin
    135, 0,	// 49: KCompositeJob
    79, 0,	// 51: Akonadi::ItemModel
    150, 0,	// 53: QAbstractProxyModel
    71, 0,	// 55: Akonadi::Exception
    5, 0,	// 57: Akonadi::AgentBase
    143, 0,	// 59: KSelectionProxyModel
};

// These are the xenum functions for manipulating enum pointers
void xenum_Akonadi__ItemModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__MessageModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__EntityTreeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemSync(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__TransportResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ResourceBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__PreprocessorBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Item(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionStatisticsModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__StandardActionManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionFetchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupSearchJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactGroupEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ItemFetchScope(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ServerManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__CollectionModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__ContactEditorDialog(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Job(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AddressAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ChangeRecorder(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionComboBox(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPage(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionPropertiesPageFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionQuotaAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionRequester(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatistics(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionStatisticsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CollectionView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactDefaultActions(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactEditorPagePlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupEditorDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupExpandJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactGroupViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ContactViewerDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Control(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityDisplayAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityHiddenAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityListView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityMimeTypeFilterModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__EntityTreeViewStateSaver(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__FavoriteCollectionsModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Item(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCopyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemDeleteJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemFetchScope(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemModifyJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMonitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemMoveJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSearchJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPlugin(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSerializerPluginV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemSync(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ItemView(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Job(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__LinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageFolderAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreaderProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MessageThreadingAttribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__MimeTypeChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Monitor(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PartFetcher(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PreprocessorBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ResourceSynchronizationJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SearchCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__SelectionProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__ServerManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Session(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StandardActionManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__StatisticsProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionBeginJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionCommitJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionRollbackJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransactionSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__TransportResourceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__UnlinkJob(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AbstractContactEditorWidget", true, 0, 0, 0, 0, 0 },	//1
    { "Akonadi::AbstractContactFormatter", true, 0, 0, 0, 0, 0 },	//2
    { "Akonadi::AbstractContactGroupFormatter", true, 0, 0, 0, 0, 0 },	//3
    { "Akonadi::AddressAttribute", false, 1, xcall_Akonadi__AddressAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AddressAttribute) },	//4
    { "Akonadi::AgentBase", false, 3, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//5
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//6
    { "Akonadi::AgentBase::ObserverV2", false, 6, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//7
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//8
    { "Akonadi::AgentFilterProxyModel", false, 8, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//9
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//10
    { "Akonadi::AgentInstanceCreateJob", false, 10, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//11
    { "Akonadi::AgentInstanceModel", false, 12, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//12
    { "Akonadi::AgentInstanceWidget", false, 14, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//13
    { "Akonadi::AgentManager", false, 16, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//14
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//15
    { "Akonadi::AgentTypeDialog", false, 18, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//16
    { "Akonadi::AgentTypeModel", false, 12, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//17
    { "Akonadi::AgentTypeWidget", false, 14, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//18
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//19
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//20
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//21
    { "Akonadi::ChangeRecorder", false, 20, xcall_Akonadi__ChangeRecorder, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ChangeRecorder) },	//22
    { "Akonadi::ChangeRecorderPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "Akonadi::Collection", false, 22, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//24
    { "Akonadi::CollectionComboBox", false, 24, xcall_Akonadi__CollectionComboBox, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionComboBox) },	//25
    { "Akonadi::CollectionCopyJob", false, 26, xcall_Akonadi__CollectionCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCopyJob) },	//26
    { "Akonadi::CollectionCreateJob", false, 26, xcall_Akonadi__CollectionCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionCreateJob) },	//27
    { "Akonadi::CollectionDeleteJob", false, 26, xcall_Akonadi__CollectionDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDeleteJob) },	//28
    { "Akonadi::CollectionDialog", false, 18, xcall_Akonadi__CollectionDialog, xenum_Akonadi__CollectionDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionDialog) },	//29
    { "Akonadi::CollectionFetchJob", false, 26, xcall_Akonadi__CollectionFetchJob, xenum_Akonadi__CollectionFetchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFetchJob) },	//30
    { "Akonadi::CollectionFetchScope", false, 0, xcall_Akonadi__CollectionFetchScope, xenum_Akonadi__CollectionFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionFetchScope) },	//31
    { "Akonadi::CollectionFilterProxyModel", false, 8, xcall_Akonadi__CollectionFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionFilterProxyModel) },	//32
    { "Akonadi::CollectionModel", false, 12, xcall_Akonadi__CollectionModel, xenum_Akonadi__CollectionModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModel) },	//33
    { "Akonadi::CollectionModelPrivate", true, 0, 0, 0, 0, 0 },	//34
    { "Akonadi::CollectionModifyJob", false, 26, xcall_Akonadi__CollectionModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionModifyJob) },	//35
    { "Akonadi::CollectionMoveJob", false, 26, xcall_Akonadi__CollectionMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionMoveJob) },	//36
    { "Akonadi::CollectionPropertiesDialog", false, 18, xcall_Akonadi__CollectionPropertiesDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesDialog) },	//37
    { "Akonadi::CollectionPropertiesPage", false, 14, xcall_Akonadi__CollectionPropertiesPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPage) },	//38
    { "Akonadi::CollectionPropertiesPageFactory", false, 0, xcall_Akonadi__CollectionPropertiesPageFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionPropertiesPageFactory) },	//39
    { "Akonadi::CollectionQuotaAttribute", false, 1, xcall_Akonadi__CollectionQuotaAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::CollectionQuotaAttribute) },	//40
    { "Akonadi::CollectionRequester", false, 28, xcall_Akonadi__CollectionRequester, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionRequester) },	//41
    { "Akonadi::CollectionStatistics", false, 0, xcall_Akonadi__CollectionStatistics, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CollectionStatistics) },	//42
    { "Akonadi::CollectionStatisticsDelegate", false, 30, xcall_Akonadi__CollectionStatisticsDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsDelegate) },	//43
    { "Akonadi::CollectionStatisticsJob", false, 26, xcall_Akonadi__CollectionStatisticsJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsJob) },	//44
    { "Akonadi::CollectionStatisticsModel", false, 32, xcall_Akonadi__CollectionStatisticsModel, xenum_Akonadi__CollectionStatisticsModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionStatisticsModel) },	//45
    { "Akonadi::CollectionView", false, 34, xcall_Akonadi__CollectionView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::CollectionView) },	//46
    { "Akonadi::ContactDefaultActions", false, 16, xcall_Akonadi__ContactDefaultActions, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactDefaultActions) },	//47
    { "Akonadi::ContactEditor", false, 14, xcall_Akonadi__ContactEditor, xenum_Akonadi__ContactEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditor) },	//48
    { "Akonadi::ContactEditorDialog", false, 18, xcall_Akonadi__ContactEditorDialog, xenum_Akonadi__ContactEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorDialog) },	//49
    { "Akonadi::ContactEditorPagePlugin", false, 14, xcall_Akonadi__ContactEditorPagePlugin, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactEditorPagePlugin) },	//50
    { "Akonadi::ContactGroupEditor", false, 14, xcall_Akonadi__ContactGroupEditor, xenum_Akonadi__ContactGroupEditor, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditor) },	//51
    { "Akonadi::ContactGroupEditorDialog", false, 18, xcall_Akonadi__ContactGroupEditorDialog, xenum_Akonadi__ContactGroupEditorDialog, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupEditorDialog) },	//52
    { "Akonadi::ContactGroupExpandJob", false, 10, xcall_Akonadi__ContactGroupExpandJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupExpandJob) },	//53
    { "Akonadi::ContactGroupSearchJob", false, 36, xcall_Akonadi__ContactGroupSearchJob, xenum_Akonadi__ContactGroupSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupSearchJob) },	//54
    { "Akonadi::ContactGroupViewer", false, 38, xcall_Akonadi__ContactGroupViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewer) },	//55
    { "Akonadi::ContactGroupViewerDialog", false, 18, xcall_Akonadi__ContactGroupViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactGroupViewerDialog) },	//56
    { "Akonadi::ContactSearchJob", false, 36, xcall_Akonadi__ContactSearchJob, xenum_Akonadi__ContactSearchJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactSearchJob) },	//57
    { "Akonadi::ContactViewer", false, 38, xcall_Akonadi__ContactViewer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewer) },	//58
    { "Akonadi::ContactViewerDialog", false, 18, xcall_Akonadi__ContactViewerDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ContactViewerDialog) },	//59
    { "Akonadi::Control", false, 16, xcall_Akonadi__Control, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Control) },	//60
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//61
    { "Akonadi::EntityDisplayAttribute", false, 1, xcall_Akonadi__EntityDisplayAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityDisplayAttribute) },	//62
    { "Akonadi::EntityHiddenAttribute", false, 1, xcall_Akonadi__EntityHiddenAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::EntityHiddenAttribute) },	//63
    { "Akonadi::EntityListView", false, 41, xcall_Akonadi__EntityListView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityListView) },	//64
    { "Akonadi::EntityMimeTypeFilterModel", false, 8, xcall_Akonadi__EntityMimeTypeFilterModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityMimeTypeFilterModel) },	//65
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//66
    { "Akonadi::EntityTreeModel", false, 12, xcall_Akonadi__EntityTreeModel, xenum_Akonadi__EntityTreeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeModel) },	//67
    { "Akonadi::EntityTreeModelPrivate", true, 0, 0, 0, 0, 0 },	//68
    { "Akonadi::EntityTreeView", false, 34, xcall_Akonadi__EntityTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeView) },	//69
    { "Akonadi::EntityTreeViewStateSaver", false, 16, xcall_Akonadi__EntityTreeViewStateSaver, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::EntityTreeViewStateSaver) },	//70
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//71
    { "Akonadi::FavoriteCollectionsModel", false, 43, xcall_Akonadi__FavoriteCollectionsModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::FavoriteCollectionsModel) },	//72
    { "Akonadi::Item", false, 22, xcall_Akonadi__Item, xenum_Akonadi__Item, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Item) },	//73
    { "Akonadi::ItemCopyJob", false, 26, xcall_Akonadi__ItemCopyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCopyJob) },	//74
    { "Akonadi::ItemCreateJob", false, 26, xcall_Akonadi__ItemCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemCreateJob) },	//75
    { "Akonadi::ItemDeleteJob", false, 26, xcall_Akonadi__ItemDeleteJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemDeleteJob) },	//76
    { "Akonadi::ItemFetchJob", false, 26, xcall_Akonadi__ItemFetchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemFetchJob) },	//77
    { "Akonadi::ItemFetchScope", false, 0, xcall_Akonadi__ItemFetchScope, xenum_Akonadi__ItemFetchScope, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::ItemFetchScope) },	//78
    { "Akonadi::ItemModel", false, 45, xcall_Akonadi__ItemModel, xenum_Akonadi__ItemModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModel) },	//79
    { "Akonadi::ItemModifyJob", false, 26, xcall_Akonadi__ItemModifyJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemModifyJob) },	//80
    { "Akonadi::ItemMonitor", false, 0, xcall_Akonadi__ItemMonitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMonitor) },	//81
    { "Akonadi::ItemMoveJob", false, 26, xcall_Akonadi__ItemMoveJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemMoveJob) },	//82
    { "Akonadi::ItemSearchJob", false, 26, xcall_Akonadi__ItemSearchJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSearchJob) },	//83
    { "Akonadi::ItemSerializerPlugin", false, 0, xcall_Akonadi__ItemSerializerPlugin, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPlugin) },	//84
    { "Akonadi::ItemSerializerPluginV2", false, 47, xcall_Akonadi__ItemSerializerPluginV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::ItemSerializerPluginV2) },	//85
    { "Akonadi::ItemSync", false, 26, xcall_Akonadi__ItemSync, xenum_Akonadi__ItemSync, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemSync) },	//86
    { "Akonadi::ItemView", false, 34, xcall_Akonadi__ItemView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ItemView) },	//87
    { "Akonadi::Job", false, 49, xcall_Akonadi__Job, xenum_Akonadi__Job, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Job) },	//88
    { "Akonadi::JobPrivate", true, 0, 0, 0, 0, 0 },	//89
    { "Akonadi::LinkJob", false, 26, xcall_Akonadi__LinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::LinkJob) },	//90
    { "Akonadi::MessageFolderAttribute", false, 1, xcall_Akonadi__MessageFolderAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageFolderAttribute) },	//91
    { "Akonadi::MessageModel", false, 51, xcall_Akonadi__MessageModel, xenum_Akonadi__MessageModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageModel) },	//92
    { "Akonadi::MessageThreaderProxyModel", false, 53, xcall_Akonadi__MessageThreaderProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::MessageThreaderProxyModel) },	//93
    { "Akonadi::MessageThreadingAttribute", false, 1, xcall_Akonadi__MessageThreadingAttribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::MessageThreadingAttribute) },	//94
    { "Akonadi::MimeTypeChecker", false, 0, xcall_Akonadi__MimeTypeChecker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::MimeTypeChecker) },	//95
    { "Akonadi::Monitor", false, 16, xcall_Akonadi__Monitor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Monitor) },	//96
    { "Akonadi::MonitorPrivate", true, 0, 0, 0, 0, 0 },	//97
    { "Akonadi::PartFetcher", false, 10, xcall_Akonadi__PartFetcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PartFetcher) },	//98
    { "Akonadi::PayloadBase", false, 0, xcall_Akonadi__PayloadBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadBase) },	//99
    { "Akonadi::PayloadException", false, 55, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//100
    { "Akonadi::PreprocessorBase", false, 57, xcall_Akonadi__PreprocessorBase, xenum_Akonadi__PreprocessorBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::PreprocessorBase) },	//101
    { "Akonadi::ResourceBase", false, 57, xcall_Akonadi__ResourceBase, xenum_Akonadi__ResourceBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceBase) },	//102
    { "Akonadi::ResourceSynchronizationJob", false, 10, xcall_Akonadi__ResourceSynchronizationJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::ResourceSynchronizationJob) },	//103
    { "Akonadi::SearchCreateJob", false, 26, xcall_Akonadi__SearchCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SearchCreateJob) },	//104
    { "Akonadi::SelectionProxyModel", false, 59, xcall_Akonadi__SelectionProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::SelectionProxyModel) },	//105
    { "Akonadi::ServerManager", false, 16, xcall_Akonadi__ServerManager, xenum_Akonadi__ServerManager, Smoke::cf_virtual, sizeof(Akonadi::ServerManager) },	//106
    { "Akonadi::Session", false, 16, xcall_Akonadi__Session, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::Session) },	//107
    { "Akonadi::SessionPrivate", true, 0, 0, 0, 0, 0 },	//108
    { "Akonadi::StandardActionManager", false, 16, xcall_Akonadi__StandardActionManager, xenum_Akonadi__StandardActionManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StandardActionManager) },	//109
    { "Akonadi::StatisticsProxyModel", false, 8, xcall_Akonadi__StatisticsProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::StatisticsProxyModel) },	//110
    { "Akonadi::TransactionBeginJob", false, 26, xcall_Akonadi__TransactionBeginJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionBeginJob) },	//111
    { "Akonadi::TransactionCommitJob", false, 26, xcall_Akonadi__TransactionCommitJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionCommitJob) },	//112
    { "Akonadi::TransactionRollbackJob", false, 26, xcall_Akonadi__TransactionRollbackJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionRollbackJob) },	//113
    { "Akonadi::TransactionSequence", false, 26, xcall_Akonadi__TransactionSequence, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::TransactionSequence) },	//114
    { "Akonadi::TransportResourceBase", false, 0, xcall_Akonadi__TransportResourceBase, xenum_Akonadi__TransportResourceBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::TransportResourceBase) },	//115
    { "Akonadi::UnlinkJob", false, 26, xcall_Akonadi__UnlinkJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::UnlinkJob) },	//116
    { "KABC::Address", true, 0, 0, 0, 0, 0 },	//117
    { "KABC::Addressee", true, 0, 0, 0, 0, 0 },	//118
    { "KABC::AddresseeList", true, 0, 0, 0, 0, 0 },	//119
    { "KABC::ContactGroup", true, 0, 0, 0, 0, 0 },	//120
    { "KABC::Geo", true, 0, 0, 0, 0, 0 },	//121
    { "KABC::Key", true, 0, 0, 0, 0, 0 },	//122
    { "KABC::PhoneNumber", true, 0, 0, 0, 0, 0 },	//123
    { "KABC::Picture", true, 0, 0, 0, 0, 0 },	//124
    { "KABC::Secrecy", true, 0, 0, 0, 0, 0 },	//125
    { "KABC::Sound", true, 0, 0, 0, 0, 0 },	//126
    { "KABC::TimeZone", true, 0, 0, 0, 0, 0 },	//127
    { "KAction", true, 0, 0, 0, 0, 0 },	//128
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//129
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//130
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//131
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//132
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//133
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//134
    { "KCompositeJob", true, 0, 0, 0, 0, 0 },	//135
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//136
    { "KDialog", true, 0, 0, 0, 0, 0 },	//137
    { "KHBox", true, 0, 0, 0, 0, 0 },	//138
    { "KIcon", true, 0, 0, 0, 0, 0 },	//139
    { "KJob", true, 0, 0, 0, 0, 0 },	//140
    { "KLocale", true, 0, 0, 0, 0, 0 },	//141
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//142
    { "KSelectionProxyModel", true, 0, 0, 0, 0, 0 },	//143
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//144
    { "KUrl", true, 0, 0, 0, 0, 0 },	//145
    { "KXMLGUIClient", true, 0, 0, 0, 0, 0 },	//146
    { "KXmlGuiWindow", true, 0, 0, 0, 0, 0 },	//147
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//148
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//149
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//150
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//151
    { "QAbstractTableModel", true, 0, 0, 0, 0, 0 },	//152
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//153
    { "QBool", true, 0, 0, 0, 0, 0 },	//154
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//155
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//156
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//157
    { "QColor", true, 0, 0, 0, 0, 0 },	//158
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//159
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//160
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//161
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//162
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//163
    { "QDialog", true, 0, 0, 0, 0, 0 },	//164
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//165
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//166
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//167
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//168
    { "QEvent", true, 0, 0, 0, 0, 0 },	//169
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//170
    { "QFont", true, 0, 0, 0, 0, 0 },	//171
    { "QFrame", true, 0, 0, 0, 0, 0 },	//172
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//173
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//174
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//175
    { "QIcon", true, 0, 0, 0, 0, 0 },	//176
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//177
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//178
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//179
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//180
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//181
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//182
    { "QListView", true, 0, 0, 0, 0, 0 },	//183
    { "QLocale", true, 0, 0, 0, 0, 0 },	//184
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//185
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//186
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//187
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//188
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//189
    { "QObject", true, 0, 0, 0, 0, 0 },	//190
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//191
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//192
    { "QPainter", true, 0, 0, 0, 0, 0 },	//193
    { "QPalette", true, 0, 0, 0, 0, 0 },	//194
    { "QPoint", true, 0, 0, 0, 0, 0 },	//195
    { "QRect", true, 0, 0, 0, 0, 0 },	//196
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//197
    { "QRegion", true, 0, 0, 0, 0, 0 },	//198
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//199
    { "QSettings", true, 0, 0, 0, 0, 0 },	//200
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//201
    { "QSize", true, 0, 0, 0, 0, 0 },	//202
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//203
    { "QStyle", true, 0, 0, 0, 0, 0 },	//204
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//205
    { "QStyledItemDelegate", true, 0, 0, 0, 0, 0 },	//206
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//207
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//208
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//209
    { "QUrl", true, 0, 0, 0, 0, 0 },	//210
    { "QVariant", true, 0, 0, 0, 0, 0 },	//211
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//212
    { "QWidget", true, 0, 0, 0, 0, 0 },	//213
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//214
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//215
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//216
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AbstractContactEditorWidget*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AbstractContactFormatter*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AbstractContactGroupFormatter*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AddressAttribute*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Akonadi::AgentBase*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentBase::Observer*", 6, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentBase::ObserverV2*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "Akonadi::AgentBase::Status", 5, Smoke::t_enum|Smoke::tf_stack },	//8
    { "Akonadi::AgentBasePrivate*", 8, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentFilterProxyModel*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "Akonadi::AgentInstance", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref },	//12
    { "Akonadi::AgentInstance*", 10, Smoke::t_class|Smoke::tf_ptr },	//13
    { "Akonadi::AgentInstance::Status", 10, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Akonadi::AgentInstanceCreateJob*", 11, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentInstanceModel*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "Akonadi::AgentInstanceModel::Roles", 12, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Akonadi::AgentInstanceWidget*", 13, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentType", 15, Smoke::t_class|Smoke::tf_stack },	//20
    { "Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref },	//21
    { "Akonadi::AgentType*", 15, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::AgentTypeDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AgentTypeModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::AgentTypeModel::Roles", 17, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Akonadi::AgentTypeWidget*", 18, Smoke::t_class|Smoke::tf_ptr },	//26
    { "Akonadi::Attribute*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::AttributeFactory*", 20, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::CachePolicy", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::CachePolicy*", 21, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::ChangeRecorder*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "Akonadi::ChangeRecorderPrivate*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "Akonadi::Collection", 24, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Collection*", 24, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Collection::Id", 0, Smoke::t_voidp|Smoke::tf_stack },	//37
    { "Akonadi::Collection::Right", 24, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Akonadi::CollectionComboBox*", 25, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::CollectionCopyJob*", 26, Smoke::t_class|Smoke::tf_ptr },	//40
    { "Akonadi::CollectionCreateJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//41
    { "Akonadi::CollectionDeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//42
    { "Akonadi::CollectionDialog*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "Akonadi::CollectionDialog::CollectionDialogOption", 29, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Akonadi::CollectionFetchJob*", 30, Smoke::t_class|Smoke::tf_ptr },	//45
    { "Akonadi::CollectionFetchJob::Type", 30, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref },	//47
    { "Akonadi::CollectionFetchScope*", 31, Smoke::t_class|Smoke::tf_ptr },	//48
    { "Akonadi::CollectionFetchScope::AncestorRetrieval", 31, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Akonadi::CollectionFilterProxyModel*", 32, Smoke::t_class|Smoke::tf_ptr },	//50
    { "Akonadi::CollectionModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//51
    { "Akonadi::CollectionModel::Roles", 33, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Akonadi::CollectionModelPrivate*", 34, Smoke::t_class|Smoke::tf_ptr },	//53
    { "Akonadi::CollectionModifyJob*", 35, Smoke::t_class|Smoke::tf_ptr },	//54
    { "Akonadi::CollectionMoveJob*", 36, Smoke::t_class|Smoke::tf_ptr },	//55
    { "Akonadi::CollectionPropertiesDialog*", 37, Smoke::t_class|Smoke::tf_ptr },	//56
    { "Akonadi::CollectionPropertiesPage*", 38, Smoke::t_class|Smoke::tf_ptr },	//57
    { "Akonadi::CollectionPropertiesPageFactory*", 39, Smoke::t_class|Smoke::tf_ptr },	//58
    { "Akonadi::CollectionQuotaAttribute*", 40, Smoke::t_class|Smoke::tf_ptr },	//59
    { "Akonadi::CollectionRequester*", 41, Smoke::t_class|Smoke::tf_ptr },	//60
    { "Akonadi::CollectionStatistics", 42, Smoke::t_class|Smoke::tf_stack },	//61
    { "Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref },	//62
    { "Akonadi::CollectionStatistics*", 42, Smoke::t_class|Smoke::tf_ptr },	//63
    { "Akonadi::CollectionStatisticsDelegate*", 43, Smoke::t_class|Smoke::tf_ptr },	//64
    { "Akonadi::CollectionStatisticsJob*", 44, Smoke::t_class|Smoke::tf_ptr },	//65
    { "Akonadi::CollectionStatisticsModel*", 45, Smoke::t_class|Smoke::tf_ptr },	//66
    { "Akonadi::CollectionStatisticsModel::Roles", 45, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Akonadi::CollectionView*", 46, Smoke::t_class|Smoke::tf_ptr },	//68
    { "Akonadi::ContactDefaultActions*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "Akonadi::ContactEditor*", 48, Smoke::t_class|Smoke::tf_ptr },	//70
    { "Akonadi::ContactEditor::Mode", 48, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Akonadi::ContactEditorDialog*", 49, Smoke::t_class|Smoke::tf_ptr },	//72
    { "Akonadi::ContactEditorDialog::Mode", 49, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Akonadi::ContactEditorPagePlugin*", 50, Smoke::t_class|Smoke::tf_ptr },	//74
    { "Akonadi::ContactGroupEditor*", 51, Smoke::t_class|Smoke::tf_ptr },	//75
    { "Akonadi::ContactGroupEditor::Mode", 51, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Akonadi::ContactGroupEditorDialog*", 52, Smoke::t_class|Smoke::tf_ptr },	//77
    { "Akonadi::ContactGroupEditorDialog::Mode", 52, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Akonadi::ContactGroupExpandJob*", 53, Smoke::t_class|Smoke::tf_ptr },	//79
    { "Akonadi::ContactGroupSearchJob*", 54, Smoke::t_class|Smoke::tf_ptr },	//80
    { "Akonadi::ContactGroupSearchJob::Criterion", 54, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Akonadi::ContactGroupSearchJob::Match", 54, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Akonadi::ContactGroupViewer*", 55, Smoke::t_class|Smoke::tf_ptr },	//83
    { "Akonadi::ContactGroupViewerDialog*", 56, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Akonadi::ContactSearchJob*", 57, Smoke::t_class|Smoke::tf_ptr },	//85
    { "Akonadi::ContactSearchJob::Criterion", 57, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Akonadi::ContactSearchJob::Match", 57, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Akonadi::ContactViewer*", 58, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Akonadi::ContactViewerDialog*", 59, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Akonadi::Control*", 60, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref },	//91
    { "Akonadi::Entity*", 61, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Akonadi::Entity::CreateOption", 61, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Akonadi::EntityDisplayAttribute*", 62, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Akonadi::EntityHiddenAttribute*", 63, Smoke::t_class|Smoke::tf_ptr },	//95
    { "Akonadi::EntityListView*", 64, Smoke::t_class|Smoke::tf_ptr },	//96
    { "Akonadi::EntityMimeTypeFilterModel*", 65, Smoke::t_class|Smoke::tf_ptr },	//97
    { "Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Akonadi::EntityTreeModel*", 67, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Akonadi::EntityTreeModel::CollectionFetchStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Akonadi::EntityTreeModel::FetchState", 67, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Akonadi::EntityTreeModel::HeaderGroup", 67, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Akonadi::EntityTreeModel::ItemPopulationStrategy", 67, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Akonadi::EntityTreeModel::Roles", 67, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr },	//105
    { "Akonadi::EntityTreeView*", 69, Smoke::t_class|Smoke::tf_ptr },	//106
    { "Akonadi::EntityTreeViewStateSaver*", 70, Smoke::t_class|Smoke::tf_ptr },	//107
    { "Akonadi::Exception*", 71, Smoke::t_class|Smoke::tf_ptr },	//108
    { "Akonadi::FavoriteCollectionsModel*", 72, Smoke::t_class|Smoke::tf_ptr },	//109
    { "Akonadi::Item", 73, Smoke::t_class|Smoke::tf_stack },	//110
    { "Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref },	//111
    { "Akonadi::Item*", 73, Smoke::t_class|Smoke::tf_ptr },	//112
    { "Akonadi::Item::UrlType", 73, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Akonadi::ItemCopyJob*", 74, Smoke::t_class|Smoke::tf_ptr },	//114
    { "Akonadi::ItemCreateJob*", 75, Smoke::t_class|Smoke::tf_ptr },	//115
    { "Akonadi::ItemDeleteJob*", 76, Smoke::t_class|Smoke::tf_ptr },	//116
    { "Akonadi::ItemFetchJob*", 77, Smoke::t_class|Smoke::tf_ptr },	//117
    { "Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref },	//118
    { "Akonadi::ItemFetchScope*", 78, Smoke::t_class|Smoke::tf_ptr },	//119
    { "Akonadi::ItemFetchScope::AncestorRetrieval", 78, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Akonadi::ItemModel*", 79, Smoke::t_class|Smoke::tf_ptr },	//121
    { "Akonadi::ItemModel::Column", 79, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Akonadi::ItemModel::Roles", 79, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Akonadi::ItemModifyJob*", 80, Smoke::t_class|Smoke::tf_ptr },	//124
    { "Akonadi::ItemMonitor*", 81, Smoke::t_class|Smoke::tf_ptr },	//125
    { "Akonadi::ItemMoveJob*", 82, Smoke::t_class|Smoke::tf_ptr },	//126
    { "Akonadi::ItemSearchJob*", 83, Smoke::t_class|Smoke::tf_ptr },	//127
    { "Akonadi::ItemSerializerPlugin*", 84, Smoke::t_class|Smoke::tf_ptr },	//128
    { "Akonadi::ItemSerializerPluginV2*", 85, Smoke::t_class|Smoke::tf_ptr },	//129
    { "Akonadi::ItemSync*", 86, Smoke::t_class|Smoke::tf_ptr },	//130
    { "Akonadi::ItemSync::TransactionMode", 86, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Akonadi::ItemView*", 87, Smoke::t_class|Smoke::tf_ptr },	//132
    { "Akonadi::Job*", 88, Smoke::t_class|Smoke::tf_ptr },	//133
    { "Akonadi::Job::Error", 88, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Akonadi::JobPrivate*", 89, Smoke::t_class|Smoke::tf_ptr },	//135
    { "Akonadi::LinkJob*", 90, Smoke::t_class|Smoke::tf_ptr },	//136
    { "Akonadi::MessageFolderAttribute*", 91, Smoke::t_class|Smoke::tf_ptr },	//137
    { "Akonadi::MessageModel*", 92, Smoke::t_class|Smoke::tf_ptr },	//138
    { "Akonadi::MessageModel::Column", 92, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Akonadi::MessageThreaderProxyModel*", 93, Smoke::t_class|Smoke::tf_ptr },	//140
    { "Akonadi::MessageThreadingAttribute*", 94, Smoke::t_class|Smoke::tf_ptr },	//141
    { "Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref },	//142
    { "Akonadi::MimeTypeChecker*", 95, Smoke::t_class|Smoke::tf_ptr },	//143
    { "Akonadi::Monitor*", 96, Smoke::t_class|Smoke::tf_ptr },	//144
    { "Akonadi::MonitorPrivate*", 97, Smoke::t_class|Smoke::tf_ptr },	//145
    { "Akonadi::PartFetcher*", 98, Smoke::t_class|Smoke::tf_ptr },	//146
    { "Akonadi::PayloadBase*", 99, Smoke::t_class|Smoke::tf_ptr },	//147
    { "Akonadi::PayloadException*", 100, Smoke::t_class|Smoke::tf_ptr },	//148
    { "Akonadi::PreprocessorBase*", 101, Smoke::t_class|Smoke::tf_ptr },	//149
    { "Akonadi::PreprocessorBase::ProcessingResult", 101, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Akonadi::ResourceBase*", 102, Smoke::t_class|Smoke::tf_ptr },	//151
    { "Akonadi::ResourceBase::SchedulePriority", 102, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Akonadi::ResourceSynchronizationJob*", 103, Smoke::t_class|Smoke::tf_ptr },	//153
    { "Akonadi::SearchCreateJob*", 104, Smoke::t_class|Smoke::tf_ptr },	//154
    { "Akonadi::SelectionProxyModel*", 105, Smoke::t_class|Smoke::tf_ptr },	//155
    { "Akonadi::ServerManager*", 106, Smoke::t_class|Smoke::tf_ptr },	//156
    { "Akonadi::ServerManager::State", 106, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Akonadi::Session*", 107, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Akonadi::SessionPrivate*", 108, Smoke::t_class|Smoke::tf_ptr },	//159
    { "Akonadi::StandardActionManager*", 109, Smoke::t_class|Smoke::tf_ptr },	//160
    { "Akonadi::StandardActionManager::TextContext", 109, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Akonadi::StandardActionManager::Type", 109, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Akonadi::StatisticsProxyModel*", 110, Smoke::t_class|Smoke::tf_ptr },	//163
    { "Akonadi::TransactionBeginJob*", 111, Smoke::t_class|Smoke::tf_ptr },	//164
    { "Akonadi::TransactionCommitJob*", 112, Smoke::t_class|Smoke::tf_ptr },	//165
    { "Akonadi::TransactionRollbackJob*", 113, Smoke::t_class|Smoke::tf_ptr },	//166
    { "Akonadi::TransactionSequence*", 114, Smoke::t_class|Smoke::tf_ptr },	//167
    { "Akonadi::TransportResourceBase*", 115, Smoke::t_class|Smoke::tf_ptr },	//168
    { "Akonadi::TransportResourceBase::TransportResult", 115, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Akonadi::UnlinkJob*", 116, Smoke::t_class|Smoke::tf_ptr },	//170
    { "KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref },	//171
    { "KABC::Address::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//172
    { "KABC::Addressee", 118, Smoke::t_class|Smoke::tf_stack },	//173
    { "KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref },	//174
    { "KABC::AddresseeList", 119, Smoke::t_class|Smoke::tf_stack },	//175
    { "KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref },	//176
    { "KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref },	//177
    { "KABC::PhoneNumber::Type::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref },	//179
    { "KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref },	//180
    { "KABC::SortingCriterion", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref },	//182
    { "KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref },	//183
    { "KAction*", 128, Smoke::t_class|Smoke::tf_ptr },	//184
    { "KActionCollection*", 129, Smoke::t_class|Smoke::tf_ptr },	//185
    { "KCharsets*", 130, Smoke::t_class|Smoke::tf_ptr },	//186
    { "KCompletion*", 132, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KComponentData", 134, Smoke::t_class|Smoke::tf_stack },	//188
    { "KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref },	//189
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "KIcon", 139, Smoke::t_class|Smoke::tf_stack },	//192
    { "KJob*", 140, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KLocale*", 141, Smoke::t_class|Smoke::tf_ptr },	//194
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "KStandardDirs*", 144, Smoke::t_class|Smoke::tf_ptr },	//196
    { "KUrl", 145, Smoke::t_class|Smoke::tf_stack },	//197
    { "KXMLGUIClient*", 146, Smoke::t_class|Smoke::tf_ptr },	//198
    { "KXmlGuiWindow*", 147, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QAbstractItemView*", 149, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QAbstractItemView::CursorAction", 149, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QAbstractItemView::EditTrigger", 149, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QAbstractItemView::ScrollHint", 149, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QAbstractItemView::SelectionMode", 149, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QActionEvent*", 153, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QBool", 154, Smoke::t_class|Smoke::tf_stack },	//208
    { "QByteArray", 155, Smoke::t_class|Smoke::tf_stack },	//209
    { "QChildEvent*", 156, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QCloseEvent*", 157, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QColor", 158, Smoke::t_class|Smoke::tf_stack },	//212
    { "QContextMenuEvent*", 160, Smoke::t_class|Smoke::tf_ptr },	//213
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "QDataStream&", 162, Smoke::t_class|Smoke::tf_ref },	//215
    { "QDateTime", 163, Smoke::t_class|Smoke::tf_stack },	//216
    { "QDragEnterEvent*", 165, Smoke::t_class|Smoke::tf_ptr },	//217
    { "QDragLeaveEvent*", 166, Smoke::t_class|Smoke::tf_ptr },	//218
    { "QDragMoveEvent*", 167, Smoke::t_class|Smoke::tf_ptr },	//219
    { "QDropEvent*", 168, Smoke::t_class|Smoke::tf_ptr },	//220
    { "QEvent*", 169, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//222
    { "QFlags<Akonadi::CollectionDialog::CollectionDialogOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//223
    { "QFlags<KABC::Address::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//224
    { "QFlags<KABC::PhoneNumber::Type::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//225
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//226
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//227
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//228
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//229
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//230
    { "QFocusEvent*", 170, Smoke::t_class|Smoke::tf_ptr },	//231
    { "QHideEvent*", 174, Smoke::t_class|Smoke::tf_ptr },	//232
    { "QIODevice&", 175, Smoke::t_class|Smoke::tf_ref },	//233
    { "QIcon", 176, Smoke::t_class|Smoke::tf_stack },	//234
    { "QIncompatibleFlag", 177, Smoke::t_class|Smoke::tf_stack },	//235
    { "QInputMethodEvent*", 178, Smoke::t_class|Smoke::tf_ptr },	//236
    { "QItemSelection", 179, Smoke::t_class|Smoke::tf_stack },	//237
    { "QItemSelectionModel*", 180, Smoke::t_class|Smoke::tf_ptr },	//238
    { "QKeyEvent*", 181, Smoke::t_class|Smoke::tf_ptr },	//239
    { "QLineEdit*", 182, Smoke::t_class|Smoke::tf_ptr },	//240
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//241
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//243
    { "QList<Akonadi::Collection::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//244
    { "QList<Akonadi::Collection>", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QList<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//246
    { "QList<Akonadi::Item>", 0, Smoke::t_voidp|Smoke::tf_stack },	//247
    { "QList<KABC::ContactGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//248
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//249
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//250
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//251
    { "QMetaObject::Call", 185, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr },	//253
    { "QModelIndex", 187, Smoke::t_class|Smoke::tf_stack },	//254
    { "QMouseEvent*", 188, Smoke::t_class|Smoke::tf_ptr },	//255
    { "QMoveEvent*", 189, Smoke::t_class|Smoke::tf_ptr },	//256
    { "QObject*", 190, Smoke::t_class|Smoke::tf_ptr },	//257
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QPaintEngine*", 191, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QPaintEvent*", 192, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QPainter*", 193, Smoke::t_class|Smoke::tf_ptr },	//261
    { "QRect", 196, Smoke::t_class|Smoke::tf_stack },	//262
    { "QRegExp&", 197, Smoke::t_class|Smoke::tf_ref },	//263
    { "QRegion", 198, Smoke::t_class|Smoke::tf_stack },	//264
    { "QResizeEvent*", 199, Smoke::t_class|Smoke::tf_ptr },	//265
    { "QSet<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//266
    { "QSettings*", 200, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QShowEvent*", 201, Smoke::t_class|Smoke::tf_ptr },	//268
    { "QSize", 202, Smoke::t_class|Smoke::tf_stack },	//269
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//270
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//271
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//272
    { "QStyle&", 204, Smoke::t_class|Smoke::tf_ref },	//273
    { "QStyleOptionViewItem", 205, Smoke::t_class|Smoke::tf_stack },	//274
    { "QStyleOptionViewItem*", 205, Smoke::t_class|Smoke::tf_ptr },	//275
    { "QTabletEvent*", 207, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QTimerEvent*", 208, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QTreeView*", 209, Smoke::t_class|Smoke::tf_ptr },	//278
    { "QUrl", 210, Smoke::t_class|Smoke::tf_stack },	//279
    { "QVariant", 211, Smoke::t_class|Smoke::tf_stack },	//280
    { "QVector<Akonadi::Item::Id>", 0, Smoke::t_voidp|Smoke::tf_stack },	//281
    { "QVector<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//282
    { "QWheelEvent*", 212, Smoke::t_class|Smoke::tf_ptr },	//283
    { "QWidget*", 213, Smoke::t_class|Smoke::tf_ptr },	//284
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//352
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//354
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtMsgType", 173, Smoke::t_enum|Smoke::tf_stack },	//356
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//357
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//358
    { "__codecvt_result", 173, Smoke::t_enum|Smoke::tf_stack },	//359
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//360
    { "boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr },	//361
    { "boost::exception_detail::large_size", 215, Smoke::t_class|Smoke::tf_stack },	//362
    { "boost::exception_detail::small_size", 216, Smoke::t_class|Smoke::tf_stack },	//363
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//364
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//365
    { "const Akonadi::AddressAttribute&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const Akonadi::AgentBase::Observer&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const Akonadi::AgentBase::ObserverV2&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const Akonadi::AgentInstance&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//369
    { "const Akonadi::AgentType&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const Akonadi::Attribute&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const Akonadi::AttributeFactory&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const Akonadi::CachePolicy&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const Akonadi::Collection&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const Akonadi::Collection::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//375
    { "const Akonadi::CollectionFetchScope&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const Akonadi::CollectionPropertiesPageFactory&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const Akonadi::CollectionQuotaAttribute&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const Akonadi::CollectionStatistics&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const Akonadi::Entity&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const Akonadi::EntityDisplayAttribute&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const Akonadi::EntityHiddenAttribute&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const Akonadi::EntityPrivate*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//383
    { "const Akonadi::EntityTreeModelPrivate*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//384
    { "const Akonadi::Exception&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const Akonadi::Item&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const Akonadi::Item::List&", 0, Smoke::t_voidp|Smoke::tf_stack },	//387
    { "const Akonadi::ItemFetchScope&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const Akonadi::ItemSerializerPlugin&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const Akonadi::ItemSerializerPluginV2&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const Akonadi::MessageFolderAttribute&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const Akonadi::MessageThreadingAttribute&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const Akonadi::MimeTypeChecker&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const Akonadi::PayloadBase&", 99, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const Akonadi::PayloadException&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const Akonadi::TransportResourceBase&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const E&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const KABC::Address&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const KABC::Addressee&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const KABC::ContactGroup&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const KABC::Geo&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const KABC::Key&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const KABC::PhoneNumber&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const KABC::Picture&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const KABC::Secrecy&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//405
    { "const KABC::Sound&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const KABC::TimeZone&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const KComponentData&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const KConfigGroup&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const KLocalizedString&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const KUrl&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QAbstractItemModel*", 148, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//412
    { "const QByteArray&", 155, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QColor&", 158, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QDateTime&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QEvent*", 169, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//416
    { "const QFont&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QItemSelection&", 179, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QList<Akonadi::Collection>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QList<Akonadi::Item::Id>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QList<Akonadi::Item>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QLocale&", 184, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QMetaObject&", 185, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QMetaObject*", 185, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QMimeData*", 186, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QModelIndex&", 187, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QObject*", 190, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QPalette&", 194, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPoint&", 195, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QRect&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QRegExp&", 197, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//435
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const QStyleOptionViewItem&", 205, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QVariant&", 211, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//440
    { "const boost::exception&", 214, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const boost::exception*", 214, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//442
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//443
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//444
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//445
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//446
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//447
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//448
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//449
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//450
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//451
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//452
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//453
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//454
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//455
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//456
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//457
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    435, 436, 436, 436, 0,	//1  const QString&, const QStringList&, const QStringList&, const QStringList&
    413, 0,	//6  const QByteArray&
    435, 0,	//8  const QString&
    436, 0,	//10  const QStringList&
    366, 0,	//12  const Akonadi::AddressAttribute&
    435, 436, 0,	//14  const QString&, const QStringList&
    435, 436, 436, 0,	//17  const QString&, const QStringList&, const QStringList&
    443, 0,	//21  const char*
    443, 443, 0,	//23  const char*, const char*
    443, 443, 447, 0,	//26  const char*, const char*, int
    252, 447, 456, 0,	//30  QMetaObject::Call, int, void**
    357, 0,	//34  WId
    6, 0,	//36  Akonadi::AgentBase::Observer*
    447, 435, 0,	//38  int, const QString&
    447, 0,	//41  int
    440, 0,	//43  const QVariantMap&
    360, 0,	//45  bool
    9, 435, 0,	//47  Akonadi::AgentBasePrivate*, const QString&
    386, 374, 0,	//50  const Akonadi::Item&, const Akonadi::Collection&
    386, 434, 0,	//53  const Akonadi::Item&, const QSet<QByteArray>&
    386, 0,	//56  const Akonadi::Item&
    374, 374, 0,	//58  const Akonadi::Collection&, const Akonadi::Collection&
    374, 0,	//61  const Akonadi::Collection&
    367, 0,	//63  const Akonadi::AgentBase::Observer&
    386, 374, 374, 0,	//65  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    374, 374, 374, 0,	//69  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    374, 434, 0,	//73  const Akonadi::Collection&, const QSet<QByteArray>&
    368, 0,	//76  const Akonadi::AgentBase::ObserverV2&
    257, 0,	//78  QObject*
    447, 428, 0,	//80  int, const QModelIndex&
    369, 0,	//83  const Akonadi::AgentInstance&
    284, 0,	//85  QWidget*
    370, 257, 0,	//87  const Akonadi::AgentType&, QObject*
    435, 257, 0,	//90  const QString&, QObject*
    370, 0,	//93  const Akonadi::AgentType&
    428, 0,	//95  const QModelIndex&
    428, 447, 0,	//97  const QModelIndex&, int
    447, 330, 447, 0,	//100  int, Qt::Orientation, int
    447, 447, 428, 0,	//104  int, int, const QModelIndex&
    428, 439, 447, 0,	//108  const QModelIndex&, const QVariant&, int
    447, 330, 0,	//112  int, Qt::Orientation
    447, 447, 0,	//115  int, int
    369, 369, 0,	//118  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    374, 360, 0,	//121  const Akonadi::Collection&, bool
    369, 435, 0,	//124  const Akonadi::AgentInstance&, const QString&
    369, 360, 0,	//127  const Akonadi::AgentInstance&, bool
    370, 370, 0,	//130  const Akonadi::AgentType&, const Akonadi::AgentType&
    371, 0,	//133  const Akonadi::Attribute&
    372, 0,	//135  const Akonadi::AttributeFactory&
    373, 0,	//137  const Akonadi::CachePolicy&
    267, 0,	//139  QSettings*
    33, 257, 0,	//141  Akonadi::ChangeRecorderPrivate*, QObject*
    33, 0,	//144  Akonadi::ChangeRecorderPrivate*
    450, 0,	//146  long long
    411, 0,	//148  const KUrl&
    222, 0,	//150  QFlags<Akonadi::Collection::Right>
    379, 0,	//152  const Akonadi::CollectionStatistics&
    201, 284, 0,	//154  QAbstractItemModel*, QWidget*
    201, 0,	//157  QAbstractItemModel*
    374, 374, 257, 0,	//159  const Akonadi::Collection&, const Akonadi::Collection&, QObject*
    374, 257, 0,	//163  const Akonadi::Collection&, QObject*
    413, 413, 0,	//166  const QByteArray&, const QByteArray&
    223, 201, 284, 0,	//169  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*
    206, 0,	//173  QAbstractItemView::SelectionMode
    223, 0,	//175  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>
    223, 201, 0,	//177  QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*
    374, 46, 257, 0,	//180  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*
    419, 257, 0,	//184  const QList<Akonadi::Collection>&, QObject*
    376, 0,	//187  const Akonadi::CollectionFetchScope&
    375, 0,	//189  const Akonadi::Collection::List&
    193, 0,	//191  KJob*
    374, 46, 0,	//193  const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type
    419, 0,	//196  const QList<Akonadi::Collection>&
    49, 0,	//198  Akonadi::CollectionFetchScope::AncestorRetrieval
    447, 330, 439, 447, 0,	//200  int, Qt::Orientation, const QVariant&, int
    422, 0,	//205  const QList<QModelIndex>&
    427, 306, 447, 447, 428, 0,	//207  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    37, 0,	//213  Akonadi::Collection::Id
    53, 257, 0,	//215  Akonadi::CollectionModelPrivate*, QObject*
    447, 330, 439, 0,	//218  int, Qt::Orientation, const QVariant&
    428, 439, 0,	//222  const QModelIndex&, const QVariant&
    53, 0,	//225  Akonadi::CollectionModelPrivate*
    374, 284, 0,	//227  const Akonadi::Collection&, QWidget*
    374, 436, 284, 0,	//230  const Akonadi::Collection&, const QStringList&, QWidget*
    58, 0,	//234  Akonadi::CollectionPropertiesPageFactory*
    374, 436, 0,	//236  const Akonadi::Collection&, const QStringList&
    35, 0,	//239  Akonadi::Collection&
    377, 0,	//241  const Akonadi::CollectionPropertiesPageFactory&
    450, 450, 0,	//243  long long, long long
    378, 0,	//246  const Akonadi::CollectionQuotaAttribute&
    202, 0,	//248  QAbstractItemView*
    278, 0,	//250  QTreeView*
    261, 438, 428, 0,	//252  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    275, 428, 0,	//256  QStyleOptionViewItem*, const QModelIndex&
    199, 284, 0,	//259  KXmlGuiWindow*, QWidget*
    198, 284, 0,	//262  KXMLGUIClient*, QWidget*
    199, 0,	//265  KXmlGuiWindow*
    198, 0,	//267  KXMLGUIClient*
    428, 428, 0,	//269  const QModelIndex&, const QModelIndex&
    219, 0,	//272  QDragMoveEvent*
    218, 0,	//274  QDragLeaveEvent*
    220, 0,	//276  QDropEvent*
    213, 0,	//278  QContextMenuEvent*
    435, 435, 0,	//280  const QString&, const QString&
    403, 0,	//283  const KABC::PhoneNumber&
    398, 0,	//285  const KABC::Address&
    71, 284, 0,	//287  Akonadi::ContactEditor::Mode, QWidget*
    71, 1, 284, 0,	//290  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    399, 0,	//294  const KABC::Addressee&
    71, 0,	//296  Akonadi::ContactEditor::Mode
    71, 1, 0,	//298  Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*
    73, 284, 0,	//301  Akonadi::ContactEditorDialog::Mode, QWidget*
    73, 1, 284, 0,	//304  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*
    73, 0,	//308  Akonadi::ContactEditorDialog::Mode
    73, 1, 0,	//310  Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*
    174, 0,	//313  KABC::Addressee&
    76, 284, 0,	//315  Akonadi::ContactGroupEditor::Mode, QWidget*
    400, 0,	//318  const KABC::ContactGroup&
    76, 0,	//320  Akonadi::ContactGroupEditor::Mode
    78, 284, 0,	//322  Akonadi::ContactGroupEditorDialog::Mode, QWidget*
    78, 0,	//325  Akonadi::ContactGroupEditorDialog::Mode
    400, 257, 0,	//327  const KABC::ContactGroup&, QObject*
    81, 435, 0,	//330  Akonadi::ContactGroupSearchJob::Criterion, const QString&
    81, 435, 82, 0,	//333  Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match
    3, 0,	//337  Akonadi::AbstractContactGroupFormatter*
    86, 435, 0,	//339  Akonadi::ContactSearchJob::Criterion, const QString&
    86, 435, 87, 0,	//342  Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match
    2, 0,	//346  Akonadi::AbstractContactFormatter*
    380, 0,	//348  const Akonadi::Entity&
    27, 0,	//350  Akonadi::Attribute*
    98, 0,	//352  Akonadi::EntityPrivate*
    414, 0,	//354  const QColor&
    381, 0,	//356  const Akonadi::EntityDisplayAttribute&
    382, 0,	//358  const Akonadi::EntityHiddenAttribute&
    227, 0,	//360  QFlags<Qt::DropAction>
    102, 0,	//362  Akonadi::EntityTreeModel::HeaderGroup
    428, 447, 439, 447, 230, 0,	//364  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    428, 447, 439, 0,	//370  const QModelIndex&, int, const QVariant&
    428, 447, 439, 447, 0,	//374  const QModelIndex&, int, const QVariant&, int
    32, 257, 0,	//379  Akonadi::ChangeRecorder*, QObject*
    103, 0,	//382  Akonadi::EntityTreeModel::ItemPopulationStrategy
    100, 0,	//384  Akonadi::EntityTreeModel::CollectionFetchStrategy
    412, 374, 0,	//386  const QAbstractItemModel*, const Akonadi::Collection&
    412, 386, 0,	//389  const QAbstractItemModel*, const Akonadi::Item&
    386, 447, 447, 0,	//392  const Akonadi::Item&, int, int
    374, 447, 447, 0,	//396  const Akonadi::Collection&, int, int
    447, 330, 447, 102, 0,	//400  int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup
    386, 439, 230, 0,	//405  const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>
    374, 439, 230, 0,	//409  const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>
    32, 105, 257, 0,	//413  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*
    32, 0,	//417  Akonadi::ChangeRecorder*
    386, 447, 0,	//419  const Akonadi::Item&, int
    374, 447, 0,	//422  const Akonadi::Collection&, int
    32, 105, 0,	//425  Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*
    277, 0,	//428  QTimerEvent*
    189, 0,	//430  KConfigGroup&
    409, 0,	//432  const KConfigGroup&
    385, 0,	//434  const Akonadi::Exception&
    201, 409, 257, 0,	//436  QAbstractItemModel*, const KConfigGroup&, QObject*
    374, 435, 0,	//440  const Akonadi::Collection&, const QString&
    201, 409, 0,	//443  QAbstractItemModel*, const KConfigGroup&
    415, 0,	//446  const QDateTime&
    434, 0,	//448  const QSet<QByteArray>&
    113, 0,	//450  Akonadi::Item::UrlType
    386, 374, 257, 0,	//452  const Akonadi::Item&, const Akonadi::Collection&, QObject*
    421, 374, 257, 0,	//456  const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*
    421, 374, 0,	//460  const QList<Akonadi::Item>&, const Akonadi::Collection&
    386, 257, 0,	//463  const Akonadi::Item&, QObject*
    421, 257, 0,	//466  const QList<Akonadi::Item>&, QObject*
    421, 0,	//469  const QList<Akonadi::Item>&
    118, 0,	//471  Akonadi::ItemFetchScope&
    388, 0,	//473  const Akonadi::ItemFetchScope&
    387, 0,	//475  const Akonadi::Item::List&
    413, 360, 0,	//477  const QByteArray&, bool
    120, 0,	//480  Akonadi::ItemFetchScope::AncestorRetrieval
    386, 444, 0,	//482  const Akonadi::Item&, const int
    111, 413, 233, 447, 0,	//485  Akonadi::Item&, const QByteArray&, QIODevice&, int
    386, 413, 233, 448, 0,	//490  const Akonadi::Item&, const QByteArray&, QIODevice&, int&
    389, 0,	//495  const Akonadi::ItemSerializerPlugin&
    111, 386, 0,	//497  Akonadi::Item&, const Akonadi::Item&
    390, 0,	//500  const Akonadi::ItemSerializerPluginV2&
    421, 421, 0,	//502  const QList<Akonadi::Item>&, const QList<Akonadi::Item>&
    131, 0,	//505  Akonadi::ItemSync::TransactionMode
    386, 111, 0,	//507  const Akonadi::Item&, Akonadi::Item&
    133, 0,	//510  Akonadi::Job*
    135, 257, 0,	//512  Akonadi::JobPrivate*, QObject*
    374, 421, 257, 0,	//515  const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*
    374, 421, 0,	//519  const Akonadi::Collection&, const QList<Akonadi::Item>&
    391, 0,	//522  const Akonadi::MessageFolderAttribute&
    447, 447, 453, 0,	//524  int, int, unsigned int
    392, 0,	//528  const Akonadi::MessageThreadingAttribute&
    420, 0,	//530  const QList<Akonadi::Item::Id>&
    393, 0,	//532  const Akonadi::MimeTypeChecker&
    386, 435, 0,	//534  const Akonadi::Item&, const QString&
    386, 360, 0,	//537  const Akonadi::Item&, bool
    435, 360, 0,	//540  const QString&, bool
    158, 0,	//543  Akonadi::Session*
    37, 379, 0,	//545  Akonadi::Collection::Id, const Akonadi::CollectionStatistics&
    145, 257, 0,	//548  Akonadi::MonitorPrivate*, QObject*
    145, 0,	//551  Akonadi::MonitorPrivate*
    428, 413, 257, 0,	//553  const QModelIndex&, const QByteArray&, QObject*
    428, 413, 0,	//557  const QModelIndex&, const QByteArray&
    394, 0,	//560  const Akonadi::PayloadBase&
    395, 0,	//562  const Akonadi::PayloadException&
    150, 0,	//564  Akonadi::PreprocessorBase::ProcessingResult
    452, 0,	//566  qlonglong
    419, 419, 0,	//568  const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&
    450, 360, 0,	//571  long long, bool
    257, 443, 439, 152, 0,	//574  QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority
    257, 443, 439, 0,	//579  QObject*, const char*, const QVariant&
    369, 257, 0,	//583  const Akonadi::AgentInstance&, QObject*
    435, 435, 257, 0,	//586  const QString&, const QString&, QObject*
    238, 257, 0,	//590  QItemSelectionModel*, QObject*
    238, 0,	//593  QItemSelectionModel*
    157, 0,	//595  Akonadi::ServerManager::State
    413, 257, 0,	//597  const QByteArray&, QObject*
    159, 413, 257, 0,	//600  Akonadi::SessionPrivate*, const QByteArray&, QObject*
    159, 0,	//604  Akonadi::SessionPrivate*
    159, 413, 0,	//606  Akonadi::SessionPrivate*, const QByteArray&
    185, 284, 0,	//609  KActionCollection*, QWidget*
    109, 0,	//612  Akonadi::FavoriteCollectionsModel*
    162, 0,	//614  Akonadi::StandardActionManager::Type
    162, 410, 0,	//616  Akonadi::StandardActionManager::Type, const KLocalizedString&
    162, 360, 0,	//619  Akonadi::StandardActionManager::Type, bool
    162, 161, 435, 0,	//622  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&
    162, 161, 410, 0,	//626  Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&
    185, 0,	//630  KActionCollection*
    386, 169, 435, 0,	//632  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&
    396, 0,	//636  const Akonadi::TransportResourceBase&
    386, 169, 0,	//638  const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult
    257, 221, 0,	//641  QObject*, QEvent*
    240, 0,	//644  QLineEdit*
    436, 360, 0,	//646  const QStringList&, bool
    454, 360, 360, 0,	//649  unsigned long, bool, bool
    283, 0,	//653  QWheelEvent*
    187, 360, 0,	//655  KCompletion*, bool
    191, 0,	//658  KGlobalSettings::Completion
    447, 455, 0,	//660  int, void*
    193, 435, 435, 0,	//663  KJob*, const QString&, const QString&
    232, 0,	//667  QHideEvent*
    211, 0,	//669  QCloseEvent*
    239, 0,	//671  QKeyEvent*
    210, 0,	//673  QChildEvent*
    418, 0,	//675  const QItemSelection&
    428, 424, 0,	//677  const QModelIndex&, const QMap<int,QVariant>&
    447, 338, 0,	//680  int, Qt::SortOrder
    318, 0,	//683  Qt::InputMethodQuery
    284, 200, 0,	//685  QWidget*, QAbstractItemDelegate::EndEditHint
    428, 204, 221, 0,	//688  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    428, 416, 0,	//692  const QModelIndex&, const QEvent*
    221, 0,	//695  QEvent*
    255, 0,	//697  QMouseEvent*
    217, 0,	//699  QDragEnterEvent*
    231, 0,	//701  QFocusEvent*
    265, 0,	//703  QResizeEvent*
    236, 0,	//705  QInputMethodEvent*
    260, 0,	//707  QPaintEvent*
    268, 0,	//709  QShowEvent*
    428, 205, 0,	//711  const QModelIndex&, QAbstractItemView::ScrollHint
    431, 0,	//714  const QPoint&
    428, 447, 447, 0,	//716  const QModelIndex&, int, int
    203, 229, 0,	//720  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    432, 226, 0,	//723  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    418, 418, 0,	//726  const QItemSelection&, const QItemSelection&
    438, 428, 0,	//729  const QStyleOptionViewItem&, const QModelIndex&
    284, 438, 428, 0,	//732  QWidget*, const QStyleOptionViewItem&, const QModelIndex&
    284, 428, 0,	//736  QWidget*, const QModelIndex&
    284, 201, 428, 0,	//739  QWidget*, QAbstractItemModel*, const QModelIndex&
    439, 423, 0,	//743  const QVariant&, const QLocale&
    221, 201, 438, 428, 0,	//746  QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&
    261, 432, 428, 0,	//751  QPainter*, const QRect&, const QModelIndex&
    256, 0,	//755  QMoveEvent*
    276, 0,	//757  QTabletEvent*
    207, 0,	//759  QActionEvent*
    358, 0,	//761  _XEvent*
    258, 0,	//763  QPaintDevice::PaintDeviceMetric
    273, 0,	//765  QStyle&
    430, 0,	//767  const QPalette&
    417, 0,	//769  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "AddIfMissing",	//3
    "AddToFavoriteCollections",	//4
    "AddressAttribute",	//5
    "AddressAttribute#",	//6
    "AddressAttribute$",	//7
    "AddressAttribute$?",	//8
    "AddressAttribute$??",	//9
    "AddressAttribute$???",	//10
    "Adjust",	//11
    "AdjustToContents",	//12
    "AdjustToContentsOnFirstShow",	//13
    "AdjustToMinimumContentsLength",	//14
    "AdjustToMinimumContentsLengthWithIcon",	//15
    "AfterChangeReplay",	//16
    "AgentBase",	//17
    "AgentBase#$",	//18
    "AgentBase$",	//19
    "AgentFilterProxyModel",	//20
    "AgentFilterProxyModel#",	//21
    "AgentInstance",	//22
    "AgentInstance#",	//23
    "AgentInstanceCreateJob",	//24
    "AgentInstanceCreateJob#",	//25
    "AgentInstanceCreateJob##",	//26
    "AgentInstanceCreateJob$",	//27
    "AgentInstanceCreateJob$#",	//28
    "AgentInstanceModel",	//29
    "AgentInstanceModel#",	//30
    "AgentInstanceWidget",	//31
    "AgentInstanceWidget#",	//32
    "AgentType",	//33
    "AgentType#",	//34
    "AgentTypeDialog",	//35
    "AgentTypeDialog#",	//36
    "AgentTypeModel",	//37
    "AgentTypeModel#",	//38
    "AgentTypeWidget",	//39
    "AgentTypeWidget#",	//40
    "All",	//41
    "AllEditTriggers",	//42
    "AllRights",	//43
    "AllowToCreateNewChildCollection",	//44
    "AmazingCompletionRole",	//45
    "AnimatingState",	//46
    "AnyKeyPressed",	//47
    "AppNameCaption",	//48
    "Append",	//49
    "Apply",	//50
    "Attribute",	//51
    "Attribute#",	//52
    "AttributeFactory",	//53
    "AttributeFactory#",	//54
    "AvailablePartsRole",	//55
    "Base",	//56
    "Batched",	//57
    "BelowItem",	//58
    "Box",	//59
    "Broken",	//60
    "Bytes",	//61
    "CachePolicy",	//62
    "CachePolicy#",	//63
    "CanChangeCollection",	//64
    "CanChangeItem",	//65
    "CanCreateCollection",	//66
    "CanCreateItem",	//67
    "CanDeleteCollection",	//68
    "CanDeleteItem",	//69
    "CanLinkItem",	//70
    "CanUnlinkItem",	//71
    "Cancel",	//72
    "CapabilitiesRole",	//73
    "ChangeRecorder",	//74
    "ChangeRecorder#",	//75
    "ChangeRecorder##",	//76
    "ChildrenOfExactSelection",	//77
    "Close",	//78
    "CollapsingState",	//79
    "Collection",	//80
    "Collection#",	//81
    "Collection$",	//82
    "CollectionChildOrderRole",	//83
    "CollectionComboBox",	//84
    "CollectionComboBox#",	//85
    "CollectionComboBox##",	//86
    "CollectionCopyJob",	//87
    "CollectionCopyJob##",	//88
    "CollectionCopyJob###",	//89
    "CollectionCreateJob",	//90
    "CollectionCreateJob#",	//91
    "CollectionCreateJob##",	//92
    "CollectionDeleteJob",	//93
    "CollectionDeleteJob#",	//94
    "CollectionDeleteJob##",	//95
    "CollectionDerefRole",	//96
    "CollectionDialog",	//97
    "CollectionDialog#",	//98
    "CollectionDialog##",	//99
    "CollectionDialog$",	//100
    "CollectionDialog$#",	//101
    "CollectionDialog$##",	//102
    "CollectionFetchJob",	//103
    "CollectionFetchJob#",	//104
    "CollectionFetchJob#$",	//105
    "CollectionFetchJob#$#",	//106
    "CollectionFetchJob?",	//107
    "CollectionFetchJob?#",	//108
    "CollectionFetchScope",	//109
    "CollectionFetchScope#",	//110
    "CollectionFilterProxyModel",	//111
    "CollectionFilterProxyModel#",	//112
    "CollectionIdRole",	//113
    "CollectionModel",	//114
    "CollectionModel#",	//115
    "CollectionModel##",	//116
    "CollectionModifyJob",	//117
    "CollectionModifyJob#",	//118
    "CollectionModifyJob##",	//119
    "CollectionMoveJob",	//120
    "CollectionMoveJob##",	//121
    "CollectionMoveJob###",	//122
    "CollectionProperties",	//123
    "CollectionPropertiesDialog",	//124
    "CollectionPropertiesDialog#",	//125
    "CollectionPropertiesDialog##",	//126
    "CollectionPropertiesDialog#?",	//127
    "CollectionPropertiesDialog#?#",	//128
    "CollectionPropertiesPage",	//129
    "CollectionPropertiesPage#",	//130
    "CollectionPropertiesPageFactory",	//131
    "CollectionPropertiesPageFactory#",	//132
    "CollectionQuotaAttribute",	//133
    "CollectionQuotaAttribute#",	//134
    "CollectionQuotaAttribute$$",	//135
    "CollectionRefRole",	//136
    "CollectionRequester",	//137
    "CollectionRequester#",	//138
    "CollectionRequester##",	//139
    "CollectionRole",	//140
    "CollectionStatistics",	//141
    "CollectionStatistics#",	//142
    "CollectionStatisticsDelegate",	//143
    "CollectionStatisticsDelegate#",	//144
    "CollectionStatisticsJob",	//145
    "CollectionStatisticsJob#",	//146
    "CollectionStatisticsJob##",	//147
    "CollectionStatisticsModel",	//148
    "CollectionStatisticsModel#",	//149
    "CollectionSyncProgressRole",	//150
    "CollectionTreeHeaders",	//151
    "CollectionView",	//152
    "CollectionView#",	//153
    "CollectionView##",	//154
    "ColumnCountRole",	//155
    "ConnectionFailed",	//156
    "ContactDefaultActions",	//157
    "ContactDefaultActions#",	//158
    "ContactEditor",	//159
    "ContactEditor$",	//160
    "ContactEditor$#",	//161
    "ContactEditor$##",	//162
    "ContactEditorDialog",	//163
    "ContactEditorDialog$",	//164
    "ContactEditorDialog$#",	//165
    "ContactEditorDialog$##",	//166
    "ContactEditorPagePlugin",	//167
    "ContactGroupEditor",	//168
    "ContactGroupEditor$",	//169
    "ContactGroupEditor$#",	//170
    "ContactGroupEditorDialog",	//171
    "ContactGroupEditorDialog$",	//172
    "ContactGroupEditorDialog$#",	//173
    "ContactGroupExpandJob",	//174
    "ContactGroupExpandJob#",	//175
    "ContactGroupExpandJob##",	//176
    "ContactGroupExpandJob$",	//177
    "ContactGroupExpandJob$#",	//178
    "ContactGroupSearchJob",	//179
    "ContactGroupSearchJob#",	//180
    "ContactGroupViewer",	//181
    "ContactGroupViewer#",	//182
    "ContactGroupViewerDialog",	//183
    "ContactGroupViewerDialog#",	//184
    "ContactSearchJob",	//185
    "ContactSearchJob#",	//186
    "ContactUid",	//187
    "ContactViewer",	//188
    "ContactViewer#",	//189
    "ContactViewerDialog",	//190
    "ContactViewerDialog#",	//191
    "ContainsMatch",	//192
    "ContiguousSelection",	//193
    "Control",	//194
    "CopyCollectionToDialog",	//195
    "CopyCollectionToMenu",	//196
    "CopyCollections",	//197
    "CopyItemToDialog",	//198
    "CopyItemToMenu",	//199
    "CopyItems",	//200
    "CreateCollection",	//201
    "CreateMode",	//202
    "CreateResource",	//203
    "CurrentChanged",	//204
    "CutCollections",	//205
    "CutItems",	//206
    "Date",	//207
    "Default",	//208
    "DelayedPopup",	//209
    "DeleteCollections",	//210
    "DeleteItems",	//211
    "DeleteResources",	//212
    "DescriptionRole",	//213
    "Details",	//214
    "DialogText",	//215
    "DialogTitle",	//216
    "Directories",	//217
    "DoubleClicked",	//218
    "DragDrop",	//219
    "DragOnly",	//220
    "DragSelectingState",	//221
    "DraggingState",	//222
    "DrawChildren",	//223
    "DrawWindowBackground",	//224
    "DropOnly",	//225
    "EditKeyPressed",	//226
    "EditMode",	//227
    "EditingState",	//228
    "Email",	//229
    "EmitResult",	//230
    "EndHeaderGroup",	//231
    "EndRole",	//232
    "EnsureVisible",	//233
    "Entity",	//234
    "Entity#",	//235
    "EntityDisplayAttribute",	//236
    "EntityDisplayAttribute#",	//237
    "EntityHiddenAttribute",	//238
    "EntityHiddenAttribute#",	//239
    "EntityListView",	//240
    "EntityListView#",	//241
    "EntityListView##",	//242
    "EntityMimeTypeFilterModel",	//243
    "EntityMimeTypeFilterModel#",	//244
    "EntityTreeHeaders",	//245
    "EntityTreeModel",	//246
    "EntityTreeModel#",	//247
    "EntityTreeModel##",	//248
    "EntityTreeModel###",	//249
    "EntityTreeView",	//250
    "EntityTreeView#",	//251
    "EntityTreeView##",	//252
    "EntityTreeViewStateSaver",	//253
    "EntityTreeViewStateSaver#",	//254
    "EntityUrlRole",	//255
    "ErrorMessageText",	//256
    "ErrorMessageTitle",	//257
    "ExactMatch",	//258
    "ExactSelection",	//259
    "Exception",	//260
    "Exception#",	//261
    "Exception$",	//262
    "ExpandingState",	//263
    "ExtendedSelection",	//264
    "FavoriteCollectionsModel",	//265
    "FavoriteCollectionsModel##",	//266
    "FavoriteCollectionsModel###",	//267
    "FetchCollectionsRecursive",	//268
    "FetchFirstLevelChildCollections",	//269
    "FetchNoCollections",	//270
    "FetchStateRole",	//271
    "FetchingState",	//272
    "Files",	//273
    "FirstLevel",	//274
    "Fixed",	//275
    "Free",	//276
    "FullPayload",	//277
    "HIGCompliantCaption",	//278
    "HLine",	//279
    "Help",	//280
    "IconMode",	//281
    "Id",	//282
    "IdRole",	//283
    "IdentifierRole",	//284
    "Idle",	//285
    "IdleState",	//286
    "IgnoreMask",	//287
    "ImmediatePopulation",	//288
    "InsertAfterCurrent",	//289
    "InsertAlphabetically",	//290
    "InsertAtBottom",	//291
    "InsertAtCurrent",	//292
    "InsertAtTop",	//293
    "InsertBeforeCurrent",	//294
    "InstanceIdentifierRole",	//295
    "InstanceRole",	//296
    "InstantPopup",	//297
    "InternalMove",	//298
    "InvisibleCollectionFetch",	//299
    "Item",	//300
    "Item#",	//301
    "Item$",	//302
    "ItemCopyJob",	//303
    "ItemCopyJob##",	//304
    "ItemCopyJob###",	//305
    "ItemCopyJob?#",	//306
    "ItemCopyJob?##",	//307
    "ItemCreateJob",	//308
    "ItemCreateJob##",	//309
    "ItemCreateJob###",	//310
    "ItemDeleteJob",	//311
    "ItemDeleteJob#",	//312
    "ItemDeleteJob##",	//313
    "ItemDeleteJob?",	//314
    "ItemDeleteJob?#",	//315
    "ItemFetchJob",	//316
    "ItemFetchJob#",	//317
    "ItemFetchJob##",	//318
    "ItemFetchJob?",	//319
    "ItemFetchJob?#",	//320
    "ItemFetchScope",	//321
    "ItemFetchScope#",	//322
    "ItemIdRole",	//323
    "ItemListHeaders",	//324
    "ItemModel",	//325
    "ItemModel#",	//326
    "ItemModifyJob",	//327
    "ItemModifyJob#",	//328
    "ItemModifyJob##",	//329
    "ItemModifyJob?",	//330
    "ItemModifyJob?#",	//331
    "ItemMonitor",	//332
    "ItemMoveJob",	//333
    "ItemMoveJob##",	//334
    "ItemMoveJob###",	//335
    "ItemMoveJob?#",	//336
    "ItemMoveJob?##",	//337
    "ItemRole",	//338
    "ItemSearchJob",	//339
    "ItemSearchJob$",	//340
    "ItemSearchJob$#",	//341
    "ItemSerializerPlugin",	//342
    "ItemSerializerPlugin#",	//343
    "ItemSerializerPluginV2",	//344
    "ItemSerializerPluginV2#",	//345
    "ItemSync",	//346
    "ItemSync#",	//347
    "ItemSync##",	//348
    "ItemView",	//349
    "ItemView#",	//350
    "ItemView##",	//351
    "Job",	//352
    "Job#",	//353
    "Job##",	//354
    "Killable",	//355
    "KilledJobError",	//356
    "LastType",	//357
    "LazyPopulation",	//358
    "LeftToRight",	//359
    "LinkJob",	//360
    "LinkJob#?",	//361
    "LinkJob#?#",	//362
    "ListMode",	//363
    "LoadedPartsRole",	//364
    "ManageLocalSubscriptions",	//365
    "MessageBoxAlternativeText",	//366
    "MessageBoxText",	//367
    "MessageBoxTitle",	//368
    "MessageFolderAttribute",	//369
    "MessageFolderAttribute#",	//370
    "MessageModel",	//371
    "MessageModel#",	//372
    "MessageThreaderProxyModel",	//373
    "MessageThreaderProxyModel#",	//374
    "MessageThreadingAttribute",	//375
    "MessageThreadingAttribute#",	//376
    "MimeType",	//377
    "MimeTypeChecker",	//378
    "MimeTypeChecker#",	//379
    "MimeTypeRole",	//380
    "MimeTypesRole",	//381
    "ModifiedCaption",	//382
    "Monitor",	//383
    "Monitor#",	//384
    "Monitor##",	//385
    "MoveCollectionToDialog",	//386
    "MoveCollectionToMenu",	//387
    "MoveDown",	//388
    "MoveEnd",	//389
    "MoveHome",	//390
    "MoveItemToDialog",	//391
    "MoveItemToMenu",	//392
    "MoveLeft",	//393
    "MoveNext",	//394
    "MovePageDown",	//395
    "MovePageUp",	//396
    "MovePrevious",	//397
    "MoveRight",	//398
    "MoveUp",	//399
    "MultiSelection",	//400
    "MultipleTransactions",	//401
    "Name",	//402
    "NameOrEmail",	//403
    "NextCompletionMatch",	//404
    "NickName",	//405
    "No",	//406
    "NoCapabilities",	//407
    "NoCaptionFlags",	//408
    "NoDefault",	//409
    "NoDragDrop",	//410
    "NoEditTriggers",	//411
    "NoError",	//412
    "NoFrame",	//413
    "NoInsert",	//414
    "NoItemPopulation",	//415
    "NoSelection",	//416
    "NoState",	//417
    "NoTransaction",	//418
    "None",	//419
    "NotRunning",	//420
    "Observer",	//421
    "Observer#",	//422
    "ObserverV2",	//423
    "ObserverV2#",	//424
    "Ok",	//425
    "OldCollectionIdRole",	//426
    "OldCollectionRole",	//427
    "OnItem",	//428
    "OnViewport",	//429
    "OnlineRole",	//430
    "Panel",	//431
    "Parent",	//432
    "ParentCollectionRole",	//433
    "PartFetcher",	//434
    "PartFetcher##",	//435
    "PartFetcher###",	//436
    "Paste",	//437
    "PayloadBase",	//438
    "PayloadBase#",	//439
    "PayloadException",	//440
    "PayloadException#",	//441
    "PayloadException$",	//442
    "PendingCutRole",	//443
    "Plain",	//444
    "PositionAtBottom",	//445
    "PositionAtCenter",	//446
    "PositionAtTop",	//447
    "Prepend",	//448
    "PreprocessorBase",	//449
    "PreprocessorBase$",	//450
    "PrevCompletionMatch",	//451
    "ProcessingCompleted",	//452
    "ProcessingDelayed",	//453
    "ProcessingFailed",	//454
    "ProcessingRefused",	//455
    "ProgressRole",	//456
    "ProtocolVersionMismatch",	//457
    "QtCriticalMsg",	//458
    "QtDebugMsg",	//459
    "QtFatalMsg",	//460
    "QtSystemMsg",	//461
    "QtWarningMsg",	//462
    "Quietly",	//463
    "Raised",	//464
    "ReadOnly",	//465
    "Receiver",	//466
    "Recursive",	//467
    "RecursiveSizeRole",	//468
    "RecursiveStatisticsRole",	//469
    "RecursiveTotalRole",	//470
    "RecursiveUnreadRole",	//471
    "Rejected",	//472
    "RemoteId",	//473
    "RemoteIdRole",	//474
    "RemoveFromFavoriteCollections",	//475
    "RenameFavoriteCollection",	//476
    "Reset",	//477
    "ResourceBase",	//478
    "ResourceBase$",	//479
    "ResourceProperties",	//480
    "ResourceSynchronizationJob",	//481
    "ResourceSynchronizationJob#",	//482
    "ResourceSynchronizationJob##",	//483
    "Running",	//484
    "ScrollPerItem",	//485
    "ScrollPerPixel",	//486
    "SearchCreateJob",	//487
    "SearchCreateJob$$",	//488
    "SearchCreateJob$$#",	//489
    "SelectColumns",	//490
    "SelectItems",	//491
    "SelectRows",	//492
    "SelectedClicked",	//493
    "SelectionProxyModel",	//494
    "SelectionProxyModel#",	//495
    "SelectionProxyModel##",	//496
    "Sender",	//497
    "Session",	//498
    "Session#",	//499
    "Session##",	//500
    "Session###",	//501
    "SessionRole",	//502
    "Shadow_Mask",	//503
    "Shape_Mask",	//504
    "SinglePass",	//505
    "SingleSelection",	//506
    "SingleTransaction",	//507
    "Size",	//508
    "SizeRole",	//509
    "Snap",	//510
    "StandardActionManager",	//511
    "StandardActionManager#",	//512
    "StandardActionManager##",	//513
    "Starting",	//514
    "StartsWithMatch",	//515
    "Static",	//516
    "StatisticsProxyModel",	//517
    "StatisticsProxyModel#",	//518
    "StatisticsRole",	//519
    "StatusMessageRole",	//520
    "StatusRole",	//521
    "Stopping",	//522
    "StyledPanel",	//523
    "SubTreeRoots",	//524
    "SubTrees",	//525
    "SubTreesWithoutRoots",	//526
    "Subject",	//527
    "SubstringCompletion",	//528
    "Sunken",	//529
    "Suspendable",	//530
    "SynchronizeCollections",	//531
    "SynchronizeCollectionsRecursive",	//532
    "SynchronizeResources",	//533
    "TerminalUserRole",	//534
    "TextCompletion",	//535
    "ToggleWorkOffline",	//536
    "TopToBottom",	//537
    "TotalRole",	//538
    "TransactionBeginJob",	//539
    "TransactionBeginJob#",	//540
    "TransactionCommitJob",	//541
    "TransactionCommitJob#",	//542
    "TransactionRollbackJob",	//543
    "TransactionRollbackJob#",	//544
    "TransactionSequence",	//545
    "TransactionSequence#",	//546
    "TransportFailed",	//547
    "TransportResourceBase",	//548
    "TransportResourceBase#",	//549
    "TransportSucceeded",	//550
    "Try",	//551
    "TypeIdentifierRole",	//552
    "TypeRole",	//553
    "Unknown",	//554
    "UnlinkJob",	//555
    "UnlinkJob#?",	//556
    "UnlinkJob#?#",	//557
    "UnreadCountRole",	//558
    "UnreadRole",	//559
    "UrlShort",	//560
    "UrlWithMimeType",	//561
    "User1",	//562
    "User2",	//563
    "User3",	//564
    "UserCanceled",	//565
    "UserDefinedError",	//566
    "UserError",	//567
    "UserHeaders",	//568
    "UserRole",	//569
    "VLine",	//570
    "WinPanel",	//571
    "Yes",	//572
    "_CS_GNU_LIBC_VERSION",	//573
    "_CS_GNU_LIBPTHREAD_VERSION",	//574
    "_CS_LFS64_CFLAGS",	//575
    "_CS_LFS64_LDFLAGS",	//576
    "_CS_LFS64_LIBS",	//577
    "_CS_LFS64_LINTFLAGS",	//578
    "_CS_LFS_CFLAGS",	//579
    "_CS_LFS_LDFLAGS",	//580
    "_CS_LFS_LIBS",	//581
    "_CS_LFS_LINTFLAGS",	//582
    "_CS_PATH",	//583
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//584
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//585
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//586
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//587
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//588
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//589
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//590
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//591
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//592
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//593
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//594
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//595
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//596
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//597
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//598
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//599
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//600
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//601
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//602
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//603
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//604
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//605
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//606
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//607
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//608
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//609
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//610
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//611
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//612
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//613
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//614
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//615
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//616
    "_CS_V6_ENV",	//617
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//618
    "_CS_V7_ENV",	//619
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//620
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//621
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//622
    "_CS_XBS5_ILP32_OFF32_LIBS",	//623
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//624
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//625
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//626
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//627
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//628
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//629
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//630
    "_CS_XBS5_LP64_OFF64_LIBS",	//631
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//632
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//633
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//634
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//635
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//636
    "__codecvt_error",	//637
    "__codecvt_noconv",	//638
    "__codecvt_ok",	//639
    "__codecvt_partial",	//640
    "abortActivity",	//641
    "abortCurrentTask",	//642
    "abortRequested",	//643
    "aboutToQuit",	//644
    "aboutToStart",	//645
    "aboutToStart#",	//646
    "accept",	//647
    "accessRightsFilter",	//648
    "action",	//649
    "action$",	//650
    "actionEvent",	//651
    "actionStateUpdated",	//652
    "activated",	//653
    "activated#",	//654
    "activeIcon",	//655
    "activeIconName",	//656
    "addAttribute",	//657
    "addAttribute#",	//658
    "addCapabilityFilter",	//659
    "addCapabilityFilter$",	//660
    "addCollection",	//661
    "addCollection#",	//662
    "addMimeTypeExclusionFilter",	//663
    "addMimeTypeExclusionFilter$",	//664
    "addMimeTypeExclusionFilters",	//665
    "addMimeTypeExclusionFilters?",	//666
    "addMimeTypeFilter",	//667
    "addMimeTypeFilter$",	//668
    "addMimeTypeFilters",	//669
    "addMimeTypeFilters?",	//670
    "addMimeTypeInclusionFilter",	//671
    "addMimeTypeInclusionFilter$",	//672
    "addMimeTypeInclusionFilters",	//673
    "addMimeTypeInclusionFilters?",	//674
    "addSubjob",	//675
    "addSubjob#",	//676
    "addWantedMimeType",	//677
    "addWantedMimeType$",	//678
    "addressClicked",	//679
    "addressClicked#",	//680
    "advancedStatus",	//681
    "advancedStatus?",	//682
    "agentFilterProxyModel",	//683
    "agentName",	//684
    "agentNameChanged",	//685
    "agentNameChanged$",	//686
    "agentType",	//687
    "akonadiItemIdUri",	//688
    "allAttributes",	//689
    "allMonitored",	//690
    "allMonitored$",	//691
    "ancestorRetrieval",	//692
    "apply",	//693
    "apply#",	//694
    "apply##",	//695
    "attribute",	//696
    "attribute#",	//697
    "attributes",	//698
    "attributesSynchronized",	//699
    "attributesSynchronized$",	//700
    "availableParts",	//701
    "availableParts#",	//702
    "availablePayloadMetaTypeIds",	//703
    "availablePayloadParts",	//704
    "backgroundColor",	//705
    "bcc",	//706
    "buddy",	//707
    "cacheOnly",	//708
    "cachePolicy",	//709
    "cacheTimeout",	//710
    "canFetchMore",	//711
    "canFetchMore#",	//712
    "canHandle",	//713
    "canHandle#",	//714
    "cancelTask",	//715
    "cancelTask$",	//716
    "capabilities",	//717
    "cc",	//718
    "changeCollectionDialogOptions",	//719
    "changeCollectionDialogOptions$",	//720
    "changeCommitted",	//721
    "changeCommitted#",	//722
    "changeEvent",	//723
    "changeProcessed",	//724
    "changeRecorder",	//725
    "changesAdded",	//726
    "childEvent",	//727
    "cleanup",	//728
    "clear",	//729
    "clearAndReset",	//730
    "clearAttributes",	//731
    "clearCache",	//732
    "clearFilters",	//733
    "clearFlag",	//734
    "clearFlag#",	//735
    "clearFlags",	//736
    "clearPayload",	//737
    "clicked",	//738
    "clicked#",	//739
    "clone",	//740
    "closeEditor",	//741
    "closeEvent",	//742
    "collection",	//743
    "collectionAdded",	//744
    "collectionAdded##",	//745
    "collectionAttributesRetrieved",	//746
    "collectionAttributesRetrieved#",	//747
    "collectionChanged",	//748
    "collectionChanged#",	//749
    "collectionChanged#?",	//750
    "collectionFetchScope",	//751
    "collectionFetchStrategy",	//752
    "collectionForId",	//753
    "collectionForId?",	//754
    "collectionIds",	//755
    "collectionMonitored",	//756
    "collectionMonitored#$",	//757
    "collectionMoved",	//758
    "collectionMoved###",	//759
    "collectionRemoved",	//760
    "collectionRemoved#",	//761
    "collectionStatisticsChanged",	//762
    "collectionStatisticsChanged?#",	//763
    "collectionSubscribed",	//764
    "collectionSubscribed##",	//765
    "collectionUnsubscribed",	//766
    "collectionUnsubscribed#",	//767
    "collections",	//768
    "collectionsMonitored",	//769
    "collectionsReceived",	//770
    "collectionsReceived?",	//771
    "collectionsRetrievalDone",	//772
    "collectionsRetrieved",	//773
    "collectionsRetrieved?",	//774
    "collectionsRetrievedIncremental",	//775
    "collectionsRetrievedIncremental??",	//776
    "columnCount",	//777
    "columnCount#",	//778
    "commit",	//779
    "commitData",	//780
    "componentData",	//781
    "config",	//782
    "configurationDialogAccepted",	//783
    "configurationDialogRejected",	//784
    "configure",	//785
    "configure#",	//786
    "configure$",	//787
    "connectNotify",	//788
    "connectNotify$",	//789
    "connectToView",	//790
    "connectToView#",	//791
    "contact",	//792
    "contactGroup",	//793
    "contactGroupStored",	//794
    "contactGroupStored#",	//795
    "contactGroups",	//796
    "contactStored",	//797
    "contactStored#",	//798
    "contacts",	//799
    "containsWantedMimeType",	//800
    "containsWantedMimeType?",	//801
    "contentMimeTypes",	//802
    "contextMenuEvent",	//803
    "contextMenuEvent#",	//804
    "count",	//805
    "create",	//806
    "createAction",	//807
    "createAction$",	//808
    "createAllActions",	//809
    "createAttribute",	//810
    "createAttribute#",	//811
    "createEditor",	//812
    "createIndex",	//813
    "createIndex$$$",	//814
    "createWidget",	//815
    "createWidget#",	//816
    "createdCollection",	//817
    "currentAgentInstance",	//818
    "currentAgentType",	//819
    "currentChanged",	//820
    "currentChanged#",	//821
    "currentChanged##",	//822
    "currentCollection",	//823
    "currentItem",	//824
    "currentValue",	//825
    "customEvent",	//826
    "d_func",	//827
    "data",	//828
    "data#",	//829
    "data#$",	//830
    "dataChanged",	//831
    "defaultSession",	//832
    "deferTask",	//833
    "deletedItems",	//834
    "deliveryDone",	//835
    "description",	//836
    "deserialize",	//837
    "deserialize#",	//838
    "deserialize###$",	//839
    "devType",	//840
    "dialPhoneNumber",	//841
    "dialPhoneNumber#",	//842
    "disableAutomaticConflictHandling",	//843
    "disableRevisionCheck",	//844
    "disconnectNotify",	//845
    "displayName",	//846
    "displayText",	//847
    "doHandleResponse",	//848
    "doHandleResponse##",	//849
    "doItemsLayout",	//850
    "doKill",	//851
    "doResume",	//852
    "doSetOnline",	//853
    "doSetOnline$",	//854
    "doStart",	//855
    "doSuspend",	//856
    "done",	//857
    "done$",	//858
    "doubleClicked",	//859
    "doubleClicked#",	//860
    "dragEnterEvent",	//861
    "dragLeaveEvent",	//862
    "dragLeaveEvent#",	//863
    "dragMoveEvent",	//864
    "dragMoveEvent#",	//865
    "drawBranches",	//866
    "drawRow",	//867
    "dropEvent",	//868
    "dropEvent#",	//869
    "dropMimeData",	//870
    "dropMimeData#$$$#",	//871
    "edit",	//872
    "editor",	//873
    "editorDestroyed",	//874
    "editorEvent",	//875
    "emailClicked",	//876
    "emailClicked$$",	//877
    "emitWriteFinished",	//878
    "enabledChange",	//879
    "enterEvent",	//880
    "entityColumnCount",	//881
    "entityColumnCount$",	//882
    "entityData",	//883
    "entityData#$",	//884
    "entityData#$$",	//885
    "entityHeaderData",	//886
    "entityHeaderData$$$$",	//887
    "entityMatch",	//888
    "entityMatch##$",	//889
    "error",	//890
    "error$",	//891
    "errorString",	//892
    "event",	//893
    "eventFilter",	//894
    "excludeCapabilities",	//895
    "excludeCapabilities$",	//896
    "favoriteLabel",	//897
    "favoriteLabel#",	//898
    "fetchAllAttributes",	//899
    "fetchAllAttributes$",	//900
    "fetchAttribute",	//901
    "fetchAttribute#",	//902
    "fetchAttribute#$",	//903
    "fetchCollection",	//904
    "fetchCollection$",	//905
    "fetchCollectionStatistics",	//906
    "fetchCollectionStatistics$",	//907
    "fetchFullPayload",	//908
    "fetchFullPayload$",	//909
    "fetchModificationTime",	//910
    "fetchMore",	//911
    "fetchMore#",	//912
    "fetchPayloadPart",	//913
    "fetchPayloadPart#",	//914
    "fetchPayloadPart#$",	//915
    "fetchScope",	//916
    "filterAcceptsColumn",	//917
    "filterAcceptsRow",	//918
    "filterAcceptsRow$#",	//919
    "finishProcessing",	//920
    "finishProcessing$",	//921
    "flags",	//922
    "flags#",	//923
    "focusInEvent",	//924
    "focusNextPrevChild",	//925
    "focusOutEvent",	//926
    "fontChange",	//927
    "from",	//928
    "fromUrl",	//929
    "fromUrl#",	//930
    "fullPayload",	//931
    "hasAttribute",	//932
    "hasAttribute#",	//933
    "hasChildren",	//934
    "hasChildren#",	//935
    "hasFlag",	//936
    "hasFlag#",	//937
    "hasPayload",	//938
    "headerData",	//939
    "headerData$$",	//940
    "headerData$$$",	//941
    "heightForWidth",	//942
    "hideEvent",	//943
    "hidePopup",	//944
    "horizontalOffset",	//945
    "horizontalScrollbarAction",	//946
    "horizontalScrollbarValueChanged",	//947
    "icon",	//948
    "iconName",	//949
    "id",	//950
    "identifier",	//951
    "ignorePayload",	//952
    "ignoreSession",	//953
    "ignoreSession#",	//954
    "includeRootCollection",	//955
    "includeStatistics",	//956
    "includeStatistics$",	//957
    "includeUnsubscribed",	//958
    "includeUnsubscribed$",	//959
    "includeUnubscribed",	//960
    "index",	//961
    "index$$",	//962
    "index$$#",	//963
    "indexAt",	//964
    "indexForItem",	//965
    "indexForItem#$",	//966
    "inheritFromParent",	//967
    "initStyleOption",	//968
    "initStyleOption##",	//969
    "inputMethodEvent",	//970
    "inputMethodQuery",	//971
    "insertColumns",	//972
    "insertRows",	//973
    "instance",	//974
    "instance$",	//975
    "instanceAdded",	//976
    "instanceAdded#",	//977
    "instanceError",	//978
    "instanceError#$",	//979
    "instanceNameChanged",	//980
    "instanceNameChanged#",	//981
    "instanceOnline",	//982
    "instanceOnline#$",	//983
    "instanceProgressChanged",	//984
    "instanceProgressChanged#",	//985
    "instanceRemoved",	//986
    "instanceRemoved#",	//987
    "instanceStatusChanged",	//988
    "instanceStatusChanged#",	//989
    "instanceWarning",	//990
    "instanceWarning#$",	//991
    "instances",	//992
    "interceptAction",	//993
    "interceptAction$",	//994
    "interceptAction$$",	//995
    "intervalCheckTime",	//996
    "isAllMonitored",	//997
    "isDropActionMenuEnabled",	//998
    "isEmpty",	//999
    "isExtraColumnsEnabled",	//1000
    "isIndexHidden",	//1001
    "isOnline",	//1002
    "isOutboundFolder",	//1003
    "isRunning",	//1004
    "isToolTipEnabled",	//1005
    "isValid",	//1006
    "isVirtual",	//1007
    "isWantedCollection",	//1008
    "isWantedCollection#",	//1009
    "isWantedCollection#$",	//1010
    "isWantedItem",	//1011
    "isWantedItem#",	//1012
    "isWantedItem#$",	//1013
    "isWantedMimeType",	//1014
    "isWantedMimeType$",	//1015
    "item",	//1016
    "itemAdded",	//1017
    "itemAdded##",	//1018
    "itemChanged",	//1019
    "itemChanged#",	//1020
    "itemChanged#?",	//1021
    "itemData",	//1022
    "itemFetchScope",	//1023
    "itemForIndex",	//1024
    "itemForIndex#",	//1025
    "itemLinked",	//1026
    "itemLinked##",	//1027
    "itemMonitored",	//1028
    "itemMonitored#$",	//1029
    "itemMoved",	//1030
    "itemMoved###",	//1031
    "itemPopulationStrategy",	//1032
    "itemRemoved",	//1033
    "itemRemoved#",	//1034
    "itemRetrieved",	//1035
    "itemRetrieved#",	//1036
    "itemSent",	//1037
    "itemSent#$",	//1038
    "itemSent#$$",	//1039
    "itemUnlinked",	//1040
    "itemUnlinked##",	//1041
    "items",	//1042
    "itemsMonitored",	//1043
    "itemsMonitoredEx",	//1044
    "itemsReceived",	//1045
    "itemsReceived?",	//1046
    "itemsRetrievalDone",	//1047
    "itemsRetrieved",	//1048
    "itemsRetrieved?",	//1049
    "itemsRetrievedIncremental",	//1050
    "itemsRetrievedIncremental??",	//1051
    "keyPressEvent",	//1052
    "keyReleaseEvent",	//1053
    "keyboardSearch",	//1054
    "languageChange",	//1055
    "leaveEvent",	//1056
    "lessThan",	//1057
    "load",	//1058
    "load#",	//1059
    "loadContact",	//1060
    "loadContact#",	//1061
    "loadContactGroup",	//1062
    "loadContactGroup#",	//1063
    "loadedPayloadParts",	//1064
    "localParts",	//1065
    "makeCompletion",	//1066
    "mapFromSource",	//1067
    "mapFromSource#",	//1068
    "mapSelectionFromSource",	//1069
    "mapSelectionToSource",	//1070
    "mapToSource",	//1071
    "mapToSource#",	//1072
    "match",	//1073
    "match#$#",	//1074
    "match#$#$",	//1075
    "match#$#$$",	//1076
    "maximumValue",	//1077
    "metaObject",	//1078
    "metric",	//1079
    "mimeData",	//1080
    "mimeData?",	//1081
    "mimeType",	//1082
    "mimeTypeExclusionFilters",	//1083
    "mimeTypeFilter",	//1084
    "mimeTypeFilters",	//1085
    "mimeTypeInclusionFilters",	//1086
    "mimeTypeMonitored",	//1087
    "mimeTypeMonitored$$",	//1088
    "mimeTypes",	//1089
    "mimeTypesMonitored",	//1090
    "minimumSizeHint",	//1091
    "modelIndexForCollection",	//1092
    "modelIndexForCollection##",	//1093
    "modelIndexesForItem",	//1094
    "modelIndexesForItem##",	//1095
    "modificationTime",	//1096
    "mouseDoubleClickEvent",	//1097
    "mouseMoveEvent",	//1098
    "mousePressEvent",	//1099
    "mouseReleaseEvent",	//1100
    "moveCursor",	//1101
    "moveEvent",	//1102
    "name",	//1103
    "nameChanged",	//1104
    "nameChanged$",	//1105
    "nothingToReplay",	//1106
    "onlineChanged",	//1107
    "onlineChanged$",	//1108
    "operator!=",	//1109
    "operator!=#",	//1110
    "operator=",	//1111
    "operator=#",	//1112
    "operator==",	//1113
    "operator==#",	//1114
    "pageTitle",	//1115
    "paint",	//1116
    "paint###",	//1117
    "paintEngine",	//1118
    "paintEvent",	//1119
    "paletteChange",	//1120
    "parent",	//1121
    "parent#",	//1122
    "parentCollection",	//1123
    "parentRemoteId",	//1124
    "partName",	//1125
    "parts",	//1126
    "parts#",	//1127
    "payloadData",	//1128
    "payloadParts",	//1129
    "percent",	//1130
    "percent$",	//1131
    "perfectParents",	//1132
    "phoneNumberClicked",	//1133
    "phoneNumberClicked#",	//1134
    "processItem",	//1135
    "processItem#",	//1136
    "progress",	//1137
    "progressAnimationEnabled",	//1138
    "progressMessage",	//1139
    "qt_metacall",	//1140
    "qt_metacall$$?",	//1141
    "qt_metacast",	//1142
    "qt_metacast$",	//1143
    "rawContact",	//1144
    "reconfigure",	//1145
    "reconnected",	//1146
    "registerObserver",	//1147
    "registerObserver#",	//1148
    "registerPage",	//1149
    "registerPage#",	//1150
    "reject",	//1151
    "reloadConfiguration",	//1152
    "remoteId",	//1153
    "remoteRevision",	//1154
    "removeAttribute",	//1155
    "removeAttribute#",	//1156
    "removeCollection",	//1157
    "removeCollection#",	//1158
    "removeColumns",	//1159
    "removeInstance",	//1160
    "removeInstance#",	//1161
    "removeRows",	//1162
    "removeSubjob",	//1163
    "removeSubjob#",	//1164
    "removeWantedMimeType",	//1165
    "removeWantedMimeType$",	//1166
    "replayNext",	//1167
    "reset",	//1168
    "resizeEvent",	//1169
    "resource",	//1170
    "resourceMonitored",	//1171
    "resourceMonitored#$",	//1172
    "resourcesMonitored",	//1173
    "restart",	//1174
    "restart#",	//1175
    "restoreState",	//1176
    "restoreState#",	//1177
    "retrieveCollectionAttributes",	//1178
    "retrieveCollectionAttributes#",	//1179
    "retrieveCollections",	//1180
    "retrieveItem",	//1181
    "retrieveItem#?",	//1182
    "retrieveItems",	//1183
    "retrieveItems#",	//1184
    "revert",	//1185
    "revision",	//1186
    "rights",	//1187
    "rollback",	//1188
    "root",	//1189
    "rootCollectionDisplayName",	//1190
    "rowCount",	//1191
    "rowCount#",	//1192
    "rowsAboutToBeRemoved",	//1193
    "rowsInserted",	//1194
    "save",	//1195
    "save#",	//1196
    "saveContact",	//1197
    "saveContactGroup",	//1198
    "saveState",	//1199
    "saveState#",	//1200
    "scheduleCustomTask",	//1201
    "scheduleCustomTask#$#",	//1202
    "scheduleCustomTask#$#$",	//1203
    "scrollContentsBy",	//1204
    "scrollTo",	//1205
    "selectAll",	//1206
    "selectedAgentInstances",	//1207
    "selectedCollection",	//1208
    "selectedCollections",	//1209
    "selectedIndexes",	//1210
    "selectedItems",	//1211
    "selectionChanged",	//1212
    "selectionCommand",	//1213
    "selectionMode",	//1214
    "self",	//1215
    "sendEmail",	//1216
    "sendEmail$$",	//1217
    "sendItem",	//1218
    "sendItem#",	//1219
    "sendSms",	//1220
    "sendSms#",	//1221
    "serialize",	//1222
    "serialize###$",	//1223
    "serialized",	//1224
    "session",	//1225
    "sessionId",	//1226
    "setAccessRightsFilter",	//1227
    "setAccessRightsFilter$",	//1228
    "setActionText",	//1229
    "setActionText$#",	//1230
    "setActiveIconName",	//1231
    "setActiveIconName$",	//1232
    "setAgentName",	//1233
    "setAgentName$",	//1234
    "setAllMonitored",	//1235
    "setAllMonitored$",	//1236
    "setAncestorRetrieval",	//1237
    "setAncestorRetrieval$",	//1238
    "setAutoCompletion",	//1239
    "setAutomaticCommittingEnabled",	//1240
    "setAutomaticCommittingEnabled$",	//1241
    "setBackgroundColor",	//1242
    "setBackgroundColor#",	//1243
    "setBcc",	//1244
    "setBcc?",	//1245
    "setCacheOnly",	//1246
    "setCacheOnly$",	//1247
    "setCachePolicy",	//1248
    "setCachePolicy#",	//1249
    "setCacheTimeout",	//1250
    "setCacheTimeout$",	//1251
    "setCapabilityFilter",	//1252
    "setCapabilityFilter?",	//1253
    "setCaption",	//1254
    "setCc",	//1255
    "setCc?",	//1256
    "setChangeRecordingEnabled",	//1257
    "setChangeRecordingEnabled$",	//1258
    "setCollection",	//1259
    "setCollection#",	//1260
    "setCollectionFetchScope",	//1261
    "setCollectionFetchScope#",	//1262
    "setCollectionFetchStrategy",	//1263
    "setCollectionFetchStrategy$",	//1264
    "setCollectionMonitored",	//1265
    "setCollectionMonitored#",	//1266
    "setCollectionMonitored#$",	//1267
    "setCollectionPropertiesPageNames",	//1268
    "setCollectionPropertiesPageNames?",	//1269
    "setCollectionSelectionModel",	//1270
    "setCollectionSelectionModel#",	//1271
    "setCollectionStreamingEnabled",	//1272
    "setCollectionStreamingEnabled$",	//1273
    "setCollections",	//1274
    "setCollections?",	//1275
    "setCompletedItems",	//1276
    "setCompletedText",	//1277
    "setCompletionMode",	//1278
    "setCompletionObject",	//1279
    "setConfig",	//1280
    "setConfig#",	//1281
    "setContact",	//1282
    "setContact#",	//1283
    "setContactFormatter",	//1284
    "setContactFormatter#",	//1285
    "setContactGroup",	//1286
    "setContactGroup#",	//1287
    "setContactGroupFormatter",	//1288
    "setContactGroupFormatter#",	//1289
    "setContactGroupTemplate",	//1290
    "setContactGroupTemplate#",	//1291
    "setContactTemplate",	//1292
    "setContactTemplate#",	//1293
    "setContentMimeTypes",	//1294
    "setContentMimeTypes?",	//1295
    "setContextMenuEnabled",	//1296
    "setContextText",	//1297
    "setContextText$$#",	//1298
    "setContextText$$$",	//1299
    "setCount",	//1300
    "setCount$",	//1301
    "setCurrentValue",	//1302
    "setCurrentValue$",	//1303
    "setData",	//1304
    "setData##",	//1305
    "setData##$",	//1306
    "setDefaultAddressBook",	//1307
    "setDefaultAddressBook#",	//1308
    "setDefaultCollection",	//1309
    "setDefaultCollection#",	//1310
    "setDescription",	//1311
    "setDescription$",	//1312
    "setDisplayName",	//1313
    "setDisplayName$",	//1314
    "setDropActionMenuEnabled",	//1315
    "setDropActionMenuEnabled$",	//1316
    "setEditorData",	//1317
    "setExtraColumnsEnabled",	//1318
    "setExtraColumnsEnabled$",	//1319
    "setFavoriteCollectionsModel",	//1320
    "setFavoriteCollectionsModel#",	//1321
    "setFavoriteLabel",	//1322
    "setFavoriteLabel#$",	//1323
    "setFavoriteSelectionModel",	//1324
    "setFavoriteSelectionModel#",	//1325
    "setFetchModificationTime",	//1326
    "setFetchModificationTime$",	//1327
    "setFetchScope",	//1328
    "setFetchScope#",	//1329
    "setFlag",	//1330
    "setFlag#",	//1331
    "setFlags",	//1332
    "setFlags?",	//1333
    "setFrom",	//1334
    "setFrom$",	//1335
    "setFullPayload",	//1336
    "setFullPayload$",	//1337
    "setFullSyncItems",	//1338
    "setFullSyncItems?",	//1339
    "setHandleSignals",	//1340
    "setHeaderData",	//1341
    "setHeaderData$$#",	//1342
    "setHeaderData$$#$",	//1343
    "setHeaderGroup",	//1344
    "setHeaderGroup$",	//1345
    "setHierarchicalRemoteIdentifiersEnabled",	//1346
    "setHierarchicalRemoteIdentifiersEnabled$",	//1347
    "setIconName",	//1348
    "setIconName$",	//1349
    "setId",	//1350
    "setId$",	//1351
    "setIgnoreJobFailure",	//1352
    "setIgnoreJobFailure#",	//1353
    "setIgnorePayload",	//1354
    "setIgnorePayload$",	//1355
    "setIncludeRootCollection",	//1356
    "setIncludeRootCollection$",	//1357
    "setIncludeStatistics",	//1358
    "setIncludeStatistics$",	//1359
    "setIncludeUnsubscribed",	//1360
    "setIncludeUnsubscribed$",	//1361
    "setIncrementalSyncItems",	//1362
    "setIncrementalSyncItems??",	//1363
    "setInheritFromParent",	//1364
    "setInheritFromParent$",	//1365
    "setIntervalCheckTime",	//1366
    "setIntervalCheckTime$",	//1367
    "setIsOnline",	//1368
    "setIsOnline$",	//1369
    "setItem",	//1370
    "setItem#",	//1371
    "setItemData",	//1372
    "setItemFetchScope",	//1373
    "setItemFetchScope#",	//1374
    "setItemMonitored",	//1375
    "setItemMonitored#",	//1376
    "setItemMonitored#$",	//1377
    "setItemPopulationStrategy",	//1378
    "setItemPopulationStrategy$",	//1379
    "setItemSelectionModel",	//1380
    "setItemSelectionModel#",	//1381
    "setItemStreamingEnabled",	//1382
    "setItemStreamingEnabled$",	//1383
    "setItemSynchronizationFetchScope",	//1384
    "setItemSynchronizationFetchScope#",	//1385
    "setItemTransactionMode",	//1386
    "setItemTransactionMode$",	//1387
    "setLimit",	//1388
    "setLimit$",	//1389
    "setLineEdit",	//1390
    "setLocalParts",	//1391
    "setLocalParts?",	//1392
    "setMaximumValue",	//1393
    "setMaximumValue$",	//1394
    "setMimeType",	//1395
    "setMimeType$",	//1396
    "setMimeTypeFilter",	//1397
    "setMimeTypeFilter?",	//1398
    "setMimeTypeMonitored",	//1399
    "setMimeTypeMonitored$",	//1400
    "setMimeTypeMonitored$$",	//1401
    "setModel",	//1402
    "setModel#",	//1403
    "setModelData",	//1404
    "setModificationTime",	//1405
    "setModificationTime#",	//1406
    "setName",	//1407
    "setName$",	//1408
    "setNeedsNetwork",	//1409
    "setNeedsNetwork$",	//1410
    "setOnline",	//1411
    "setOnline$",	//1412
    "setOutboundFolder",	//1413
    "setOutboundFolder$",	//1414
    "setPageTitle",	//1415
    "setPageTitle$",	//1416
    "setParent",	//1417
    "setParent#",	//1418
    "setParent$",	//1419
    "setParentCollection",	//1420
    "setParentCollection#",	//1421
    "setParentRemoteId",	//1422
    "setParentRemoteId$",	//1423
    "setPayloadFromData",	//1424
    "setPayloadFromData#",	//1425
    "setPerfectParents",	//1426
    "setPerfectParents?",	//1427
    "setPlainCaption",	//1428
    "setProgressAnimationEnabled",	//1429
    "setProgressAnimationEnabled$",	//1430
    "setQuery",	//1431
    "setQuery$",	//1432
    "setQuery$$",	//1433
    "setQuery$$$",	//1434
    "setQueryLanguage",	//1435
    "setQueryLanguage$",	//1436
    "setRawContact",	//1437
    "setRawContact#",	//1438
    "setReadOnly",	//1439
    "setReadOnly$",	//1440
    "setRemoteId",	//1441
    "setRemoteId$",	//1442
    "setRemoteRevision",	//1443
    "setRemoteRevision$",	//1444
    "setResource",	//1445
    "setResource$",	//1446
    "setResourceMonitored",	//1447
    "setResourceMonitored#",	//1448
    "setResourceMonitored#$",	//1449
    "setRevision",	//1450
    "setRevision$",	//1451
    "setRights",	//1452
    "setRights$",	//1453
    "setRootCollectionDisplayName",	//1454
    "setRootCollectionDisplayName$",	//1455
    "setRootIndex",	//1456
    "setSelection",	//1457
    "setSelectionMode",	//1458
    "setSelectionMode$",	//1459
    "setSelectionModel",	//1460
    "setSession",	//1461
    "setSession#",	//1462
    "setShowSystemEntities",	//1463
    "setShowSystemEntities$",	//1464
    "setSize",	//1465
    "setSize$",	//1466
    "setSourceModel",	//1467
    "setSourceModel#",	//1468
    "setStatistics",	//1469
    "setStatistics#",	//1470
    "setStreamingEnabled",	//1471
    "setStreamingEnabled$",	//1472
    "setSubjectParents",	//1473
    "setSubjectParents?",	//1474
    "setSyncOnDemand",	//1475
    "setSyncOnDemand$",	//1476
    "setTo",	//1477
    "setTo?",	//1478
    "setToolTipEnabled",	//1479
    "setToolTipEnabled$",	//1480
    "setTotalItems",	//1481
    "setTotalItems$",	//1482
    "setTransactionMode",	//1483
    "setTransactionMode$",	//1484
    "setUnperfectParents",	//1485
    "setUnperfectParents?",	//1486
    "setUnreadCount",	//1487
    "setUnreadCount$",	//1488
    "setUnreadCountShown",	//1489
    "setUnreadCountShown$",	//1490
    "setVisible",	//1491
    "setWantedMimeTypes",	//1492
    "setWantedMimeTypes?",	//1493
    "setXmlGuiClient",	//1494
    "setXmlGuiClient#",	//1495
    "setXmlGuiWindow",	//1496
    "setXmlGuiWindow#",	//1497
    "showAddress",	//1498
    "showAddress#",	//1499
    "showEvent",	//1500
    "showPopup",	//1501
    "showSelfTestDialog",	//1502
    "showSelfTestDialog#",	//1503
    "showUrl",	//1504
    "showUrl#",	//1505
    "size",	//1506
    "sizeHint",	//1507
    "sizeHintForColumn",	//1508
    "sizeHintForRow",	//1509
    "slotButtonClicked",	//1510
    "slotButtonClicked$",	//1511
    "slotInfoMessage",	//1512
    "slotResult",	//1513
    "slotResult#",	//1514
    "smsClicked",	//1515
    "smsClicked#",	//1516
    "sort",	//1517
    "span",	//1518
    "start",	//1519
    "start#",	//1520
    "startDrag",	//1521
    "startDrag$",	//1522
    "started",	//1523
    "state",	//1524
    "stateChanged",	//1525
    "stateChanged$",	//1526
    "staticMetaObject",	//1527
    "statistics",	//1528
    "status",	//1529
    "status$",	//1530
    "status$$",	//1531
    "statusMessage",	//1532
    "stop",	//1533
    "stop#",	//1534
    "stopped",	//1535
    "storageCollectionId",	//1536
    "storeContact",	//1537
    "storeContact#",	//1538
    "styleChange",	//1539
    "subjectParents",	//1540
    "submit",	//1541
    "supportedDropActions",	//1542
    "syncOnDemand",	//1543
    "synchronize",	//1544
    "synchronizeCollection",	//1545
    "synchronizeCollection#",	//1546
    "synchronizeCollection#$",	//1547
    "synchronizeCollection$",	//1548
    "synchronizeCollection$$",	//1549
    "synchronizeCollectionAttributes",	//1550
    "synchronizeCollectionAttributes$",	//1551
    "synchronizeCollectionTree",	//1552
    "synchronized",	//1553
    "systemEntitiesShown",	//1554
    "tabletEvent",	//1555
    "taskDone",	//1556
    "timerEvent",	//1557
    "timerEvent#",	//1558
    "title",	//1559
    "to",	//1560
    "tr",	//1561
    "tr$",	//1562
    "tr$$",	//1563
    "tr$$$",	//1564
    "trUtf8",	//1565
    "trUtf8$",	//1566
    "trUtf8$$",	//1567
    "trUtf8$$$",	//1568
    "type",	//1569
    "type$",	//1570
    "typeAdded",	//1571
    "typeAdded#",	//1572
    "typeName",	//1573
    "typeRemoved",	//1574
    "typeRemoved#",	//1575
    "types",	//1576
    "unperfectParents",	//1577
    "unreadCount",	//1578
    "unreadCountShown",	//1579
    "updateEditorData",	//1580
    "updateEditorGeometries",	//1581
    "updateEditorGeometry",	//1582
    "updateGeometries",	//1583
    "updateItem",	//1584
    "updateItem##",	//1585
    "url",	//1586
    "url$",	//1587
    "urlClicked",	//1588
    "urlClicked#",	//1589
    "useDefaultPage",	//1590
    "useDefaultPage$",	//1591
    "verticalOffset",	//1592
    "verticalScrollbarAction",	//1593
    "verticalScrollbarValueChanged",	//1594
    "view",	//1595
    "viewOptions",	//1596
    "viewer",	//1597
    "viewportEvent",	//1598
    "virtual_hook",	//1599
    "visualRect",	//1600
    "visualRegionForSelection",	//1601
    "wantedMimeTypes",	//1602
    "warning",	//1603
    "warning$",	//1604
    "what",	//1605
    "wheelEvent",	//1606
    "widgetNeedsAkonadi",	//1607
    "widgetNeedsAkonadi#",	//1608
    "winIdForDialogs",	//1609
    "windowActivationChange",	//1610
    "writeFinished",	//1611
    "writeFinished#",	//1612
    "x11Event",	//1613
    "~AddressAttribute",	//1614
    "~AgentBase",	//1615
    "~AgentFilterProxyModel",	//1616
    "~AgentInstance",	//1617
    "~AgentInstanceCreateJob",	//1618
    "~AgentInstanceModel",	//1619
    "~AgentInstanceWidget",	//1620
    "~AgentManager",	//1621
    "~AgentType",	//1622
    "~AgentTypeDialog",	//1623
    "~AgentTypeModel",	//1624
    "~AgentTypeWidget",	//1625
    "~Attribute",	//1626
    "~AttributeFactory",	//1627
    "~CachePolicy",	//1628
    "~ChangeRecorder",	//1629
    "~Collection",	//1630
    "~CollectionComboBox",	//1631
    "~CollectionCopyJob",	//1632
    "~CollectionCreateJob",	//1633
    "~CollectionDeleteJob",	//1634
    "~CollectionDialog",	//1635
    "~CollectionFetchJob",	//1636
    "~CollectionFetchScope",	//1637
    "~CollectionFilterProxyModel",	//1638
    "~CollectionModel",	//1639
    "~CollectionModifyJob",	//1640
    "~CollectionMoveJob",	//1641
    "~CollectionPropertiesDialog",	//1642
    "~CollectionPropertiesPage",	//1643
    "~CollectionPropertiesPageFactory",	//1644
    "~CollectionQuotaAttribute",	//1645
    "~CollectionRequester",	//1646
    "~CollectionStatistics",	//1647
    "~CollectionStatisticsDelegate",	//1648
    "~CollectionStatisticsJob",	//1649
    "~CollectionStatisticsModel",	//1650
    "~CollectionView",	//1651
    "~ContactDefaultActions",	//1652
    "~ContactEditor",	//1653
    "~ContactEditorDialog",	//1654
    "~ContactEditorPagePlugin",	//1655
    "~ContactGroupEditor",	//1656
    "~ContactGroupEditorDialog",	//1657
    "~ContactGroupExpandJob",	//1658
    "~ContactGroupSearchJob",	//1659
    "~ContactGroupViewer",	//1660
    "~ContactGroupViewerDialog",	//1661
    "~ContactSearchJob",	//1662
    "~ContactViewer",	//1663
    "~ContactViewerDialog",	//1664
    "~Control",	//1665
    "~Entity",	//1666
    "~EntityDisplayAttribute",	//1667
    "~EntityHiddenAttribute",	//1668
    "~EntityListView",	//1669
    "~EntityMimeTypeFilterModel",	//1670
    "~EntityTreeModel",	//1671
    "~EntityTreeView",	//1672
    "~EntityTreeViewStateSaver",	//1673
    "~Exception",	//1674
    "~FavoriteCollectionsModel",	//1675
    "~Item",	//1676
    "~ItemCopyJob",	//1677
    "~ItemCreateJob",	//1678
    "~ItemDeleteJob",	//1679
    "~ItemFetchJob",	//1680
    "~ItemFetchScope",	//1681
    "~ItemModel",	//1682
    "~ItemModifyJob",	//1683
    "~ItemMonitor",	//1684
    "~ItemMoveJob",	//1685
    "~ItemSearchJob",	//1686
    "~ItemSerializerPlugin",	//1687
    "~ItemSerializerPluginV2",	//1688
    "~ItemSync",	//1689
    "~ItemView",	//1690
    "~Job",	//1691
    "~LinkJob",	//1692
    "~MessageFolderAttribute",	//1693
    "~MessageModel",	//1694
    "~MessageThreaderProxyModel",	//1695
    "~MessageThreadingAttribute",	//1696
    "~MimeTypeChecker",	//1697
    "~Monitor",	//1698
    "~Observer",	//1699
    "~ObserverV2",	//1700
    "~PartFetcher",	//1701
    "~PayloadBase",	//1702
    "~PayloadException",	//1703
    "~PreprocessorBase",	//1704
    "~ResourceBase",	//1705
    "~ResourceSynchronizationJob",	//1706
    "~SearchCreateJob",	//1707
    "~SelectionProxyModel",	//1708
    "~ServerManager",	//1709
    "~Session",	//1710
    "~StandardActionManager",	//1711
    "~StatisticsProxyModel",	//1712
    "~TransactionBeginJob",	//1713
    "~TransactionCommitJob",	//1714
    "~TransactionRollbackJob",	//1715
    "~TransactionSequence",	//1716
    "~TransportResourceBase",	//1717
    "~UnlinkJob",	//1718
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {4, 5, 1, 4, Smoke::mf_ctor, 4, 1},	//1 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&, const QStringList&)
    {4, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 4, 2},	//2 Akonadi::AddressAttribute::clone() const
    {4, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 3},	//3 Akonadi::AddressAttribute::type() const
    {4, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//4 Akonadi::AddressAttribute::serialized() const
    {4, 837, 6, 1, Smoke::mf_virtual, 0, 5},	//5 Akonadi::AddressAttribute::deserialize(const QByteArray&)
    {4, 928, 0, 0, Smoke::mf_const, 270, 6},	//6 Akonadi::AddressAttribute::from() const
    {4, 1334, 8, 1, 0, 0, 7},	//7 Akonadi::AddressAttribute::setFrom(const QString&)
    {4, 1560, 0, 0, Smoke::mf_const, 271, 8},	//8 Akonadi::AddressAttribute::to() const
    {4, 1477, 10, 1, 0, 0, 9},	//9 Akonadi::AddressAttribute::setTo(const QStringList&)
    {4, 718, 0, 0, Smoke::mf_const, 271, 10},	//10 Akonadi::AddressAttribute::cc() const
    {4, 1255, 10, 1, 0, 0, 11},	//11 Akonadi::AddressAttribute::setCc(const QStringList&)
    {4, 706, 0, 0, Smoke::mf_const, 271, 12},	//12 Akonadi::AddressAttribute::bcc() const
    {4, 1244, 10, 1, 0, 0, 13},	//13 Akonadi::AddressAttribute::setBcc(const QStringList&)
    {4, 5, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 14},	//14 Akonadi::AddressAttribute::AddressAttribute(const Akonadi::AddressAttribute&)
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 15},	//15 Akonadi::AddressAttribute::AddressAttribute()
    {4, 5, 8, 1, Smoke::mf_ctor, 4, 16},	//16 Akonadi::AddressAttribute::AddressAttribute(const QString&)
    {4, 5, 14, 2, Smoke::mf_ctor, 4, 17},	//17 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&)
    {4, 5, 17, 3, Smoke::mf_ctor, 4, 18},	//18 Akonadi::AddressAttribute::AddressAttribute(const QString&, const QStringList&, const QStringList&)
    {4, 1614, 0, 0, Smoke::mf_dtor, 0, 19 },	//19 Akonadi::AddressAttribute::~AddressAttribute()
    {5, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//20 Akonadi::AgentBase::metaObject() const
    {5, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//21 Akonadi::AgentBase::qt_metacast(const char*)
    {5, 1561, 23, 2, Smoke::mf_static, 270, 3},	//22 Akonadi::AgentBase::tr(const char*, const char*)
    {5, 1565, 23, 2, Smoke::mf_static, 270, 4},	//23 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {5, 1561, 26, 3, Smoke::mf_static, 270, 5},	//24 Akonadi::AgentBase::tr(const char*, const char*, int)
    {5, 1565, 26, 3, Smoke::mf_static, 270, 6},	//25 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {5, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//26 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {5, 1529, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 447, 8},	//27 Akonadi::AgentBase::status() const
    {5, 1532, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 9},	//28 Akonadi::AgentBase::statusMessage() const
    {5, 1137, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 447, 10},	//29 Akonadi::AgentBase::progress() const
    {5, 1139, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 11},	//30 Akonadi::AgentBase::progressMessage() const
    {5, 785, 34, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//31 Akonadi::AgentBase::configure(WId)
    {5, 1609, 0, 0, Smoke::mf_const, 454, 13},	//32 Akonadi::AgentBase::winIdForDialogs() const
    {5, 951, 0, 0, Smoke::mf_const, 270, 14},	//33 Akonadi::AgentBase::identifier() const
    {5, 728, 0, 0, Smoke::mf_virtual, 0, 15},	//34 Akonadi::AgentBase::cleanup()
    {5, 1147, 36, 1, 0, 0, 16},	//35 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {5, 1233, 8, 1, 0, 0, 17},	//36 Akonadi::AgentBase::setAgentName(const QString&)
    {5, 684, 0, 0, Smoke::mf_const, 270, 18},	//37 Akonadi::AgentBase::agentName() const
    {5, 781, 0, 0, Smoke::mf_static, 188, 19},	//38 Akonadi::AgentBase::componentData()
    {5, 685, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//39 Akonadi::AgentBase::agentNameChanged(const QString&)
    {5, 1529, 38, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//40 Akonadi::AgentBase::status(int, const QString&)
    {5, 1130, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//41 Akonadi::AgentBase::percent(int)
    {5, 1603, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//42 Akonadi::AgentBase::warning(const QString&)
    {5, 890, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//43 Akonadi::AgentBase::error(const QString&)
    {5, 681, 43, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//44 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {5, 643, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//45 Akonadi::AgentBase::abortRequested()
    {5, 1152, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//46 Akonadi::AgentBase::reloadConfiguration()
    {5, 1107, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//47 Akonadi::AgentBase::onlineChanged(bool)
    {5, 783, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//48 Akonadi::AgentBase::configurationDialogAccepted()
    {5, 784, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//49 Akonadi::AgentBase::configurationDialogRejected()
    {5, 17, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 5, 31},	//50 Akonadi::AgentBase::AgentBase(const QString&)
    {5, 644, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//51 Akonadi::AgentBase::aboutToQuit()
    {5, 725, 0, 0, Smoke::mf_const|Smoke::mf_protected, 32, 33},	//52 Akonadi::AgentBase::changeRecorder() const
    {5, 782, 0, 0, Smoke::mf_protected, 195, 34},	//53 Akonadi::AgentBase::config()
    {5, 724, 0, 0, Smoke::mf_protected, 0, 35},	//54 Akonadi::AgentBase::changeProcessed()
    {5, 1002, 0, 0, Smoke::mf_const|Smoke::mf_protected, 360, 36},	//55 Akonadi::AgentBase::isOnline() const
    {5, 1409, 45, 1, Smoke::mf_protected, 0, 37},	//56 Akonadi::AgentBase::setNeedsNetwork(bool)
    {5, 1411, 45, 1, Smoke::mf_protected, 0, 38},	//57 Akonadi::AgentBase::setOnline(bool)
    {5, 17, 47, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 39},	//58 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {5, 853, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//59 Akonadi::AgentBase::doSetOnline(bool)
    {5, 1561, 21, 1, Smoke::mf_static, 270, 41},	//60 Akonadi::AgentBase::tr(const char*)
    {5, 1565, 21, 1, Smoke::mf_static, 270, 42},	//61 Akonadi::AgentBase::trUtf8(const char*)
    {5, 1529, 41, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//62 Akonadi::AgentBase::status(int)
    {5, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 44},	//63 Akonadi::AgentBase::staticMetaObject() const
    {5, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 45},	//64 Akonadi::AgentBase::Idle (enum)
    {5, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 46},	//65 Akonadi::AgentBase::Running (enum)
    {5, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 47},	//66 Akonadi::AgentBase::Broken (enum)
    {5, 1615, 0, 0, Smoke::mf_dtor, 0, 48 },	//67 Akonadi::AgentBase::~AgentBase()
    {6, 421, 0, 0, Smoke::mf_ctor, 6, 1},	//68 Akonadi::AgentBase::Observer::Observer()
    {6, 1017, 50, 2, Smoke::mf_virtual, 0, 2},	//69 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {6, 1019, 53, 2, Smoke::mf_virtual, 0, 3},	//70 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {6, 1033, 56, 1, Smoke::mf_virtual, 0, 4},	//71 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {6, 744, 58, 2, Smoke::mf_virtual, 0, 5},	//72 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {6, 748, 61, 1, Smoke::mf_virtual, 0, 6},	//73 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {6, 760, 61, 1, Smoke::mf_virtual, 0, 7},	//74 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {6, 421, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 6, 8},	//75 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {6, 1699, 0, 0, Smoke::mf_dtor, 0, 9 },	//76 Akonadi::AgentBase::Observer::~Observer()
    {7, 748, 61, 1, Smoke::mf_virtual, 0, 1},	//77 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {7, 1030, 65, 3, Smoke::mf_virtual, 0, 2},	//78 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 1026, 50, 2, Smoke::mf_virtual, 0, 3},	//79 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 1040, 50, 2, Smoke::mf_virtual, 0, 4},	//80 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {7, 758, 69, 3, Smoke::mf_virtual, 0, 5},	//81 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {7, 748, 73, 2, Smoke::mf_virtual, 0, 6},	//82 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {7, 423, 0, 0, Smoke::mf_ctor, 7, 7},	//83 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {7, 423, 76, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 7, 8},	//84 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {7, 1700, 0, 0, Smoke::mf_dtor, 0, 9 },	//85 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {9, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//86 Akonadi::AgentFilterProxyModel::metaObject() const
    {9, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//87 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {9, 1561, 23, 2, Smoke::mf_static, 270, 3},	//88 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {9, 1565, 23, 2, Smoke::mf_static, 270, 4},	//89 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {9, 1561, 26, 3, Smoke::mf_static, 270, 5},	//90 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {9, 1565, 26, 3, Smoke::mf_static, 270, 6},	//91 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {9, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//92 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {9, 20, 78, 1, Smoke::mf_ctor, 10, 8},	//93 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {9, 667, 8, 1, 0, 0, 9},	//94 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {9, 659, 8, 1, 0, 0, 10},	//95 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {9, 733, 0, 0, 0, 0, 11},	//96 Akonadi::AgentFilterProxyModel::clearFilters()
    {9, 895, 8, 1, 0, 0, 12},	//97 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {9, 918, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 13},	//98 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {9, 1561, 21, 1, Smoke::mf_static, 270, 14},	//99 Akonadi::AgentFilterProxyModel::tr(const char*)
    {9, 1565, 21, 1, Smoke::mf_static, 270, 15},	//100 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {9, 20, 0, 0, Smoke::mf_ctor, 10, 16},	//101 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {9, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 17},	//102 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {9, 1616, 0, 0, Smoke::mf_dtor, 0, 18 },	//103 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {10, 22, 0, 0, Smoke::mf_ctor, 13, 1},	//104 Akonadi::AgentInstance::AgentInstance()
    {10, 22, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//105 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {10, 1006, 0, 0, Smoke::mf_const, 360, 3},	//106 Akonadi::AgentInstance::isValid() const
    {10, 1569, 0, 0, Smoke::mf_const, 20, 4},	//107 Akonadi::AgentInstance::type() const
    {10, 951, 0, 0, Smoke::mf_const, 270, 5},	//108 Akonadi::AgentInstance::identifier() const
    {10, 1103, 0, 0, Smoke::mf_const, 270, 6},	//109 Akonadi::AgentInstance::name() const
    {10, 1407, 8, 1, 0, 0, 7},	//110 Akonadi::AgentInstance::setName(const QString&)
    {10, 1529, 0, 0, Smoke::mf_const, 14, 8},	//111 Akonadi::AgentInstance::status() const
    {10, 1532, 0, 0, Smoke::mf_const, 270, 9},	//112 Akonadi::AgentInstance::statusMessage() const
    {10, 1137, 0, 0, Smoke::mf_const, 447, 10},	//113 Akonadi::AgentInstance::progress() const
    {10, 1002, 0, 0, Smoke::mf_const, 360, 11},	//114 Akonadi::AgentInstance::isOnline() const
    {10, 1368, 45, 1, 0, 0, 12},	//115 Akonadi::AgentInstance::setIsOnline(bool)
    {10, 785, 85, 1, 0, 0, 13},	//116 Akonadi::AgentInstance::configure(QWidget*)
    {10, 1544, 0, 0, 0, 0, 14},	//117 Akonadi::AgentInstance::synchronize()
    {10, 1552, 0, 0, 0, 0, 15},	//118 Akonadi::AgentInstance::synchronizeCollectionTree()
    {10, 1111, 83, 1, 0, 12, 16},	//119 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {10, 1113, 83, 1, Smoke::mf_const, 360, 17},	//120 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {10, 642, 0, 0, Smoke::mf_const, 0, 18},	//121 Akonadi::AgentInstance::abortCurrentTask() const
    {10, 1145, 0, 0, Smoke::mf_const, 0, 19},	//122 Akonadi::AgentInstance::reconfigure() const
    {10, 1174, 0, 0, Smoke::mf_const, 0, 20},	//123 Akonadi::AgentInstance::restart() const
    {10, 785, 0, 0, 0, 0, 21},	//124 Akonadi::AgentInstance::configure()
    {10, 285, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//125 Akonadi::AgentInstance::Idle (enum)
    {10, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//126 Akonadi::AgentInstance::Running (enum)
    {10, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//127 Akonadi::AgentInstance::Broken (enum)
    {10, 1617, 0, 0, Smoke::mf_dtor, 0, 25 },	//128 Akonadi::AgentInstance::~AgentInstance()
    {11, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//129 Akonadi::AgentInstanceCreateJob::metaObject() const
    {11, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//130 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {11, 1561, 23, 2, Smoke::mf_static, 270, 3},	//131 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {11, 1565, 23, 2, Smoke::mf_static, 270, 4},	//132 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {11, 1561, 26, 3, Smoke::mf_static, 270, 5},	//133 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {11, 1565, 26, 3, Smoke::mf_static, 270, 6},	//134 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {11, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//135 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {11, 24, 87, 2, Smoke::mf_ctor, 15, 8},	//136 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {11, 24, 90, 2, Smoke::mf_ctor, 15, 9},	//137 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {11, 785, 85, 1, 0, 0, 10},	//138 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {11, 974, 0, 0, Smoke::mf_const, 11, 11},	//139 Akonadi::AgentInstanceCreateJob::instance() const
    {11, 1519, 0, 0, Smoke::mf_virtual, 0, 12},	//140 Akonadi::AgentInstanceCreateJob::start()
    {11, 1561, 21, 1, Smoke::mf_static, 270, 13},	//141 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {11, 1565, 21, 1, Smoke::mf_static, 270, 14},	//142 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {11, 24, 93, 1, Smoke::mf_ctor, 15, 15},	//143 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {11, 24, 8, 1, Smoke::mf_ctor, 15, 16},	//144 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {11, 785, 0, 0, 0, 0, 17},	//145 Akonadi::AgentInstanceCreateJob::configure()
    {11, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//146 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {11, 1618, 0, 0, Smoke::mf_dtor, 0, 19 },	//147 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {12, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//148 Akonadi::AgentInstanceModel::metaObject() const
    {12, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//149 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {12, 1561, 23, 2, Smoke::mf_static, 270, 3},	//150 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {12, 1565, 23, 2, Smoke::mf_static, 270, 4},	//151 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {12, 1561, 26, 3, Smoke::mf_static, 270, 5},	//152 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {12, 1565, 26, 3, Smoke::mf_static, 270, 6},	//153 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {12, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//154 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {12, 29, 78, 1, Smoke::mf_ctor, 16, 8},	//155 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {12, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 9},	//156 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {12, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 10},	//157 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {12, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//158 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {12, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//159 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {12, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//160 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {12, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 14},	//161 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {12, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 15},	//162 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {12, 1304, 108, 3, Smoke::mf_virtual, 360, 16},	//163 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {12, 1561, 21, 1, Smoke::mf_static, 270, 17},	//164 Akonadi::AgentInstanceModel::tr(const char*)
    {12, 1565, 21, 1, Smoke::mf_static, 270, 18},	//165 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {12, 29, 0, 0, Smoke::mf_ctor, 16, 19},	//166 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {12, 777, 0, 0, Smoke::mf_const, 447, 20},	//167 Akonadi::AgentInstanceModel::columnCount() const
    {12, 1191, 0, 0, Smoke::mf_const, 447, 21},	//168 Akonadi::AgentInstanceModel::rowCount() const
    {12, 828, 95, 1, Smoke::mf_const, 280, 22},	//169 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {12, 939, 112, 2, Smoke::mf_const, 280, 23},	//170 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {12, 961, 115, 2, Smoke::mf_const, 254, 24},	//171 Akonadi::AgentInstanceModel::index(int, int) const
    {12, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 25},	//172 Akonadi::AgentInstanceModel::staticMetaObject() const
    {12, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 26},	//173 Akonadi::AgentInstanceModel::TypeRole (enum)
    {12, 552, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 27},	//174 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {12, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 28},	//175 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {12, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 29},	//176 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {12, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 30},	//177 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {12, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 31},	//178 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {12, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 32},	//179 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {12, 521, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 33},	//180 Akonadi::AgentInstanceModel::StatusRole (enum)
    {12, 520, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 34},	//181 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {12, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 35},	//182 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {12, 430, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 36},	//183 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {12, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 17, 37},	//184 Akonadi::AgentInstanceModel::UserRole (enum)
    {12, 1619, 0, 0, Smoke::mf_dtor, 0, 38 },	//185 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {13, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//186 Akonadi::AgentInstanceWidget::metaObject() const
    {13, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//187 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {13, 1561, 23, 2, Smoke::mf_static, 270, 3},	//188 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {13, 1565, 23, 2, Smoke::mf_static, 270, 4},	//189 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {13, 1561, 26, 3, Smoke::mf_static, 270, 5},	//190 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {13, 1565, 26, 3, Smoke::mf_static, 270, 6},	//191 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {13, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//192 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {13, 31, 85, 1, Smoke::mf_ctor, 18, 8},	//193 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {13, 818, 0, 0, Smoke::mf_const, 11, 9},	//194 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {13, 1207, 0, 0, Smoke::mf_const, 241, 10},	//195 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {13, 683, 0, 0, Smoke::mf_const, 10, 11},	//196 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {13, 1595, 0, 0, Smoke::mf_const, 202, 12},	//197 Akonadi::AgentInstanceWidget::view() const
    {13, 820, 118, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {13, 859, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {13, 1561, 21, 1, Smoke::mf_static, 270, 15},	//200 Akonadi::AgentInstanceWidget::tr(const char*)
    {13, 1565, 21, 1, Smoke::mf_static, 270, 16},	//201 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {13, 31, 0, 0, Smoke::mf_ctor, 18, 17},	//202 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {13, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//203 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {13, 1620, 0, 0, Smoke::mf_dtor, 0, 19 },	//204 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {14, 1078, 0, 0, Smoke::mf_const, 426, 1},	//205 Akonadi::AgentManager::metaObject() const
    {14, 1142, 21, 1, 0, 455, 2},	//206 Akonadi::AgentManager::qt_metacast(const char*)
    {14, 1561, 23, 2, Smoke::mf_static, 270, 3},	//207 Akonadi::AgentManager::tr(const char*, const char*)
    {14, 1565, 23, 2, Smoke::mf_static, 270, 4},	//208 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {14, 1561, 26, 3, Smoke::mf_static, 270, 5},	//209 Akonadi::AgentManager::tr(const char*, const char*, int)
    {14, 1565, 26, 3, Smoke::mf_static, 270, 6},	//210 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {14, 1140, 30, 3, 0, 447, 7},	//211 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {14, 1215, 0, 0, Smoke::mf_static, 19, 8},	//212 Akonadi::AgentManager::self()
    {14, 1576, 0, 0, Smoke::mf_const, 242, 9},	//213 Akonadi::AgentManager::types() const
    {14, 1569, 8, 1, Smoke::mf_const, 20, 10},	//214 Akonadi::AgentManager::type(const QString&) const
    {14, 992, 0, 0, Smoke::mf_const, 241, 11},	//215 Akonadi::AgentManager::instances() const
    {14, 974, 8, 1, Smoke::mf_const, 11, 12},	//216 Akonadi::AgentManager::instance(const QString&) const
    {14, 1160, 83, 1, 0, 0, 13},	//217 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {14, 1545, 61, 1, 0, 0, 14},	//218 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {14, 1545, 121, 2, 0, 0, 15},	//219 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {14, 1571, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//220 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {14, 1574, 93, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//221 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {14, 976, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//222 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {14, 986, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//223 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {14, 988, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//224 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {14, 984, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//225 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {14, 980, 83, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//226 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {14, 978, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//227 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {14, 990, 124, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//228 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {14, 982, 127, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//229 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {14, 1561, 21, 1, Smoke::mf_static, 270, 26},	//230 Akonadi::AgentManager::tr(const char*)
    {14, 1565, 21, 1, Smoke::mf_static, 270, 27},	//231 Akonadi::AgentManager::trUtf8(const char*)
    {14, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 28},	//232 Akonadi::AgentManager::staticMetaObject() const
    {14, 1621, 0, 0, Smoke::mf_dtor, 0, 29 },	//233 Akonadi::AgentManager::~AgentManager()
    {15, 33, 0, 0, Smoke::mf_ctor, 22, 1},	//234 Akonadi::AgentType::AgentType()
    {15, 33, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//235 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {15, 1006, 0, 0, Smoke::mf_const, 360, 3},	//236 Akonadi::AgentType::isValid() const
    {15, 951, 0, 0, Smoke::mf_const, 270, 4},	//237 Akonadi::AgentType::identifier() const
    {15, 1103, 0, 0, Smoke::mf_const, 270, 5},	//238 Akonadi::AgentType::name() const
    {15, 836, 0, 0, Smoke::mf_const, 270, 6},	//239 Akonadi::AgentType::description() const
    {15, 949, 0, 0, Smoke::mf_const, 270, 7},	//240 Akonadi::AgentType::iconName() const
    {15, 948, 0, 0, Smoke::mf_const, 234, 8},	//241 Akonadi::AgentType::icon() const
    {15, 1089, 0, 0, Smoke::mf_const, 271, 9},	//242 Akonadi::AgentType::mimeTypes() const
    {15, 717, 0, 0, Smoke::mf_const, 271, 10},	//243 Akonadi::AgentType::capabilities() const
    {15, 1111, 93, 1, 0, 21, 11},	//244 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {15, 1113, 93, 1, Smoke::mf_const, 360, 12},	//245 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {15, 1622, 0, 0, Smoke::mf_dtor, 0, 13 },	//246 Akonadi::AgentType::~AgentType()
    {16, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//247 Akonadi::AgentTypeDialog::metaObject() const
    {16, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//248 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {16, 1561, 23, 2, Smoke::mf_static, 270, 3},	//249 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {16, 1565, 23, 2, Smoke::mf_static, 270, 4},	//250 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {16, 1561, 26, 3, Smoke::mf_static, 270, 5},	//251 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {16, 1565, 26, 3, Smoke::mf_static, 270, 6},	//252 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {16, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//253 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 35, 85, 1, Smoke::mf_ctor, 23, 8},	//254 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {16, 687, 0, 0, Smoke::mf_const, 20, 9},	//255 Akonadi::AgentTypeDialog::agentType() const
    {16, 683, 0, 0, Smoke::mf_const, 10, 10},	//256 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {16, 857, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//257 Akonadi::AgentTypeDialog::done(int)
    {16, 1561, 21, 1, Smoke::mf_static, 270, 12},	//258 Akonadi::AgentTypeDialog::tr(const char*)
    {16, 1565, 21, 1, Smoke::mf_static, 270, 13},	//259 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {16, 35, 0, 0, Smoke::mf_ctor, 23, 14},	//260 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {16, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//261 Akonadi::AgentTypeDialog::staticMetaObject() const
    {16, 1623, 0, 0, Smoke::mf_dtor, 0, 16 },	//262 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {17, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//263 Akonadi::AgentTypeModel::metaObject() const
    {17, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//264 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {17, 1561, 23, 2, Smoke::mf_static, 270, 3},	//265 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {17, 1565, 23, 2, Smoke::mf_static, 270, 4},	//266 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {17, 1561, 26, 3, Smoke::mf_static, 270, 5},	//267 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {17, 1565, 26, 3, Smoke::mf_static, 270, 6},	//268 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {17, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//269 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 37, 78, 1, Smoke::mf_ctor, 24, 8},	//270 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {17, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 9},	//271 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {17, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 10},	//272 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {17, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//273 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {17, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 12},	//274 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {17, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//275 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {17, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 14},	//276 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {17, 1561, 21, 1, Smoke::mf_static, 270, 15},	//277 Akonadi::AgentTypeModel::tr(const char*)
    {17, 1565, 21, 1, Smoke::mf_static, 270, 16},	//278 Akonadi::AgentTypeModel::trUtf8(const char*)
    {17, 37, 0, 0, Smoke::mf_ctor, 24, 17},	//279 Akonadi::AgentTypeModel::AgentTypeModel()
    {17, 777, 0, 0, Smoke::mf_const, 447, 18},	//280 Akonadi::AgentTypeModel::columnCount() const
    {17, 1191, 0, 0, Smoke::mf_const, 447, 19},	//281 Akonadi::AgentTypeModel::rowCount() const
    {17, 828, 95, 1, Smoke::mf_const, 280, 20},	//282 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {17, 961, 115, 2, Smoke::mf_const, 254, 21},	//283 Akonadi::AgentTypeModel::index(int, int) const
    {17, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 22},	//284 Akonadi::AgentTypeModel::staticMetaObject() const
    {17, 553, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 23},	//285 Akonadi::AgentTypeModel::TypeRole (enum)
    {17, 284, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 24},	//286 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {17, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 25},	//287 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {17, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 26},	//288 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {17, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 27},	//289 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {17, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 28},	//290 Akonadi::AgentTypeModel::UserRole (enum)
    {17, 1624, 0, 0, Smoke::mf_dtor, 0, 29 },	//291 Akonadi::AgentTypeModel::~AgentTypeModel()
    {18, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//292 Akonadi::AgentTypeWidget::metaObject() const
    {18, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//293 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {18, 1561, 23, 2, Smoke::mf_static, 270, 3},	//294 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {18, 1565, 23, 2, Smoke::mf_static, 270, 4},	//295 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {18, 1561, 26, 3, Smoke::mf_static, 270, 5},	//296 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {18, 1565, 26, 3, Smoke::mf_static, 270, 6},	//297 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {18, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//298 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {18, 39, 85, 1, Smoke::mf_ctor, 26, 8},	//299 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {18, 819, 0, 0, Smoke::mf_const, 20, 9},	//300 Akonadi::AgentTypeWidget::currentAgentType() const
    {18, 683, 0, 0, Smoke::mf_const, 10, 10},	//301 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {18, 820, 130, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//302 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {18, 653, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//303 Akonadi::AgentTypeWidget::activated()
    {18, 1561, 21, 1, Smoke::mf_static, 270, 13},	//304 Akonadi::AgentTypeWidget::tr(const char*)
    {18, 1565, 21, 1, Smoke::mf_static, 270, 14},	//305 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {18, 39, 0, 0, Smoke::mf_ctor, 26, 15},	//306 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {18, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//307 Akonadi::AgentTypeWidget::staticMetaObject() const
    {18, 1625, 0, 0, Smoke::mf_dtor, 0, 17 },	//308 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {19, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 209, 1},	//309 Akonadi::Attribute::type() const [pure virtual]
    {19, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 2},	//310 Akonadi::Attribute::clone() const [pure virtual]
    {19, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 209, 3},	//311 Akonadi::Attribute::serialized() const [pure virtual]
    {19, 837, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//312 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {19, 51, 0, 0, Smoke::mf_ctor, 27, 5},	//313 Akonadi::Attribute::Attribute()
    {19, 51, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 6},	//314 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {19, 1626, 0, 0, Smoke::mf_dtor, 0, 7 },	//315 Akonadi::Attribute::~Attribute()
    {20, 810, 6, 1, Smoke::mf_static, 27, 1},	//316 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {20, 53, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 28, 2},	//317 Akonadi::AttributeFactory::AttributeFactory()
    {20, 53, 135, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 3},	//318 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {20, 1627, 0, 0, Smoke::mf_dtor, 0, 4 },	//319 Akonadi::AttributeFactory::~AttributeFactory()
    {21, 62, 0, 0, Smoke::mf_ctor, 31, 1},	//320 Akonadi::CachePolicy::CachePolicy()
    {21, 62, 137, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 2},	//321 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {21, 967, 0, 0, Smoke::mf_const, 360, 3},	//322 Akonadi::CachePolicy::inheritFromParent() const
    {21, 1364, 45, 1, 0, 0, 4},	//323 Akonadi::CachePolicy::setInheritFromParent(bool)
    {21, 1065, 0, 0, Smoke::mf_const, 271, 5},	//324 Akonadi::CachePolicy::localParts() const
    {21, 1391, 10, 1, 0, 0, 6},	//325 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {21, 710, 0, 0, Smoke::mf_const, 447, 7},	//326 Akonadi::CachePolicy::cacheTimeout() const
    {21, 1250, 41, 1, 0, 0, 8},	//327 Akonadi::CachePolicy::setCacheTimeout(int)
    {21, 996, 0, 0, Smoke::mf_const, 447, 9},	//328 Akonadi::CachePolicy::intervalCheckTime() const
    {21, 1366, 41, 1, 0, 0, 10},	//329 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {21, 1543, 0, 0, Smoke::mf_const, 360, 11},	//330 Akonadi::CachePolicy::syncOnDemand() const
    {21, 1475, 45, 1, 0, 0, 12},	//331 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {21, 1111, 137, 1, 0, 30, 13},	//332 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {21, 1113, 137, 1, Smoke::mf_const, 360, 14},	//333 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {21, 1628, 0, 0, Smoke::mf_dtor, 0, 15 },	//334 Akonadi::CachePolicy::~CachePolicy()
    {22, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//335 Akonadi::ChangeRecorder::metaObject() const
    {22, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//336 Akonadi::ChangeRecorder::qt_metacast(const char*)
    {22, 1561, 23, 2, Smoke::mf_static, 270, 3},	//337 Akonadi::ChangeRecorder::tr(const char*, const char*)
    {22, 1565, 23, 2, Smoke::mf_static, 270, 4},	//338 Akonadi::ChangeRecorder::trUtf8(const char*, const char*)
    {22, 1561, 26, 3, Smoke::mf_static, 270, 5},	//339 Akonadi::ChangeRecorder::tr(const char*, const char*, int)
    {22, 1565, 26, 3, Smoke::mf_static, 270, 6},	//340 Akonadi::ChangeRecorder::trUtf8(const char*, const char*, int)
    {22, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//341 Akonadi::ChangeRecorder::qt_metacall(QMetaObject::Call, int, void**)
    {22, 74, 78, 1, Smoke::mf_ctor, 32, 8},	//342 Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    {22, 1280, 139, 1, 0, 0, 9},	//343 Akonadi::ChangeRecorder::setConfig(QSettings*)
    {22, 999, 0, 0, Smoke::mf_const, 360, 10},	//344 Akonadi::ChangeRecorder::isEmpty() const
    {22, 724, 0, 0, 0, 0, 11},	//345 Akonadi::ChangeRecorder::changeProcessed()
    {22, 1257, 45, 1, 0, 0, 12},	//346 Akonadi::ChangeRecorder::setChangeRecordingEnabled(bool)
    {22, 1167, 0, 0, Smoke::mf_slot, 0, 13},	//347 Akonadi::ChangeRecorder::replayNext()
    {22, 726, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//348 Akonadi::ChangeRecorder::changesAdded()
    {22, 1106, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//349 Akonadi::ChangeRecorder::nothingToReplay()
    {22, 74, 141, 2, Smoke::mf_ctor|Smoke::mf_protected, 32, 16},	//350 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*, QObject*)
    {22, 1561, 21, 1, Smoke::mf_static, 270, 17},	//351 Akonadi::ChangeRecorder::tr(const char*)
    {22, 1565, 21, 1, Smoke::mf_static, 270, 18},	//352 Akonadi::ChangeRecorder::trUtf8(const char*)
    {22, 74, 0, 0, Smoke::mf_ctor, 32, 19},	//353 Akonadi::ChangeRecorder::ChangeRecorder()
    {22, 74, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 32, 20},	//354 Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    {22, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 21},	//355 Akonadi::ChangeRecorder::staticMetaObject() const
    {22, 1629, 0, 0, Smoke::mf_dtor, 0, 22 },	//356 Akonadi::ChangeRecorder::~ChangeRecorder()
    {24, 80, 0, 0, Smoke::mf_ctor, 36, 1},	//357 Akonadi::Collection::Collection()
    {24, 80, 146, 1, Smoke::mf_ctor, 36, 2},	//358 Akonadi::Collection::Collection(long long)
    {24, 80, 61, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 3},	//359 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {24, 929, 148, 1, Smoke::mf_static, 34, 4},	//360 Akonadi::Collection::fromUrl(const KUrl&)
    {24, 1103, 0, 0, Smoke::mf_const, 270, 5},	//361 Akonadi::Collection::name() const
    {24, 1407, 8, 1, 0, 0, 6},	//362 Akonadi::Collection::setName(const QString&)
    {24, 1187, 0, 0, Smoke::mf_const, 222, 7},	//363 Akonadi::Collection::rights() const
    {24, 1452, 150, 1, 0, 0, 8},	//364 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {24, 802, 0, 0, Smoke::mf_const, 271, 9},	//365 Akonadi::Collection::contentMimeTypes() const
    {24, 1294, 10, 1, 0, 0, 10},	//366 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {24, 1121, 0, 0, Smoke::mf_const, 450, 11},	//367 Akonadi::Collection::parent() const
    {24, 1417, 146, 1, 0, 0, 12},	//368 Akonadi::Collection::setParent(long long)
    {24, 1417, 61, 1, 0, 0, 13},	//369 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {24, 1124, 0, 0, Smoke::mf_const, 270, 14},	//370 Akonadi::Collection::parentRemoteId() const
    {24, 1422, 8, 1, 0, 0, 15},	//371 Akonadi::Collection::setParentRemoteId(const QString&)
    {24, 1189, 0, 0, Smoke::mf_static, 34, 16},	//372 Akonadi::Collection::root()
    {24, 1082, 0, 0, Smoke::mf_static, 270, 17},	//373 Akonadi::Collection::mimeType()
    {24, 1170, 0, 0, Smoke::mf_const, 270, 18},	//374 Akonadi::Collection::resource() const
    {24, 1445, 8, 1, 0, 0, 19},	//375 Akonadi::Collection::setResource(const QString&)
    {24, 709, 0, 0, Smoke::mf_const, 29, 20},	//376 Akonadi::Collection::cachePolicy() const
    {24, 1248, 137, 1, 0, 0, 21},	//377 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {24, 1528, 0, 0, Smoke::mf_const, 61, 22},	//378 Akonadi::Collection::statistics() const
    {24, 1469, 152, 1, 0, 0, 23},	//379 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {24, 1586, 0, 0, Smoke::mf_const, 197, 24},	//380 Akonadi::Collection::url() const
    {24, 1007, 0, 0, Smoke::mf_const, 360, 25},	//381 Akonadi::Collection::isVirtual() const
    {24, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 26},	//382 Akonadi::Collection::ReadOnly (enum)
    {24, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 27},	//383 Akonadi::Collection::CanChangeItem (enum)
    {24, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 28},	//384 Akonadi::Collection::CanCreateItem (enum)
    {24, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 29},	//385 Akonadi::Collection::CanDeleteItem (enum)
    {24, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 30},	//386 Akonadi::Collection::CanChangeCollection (enum)
    {24, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 31},	//387 Akonadi::Collection::CanCreateCollection (enum)
    {24, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 32},	//388 Akonadi::Collection::CanDeleteCollection (enum)
    {24, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 33},	//389 Akonadi::Collection::CanLinkItem (enum)
    {24, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 34},	//390 Akonadi::Collection::CanUnlinkItem (enum)
    {24, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 35},	//391 Akonadi::Collection::AllRights (enum)
    {24, 1630, 0, 0, Smoke::mf_dtor, 0, 36 },	//392 Akonadi::Collection::~Collection()
    {25, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//393 Akonadi::CollectionComboBox::metaObject() const
    {25, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//394 Akonadi::CollectionComboBox::qt_metacast(const char*)
    {25, 1561, 23, 2, Smoke::mf_static, 270, 3},	//395 Akonadi::CollectionComboBox::tr(const char*, const char*)
    {25, 1565, 23, 2, Smoke::mf_static, 270, 4},	//396 Akonadi::CollectionComboBox::trUtf8(const char*, const char*)
    {25, 1561, 26, 3, Smoke::mf_static, 270, 5},	//397 Akonadi::CollectionComboBox::tr(const char*, const char*, int)
    {25, 1565, 26, 3, Smoke::mf_static, 270, 6},	//398 Akonadi::CollectionComboBox::trUtf8(const char*, const char*, int)
    {25, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//399 Akonadi::CollectionComboBox::qt_metacall(QMetaObject::Call, int, void**)
    {25, 84, 85, 1, Smoke::mf_ctor, 39, 8},	//400 Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    {25, 84, 154, 2, Smoke::mf_ctor, 39, 9},	//401 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*, QWidget*)
    {25, 1397, 10, 1, 0, 0, 10},	//402 Akonadi::CollectionComboBox::setMimeTypeFilter(const QStringList&)
    {25, 1084, 0, 0, Smoke::mf_const, 271, 11},	//403 Akonadi::CollectionComboBox::mimeTypeFilter() const
    {25, 1227, 150, 1, 0, 0, 12},	//404 Akonadi::CollectionComboBox::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {25, 648, 0, 0, Smoke::mf_const, 222, 13},	//405 Akonadi::CollectionComboBox::accessRightsFilter() const
    {25, 1309, 61, 1, 0, 0, 14},	//406 Akonadi::CollectionComboBox::setDefaultCollection(const Akonadi::Collection&)
    {25, 823, 0, 0, Smoke::mf_const, 34, 15},	//407 Akonadi::CollectionComboBox::currentCollection() const
    {25, 820, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//408 Akonadi::CollectionComboBox::currentChanged(const Akonadi::Collection&)
    {25, 1561, 21, 1, Smoke::mf_static, 270, 17},	//409 Akonadi::CollectionComboBox::tr(const char*)
    {25, 1565, 21, 1, Smoke::mf_static, 270, 18},	//410 Akonadi::CollectionComboBox::trUtf8(const char*)
    {25, 84, 0, 0, Smoke::mf_ctor, 39, 19},	//411 Akonadi::CollectionComboBox::CollectionComboBox()
    {25, 84, 157, 1, Smoke::mf_ctor, 39, 20},	//412 Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    {25, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 21},	//413 Akonadi::CollectionComboBox::staticMetaObject() const
    {25, 1631, 0, 0, Smoke::mf_dtor, 0, 22 },	//414 Akonadi::CollectionComboBox::~CollectionComboBox()
    {26, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//415 Akonadi::CollectionCopyJob::metaObject() const
    {26, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//416 Akonadi::CollectionCopyJob::qt_metacast(const char*)
    {26, 1561, 23, 2, Smoke::mf_static, 270, 3},	//417 Akonadi::CollectionCopyJob::tr(const char*, const char*)
    {26, 1565, 23, 2, Smoke::mf_static, 270, 4},	//418 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*)
    {26, 1561, 26, 3, Smoke::mf_static, 270, 5},	//419 Akonadi::CollectionCopyJob::tr(const char*, const char*, int)
    {26, 1565, 26, 3, Smoke::mf_static, 270, 6},	//420 Akonadi::CollectionCopyJob::trUtf8(const char*, const char*, int)
    {26, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//421 Akonadi::CollectionCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {26, 87, 159, 3, Smoke::mf_ctor, 40, 8},	//422 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {26, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//423 Akonadi::CollectionCopyJob::doStart()
    {26, 1561, 21, 1, Smoke::mf_static, 270, 10},	//424 Akonadi::CollectionCopyJob::tr(const char*)
    {26, 1565, 21, 1, Smoke::mf_static, 270, 11},	//425 Akonadi::CollectionCopyJob::trUtf8(const char*)
    {26, 87, 58, 2, Smoke::mf_ctor, 40, 12},	//426 Akonadi::CollectionCopyJob::CollectionCopyJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {26, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//427 Akonadi::CollectionCopyJob::staticMetaObject() const
    {26, 1632, 0, 0, Smoke::mf_dtor, 0, 14 },	//428 Akonadi::CollectionCopyJob::~CollectionCopyJob()
    {27, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//429 Akonadi::CollectionCreateJob::metaObject() const
    {27, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//430 Akonadi::CollectionCreateJob::qt_metacast(const char*)
    {27, 1561, 23, 2, Smoke::mf_static, 270, 3},	//431 Akonadi::CollectionCreateJob::tr(const char*, const char*)
    {27, 1565, 23, 2, Smoke::mf_static, 270, 4},	//432 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*)
    {27, 1561, 26, 3, Smoke::mf_static, 270, 5},	//433 Akonadi::CollectionCreateJob::tr(const char*, const char*, int)
    {27, 1565, 26, 3, Smoke::mf_static, 270, 6},	//434 Akonadi::CollectionCreateJob::trUtf8(const char*, const char*, int)
    {27, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//435 Akonadi::CollectionCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {27, 90, 163, 2, Smoke::mf_ctor, 41, 8},	//436 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&, QObject*)
    {27, 743, 0, 0, Smoke::mf_const, 34, 9},	//437 Akonadi::CollectionCreateJob::collection() const
    {27, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//438 Akonadi::CollectionCreateJob::doStart()
    {27, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//439 Akonadi::CollectionCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {27, 1561, 21, 1, Smoke::mf_static, 270, 12},	//440 Akonadi::CollectionCreateJob::tr(const char*)
    {27, 1565, 21, 1, Smoke::mf_static, 270, 13},	//441 Akonadi::CollectionCreateJob::trUtf8(const char*)
    {27, 90, 61, 1, Smoke::mf_ctor, 41, 14},	//442 Akonadi::CollectionCreateJob::CollectionCreateJob(const Akonadi::Collection&)
    {27, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//443 Akonadi::CollectionCreateJob::staticMetaObject() const
    {27, 1633, 0, 0, Smoke::mf_dtor, 0, 16 },	//444 Akonadi::CollectionCreateJob::~CollectionCreateJob()
    {28, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//445 Akonadi::CollectionDeleteJob::metaObject() const
    {28, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//446 Akonadi::CollectionDeleteJob::qt_metacast(const char*)
    {28, 1561, 23, 2, Smoke::mf_static, 270, 3},	//447 Akonadi::CollectionDeleteJob::tr(const char*, const char*)
    {28, 1565, 23, 2, Smoke::mf_static, 270, 4},	//448 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*)
    {28, 1561, 26, 3, Smoke::mf_static, 270, 5},	//449 Akonadi::CollectionDeleteJob::tr(const char*, const char*, int)
    {28, 1565, 26, 3, Smoke::mf_static, 270, 6},	//450 Akonadi::CollectionDeleteJob::trUtf8(const char*, const char*, int)
    {28, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//451 Akonadi::CollectionDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {28, 93, 163, 2, Smoke::mf_ctor, 42, 8},	//452 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&, QObject*)
    {28, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//453 Akonadi::CollectionDeleteJob::doStart()
    {28, 1561, 21, 1, Smoke::mf_static, 270, 10},	//454 Akonadi::CollectionDeleteJob::tr(const char*)
    {28, 1565, 21, 1, Smoke::mf_static, 270, 11},	//455 Akonadi::CollectionDeleteJob::trUtf8(const char*)
    {28, 93, 61, 1, Smoke::mf_ctor, 42, 12},	//456 Akonadi::CollectionDeleteJob::CollectionDeleteJob(const Akonadi::Collection&)
    {28, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//457 Akonadi::CollectionDeleteJob::staticMetaObject() const
    {28, 1634, 0, 0, Smoke::mf_dtor, 0, 14 },	//458 Akonadi::CollectionDeleteJob::~CollectionDeleteJob()
    {29, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//459 Akonadi::CollectionDialog::metaObject() const
    {29, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//460 Akonadi::CollectionDialog::qt_metacast(const char*)
    {29, 1561, 23, 2, Smoke::mf_static, 270, 3},	//461 Akonadi::CollectionDialog::tr(const char*, const char*)
    {29, 1565, 23, 2, Smoke::mf_static, 270, 4},	//462 Akonadi::CollectionDialog::trUtf8(const char*, const char*)
    {29, 1561, 26, 3, Smoke::mf_static, 270, 5},	//463 Akonadi::CollectionDialog::tr(const char*, const char*, int)
    {29, 1565, 26, 3, Smoke::mf_static, 270, 6},	//464 Akonadi::CollectionDialog::trUtf8(const char*, const char*, int)
    {29, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//465 Akonadi::CollectionDialog::qt_metacall(QMetaObject::Call, int, void**)
    {29, 97, 85, 1, Smoke::mf_ctor, 43, 8},	//466 Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    {29, 97, 154, 2, Smoke::mf_ctor, 43, 9},	//467 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*, QWidget*)
    {29, 97, 169, 3, Smoke::mf_ctor, 43, 10},	//468 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*, QWidget*)
    {29, 1397, 10, 1, 0, 0, 11},	//469 Akonadi::CollectionDialog::setMimeTypeFilter(const QStringList&)
    {29, 1084, 0, 0, Smoke::mf_const, 271, 12},	//470 Akonadi::CollectionDialog::mimeTypeFilter() const
    {29, 1227, 150, 1, 0, 0, 13},	//471 Akonadi::CollectionDialog::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {29, 648, 0, 0, Smoke::mf_const, 222, 14},	//472 Akonadi::CollectionDialog::accessRightsFilter() const
    {29, 1311, 8, 1, 0, 0, 15},	//473 Akonadi::CollectionDialog::setDescription(const QString&)
    {29, 1309, 61, 1, 0, 0, 16},	//474 Akonadi::CollectionDialog::setDefaultCollection(const Akonadi::Collection&)
    {29, 1458, 173, 1, 0, 0, 17},	//475 Akonadi::CollectionDialog::setSelectionMode(QAbstractItemView::SelectionMode)
    {29, 1214, 0, 0, Smoke::mf_const, 206, 18},	//476 Akonadi::CollectionDialog::selectionMode() const
    {29, 1208, 0, 0, Smoke::mf_const, 34, 19},	//477 Akonadi::CollectionDialog::selectedCollection() const
    {29, 1209, 0, 0, Smoke::mf_const, 245, 20},	//478 Akonadi::CollectionDialog::selectedCollections() const
    {29, 719, 175, 1, 0, 0, 21},	//479 Akonadi::CollectionDialog::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 1561, 21, 1, Smoke::mf_static, 270, 22},	//480 Akonadi::CollectionDialog::tr(const char*)
    {29, 1565, 21, 1, Smoke::mf_static, 270, 23},	//481 Akonadi::CollectionDialog::trUtf8(const char*)
    {29, 97, 0, 0, Smoke::mf_ctor, 43, 24},	//482 Akonadi::CollectionDialog::CollectionDialog()
    {29, 97, 157, 1, Smoke::mf_ctor, 43, 25},	//483 Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    {29, 97, 175, 1, Smoke::mf_ctor, 43, 26},	//484 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {29, 97, 177, 2, Smoke::mf_ctor, 43, 27},	//485 Akonadi::CollectionDialog::CollectionDialog(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>, QAbstractItemModel*)
    {29, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 28},	//486 Akonadi::CollectionDialog::staticMetaObject() const
    {29, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 29},	//487 Akonadi::CollectionDialog::None (enum)
    {29, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 30},	//488 Akonadi::CollectionDialog::AllowToCreateNewChildCollection (enum)
    {29, 1635, 0, 0, Smoke::mf_dtor, 0, 31 },	//489 Akonadi::CollectionDialog::~CollectionDialog()
    {30, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//490 Akonadi::CollectionFetchJob::metaObject() const
    {30, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//491 Akonadi::CollectionFetchJob::qt_metacast(const char*)
    {30, 1561, 23, 2, Smoke::mf_static, 270, 3},	//492 Akonadi::CollectionFetchJob::tr(const char*, const char*)
    {30, 1565, 23, 2, Smoke::mf_static, 270, 4},	//493 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*)
    {30, 1561, 26, 3, Smoke::mf_static, 270, 5},	//494 Akonadi::CollectionFetchJob::tr(const char*, const char*, int)
    {30, 1565, 26, 3, Smoke::mf_static, 270, 6},	//495 Akonadi::CollectionFetchJob::trUtf8(const char*, const char*, int)
    {30, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//496 Akonadi::CollectionFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {30, 103, 180, 3, Smoke::mf_ctor, 45, 8},	//497 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type, QObject*)
    {30, 103, 184, 2, Smoke::mf_ctor, 45, 9},	//498 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&, QObject*)
    {30, 768, 0, 0, Smoke::mf_const, 245, 10},	//499 Akonadi::CollectionFetchJob::collections() const
    {30, 1445, 8, 1, 0, 0, 11},	//500 Akonadi::CollectionFetchJob::setResource(const QString&)
    {30, 958, 45, 1, 0, 0, 12},	//501 Akonadi::CollectionFetchJob::includeUnsubscribed(bool)
    {30, 956, 45, 1, 0, 0, 13},	//502 Akonadi::CollectionFetchJob::includeStatistics(bool)
    {30, 1328, 187, 1, 0, 0, 14},	//503 Akonadi::CollectionFetchJob::setFetchScope(const Akonadi::CollectionFetchScope&)
    {30, 916, 0, 0, 0, 47, 15},	//504 Akonadi::CollectionFetchJob::fetchScope()
    {30, 770, 189, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//505 Akonadi::CollectionFetchJob::collectionsReceived(const Akonadi::Collection::List&)
    {30, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//506 Akonadi::CollectionFetchJob::doStart()
    {30, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//507 Akonadi::CollectionFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {30, 1513, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//508 Akonadi::CollectionFetchJob::slotResult(KJob*)
    {30, 1561, 21, 1, Smoke::mf_static, 270, 20},	//509 Akonadi::CollectionFetchJob::tr(const char*)
    {30, 1565, 21, 1, Smoke::mf_static, 270, 21},	//510 Akonadi::CollectionFetchJob::trUtf8(const char*)
    {30, 103, 61, 1, Smoke::mf_ctor, 45, 22},	//511 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&)
    {30, 103, 193, 2, Smoke::mf_ctor, 45, 23},	//512 Akonadi::CollectionFetchJob::CollectionFetchJob(const Akonadi::Collection&, Akonadi::CollectionFetchJob::Type)
    {30, 103, 196, 1, Smoke::mf_ctor, 45, 24},	//513 Akonadi::CollectionFetchJob::CollectionFetchJob(const QList<Akonadi::Collection>&)
    {30, 958, 0, 0, 0, 0, 25},	//514 Akonadi::CollectionFetchJob::includeUnsubscribed()
    {30, 956, 0, 0, 0, 0, 26},	//515 Akonadi::CollectionFetchJob::includeStatistics()
    {30, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 27},	//516 Akonadi::CollectionFetchJob::staticMetaObject() const
    {30, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 28},	//517 Akonadi::CollectionFetchJob::Base (enum)
    {30, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 29},	//518 Akonadi::CollectionFetchJob::FirstLevel (enum)
    {30, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 30},	//519 Akonadi::CollectionFetchJob::Recursive (enum)
    {30, 1636, 0, 0, Smoke::mf_dtor, 0, 31 },	//520 Akonadi::CollectionFetchJob::~CollectionFetchJob()
    {31, 109, 0, 0, Smoke::mf_ctor, 48, 1},	//521 Akonadi::CollectionFetchScope::CollectionFetchScope()
    {31, 109, 187, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//522 Akonadi::CollectionFetchScope::CollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {31, 1111, 187, 1, 0, 47, 3},	//523 Akonadi::CollectionFetchScope::operator=(const Akonadi::CollectionFetchScope&)
    {31, 960, 0, 0, Smoke::mf_const, 360, 4},	//524 Akonadi::CollectionFetchScope::includeUnubscribed() const
    {31, 958, 0, 0, Smoke::mf_const, 360, 5},	//525 Akonadi::CollectionFetchScope::includeUnsubscribed() const
    {31, 1360, 45, 1, 0, 0, 6},	//526 Akonadi::CollectionFetchScope::setIncludeUnsubscribed(bool)
    {31, 956, 0, 0, Smoke::mf_const, 360, 7},	//527 Akonadi::CollectionFetchScope::includeStatistics() const
    {31, 1358, 45, 1, 0, 0, 8},	//528 Akonadi::CollectionFetchScope::setIncludeStatistics(bool)
    {31, 1170, 0, 0, Smoke::mf_const, 270, 9},	//529 Akonadi::CollectionFetchScope::resource() const
    {31, 1445, 8, 1, 0, 0, 10},	//530 Akonadi::CollectionFetchScope::setResource(const QString&)
    {31, 1294, 10, 1, 0, 0, 11},	//531 Akonadi::CollectionFetchScope::setContentMimeTypes(const QStringList&)
    {31, 802, 0, 0, Smoke::mf_const, 271, 12},	//532 Akonadi::CollectionFetchScope::contentMimeTypes() const
    {31, 1237, 198, 1, 0, 0, 13},	//533 Akonadi::CollectionFetchScope::setAncestorRetrieval(Akonadi::CollectionFetchScope::AncestorRetrieval)
    {31, 692, 0, 0, Smoke::mf_const, 49, 14},	//534 Akonadi::CollectionFetchScope::ancestorRetrieval() const
    {31, 999, 0, 0, Smoke::mf_const, 360, 15},	//535 Akonadi::CollectionFetchScope::isEmpty() const
    {31, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 16},	//536 Akonadi::CollectionFetchScope::None (enum)
    {31, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 17},	//537 Akonadi::CollectionFetchScope::Parent (enum)
    {31, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 49, 18},	//538 Akonadi::CollectionFetchScope::All (enum)
    {31, 1637, 0, 0, Smoke::mf_dtor, 0, 19 },	//539 Akonadi::CollectionFetchScope::~CollectionFetchScope()
    {32, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//540 Akonadi::CollectionFilterProxyModel::metaObject() const
    {32, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//541 Akonadi::CollectionFilterProxyModel::qt_metacast(const char*)
    {32, 1561, 23, 2, Smoke::mf_static, 270, 3},	//542 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*)
    {32, 1565, 23, 2, Smoke::mf_static, 270, 4},	//543 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*)
    {32, 1561, 26, 3, Smoke::mf_static, 270, 5},	//544 Akonadi::CollectionFilterProxyModel::tr(const char*, const char*, int)
    {32, 1565, 26, 3, Smoke::mf_static, 270, 6},	//545 Akonadi::CollectionFilterProxyModel::trUtf8(const char*, const char*, int)
    {32, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//546 Akonadi::CollectionFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {32, 111, 78, 1, Smoke::mf_ctor, 50, 8},	//547 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel(QObject*)
    {32, 669, 10, 1, 0, 0, 9},	//548 Akonadi::CollectionFilterProxyModel::addMimeTypeFilters(const QStringList&)
    {32, 667, 8, 1, 0, 0, 10},	//549 Akonadi::CollectionFilterProxyModel::addMimeTypeFilter(const QString&)
    {32, 1085, 0, 0, Smoke::mf_const, 271, 11},	//550 Akonadi::CollectionFilterProxyModel::mimeTypeFilters() const
    {32, 733, 0, 0, 0, 0, 12},	//551 Akonadi::CollectionFilterProxyModel::clearFilters()
    {32, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//552 Akonadi::CollectionFilterProxyModel::flags(const QModelIndex&) const
    {32, 918, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 14},	//553 Akonadi::CollectionFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {32, 1561, 21, 1, Smoke::mf_static, 270, 15},	//554 Akonadi::CollectionFilterProxyModel::tr(const char*)
    {32, 1565, 21, 1, Smoke::mf_static, 270, 16},	//555 Akonadi::CollectionFilterProxyModel::trUtf8(const char*)
    {32, 111, 0, 0, Smoke::mf_ctor, 50, 17},	//556 Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel()
    {32, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//557 Akonadi::CollectionFilterProxyModel::staticMetaObject() const
    {32, 1638, 0, 0, Smoke::mf_dtor, 0, 19 },	//558 Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel()
    {33, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//559 Akonadi::CollectionModel::metaObject() const
    {33, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//560 Akonadi::CollectionModel::qt_metacast(const char*)
    {33, 1561, 23, 2, Smoke::mf_static, 270, 3},	//561 Akonadi::CollectionModel::tr(const char*, const char*)
    {33, 1565, 23, 2, Smoke::mf_static, 270, 4},	//562 Akonadi::CollectionModel::trUtf8(const char*, const char*)
    {33, 1561, 26, 3, Smoke::mf_static, 270, 5},	//563 Akonadi::CollectionModel::tr(const char*, const char*, int)
    {33, 1565, 26, 3, Smoke::mf_static, 270, 6},	//564 Akonadi::CollectionModel::trUtf8(const char*, const char*, int)
    {33, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//565 Akonadi::CollectionModel::qt_metacall(QMetaObject::Call, int, void**)
    {33, 114, 78, 1, Smoke::mf_ctor, 51, 8},	//566 Akonadi::CollectionModel::CollectionModel(QObject*)
    {33, 906, 45, 1, 0, 0, 9},	//567 Akonadi::CollectionModel::fetchCollectionStatistics(bool)
    {33, 958, 45, 1, 0, 0, 10},	//568 Akonadi::CollectionModel::includeUnsubscribed(bool)
    {33, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 11},	//569 Akonadi::CollectionModel::columnCount(const QModelIndex&) const
    {33, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//570 Akonadi::CollectionModel::data(const QModelIndex&, int) const
    {33, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//571 Akonadi::CollectionModel::index(int, int, const QModelIndex&) const
    {33, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 14},	//572 Akonadi::CollectionModel::parent(const QModelIndex&) const
    {33, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 15},	//573 Akonadi::CollectionModel::rowCount(const QModelIndex&) const
    {33, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 16},	//574 Akonadi::CollectionModel::headerData(int, Qt::Orientation, int) const
    {33, 1341, 200, 4, Smoke::mf_virtual, 360, 17},	//575 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 1304, 108, 3, Smoke::mf_virtual, 360, 18},	//576 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 19},	//577 Akonadi::CollectionModel::flags(const QModelIndex&) const
    {33, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 20},	//578 Akonadi::CollectionModel::supportedDropActions() const
    {33, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 21},	//579 Akonadi::CollectionModel::mimeData(const QList<QModelIndex>&) const
    {33, 870, 207, 5, Smoke::mf_virtual, 360, 22},	//580 Akonadi::CollectionModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 23},	//581 Akonadi::CollectionModel::mimeTypes() const
    {33, 753, 213, 1, Smoke::mf_const|Smoke::mf_protected, 34, 24},	//582 Akonadi::CollectionModel::collectionForId(Akonadi::Collection::Id) const
    {33, 114, 215, 2, Smoke::mf_ctor|Smoke::mf_protected, 51, 25},	//583 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*, QObject*)
    {33, 1561, 21, 1, Smoke::mf_static, 270, 26},	//584 Akonadi::CollectionModel::tr(const char*)
    {33, 1565, 21, 1, Smoke::mf_static, 270, 27},	//585 Akonadi::CollectionModel::trUtf8(const char*)
    {33, 114, 0, 0, Smoke::mf_ctor, 51, 28},	//586 Akonadi::CollectionModel::CollectionModel()
    {33, 958, 0, 0, 0, 0, 29},	//587 Akonadi::CollectionModel::includeUnsubscribed()
    {33, 777, 0, 0, Smoke::mf_const, 447, 30},	//588 Akonadi::CollectionModel::columnCount() const
    {33, 828, 95, 1, Smoke::mf_const, 280, 31},	//589 Akonadi::CollectionModel::data(const QModelIndex&) const
    {33, 961, 115, 2, Smoke::mf_const, 254, 32},	//590 Akonadi::CollectionModel::index(int, int) const
    {33, 1191, 0, 0, Smoke::mf_const, 447, 33},	//591 Akonadi::CollectionModel::rowCount() const
    {33, 939, 112, 2, Smoke::mf_const, 280, 34},	//592 Akonadi::CollectionModel::headerData(int, Qt::Orientation) const
    {33, 1341, 218, 3, 0, 360, 35},	//593 Akonadi::CollectionModel::setHeaderData(int, Qt::Orientation, const QVariant&)
    {33, 1304, 222, 2, 0, 360, 36},	//594 Akonadi::CollectionModel::setData(const QModelIndex&, const QVariant&)
    {33, 114, 225, 1, Smoke::mf_ctor|Smoke::mf_protected, 51, 37},	//595 Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    {33, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 38},	//596 Akonadi::CollectionModel::staticMetaObject() const
    {33, 426, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 39},	//597 Akonadi::CollectionModel::OldCollectionIdRole (enum)
    {33, 427, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 40},	//598 Akonadi::CollectionModel::OldCollectionRole (enum)
    {33, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 41},	//599 Akonadi::CollectionModel::CollectionIdRole (enum)
    {33, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 42},	//600 Akonadi::CollectionModel::CollectionRole (enum)
    {33, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 43},	//601 Akonadi::CollectionModel::UserRole (enum)
    {33, 1639, 0, 0, Smoke::mf_dtor, 0, 44 },	//602 Akonadi::CollectionModel::~CollectionModel()
    {35, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//603 Akonadi::CollectionModifyJob::metaObject() const
    {35, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//604 Akonadi::CollectionModifyJob::qt_metacast(const char*)
    {35, 1561, 23, 2, Smoke::mf_static, 270, 3},	//605 Akonadi::CollectionModifyJob::tr(const char*, const char*)
    {35, 1565, 23, 2, Smoke::mf_static, 270, 4},	//606 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*)
    {35, 1561, 26, 3, Smoke::mf_static, 270, 5},	//607 Akonadi::CollectionModifyJob::tr(const char*, const char*, int)
    {35, 1565, 26, 3, Smoke::mf_static, 270, 6},	//608 Akonadi::CollectionModifyJob::trUtf8(const char*, const char*, int)
    {35, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//609 Akonadi::CollectionModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {35, 117, 163, 2, Smoke::mf_ctor, 54, 8},	//610 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&, QObject*)
    {35, 743, 0, 0, Smoke::mf_const, 34, 9},	//611 Akonadi::CollectionModifyJob::collection() const
    {35, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//612 Akonadi::CollectionModifyJob::doStart()
    {35, 1561, 21, 1, Smoke::mf_static, 270, 11},	//613 Akonadi::CollectionModifyJob::tr(const char*)
    {35, 1565, 21, 1, Smoke::mf_static, 270, 12},	//614 Akonadi::CollectionModifyJob::trUtf8(const char*)
    {35, 117, 61, 1, Smoke::mf_ctor, 54, 13},	//615 Akonadi::CollectionModifyJob::CollectionModifyJob(const Akonadi::Collection&)
    {35, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 14},	//616 Akonadi::CollectionModifyJob::staticMetaObject() const
    {35, 1640, 0, 0, Smoke::mf_dtor, 0, 15 },	//617 Akonadi::CollectionModifyJob::~CollectionModifyJob()
    {36, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//618 Akonadi::CollectionMoveJob::metaObject() const
    {36, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//619 Akonadi::CollectionMoveJob::qt_metacast(const char*)
    {36, 1561, 23, 2, Smoke::mf_static, 270, 3},	//620 Akonadi::CollectionMoveJob::tr(const char*, const char*)
    {36, 1565, 23, 2, Smoke::mf_static, 270, 4},	//621 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*)
    {36, 1561, 26, 3, Smoke::mf_static, 270, 5},	//622 Akonadi::CollectionMoveJob::tr(const char*, const char*, int)
    {36, 1565, 26, 3, Smoke::mf_static, 270, 6},	//623 Akonadi::CollectionMoveJob::trUtf8(const char*, const char*, int)
    {36, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//624 Akonadi::CollectionMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {36, 120, 159, 3, Smoke::mf_ctor, 55, 8},	//625 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&, QObject*)
    {36, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//626 Akonadi::CollectionMoveJob::doStart()
    {36, 1561, 21, 1, Smoke::mf_static, 270, 10},	//627 Akonadi::CollectionMoveJob::tr(const char*)
    {36, 1565, 21, 1, Smoke::mf_static, 270, 11},	//628 Akonadi::CollectionMoveJob::trUtf8(const char*)
    {36, 120, 58, 2, Smoke::mf_ctor, 55, 12},	//629 Akonadi::CollectionMoveJob::CollectionMoveJob(const Akonadi::Collection&, const Akonadi::Collection&)
    {36, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//630 Akonadi::CollectionMoveJob::staticMetaObject() const
    {36, 1641, 0, 0, Smoke::mf_dtor, 0, 14 },	//631 Akonadi::CollectionMoveJob::~CollectionMoveJob()
    {37, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//632 Akonadi::CollectionPropertiesDialog::metaObject() const
    {37, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//633 Akonadi::CollectionPropertiesDialog::qt_metacast(const char*)
    {37, 1561, 23, 2, Smoke::mf_static, 270, 3},	//634 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*)
    {37, 1565, 23, 2, Smoke::mf_static, 270, 4},	//635 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*)
    {37, 1561, 26, 3, Smoke::mf_static, 270, 5},	//636 Akonadi::CollectionPropertiesDialog::tr(const char*, const char*, int)
    {37, 1565, 26, 3, Smoke::mf_static, 270, 6},	//637 Akonadi::CollectionPropertiesDialog::trUtf8(const char*, const char*, int)
    {37, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//638 Akonadi::CollectionPropertiesDialog::qt_metacall(QMetaObject::Call, int, void**)
    {37, 124, 227, 2, Smoke::mf_ctor, 56, 8},	//639 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, QWidget*)
    {37, 124, 230, 3, Smoke::mf_ctor, 56, 9},	//640 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&, QWidget*)
    {37, 1149, 234, 1, Smoke::mf_static, 0, 10},	//641 Akonadi::CollectionPropertiesDialog::registerPage(Akonadi::CollectionPropertiesPageFactory*)
    {37, 1590, 45, 1, Smoke::mf_static, 0, 11},	//642 Akonadi::CollectionPropertiesDialog::useDefaultPage(bool)
    {37, 1561, 21, 1, Smoke::mf_static, 270, 12},	//643 Akonadi::CollectionPropertiesDialog::tr(const char*)
    {37, 1565, 21, 1, Smoke::mf_static, 270, 13},	//644 Akonadi::CollectionPropertiesDialog::trUtf8(const char*)
    {37, 124, 61, 1, Smoke::mf_ctor, 56, 14},	//645 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&)
    {37, 124, 236, 2, Smoke::mf_ctor, 56, 15},	//646 Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog(const Akonadi::Collection&, const QStringList&)
    {37, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//647 Akonadi::CollectionPropertiesDialog::staticMetaObject() const
    {37, 1642, 0, 0, Smoke::mf_dtor, 0, 17 },	//648 Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog()
    {38, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//649 Akonadi::CollectionPropertiesPage::metaObject() const
    {38, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//650 Akonadi::CollectionPropertiesPage::qt_metacast(const char*)
    {38, 1561, 23, 2, Smoke::mf_static, 270, 3},	//651 Akonadi::CollectionPropertiesPage::tr(const char*, const char*)
    {38, 1565, 23, 2, Smoke::mf_static, 270, 4},	//652 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*)
    {38, 1561, 26, 3, Smoke::mf_static, 270, 5},	//653 Akonadi::CollectionPropertiesPage::tr(const char*, const char*, int)
    {38, 1565, 26, 3, Smoke::mf_static, 270, 6},	//654 Akonadi::CollectionPropertiesPage::trUtf8(const char*, const char*, int)
    {38, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//655 Akonadi::CollectionPropertiesPage::qt_metacall(QMetaObject::Call, int, void**)
    {38, 129, 85, 1, Smoke::mf_ctor, 57, 8},	//656 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage(QWidget*)
    {38, 1058, 61, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//657 Akonadi::CollectionPropertiesPage::load(const Akonadi::Collection&) [pure virtual]
    {38, 1195, 239, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//658 Akonadi::CollectionPropertiesPage::save(Akonadi::Collection&) [pure virtual]
    {38, 713, 61, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 11},	//659 Akonadi::CollectionPropertiesPage::canHandle(const Akonadi::Collection&) const
    {38, 1415, 8, 1, 0, 0, 12},	//660 Akonadi::CollectionPropertiesPage::setPageTitle(const QString&)
    {38, 1115, 0, 0, Smoke::mf_const, 270, 13},	//661 Akonadi::CollectionPropertiesPage::pageTitle() const
    {38, 1561, 21, 1, Smoke::mf_static, 270, 14},	//662 Akonadi::CollectionPropertiesPage::tr(const char*)
    {38, 1565, 21, 1, Smoke::mf_static, 270, 15},	//663 Akonadi::CollectionPropertiesPage::trUtf8(const char*)
    {38, 129, 0, 0, Smoke::mf_ctor, 57, 16},	//664 Akonadi::CollectionPropertiesPage::CollectionPropertiesPage()
    {38, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 17},	//665 Akonadi::CollectionPropertiesPage::staticMetaObject() const
    {38, 1643, 0, 0, Smoke::mf_dtor, 0, 18 },	//666 Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage()
    {39, 815, 85, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 57, 1},	//667 Akonadi::CollectionPropertiesPageFactory::createWidget(QWidget*) const [pure virtual]
    {39, 131, 0, 0, Smoke::mf_ctor, 58, 2},	//668 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory()
    {39, 131, 241, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 3},	//669 Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory(const Akonadi::CollectionPropertiesPageFactory&)
    {39, 815, 0, 0, Smoke::mf_const, 57, 4},	//670 Akonadi::CollectionPropertiesPageFactory::createWidget() const
    {39, 1644, 0, 0, Smoke::mf_dtor, 0, 5 },	//671 Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory()
    {40, 133, 0, 0, Smoke::mf_ctor, 59, 1},	//672 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute()
    {40, 133, 243, 2, Smoke::mf_ctor, 59, 2},	//673 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(long long, long long)
    {40, 1302, 146, 1, 0, 0, 3},	//674 Akonadi::CollectionQuotaAttribute::setCurrentValue(long long)
    {40, 1393, 146, 1, 0, 0, 4},	//675 Akonadi::CollectionQuotaAttribute::setMaximumValue(long long)
    {40, 825, 0, 0, Smoke::mf_const, 450, 5},	//676 Akonadi::CollectionQuotaAttribute::currentValue() const
    {40, 1077, 0, 0, Smoke::mf_const, 450, 6},	//677 Akonadi::CollectionQuotaAttribute::maximumValue() const
    {40, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 7},	//678 Akonadi::CollectionQuotaAttribute::type() const
    {40, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 8},	//679 Akonadi::CollectionQuotaAttribute::clone() const
    {40, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 9},	//680 Akonadi::CollectionQuotaAttribute::serialized() const
    {40, 837, 6, 1, Smoke::mf_virtual, 0, 10},	//681 Akonadi::CollectionQuotaAttribute::deserialize(const QByteArray&)
    {40, 133, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 11},	//682 Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute(const Akonadi::CollectionQuotaAttribute&)
    {40, 1645, 0, 0, Smoke::mf_dtor, 0, 12 },	//683 Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute()
    {41, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//684 Akonadi::CollectionRequester::metaObject() const
    {41, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//685 Akonadi::CollectionRequester::qt_metacast(const char*)
    {41, 1561, 23, 2, Smoke::mf_static, 270, 3},	//686 Akonadi::CollectionRequester::tr(const char*, const char*)
    {41, 1565, 23, 2, Smoke::mf_static, 270, 4},	//687 Akonadi::CollectionRequester::trUtf8(const char*, const char*)
    {41, 1561, 26, 3, Smoke::mf_static, 270, 5},	//688 Akonadi::CollectionRequester::tr(const char*, const char*, int)
    {41, 1565, 26, 3, Smoke::mf_static, 270, 6},	//689 Akonadi::CollectionRequester::trUtf8(const char*, const char*, int)
    {41, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//690 Akonadi::CollectionRequester::qt_metacall(QMetaObject::Call, int, void**)
    {41, 137, 85, 1, Smoke::mf_ctor, 60, 8},	//691 Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    {41, 137, 227, 2, Smoke::mf_ctor, 60, 9},	//692 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&, QWidget*)
    {41, 743, 0, 0, Smoke::mf_const, 34, 10},	//693 Akonadi::CollectionRequester::collection() const
    {41, 1397, 10, 1, 0, 0, 11},	//694 Akonadi::CollectionRequester::setMimeTypeFilter(const QStringList&)
    {41, 1084, 0, 0, Smoke::mf_const, 271, 12},	//695 Akonadi::CollectionRequester::mimeTypeFilter() const
    {41, 1227, 150, 1, 0, 0, 13},	//696 Akonadi::CollectionRequester::setAccessRightsFilter(QFlags<Akonadi::Collection::Right>)
    {41, 648, 0, 0, Smoke::mf_const, 222, 14},	//697 Akonadi::CollectionRequester::accessRightsFilter() const
    {41, 719, 175, 1, 0, 0, 15},	//698 Akonadi::CollectionRequester::changeCollectionDialogOptions(QFlags<Akonadi::CollectionDialog::CollectionDialogOption>)
    {41, 1259, 61, 1, Smoke::mf_slot, 0, 16},	//699 Akonadi::CollectionRequester::setCollection(const Akonadi::Collection&)
    {41, 748, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//700 Akonadi::CollectionRequester::collectionChanged(const Akonadi::Collection&)
    {41, 1561, 21, 1, Smoke::mf_static, 270, 18},	//701 Akonadi::CollectionRequester::tr(const char*)
    {41, 1565, 21, 1, Smoke::mf_static, 270, 19},	//702 Akonadi::CollectionRequester::trUtf8(const char*)
    {41, 137, 0, 0, Smoke::mf_ctor, 60, 20},	//703 Akonadi::CollectionRequester::CollectionRequester()
    {41, 137, 61, 1, Smoke::mf_ctor, 60, 21},	//704 Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    {41, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 22},	//705 Akonadi::CollectionRequester::staticMetaObject() const
    {41, 1646, 0, 0, Smoke::mf_dtor, 0, 23 },	//706 Akonadi::CollectionRequester::~CollectionRequester()
    {42, 141, 0, 0, Smoke::mf_ctor, 63, 1},	//707 Akonadi::CollectionStatistics::CollectionStatistics()
    {42, 141, 152, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//708 Akonadi::CollectionStatistics::CollectionStatistics(const Akonadi::CollectionStatistics&)
    {42, 805, 0, 0, Smoke::mf_const, 450, 3},	//709 Akonadi::CollectionStatistics::count() const
    {42, 1300, 146, 1, 0, 0, 4},	//710 Akonadi::CollectionStatistics::setCount(long long)
    {42, 1578, 0, 0, Smoke::mf_const, 450, 5},	//711 Akonadi::CollectionStatistics::unreadCount() const
    {42, 1487, 146, 1, 0, 0, 6},	//712 Akonadi::CollectionStatistics::setUnreadCount(long long)
    {42, 1506, 0, 0, Smoke::mf_const, 450, 7},	//713 Akonadi::CollectionStatistics::size() const
    {42, 1465, 146, 1, 0, 0, 8},	//714 Akonadi::CollectionStatistics::setSize(long long)
    {42, 1111, 152, 1, 0, 62, 9},	//715 Akonadi::CollectionStatistics::operator=(const Akonadi::CollectionStatistics&)
    {42, 1647, 0, 0, Smoke::mf_dtor, 0, 10 },	//716 Akonadi::CollectionStatistics::~CollectionStatistics()
    {43, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//717 Akonadi::CollectionStatisticsDelegate::metaObject() const
    {43, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//718 Akonadi::CollectionStatisticsDelegate::qt_metacast(const char*)
    {43, 1561, 23, 2, Smoke::mf_static, 270, 3},	//719 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*)
    {43, 1565, 23, 2, Smoke::mf_static, 270, 4},	//720 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*)
    {43, 1561, 26, 3, Smoke::mf_static, 270, 5},	//721 Akonadi::CollectionStatisticsDelegate::tr(const char*, const char*, int)
    {43, 1565, 26, 3, Smoke::mf_static, 270, 6},	//722 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*, const char*, int)
    {43, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//723 Akonadi::CollectionStatisticsDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {43, 143, 248, 1, Smoke::mf_ctor, 64, 8},	//724 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    {43, 143, 250, 1, Smoke::mf_ctor, 64, 9},	//725 Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    {43, 1489, 45, 1, Smoke::mf_slot, 0, 10},	//726 Akonadi::CollectionStatisticsDelegate::setUnreadCountShown(bool)
    {43, 1579, 0, 0, Smoke::mf_const|Smoke::mf_slot, 360, 11},	//727 Akonadi::CollectionStatisticsDelegate::unreadCountShown() const
    {43, 1429, 45, 1, Smoke::mf_slot, 0, 12},	//728 Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled(bool)
    {43, 1138, 0, 0, Smoke::mf_const|Smoke::mf_slot, 360, 13},	//729 Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled() const
    {43, 1116, 252, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//730 Akonadi::CollectionStatisticsDelegate::paint(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {43, 968, 256, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//731 Akonadi::CollectionStatisticsDelegate::initStyleOption(QStyleOptionViewItem*, const QModelIndex&) const
    {43, 1561, 21, 1, Smoke::mf_static, 270, 16},	//732 Akonadi::CollectionStatisticsDelegate::tr(const char*)
    {43, 1565, 21, 1, Smoke::mf_static, 270, 17},	//733 Akonadi::CollectionStatisticsDelegate::trUtf8(const char*)
    {43, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//734 Akonadi::CollectionStatisticsDelegate::staticMetaObject() const
    {43, 1648, 0, 0, Smoke::mf_dtor, 0, 19 },	//735 Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate()
    {44, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//736 Akonadi::CollectionStatisticsJob::metaObject() const
    {44, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//737 Akonadi::CollectionStatisticsJob::qt_metacast(const char*)
    {44, 1561, 23, 2, Smoke::mf_static, 270, 3},	//738 Akonadi::CollectionStatisticsJob::tr(const char*, const char*)
    {44, 1565, 23, 2, Smoke::mf_static, 270, 4},	//739 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*)
    {44, 1561, 26, 3, Smoke::mf_static, 270, 5},	//740 Akonadi::CollectionStatisticsJob::tr(const char*, const char*, int)
    {44, 1565, 26, 3, Smoke::mf_static, 270, 6},	//741 Akonadi::CollectionStatisticsJob::trUtf8(const char*, const char*, int)
    {44, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//742 Akonadi::CollectionStatisticsJob::qt_metacall(QMetaObject::Call, int, void**)
    {44, 145, 163, 2, Smoke::mf_ctor, 65, 8},	//743 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&, QObject*)
    {44, 1528, 0, 0, Smoke::mf_const, 61, 9},	//744 Akonadi::CollectionStatisticsJob::statistics() const
    {44, 743, 0, 0, Smoke::mf_const, 34, 10},	//745 Akonadi::CollectionStatisticsJob::collection() const
    {44, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//746 Akonadi::CollectionStatisticsJob::doStart()
    {44, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//747 Akonadi::CollectionStatisticsJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {44, 1561, 21, 1, Smoke::mf_static, 270, 13},	//748 Akonadi::CollectionStatisticsJob::tr(const char*)
    {44, 1565, 21, 1, Smoke::mf_static, 270, 14},	//749 Akonadi::CollectionStatisticsJob::trUtf8(const char*)
    {44, 145, 61, 1, Smoke::mf_ctor, 65, 15},	//750 Akonadi::CollectionStatisticsJob::CollectionStatisticsJob(const Akonadi::Collection&)
    {44, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//751 Akonadi::CollectionStatisticsJob::staticMetaObject() const
    {44, 1649, 0, 0, Smoke::mf_dtor, 0, 17 },	//752 Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob()
    {45, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//753 Akonadi::CollectionStatisticsModel::metaObject() const
    {45, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//754 Akonadi::CollectionStatisticsModel::qt_metacast(const char*)
    {45, 1561, 23, 2, Smoke::mf_static, 270, 3},	//755 Akonadi::CollectionStatisticsModel::tr(const char*, const char*)
    {45, 1565, 23, 2, Smoke::mf_static, 270, 4},	//756 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*)
    {45, 1561, 26, 3, Smoke::mf_static, 270, 5},	//757 Akonadi::CollectionStatisticsModel::tr(const char*, const char*, int)
    {45, 1565, 26, 3, Smoke::mf_static, 270, 6},	//758 Akonadi::CollectionStatisticsModel::trUtf8(const char*, const char*, int)
    {45, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//759 Akonadi::CollectionStatisticsModel::qt_metacall(QMetaObject::Call, int, void**)
    {45, 148, 78, 1, Smoke::mf_ctor, 66, 8},	//760 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel(QObject*)
    {45, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 9},	//761 Akonadi::CollectionStatisticsModel::columnCount(const QModelIndex&) const
    {45, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 10},	//762 Akonadi::CollectionStatisticsModel::data(const QModelIndex&, int) const
    {45, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//763 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation, int) const
    {45, 1561, 21, 1, Smoke::mf_static, 270, 12},	//764 Akonadi::CollectionStatisticsModel::tr(const char*)
    {45, 1565, 21, 1, Smoke::mf_static, 270, 13},	//765 Akonadi::CollectionStatisticsModel::trUtf8(const char*)
    {45, 148, 0, 0, Smoke::mf_ctor, 66, 14},	//766 Akonadi::CollectionStatisticsModel::CollectionStatisticsModel()
    {45, 777, 0, 0, Smoke::mf_const, 447, 15},	//767 Akonadi::CollectionStatisticsModel::columnCount() const
    {45, 828, 95, 1, Smoke::mf_const, 280, 16},	//768 Akonadi::CollectionStatisticsModel::data(const QModelIndex&) const
    {45, 939, 112, 2, Smoke::mf_const, 280, 17},	//769 Akonadi::CollectionStatisticsModel::headerData(int, Qt::Orientation) const
    {45, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//770 Akonadi::CollectionStatisticsModel::staticMetaObject() const
    {45, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 19},	//771 Akonadi::CollectionStatisticsModel::UnreadRole (enum)
    {45, 538, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 20},	//772 Akonadi::CollectionStatisticsModel::TotalRole (enum)
    {45, 519, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 21},	//773 Akonadi::CollectionStatisticsModel::StatisticsRole (enum)
    {45, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 22},	//774 Akonadi::CollectionStatisticsModel::RecursiveUnreadRole (enum)
    {45, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 23},	//775 Akonadi::CollectionStatisticsModel::RecursiveTotalRole (enum)
    {45, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 24},	//776 Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole (enum)
    {45, 509, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 25},	//777 Akonadi::CollectionStatisticsModel::SizeRole (enum)
    {45, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 26},	//778 Akonadi::CollectionStatisticsModel::RecursiveSizeRole (enum)
    {45, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 27},	//779 Akonadi::CollectionStatisticsModel::UserRole (enum)
    {45, 1650, 0, 0, Smoke::mf_dtor, 0, 28 },	//780 Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel()
    {46, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//781 Akonadi::CollectionView::metaObject() const
    {46, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//782 Akonadi::CollectionView::qt_metacast(const char*)
    {46, 1561, 23, 2, Smoke::mf_static, 270, 3},	//783 Akonadi::CollectionView::tr(const char*, const char*)
    {46, 1565, 23, 2, Smoke::mf_static, 270, 4},	//784 Akonadi::CollectionView::trUtf8(const char*, const char*)
    {46, 1561, 26, 3, Smoke::mf_static, 270, 5},	//785 Akonadi::CollectionView::tr(const char*, const char*, int)
    {46, 1565, 26, 3, Smoke::mf_static, 270, 6},	//786 Akonadi::CollectionView::trUtf8(const char*, const char*, int)
    {46, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//787 Akonadi::CollectionView::qt_metacall(QMetaObject::Call, int, void**)
    {46, 152, 85, 1, Smoke::mf_ctor, 68, 8},	//788 Akonadi::CollectionView::CollectionView(QWidget*)
    {46, 152, 259, 2, Smoke::mf_ctor, 68, 9},	//789 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    {46, 152, 262, 2, Smoke::mf_ctor, 68, 10},	//790 Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    {46, 1496, 265, 1, 0, 0, 11},	//791 Akonadi::CollectionView::setXmlGuiWindow(KXmlGuiWindow*)
    {46, 1494, 267, 1, 0, 0, 12},	//792 Akonadi::CollectionView::setXmlGuiClient(KXMLGUIClient*)
    {46, 1402, 157, 1, Smoke::mf_virtual, 0, 13},	//793 Akonadi::CollectionView::setModel(QAbstractItemModel*)
    {46, 738, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//794 Akonadi::CollectionView::clicked(const Akonadi::Collection&)
    {46, 820, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//795 Akonadi::CollectionView::currentChanged(const Akonadi::Collection&)
    {46, 820, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//796 Akonadi::CollectionView::currentChanged(const QModelIndex&, const QModelIndex&)
    {46, 864, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//797 Akonadi::CollectionView::dragMoveEvent(QDragMoveEvent*)
    {46, 862, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//798 Akonadi::CollectionView::dragLeaveEvent(QDragLeaveEvent*)
    {46, 868, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//799 Akonadi::CollectionView::dropEvent(QDropEvent*)
    {46, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//800 Akonadi::CollectionView::contextMenuEvent(QContextMenuEvent*)
    {46, 1561, 21, 1, Smoke::mf_static, 270, 21},	//801 Akonadi::CollectionView::tr(const char*)
    {46, 1565, 21, 1, Smoke::mf_static, 270, 22},	//802 Akonadi::CollectionView::trUtf8(const char*)
    {46, 152, 0, 0, Smoke::mf_ctor, 68, 23},	//803 Akonadi::CollectionView::CollectionView()
    {46, 152, 265, 1, Smoke::mf_ctor, 68, 24},	//804 Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    {46, 152, 267, 1, Smoke::mf_ctor, 68, 25},	//805 Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    {46, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 26},	//806 Akonadi::CollectionView::staticMetaObject() const
    {46, 1651, 0, 0, Smoke::mf_dtor, 0, 27 },	//807 Akonadi::CollectionView::~CollectionView()
    {47, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//808 Akonadi::ContactDefaultActions::metaObject() const
    {47, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//809 Akonadi::ContactDefaultActions::qt_metacast(const char*)
    {47, 1561, 23, 2, Smoke::mf_static, 270, 3},	//810 Akonadi::ContactDefaultActions::tr(const char*, const char*)
    {47, 1565, 23, 2, Smoke::mf_static, 270, 4},	//811 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*)
    {47, 1561, 26, 3, Smoke::mf_static, 270, 5},	//812 Akonadi::ContactDefaultActions::tr(const char*, const char*, int)
    {47, 1565, 26, 3, Smoke::mf_static, 270, 6},	//813 Akonadi::ContactDefaultActions::trUtf8(const char*, const char*, int)
    {47, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//814 Akonadi::ContactDefaultActions::qt_metacall(QMetaObject::Call, int, void**)
    {47, 157, 78, 1, Smoke::mf_ctor, 69, 8},	//815 Akonadi::ContactDefaultActions::ContactDefaultActions(QObject*)
    {47, 790, 78, 1, 0, 0, 9},	//816 Akonadi::ContactDefaultActions::connectToView(QObject*)
    {47, 1504, 148, 1, Smoke::mf_slot, 0, 10},	//817 Akonadi::ContactDefaultActions::showUrl(const KUrl&)
    {47, 1216, 280, 2, Smoke::mf_slot, 0, 11},	//818 Akonadi::ContactDefaultActions::sendEmail(const QString&, const QString&)
    {47, 841, 283, 1, Smoke::mf_slot, 0, 12},	//819 Akonadi::ContactDefaultActions::dialPhoneNumber(const KABC::PhoneNumber&)
    {47, 1220, 283, 1, Smoke::mf_slot, 0, 13},	//820 Akonadi::ContactDefaultActions::sendSms(const KABC::PhoneNumber&)
    {47, 1498, 285, 1, Smoke::mf_slot, 0, 14},	//821 Akonadi::ContactDefaultActions::showAddress(const KABC::Address&)
    {47, 1561, 21, 1, Smoke::mf_static, 270, 15},	//822 Akonadi::ContactDefaultActions::tr(const char*)
    {47, 1565, 21, 1, Smoke::mf_static, 270, 16},	//823 Akonadi::ContactDefaultActions::trUtf8(const char*)
    {47, 157, 0, 0, Smoke::mf_ctor, 69, 17},	//824 Akonadi::ContactDefaultActions::ContactDefaultActions()
    {47, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//825 Akonadi::ContactDefaultActions::staticMetaObject() const
    {47, 1652, 0, 0, Smoke::mf_dtor, 0, 19 },	//826 Akonadi::ContactDefaultActions::~ContactDefaultActions()
    {48, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//827 Akonadi::ContactEditor::metaObject() const
    {48, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//828 Akonadi::ContactEditor::qt_metacast(const char*)
    {48, 1561, 23, 2, Smoke::mf_static, 270, 3},	//829 Akonadi::ContactEditor::tr(const char*, const char*)
    {48, 1565, 23, 2, Smoke::mf_static, 270, 4},	//830 Akonadi::ContactEditor::trUtf8(const char*, const char*)
    {48, 1561, 26, 3, Smoke::mf_static, 270, 5},	//831 Akonadi::ContactEditor::tr(const char*, const char*, int)
    {48, 1565, 26, 3, Smoke::mf_static, 270, 6},	//832 Akonadi::ContactEditor::trUtf8(const char*, const char*, int)
    {48, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//833 Akonadi::ContactEditor::qt_metacall(QMetaObject::Call, int, void**)
    {48, 159, 287, 2, Smoke::mf_ctor, 70, 8},	//834 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    {48, 159, 290, 3, Smoke::mf_ctor, 70, 9},	//835 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {48, 1292, 294, 1, 0, 0, 10},	//836 Akonadi::ContactEditor::setContactTemplate(const KABC::Addressee&)
    {48, 1307, 61, 1, 0, 0, 11},	//837 Akonadi::ContactEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {48, 1060, 56, 1, Smoke::mf_slot, 0, 12},	//838 Akonadi::ContactEditor::loadContact(const Akonadi::Item&)
    {48, 1197, 0, 0, Smoke::mf_slot, 360, 13},	//839 Akonadi::ContactEditor::saveContact()
    {48, 797, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//840 Akonadi::ContactEditor::contactStored(const Akonadi::Item&)
    {48, 890, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//841 Akonadi::ContactEditor::error(const QString&)
    {48, 1561, 21, 1, Smoke::mf_static, 270, 16},	//842 Akonadi::ContactEditor::tr(const char*)
    {48, 1565, 21, 1, Smoke::mf_static, 270, 17},	//843 Akonadi::ContactEditor::trUtf8(const char*)
    {48, 159, 296, 1, Smoke::mf_ctor, 70, 18},	//844 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode)
    {48, 159, 298, 2, Smoke::mf_ctor, 70, 19},	//845 Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    {48, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 20},	//846 Akonadi::ContactEditor::staticMetaObject() const
    {48, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 21},	//847 Akonadi::ContactEditor::CreateMode (enum)
    {48, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 22},	//848 Akonadi::ContactEditor::EditMode (enum)
    {48, 1653, 0, 0, Smoke::mf_dtor, 0, 23 },	//849 Akonadi::ContactEditor::~ContactEditor()
    {49, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//850 Akonadi::ContactEditorDialog::metaObject() const
    {49, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//851 Akonadi::ContactEditorDialog::qt_metacast(const char*)
    {49, 1561, 23, 2, Smoke::mf_static, 270, 3},	//852 Akonadi::ContactEditorDialog::tr(const char*, const char*)
    {49, 1565, 23, 2, Smoke::mf_static, 270, 4},	//853 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*)
    {49, 1561, 26, 3, Smoke::mf_static, 270, 5},	//854 Akonadi::ContactEditorDialog::tr(const char*, const char*, int)
    {49, 1565, 26, 3, Smoke::mf_static, 270, 6},	//855 Akonadi::ContactEditorDialog::trUtf8(const char*, const char*, int)
    {49, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//856 Akonadi::ContactEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {49, 163, 301, 2, Smoke::mf_ctor, 72, 8},	//857 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    {49, 163, 304, 3, Smoke::mf_ctor, 72, 9},	//858 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*, QWidget*)
    {49, 1282, 56, 1, 0, 0, 10},	//859 Akonadi::ContactEditorDialog::setContact(const Akonadi::Item&)
    {49, 1307, 61, 1, 0, 0, 11},	//860 Akonadi::ContactEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {49, 873, 0, 0, Smoke::mf_const, 70, 12},	//861 Akonadi::ContactEditorDialog::editor() const
    {49, 797, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//862 Akonadi::ContactEditorDialog::contactStored(const Akonadi::Item&)
    {49, 1561, 21, 1, Smoke::mf_static, 270, 14},	//863 Akonadi::ContactEditorDialog::tr(const char*)
    {49, 1565, 21, 1, Smoke::mf_static, 270, 15},	//864 Akonadi::ContactEditorDialog::trUtf8(const char*)
    {49, 163, 308, 1, Smoke::mf_ctor, 72, 16},	//865 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode)
    {49, 163, 310, 2, Smoke::mf_ctor, 72, 17},	//866 Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    {49, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//867 Akonadi::ContactEditorDialog::staticMetaObject() const
    {49, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 19},	//868 Akonadi::ContactEditorDialog::CreateMode (enum)
    {49, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 73, 20},	//869 Akonadi::ContactEditorDialog::EditMode (enum)
    {49, 1654, 0, 0, Smoke::mf_dtor, 0, 21 },	//870 Akonadi::ContactEditorDialog::~ContactEditorDialog()
    {50, 1559, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 270, 1},	//871 Akonadi::ContactEditorPagePlugin::title() const [pure virtual]
    {50, 1060, 294, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//872 Akonadi::ContactEditorPagePlugin::loadContact(const KABC::Addressee&) [pure virtual]
    {50, 1537, 313, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 3},	//873 Akonadi::ContactEditorPagePlugin::storeContact(KABC::Addressee&) const [pure virtual]
    {50, 1439, 45, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//874 Akonadi::ContactEditorPagePlugin::setReadOnly(bool) [pure virtual]
    {50, 167, 0, 0, Smoke::mf_ctor, 74, 5},	//875 Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin()
    {50, 1655, 0, 0, Smoke::mf_dtor, 0, 6 },	//876 Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin()
    {51, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//877 Akonadi::ContactGroupEditor::metaObject() const
    {51, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//878 Akonadi::ContactGroupEditor::qt_metacast(const char*)
    {51, 1561, 23, 2, Smoke::mf_static, 270, 3},	//879 Akonadi::ContactGroupEditor::tr(const char*, const char*)
    {51, 1565, 23, 2, Smoke::mf_static, 270, 4},	//880 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*)
    {51, 1561, 26, 3, Smoke::mf_static, 270, 5},	//881 Akonadi::ContactGroupEditor::tr(const char*, const char*, int)
    {51, 1565, 26, 3, Smoke::mf_static, 270, 6},	//882 Akonadi::ContactGroupEditor::trUtf8(const char*, const char*, int)
    {51, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//883 Akonadi::ContactGroupEditor::qt_metacall(QMetaObject::Call, int, void**)
    {51, 168, 315, 2, Smoke::mf_ctor, 75, 8},	//884 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode, QWidget*)
    {51, 1290, 318, 1, 0, 0, 9},	//885 Akonadi::ContactGroupEditor::setContactGroupTemplate(const KABC::ContactGroup&)
    {51, 1307, 61, 1, 0, 0, 10},	//886 Akonadi::ContactGroupEditor::setDefaultAddressBook(const Akonadi::Collection&)
    {51, 1062, 56, 1, Smoke::mf_slot, 0, 11},	//887 Akonadi::ContactGroupEditor::loadContactGroup(const Akonadi::Item&)
    {51, 1198, 0, 0, Smoke::mf_slot, 360, 12},	//888 Akonadi::ContactGroupEditor::saveContactGroup()
    {51, 794, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//889 Akonadi::ContactGroupEditor::contactGroupStored(const Akonadi::Item&)
    {51, 890, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//890 Akonadi::ContactGroupEditor::error(const QString&)
    {51, 1561, 21, 1, Smoke::mf_static, 270, 15},	//891 Akonadi::ContactGroupEditor::tr(const char*)
    {51, 1565, 21, 1, Smoke::mf_static, 270, 16},	//892 Akonadi::ContactGroupEditor::trUtf8(const char*)
    {51, 168, 320, 1, Smoke::mf_ctor, 75, 17},	//893 Akonadi::ContactGroupEditor::ContactGroupEditor(Akonadi::ContactGroupEditor::Mode)
    {51, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//894 Akonadi::ContactGroupEditor::staticMetaObject() const
    {51, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 19},	//895 Akonadi::ContactGroupEditor::CreateMode (enum)
    {51, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 20},	//896 Akonadi::ContactGroupEditor::EditMode (enum)
    {51, 1656, 0, 0, Smoke::mf_dtor, 0, 21 },	//897 Akonadi::ContactGroupEditor::~ContactGroupEditor()
    {52, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//898 Akonadi::ContactGroupEditorDialog::metaObject() const
    {52, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//899 Akonadi::ContactGroupEditorDialog::qt_metacast(const char*)
    {52, 1561, 23, 2, Smoke::mf_static, 270, 3},	//900 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*)
    {52, 1565, 23, 2, Smoke::mf_static, 270, 4},	//901 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*)
    {52, 1561, 26, 3, Smoke::mf_static, 270, 5},	//902 Akonadi::ContactGroupEditorDialog::tr(const char*, const char*, int)
    {52, 1565, 26, 3, Smoke::mf_static, 270, 6},	//903 Akonadi::ContactGroupEditorDialog::trUtf8(const char*, const char*, int)
    {52, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//904 Akonadi::ContactGroupEditorDialog::qt_metacall(QMetaObject::Call, int, void**)
    {52, 171, 322, 2, Smoke::mf_ctor, 77, 8},	//905 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode, QWidget*)
    {52, 1286, 56, 1, 0, 0, 9},	//906 Akonadi::ContactGroupEditorDialog::setContactGroup(const Akonadi::Item&)
    {52, 1307, 61, 1, 0, 0, 10},	//907 Akonadi::ContactGroupEditorDialog::setDefaultAddressBook(const Akonadi::Collection&)
    {52, 873, 0, 0, Smoke::mf_const, 75, 11},	//908 Akonadi::ContactGroupEditorDialog::editor() const
    {52, 794, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//909 Akonadi::ContactGroupEditorDialog::contactGroupStored(const Akonadi::Item&)
    {52, 1510, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//910 Akonadi::ContactGroupEditorDialog::slotButtonClicked(int)
    {52, 1561, 21, 1, Smoke::mf_static, 270, 14},	//911 Akonadi::ContactGroupEditorDialog::tr(const char*)
    {52, 1565, 21, 1, Smoke::mf_static, 270, 15},	//912 Akonadi::ContactGroupEditorDialog::trUtf8(const char*)
    {52, 171, 325, 1, Smoke::mf_ctor, 77, 16},	//913 Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog(Akonadi::ContactGroupEditorDialog::Mode)
    {52, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 17},	//914 Akonadi::ContactGroupEditorDialog::staticMetaObject() const
    {52, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 18},	//915 Akonadi::ContactGroupEditorDialog::CreateMode (enum)
    {52, 227, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 19},	//916 Akonadi::ContactGroupEditorDialog::EditMode (enum)
    {52, 1657, 0, 0, Smoke::mf_dtor, 0, 20 },	//917 Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog()
    {53, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//918 Akonadi::ContactGroupExpandJob::metaObject() const
    {53, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//919 Akonadi::ContactGroupExpandJob::qt_metacast(const char*)
    {53, 1561, 23, 2, Smoke::mf_static, 270, 3},	//920 Akonadi::ContactGroupExpandJob::tr(const char*, const char*)
    {53, 1565, 23, 2, Smoke::mf_static, 270, 4},	//921 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*)
    {53, 1561, 26, 3, Smoke::mf_static, 270, 5},	//922 Akonadi::ContactGroupExpandJob::tr(const char*, const char*, int)
    {53, 1565, 26, 3, Smoke::mf_static, 270, 6},	//923 Akonadi::ContactGroupExpandJob::trUtf8(const char*, const char*, int)
    {53, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//924 Akonadi::ContactGroupExpandJob::qt_metacall(QMetaObject::Call, int, void**)
    {53, 174, 327, 2, Smoke::mf_ctor, 79, 8},	//925 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&, QObject*)
    {53, 174, 90, 2, Smoke::mf_ctor, 79, 9},	//926 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&, QObject*)
    {53, 799, 0, 0, Smoke::mf_const, 175, 10},	//927 Akonadi::ContactGroupExpandJob::contacts() const
    {53, 1519, 0, 0, Smoke::mf_virtual, 0, 11},	//928 Akonadi::ContactGroupExpandJob::start()
    {53, 1561, 21, 1, Smoke::mf_static, 270, 12},	//929 Akonadi::ContactGroupExpandJob::tr(const char*)
    {53, 1565, 21, 1, Smoke::mf_static, 270, 13},	//930 Akonadi::ContactGroupExpandJob::trUtf8(const char*)
    {53, 174, 318, 1, Smoke::mf_ctor, 79, 14},	//931 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const KABC::ContactGroup&)
    {53, 174, 8, 1, Smoke::mf_ctor, 79, 15},	//932 Akonadi::ContactGroupExpandJob::ContactGroupExpandJob(const QString&)
    {53, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//933 Akonadi::ContactGroupExpandJob::staticMetaObject() const
    {53, 1658, 0, 0, Smoke::mf_dtor, 0, 17 },	//934 Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob()
    {54, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//935 Akonadi::ContactGroupSearchJob::metaObject() const
    {54, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//936 Akonadi::ContactGroupSearchJob::qt_metacast(const char*)
    {54, 1561, 23, 2, Smoke::mf_static, 270, 3},	//937 Akonadi::ContactGroupSearchJob::tr(const char*, const char*)
    {54, 1565, 23, 2, Smoke::mf_static, 270, 4},	//938 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*)
    {54, 1561, 26, 3, Smoke::mf_static, 270, 5},	//939 Akonadi::ContactGroupSearchJob::tr(const char*, const char*, int)
    {54, 1565, 26, 3, Smoke::mf_static, 270, 6},	//940 Akonadi::ContactGroupSearchJob::trUtf8(const char*, const char*, int)
    {54, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//941 Akonadi::ContactGroupSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {54, 179, 78, 1, Smoke::mf_ctor, 80, 8},	//942 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob(QObject*)
    {54, 1431, 330, 2, 0, 0, 9},	//943 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&)
    {54, 1431, 333, 3, 0, 0, 10},	//944 Akonadi::ContactGroupSearchJob::setQuery(Akonadi::ContactGroupSearchJob::Criterion, const QString&, Akonadi::ContactGroupSearchJob::Match)
    {54, 1388, 41, 1, 0, 0, 11},	//945 Akonadi::ContactGroupSearchJob::setLimit(int)
    {54, 796, 0, 0, Smoke::mf_const, 248, 12},	//946 Akonadi::ContactGroupSearchJob::contactGroups() const
    {54, 1561, 21, 1, Smoke::mf_static, 270, 13},	//947 Akonadi::ContactGroupSearchJob::tr(const char*)
    {54, 1565, 21, 1, Smoke::mf_static, 270, 14},	//948 Akonadi::ContactGroupSearchJob::trUtf8(const char*)
    {54, 179, 0, 0, Smoke::mf_ctor, 80, 15},	//949 Akonadi::ContactGroupSearchJob::ContactGroupSearchJob()
    {54, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//950 Akonadi::ContactGroupSearchJob::staticMetaObject() const
    {54, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 17},	//951 Akonadi::ContactGroupSearchJob::Name (enum)
    {54, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 18},	//952 Akonadi::ContactGroupSearchJob::ExactMatch (enum)
    {54, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 19},	//953 Akonadi::ContactGroupSearchJob::StartsWithMatch (enum)
    {54, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 82, 20},	//954 Akonadi::ContactGroupSearchJob::ContainsMatch (enum)
    {54, 1659, 0, 0, Smoke::mf_dtor, 0, 21 },	//955 Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob()
    {55, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//956 Akonadi::ContactGroupViewer::metaObject() const
    {55, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//957 Akonadi::ContactGroupViewer::qt_metacast(const char*)
    {55, 1561, 23, 2, Smoke::mf_static, 270, 3},	//958 Akonadi::ContactGroupViewer::tr(const char*, const char*)
    {55, 1565, 23, 2, Smoke::mf_static, 270, 4},	//959 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*)
    {55, 1561, 26, 3, Smoke::mf_static, 270, 5},	//960 Akonadi::ContactGroupViewer::tr(const char*, const char*, int)
    {55, 1565, 26, 3, Smoke::mf_static, 270, 6},	//961 Akonadi::ContactGroupViewer::trUtf8(const char*, const char*, int)
    {55, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//962 Akonadi::ContactGroupViewer::qt_metacall(QMetaObject::Call, int, void**)
    {55, 181, 85, 1, Smoke::mf_ctor, 83, 8},	//963 Akonadi::ContactGroupViewer::ContactGroupViewer(QWidget*)
    {55, 793, 0, 0, Smoke::mf_const, 110, 9},	//964 Akonadi::ContactGroupViewer::contactGroup() const
    {55, 1288, 337, 1, 0, 0, 10},	//965 Akonadi::ContactGroupViewer::setContactGroupFormatter(Akonadi::AbstractContactGroupFormatter*)
    {55, 1286, 56, 1, Smoke::mf_slot, 0, 11},	//966 Akonadi::ContactGroupViewer::setContactGroup(const Akonadi::Item&)
    {55, 876, 280, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//967 Akonadi::ContactGroupViewer::emailClicked(const QString&, const QString&)
    {55, 1561, 21, 1, Smoke::mf_static, 270, 13},	//968 Akonadi::ContactGroupViewer::tr(const char*)
    {55, 1565, 21, 1, Smoke::mf_static, 270, 14},	//969 Akonadi::ContactGroupViewer::trUtf8(const char*)
    {55, 181, 0, 0, Smoke::mf_ctor, 83, 15},	//970 Akonadi::ContactGroupViewer::ContactGroupViewer()
    {55, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//971 Akonadi::ContactGroupViewer::staticMetaObject() const
    {55, 1660, 0, 0, Smoke::mf_dtor, 0, 17 },	//972 Akonadi::ContactGroupViewer::~ContactGroupViewer()
    {56, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//973 Akonadi::ContactGroupViewerDialog::metaObject() const
    {56, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//974 Akonadi::ContactGroupViewerDialog::qt_metacast(const char*)
    {56, 1561, 23, 2, Smoke::mf_static, 270, 3},	//975 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*)
    {56, 1565, 23, 2, Smoke::mf_static, 270, 4},	//976 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*)
    {56, 1561, 26, 3, Smoke::mf_static, 270, 5},	//977 Akonadi::ContactGroupViewerDialog::tr(const char*, const char*, int)
    {56, 1565, 26, 3, Smoke::mf_static, 270, 6},	//978 Akonadi::ContactGroupViewerDialog::trUtf8(const char*, const char*, int)
    {56, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//979 Akonadi::ContactGroupViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {56, 183, 85, 1, Smoke::mf_ctor, 84, 8},	//980 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog(QWidget*)
    {56, 793, 0, 0, Smoke::mf_const, 110, 9},	//981 Akonadi::ContactGroupViewerDialog::contactGroup() const
    {56, 1597, 0, 0, Smoke::mf_const, 83, 10},	//982 Akonadi::ContactGroupViewerDialog::viewer() const
    {56, 1286, 56, 1, Smoke::mf_slot, 0, 11},	//983 Akonadi::ContactGroupViewerDialog::setContactGroup(const Akonadi::Item&)
    {56, 1561, 21, 1, Smoke::mf_static, 270, 12},	//984 Akonadi::ContactGroupViewerDialog::tr(const char*)
    {56, 1565, 21, 1, Smoke::mf_static, 270, 13},	//985 Akonadi::ContactGroupViewerDialog::trUtf8(const char*)
    {56, 183, 0, 0, Smoke::mf_ctor, 84, 14},	//986 Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog()
    {56, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//987 Akonadi::ContactGroupViewerDialog::staticMetaObject() const
    {56, 1661, 0, 0, Smoke::mf_dtor, 0, 16 },	//988 Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog()
    {57, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//989 Akonadi::ContactSearchJob::metaObject() const
    {57, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//990 Akonadi::ContactSearchJob::qt_metacast(const char*)
    {57, 1561, 23, 2, Smoke::mf_static, 270, 3},	//991 Akonadi::ContactSearchJob::tr(const char*, const char*)
    {57, 1565, 23, 2, Smoke::mf_static, 270, 4},	//992 Akonadi::ContactSearchJob::trUtf8(const char*, const char*)
    {57, 1561, 26, 3, Smoke::mf_static, 270, 5},	//993 Akonadi::ContactSearchJob::tr(const char*, const char*, int)
    {57, 1565, 26, 3, Smoke::mf_static, 270, 6},	//994 Akonadi::ContactSearchJob::trUtf8(const char*, const char*, int)
    {57, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//995 Akonadi::ContactSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {57, 185, 78, 1, Smoke::mf_ctor, 85, 8},	//996 Akonadi::ContactSearchJob::ContactSearchJob(QObject*)
    {57, 1431, 339, 2, 0, 0, 9},	//997 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&)
    {57, 1431, 342, 3, 0, 0, 10},	//998 Akonadi::ContactSearchJob::setQuery(Akonadi::ContactSearchJob::Criterion, const QString&, Akonadi::ContactSearchJob::Match)
    {57, 1388, 41, 1, 0, 0, 11},	//999 Akonadi::ContactSearchJob::setLimit(int)
    {57, 799, 0, 0, Smoke::mf_const, 175, 12},	//1000 Akonadi::ContactSearchJob::contacts() const
    {57, 1561, 21, 1, Smoke::mf_static, 270, 13},	//1001 Akonadi::ContactSearchJob::tr(const char*)
    {57, 1565, 21, 1, Smoke::mf_static, 270, 14},	//1002 Akonadi::ContactSearchJob::trUtf8(const char*)
    {57, 185, 0, 0, Smoke::mf_ctor, 85, 15},	//1003 Akonadi::ContactSearchJob::ContactSearchJob()
    {57, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//1004 Akonadi::ContactSearchJob::staticMetaObject() const
    {57, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 17},	//1005 Akonadi::ContactSearchJob::Name (enum)
    {57, 229, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 18},	//1006 Akonadi::ContactSearchJob::Email (enum)
    {57, 405, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 19},	//1007 Akonadi::ContactSearchJob::NickName (enum)
    {57, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 20},	//1008 Akonadi::ContactSearchJob::NameOrEmail (enum)
    {57, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 86, 21},	//1009 Akonadi::ContactSearchJob::ContactUid (enum)
    {57, 258, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 22},	//1010 Akonadi::ContactSearchJob::ExactMatch (enum)
    {57, 515, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 23},	//1011 Akonadi::ContactSearchJob::StartsWithMatch (enum)
    {57, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 87, 24},	//1012 Akonadi::ContactSearchJob::ContainsMatch (enum)
    {57, 1662, 0, 0, Smoke::mf_dtor, 0, 25 },	//1013 Akonadi::ContactSearchJob::~ContactSearchJob()
    {58, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1014 Akonadi::ContactViewer::metaObject() const
    {58, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1015 Akonadi::ContactViewer::qt_metacast(const char*)
    {58, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1016 Akonadi::ContactViewer::tr(const char*, const char*)
    {58, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1017 Akonadi::ContactViewer::trUtf8(const char*, const char*)
    {58, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1018 Akonadi::ContactViewer::tr(const char*, const char*, int)
    {58, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1019 Akonadi::ContactViewer::trUtf8(const char*, const char*, int)
    {58, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1020 Akonadi::ContactViewer::qt_metacall(QMetaObject::Call, int, void**)
    {58, 188, 85, 1, Smoke::mf_ctor, 88, 8},	//1021 Akonadi::ContactViewer::ContactViewer(QWidget*)
    {58, 792, 0, 0, Smoke::mf_const, 110, 9},	//1022 Akonadi::ContactViewer::contact() const
    {58, 1144, 0, 0, Smoke::mf_const, 173, 10},	//1023 Akonadi::ContactViewer::rawContact() const
    {58, 1284, 346, 1, 0, 0, 11},	//1024 Akonadi::ContactViewer::setContactFormatter(Akonadi::AbstractContactFormatter*)
    {58, 1282, 56, 1, Smoke::mf_slot, 0, 12},	//1025 Akonadi::ContactViewer::setContact(const Akonadi::Item&)
    {58, 1437, 294, 1, Smoke::mf_slot, 0, 13},	//1026 Akonadi::ContactViewer::setRawContact(const KABC::Addressee&)
    {58, 1588, 148, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1027 Akonadi::ContactViewer::urlClicked(const KUrl&)
    {58, 876, 280, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1028 Akonadi::ContactViewer::emailClicked(const QString&, const QString&)
    {58, 1133, 283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1029 Akonadi::ContactViewer::phoneNumberClicked(const KABC::PhoneNumber&)
    {58, 1515, 283, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1030 Akonadi::ContactViewer::smsClicked(const KABC::PhoneNumber&)
    {58, 679, 285, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1031 Akonadi::ContactViewer::addressClicked(const KABC::Address&)
    {58, 1561, 21, 1, Smoke::mf_static, 270, 19},	//1032 Akonadi::ContactViewer::tr(const char*)
    {58, 1565, 21, 1, Smoke::mf_static, 270, 20},	//1033 Akonadi::ContactViewer::trUtf8(const char*)
    {58, 188, 0, 0, Smoke::mf_ctor, 88, 21},	//1034 Akonadi::ContactViewer::ContactViewer()
    {58, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 22},	//1035 Akonadi::ContactViewer::staticMetaObject() const
    {58, 1663, 0, 0, Smoke::mf_dtor, 0, 23 },	//1036 Akonadi::ContactViewer::~ContactViewer()
    {59, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1037 Akonadi::ContactViewerDialog::metaObject() const
    {59, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1038 Akonadi::ContactViewerDialog::qt_metacast(const char*)
    {59, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1039 Akonadi::ContactViewerDialog::tr(const char*, const char*)
    {59, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1040 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*)
    {59, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1041 Akonadi::ContactViewerDialog::tr(const char*, const char*, int)
    {59, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1042 Akonadi::ContactViewerDialog::trUtf8(const char*, const char*, int)
    {59, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1043 Akonadi::ContactViewerDialog::qt_metacall(QMetaObject::Call, int, void**)
    {59, 190, 85, 1, Smoke::mf_ctor, 89, 8},	//1044 Akonadi::ContactViewerDialog::ContactViewerDialog(QWidget*)
    {59, 792, 0, 0, Smoke::mf_const, 110, 9},	//1045 Akonadi::ContactViewerDialog::contact() const
    {59, 1597, 0, 0, Smoke::mf_const, 88, 10},	//1046 Akonadi::ContactViewerDialog::viewer() const
    {59, 1282, 56, 1, Smoke::mf_slot, 0, 11},	//1047 Akonadi::ContactViewerDialog::setContact(const Akonadi::Item&)
    {59, 1561, 21, 1, Smoke::mf_static, 270, 12},	//1048 Akonadi::ContactViewerDialog::tr(const char*)
    {59, 1565, 21, 1, Smoke::mf_static, 270, 13},	//1049 Akonadi::ContactViewerDialog::trUtf8(const char*)
    {59, 190, 0, 0, Smoke::mf_ctor, 89, 14},	//1050 Akonadi::ContactViewerDialog::ContactViewerDialog()
    {59, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//1051 Akonadi::ContactViewerDialog::staticMetaObject() const
    {59, 1664, 0, 0, Smoke::mf_dtor, 0, 16 },	//1052 Akonadi::ContactViewerDialog::~ContactViewerDialog()
    {60, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1053 Akonadi::Control::metaObject() const
    {60, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1054 Akonadi::Control::qt_metacast(const char*)
    {60, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1055 Akonadi::Control::tr(const char*, const char*)
    {60, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1056 Akonadi::Control::trUtf8(const char*, const char*)
    {60, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1057 Akonadi::Control::tr(const char*, const char*, int)
    {60, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1058 Akonadi::Control::trUtf8(const char*, const char*, int)
    {60, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1059 Akonadi::Control::qt_metacall(QMetaObject::Call, int, void**)
    {60, 1519, 0, 0, Smoke::mf_static, 360, 8},	//1060 Akonadi::Control::start()
    {60, 1519, 85, 1, Smoke::mf_static, 360, 9},	//1061 Akonadi::Control::start(QWidget*)
    {60, 1533, 0, 0, Smoke::mf_static, 360, 10},	//1062 Akonadi::Control::stop()
    {60, 1533, 85, 1, Smoke::mf_static, 360, 11},	//1063 Akonadi::Control::stop(QWidget*)
    {60, 1174, 0, 0, Smoke::mf_static, 360, 12},	//1064 Akonadi::Control::restart()
    {60, 1174, 85, 1, Smoke::mf_static, 360, 13},	//1065 Akonadi::Control::restart(QWidget*)
    {60, 1607, 85, 1, Smoke::mf_static, 0, 14},	//1066 Akonadi::Control::widgetNeedsAkonadi(QWidget*)
    {60, 194, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 90, 15},	//1067 Akonadi::Control::Control()
    {60, 1561, 21, 1, Smoke::mf_static, 270, 16},	//1068 Akonadi::Control::tr(const char*)
    {60, 1565, 21, 1, Smoke::mf_static, 270, 17},	//1069 Akonadi::Control::trUtf8(const char*)
    {60, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//1070 Akonadi::Control::staticMetaObject() const
    {60, 1665, 0, 0, Smoke::mf_dtor, 0, 19 },	//1071 Akonadi::Control::~Control()
    {61, 1350, 146, 1, 0, 0, 1},	//1072 Akonadi::Entity::setId(long long)
    {61, 950, 0, 0, Smoke::mf_const, 450, 2},	//1073 Akonadi::Entity::id() const
    {61, 1441, 8, 1, 0, 0, 3},	//1074 Akonadi::Entity::setRemoteId(const QString&)
    {61, 1153, 0, 0, Smoke::mf_const, 270, 4},	//1075 Akonadi::Entity::remoteId() const
    {61, 1443, 8, 1, 0, 0, 5},	//1076 Akonadi::Entity::setRemoteRevision(const QString&)
    {61, 1154, 0, 0, Smoke::mf_const, 270, 6},	//1077 Akonadi::Entity::remoteRevision() const
    {61, 1006, 0, 0, Smoke::mf_const, 360, 7},	//1078 Akonadi::Entity::isValid() const
    {61, 1113, 348, 1, Smoke::mf_const, 360, 8},	//1079 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {61, 1109, 348, 1, Smoke::mf_const, 360, 9},	//1080 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {61, 1111, 348, 1, 0, 91, 10},	//1081 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {61, 1123, 0, 0, Smoke::mf_const, 34, 11},	//1082 Akonadi::Entity::parentCollection() const
    {61, 1123, 0, 0, 0, 35, 12},	//1083 Akonadi::Entity::parentCollection()
    {61, 1420, 61, 1, 0, 0, 13},	//1084 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {61, 657, 350, 1, 0, 0, 14},	//1085 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {61, 1155, 6, 1, 0, 0, 15},	//1086 Akonadi::Entity::removeAttribute(const QByteArray&)
    {61, 932, 6, 1, Smoke::mf_const, 360, 16},	//1087 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {61, 698, 0, 0, Smoke::mf_const, 243, 17},	//1088 Akonadi::Entity::attributes() const
    {61, 731, 0, 0, 0, 0, 18},	//1089 Akonadi::Entity::clearAttributes()
    {61, 696, 6, 1, Smoke::mf_const, 27, 19},	//1090 Akonadi::Entity::attribute(const QByteArray&) const
    {61, 234, 348, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 92, 20},	//1091 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {61, 234, 352, 1, Smoke::mf_ctor|Smoke::mf_protected, 92, 21},	//1092 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {61, 827, 0, 0, Smoke::mf_protected, 98, 22},	//1093 Akonadi::Entity::d_func()
    {61, 827, 0, 0, Smoke::mf_const|Smoke::mf_protected, 383, 23},	//1094 Akonadi::Entity::d_func() const
    {61, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 93, 24},	//1095 Akonadi::Entity::AddIfMissing (enum)
    {61, 1666, 0, 0, Smoke::mf_dtor, 0, 25 },	//1096 Akonadi::Entity::~Entity()
    {62, 236, 0, 0, Smoke::mf_ctor, 94, 1},	//1097 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute()
    {62, 1313, 8, 1, 0, 0, 2},	//1098 Akonadi::EntityDisplayAttribute::setDisplayName(const QString&)
    {62, 846, 0, 0, Smoke::mf_const, 270, 3},	//1099 Akonadi::EntityDisplayAttribute::displayName() const
    {62, 1348, 8, 1, 0, 0, 4},	//1100 Akonadi::EntityDisplayAttribute::setIconName(const QString&)
    {62, 948, 0, 0, Smoke::mf_const, 192, 5},	//1101 Akonadi::EntityDisplayAttribute::icon() const
    {62, 949, 0, 0, Smoke::mf_const, 270, 6},	//1102 Akonadi::EntityDisplayAttribute::iconName() const
    {62, 1231, 8, 1, 0, 0, 7},	//1103 Akonadi::EntityDisplayAttribute::setActiveIconName(const QString&)
    {62, 655, 0, 0, Smoke::mf_const, 192, 8},	//1104 Akonadi::EntityDisplayAttribute::activeIcon() const
    {62, 656, 0, 0, Smoke::mf_const, 270, 9},	//1105 Akonadi::EntityDisplayAttribute::activeIconName() const
    {62, 705, 0, 0, Smoke::mf_const, 212, 10},	//1106 Akonadi::EntityDisplayAttribute::backgroundColor() const
    {62, 1242, 354, 1, 0, 0, 11},	//1107 Akonadi::EntityDisplayAttribute::setBackgroundColor(const QColor&)
    {62, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 12},	//1108 Akonadi::EntityDisplayAttribute::type() const
    {62, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 94, 13},	//1109 Akonadi::EntityDisplayAttribute::clone() const
    {62, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 14},	//1110 Akonadi::EntityDisplayAttribute::serialized() const
    {62, 837, 6, 1, Smoke::mf_virtual, 0, 15},	//1111 Akonadi::EntityDisplayAttribute::deserialize(const QByteArray&)
    {62, 236, 356, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 94, 16},	//1112 Akonadi::EntityDisplayAttribute::EntityDisplayAttribute(const Akonadi::EntityDisplayAttribute&)
    {62, 1667, 0, 0, Smoke::mf_dtor, 0, 17 },	//1113 Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute()
    {63, 238, 0, 0, Smoke::mf_ctor, 95, 1},	//1114 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute()
    {63, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 2},	//1115 Akonadi::EntityHiddenAttribute::type() const
    {63, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 3},	//1116 Akonadi::EntityHiddenAttribute::clone() const
    {63, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//1117 Akonadi::EntityHiddenAttribute::serialized() const
    {63, 837, 6, 1, Smoke::mf_virtual, 0, 5},	//1118 Akonadi::EntityHiddenAttribute::deserialize(const QByteArray&)
    {63, 238, 358, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 95, 6},	//1119 Akonadi::EntityHiddenAttribute::EntityHiddenAttribute(const Akonadi::EntityHiddenAttribute&)
    {63, 1668, 0, 0, Smoke::mf_dtor, 0, 7 },	//1120 Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute()
    {64, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1121 Akonadi::EntityListView::metaObject() const
    {64, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1122 Akonadi::EntityListView::qt_metacast(const char*)
    {64, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1123 Akonadi::EntityListView::tr(const char*, const char*)
    {64, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1124 Akonadi::EntityListView::trUtf8(const char*, const char*)
    {64, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1125 Akonadi::EntityListView::tr(const char*, const char*, int)
    {64, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1126 Akonadi::EntityListView::trUtf8(const char*, const char*, int)
    {64, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1127 Akonadi::EntityListView::qt_metacall(QMetaObject::Call, int, void**)
    {64, 240, 85, 1, Smoke::mf_ctor, 96, 8},	//1128 Akonadi::EntityListView::EntityListView(QWidget*)
    {64, 240, 262, 2, Smoke::mf_ctor, 96, 9},	//1129 Akonadi::EntityListView::EntityListView(KXMLGUIClient*, QWidget*)
    {64, 1494, 267, 1, 0, 0, 10},	//1130 Akonadi::EntityListView::setXmlGuiClient(KXMLGUIClient*)
    {64, 1402, 157, 1, Smoke::mf_virtual, 0, 11},	//1131 Akonadi::EntityListView::setModel(QAbstractItemModel*)
    {64, 738, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1132 Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    {64, 738, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1133 Akonadi::EntityListView::clicked(const Akonadi::Item&)
    {64, 859, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1134 Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    {64, 859, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1135 Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    {64, 820, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1136 Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    {64, 820, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1137 Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    {64, 820, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1138 Akonadi::EntityListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {64, 864, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1139 Akonadi::EntityListView::dragMoveEvent(QDragMoveEvent*)
    {64, 868, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1140 Akonadi::EntityListView::dropEvent(QDropEvent*)
    {64, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1141 Akonadi::EntityListView::contextMenuEvent(QContextMenuEvent*)
    {64, 1521, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1142 Akonadi::EntityListView::startDrag(QFlags<Qt::DropAction>)
    {64, 1561, 21, 1, Smoke::mf_static, 270, 23},	//1143 Akonadi::EntityListView::tr(const char*)
    {64, 1565, 21, 1, Smoke::mf_static, 270, 24},	//1144 Akonadi::EntityListView::trUtf8(const char*)
    {64, 240, 0, 0, Smoke::mf_ctor, 96, 25},	//1145 Akonadi::EntityListView::EntityListView()
    {64, 240, 267, 1, Smoke::mf_ctor, 96, 26},	//1146 Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    {64, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 27},	//1147 Akonadi::EntityListView::staticMetaObject() const
    {64, 1669, 0, 0, Smoke::mf_dtor, 0, 28 },	//1148 Akonadi::EntityListView::~EntityListView()
    {65, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1149 Akonadi::EntityMimeTypeFilterModel::metaObject() const
    {65, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1150 Akonadi::EntityMimeTypeFilterModel::qt_metacast(const char*)
    {65, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1151 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*)
    {65, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1152 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*)
    {65, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1153 Akonadi::EntityMimeTypeFilterModel::tr(const char*, const char*, int)
    {65, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1154 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*, const char*, int)
    {65, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1155 Akonadi::EntityMimeTypeFilterModel::qt_metacall(QMetaObject::Call, int, void**)
    {65, 243, 78, 1, Smoke::mf_ctor, 97, 8},	//1156 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel(QObject*)
    {65, 673, 10, 1, 0, 0, 9},	//1157 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters(const QStringList&)
    {65, 665, 10, 1, 0, 0, 10},	//1158 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters(const QStringList&)
    {65, 671, 8, 1, 0, 0, 11},	//1159 Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter(const QString&)
    {65, 663, 8, 1, 0, 0, 12},	//1160 Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter(const QString&)
    {65, 1086, 0, 0, Smoke::mf_const, 271, 13},	//1161 Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters() const
    {65, 1083, 0, 0, Smoke::mf_const, 271, 14},	//1162 Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters() const
    {65, 733, 0, 0, 0, 0, 15},	//1163 Akonadi::EntityMimeTypeFilterModel::clearFilters()
    {65, 1344, 362, 1, 0, 0, 16},	//1164 Akonadi::EntityMimeTypeFilterModel::setHeaderGroup(Akonadi::EntityTreeModel::HeaderGroup)
    {65, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 17},	//1165 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation, int) const
    {65, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 18},	//1166 Akonadi::EntityMimeTypeFilterModel::hasChildren(const QModelIndex&) const
    {65, 711, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 19},	//1167 Akonadi::EntityMimeTypeFilterModel::canFetchMore(const QModelIndex&) const
    {65, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 20},	//1168 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {65, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 21},	//1169 Akonadi::EntityMimeTypeFilterModel::columnCount(const QModelIndex&) const
    {65, 918, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 22},	//1170 Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow(int, const QModelIndex&) const
    {65, 1561, 21, 1, Smoke::mf_static, 270, 23},	//1171 Akonadi::EntityMimeTypeFilterModel::tr(const char*)
    {65, 1565, 21, 1, Smoke::mf_static, 270, 24},	//1172 Akonadi::EntityMimeTypeFilterModel::trUtf8(const char*)
    {65, 243, 0, 0, Smoke::mf_ctor, 97, 25},	//1173 Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel()
    {65, 939, 112, 2, Smoke::mf_const, 280, 26},	//1174 Akonadi::EntityMimeTypeFilterModel::headerData(int, Qt::Orientation) const
    {65, 934, 0, 0, Smoke::mf_const, 360, 27},	//1175 Akonadi::EntityMimeTypeFilterModel::hasChildren() const
    {65, 1073, 370, 3, Smoke::mf_const, 250, 28},	//1176 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&) const
    {65, 1073, 374, 4, Smoke::mf_const, 250, 29},	//1177 Akonadi::EntityMimeTypeFilterModel::match(const QModelIndex&, int, const QVariant&, int) const
    {65, 777, 0, 0, Smoke::mf_const, 447, 30},	//1178 Akonadi::EntityMimeTypeFilterModel::columnCount() const
    {65, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 31},	//1179 Akonadi::EntityMimeTypeFilterModel::staticMetaObject() const
    {65, 1670, 0, 0, Smoke::mf_dtor, 0, 32 },	//1180 Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel()
    {67, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1181 Akonadi::EntityTreeModel::metaObject() const
    {67, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1182 Akonadi::EntityTreeModel::qt_metacast(const char*)
    {67, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1183 Akonadi::EntityTreeModel::tr(const char*, const char*)
    {67, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1184 Akonadi::EntityTreeModel::trUtf8(const char*, const char*)
    {67, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1185 Akonadi::EntityTreeModel::tr(const char*, const char*, int)
    {67, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1186 Akonadi::EntityTreeModel::trUtf8(const char*, const char*, int)
    {67, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1187 Akonadi::EntityTreeModel::qt_metacall(QMetaObject::Call, int, void**)
    {67, 246, 379, 2, Smoke::mf_ctor, 99, 8},	//1188 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    {67, 1463, 45, 1, 0, 0, 9},	//1189 Akonadi::EntityTreeModel::setShowSystemEntities(bool)
    {67, 1554, 0, 0, Smoke::mf_const, 360, 10},	//1190 Akonadi::EntityTreeModel::systemEntitiesShown() const
    {67, 958, 0, 0, Smoke::mf_const, 360, 11},	//1191 Akonadi::EntityTreeModel::includeUnsubscribed() const
    {67, 1360, 45, 1, 0, 0, 12},	//1192 Akonadi::EntityTreeModel::setIncludeUnsubscribed(bool)
    {67, 1378, 382, 1, 0, 0, 13},	//1193 Akonadi::EntityTreeModel::setItemPopulationStrategy(Akonadi::EntityTreeModel::ItemPopulationStrategy)
    {67, 1032, 0, 0, Smoke::mf_const, 103, 14},	//1194 Akonadi::EntityTreeModel::itemPopulationStrategy() const
    {67, 1356, 45, 1, 0, 0, 15},	//1195 Akonadi::EntityTreeModel::setIncludeRootCollection(bool)
    {67, 955, 0, 0, Smoke::mf_const, 360, 16},	//1196 Akonadi::EntityTreeModel::includeRootCollection() const
    {67, 1454, 8, 1, 0, 0, 17},	//1197 Akonadi::EntityTreeModel::setRootCollectionDisplayName(const QString&)
    {67, 1190, 0, 0, Smoke::mf_const, 270, 18},	//1198 Akonadi::EntityTreeModel::rootCollectionDisplayName() const
    {67, 1263, 384, 1, 0, 0, 19},	//1199 Akonadi::EntityTreeModel::setCollectionFetchStrategy(Akonadi::EntityTreeModel::CollectionFetchStrategy)
    {67, 752, 0, 0, Smoke::mf_const, 100, 20},	//1200 Akonadi::EntityTreeModel::collectionFetchStrategy() const
    {67, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 21},	//1201 Akonadi::EntityTreeModel::columnCount(const QModelIndex&) const
    {67, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 22},	//1202 Akonadi::EntityTreeModel::rowCount(const QModelIndex&) const
    {67, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 23},	//1203 Akonadi::EntityTreeModel::data(const QModelIndex&, int) const
    {67, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 24},	//1204 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation, int) const
    {67, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 25},	//1205 Akonadi::EntityTreeModel::flags(const QModelIndex&) const
    {67, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 26},	//1206 Akonadi::EntityTreeModel::mimeTypes() const
    {67, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 27},	//1207 Akonadi::EntityTreeModel::supportedDropActions() const
    {67, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 28},	//1208 Akonadi::EntityTreeModel::mimeData(const QList<QModelIndex>&) const
    {67, 870, 207, 5, Smoke::mf_virtual, 360, 29},	//1209 Akonadi::EntityTreeModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {67, 1304, 108, 3, Smoke::mf_virtual, 360, 30},	//1210 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&, int)
    {67, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 31},	//1211 Akonadi::EntityTreeModel::index(int, int, const QModelIndex&) const
    {67, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 32},	//1212 Akonadi::EntityTreeModel::parent(const QModelIndex&) const
    {67, 711, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 33},	//1213 Akonadi::EntityTreeModel::canFetchMore(const QModelIndex&) const
    {67, 911, 95, 1, Smoke::mf_virtual, 0, 34},	//1214 Akonadi::EntityTreeModel::fetchMore(const QModelIndex&)
    {67, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 35},	//1215 Akonadi::EntityTreeModel::hasChildren(const QModelIndex&) const
    {67, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 36},	//1216 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {67, 1092, 386, 2, Smoke::mf_static, 254, 37},	//1217 Akonadi::EntityTreeModel::modelIndexForCollection(const QAbstractItemModel*, const Akonadi::Collection&)
    {67, 1094, 389, 2, Smoke::mf_static, 250, 38},	//1218 Akonadi::EntityTreeModel::modelIndexesForItem(const QAbstractItemModel*, const Akonadi::Item&)
    {67, 730, 0, 0, Smoke::mf_protected, 0, 39},	//1219 Akonadi::EntityTreeModel::clearAndReset()
    {67, 883, 392, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 40},	//1220 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    {67, 883, 396, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 41},	//1221 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    {67, 886, 400, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 42},	//1222 Akonadi::EntityTreeModel::entityHeaderData(int, Qt::Orientation, int, Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 881, 362, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 43},	//1223 Akonadi::EntityTreeModel::entityColumnCount(Akonadi::EntityTreeModel::HeaderGroup) const
    {67, 888, 405, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 44},	//1224 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 888, 409, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 45},	//1225 Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    {67, 827, 0, 0, Smoke::mf_protected, 105, 46},	//1226 Akonadi::EntityTreeModel::d_func()
    {67, 827, 0, 0, Smoke::mf_const|Smoke::mf_protected, 384, 47},	//1227 Akonadi::EntityTreeModel::d_func() const
    {67, 246, 413, 3, Smoke::mf_ctor|Smoke::mf_protected, 99, 48},	//1228 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*, QObject*)
    {67, 1561, 21, 1, Smoke::mf_static, 270, 49},	//1229 Akonadi::EntityTreeModel::tr(const char*)
    {67, 1565, 21, 1, Smoke::mf_static, 270, 50},	//1230 Akonadi::EntityTreeModel::trUtf8(const char*)
    {67, 246, 417, 1, Smoke::mf_ctor, 99, 51},	//1231 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*)
    {67, 777, 0, 0, Smoke::mf_const, 447, 52},	//1232 Akonadi::EntityTreeModel::columnCount() const
    {67, 1191, 0, 0, Smoke::mf_const, 447, 53},	//1233 Akonadi::EntityTreeModel::rowCount() const
    {67, 828, 95, 1, Smoke::mf_const, 280, 54},	//1234 Akonadi::EntityTreeModel::data(const QModelIndex&) const
    {67, 939, 112, 2, Smoke::mf_const, 280, 55},	//1235 Akonadi::EntityTreeModel::headerData(int, Qt::Orientation) const
    {67, 1304, 222, 2, 0, 360, 56},	//1236 Akonadi::EntityTreeModel::setData(const QModelIndex&, const QVariant&)
    {67, 961, 115, 2, Smoke::mf_const, 254, 57},	//1237 Akonadi::EntityTreeModel::index(int, int) const
    {67, 934, 0, 0, Smoke::mf_const, 360, 58},	//1238 Akonadi::EntityTreeModel::hasChildren() const
    {67, 1073, 370, 3, Smoke::mf_const, 250, 59},	//1239 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&) const
    {67, 1073, 374, 4, Smoke::mf_const, 250, 60},	//1240 Akonadi::EntityTreeModel::match(const QModelIndex&, int, const QVariant&, int) const
    {67, 883, 419, 2, Smoke::mf_const|Smoke::mf_protected, 280, 61},	//1241 Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    {67, 883, 422, 2, Smoke::mf_const|Smoke::mf_protected, 280, 62},	//1242 Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    {67, 246, 425, 2, Smoke::mf_ctor|Smoke::mf_protected, 99, 63},	//1243 Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    {67, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 64},	//1244 Akonadi::EntityTreeModel::staticMetaObject() const
    {67, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 65},	//1245 Akonadi::EntityTreeModel::ItemIdRole (enum)
    {67, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 66},	//1246 Akonadi::EntityTreeModel::ItemRole (enum)
    {67, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 67},	//1247 Akonadi::EntityTreeModel::MimeTypeRole (enum)
    {67, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 68},	//1248 Akonadi::EntityTreeModel::CollectionIdRole (enum)
    {67, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 69},	//1249 Akonadi::EntityTreeModel::CollectionRole (enum)
    {67, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 70},	//1250 Akonadi::EntityTreeModel::RemoteIdRole (enum)
    {67, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 71},	//1251 Akonadi::EntityTreeModel::CollectionChildOrderRole (enum)
    {67, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 72},	//1252 Akonadi::EntityTreeModel::AmazingCompletionRole (enum)
    {67, 433, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 73},	//1253 Akonadi::EntityTreeModel::ParentCollectionRole (enum)
    {67, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 74},	//1254 Akonadi::EntityTreeModel::ColumnCountRole (enum)
    {67, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 75},	//1255 Akonadi::EntityTreeModel::LoadedPartsRole (enum)
    {67, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 76},	//1256 Akonadi::EntityTreeModel::AvailablePartsRole (enum)
    {67, 502, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 77},	//1257 Akonadi::EntityTreeModel::SessionRole (enum)
    {67, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 78},	//1258 Akonadi::EntityTreeModel::CollectionRefRole (enum)
    {67, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 79},	//1259 Akonadi::EntityTreeModel::CollectionDerefRole (enum)
    {67, 443, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 80},	//1260 Akonadi::EntityTreeModel::PendingCutRole (enum)
    {67, 255, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 81},	//1261 Akonadi::EntityTreeModel::EntityUrlRole (enum)
    {67, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 82},	//1262 Akonadi::EntityTreeModel::UnreadCountRole (enum)
    {67, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 83},	//1263 Akonadi::EntityTreeModel::FetchStateRole (enum)
    {67, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 84},	//1264 Akonadi::EntityTreeModel::CollectionSyncProgressRole (enum)
    {67, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 85},	//1265 Akonadi::EntityTreeModel::UserRole (enum)
    {67, 534, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 86},	//1266 Akonadi::EntityTreeModel::TerminalUserRole (enum)
    {67, 232, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 87},	//1267 Akonadi::EntityTreeModel::EndRole (enum)
    {67, 286, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 88},	//1268 Akonadi::EntityTreeModel::IdleState (enum)
    {67, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 89},	//1269 Akonadi::EntityTreeModel::FetchingState (enum)
    {67, 245, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 90},	//1270 Akonadi::EntityTreeModel::EntityTreeHeaders (enum)
    {67, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 91},	//1271 Akonadi::EntityTreeModel::CollectionTreeHeaders (enum)
    {67, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 92},	//1272 Akonadi::EntityTreeModel::ItemListHeaders (enum)
    {67, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 93},	//1273 Akonadi::EntityTreeModel::UserHeaders (enum)
    {67, 231, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 94},	//1274 Akonadi::EntityTreeModel::EndHeaderGroup (enum)
    {67, 415, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 95},	//1275 Akonadi::EntityTreeModel::NoItemPopulation (enum)
    {67, 288, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 96},	//1276 Akonadi::EntityTreeModel::ImmediatePopulation (enum)
    {67, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 103, 97},	//1277 Akonadi::EntityTreeModel::LazyPopulation (enum)
    {67, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 98},	//1278 Akonadi::EntityTreeModel::FetchNoCollections (enum)
    {67, 269, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 99},	//1279 Akonadi::EntityTreeModel::FetchFirstLevelChildCollections (enum)
    {67, 268, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 100},	//1280 Akonadi::EntityTreeModel::FetchCollectionsRecursive (enum)
    {67, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 101},	//1281 Akonadi::EntityTreeModel::InvisibleCollectionFetch (enum)
    {67, 1671, 0, 0, Smoke::mf_dtor, 0, 102 },	//1282 Akonadi::EntityTreeModel::~EntityTreeModel()
    {69, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1283 Akonadi::EntityTreeView::metaObject() const
    {69, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1284 Akonadi::EntityTreeView::qt_metacast(const char*)
    {69, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1285 Akonadi::EntityTreeView::tr(const char*, const char*)
    {69, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1286 Akonadi::EntityTreeView::trUtf8(const char*, const char*)
    {69, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1287 Akonadi::EntityTreeView::tr(const char*, const char*, int)
    {69, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1288 Akonadi::EntityTreeView::trUtf8(const char*, const char*, int)
    {69, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1289 Akonadi::EntityTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {69, 250, 85, 1, Smoke::mf_ctor, 106, 8},	//1290 Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    {69, 250, 262, 2, Smoke::mf_ctor, 106, 9},	//1291 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*, QWidget*)
    {69, 1494, 267, 1, 0, 0, 10},	//1292 Akonadi::EntityTreeView::setXmlGuiClient(KXMLGUIClient*)
    {69, 1402, 157, 1, Smoke::mf_virtual, 0, 11},	//1293 Akonadi::EntityTreeView::setModel(QAbstractItemModel*)
    {69, 1315, 45, 1, 0, 0, 12},	//1294 Akonadi::EntityTreeView::setDropActionMenuEnabled(bool)
    {69, 998, 0, 0, Smoke::mf_const, 360, 13},	//1295 Akonadi::EntityTreeView::isDropActionMenuEnabled() const
    {69, 738, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1296 Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    {69, 738, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1297 Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    {69, 859, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1298 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    {69, 859, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1299 Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    {69, 820, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1300 Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    {69, 820, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1301 Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    {69, 820, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//1302 Akonadi::EntityTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {69, 1521, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1303 Akonadi::EntityTreeView::startDrag(QFlags<Qt::DropAction>)
    {69, 864, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//1304 Akonadi::EntityTreeView::dragMoveEvent(QDragMoveEvent*)
    {69, 868, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//1305 Akonadi::EntityTreeView::dropEvent(QDropEvent*)
    {69, 1557, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//1306 Akonadi::EntityTreeView::timerEvent(QTimerEvent*)
    {69, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1307 Akonadi::EntityTreeView::contextMenuEvent(QContextMenuEvent*)
    {69, 1561, 21, 1, Smoke::mf_static, 270, 26},	//1308 Akonadi::EntityTreeView::tr(const char*)
    {69, 1565, 21, 1, Smoke::mf_static, 270, 27},	//1309 Akonadi::EntityTreeView::trUtf8(const char*)
    {69, 250, 0, 0, Smoke::mf_ctor, 106, 28},	//1310 Akonadi::EntityTreeView::EntityTreeView()
    {69, 250, 267, 1, Smoke::mf_ctor, 106, 29},	//1311 Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    {69, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 30},	//1312 Akonadi::EntityTreeView::staticMetaObject() const
    {69, 1672, 0, 0, Smoke::mf_dtor, 0, 31 },	//1313 Akonadi::EntityTreeView::~EntityTreeView()
    {70, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1314 Akonadi::EntityTreeViewStateSaver::metaObject() const
    {70, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1315 Akonadi::EntityTreeViewStateSaver::qt_metacast(const char*)
    {70, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1316 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*)
    {70, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1317 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*)
    {70, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1318 Akonadi::EntityTreeViewStateSaver::tr(const char*, const char*, int)
    {70, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1319 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*, const char*, int)
    {70, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1320 Akonadi::EntityTreeViewStateSaver::qt_metacall(QMetaObject::Call, int, void**)
    {70, 253, 250, 1, Smoke::mf_ctor, 107, 8},	//1321 Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver(QTreeView*)
    {70, 1199, 430, 1, Smoke::mf_const, 0, 9},	//1322 Akonadi::EntityTreeViewStateSaver::saveState(KConfigGroup&) const
    {70, 1176, 432, 1, Smoke::mf_const, 0, 10},	//1323 Akonadi::EntityTreeViewStateSaver::restoreState(const KConfigGroup&) const
    {70, 1561, 21, 1, Smoke::mf_static, 270, 11},	//1324 Akonadi::EntityTreeViewStateSaver::tr(const char*)
    {70, 1565, 21, 1, Smoke::mf_static, 270, 12},	//1325 Akonadi::EntityTreeViewStateSaver::trUtf8(const char*)
    {70, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//1326 Akonadi::EntityTreeViewStateSaver::staticMetaObject() const
    {70, 1673, 0, 0, Smoke::mf_dtor, 0, 14 },	//1327 Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver()
    {71, 260, 21, 1, Smoke::mf_ctor, 108, 1},	//1328 Akonadi::Exception::Exception(const char*)
    {71, 260, 6, 1, Smoke::mf_ctor, 108, 2},	//1329 Akonadi::Exception::Exception(const QByteArray&)
    {71, 260, 8, 1, Smoke::mf_ctor, 108, 3},	//1330 Akonadi::Exception::Exception(const QString&)
    {71, 260, 434, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 108, 4},	//1331 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {71, 1605, 0, 0, Smoke::mf_const, 443, 5},	//1332 Akonadi::Exception::what() const
    {71, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 6},	//1333 Akonadi::Exception::type() const
    {71, 1674, 0, 0, Smoke::mf_dtor, 0, 7 },	//1334 Akonadi::Exception::~Exception()
    {72, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1335 Akonadi::FavoriteCollectionsModel::metaObject() const
    {72, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1336 Akonadi::FavoriteCollectionsModel::qt_metacast(const char*)
    {72, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1337 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*)
    {72, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1338 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*)
    {72, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1339 Akonadi::FavoriteCollectionsModel::tr(const char*, const char*, int)
    {72, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1340 Akonadi::FavoriteCollectionsModel::trUtf8(const char*, const char*, int)
    {72, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1341 Akonadi::FavoriteCollectionsModel::qt_metacall(QMetaObject::Call, int, void**)
    {72, 265, 436, 3, Smoke::mf_ctor, 109, 8},	//1342 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&, QObject*)
    {72, 768, 0, 0, Smoke::mf_const, 245, 9},	//1343 Akonadi::FavoriteCollectionsModel::collections() const
    {72, 755, 0, 0, Smoke::mf_const, 244, 10},	//1344 Akonadi::FavoriteCollectionsModel::collectionIds() const
    {72, 897, 61, 1, 0, 270, 11},	//1345 Akonadi::FavoriteCollectionsModel::favoriteLabel(const Akonadi::Collection&)
    {72, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1346 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&, int) const
    {72, 1304, 108, 3, Smoke::mf_virtual, 360, 13},	//1347 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&, int)
    {72, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 14},	//1348 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation, int) const
    {72, 870, 207, 5, Smoke::mf_virtual, 360, 15},	//1349 Akonadi::FavoriteCollectionsModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {72, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 16},	//1350 Akonadi::FavoriteCollectionsModel::mimeTypes() const
    {72, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 17},	//1351 Akonadi::FavoriteCollectionsModel::flags(const QModelIndex&) const
    {72, 1274, 189, 1, Smoke::mf_slot, 0, 18},	//1352 Akonadi::FavoriteCollectionsModel::setCollections(const Akonadi::Collection::List&)
    {72, 661, 61, 1, Smoke::mf_slot, 0, 19},	//1353 Akonadi::FavoriteCollectionsModel::addCollection(const Akonadi::Collection&)
    {72, 1157, 61, 1, Smoke::mf_slot, 0, 20},	//1354 Akonadi::FavoriteCollectionsModel::removeCollection(const Akonadi::Collection&)
    {72, 1322, 440, 2, Smoke::mf_slot, 0, 21},	//1355 Akonadi::FavoriteCollectionsModel::setFavoriteLabel(const Akonadi::Collection&, const QString&)
    {72, 1561, 21, 1, Smoke::mf_static, 270, 22},	//1356 Akonadi::FavoriteCollectionsModel::tr(const char*)
    {72, 1565, 21, 1, Smoke::mf_static, 270, 23},	//1357 Akonadi::FavoriteCollectionsModel::trUtf8(const char*)
    {72, 265, 443, 2, Smoke::mf_ctor, 109, 24},	//1358 Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel(QAbstractItemModel*, const KConfigGroup&)
    {72, 828, 95, 1, Smoke::mf_const, 280, 25},	//1359 Akonadi::FavoriteCollectionsModel::data(const QModelIndex&) const
    {72, 1304, 222, 2, 0, 360, 26},	//1360 Akonadi::FavoriteCollectionsModel::setData(const QModelIndex&, const QVariant&)
    {72, 939, 112, 2, Smoke::mf_const, 280, 27},	//1361 Akonadi::FavoriteCollectionsModel::headerData(int, Qt::Orientation) const
    {72, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 28},	//1362 Akonadi::FavoriteCollectionsModel::staticMetaObject() const
    {72, 1675, 0, 0, Smoke::mf_dtor, 0, 29 },	//1363 Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel()
    {73, 300, 0, 0, Smoke::mf_ctor, 112, 1},	//1364 Akonadi::Item::Item()
    {73, 300, 146, 1, Smoke::mf_ctor, 112, 2},	//1365 Akonadi::Item::Item(long long)
    {73, 300, 8, 1, Smoke::mf_ctor, 112, 3},	//1366 Akonadi::Item::Item(const QString&)
    {73, 300, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 112, 4},	//1367 Akonadi::Item::Item(const Akonadi::Item&)
    {73, 929, 148, 1, Smoke::mf_static, 110, 5},	//1368 Akonadi::Item::fromUrl(const KUrl&)
    {73, 922, 0, 0, Smoke::mf_const, 266, 6},	//1369 Akonadi::Item::flags() const
    {73, 1096, 0, 0, Smoke::mf_const, 216, 7},	//1370 Akonadi::Item::modificationTime() const
    {73, 1405, 446, 1, 0, 0, 8},	//1371 Akonadi::Item::setModificationTime(const QDateTime&)
    {73, 936, 6, 1, Smoke::mf_const, 360, 9},	//1372 Akonadi::Item::hasFlag(const QByteArray&) const
    {73, 1330, 6, 1, 0, 0, 10},	//1373 Akonadi::Item::setFlag(const QByteArray&)
    {73, 734, 6, 1, 0, 0, 11},	//1374 Akonadi::Item::clearFlag(const QByteArray&)
    {73, 1332, 448, 1, 0, 0, 12},	//1375 Akonadi::Item::setFlags(const QSet<QByteArray>&)
    {73, 736, 0, 0, 0, 0, 13},	//1376 Akonadi::Item::clearFlags()
    {73, 1424, 6, 1, 0, 0, 14},	//1377 Akonadi::Item::setPayloadFromData(const QByteArray&)
    {73, 1128, 0, 0, Smoke::mf_const, 209, 15},	//1378 Akonadi::Item::payloadData() const
    {73, 1064, 0, 0, Smoke::mf_const, 266, 16},	//1379 Akonadi::Item::loadedPayloadParts() const
    {73, 737, 0, 0, 0, 0, 17},	//1380 Akonadi::Item::clearPayload()
    {73, 1450, 41, 1, 0, 0, 18},	//1381 Akonadi::Item::setRevision(int)
    {73, 1186, 0, 0, Smoke::mf_const, 447, 19},	//1382 Akonadi::Item::revision() const
    {73, 1536, 0, 0, Smoke::mf_const, 450, 20},	//1383 Akonadi::Item::storageCollectionId() const
    {73, 1465, 146, 1, 0, 0, 21},	//1384 Akonadi::Item::setSize(long long)
    {73, 1506, 0, 0, Smoke::mf_const, 450, 22},	//1385 Akonadi::Item::size() const
    {73, 1395, 8, 1, 0, 0, 23},	//1386 Akonadi::Item::setMimeType(const QString&)
    {73, 1082, 0, 0, Smoke::mf_const, 270, 24},	//1387 Akonadi::Item::mimeType() const
    {73, 703, 0, 0, Smoke::mf_const, 282, 25},	//1388 Akonadi::Item::availablePayloadMetaTypeIds() const
    {73, 938, 0, 0, Smoke::mf_const, 360, 26},	//1389 Akonadi::Item::hasPayload() const
    {73, 1586, 450, 1, Smoke::mf_const, 197, 27},	//1390 Akonadi::Item::url(Akonadi::Item::UrlType) const
    {73, 704, 0, 0, Smoke::mf_const, 266, 28},	//1391 Akonadi::Item::availablePayloadParts() const
    {73, 693, 56, 1, 0, 0, 29},	//1392 Akonadi::Item::apply(const Akonadi::Item&)
    {73, 1586, 0, 0, Smoke::mf_const, 197, 30},	//1393 Akonadi::Item::url() const
    {73, 277, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 443, 31},	//1394 Akonadi::Item::FullPayload() const
    {73, 1336, 21, 1, Smoke::mf_static|Smoke::mf_attribute, 0, 32},	//1395 Akonadi::Item::setFullPayload(const char*)
    {73, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 33},	//1396 Akonadi::Item::UrlShort (enum)
    {73, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 113, 34},	//1397 Akonadi::Item::UrlWithMimeType (enum)
    {73, 1676, 0, 0, Smoke::mf_dtor, 0, 35 },	//1398 Akonadi::Item::~Item()
    {74, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1399 Akonadi::ItemCopyJob::metaObject() const
    {74, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1400 Akonadi::ItemCopyJob::qt_metacast(const char*)
    {74, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1401 Akonadi::ItemCopyJob::tr(const char*, const char*)
    {74, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1402 Akonadi::ItemCopyJob::trUtf8(const char*, const char*)
    {74, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1403 Akonadi::ItemCopyJob::tr(const char*, const char*, int)
    {74, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1404 Akonadi::ItemCopyJob::trUtf8(const char*, const char*, int)
    {74, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1405 Akonadi::ItemCopyJob::qt_metacall(QMetaObject::Call, int, void**)
    {74, 303, 452, 3, Smoke::mf_ctor, 114, 8},	//1406 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {74, 303, 456, 3, Smoke::mf_ctor, 114, 9},	//1407 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {74, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1408 Akonadi::ItemCopyJob::doStart()
    {74, 1561, 21, 1, Smoke::mf_static, 270, 11},	//1409 Akonadi::ItemCopyJob::tr(const char*)
    {74, 1565, 21, 1, Smoke::mf_static, 270, 12},	//1410 Akonadi::ItemCopyJob::trUtf8(const char*)
    {74, 303, 50, 2, Smoke::mf_ctor, 114, 13},	//1411 Akonadi::ItemCopyJob::ItemCopyJob(const Akonadi::Item&, const Akonadi::Collection&)
    {74, 303, 460, 2, Smoke::mf_ctor, 114, 14},	//1412 Akonadi::ItemCopyJob::ItemCopyJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {74, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//1413 Akonadi::ItemCopyJob::staticMetaObject() const
    {74, 1677, 0, 0, Smoke::mf_dtor, 0, 16 },	//1414 Akonadi::ItemCopyJob::~ItemCopyJob()
    {75, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1415 Akonadi::ItemCreateJob::metaObject() const
    {75, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1416 Akonadi::ItemCreateJob::qt_metacast(const char*)
    {75, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1417 Akonadi::ItemCreateJob::tr(const char*, const char*)
    {75, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1418 Akonadi::ItemCreateJob::trUtf8(const char*, const char*)
    {75, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1419 Akonadi::ItemCreateJob::tr(const char*, const char*, int)
    {75, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1420 Akonadi::ItemCreateJob::trUtf8(const char*, const char*, int)
    {75, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1421 Akonadi::ItemCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {75, 308, 452, 3, Smoke::mf_ctor, 115, 8},	//1422 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {75, 1016, 0, 0, Smoke::mf_const, 110, 9},	//1423 Akonadi::ItemCreateJob::item() const
    {75, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1424 Akonadi::ItemCreateJob::doStart()
    {75, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1425 Akonadi::ItemCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {75, 1561, 21, 1, Smoke::mf_static, 270, 12},	//1426 Akonadi::ItemCreateJob::tr(const char*)
    {75, 1565, 21, 1, Smoke::mf_static, 270, 13},	//1427 Akonadi::ItemCreateJob::trUtf8(const char*)
    {75, 308, 50, 2, Smoke::mf_ctor, 115, 14},	//1428 Akonadi::ItemCreateJob::ItemCreateJob(const Akonadi::Item&, const Akonadi::Collection&)
    {75, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//1429 Akonadi::ItemCreateJob::staticMetaObject() const
    {75, 1678, 0, 0, Smoke::mf_dtor, 0, 16 },	//1430 Akonadi::ItemCreateJob::~ItemCreateJob()
    {76, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1431 Akonadi::ItemDeleteJob::metaObject() const
    {76, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1432 Akonadi::ItemDeleteJob::qt_metacast(const char*)
    {76, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1433 Akonadi::ItemDeleteJob::tr(const char*, const char*)
    {76, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1434 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*)
    {76, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1435 Akonadi::ItemDeleteJob::tr(const char*, const char*, int)
    {76, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1436 Akonadi::ItemDeleteJob::trUtf8(const char*, const char*, int)
    {76, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1437 Akonadi::ItemDeleteJob::qt_metacall(QMetaObject::Call, int, void**)
    {76, 311, 463, 2, Smoke::mf_ctor, 116, 8},	//1438 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    {76, 311, 466, 2, Smoke::mf_ctor, 116, 9},	//1439 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&, QObject*)
    {76, 311, 163, 2, Smoke::mf_ctor, 116, 10},	//1440 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    {76, 834, 0, 0, Smoke::mf_const, 247, 11},	//1441 Akonadi::ItemDeleteJob::deletedItems() const
    {76, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1442 Akonadi::ItemDeleteJob::doStart()
    {76, 1561, 21, 1, Smoke::mf_static, 270, 13},	//1443 Akonadi::ItemDeleteJob::tr(const char*)
    {76, 1565, 21, 1, Smoke::mf_static, 270, 14},	//1444 Akonadi::ItemDeleteJob::trUtf8(const char*)
    {76, 311, 56, 1, Smoke::mf_ctor, 116, 15},	//1445 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    {76, 311, 469, 1, Smoke::mf_ctor, 116, 16},	//1446 Akonadi::ItemDeleteJob::ItemDeleteJob(const QList<Akonadi::Item>&)
    {76, 311, 61, 1, Smoke::mf_ctor, 116, 17},	//1447 Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    {76, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 18},	//1448 Akonadi::ItemDeleteJob::staticMetaObject() const
    {76, 1679, 0, 0, Smoke::mf_dtor, 0, 19 },	//1449 Akonadi::ItemDeleteJob::~ItemDeleteJob()
    {77, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1450 Akonadi::ItemFetchJob::metaObject() const
    {77, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1451 Akonadi::ItemFetchJob::qt_metacast(const char*)
    {77, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1452 Akonadi::ItemFetchJob::tr(const char*, const char*)
    {77, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1453 Akonadi::ItemFetchJob::trUtf8(const char*, const char*)
    {77, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1454 Akonadi::ItemFetchJob::tr(const char*, const char*, int)
    {77, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1455 Akonadi::ItemFetchJob::trUtf8(const char*, const char*, int)
    {77, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1456 Akonadi::ItemFetchJob::qt_metacall(QMetaObject::Call, int, void**)
    {77, 316, 163, 2, Smoke::mf_ctor, 117, 8},	//1457 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    {77, 316, 463, 2, Smoke::mf_ctor, 117, 9},	//1458 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    {77, 316, 466, 2, Smoke::mf_ctor, 117, 10},	//1459 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&, QObject*)
    {77, 1042, 0, 0, Smoke::mf_const, 247, 11},	//1460 Akonadi::ItemFetchJob::items() const
    {77, 1328, 471, 1, 0, 0, 12},	//1461 Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    {77, 1328, 473, 1, 0, 0, 13},	//1462 Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {77, 916, 0, 0, 0, 118, 14},	//1463 Akonadi::ItemFetchJob::fetchScope()
    {77, 1259, 61, 1, 0, 0, 15},	//1464 Akonadi::ItemFetchJob::setCollection(const Akonadi::Collection&)
    {77, 1045, 475, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1465 Akonadi::ItemFetchJob::itemsReceived(const Akonadi::Item::List&)
    {77, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1466 Akonadi::ItemFetchJob::doStart()
    {77, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1467 Akonadi::ItemFetchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {77, 1561, 21, 1, Smoke::mf_static, 270, 19},	//1468 Akonadi::ItemFetchJob::tr(const char*)
    {77, 1565, 21, 1, Smoke::mf_static, 270, 20},	//1469 Akonadi::ItemFetchJob::trUtf8(const char*)
    {77, 316, 61, 1, Smoke::mf_ctor, 117, 21},	//1470 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    {77, 316, 56, 1, Smoke::mf_ctor, 117, 22},	//1471 Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    {77, 316, 469, 1, Smoke::mf_ctor, 117, 23},	//1472 Akonadi::ItemFetchJob::ItemFetchJob(const QList<Akonadi::Item>&)
    {77, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 24},	//1473 Akonadi::ItemFetchJob::staticMetaObject() const
    {77, 1680, 0, 0, Smoke::mf_dtor, 0, 25 },	//1474 Akonadi::ItemFetchJob::~ItemFetchJob()
    {78, 321, 0, 0, Smoke::mf_ctor, 119, 1},	//1475 Akonadi::ItemFetchScope::ItemFetchScope()
    {78, 321, 473, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 119, 2},	//1476 Akonadi::ItemFetchScope::ItemFetchScope(const Akonadi::ItemFetchScope&)
    {78, 1111, 473, 1, 0, 118, 3},	//1477 Akonadi::ItemFetchScope::operator=(const Akonadi::ItemFetchScope&)
    {78, 1129, 0, 0, Smoke::mf_const, 266, 4},	//1478 Akonadi::ItemFetchScope::payloadParts() const
    {78, 913, 477, 2, 0, 0, 5},	//1479 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&, bool)
    {78, 931, 0, 0, Smoke::mf_const, 360, 6},	//1480 Akonadi::ItemFetchScope::fullPayload() const
    {78, 908, 45, 1, 0, 0, 7},	//1481 Akonadi::ItemFetchScope::fetchFullPayload(bool)
    {78, 698, 0, 0, Smoke::mf_const, 266, 8},	//1482 Akonadi::ItemFetchScope::attributes() const
    {78, 901, 477, 2, 0, 0, 9},	//1483 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&, bool)
    {78, 689, 0, 0, Smoke::mf_const, 360, 10},	//1484 Akonadi::ItemFetchScope::allAttributes() const
    {78, 899, 45, 1, 0, 0, 11},	//1485 Akonadi::ItemFetchScope::fetchAllAttributes(bool)
    {78, 708, 0, 0, Smoke::mf_const, 360, 12},	//1486 Akonadi::ItemFetchScope::cacheOnly() const
    {78, 1246, 45, 1, 0, 0, 13},	//1487 Akonadi::ItemFetchScope::setCacheOnly(bool)
    {78, 1237, 480, 1, 0, 0, 14},	//1488 Akonadi::ItemFetchScope::setAncestorRetrieval(Akonadi::ItemFetchScope::AncestorRetrieval)
    {78, 692, 0, 0, Smoke::mf_const, 120, 15},	//1489 Akonadi::ItemFetchScope::ancestorRetrieval() const
    {78, 1326, 45, 1, 0, 0, 16},	//1490 Akonadi::ItemFetchScope::setFetchModificationTime(bool)
    {78, 910, 0, 0, Smoke::mf_const, 360, 17},	//1491 Akonadi::ItemFetchScope::fetchModificationTime() const
    {78, 999, 0, 0, Smoke::mf_const, 360, 18},	//1492 Akonadi::ItemFetchScope::isEmpty() const
    {78, 913, 6, 1, 0, 0, 19},	//1493 Akonadi::ItemFetchScope::fetchPayloadPart(const QByteArray&)
    {78, 908, 0, 0, 0, 0, 20},	//1494 Akonadi::ItemFetchScope::fetchFullPayload()
    {78, 901, 6, 1, 0, 0, 21},	//1495 Akonadi::ItemFetchScope::fetchAttribute(const QByteArray&)
    {78, 899, 0, 0, 0, 0, 22},	//1496 Akonadi::ItemFetchScope::fetchAllAttributes()
    {78, 419, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 23},	//1497 Akonadi::ItemFetchScope::None (enum)
    {78, 432, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 24},	//1498 Akonadi::ItemFetchScope::Parent (enum)
    {78, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 25},	//1499 Akonadi::ItemFetchScope::All (enum)
    {78, 1681, 0, 0, Smoke::mf_dtor, 0, 26 },	//1500 Akonadi::ItemFetchScope::~ItemFetchScope()
    {79, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1501 Akonadi::ItemModel::metaObject() const
    {79, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1502 Akonadi::ItemModel::qt_metacast(const char*)
    {79, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1503 Akonadi::ItemModel::tr(const char*, const char*)
    {79, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1504 Akonadi::ItemModel::trUtf8(const char*, const char*)
    {79, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1505 Akonadi::ItemModel::tr(const char*, const char*, int)
    {79, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1506 Akonadi::ItemModel::trUtf8(const char*, const char*, int)
    {79, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1507 Akonadi::ItemModel::qt_metacall(QMetaObject::Call, int, void**)
    {79, 325, 78, 1, Smoke::mf_ctor, 121, 8},	//1508 Akonadi::ItemModel::ItemModel(QObject*)
    {79, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 9},	//1509 Akonadi::ItemModel::columnCount(const QModelIndex&) const
    {79, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 10},	//1510 Akonadi::ItemModel::data(const QModelIndex&, int) const
    {79, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 11},	//1511 Akonadi::ItemModel::rowCount(const QModelIndex&) const
    {79, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1512 Akonadi::ItemModel::headerData(int, Qt::Orientation, int) const
    {79, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 13},	//1513 Akonadi::ItemModel::flags(const QModelIndex&) const
    {79, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 14},	//1514 Akonadi::ItemModel::mimeData(const QList<QModelIndex>&) const
    {79, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 15},	//1515 Akonadi::ItemModel::mimeTypes() const
    {79, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 16},	//1516 Akonadi::ItemModel::supportedDropActions() const
    {79, 1328, 473, 1, 0, 0, 17},	//1517 Akonadi::ItemModel::setFetchScope(const Akonadi::ItemFetchScope&)
    {79, 916, 0, 0, 0, 118, 18},	//1518 Akonadi::ItemModel::fetchScope()
    {79, 1024, 95, 1, Smoke::mf_const, 110, 19},	//1519 Akonadi::ItemModel::itemForIndex(const QModelIndex&) const
    {79, 965, 482, 2, Smoke::mf_const, 254, 20},	//1520 Akonadi::ItemModel::indexForItem(const Akonadi::Item&, const int) const
    {79, 870, 207, 5, Smoke::mf_virtual, 360, 21},	//1521 Akonadi::ItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {79, 743, 0, 0, Smoke::mf_const, 34, 22},	//1522 Akonadi::ItemModel::collection() const
    {79, 1259, 61, 1, Smoke::mf_slot, 0, 23},	//1523 Akonadi::ItemModel::setCollection(const Akonadi::Collection&)
    {79, 748, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//1524 Akonadi::ItemModel::collectionChanged(const Akonadi::Collection&)
    {79, 1225, 0, 0, Smoke::mf_const|Smoke::mf_protected, 158, 25},	//1525 Akonadi::ItemModel::session() const
    {79, 1561, 21, 1, Smoke::mf_static, 270, 26},	//1526 Akonadi::ItemModel::tr(const char*)
    {79, 1565, 21, 1, Smoke::mf_static, 270, 27},	//1527 Akonadi::ItemModel::trUtf8(const char*)
    {79, 325, 0, 0, Smoke::mf_ctor, 121, 28},	//1528 Akonadi::ItemModel::ItemModel()
    {79, 777, 0, 0, Smoke::mf_const, 447, 29},	//1529 Akonadi::ItemModel::columnCount() const
    {79, 828, 95, 1, Smoke::mf_const, 280, 30},	//1530 Akonadi::ItemModel::data(const QModelIndex&) const
    {79, 1191, 0, 0, Smoke::mf_const, 447, 31},	//1531 Akonadi::ItemModel::rowCount() const
    {79, 939, 112, 2, Smoke::mf_const, 280, 32},	//1532 Akonadi::ItemModel::headerData(int, Qt::Orientation) const
    {79, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 33},	//1533 Akonadi::ItemModel::staticMetaObject() const
    {79, 282, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 34},	//1534 Akonadi::ItemModel::Id (enum)
    {79, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 35},	//1535 Akonadi::ItemModel::RemoteId (enum)
    {79, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 36},	//1536 Akonadi::ItemModel::MimeType (enum)
    {79, 283, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 37},	//1537 Akonadi::ItemModel::IdRole (enum)
    {79, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 38},	//1538 Akonadi::ItemModel::ItemRole (enum)
    {79, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 39},	//1539 Akonadi::ItemModel::MimeTypeRole (enum)
    {79, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 40},	//1540 Akonadi::ItemModel::UserRole (enum)
    {79, 1682, 0, 0, Smoke::mf_dtor, 0, 41 },	//1541 Akonadi::ItemModel::~ItemModel()
    {80, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1542 Akonadi::ItemModifyJob::metaObject() const
    {80, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1543 Akonadi::ItemModifyJob::qt_metacast(const char*)
    {80, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1544 Akonadi::ItemModifyJob::tr(const char*, const char*)
    {80, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1545 Akonadi::ItemModifyJob::trUtf8(const char*, const char*)
    {80, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1546 Akonadi::ItemModifyJob::tr(const char*, const char*, int)
    {80, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1547 Akonadi::ItemModifyJob::trUtf8(const char*, const char*, int)
    {80, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1548 Akonadi::ItemModifyJob::qt_metacall(QMetaObject::Call, int, void**)
    {80, 327, 463, 2, Smoke::mf_ctor, 124, 8},	//1549 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&, QObject*)
    {80, 327, 466, 2, Smoke::mf_ctor, 124, 9},	//1550 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&, QObject*)
    {80, 1354, 45, 1, 0, 0, 10},	//1551 Akonadi::ItemModifyJob::setIgnorePayload(bool)
    {80, 952, 0, 0, Smoke::mf_const, 360, 11},	//1552 Akonadi::ItemModifyJob::ignorePayload() const
    {80, 844, 0, 0, 0, 0, 12},	//1553 Akonadi::ItemModifyJob::disableRevisionCheck()
    {80, 1016, 0, 0, Smoke::mf_const, 110, 13},	//1554 Akonadi::ItemModifyJob::item() const
    {80, 1042, 0, 0, Smoke::mf_const, 247, 14},	//1555 Akonadi::ItemModifyJob::items() const
    {80, 843, 0, 0, 0, 0, 15},	//1556 Akonadi::ItemModifyJob::disableAutomaticConflictHandling()
    {80, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1557 Akonadi::ItemModifyJob::doStart()
    {80, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//1558 Akonadi::ItemModifyJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {80, 1561, 21, 1, Smoke::mf_static, 270, 18},	//1559 Akonadi::ItemModifyJob::tr(const char*)
    {80, 1565, 21, 1, Smoke::mf_static, 270, 19},	//1560 Akonadi::ItemModifyJob::trUtf8(const char*)
    {80, 327, 56, 1, Smoke::mf_ctor, 124, 20},	//1561 Akonadi::ItemModifyJob::ItemModifyJob(const Akonadi::Item&)
    {80, 327, 469, 1, Smoke::mf_ctor, 124, 21},	//1562 Akonadi::ItemModifyJob::ItemModifyJob(const QList<Akonadi::Item>&)
    {80, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 22},	//1563 Akonadi::ItemModifyJob::staticMetaObject() const
    {80, 1683, 0, 0, Smoke::mf_dtor, 0, 23 },	//1564 Akonadi::ItemModifyJob::~ItemModifyJob()
    {81, 332, 0, 0, Smoke::mf_ctor, 125, 1},	//1565 Akonadi::ItemMonitor::ItemMonitor()
    {81, 1370, 56, 1, 0, 0, 2},	//1566 Akonadi::ItemMonitor::setItem(const Akonadi::Item&)
    {81, 1016, 0, 0, Smoke::mf_const, 110, 3},	//1567 Akonadi::ItemMonitor::item() const
    {81, 1019, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 4},	//1568 Akonadi::ItemMonitor::itemChanged(const Akonadi::Item&)
    {81, 1033, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 5},	//1569 Akonadi::ItemMonitor::itemRemoved()
    {81, 1328, 473, 1, Smoke::mf_protected, 0, 6},	//1570 Akonadi::ItemMonitor::setFetchScope(const Akonadi::ItemFetchScope&)
    {81, 916, 0, 0, Smoke::mf_protected, 118, 7},	//1571 Akonadi::ItemMonitor::fetchScope()
    {81, 1684, 0, 0, Smoke::mf_dtor, 0, 8 },	//1572 Akonadi::ItemMonitor::~ItemMonitor()
    {82, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1573 Akonadi::ItemMoveJob::metaObject() const
    {82, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1574 Akonadi::ItemMoveJob::qt_metacast(const char*)
    {82, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1575 Akonadi::ItemMoveJob::tr(const char*, const char*)
    {82, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1576 Akonadi::ItemMoveJob::trUtf8(const char*, const char*)
    {82, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1577 Akonadi::ItemMoveJob::tr(const char*, const char*, int)
    {82, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1578 Akonadi::ItemMoveJob::trUtf8(const char*, const char*, int)
    {82, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1579 Akonadi::ItemMoveJob::qt_metacall(QMetaObject::Call, int, void**)
    {82, 333, 452, 3, Smoke::mf_ctor, 126, 8},	//1580 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&, QObject*)
    {82, 333, 456, 3, Smoke::mf_ctor, 126, 9},	//1581 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&, QObject*)
    {82, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//1582 Akonadi::ItemMoveJob::doStart()
    {82, 1561, 21, 1, Smoke::mf_static, 270, 11},	//1583 Akonadi::ItemMoveJob::tr(const char*)
    {82, 1565, 21, 1, Smoke::mf_static, 270, 12},	//1584 Akonadi::ItemMoveJob::trUtf8(const char*)
    {82, 333, 50, 2, Smoke::mf_ctor, 126, 13},	//1585 Akonadi::ItemMoveJob::ItemMoveJob(const Akonadi::Item&, const Akonadi::Collection&)
    {82, 333, 460, 2, Smoke::mf_ctor, 126, 14},	//1586 Akonadi::ItemMoveJob::ItemMoveJob(const QList<Akonadi::Item>&, const Akonadi::Collection&)
    {82, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//1587 Akonadi::ItemMoveJob::staticMetaObject() const
    {82, 1685, 0, 0, Smoke::mf_dtor, 0, 16 },	//1588 Akonadi::ItemMoveJob::~ItemMoveJob()
    {83, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1589 Akonadi::ItemSearchJob::metaObject() const
    {83, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1590 Akonadi::ItemSearchJob::qt_metacast(const char*)
    {83, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1591 Akonadi::ItemSearchJob::tr(const char*, const char*)
    {83, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1592 Akonadi::ItemSearchJob::trUtf8(const char*, const char*)
    {83, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1593 Akonadi::ItemSearchJob::tr(const char*, const char*, int)
    {83, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1594 Akonadi::ItemSearchJob::trUtf8(const char*, const char*, int)
    {83, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1595 Akonadi::ItemSearchJob::qt_metacall(QMetaObject::Call, int, void**)
    {83, 339, 90, 2, Smoke::mf_ctor, 127, 8},	//1596 Akonadi::ItemSearchJob::ItemSearchJob(const QString&, QObject*)
    {83, 1431, 8, 1, 0, 0, 9},	//1597 Akonadi::ItemSearchJob::setQuery(const QString&)
    {83, 1328, 473, 1, 0, 0, 10},	//1598 Akonadi::ItemSearchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    {83, 916, 0, 0, 0, 118, 11},	//1599 Akonadi::ItemSearchJob::fetchScope()
    {83, 1042, 0, 0, Smoke::mf_const, 247, 12},	//1600 Akonadi::ItemSearchJob::items() const
    {83, 688, 0, 0, Smoke::mf_static, 279, 13},	//1601 Akonadi::ItemSearchJob::akonadiItemIdUri()
    {83, 1045, 475, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1602 Akonadi::ItemSearchJob::itemsReceived(const Akonadi::Item::List&)
    {83, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//1603 Akonadi::ItemSearchJob::doStart()
    {83, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//1604 Akonadi::ItemSearchJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {83, 1561, 21, 1, Smoke::mf_static, 270, 17},	//1605 Akonadi::ItemSearchJob::tr(const char*)
    {83, 1565, 21, 1, Smoke::mf_static, 270, 18},	//1606 Akonadi::ItemSearchJob::trUtf8(const char*)
    {83, 339, 8, 1, Smoke::mf_ctor, 127, 19},	//1607 Akonadi::ItemSearchJob::ItemSearchJob(const QString&)
    {83, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 20},	//1608 Akonadi::ItemSearchJob::staticMetaObject() const
    {83, 1686, 0, 0, Smoke::mf_dtor, 0, 21 },	//1609 Akonadi::ItemSearchJob::~ItemSearchJob()
    {84, 837, 485, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 360, 1},	//1610 Akonadi::ItemSerializerPlugin::deserialize(Akonadi::Item&, const QByteArray&, QIODevice&, int) [pure virtual]
    {84, 1222, 490, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//1611 Akonadi::ItemSerializerPlugin::serialize(const Akonadi::Item&, const QByteArray&, QIODevice&, int&) [pure virtual]
    {84, 1126, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 266, 3},	//1612 Akonadi::ItemSerializerPlugin::parts(const Akonadi::Item&) const
    {84, 342, 0, 0, Smoke::mf_ctor, 128, 4},	//1613 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin()
    {84, 342, 495, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 128, 5},	//1614 Akonadi::ItemSerializerPlugin::ItemSerializerPlugin(const Akonadi::ItemSerializerPlugin&)
    {84, 1687, 0, 0, Smoke::mf_dtor, 0, 6 },	//1615 Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin()
    {85, 693, 497, 2, Smoke::mf_virtual, 0, 1},	//1616 Akonadi::ItemSerializerPluginV2::apply(Akonadi::Item&, const Akonadi::Item&)
    {85, 701, 56, 1, Smoke::mf_const|Smoke::mf_virtual, 266, 2},	//1617 Akonadi::ItemSerializerPluginV2::availableParts(const Akonadi::Item&) const
    {85, 344, 0, 0, Smoke::mf_ctor, 129, 3},	//1618 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2()
    {85, 344, 500, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 4},	//1619 Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2(const Akonadi::ItemSerializerPluginV2&)
    {85, 1688, 0, 0, Smoke::mf_dtor, 0, 5 },	//1620 Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2()
    {86, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1621 Akonadi::ItemSync::metaObject() const
    {86, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1622 Akonadi::ItemSync::qt_metacast(const char*)
    {86, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1623 Akonadi::ItemSync::tr(const char*, const char*)
    {86, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1624 Akonadi::ItemSync::trUtf8(const char*, const char*)
    {86, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1625 Akonadi::ItemSync::tr(const char*, const char*, int)
    {86, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1626 Akonadi::ItemSync::trUtf8(const char*, const char*, int)
    {86, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1627 Akonadi::ItemSync::qt_metacall(QMetaObject::Call, int, void**)
    {86, 346, 163, 2, Smoke::mf_ctor, 130, 8},	//1628 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&, QObject*)
    {86, 1338, 469, 1, 0, 0, 9},	//1629 Akonadi::ItemSync::setFullSyncItems(const QList<Akonadi::Item>&)
    {86, 1481, 41, 1, 0, 0, 10},	//1630 Akonadi::ItemSync::setTotalItems(int)
    {86, 1471, 45, 1, 0, 0, 11},	//1631 Akonadi::ItemSync::setStreamingEnabled(bool)
    {86, 835, 0, 0, 0, 0, 12},	//1632 Akonadi::ItemSync::deliveryDone()
    {86, 1362, 502, 2, 0, 0, 13},	//1633 Akonadi::ItemSync::setIncrementalSyncItems(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {86, 1328, 471, 1, 0, 0, 14},	//1634 Akonadi::ItemSync::setFetchScope(Akonadi::ItemFetchScope&)
    {86, 916, 0, 0, 0, 118, 15},	//1635 Akonadi::ItemSync::fetchScope()
    {86, 1188, 0, 0, 0, 0, 16},	//1636 Akonadi::ItemSync::rollback()
    {86, 1483, 505, 1, 0, 0, 17},	//1637 Akonadi::ItemSync::setTransactionMode(Akonadi::ItemSync::TransactionMode)
    {86, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1638 Akonadi::ItemSync::doStart()
    {86, 1513, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1639 Akonadi::ItemSync::slotResult(KJob*)
    {86, 1584, 507, 2, Smoke::mf_protected|Smoke::mf_virtual, 360, 20},	//1640 Akonadi::ItemSync::updateItem(const Akonadi::Item&, Akonadi::Item&)
    {86, 1561, 21, 1, Smoke::mf_static, 270, 21},	//1641 Akonadi::ItemSync::tr(const char*)
    {86, 1565, 21, 1, Smoke::mf_static, 270, 22},	//1642 Akonadi::ItemSync::trUtf8(const char*)
    {86, 346, 61, 1, Smoke::mf_ctor, 130, 23},	//1643 Akonadi::ItemSync::ItemSync(const Akonadi::Collection&)
    {86, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 24},	//1644 Akonadi::ItemSync::staticMetaObject() const
    {86, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 25},	//1645 Akonadi::ItemSync::SingleTransaction (enum)
    {86, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 26},	//1646 Akonadi::ItemSync::MultipleTransactions (enum)
    {86, 418, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 27},	//1647 Akonadi::ItemSync::NoTransaction (enum)
    {86, 1689, 0, 0, Smoke::mf_dtor, 0, 28 },	//1648 Akonadi::ItemSync::~ItemSync()
    {87, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1649 Akonadi::ItemView::metaObject() const
    {87, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1650 Akonadi::ItemView::qt_metacast(const char*)
    {87, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1651 Akonadi::ItemView::tr(const char*, const char*)
    {87, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1652 Akonadi::ItemView::trUtf8(const char*, const char*)
    {87, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1653 Akonadi::ItemView::tr(const char*, const char*, int)
    {87, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1654 Akonadi::ItemView::trUtf8(const char*, const char*, int)
    {87, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1655 Akonadi::ItemView::qt_metacall(QMetaObject::Call, int, void**)
    {87, 349, 85, 1, Smoke::mf_ctor, 132, 8},	//1656 Akonadi::ItemView::ItemView(QWidget*)
    {87, 349, 259, 2, Smoke::mf_ctor, 132, 9},	//1657 Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    {87, 349, 262, 2, Smoke::mf_ctor, 132, 10},	//1658 Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    {87, 1496, 265, 1, 0, 0, 11},	//1659 Akonadi::ItemView::setXmlGuiWindow(KXmlGuiWindow*)
    {87, 1494, 267, 1, 0, 0, 12},	//1660 Akonadi::ItemView::setXmlGuiClient(KXMLGUIClient*)
    {87, 1402, 157, 1, Smoke::mf_virtual, 0, 13},	//1661 Akonadi::ItemView::setModel(QAbstractItemModel*)
    {87, 653, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1662 Akonadi::ItemView::activated(const Akonadi::Item&)
    {87, 820, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1663 Akonadi::ItemView::currentChanged(const Akonadi::Item&)
    {87, 738, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1664 Akonadi::ItemView::clicked(const Akonadi::Item&)
    {87, 859, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1665 Akonadi::ItemView::doubleClicked(const Akonadi::Item&)
    {87, 820, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//1666 Akonadi::ItemView::currentChanged(const QModelIndex&, const QModelIndex&)
    {87, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//1667 Akonadi::ItemView::contextMenuEvent(QContextMenuEvent*)
    {87, 1561, 21, 1, Smoke::mf_static, 270, 20},	//1668 Akonadi::ItemView::tr(const char*)
    {87, 1565, 21, 1, Smoke::mf_static, 270, 21},	//1669 Akonadi::ItemView::trUtf8(const char*)
    {87, 349, 0, 0, Smoke::mf_ctor, 132, 22},	//1670 Akonadi::ItemView::ItemView()
    {87, 349, 265, 1, Smoke::mf_ctor, 132, 23},	//1671 Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    {87, 349, 267, 1, Smoke::mf_ctor, 132, 24},	//1672 Akonadi::ItemView::ItemView(KXMLGUIClient*)
    {87, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 25},	//1673 Akonadi::ItemView::staticMetaObject() const
    {87, 1690, 0, 0, Smoke::mf_dtor, 0, 26 },	//1674 Akonadi::ItemView::~ItemView()
    {88, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1675 Akonadi::Job::metaObject() const
    {88, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1676 Akonadi::Job::qt_metacast(const char*)
    {88, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1677 Akonadi::Job::tr(const char*, const char*)
    {88, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1678 Akonadi::Job::trUtf8(const char*, const char*)
    {88, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1679 Akonadi::Job::tr(const char*, const char*, int)
    {88, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1680 Akonadi::Job::trUtf8(const char*, const char*, int)
    {88, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1681 Akonadi::Job::qt_metacall(QMetaObject::Call, int, void**)
    {88, 352, 78, 1, Smoke::mf_ctor, 133, 8},	//1682 Akonadi::Job::Job(QObject*)
    {88, 1519, 0, 0, Smoke::mf_virtual, 0, 9},	//1683 Akonadi::Job::start()
    {88, 892, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 10},	//1684 Akonadi::Job::errorString() const
    {88, 645, 510, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1685 Akonadi::Job::aboutToStart(Akonadi::Job*)
    {88, 1611, 510, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1686 Akonadi::Job::writeFinished(Akonadi::Job*)
    {88, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1687 Akonadi::Job::doStart() [pure virtual]
    {88, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//1688 Akonadi::Job::doHandleResponse(const QByteArray&, const QByteArray&)
    {88, 675, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 15},	//1689 Akonadi::Job::addSubjob(KJob*)
    {88, 1163, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 16},	//1690 Akonadi::Job::removeSubjob(KJob*)
    {88, 851, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 360, 17},	//1691 Akonadi::Job::doKill()
    {88, 878, 0, 0, Smoke::mf_protected, 0, 18},	//1692 Akonadi::Job::emitWriteFinished()
    {88, 1513, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1693 Akonadi::Job::slotResult(KJob*)
    {88, 352, 512, 2, Smoke::mf_ctor|Smoke::mf_protected, 133, 20},	//1694 Akonadi::Job::Job(Akonadi::JobPrivate*, QObject*)
    {88, 1561, 21, 1, Smoke::mf_static, 270, 21},	//1695 Akonadi::Job::tr(const char*)
    {88, 1565, 21, 1, Smoke::mf_static, 270, 22},	//1696 Akonadi::Job::trUtf8(const char*)
    {88, 352, 0, 0, Smoke::mf_ctor, 133, 23},	//1697 Akonadi::Job::Job()
    {88, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 24},	//1698 Akonadi::Job::staticMetaObject() const
    {88, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 25},	//1699 Akonadi::Job::ConnectionFailed (enum)
    {88, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 26},	//1700 Akonadi::Job::ProtocolVersionMismatch (enum)
    {88, 565, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 27},	//1701 Akonadi::Job::UserCanceled (enum)
    {88, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 28},	//1702 Akonadi::Job::Unknown (enum)
    {88, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 29},	//1703 Akonadi::Job::UserError (enum)
    {88, 1691, 0, 0, Smoke::mf_dtor, 0, 30 },	//1704 Akonadi::Job::~Job()
    {90, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1705 Akonadi::LinkJob::metaObject() const
    {90, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1706 Akonadi::LinkJob::qt_metacast(const char*)
    {90, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1707 Akonadi::LinkJob::tr(const char*, const char*)
    {90, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1708 Akonadi::LinkJob::trUtf8(const char*, const char*)
    {90, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1709 Akonadi::LinkJob::tr(const char*, const char*, int)
    {90, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1710 Akonadi::LinkJob::trUtf8(const char*, const char*, int)
    {90, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1711 Akonadi::LinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {90, 360, 515, 3, Smoke::mf_ctor, 136, 8},	//1712 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {90, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//1713 Akonadi::LinkJob::doStart()
    {90, 1561, 21, 1, Smoke::mf_static, 270, 10},	//1714 Akonadi::LinkJob::tr(const char*)
    {90, 1565, 21, 1, Smoke::mf_static, 270, 11},	//1715 Akonadi::LinkJob::trUtf8(const char*)
    {90, 360, 519, 2, Smoke::mf_ctor, 136, 12},	//1716 Akonadi::LinkJob::LinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {90, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//1717 Akonadi::LinkJob::staticMetaObject() const
    {90, 1692, 0, 0, Smoke::mf_dtor, 0, 14 },	//1718 Akonadi::LinkJob::~LinkJob()
    {91, 369, 0, 0, Smoke::mf_ctor, 137, 1},	//1719 Akonadi::MessageFolderAttribute::MessageFolderAttribute()
    {91, 369, 522, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//1720 Akonadi::MessageFolderAttribute::MessageFolderAttribute(const Akonadi::MessageFolderAttribute&)
    {91, 1003, 0, 0, Smoke::mf_const, 360, 3},	//1721 Akonadi::MessageFolderAttribute::isOutboundFolder() const
    {91, 1413, 45, 1, 0, 0, 4},	//1722 Akonadi::MessageFolderAttribute::setOutboundFolder(bool)
    {91, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 5},	//1723 Akonadi::MessageFolderAttribute::type() const
    {91, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 137, 6},	//1724 Akonadi::MessageFolderAttribute::clone() const
    {91, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 7},	//1725 Akonadi::MessageFolderAttribute::serialized() const
    {91, 837, 6, 1, Smoke::mf_virtual, 0, 8},	//1726 Akonadi::MessageFolderAttribute::deserialize(const QByteArray&)
    {91, 1693, 0, 0, Smoke::mf_dtor, 0, 9 },	//1727 Akonadi::MessageFolderAttribute::~MessageFolderAttribute()
    {92, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1728 Akonadi::MessageModel::metaObject() const
    {92, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1729 Akonadi::MessageModel::qt_metacast(const char*)
    {92, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1730 Akonadi::MessageModel::tr(const char*, const char*)
    {92, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1731 Akonadi::MessageModel::trUtf8(const char*, const char*)
    {92, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1732 Akonadi::MessageModel::tr(const char*, const char*, int)
    {92, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1733 Akonadi::MessageModel::trUtf8(const char*, const char*, int)
    {92, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1734 Akonadi::MessageModel::qt_metacall(QMetaObject::Call, int, void**)
    {92, 371, 78, 1, Smoke::mf_ctor, 138, 8},	//1735 Akonadi::MessageModel::MessageModel(QObject*)
    {92, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 9},	//1736 Akonadi::MessageModel::rowCount(const QModelIndex&) const
    {92, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 10},	//1737 Akonadi::MessageModel::columnCount(const QModelIndex&) const
    {92, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 11},	//1738 Akonadi::MessageModel::data(const QModelIndex&, int) const
    {92, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 12},	//1739 Akonadi::MessageModel::headerData(int, Qt::Orientation, int) const
    {92, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 13},	//1740 Akonadi::MessageModel::mimeTypes() const
    {92, 1561, 21, 1, Smoke::mf_static, 270, 14},	//1741 Akonadi::MessageModel::tr(const char*)
    {92, 1565, 21, 1, Smoke::mf_static, 270, 15},	//1742 Akonadi::MessageModel::trUtf8(const char*)
    {92, 371, 0, 0, Smoke::mf_ctor, 138, 16},	//1743 Akonadi::MessageModel::MessageModel()
    {92, 1191, 0, 0, Smoke::mf_const, 447, 17},	//1744 Akonadi::MessageModel::rowCount() const
    {92, 777, 0, 0, Smoke::mf_const, 447, 18},	//1745 Akonadi::MessageModel::columnCount() const
    {92, 828, 95, 1, Smoke::mf_const, 280, 19},	//1746 Akonadi::MessageModel::data(const QModelIndex&) const
    {92, 939, 112, 2, Smoke::mf_const, 280, 20},	//1747 Akonadi::MessageModel::headerData(int, Qt::Orientation) const
    {92, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 21},	//1748 Akonadi::MessageModel::staticMetaObject() const
    {92, 527, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 22},	//1749 Akonadi::MessageModel::Subject (enum)
    {92, 497, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 23},	//1750 Akonadi::MessageModel::Sender (enum)
    {92, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 24},	//1751 Akonadi::MessageModel::Receiver (enum)
    {92, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 25},	//1752 Akonadi::MessageModel::Date (enum)
    {92, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 26},	//1753 Akonadi::MessageModel::Size (enum)
    {92, 1694, 0, 0, Smoke::mf_dtor, 0, 27 },	//1754 Akonadi::MessageModel::~MessageModel()
    {93, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1755 Akonadi::MessageThreaderProxyModel::metaObject() const
    {93, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1756 Akonadi::MessageThreaderProxyModel::qt_metacast(const char*)
    {93, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1757 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*)
    {93, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1758 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*)
    {93, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1759 Akonadi::MessageThreaderProxyModel::tr(const char*, const char*, int)
    {93, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1760 Akonadi::MessageThreaderProxyModel::trUtf8(const char*, const char*, int)
    {93, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1761 Akonadi::MessageThreaderProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {93, 373, 78, 1, Smoke::mf_ctor, 140, 8},	//1762 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel(QObject*)
    {93, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 9},	//1763 Akonadi::MessageThreaderProxyModel::parent(const QModelIndex&) const
    {93, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 10},	//1764 Akonadi::MessageThreaderProxyModel::rowCount(const QModelIndex&) const
    {93, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 11},	//1765 Akonadi::MessageThreaderProxyModel::index(int, int, const QModelIndex&) const
    {93, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 12},	//1766 Akonadi::MessageThreaderProxyModel::hasChildren(const QModelIndex&) const
    {93, 813, 524, 3, Smoke::mf_const, 254, 13},	//1767 Akonadi::MessageThreaderProxyModel::createIndex(int, int, unsigned int) const
    {93, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 14},	//1768 Akonadi::MessageThreaderProxyModel::columnCount(const QModelIndex&) const
    {93, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 15},	//1769 Akonadi::MessageThreaderProxyModel::mimeTypes() const
    {93, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 16},	//1770 Akonadi::MessageThreaderProxyModel::mimeData(const QList<QModelIndex>&) const
    {93, 1067, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 17},	//1771 Akonadi::MessageThreaderProxyModel::mapFromSource(const QModelIndex&) const
    {93, 1071, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 18},	//1772 Akonadi::MessageThreaderProxyModel::mapToSource(const QModelIndex&) const
    {93, 1467, 157, 1, Smoke::mf_virtual, 0, 19},	//1773 Akonadi::MessageThreaderProxyModel::setSourceModel(QAbstractItemModel*)
    {93, 1561, 21, 1, Smoke::mf_static, 270, 20},	//1774 Akonadi::MessageThreaderProxyModel::tr(const char*)
    {93, 1565, 21, 1, Smoke::mf_static, 270, 21},	//1775 Akonadi::MessageThreaderProxyModel::trUtf8(const char*)
    {93, 373, 0, 0, Smoke::mf_ctor, 140, 22},	//1776 Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel()
    {93, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 23},	//1777 Akonadi::MessageThreaderProxyModel::staticMetaObject() const
    {93, 1695, 0, 0, Smoke::mf_dtor, 0, 24 },	//1778 Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel()
    {94, 375, 0, 0, Smoke::mf_ctor, 141, 1},	//1779 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute()
    {94, 375, 528, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 141, 2},	//1780 Akonadi::MessageThreadingAttribute::MessageThreadingAttribute(const Akonadi::MessageThreadingAttribute&)
    {94, 1132, 0, 0, Smoke::mf_const, 246, 3},	//1781 Akonadi::MessageThreadingAttribute::perfectParents() const
    {94, 1426, 530, 1, 0, 0, 4},	//1782 Akonadi::MessageThreadingAttribute::setPerfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1577, 0, 0, Smoke::mf_const, 246, 5},	//1783 Akonadi::MessageThreadingAttribute::unperfectParents() const
    {94, 1485, 530, 1, 0, 0, 6},	//1784 Akonadi::MessageThreadingAttribute::setUnperfectParents(const QList<Akonadi::Item::Id>&)
    {94, 1540, 0, 0, Smoke::mf_const, 246, 7},	//1785 Akonadi::MessageThreadingAttribute::subjectParents() const
    {94, 1473, 530, 1, 0, 0, 8},	//1786 Akonadi::MessageThreadingAttribute::setSubjectParents(const QList<Akonadi::Item::Id>&)
    {94, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 9},	//1787 Akonadi::MessageThreadingAttribute::type() const
    {94, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 141, 10},	//1788 Akonadi::MessageThreadingAttribute::clone() const
    {94, 1224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 11},	//1789 Akonadi::MessageThreadingAttribute::serialized() const
    {94, 837, 6, 1, Smoke::mf_virtual, 0, 12},	//1790 Akonadi::MessageThreadingAttribute::deserialize(const QByteArray&)
    {94, 1696, 0, 0, Smoke::mf_dtor, 0, 13 },	//1791 Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute()
    {95, 378, 0, 0, Smoke::mf_ctor, 143, 1},	//1792 Akonadi::MimeTypeChecker::MimeTypeChecker()
    {95, 378, 532, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//1793 Akonadi::MimeTypeChecker::MimeTypeChecker(const Akonadi::MimeTypeChecker&)
    {95, 1111, 532, 1, 0, 142, 3},	//1794 Akonadi::MimeTypeChecker::operator=(const Akonadi::MimeTypeChecker&)
    {95, 1602, 0, 0, Smoke::mf_const, 271, 4},	//1795 Akonadi::MimeTypeChecker::wantedMimeTypes() const
    {95, 1492, 10, 1, 0, 0, 5},	//1796 Akonadi::MimeTypeChecker::setWantedMimeTypes(const QStringList&)
    {95, 677, 8, 1, 0, 0, 6},	//1797 Akonadi::MimeTypeChecker::addWantedMimeType(const QString&)
    {95, 1165, 8, 1, 0, 0, 7},	//1798 Akonadi::MimeTypeChecker::removeWantedMimeType(const QString&)
    {95, 1011, 56, 1, Smoke::mf_const, 360, 8},	//1799 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&) const
    {95, 1008, 61, 1, Smoke::mf_const, 360, 9},	//1800 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&) const
    {95, 1014, 8, 1, Smoke::mf_const, 360, 10},	//1801 Akonadi::MimeTypeChecker::isWantedMimeType(const QString&) const
    {95, 800, 10, 1, Smoke::mf_const, 360, 11},	//1802 Akonadi::MimeTypeChecker::containsWantedMimeType(const QStringList&) const
    {95, 1011, 534, 2, Smoke::mf_static, 360, 12},	//1803 Akonadi::MimeTypeChecker::isWantedItem(const Akonadi::Item&, const QString&)
    {95, 1008, 440, 2, Smoke::mf_static, 360, 13},	//1804 Akonadi::MimeTypeChecker::isWantedCollection(const Akonadi::Collection&, const QString&)
    {95, 1697, 0, 0, Smoke::mf_dtor, 0, 14 },	//1805 Akonadi::MimeTypeChecker::~MimeTypeChecker()
    {96, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1806 Akonadi::Monitor::metaObject() const
    {96, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1807 Akonadi::Monitor::qt_metacast(const char*)
    {96, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1808 Akonadi::Monitor::tr(const char*, const char*)
    {96, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1809 Akonadi::Monitor::trUtf8(const char*, const char*)
    {96, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1810 Akonadi::Monitor::tr(const char*, const char*, int)
    {96, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1811 Akonadi::Monitor::trUtf8(const char*, const char*, int)
    {96, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1812 Akonadi::Monitor::qt_metacall(QMetaObject::Call, int, void**)
    {96, 383, 78, 1, Smoke::mf_ctor, 144, 8},	//1813 Akonadi::Monitor::Monitor(QObject*)
    {96, 1265, 121, 2, 0, 0, 9},	//1814 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&, bool)
    {96, 1375, 537, 2, 0, 0, 10},	//1815 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&, bool)
    {96, 1447, 477, 2, 0, 0, 11},	//1816 Akonadi::Monitor::setResourceMonitored(const QByteArray&, bool)
    {96, 1399, 540, 2, 0, 0, 12},	//1817 Akonadi::Monitor::setMimeTypeMonitored(const QString&, bool)
    {96, 1235, 45, 1, 0, 0, 13},	//1818 Akonadi::Monitor::setAllMonitored(bool)
    {96, 953, 543, 1, 0, 0, 14},	//1819 Akonadi::Monitor::ignoreSession(Akonadi::Session*)
    {96, 904, 45, 1, 0, 0, 15},	//1820 Akonadi::Monitor::fetchCollection(bool)
    {96, 906, 45, 1, 0, 0, 16},	//1821 Akonadi::Monitor::fetchCollectionStatistics(bool)
    {96, 1373, 473, 1, 0, 0, 17},	//1822 Akonadi::Monitor::setItemFetchScope(const Akonadi::ItemFetchScope&)
    {96, 1023, 0, 0, 0, 118, 18},	//1823 Akonadi::Monitor::itemFetchScope()
    {96, 1261, 187, 1, 0, 0, 19},	//1824 Akonadi::Monitor::setCollectionFetchScope(const Akonadi::CollectionFetchScope&)
    {96, 751, 0, 0, 0, 47, 20},	//1825 Akonadi::Monitor::collectionFetchScope()
    {96, 769, 0, 0, Smoke::mf_const, 245, 21},	//1826 Akonadi::Monitor::collectionsMonitored() const
    {96, 1043, 0, 0, Smoke::mf_const, 246, 22},	//1827 Akonadi::Monitor::itemsMonitored() const
    {96, 1044, 0, 0, Smoke::mf_const, 281, 23},	//1828 Akonadi::Monitor::itemsMonitoredEx() const
    {96, 1090, 0, 0, Smoke::mf_const, 271, 24},	//1829 Akonadi::Monitor::mimeTypesMonitored() const
    {96, 1173, 0, 0, Smoke::mf_const, 249, 25},	//1830 Akonadi::Monitor::resourcesMonitored() const
    {96, 997, 0, 0, Smoke::mf_const, 360, 26},	//1831 Akonadi::Monitor::isAllMonitored() const
    {96, 1461, 543, 1, 0, 0, 27},	//1832 Akonadi::Monitor::setSession(Akonadi::Session*)
    {96, 1225, 0, 0, Smoke::mf_const, 158, 28},	//1833 Akonadi::Monitor::session() const
    {96, 1019, 53, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1834 Akonadi::Monitor::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {96, 1030, 65, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1835 Akonadi::Monitor::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 1017, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1836 Akonadi::Monitor::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1033, 56, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1837 Akonadi::Monitor::itemRemoved(const Akonadi::Item&)
    {96, 1026, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1838 Akonadi::Monitor::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 1040, 50, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1839 Akonadi::Monitor::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {96, 744, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1840 Akonadi::Monitor::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 748, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//1841 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&)
    {96, 748, 73, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//1842 Akonadi::Monitor::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {96, 758, 69, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//1843 Akonadi::Monitor::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 760, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//1844 Akonadi::Monitor::collectionRemoved(const Akonadi::Collection&)
    {96, 764, 58, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//1845 Akonadi::Monitor::collectionSubscribed(const Akonadi::Collection&, const Akonadi::Collection&)
    {96, 766, 61, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//1846 Akonadi::Monitor::collectionUnsubscribed(const Akonadi::Collection&)
    {96, 762, 545, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//1847 Akonadi::Monitor::collectionStatisticsChanged(Akonadi::Collection::Id, const Akonadi::CollectionStatistics&)
    {96, 756, 121, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//1848 Akonadi::Monitor::collectionMonitored(const Akonadi::Collection&, bool)
    {96, 1028, 537, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//1849 Akonadi::Monitor::itemMonitored(const Akonadi::Item&, bool)
    {96, 1171, 477, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//1850 Akonadi::Monitor::resourceMonitored(const QByteArray&, bool)
    {96, 1087, 540, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1851 Akonadi::Monitor::mimeTypeMonitored(const QString&, bool)
    {96, 690, 45, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1852 Akonadi::Monitor::allMonitored(bool)
    {96, 383, 548, 2, Smoke::mf_ctor|Smoke::mf_protected, 144, 48},	//1853 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*, QObject*)
    {96, 1561, 21, 1, Smoke::mf_static, 270, 49},	//1854 Akonadi::Monitor::tr(const char*)
    {96, 1565, 21, 1, Smoke::mf_static, 270, 50},	//1855 Akonadi::Monitor::trUtf8(const char*)
    {96, 383, 0, 0, Smoke::mf_ctor, 144, 51},	//1856 Akonadi::Monitor::Monitor()
    {96, 1265, 61, 1, 0, 0, 52},	//1857 Akonadi::Monitor::setCollectionMonitored(const Akonadi::Collection&)
    {96, 1375, 56, 1, 0, 0, 53},	//1858 Akonadi::Monitor::setItemMonitored(const Akonadi::Item&)
    {96, 1447, 6, 1, 0, 0, 54},	//1859 Akonadi::Monitor::setResourceMonitored(const QByteArray&)
    {96, 1399, 8, 1, 0, 0, 55},	//1860 Akonadi::Monitor::setMimeTypeMonitored(const QString&)
    {96, 1235, 0, 0, 0, 0, 56},	//1861 Akonadi::Monitor::setAllMonitored()
    {96, 383, 551, 1, Smoke::mf_ctor|Smoke::mf_protected, 144, 57},	//1862 Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    {96, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 58},	//1863 Akonadi::Monitor::staticMetaObject() const
    {96, 1698, 0, 0, Smoke::mf_dtor, 0, 59 },	//1864 Akonadi::Monitor::~Monitor()
    {98, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1865 Akonadi::PartFetcher::metaObject() const
    {98, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1866 Akonadi::PartFetcher::qt_metacast(const char*)
    {98, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1867 Akonadi::PartFetcher::tr(const char*, const char*)
    {98, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1868 Akonadi::PartFetcher::trUtf8(const char*, const char*)
    {98, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1869 Akonadi::PartFetcher::tr(const char*, const char*, int)
    {98, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1870 Akonadi::PartFetcher::trUtf8(const char*, const char*, int)
    {98, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1871 Akonadi::PartFetcher::qt_metacall(QMetaObject::Call, int, void**)
    {98, 434, 553, 3, Smoke::mf_ctor, 146, 8},	//1872 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&, QObject*)
    {98, 1519, 0, 0, Smoke::mf_virtual, 0, 9},	//1873 Akonadi::PartFetcher::start()
    {98, 961, 0, 0, Smoke::mf_const, 254, 10},	//1874 Akonadi::PartFetcher::index() const
    {98, 1125, 0, 0, Smoke::mf_const, 209, 11},	//1875 Akonadi::PartFetcher::partName() const
    {98, 1016, 0, 0, Smoke::mf_const, 110, 12},	//1876 Akonadi::PartFetcher::item() const
    {98, 1561, 21, 1, Smoke::mf_static, 270, 13},	//1877 Akonadi::PartFetcher::tr(const char*)
    {98, 1565, 21, 1, Smoke::mf_static, 270, 14},	//1878 Akonadi::PartFetcher::trUtf8(const char*)
    {98, 434, 557, 2, Smoke::mf_ctor, 146, 15},	//1879 Akonadi::PartFetcher::PartFetcher(const QModelIndex&, const QByteArray&)
    {98, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//1880 Akonadi::PartFetcher::staticMetaObject() const
    {98, 1701, 0, 0, Smoke::mf_dtor, 0, 17 },	//1881 Akonadi::PartFetcher::~PartFetcher()
    {99, 740, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 147, 1},	//1882 Akonadi::PayloadBase::clone() const [pure virtual]
    {99, 1573, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 443, 2},	//1883 Akonadi::PayloadBase::typeName() const [pure virtual]
    {99, 438, 0, 0, Smoke::mf_ctor, 147, 3},	//1884 Akonadi::PayloadBase::PayloadBase()
    {99, 438, 560, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 147, 4},	//1885 Akonadi::PayloadBase::PayloadBase(const Akonadi::PayloadBase&)
    {99, 1702, 0, 0, Smoke::mf_dtor, 0, 5 },	//1886 Akonadi::PayloadBase::~PayloadBase()
    {100, 440, 21, 1, Smoke::mf_ctor, 148, 1},	//1887 Akonadi::PayloadException::PayloadException(const char*)
    {100, 440, 6, 1, Smoke::mf_ctor, 148, 2},	//1888 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {100, 440, 8, 1, Smoke::mf_ctor, 148, 3},	//1889 Akonadi::PayloadException::PayloadException(const QString&)
    {100, 1569, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 209, 4},	//1890 Akonadi::PayloadException::type() const
    {100, 440, 562, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 5},	//1891 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {100, 1703, 0, 0, Smoke::mf_dtor, 0, 6 },	//1892 Akonadi::PayloadException::~PayloadException()
    {101, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1893 Akonadi::PreprocessorBase::metaObject() const
    {101, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1894 Akonadi::PreprocessorBase::qt_metacast(const char*)
    {101, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1895 Akonadi::PreprocessorBase::tr(const char*, const char*)
    {101, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1896 Akonadi::PreprocessorBase::trUtf8(const char*, const char*)
    {101, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1897 Akonadi::PreprocessorBase::tr(const char*, const char*, int)
    {101, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1898 Akonadi::PreprocessorBase::trUtf8(const char*, const char*, int)
    {101, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1899 Akonadi::PreprocessorBase::qt_metacall(QMetaObject::Call, int, void**)
    {101, 1135, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 150, 8},	//1900 Akonadi::PreprocessorBase::processItem(const Akonadi::Item&) [pure virtual]
    {101, 920, 564, 1, 0, 0, 9},	//1901 Akonadi::PreprocessorBase::finishProcessing(Akonadi::PreprocessorBase::ProcessingResult)
    {101, 1328, 473, 1, 0, 0, 10},	//1902 Akonadi::PreprocessorBase::setFetchScope(const Akonadi::ItemFetchScope&)
    {101, 916, 0, 0, 0, 118, 11},	//1903 Akonadi::PreprocessorBase::fetchScope()
    {101, 449, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 149, 12},	//1904 Akonadi::PreprocessorBase::PreprocessorBase(const QString&)
    {101, 1561, 21, 1, Smoke::mf_static, 270, 13},	//1905 Akonadi::PreprocessorBase::tr(const char*)
    {101, 1565, 21, 1, Smoke::mf_static, 270, 14},	//1906 Akonadi::PreprocessorBase::trUtf8(const char*)
    {101, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 15},	//1907 Akonadi::PreprocessorBase::staticMetaObject() const
    {101, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 16},	//1908 Akonadi::PreprocessorBase::ProcessingCompleted (enum)
    {101, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 17},	//1909 Akonadi::PreprocessorBase::ProcessingDelayed (enum)
    {101, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 18},	//1910 Akonadi::PreprocessorBase::ProcessingFailed (enum)
    {101, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 19},	//1911 Akonadi::PreprocessorBase::ProcessingRefused (enum)
    {101, 1704, 0, 0, Smoke::mf_dtor, 0, 20 },	//1912 Akonadi::PreprocessorBase::~PreprocessorBase()
    {102, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1913 Akonadi::ResourceBase::metaObject() const
    {102, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1914 Akonadi::ResourceBase::qt_metacast(const char*)
    {102, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1915 Akonadi::ResourceBase::tr(const char*, const char*)
    {102, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1916 Akonadi::ResourceBase::trUtf8(const char*, const char*)
    {102, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1917 Akonadi::ResourceBase::tr(const char*, const char*, int)
    {102, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1918 Akonadi::ResourceBase::trUtf8(const char*, const char*, int)
    {102, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1919 Akonadi::ResourceBase::qt_metacall(QMetaObject::Call, int, void**)
    {102, 1407, 8, 1, 0, 0, 8},	//1920 Akonadi::ResourceBase::setName(const QString&)
    {102, 1103, 0, 0, Smoke::mf_const, 270, 9},	//1921 Akonadi::ResourceBase::name() const
    {102, 1104, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//1922 Akonadi::ResourceBase::nameChanged(const QString&)
    {102, 1553, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1923 Akonadi::ResourceBase::synchronized()
    {102, 699, 566, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1924 Akonadi::ResourceBase::attributesSynchronized(qlonglong)
    {102, 1180, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 13},	//1925 Akonadi::ResourceBase::retrieveCollections() [pure virtual]
    {102, 1178, 61, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 14},	//1926 Akonadi::ResourceBase::retrieveCollectionAttributes(const Akonadi::Collection&)
    {102, 1183, 61, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//1927 Akonadi::ResourceBase::retrieveItems(const Akonadi::Collection&) [pure virtual]
    {102, 1181, 53, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 360, 16},	//1928 Akonadi::ResourceBase::retrieveItem(const Akonadi::Item&, const QSet<QByteArray>&) [pure virtual]
    {102, 641, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//1929 Akonadi::ResourceBase::abortActivity()
    {102, 478, 8, 1, Smoke::mf_ctor|Smoke::mf_protected, 151, 18},	//1930 Akonadi::ResourceBase::ResourceBase(const QString&)
    {102, 1035, 56, 1, Smoke::mf_protected, 0, 19},	//1931 Akonadi::ResourceBase::itemRetrieved(const Akonadi::Item&)
    {102, 746, 61, 1, Smoke::mf_protected, 0, 20},	//1932 Akonadi::ResourceBase::collectionAttributesRetrieved(const Akonadi::Collection&)
    {102, 721, 56, 1, Smoke::mf_protected, 0, 21},	//1933 Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    {102, 721, 61, 1, Smoke::mf_protected, 0, 22},	//1934 Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    {102, 773, 196, 1, Smoke::mf_protected, 0, 23},	//1935 Akonadi::ResourceBase::collectionsRetrieved(const QList<Akonadi::Collection>&)
    {102, 775, 568, 2, Smoke::mf_protected, 0, 24},	//1936 Akonadi::ResourceBase::collectionsRetrievedIncremental(const QList<Akonadi::Collection>&, const QList<Akonadi::Collection>&)
    {102, 1272, 45, 1, Smoke::mf_protected, 0, 25},	//1937 Akonadi::ResourceBase::setCollectionStreamingEnabled(bool)
    {102, 772, 0, 0, Smoke::mf_protected, 0, 26},	//1938 Akonadi::ResourceBase::collectionsRetrievalDone()
    {102, 1048, 469, 1, Smoke::mf_protected, 0, 27},	//1939 Akonadi::ResourceBase::itemsRetrieved(const QList<Akonadi::Item>&)
    {102, 1481, 41, 1, Smoke::mf_protected, 0, 28},	//1940 Akonadi::ResourceBase::setTotalItems(int)
    {102, 1382, 45, 1, Smoke::mf_protected, 0, 29},	//1941 Akonadi::ResourceBase::setItemStreamingEnabled(bool)
    {102, 1386, 505, 1, Smoke::mf_protected, 0, 30},	//1942 Akonadi::ResourceBase::setItemTransactionMode(Akonadi::ItemSync::TransactionMode)
    {102, 1384, 473, 1, Smoke::mf_protected, 0, 31},	//1943 Akonadi::ResourceBase::setItemSynchronizationFetchScope(const Akonadi::ItemFetchScope&)
    {102, 1050, 502, 2, Smoke::mf_protected, 0, 32},	//1944 Akonadi::ResourceBase::itemsRetrievedIncremental(const QList<Akonadi::Item>&, const QList<Akonadi::Item>&)
    {102, 1047, 0, 0, Smoke::mf_protected, 0, 33},	//1945 Akonadi::ResourceBase::itemsRetrievalDone()
    {102, 732, 0, 0, Smoke::mf_protected, 0, 34},	//1946 Akonadi::ResourceBase::clearCache()
    {102, 823, 0, 0, Smoke::mf_const|Smoke::mf_protected, 34, 35},	//1947 Akonadi::ResourceBase::currentCollection() const
    {102, 824, 0, 0, Smoke::mf_const|Smoke::mf_protected, 110, 36},	//1948 Akonadi::ResourceBase::currentItem() const
    {102, 1544, 0, 0, Smoke::mf_protected, 0, 37},	//1949 Akonadi::ResourceBase::synchronize()
    {102, 1545, 146, 1, Smoke::mf_protected, 0, 38},	//1950 Akonadi::ResourceBase::synchronizeCollection(long long)
    {102, 1545, 571, 2, Smoke::mf_protected, 0, 39},	//1951 Akonadi::ResourceBase::synchronizeCollection(long long, bool)
    {102, 1550, 146, 1, Smoke::mf_protected, 0, 40},	//1952 Akonadi::ResourceBase::synchronizeCollectionAttributes(long long)
    {102, 1552, 0, 0, Smoke::mf_protected, 0, 41},	//1953 Akonadi::ResourceBase::synchronizeCollectionTree()
    {102, 715, 0, 0, Smoke::mf_protected, 0, 42},	//1954 Akonadi::ResourceBase::cancelTask()
    {102, 715, 8, 1, Smoke::mf_protected, 0, 43},	//1955 Akonadi::ResourceBase::cancelTask(const QString&)
    {102, 833, 0, 0, Smoke::mf_protected, 0, 44},	//1956 Akonadi::ResourceBase::deferTask()
    {102, 853, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//1957 Akonadi::ResourceBase::doSetOnline(bool)
    {102, 1346, 45, 1, Smoke::mf_protected, 0, 46},	//1958 Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled(bool)
    {102, 1201, 574, 4, Smoke::mf_protected, 0, 47},	//1959 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&, Akonadi::ResourceBase::SchedulePriority)
    {102, 1556, 0, 0, Smoke::mf_protected, 0, 48},	//1960 Akonadi::ResourceBase::taskDone()
    {102, 1561, 21, 1, Smoke::mf_static, 270, 49},	//1961 Akonadi::ResourceBase::tr(const char*)
    {102, 1565, 21, 1, Smoke::mf_static, 270, 50},	//1962 Akonadi::ResourceBase::trUtf8(const char*)
    {102, 1201, 579, 3, Smoke::mf_protected, 0, 51},	//1963 Akonadi::ResourceBase::scheduleCustomTask(QObject*, const char*, const QVariant&)
    {102, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 52},	//1964 Akonadi::ResourceBase::staticMetaObject() const
    {102, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 53},	//1965 Akonadi::ResourceBase::Prepend (enum)
    {102, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 54},	//1966 Akonadi::ResourceBase::AfterChangeReplay (enum)
    {102, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 152, 55},	//1967 Akonadi::ResourceBase::Append (enum)
    {102, 1705, 0, 0, Smoke::mf_dtor, 0, 56 },	//1968 Akonadi::ResourceBase::~ResourceBase()
    {103, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1969 Akonadi::ResourceSynchronizationJob::metaObject() const
    {103, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1970 Akonadi::ResourceSynchronizationJob::qt_metacast(const char*)
    {103, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1971 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*)
    {103, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1972 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*)
    {103, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1973 Akonadi::ResourceSynchronizationJob::tr(const char*, const char*, int)
    {103, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1974 Akonadi::ResourceSynchronizationJob::trUtf8(const char*, const char*, int)
    {103, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1975 Akonadi::ResourceSynchronizationJob::qt_metacall(QMetaObject::Call, int, void**)
    {103, 481, 583, 2, Smoke::mf_ctor, 153, 8},	//1976 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&, QObject*)
    {103, 1170, 0, 0, Smoke::mf_const, 11, 9},	//1977 Akonadi::ResourceSynchronizationJob::resource() const
    {103, 1519, 0, 0, Smoke::mf_virtual, 0, 10},	//1978 Akonadi::ResourceSynchronizationJob::start()
    {103, 1561, 21, 1, Smoke::mf_static, 270, 11},	//1979 Akonadi::ResourceSynchronizationJob::tr(const char*)
    {103, 1565, 21, 1, Smoke::mf_static, 270, 12},	//1980 Akonadi::ResourceSynchronizationJob::trUtf8(const char*)
    {103, 481, 83, 1, Smoke::mf_ctor, 153, 13},	//1981 Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob(const Akonadi::AgentInstance&)
    {103, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 14},	//1982 Akonadi::ResourceSynchronizationJob::staticMetaObject() const
    {103, 1706, 0, 0, Smoke::mf_dtor, 0, 15 },	//1983 Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob()
    {104, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//1984 Akonadi::SearchCreateJob::metaObject() const
    {104, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//1985 Akonadi::SearchCreateJob::qt_metacast(const char*)
    {104, 1561, 23, 2, Smoke::mf_static, 270, 3},	//1986 Akonadi::SearchCreateJob::tr(const char*, const char*)
    {104, 1565, 23, 2, Smoke::mf_static, 270, 4},	//1987 Akonadi::SearchCreateJob::trUtf8(const char*, const char*)
    {104, 1561, 26, 3, Smoke::mf_static, 270, 5},	//1988 Akonadi::SearchCreateJob::tr(const char*, const char*, int)
    {104, 1565, 26, 3, Smoke::mf_static, 270, 6},	//1989 Akonadi::SearchCreateJob::trUtf8(const char*, const char*, int)
    {104, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//1990 Akonadi::SearchCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {104, 487, 586, 3, Smoke::mf_ctor, 154, 8},	//1991 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&, QObject*)
    {104, 1435, 8, 1, 0, 0, 9},	//1992 Akonadi::SearchCreateJob::setQueryLanguage(const QString&)
    {104, 817, 0, 0, Smoke::mf_const, 34, 10},	//1993 Akonadi::SearchCreateJob::createdCollection() const
    {104, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 11},	//1994 Akonadi::SearchCreateJob::doStart()
    {104, 848, 166, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 12},	//1995 Akonadi::SearchCreateJob::doHandleResponse(const QByteArray&, const QByteArray&)
    {104, 1561, 21, 1, Smoke::mf_static, 270, 13},	//1996 Akonadi::SearchCreateJob::tr(const char*)
    {104, 1565, 21, 1, Smoke::mf_static, 270, 14},	//1997 Akonadi::SearchCreateJob::trUtf8(const char*)
    {104, 487, 280, 2, Smoke::mf_ctor, 154, 15},	//1998 Akonadi::SearchCreateJob::SearchCreateJob(const QString&, const QString&)
    {104, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//1999 Akonadi::SearchCreateJob::staticMetaObject() const
    {104, 1707, 0, 0, Smoke::mf_dtor, 0, 17 },	//2000 Akonadi::SearchCreateJob::~SearchCreateJob()
    {105, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2001 Akonadi::SelectionProxyModel::metaObject() const
    {105, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2002 Akonadi::SelectionProxyModel::qt_metacast(const char*)
    {105, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2003 Akonadi::SelectionProxyModel::tr(const char*, const char*)
    {105, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2004 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*)
    {105, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2005 Akonadi::SelectionProxyModel::tr(const char*, const char*, int)
    {105, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2006 Akonadi::SelectionProxyModel::trUtf8(const char*, const char*, int)
    {105, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2007 Akonadi::SelectionProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {105, 494, 590, 2, Smoke::mf_ctor, 155, 8},	//2008 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*, QObject*)
    {105, 1561, 21, 1, Smoke::mf_static, 270, 9},	//2009 Akonadi::SelectionProxyModel::tr(const char*)
    {105, 1565, 21, 1, Smoke::mf_static, 270, 10},	//2010 Akonadi::SelectionProxyModel::trUtf8(const char*)
    {105, 494, 593, 1, Smoke::mf_ctor, 155, 11},	//2011 Akonadi::SelectionProxyModel::SelectionProxyModel(QItemSelectionModel*)
    {105, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 12},	//2012 Akonadi::SelectionProxyModel::staticMetaObject() const
    {105, 1708, 0, 0, Smoke::mf_dtor, 0, 13 },	//2013 Akonadi::SelectionProxyModel::~SelectionProxyModel()
    {106, 1078, 0, 0, Smoke::mf_const, 426, 1},	//2014 Akonadi::ServerManager::metaObject() const
    {106, 1142, 21, 1, 0, 455, 2},	//2015 Akonadi::ServerManager::qt_metacast(const char*)
    {106, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2016 Akonadi::ServerManager::tr(const char*, const char*)
    {106, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2017 Akonadi::ServerManager::trUtf8(const char*, const char*)
    {106, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2018 Akonadi::ServerManager::tr(const char*, const char*, int)
    {106, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2019 Akonadi::ServerManager::trUtf8(const char*, const char*, int)
    {106, 1140, 30, 3, 0, 447, 7},	//2020 Akonadi::ServerManager::qt_metacall(QMetaObject::Call, int, void**)
    {106, 1519, 0, 0, Smoke::mf_static, 360, 8},	//2021 Akonadi::ServerManager::start()
    {106, 1533, 0, 0, Smoke::mf_static, 360, 9},	//2022 Akonadi::ServerManager::stop()
    {106, 1502, 85, 1, Smoke::mf_static, 0, 10},	//2023 Akonadi::ServerManager::showSelfTestDialog(QWidget*)
    {106, 1004, 0, 0, Smoke::mf_static, 360, 11},	//2024 Akonadi::ServerManager::isRunning()
    {106, 1524, 0, 0, Smoke::mf_static, 157, 12},	//2025 Akonadi::ServerManager::state()
    {106, 1215, 0, 0, Smoke::mf_static, 156, 13},	//2026 Akonadi::ServerManager::self()
    {106, 1523, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2027 Akonadi::ServerManager::started()
    {106, 1535, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//2028 Akonadi::ServerManager::stopped()
    {106, 1525, 595, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//2029 Akonadi::ServerManager::stateChanged(Akonadi::ServerManager::State)
    {106, 1561, 21, 1, Smoke::mf_static, 270, 17},	//2030 Akonadi::ServerManager::tr(const char*)
    {106, 1565, 21, 1, Smoke::mf_static, 270, 18},	//2031 Akonadi::ServerManager::trUtf8(const char*)
    {106, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 19},	//2032 Akonadi::ServerManager::staticMetaObject() const
    {106, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 20},	//2033 Akonadi::ServerManager::NotRunning (enum)
    {106, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 21},	//2034 Akonadi::ServerManager::Starting (enum)
    {106, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 22},	//2035 Akonadi::ServerManager::Running (enum)
    {106, 522, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 23},	//2036 Akonadi::ServerManager::Stopping (enum)
    {106, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 24},	//2037 Akonadi::ServerManager::Broken (enum)
    {106, 1709, 0, 0, Smoke::mf_dtor, 0, 25 },	//2038 Akonadi::ServerManager::~ServerManager()
    {107, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2039 Akonadi::Session::metaObject() const
    {107, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2040 Akonadi::Session::qt_metacast(const char*)
    {107, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2041 Akonadi::Session::tr(const char*, const char*)
    {107, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2042 Akonadi::Session::trUtf8(const char*, const char*)
    {107, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2043 Akonadi::Session::tr(const char*, const char*, int)
    {107, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2044 Akonadi::Session::trUtf8(const char*, const char*, int)
    {107, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2045 Akonadi::Session::qt_metacall(QMetaObject::Call, int, void**)
    {107, 498, 597, 2, Smoke::mf_ctor, 158, 8},	//2046 Akonadi::Session::Session(const QByteArray&, QObject*)
    {107, 1226, 0, 0, Smoke::mf_const, 209, 9},	//2047 Akonadi::Session::sessionId() const
    {107, 832, 0, 0, Smoke::mf_static, 158, 10},	//2048 Akonadi::Session::defaultSession()
    {107, 729, 0, 0, 0, 0, 11},	//2049 Akonadi::Session::clear()
    {107, 1146, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//2050 Akonadi::Session::reconnected()
    {107, 498, 600, 3, Smoke::mf_ctor|Smoke::mf_protected, 158, 13},	//2051 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&, QObject*)
    {107, 1561, 21, 1, Smoke::mf_static, 270, 14},	//2052 Akonadi::Session::tr(const char*)
    {107, 1565, 21, 1, Smoke::mf_static, 270, 15},	//2053 Akonadi::Session::trUtf8(const char*)
    {107, 498, 0, 0, Smoke::mf_ctor, 158, 16},	//2054 Akonadi::Session::Session()
    {107, 498, 6, 1, Smoke::mf_ctor, 158, 17},	//2055 Akonadi::Session::Session(const QByteArray&)
    {107, 498, 604, 1, Smoke::mf_ctor|Smoke::mf_protected, 158, 18},	//2056 Akonadi::Session::Session(Akonadi::SessionPrivate*)
    {107, 498, 606, 2, Smoke::mf_ctor|Smoke::mf_protected, 158, 19},	//2057 Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    {107, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 20},	//2058 Akonadi::Session::staticMetaObject() const
    {107, 1710, 0, 0, Smoke::mf_dtor, 0, 21 },	//2059 Akonadi::Session::~Session()
    {109, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2060 Akonadi::StandardActionManager::metaObject() const
    {109, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2061 Akonadi::StandardActionManager::qt_metacast(const char*)
    {109, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2062 Akonadi::StandardActionManager::tr(const char*, const char*)
    {109, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2063 Akonadi::StandardActionManager::trUtf8(const char*, const char*)
    {109, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2064 Akonadi::StandardActionManager::tr(const char*, const char*, int)
    {109, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2065 Akonadi::StandardActionManager::trUtf8(const char*, const char*, int)
    {109, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2066 Akonadi::StandardActionManager::qt_metacall(QMetaObject::Call, int, void**)
    {109, 511, 609, 2, Smoke::mf_ctor, 160, 8},	//2067 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*, QWidget*)
    {109, 1270, 593, 1, 0, 0, 9},	//2068 Akonadi::StandardActionManager::setCollectionSelectionModel(QItemSelectionModel*)
    {109, 1380, 593, 1, 0, 0, 10},	//2069 Akonadi::StandardActionManager::setItemSelectionModel(QItemSelectionModel*)
    {109, 1320, 612, 1, 0, 0, 11},	//2070 Akonadi::StandardActionManager::setFavoriteCollectionsModel(Akonadi::FavoriteCollectionsModel*)
    {109, 1324, 593, 1, 0, 0, 12},	//2071 Akonadi::StandardActionManager::setFavoriteSelectionModel(QItemSelectionModel*)
    {109, 807, 614, 1, 0, 184, 13},	//2072 Akonadi::StandardActionManager::createAction(Akonadi::StandardActionManager::Type)
    {109, 809, 0, 0, 0, 0, 14},	//2073 Akonadi::StandardActionManager::createAllActions()
    {109, 649, 614, 1, Smoke::mf_const, 184, 15},	//2074 Akonadi::StandardActionManager::action(Akonadi::StandardActionManager::Type) const
    {109, 1229, 616, 2, 0, 0, 16},	//2075 Akonadi::StandardActionManager::setActionText(Akonadi::StandardActionManager::Type, const KLocalizedString&)
    {109, 993, 619, 2, 0, 0, 17},	//2076 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type, bool)
    {109, 1209, 0, 0, Smoke::mf_const, 245, 18},	//2077 Akonadi::StandardActionManager::selectedCollections() const
    {109, 1211, 0, 0, Smoke::mf_const, 247, 19},	//2078 Akonadi::StandardActionManager::selectedItems() const
    {109, 1297, 622, 3, 0, 0, 20},	//2079 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const QString&)
    {109, 1297, 626, 3, 0, 0, 21},	//2080 Akonadi::StandardActionManager::setContextText(Akonadi::StandardActionManager::Type, Akonadi::StandardActionManager::TextContext, const KLocalizedString&)
    {109, 1397, 10, 1, 0, 0, 22},	//2081 Akonadi::StandardActionManager::setMimeTypeFilter(const QStringList&)
    {109, 1252, 10, 1, 0, 0, 23},	//2082 Akonadi::StandardActionManager::setCapabilityFilter(const QStringList&)
    {109, 1268, 10, 1, 0, 0, 24},	//2083 Akonadi::StandardActionManager::setCollectionPropertiesPageNames(const QStringList&)
    {109, 652, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2084 Akonadi::StandardActionManager::actionStateUpdated()
    {109, 1561, 21, 1, Smoke::mf_static, 270, 26},	//2085 Akonadi::StandardActionManager::tr(const char*)
    {109, 1565, 21, 1, Smoke::mf_static, 270, 27},	//2086 Akonadi::StandardActionManager::trUtf8(const char*)
    {109, 511, 630, 1, Smoke::mf_ctor, 160, 28},	//2087 Akonadi::StandardActionManager::StandardActionManager(KActionCollection*)
    {109, 993, 614, 1, 0, 0, 29},	//2088 Akonadi::StandardActionManager::interceptAction(Akonadi::StandardActionManager::Type)
    {109, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 30},	//2089 Akonadi::StandardActionManager::staticMetaObject() const
    {109, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 31},	//2090 Akonadi::StandardActionManager::CreateCollection (enum)
    {109, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 32},	//2091 Akonadi::StandardActionManager::CopyCollections (enum)
    {109, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 33},	//2092 Akonadi::StandardActionManager::DeleteCollections (enum)
    {109, 531, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 34},	//2093 Akonadi::StandardActionManager::SynchronizeCollections (enum)
    {109, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 35},	//2094 Akonadi::StandardActionManager::CollectionProperties (enum)
    {109, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 36},	//2095 Akonadi::StandardActionManager::CopyItems (enum)
    {109, 437, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 37},	//2096 Akonadi::StandardActionManager::Paste (enum)
    {109, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 38},	//2097 Akonadi::StandardActionManager::DeleteItems (enum)
    {109, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 39},	//2098 Akonadi::StandardActionManager::ManageLocalSubscriptions (enum)
    {109, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 40},	//2099 Akonadi::StandardActionManager::AddToFavoriteCollections (enum)
    {109, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 41},	//2100 Akonadi::StandardActionManager::RemoveFromFavoriteCollections (enum)
    {109, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 42},	//2101 Akonadi::StandardActionManager::RenameFavoriteCollection (enum)
    {109, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 43},	//2102 Akonadi::StandardActionManager::CopyCollectionToMenu (enum)
    {109, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 44},	//2103 Akonadi::StandardActionManager::CopyItemToMenu (enum)
    {109, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 45},	//2104 Akonadi::StandardActionManager::MoveItemToMenu (enum)
    {109, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 46},	//2105 Akonadi::StandardActionManager::MoveCollectionToMenu (enum)
    {109, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 47},	//2106 Akonadi::StandardActionManager::CutItems (enum)
    {109, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 48},	//2107 Akonadi::StandardActionManager::CutCollections (enum)
    {109, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 49},	//2108 Akonadi::StandardActionManager::CreateResource (enum)
    {109, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 50},	//2109 Akonadi::StandardActionManager::DeleteResources (enum)
    {109, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 51},	//2110 Akonadi::StandardActionManager::ResourceProperties (enum)
    {109, 533, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 52},	//2111 Akonadi::StandardActionManager::SynchronizeResources (enum)
    {109, 536, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 53},	//2112 Akonadi::StandardActionManager::ToggleWorkOffline (enum)
    {109, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 54},	//2113 Akonadi::StandardActionManager::CopyCollectionToDialog (enum)
    {109, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 55},	//2114 Akonadi::StandardActionManager::MoveCollectionToDialog (enum)
    {109, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 56},	//2115 Akonadi::StandardActionManager::CopyItemToDialog (enum)
    {109, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 57},	//2116 Akonadi::StandardActionManager::MoveItemToDialog (enum)
    {109, 532, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 58},	//2117 Akonadi::StandardActionManager::SynchronizeCollectionsRecursive (enum)
    {109, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 59},	//2118 Akonadi::StandardActionManager::LastType (enum)
    {109, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 60},	//2119 Akonadi::StandardActionManager::DialogTitle (enum)
    {109, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 61},	//2120 Akonadi::StandardActionManager::DialogText (enum)
    {109, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 62},	//2121 Akonadi::StandardActionManager::MessageBoxTitle (enum)
    {109, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//2122 Akonadi::StandardActionManager::MessageBoxText (enum)
    {109, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 64},	//2123 Akonadi::StandardActionManager::MessageBoxAlternativeText (enum)
    {109, 257, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 65},	//2124 Akonadi::StandardActionManager::ErrorMessageTitle (enum)
    {109, 256, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 66},	//2125 Akonadi::StandardActionManager::ErrorMessageText (enum)
    {109, 1711, 0, 0, Smoke::mf_dtor, 0, 67 },	//2126 Akonadi::StandardActionManager::~StandardActionManager()
    {110, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2127 Akonadi::StatisticsProxyModel::metaObject() const
    {110, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2128 Akonadi::StatisticsProxyModel::qt_metacast(const char*)
    {110, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2129 Akonadi::StatisticsProxyModel::tr(const char*, const char*)
    {110, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2130 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*)
    {110, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2131 Akonadi::StatisticsProxyModel::tr(const char*, const char*, int)
    {110, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2132 Akonadi::StatisticsProxyModel::trUtf8(const char*, const char*, int)
    {110, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2133 Akonadi::StatisticsProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {110, 517, 78, 1, Smoke::mf_ctor, 163, 8},	//2134 Akonadi::StatisticsProxyModel::StatisticsProxyModel(QObject*)
    {110, 1479, 45, 1, 0, 0, 9},	//2135 Akonadi::StatisticsProxyModel::setToolTipEnabled(bool)
    {110, 1005, 0, 0, Smoke::mf_const, 360, 10},	//2136 Akonadi::StatisticsProxyModel::isToolTipEnabled() const
    {110, 1318, 45, 1, 0, 0, 11},	//2137 Akonadi::StatisticsProxyModel::setExtraColumnsEnabled(bool)
    {110, 1000, 0, 0, Smoke::mf_const, 360, 12},	//2138 Akonadi::StatisticsProxyModel::isExtraColumnsEnabled() const
    {110, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 13},	//2139 Akonadi::StatisticsProxyModel::index(int, int, const QModelIndex&) const
    {110, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 14},	//2140 Akonadi::StatisticsProxyModel::data(const QModelIndex&, int) const
    {110, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 15},	//2141 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation, int) const
    {110, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 16},	//2142 Akonadi::StatisticsProxyModel::flags(const QModelIndex&) const
    {110, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 17},	//2143 Akonadi::StatisticsProxyModel::columnCount(const QModelIndex&) const
    {110, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 18},	//2144 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {110, 1467, 157, 1, Smoke::mf_virtual, 0, 19},	//2145 Akonadi::StatisticsProxyModel::setSourceModel(QAbstractItemModel*)
    {110, 788, 21, 1, Smoke::mf_virtual, 0, 20},	//2146 Akonadi::StatisticsProxyModel::connectNotify(const char*)
    {110, 1561, 21, 1, Smoke::mf_static, 270, 21},	//2147 Akonadi::StatisticsProxyModel::tr(const char*)
    {110, 1565, 21, 1, Smoke::mf_static, 270, 22},	//2148 Akonadi::StatisticsProxyModel::trUtf8(const char*)
    {110, 517, 0, 0, Smoke::mf_ctor, 163, 23},	//2149 Akonadi::StatisticsProxyModel::StatisticsProxyModel()
    {110, 961, 115, 2, Smoke::mf_const, 254, 24},	//2150 Akonadi::StatisticsProxyModel::index(int, int) const
    {110, 828, 95, 1, Smoke::mf_const, 280, 25},	//2151 Akonadi::StatisticsProxyModel::data(const QModelIndex&) const
    {110, 939, 112, 2, Smoke::mf_const, 280, 26},	//2152 Akonadi::StatisticsProxyModel::headerData(int, Qt::Orientation) const
    {110, 777, 0, 0, Smoke::mf_const, 447, 27},	//2153 Akonadi::StatisticsProxyModel::columnCount() const
    {110, 1073, 370, 3, Smoke::mf_const, 250, 28},	//2154 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&) const
    {110, 1073, 374, 4, Smoke::mf_const, 250, 29},	//2155 Akonadi::StatisticsProxyModel::match(const QModelIndex&, int, const QVariant&, int) const
    {110, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 30},	//2156 Akonadi::StatisticsProxyModel::staticMetaObject() const
    {110, 1712, 0, 0, Smoke::mf_dtor, 0, 31 },	//2157 Akonadi::StatisticsProxyModel::~StatisticsProxyModel()
    {111, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2158 Akonadi::TransactionBeginJob::metaObject() const
    {111, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2159 Akonadi::TransactionBeginJob::qt_metacast(const char*)
    {111, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2160 Akonadi::TransactionBeginJob::tr(const char*, const char*)
    {111, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2161 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*)
    {111, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2162 Akonadi::TransactionBeginJob::tr(const char*, const char*, int)
    {111, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2163 Akonadi::TransactionBeginJob::trUtf8(const char*, const char*, int)
    {111, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2164 Akonadi::TransactionBeginJob::qt_metacall(QMetaObject::Call, int, void**)
    {111, 539, 78, 1, Smoke::mf_ctor, 164, 8},	//2165 Akonadi::TransactionBeginJob::TransactionBeginJob(QObject*)
    {111, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2166 Akonadi::TransactionBeginJob::doStart()
    {111, 1561, 21, 1, Smoke::mf_static, 270, 10},	//2167 Akonadi::TransactionBeginJob::tr(const char*)
    {111, 1565, 21, 1, Smoke::mf_static, 270, 11},	//2168 Akonadi::TransactionBeginJob::trUtf8(const char*)
    {111, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 12},	//2169 Akonadi::TransactionBeginJob::staticMetaObject() const
    {111, 1713, 0, 0, Smoke::mf_dtor, 0, 13 },	//2170 Akonadi::TransactionBeginJob::~TransactionBeginJob()
    {112, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2171 Akonadi::TransactionCommitJob::metaObject() const
    {112, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2172 Akonadi::TransactionCommitJob::qt_metacast(const char*)
    {112, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2173 Akonadi::TransactionCommitJob::tr(const char*, const char*)
    {112, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2174 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*)
    {112, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2175 Akonadi::TransactionCommitJob::tr(const char*, const char*, int)
    {112, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2176 Akonadi::TransactionCommitJob::trUtf8(const char*, const char*, int)
    {112, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2177 Akonadi::TransactionCommitJob::qt_metacall(QMetaObject::Call, int, void**)
    {112, 541, 78, 1, Smoke::mf_ctor, 165, 8},	//2178 Akonadi::TransactionCommitJob::TransactionCommitJob(QObject*)
    {112, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2179 Akonadi::TransactionCommitJob::doStart()
    {112, 1561, 21, 1, Smoke::mf_static, 270, 10},	//2180 Akonadi::TransactionCommitJob::tr(const char*)
    {112, 1565, 21, 1, Smoke::mf_static, 270, 11},	//2181 Akonadi::TransactionCommitJob::trUtf8(const char*)
    {112, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 12},	//2182 Akonadi::TransactionCommitJob::staticMetaObject() const
    {112, 1714, 0, 0, Smoke::mf_dtor, 0, 13 },	//2183 Akonadi::TransactionCommitJob::~TransactionCommitJob()
    {113, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2184 Akonadi::TransactionRollbackJob::metaObject() const
    {113, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2185 Akonadi::TransactionRollbackJob::qt_metacast(const char*)
    {113, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2186 Akonadi::TransactionRollbackJob::tr(const char*, const char*)
    {113, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2187 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*)
    {113, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2188 Akonadi::TransactionRollbackJob::tr(const char*, const char*, int)
    {113, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2189 Akonadi::TransactionRollbackJob::trUtf8(const char*, const char*, int)
    {113, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2190 Akonadi::TransactionRollbackJob::qt_metacall(QMetaObject::Call, int, void**)
    {113, 543, 78, 1, Smoke::mf_ctor, 166, 8},	//2191 Akonadi::TransactionRollbackJob::TransactionRollbackJob(QObject*)
    {113, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2192 Akonadi::TransactionRollbackJob::doStart()
    {113, 1561, 21, 1, Smoke::mf_static, 270, 10},	//2193 Akonadi::TransactionRollbackJob::tr(const char*)
    {113, 1565, 21, 1, Smoke::mf_static, 270, 11},	//2194 Akonadi::TransactionRollbackJob::trUtf8(const char*)
    {113, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 12},	//2195 Akonadi::TransactionRollbackJob::staticMetaObject() const
    {113, 1715, 0, 0, Smoke::mf_dtor, 0, 13 },	//2196 Akonadi::TransactionRollbackJob::~TransactionRollbackJob()
    {114, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2197 Akonadi::TransactionSequence::metaObject() const
    {114, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2198 Akonadi::TransactionSequence::qt_metacast(const char*)
    {114, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2199 Akonadi::TransactionSequence::tr(const char*, const char*)
    {114, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2200 Akonadi::TransactionSequence::trUtf8(const char*, const char*)
    {114, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2201 Akonadi::TransactionSequence::tr(const char*, const char*, int)
    {114, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2202 Akonadi::TransactionSequence::trUtf8(const char*, const char*, int)
    {114, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2203 Akonadi::TransactionSequence::qt_metacall(QMetaObject::Call, int, void**)
    {114, 545, 78, 1, Smoke::mf_ctor, 167, 8},	//2204 Akonadi::TransactionSequence::TransactionSequence(QObject*)
    {114, 779, 0, 0, 0, 0, 9},	//2205 Akonadi::TransactionSequence::commit()
    {114, 1188, 0, 0, 0, 0, 10},	//2206 Akonadi::TransactionSequence::rollback()
    {114, 1352, 191, 1, 0, 0, 11},	//2207 Akonadi::TransactionSequence::setIgnoreJobFailure(KJob*)
    {114, 1240, 45, 1, 0, 0, 12},	//2208 Akonadi::TransactionSequence::setAutomaticCommittingEnabled(bool)
    {114, 675, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 13},	//2209 Akonadi::TransactionSequence::addSubjob(KJob*)
    {114, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 14},	//2210 Akonadi::TransactionSequence::doStart()
    {114, 1513, 191, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//2211 Akonadi::TransactionSequence::slotResult(KJob*)
    {114, 1561, 21, 1, Smoke::mf_static, 270, 16},	//2212 Akonadi::TransactionSequence::tr(const char*)
    {114, 1565, 21, 1, Smoke::mf_static, 270, 17},	//2213 Akonadi::TransactionSequence::trUtf8(const char*)
    {114, 545, 0, 0, Smoke::mf_ctor, 167, 18},	//2214 Akonadi::TransactionSequence::TransactionSequence()
    {114, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 19},	//2215 Akonadi::TransactionSequence::staticMetaObject() const
    {114, 1716, 0, 0, Smoke::mf_dtor, 0, 20 },	//2216 Akonadi::TransactionSequence::~TransactionSequence()
    {115, 548, 0, 0, Smoke::mf_ctor, 168, 1},	//2217 Akonadi::TransportResourceBase::TransportResourceBase()
    {115, 1218, 56, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//2218 Akonadi::TransportResourceBase::sendItem(const Akonadi::Item&) [pure virtual]
    {115, 1037, 632, 3, 0, 0, 3},	//2219 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult, const QString&)
    {115, 548, 636, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 168, 4},	//2220 Akonadi::TransportResourceBase::TransportResourceBase(const Akonadi::TransportResourceBase&)
    {115, 1037, 638, 2, 0, 0, 5},	//2221 Akonadi::TransportResourceBase::itemSent(const Akonadi::Item&, Akonadi::TransportResourceBase::TransportResult)
    {115, 550, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 6},	//2222 Akonadi::TransportResourceBase::TransportSucceeded (enum)
    {115, 547, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 7},	//2223 Akonadi::TransportResourceBase::TransportFailed (enum)
    {115, 1717, 0, 0, Smoke::mf_dtor, 0, 8 },	//2224 Akonadi::TransportResourceBase::~TransportResourceBase()
    {116, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//2225 Akonadi::UnlinkJob::metaObject() const
    {116, 1142, 21, 1, Smoke::mf_virtual, 455, 2},	//2226 Akonadi::UnlinkJob::qt_metacast(const char*)
    {116, 1561, 23, 2, Smoke::mf_static, 270, 3},	//2227 Akonadi::UnlinkJob::tr(const char*, const char*)
    {116, 1565, 23, 2, Smoke::mf_static, 270, 4},	//2228 Akonadi::UnlinkJob::trUtf8(const char*, const char*)
    {116, 1561, 26, 3, Smoke::mf_static, 270, 5},	//2229 Akonadi::UnlinkJob::tr(const char*, const char*, int)
    {116, 1565, 26, 3, Smoke::mf_static, 270, 6},	//2230 Akonadi::UnlinkJob::trUtf8(const char*, const char*, int)
    {116, 1140, 30, 3, Smoke::mf_virtual, 447, 7},	//2231 Akonadi::UnlinkJob::qt_metacall(QMetaObject::Call, int, void**)
    {116, 555, 515, 3, Smoke::mf_ctor, 170, 8},	//2232 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&, QObject*)
    {116, 855, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 9},	//2233 Akonadi::UnlinkJob::doStart()
    {116, 1561, 21, 1, Smoke::mf_static, 270, 10},	//2234 Akonadi::UnlinkJob::tr(const char*)
    {116, 1565, 21, 1, Smoke::mf_static, 270, 11},	//2235 Akonadi::UnlinkJob::trUtf8(const char*)
    {116, 555, 519, 2, Smoke::mf_ctor, 170, 12},	//2236 Akonadi::UnlinkJob::UnlinkJob(const Akonadi::Collection&, const QList<Akonadi::Item>&)
    {116, 1527, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 13},	//2237 Akonadi::UnlinkJob::staticMetaObject() const
    {116, 1718, 0, 0, Smoke::mf_dtor, 0, 14 },	//2238 Akonadi::UnlinkJob::~UnlinkJob()
    {131, 1239, 45, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//2239 KComboBox::setAutoCompletion(bool)
    {131, 1296, 45, 1, Smoke::mf_virtual, 0, 0},	//2240 KComboBox::setContextMenuEnabled(bool)
    {131, 894, 641, 2, Smoke::mf_virtual, 360, 0},	//2241 KComboBox::eventFilter(QObject*, QEvent*)
    {131, 1390, 644, 1, Smoke::mf_virtual, 0, 0},	//2242 KComboBox::setLineEdit(QLineEdit*)
    {131, 1277, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2243 KComboBox::setCompletedText(const QString&)
    {131, 1276, 646, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2244 KComboBox::setCompletedItems(const QStringList&, bool)
    {131, 1066, 8, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2245 KComboBox::makeCompletion(const QString&)
    {131, 1277, 540, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2246 KComboBox::setCompletedText(const QString&, bool)
    {131, 806, 649, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2247 KComboBox::create(unsigned long, bool, bool)
    {131, 1606, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2248 KComboBox::wheelEvent(QWheelEvent*)
    {131, 1091, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 269, 0},	//2249 KComboBox::minimumSizeHint() const
    {133, 1279, 655, 2, Smoke::mf_virtual, 0, 0},	//2250 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {133, 1340, 45, 1, Smoke::mf_virtual, 0, 0},	//2251 KCompletionBase::setHandleSignals(bool)
    {133, 1278, 658, 1, Smoke::mf_virtual, 0, 0},	//2252 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {133, 1599, 660, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2253 KCompletionBase::virtual_hook(int, void*)
    {135, 1512, 663, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2254 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {137, 1507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2255 KDialog::sizeHint() const
    {137, 1091, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2256 KDialog::minimumSizeHint() const
    {137, 1254, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2257 KDialog::setCaption(const QString&)
    {137, 1254, 540, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2258 KDialog::setCaption(const QString&, bool)
    {137, 1428, 8, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2259 KDialog::setPlainCaption(const QString&)
    {137, 943, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2260 KDialog::hideEvent(QHideEvent*)
    {137, 742, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2261 KDialog::closeEvent(QCloseEvent*)
    {137, 1052, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2262 KDialog::keyPressEvent(QKeyEvent*)
    {137, 1510, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2263 KDialog::slotButtonClicked(int)
    {138, 1507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2264 KHBox::sizeHint() const
    {138, 1091, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2265 KHBox::minimumSizeHint() const
    {138, 727, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2266 KHBox::childEvent(QChildEvent*)
    {140, 851, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2267 KJob::doKill()
    {140, 856, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2268 KJob::doSuspend()
    {140, 852, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2269 KJob::doResume()
    {140, 892, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2270 KJob::errorString() const
    {140, 412, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 5},	//2271 KJob::NoError (enum)
    {140, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 6},	//2272 KJob::KilledJobError (enum)
    {140, 566, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 7},	//2273 KJob::UserDefinedError (enum)
    {143, 1467, 157, 1, Smoke::mf_virtual, 0, 0},	//2274 KSelectionProxyModel::setSourceModel(QAbstractItemModel*)
    {143, 1067, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2275 KSelectionProxyModel::mapFromSource(const QModelIndex&) const
    {143, 1071, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2276 KSelectionProxyModel::mapToSource(const QModelIndex&) const
    {143, 1069, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2277 KSelectionProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {143, 1070, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2278 KSelectionProxyModel::mapSelectionToSource(const QItemSelection&) const
    {143, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2279 KSelectionProxyModel::flags(const QModelIndex&) const
    {143, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2280 KSelectionProxyModel::data(const QModelIndex&, int) const
    {143, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2281 KSelectionProxyModel::rowCount(const QModelIndex&) const
    {143, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2282 KSelectionProxyModel::headerData(int, Qt::Orientation, int) const
    {143, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2283 KSelectionProxyModel::mimeData(const QList<QModelIndex>&) const
    {143, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2284 KSelectionProxyModel::mimeTypes() const
    {143, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2285 KSelectionProxyModel::supportedDropActions() const
    {143, 870, 207, 5, Smoke::mf_virtual, 360, 0},	//2286 KSelectionProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {143, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2287 KSelectionProxyModel::hasChildren(const QModelIndex&) const
    {143, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2288 KSelectionProxyModel::index(int, int, const QModelIndex&) const
    {143, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2289 KSelectionProxyModel::parent(const QModelIndex&) const
    {143, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2290 KSelectionProxyModel::columnCount(const QModelIndex&) const
    {143, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2291 KSelectionProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2292 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {148, 1304, 108, 3, Smoke::mf_virtual, 360, 0},	//2293 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {148, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2294 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {148, 1341, 200, 4, Smoke::mf_virtual, 360, 0},	//2295 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {148, 1022, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 0},	//2296 QAbstractItemModel::itemData(const QModelIndex&) const
    {148, 1372, 677, 2, Smoke::mf_virtual, 360, 0},	//2297 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {148, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2298 QAbstractItemModel::mimeTypes() const
    {148, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2299 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {148, 870, 207, 5, Smoke::mf_virtual, 360, 0},	//2300 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {148, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2301 QAbstractItemModel::supportedDropActions() const
    {148, 973, 104, 3, Smoke::mf_virtual, 360, 0},	//2302 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {148, 972, 104, 3, Smoke::mf_virtual, 360, 0},	//2303 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {148, 1162, 104, 3, Smoke::mf_virtual, 360, 0},	//2304 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {148, 1159, 104, 3, Smoke::mf_virtual, 360, 0},	//2305 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {148, 911, 95, 1, Smoke::mf_virtual, 0, 0},	//2306 QAbstractItemModel::fetchMore(const QModelIndex&)
    {148, 711, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2307 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {148, 1517, 680, 2, Smoke::mf_virtual, 0, 0},	//2308 QAbstractItemModel::sort(int, Qt::SortOrder)
    {148, 707, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2309 QAbstractItemModel::buddy(const QModelIndex&) const
    {148, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2310 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {148, 1518, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2311 QAbstractItemModel::span(const QModelIndex&) const
    {148, 1541, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 360, 0},	//2312 QAbstractItemModel::submit()
    {148, 1185, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2313 QAbstractItemModel::revert()
    {149, 1460, 593, 1, Smoke::mf_virtual, 0, 0},	//2314 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {149, 1054, 8, 1, Smoke::mf_virtual, 0, 0},	//2315 QAbstractItemView::keyboardSearch(const QString&)
    {149, 1509, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2316 QAbstractItemView::sizeHintForRow(int) const
    {149, 1508, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2317 QAbstractItemView::sizeHintForColumn(int) const
    {149, 971, 683, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2318 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {149, 1206, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2319 QAbstractItemView::selectAll()
    {149, 1580, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2320 QAbstractItemView::updateEditorData()
    {149, 1581, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2321 QAbstractItemView::updateEditorGeometries()
    {149, 1593, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2322 QAbstractItemView::verticalScrollbarAction(int)
    {149, 946, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2323 QAbstractItemView::horizontalScrollbarAction(int)
    {149, 1594, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2324 QAbstractItemView::verticalScrollbarValueChanged(int)
    {149, 947, 41, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2325 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {149, 741, 685, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2326 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {149, 780, 85, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2327 QAbstractItemView::commitData(QWidget*)
    {149, 874, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2328 QAbstractItemView::editorDestroyed(QObject*)
    {149, 872, 688, 3, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2329 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {149, 1213, 692, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//2330 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {149, 1521, 360, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2331 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {149, 1596, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2332 QAbstractItemView::viewOptions() const
    {149, 925, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2333 QAbstractItemView::focusNextPrevChild(bool)
    {149, 893, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2334 QAbstractItemView::event(QEvent*)
    {149, 1598, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2335 QAbstractItemView::viewportEvent(QEvent*)
    {149, 1099, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2336 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {149, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2337 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {149, 861, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2338 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {149, 862, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2339 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {149, 868, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2340 QAbstractItemView::dropEvent(QDropEvent*)
    {149, 924, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2341 QAbstractItemView::focusInEvent(QFocusEvent*)
    {149, 926, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2342 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {149, 1052, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2343 QAbstractItemView::keyPressEvent(QKeyEvent*)
    {149, 1169, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2344 QAbstractItemView::resizeEvent(QResizeEvent*)
    {149, 970, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2345 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {149, 416, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 33},	//2346 QAbstractItemView::NoSelection (enum)
    {149, 506, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 34},	//2347 QAbstractItemView::SingleSelection (enum)
    {149, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 35},	//2348 QAbstractItemView::MultiSelection (enum)
    {149, 264, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 36},	//2349 QAbstractItemView::ExtendedSelection (enum)
    {149, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 37},	//2350 QAbstractItemView::ContiguousSelection (enum)
    {149, 233, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 38},	//2351 QAbstractItemView::EnsureVisible (enum)
    {149, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 39},	//2352 QAbstractItemView::PositionAtTop (enum)
    {149, 445, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 40},	//2353 QAbstractItemView::PositionAtBottom (enum)
    {149, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 205, 41},	//2354 QAbstractItemView::PositionAtCenter (enum)
    {149, 411, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 42},	//2355 QAbstractItemView::NoEditTriggers (enum)
    {149, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 43},	//2356 QAbstractItemView::CurrentChanged (enum)
    {149, 218, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 44},	//2357 QAbstractItemView::DoubleClicked (enum)
    {149, 493, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 45},	//2358 QAbstractItemView::SelectedClicked (enum)
    {149, 226, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 46},	//2359 QAbstractItemView::EditKeyPressed (enum)
    {149, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 47},	//2360 QAbstractItemView::AnyKeyPressed (enum)
    {149, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 204, 48},	//2361 QAbstractItemView::AllEditTriggers (enum)
    {149, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 49},	//2362 QAbstractItemView::MoveUp (enum)
    {149, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 50},	//2363 QAbstractItemView::MoveDown (enum)
    {149, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 51},	//2364 QAbstractItemView::MoveLeft (enum)
    {149, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 52},	//2365 QAbstractItemView::MoveRight (enum)
    {149, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 53},	//2366 QAbstractItemView::MoveHome (enum)
    {149, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 54},	//2367 QAbstractItemView::MoveEnd (enum)
    {149, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 55},	//2368 QAbstractItemView::MovePageUp (enum)
    {149, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 56},	//2369 QAbstractItemView::MovePageDown (enum)
    {149, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 57},	//2370 QAbstractItemView::MoveNext (enum)
    {149, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 203, 58},	//2371 QAbstractItemView::MovePrevious (enum)
    {150, 1070, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2372 QAbstractProxyModel::mapSelectionToSource(const QItemSelection&) const
    {150, 1069, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2373 QAbstractProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {150, 1541, 0, 0, Smoke::mf_virtual, 360, 0},	//2374 QAbstractProxyModel::submit()
    {150, 1185, 0, 0, Smoke::mf_virtual, 0, 0},	//2375 QAbstractProxyModel::revert()
    {150, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2376 QAbstractProxyModel::data(const QModelIndex&, int) const
    {150, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2377 QAbstractProxyModel::headerData(int, Qt::Orientation, int) const
    {150, 1022, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 251, 0},	//2378 QAbstractProxyModel::itemData(const QModelIndex&) const
    {150, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2379 QAbstractProxyModel::flags(const QModelIndex&) const
    {150, 1304, 108, 3, Smoke::mf_virtual, 360, 0},	//2380 QAbstractProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {150, 1341, 200, 4, Smoke::mf_virtual, 360, 0},	//2381 QAbstractProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {151, 1091, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2382 QAbstractScrollArea::minimumSizeHint() const
    {151, 1507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2383 QAbstractScrollArea::sizeHint() const
    {151, 1606, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2384 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {152, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2385 QAbstractTableModel::index(int, int, const QModelIndex&) const
    {159, 1507, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2386 QComboBox::sizeHint() const
    {159, 1501, 0, 0, Smoke::mf_virtual, 0, 0},	//2387 QComboBox::showPopup()
    {159, 944, 0, 0, Smoke::mf_virtual, 0, 0},	//2388 QComboBox::hidePopup()
    {159, 893, 695, 1, Smoke::mf_virtual, 360, 0},	//2389 QComboBox::event(QEvent*)
    {159, 924, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2390 QComboBox::focusInEvent(QFocusEvent*)
    {159, 926, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2391 QComboBox::focusOutEvent(QFocusEvent*)
    {159, 723, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2392 QComboBox::changeEvent(QEvent*)
    {159, 1169, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2393 QComboBox::resizeEvent(QResizeEvent*)
    {159, 1119, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2394 QComboBox::paintEvent(QPaintEvent*)
    {159, 1500, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2395 QComboBox::showEvent(QShowEvent*)
    {159, 943, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2396 QComboBox::hideEvent(QHideEvent*)
    {159, 1099, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2397 QComboBox::mousePressEvent(QMouseEvent*)
    {159, 1100, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2398 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {159, 1052, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2399 QComboBox::keyPressEvent(QKeyEvent*)
    {159, 1053, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2400 QComboBox::keyReleaseEvent(QKeyEvent*)
    {159, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2401 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {159, 970, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2402 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {159, 971, 683, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 280, 0},	//2403 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {164, 1491, 45, 1, Smoke::mf_virtual, 0, 0},	//2404 QDialog::setVisible(bool)
    {164, 857, 41, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2405 QDialog::done(int)
    {164, 647, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2406 QDialog::accept()
    {164, 1151, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2407 QDialog::reject()
    {164, 1500, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2408 QDialog::showEvent(QShowEvent*)
    {164, 1169, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2409 QDialog::resizeEvent(QResizeEvent*)
    {164, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2410 QDialog::contextMenuEvent(QContextMenuEvent*)
    {164, 894, 641, 2, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2411 QDialog::eventFilter(QObject*, QEvent*)
    {172, 893, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2412 QFrame::event(QEvent*)
    {172, 1119, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2413 QFrame::paintEvent(QPaintEvent*)
    {172, 723, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2414 QFrame::changeEvent(QEvent*)
    {173, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 1},	//2415 QGlobalSpace::_CS_PATH (enum)
    {173, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 2},	//2416 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {173, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 3},	//2417 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {173, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 4},	//2418 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {173, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 5},	//2419 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {173, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 6},	//2420 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {173, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 7},	//2421 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {173, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 8},	//2422 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {173, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 9},	//2423 QGlobalSpace::_CS_LFS_LIBS (enum)
    {173, 582, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 10},	//2424 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {173, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 11},	//2425 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {173, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 12},	//2426 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {173, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 13},	//2427 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {173, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 14},	//2428 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {173, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 15},	//2429 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {173, 622, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 16},	//2430 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {173, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 17},	//2431 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {173, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 18},	//2432 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {173, 625, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 19},	//2433 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {173, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 20},	//2434 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 21},	//2435 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {173, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 22},	//2436 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 629, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 23},	//2437 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {173, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 24},	//2438 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {173, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 25},	//2439 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {173, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 26},	//2440 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {173, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 27},	//2441 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 634, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 28},	//2442 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 29},	//2443 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {173, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 30},	//2444 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 31},	//2445 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {173, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 32},	//2446 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {173, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 33},	//2447 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {173, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 34},	//2448 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {173, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 35},	//2449 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {173, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 36},	//2450 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 37},	//2451 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {173, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 38},	//2452 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 39},	//2453 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {173, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 40},	//2454 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {173, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 41},	//2455 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {173, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 42},	//2456 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {173, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 43},	//2457 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 597, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 44},	//2458 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 45},	//2459 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {173, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 46},	//2460 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 47},	//2461 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {173, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 48},	//2462 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {173, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 49},	//2463 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {173, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 50},	//2464 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {173, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 51},	//2465 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {173, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 52},	//2466 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {173, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 53},	//2467 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {173, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 54},	//2468 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {173, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 55},	//2469 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {173, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 56},	//2470 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {173, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 57},	//2471 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {173, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 58},	//2472 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {173, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 59},	//2473 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {173, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 60},	//2474 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {173, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 61},	//2475 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {173, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 62},	//2476 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {173, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 63},	//2477 QGlobalSpace::_CS_V6_ENV (enum)
    {173, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 449, 64},	//2478 QGlobalSpace::_CS_V7_ENV (enum)
    {173, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 65},	//2479 QGlobalSpace::QtDebugMsg (enum)
    {173, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 66},	//2480 QGlobalSpace::QtWarningMsg (enum)
    {173, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 67},	//2481 QGlobalSpace::QtCriticalMsg (enum)
    {173, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 68},	//2482 QGlobalSpace::QtFatalMsg (enum)
    {173, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 69},	//2483 QGlobalSpace::QtSystemMsg (enum)
    {173, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 70},	//2484 QGlobalSpace::__codecvt_ok (enum)
    {173, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 71},	//2485 QGlobalSpace::__codecvt_partial (enum)
    {173, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 72},	//2486 QGlobalSpace::__codecvt_error (enum)
    {173, 638, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 73},	//2487 QGlobalSpace::__codecvt_noconv (enum)
    {183, 1600, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2488 QListView::visualRect(const QModelIndex&) const
    {183, 1205, 711, 2, Smoke::mf_virtual, 0, 0},	//2489 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {183, 964, 714, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2490 QListView::indexAt(const QPoint&) const
    {183, 850, 0, 0, Smoke::mf_virtual, 0, 0},	//2491 QListView::doItemsLayout()
    {183, 1168, 0, 0, Smoke::mf_virtual, 0, 0},	//2492 QListView::reset()
    {183, 1456, 95, 1, Smoke::mf_virtual, 0, 0},	//2493 QListView::setRootIndex(const QModelIndex&)
    {183, 893, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2494 QListView::event(QEvent*)
    {183, 1204, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2495 QListView::scrollContentsBy(int, int)
    {183, 831, 269, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2496 QListView::dataChanged(const QModelIndex&, const QModelIndex&)
    {183, 1194, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2497 QListView::rowsInserted(const QModelIndex&, int, int)
    {183, 1193, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2498 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {183, 1098, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2499 QListView::mouseMoveEvent(QMouseEvent*)
    {183, 1100, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2500 QListView::mouseReleaseEvent(QMouseEvent*)
    {183, 1557, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2501 QListView::timerEvent(QTimerEvent*)
    {183, 1169, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2502 QListView::resizeEvent(QResizeEvent*)
    {183, 862, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2503 QListView::dragLeaveEvent(QDragLeaveEvent*)
    {183, 1596, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 274, 0},	//2504 QListView::viewOptions() const
    {183, 1119, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2505 QListView::paintEvent(QPaintEvent*)
    {183, 945, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2506 QListView::horizontalOffset() const
    {183, 1592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2507 QListView::verticalOffset() const
    {183, 1101, 720, 2, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//2508 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {183, 1457, 723, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2509 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {183, 1601, 675, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//2510 QListView::visualRegionForSelection(const QItemSelection&) const
    {183, 1210, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 250, 0},	//2511 QListView::selectedIndexes() const
    {183, 1583, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2512 QListView::updateGeometries()
    {183, 1001, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2513 QListView::isIndexHidden(const QModelIndex&) const
    {183, 1212, 726, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2514 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {190, 893, 695, 1, Smoke::mf_virtual, 360, 0},	//2515 QObject::event(QEvent*)
    {190, 894, 641, 2, Smoke::mf_virtual, 360, 0},	//2516 QObject::eventFilter(QObject*, QEvent*)
    {190, 1557, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2517 QObject::timerEvent(QTimerEvent*)
    {190, 727, 673, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2518 QObject::childEvent(QChildEvent*)
    {190, 826, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2519 QObject::customEvent(QEvent*)
    {190, 788, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2520 QObject::connectNotify(const char*)
    {190, 845, 21, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2521 QObject::disconnectNotify(const char*)
    {203, 1467, 157, 1, Smoke::mf_virtual, 0, 0},	//2522 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {203, 1071, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2523 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {203, 1067, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2524 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {203, 1070, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2525 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {203, 1069, 675, 1, Smoke::mf_const|Smoke::mf_virtual, 237, 0},	//2526 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {203, 918, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2527 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {203, 917, 80, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2528 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {203, 1057, 269, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2529 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {203, 961, 104, 3, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2530 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {203, 1121, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2531 QSortFilterProxyModel::parent(const QModelIndex&) const
    {203, 1191, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2532 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {203, 777, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2533 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {203, 934, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2534 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {203, 828, 97, 2, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2535 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {203, 1304, 108, 3, Smoke::mf_virtual, 360, 0},	//2536 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {203, 939, 100, 3, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2537 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {203, 1341, 200, 4, Smoke::mf_virtual, 360, 0},	//2538 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {203, 1080, 205, 1, Smoke::mf_const|Smoke::mf_virtual, 253, 0},	//2539 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {203, 870, 207, 5, Smoke::mf_virtual, 360, 0},	//2540 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {203, 973, 104, 3, Smoke::mf_virtual, 360, 0},	//2541 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {203, 972, 104, 3, Smoke::mf_virtual, 360, 0},	//2542 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {203, 1162, 104, 3, Smoke::mf_virtual, 360, 0},	//2543 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {203, 1159, 104, 3, Smoke::mf_virtual, 360, 0},	//2544 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {203, 911, 95, 1, Smoke::mf_virtual, 0, 0},	//2545 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {203, 711, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 360, 0},	//2546 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {203, 922, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 228, 0},	//2547 QSortFilterProxyModel::flags(const QModelIndex&) const
    {203, 707, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2548 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {203, 1073, 364, 5, Smoke::mf_const|Smoke::mf_virtual, 250, 0},	//2549 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {203, 1518, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2550 QSortFilterProxyModel::span(const QModelIndex&) const
    {203, 1517, 680, 2, Smoke::mf_virtual, 0, 0},	//2551 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {203, 1089, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 271, 0},	//2552 QSortFilterProxyModel::mimeTypes() const
    {203, 1542, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//2553 QSortFilterProxyModel::supportedDropActions() const
    {206, 1507, 729, 2, Smoke::mf_const|Smoke::mf_virtual, 269, 0},	//2554 QStyledItemDelegate::sizeHint(const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 812, 732, 3, Smoke::mf_const|Smoke::mf_virtual, 284, 0},	//2555 QStyledItemDelegate::createEditor(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 1317, 736, 2, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2556 QStyledItemDelegate::setEditorData(QWidget*, const QModelIndex&) const
    {206, 1404, 739, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2557 QStyledItemDelegate::setModelData(QWidget*, QAbstractItemModel*, const QModelIndex&) const
    {206, 1582, 732, 3, Smoke::mf_const|Smoke::mf_virtual, 0, 0},	//2558 QStyledItemDelegate::updateEditorGeometry(QWidget*, const QStyleOptionViewItem&, const QModelIndex&) const
    {206, 847, 743, 2, Smoke::mf_const|Smoke::mf_virtual, 270, 0},	//2559 QStyledItemDelegate::displayText(const QVariant&, const QLocale&) const
    {206, 894, 641, 2, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2560 QStyledItemDelegate::eventFilter(QObject*, QEvent*)
    {206, 875, 746, 4, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2561 QStyledItemDelegate::editorEvent(QEvent*, QAbstractItemModel*, const QStyleOptionViewItem&, const QModelIndex&)
    {209, 1456, 95, 1, Smoke::mf_virtual, 0, 0},	//2562 QTreeView::setRootIndex(const QModelIndex&)
    {209, 1460, 593, 1, Smoke::mf_virtual, 0, 0},	//2563 QTreeView::setSelectionModel(QItemSelectionModel*)
    {209, 1054, 8, 1, Smoke::mf_virtual, 0, 0},	//2564 QTreeView::keyboardSearch(const QString&)
    {209, 1600, 95, 1, Smoke::mf_const|Smoke::mf_virtual, 262, 0},	//2565 QTreeView::visualRect(const QModelIndex&) const
    {209, 1205, 711, 2, Smoke::mf_virtual, 0, 0},	//2566 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {209, 964, 714, 1, Smoke::mf_const|Smoke::mf_virtual, 254, 0},	//2567 QTreeView::indexAt(const QPoint&) const
    {209, 850, 0, 0, Smoke::mf_virtual, 0, 0},	//2568 QTreeView::doItemsLayout()
    {209, 1168, 0, 0, Smoke::mf_virtual, 0, 0},	//2569 QTreeView::reset()
    {209, 831, 269, 2, Smoke::mf_virtual, 0, 0},	//2570 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {209, 1206, 0, 0, Smoke::mf_virtual, 0, 0},	//2571 QTreeView::selectAll()
    {209, 1204, 115, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2572 QTreeView::scrollContentsBy(int, int)
    {209, 1194, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2573 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {209, 1193, 716, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2574 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {209, 1101, 720, 2, Smoke::mf_protected|Smoke::mf_virtual, 254, 0},	//2575 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {209, 945, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2576 QTreeView::horizontalOffset() const
    {209, 1592, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2577 QTreeView::verticalOffset() const
    {209, 1457, 723, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2578 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {209, 1601, 675, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 264, 0},	//2579 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {209, 1210, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 250, 0},	//2580 QTreeView::selectedIndexes() const
    {209, 1557, 428, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2581 QTreeView::timerEvent(QTimerEvent*)
    {209, 1119, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2582 QTreeView::paintEvent(QPaintEvent*)
    {209, 867, 252, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2583 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {209, 866, 751, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2584 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {209, 1099, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2585 QTreeView::mousePressEvent(QMouseEvent*)
    {209, 1100, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2586 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {209, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2587 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {209, 1098, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2588 QTreeView::mouseMoveEvent(QMouseEvent*)
    {209, 1052, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2589 QTreeView::keyPressEvent(QKeyEvent*)
    {209, 864, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2590 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {209, 1598, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2591 QTreeView::viewportEvent(QEvent*)
    {209, 1583, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2592 QTreeView::updateGeometries()
    {209, 1508, 41, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2593 QTreeView::sizeHintForColumn(int) const
    {209, 946, 41, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2594 QTreeView::horizontalScrollbarAction(int)
    {209, 1001, 95, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2595 QTreeView::isIndexHidden(const QModelIndex&) const
    {209, 1212, 726, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2596 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {213, 1078, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 0},	//2597 QWidget::metaObject() const
    {213, 1142, 21, 1, Smoke::mf_virtual, 455, 0},	//2598 QWidget::qt_metacast(const char*)
    {213, 1140, 30, 3, Smoke::mf_virtual, 447, 0},	//2599 QWidget::qt_metacall(QMetaObject::Call, int, void**)
    {213, 840, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2600 QWidget::devType() const
    {213, 1491, 45, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//2601 QWidget::setVisible(bool)
    {213, 1507, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 269, 0},	//2602 QWidget::sizeHint() const
    {213, 1091, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 269, 0},	//2603 QWidget::minimumSizeHint() const
    {213, 942, 41, 1, Smoke::mf_const|Smoke::mf_virtual, 447, 0},	//2604 QWidget::heightForWidth(int) const
    {213, 1118, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 259, 0},	//2605 QWidget::paintEngine() const
    {213, 893, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2606 QWidget::event(QEvent*)
    {213, 1099, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2607 QWidget::mousePressEvent(QMouseEvent*)
    {213, 1100, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2608 QWidget::mouseReleaseEvent(QMouseEvent*)
    {213, 1097, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2609 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {213, 1098, 697, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2610 QWidget::mouseMoveEvent(QMouseEvent*)
    {213, 1606, 653, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2611 QWidget::wheelEvent(QWheelEvent*)
    {213, 1052, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2612 QWidget::keyPressEvent(QKeyEvent*)
    {213, 1053, 671, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2613 QWidget::keyReleaseEvent(QKeyEvent*)
    {213, 924, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2614 QWidget::focusInEvent(QFocusEvent*)
    {213, 926, 701, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2615 QWidget::focusOutEvent(QFocusEvent*)
    {213, 880, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2616 QWidget::enterEvent(QEvent*)
    {213, 1056, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2617 QWidget::leaveEvent(QEvent*)
    {213, 1119, 707, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2618 QWidget::paintEvent(QPaintEvent*)
    {213, 1102, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2619 QWidget::moveEvent(QMoveEvent*)
    {213, 1169, 703, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2620 QWidget::resizeEvent(QResizeEvent*)
    {213, 742, 669, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2621 QWidget::closeEvent(QCloseEvent*)
    {213, 803, 278, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2622 QWidget::contextMenuEvent(QContextMenuEvent*)
    {213, 1555, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2623 QWidget::tabletEvent(QTabletEvent*)
    {213, 651, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2624 QWidget::actionEvent(QActionEvent*)
    {213, 861, 699, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2625 QWidget::dragEnterEvent(QDragEnterEvent*)
    {213, 864, 272, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2626 QWidget::dragMoveEvent(QDragMoveEvent*)
    {213, 862, 274, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2627 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {213, 868, 276, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2628 QWidget::dropEvent(QDropEvent*)
    {213, 1500, 709, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2629 QWidget::showEvent(QShowEvent*)
    {213, 943, 667, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2630 QWidget::hideEvent(QHideEvent*)
    {213, 1613, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2631 QWidget::x11Event(_XEvent*)
    {213, 723, 695, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2632 QWidget::changeEvent(QEvent*)
    {213, 1079, 763, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 447, 0},	//2633 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {213, 970, 705, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2634 QWidget::inputMethodEvent(QInputMethodEvent*)
    {213, 971, 683, 1, Smoke::mf_const|Smoke::mf_virtual, 280, 0},	//2635 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {213, 925, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 360, 0},	//2636 QWidget::focusNextPrevChild(bool)
    {213, 1539, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2637 QWidget::styleChange(QStyle&)
    {213, 879, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2638 QWidget::enabledChange(bool)
    {213, 1120, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2639 QWidget::paletteChange(const QPalette&)
    {213, 927, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2640 QWidget::fontChange(const QFont&)
    {213, 1610, 45, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2641 QWidget::windowActivationChange(bool)
    {213, 1055, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//2642 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1470,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&)
    1471,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&)
    0,
    1457,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Collection&, QObject*)
    1458,  // Akonadi::ItemFetchJob::ItemFetchJob(const Akonadi::Item&, QObject*)
    0,
    1461,  // Akonadi::ItemFetchJob::setFetchScope(Akonadi::ItemFetchScope&)
    1462,  // Akonadi::ItemFetchJob::setFetchScope(const Akonadi::ItemFetchScope&)
    0,
    1128,  // Akonadi::EntityListView::EntityListView(QWidget*)
    1146,  // Akonadi::EntityListView::EntityListView(KXMLGUIClient*)
    0,
    1132,  // Akonadi::EntityListView::clicked(const Akonadi::Collection&)
    1133,  // Akonadi::EntityListView::clicked(const Akonadi::Item&)
    0,
    1136,  // Akonadi::EntityListView::currentChanged(const Akonadi::Collection&)
    1137,  // Akonadi::EntityListView::currentChanged(const Akonadi::Item&)
    0,
    1134,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Collection&)
    1135,  // Akonadi::EntityListView::doubleClicked(const Akonadi::Item&)
    0,
    1813,  // Akonadi::Monitor::Monitor(QObject*)
    1862,  // Akonadi::Monitor::Monitor(Akonadi::MonitorPrivate*)
    0,
    1188,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, QObject*)
    1243,  // Akonadi::EntityTreeModel::EntityTreeModel(Akonadi::ChangeRecorder*, Akonadi::EntityTreeModelPrivate*)
    0,
    1226,  // Akonadi::EntityTreeModel::d_func()
    1227,  // Akonadi::EntityTreeModel::d_func() const
    0,
    1241,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int) const
    1242,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int) const
    0,
    1220,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Item&, int, int) const
    1221,  // Akonadi::EntityTreeModel::entityData(const Akonadi::Collection&, int, int) const
    0,
    1224,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Item&, const QVariant&, QFlags<Qt::MatchFlag>) const
    1225,  // Akonadi::EntityTreeModel::entityMatch(const Akonadi::Collection&, const QVariant&, QFlags<Qt::MatchFlag>) const
    0,
    1290,  // Akonadi::EntityTreeView::EntityTreeView(QWidget*)
    1311,  // Akonadi::EntityTreeView::EntityTreeView(KXMLGUIClient*)
    0,
    1296,  // Akonadi::EntityTreeView::clicked(const Akonadi::Collection&)
    1297,  // Akonadi::EntityTreeView::clicked(const Akonadi::Item&)
    0,
    1300,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Collection&)
    1301,  // Akonadi::EntityTreeView::currentChanged(const Akonadi::Item&)
    0,
    1298,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Collection&)
    1299,  // Akonadi::EntityTreeView::doubleClicked(const Akonadi::Item&)
    0,
    857,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, QWidget*)
    866,  // Akonadi::ContactEditorDialog::ContactEditorDialog(Akonadi::ContactEditorDialog::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    400,  // Akonadi::CollectionComboBox::CollectionComboBox(QWidget*)
    412,  // Akonadi::CollectionComboBox::CollectionComboBox(QAbstractItemModel*)
    0,
    724,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QAbstractItemView*)
    725,  // Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate(QTreeView*)
    0,
    466,  // Akonadi::CollectionDialog::CollectionDialog(QWidget*)
    483,  // Akonadi::CollectionDialog::CollectionDialog(QAbstractItemModel*)
    0,
    691,  // Akonadi::CollectionRequester::CollectionRequester(QWidget*)
    704,  // Akonadi::CollectionRequester::CollectionRequester(const Akonadi::Collection&)
    0,
    1091,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    1092,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    1093,  // Akonadi::Entity::d_func()
    1094,  // Akonadi::Entity::d_func() const
    0,
    1082,  // Akonadi::Entity::parentCollection() const
    1083,  // Akonadi::Entity::parentCollection()
    0,
    1365,  // Akonadi::Item::Item(long long)
    1366,  // Akonadi::Item::Item(const QString&)
    0,
    2055,  // Akonadi::Session::Session(const QByteArray&)
    2056,  // Akonadi::Session::Session(Akonadi::SessionPrivate*)
    0,
    2046,  // Akonadi::Session::Session(const QByteArray&, QObject*)
    2057,  // Akonadi::Session::Session(Akonadi::SessionPrivate*, const QByteArray&)
    0,
    788,  // Akonadi::CollectionView::CollectionView(QWidget*)
    804,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*)
    805,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*)
    0,
    789,  // Akonadi::CollectionView::CollectionView(KXmlGuiWindow*, QWidget*)
    790,  // Akonadi::CollectionView::CollectionView(KXMLGUIClient*, QWidget*)
    0,
    342,  // Akonadi::ChangeRecorder::ChangeRecorder(QObject*)
    354,  // Akonadi::ChangeRecorder::ChangeRecorder(Akonadi::ChangeRecorderPrivate*)
    0,
    834,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, QWidget*)
    845,  // Akonadi::ContactEditor::ContactEditor(Akonadi::ContactEditor::Mode, Akonadi::AbstractContactEditorWidget*)
    0,
    1329,  // Akonadi::Exception::Exception(const QByteArray&)
    1331,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    1328,  // Akonadi::Exception::Exception(const char*)
    1330,  // Akonadi::Exception::Exception(const QString&)
    0,
    1656,  // Akonadi::ItemView::ItemView(QWidget*)
    1671,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*)
    1672,  // Akonadi::ItemView::ItemView(KXMLGUIClient*)
    0,
    1657,  // Akonadi::ItemView::ItemView(KXmlGuiWindow*, QWidget*)
    1658,  // Akonadi::ItemView::ItemView(KXMLGUIClient*, QWidget*)
    0,
    566,  // Akonadi::CollectionModel::CollectionModel(QObject*)
    595,  // Akonadi::CollectionModel::CollectionModel(Akonadi::CollectionModelPrivate*)
    0,
    1888,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    1891,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    1887,  // Akonadi::PayloadException::PayloadException(const char*)
    1889,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    1933,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Item&)
    1934,  // Akonadi::ResourceBase::changeCommitted(const Akonadi::Collection&)
    0,
    1445,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&)
    1447,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&)
    0,
    1438,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Item&, QObject*)
    1440,  // Akonadi::ItemDeleteJob::ItemDeleteJob(const Akonadi::Collection&, QObject*)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 5, 15},	// Akonadi::AddressAttribute::AddressAttribute
    {4, 6, 14},	// Akonadi::AddressAttribute::AddressAttribute#
    {4, 7, 16},	// Akonadi::AddressAttribute::AddressAttribute$
    {4, 8, 17},	// Akonadi::AddressAttribute::AddressAttribute$?
    {4, 9, 18},	// Akonadi::AddressAttribute::AddressAttribute$??
    {4, 10, 1},	// Akonadi::AddressAttribute::AddressAttribute$???
    {4, 706, 12},	// Akonadi::AddressAttribute::bcc
    {4, 718, 10},	// Akonadi::AddressAttribute::cc
    {4, 740, 2},	// Akonadi::AddressAttribute::clone
    {4, 838, 5},	// Akonadi::AddressAttribute::deserialize#
    {4, 928, 6},	// Akonadi::AddressAttribute::from
    {4, 1224, 4},	// Akonadi::AddressAttribute::serialized
    {4, 1245, 13},	// Akonadi::AddressAttribute::setBcc?
    {4, 1256, 11},	// Akonadi::AddressAttribute::setCc?
    {4, 1335, 7},	// Akonadi::AddressAttribute::setFrom$
    {4, 1478, 9},	// Akonadi::AddressAttribute::setTo?
    {4, 1560, 8},	// Akonadi::AddressAttribute::to
    {4, 1569, 3},	// Akonadi::AddressAttribute::type
    {4, 1614, 19},	// Akonadi::AddressAttribute::~AddressAttribute
    {5, 18, 58},	// Akonadi::AgentBase::AgentBase#$
    {5, 19, 50},	// Akonadi::AgentBase::AgentBase$
    {5, 60, 66},	// Akonadi::AgentBase::Broken
    {5, 285, 64},	// Akonadi::AgentBase::Idle
    {5, 484, 65},	// Akonadi::AgentBase::Running
    {5, 643, 45},	// Akonadi::AgentBase::abortRequested
    {5, 644, 51},	// Akonadi::AgentBase::aboutToQuit
    {5, 682, 44},	// Akonadi::AgentBase::advancedStatus?
    {5, 684, 37},	// Akonadi::AgentBase::agentName
    {5, 686, 39},	// Akonadi::AgentBase::agentNameChanged$
    {5, 724, 54},	// Akonadi::AgentBase::changeProcessed
    {5, 725, 52},	// Akonadi::AgentBase::changeRecorder
    {5, 728, 34},	// Akonadi::AgentBase::cleanup
    {5, 781, 38},	// Akonadi::AgentBase::componentData
    {5, 782, 53},	// Akonadi::AgentBase::config
    {5, 783, 48},	// Akonadi::AgentBase::configurationDialogAccepted
    {5, 784, 49},	// Akonadi::AgentBase::configurationDialogRejected
    {5, 787, 31},	// Akonadi::AgentBase::configure$
    {5, 854, 59},	// Akonadi::AgentBase::doSetOnline$
    {5, 891, 43},	// Akonadi::AgentBase::error$
    {5, 951, 33},	// Akonadi::AgentBase::identifier
    {5, 1002, 55},	// Akonadi::AgentBase::isOnline
    {5, 1078, 20},	// Akonadi::AgentBase::metaObject
    {5, 1108, 47},	// Akonadi::AgentBase::onlineChanged$
    {5, 1131, 41},	// Akonadi::AgentBase::percent$
    {5, 1137, 29},	// Akonadi::AgentBase::progress
    {5, 1139, 30},	// Akonadi::AgentBase::progressMessage
    {5, 1141, 26},	// Akonadi::AgentBase::qt_metacall$$?
    {5, 1143, 21},	// Akonadi::AgentBase::qt_metacast$
    {5, 1148, 35},	// Akonadi::AgentBase::registerObserver#
    {5, 1152, 46},	// Akonadi::AgentBase::reloadConfiguration
    {5, 1234, 36},	// Akonadi::AgentBase::setAgentName$
    {5, 1410, 56},	// Akonadi::AgentBase::setNeedsNetwork$
    {5, 1412, 57},	// Akonadi::AgentBase::setOnline$
    {5, 1527, 63},	// Akonadi::AgentBase::staticMetaObject
    {5, 1529, 27},	// Akonadi::AgentBase::status
    {5, 1530, 62},	// Akonadi::AgentBase::status$
    {5, 1531, 40},	// Akonadi::AgentBase::status$$
    {5, 1532, 28},	// Akonadi::AgentBase::statusMessage
    {5, 1562, 60},	// Akonadi::AgentBase::tr$
    {5, 1563, 22},	// Akonadi::AgentBase::tr$$
    {5, 1564, 24},	// Akonadi::AgentBase::tr$$$
    {5, 1566, 61},	// Akonadi::AgentBase::trUtf8$
    {5, 1567, 23},	// Akonadi::AgentBase::trUtf8$$
    {5, 1568, 25},	// Akonadi::AgentBase::trUtf8$$$
    {5, 1604, 42},	// Akonadi::AgentBase::warning$
    {5, 1609, 32},	// Akonadi::AgentBase::winIdForDialogs
    {5, 1615, 67},	// Akonadi::AgentBase::~AgentBase
    {6, 421, 68},	// Akonadi::AgentBase::Observer::Observer
    {6, 422, 75},	// Akonadi::AgentBase::Observer::Observer#
    {6, 745, 72},	// Akonadi::AgentBase::Observer::collectionAdded##
    {6, 749, 73},	// Akonadi::AgentBase::Observer::collectionChanged#
    {6, 761, 74},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {6, 1018, 69},	// Akonadi::AgentBase::Observer::itemAdded##
    {6, 1021, 70},	// Akonadi::AgentBase::Observer::itemChanged#?
    {6, 1034, 71},	// Akonadi::AgentBase::Observer::itemRemoved#
    {6, 1699, 76},	// Akonadi::AgentBase::Observer::~Observer
    {7, 423, 83},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {7, 424, 84},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {7, 749, 77},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {7, 750, 82},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {7, 759, 81},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {7, 1027, 79},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {7, 1031, 78},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {7, 1041, 80},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {7, 1700, 85},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {9, 20, 101},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {9, 21, 93},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {9, 660, 95},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {9, 668, 94},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {9, 733, 96},	// Akonadi::AgentFilterProxyModel::clearFilters
    {9, 896, 97},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {9, 919, 98},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {9, 1078, 86},	// Akonadi::AgentFilterProxyModel::metaObject
    {9, 1141, 92},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {9, 1143, 87},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {9, 1527, 102},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {9, 1562, 99},	// Akonadi::AgentFilterProxyModel::tr$
    {9, 1563, 88},	// Akonadi::AgentFilterProxyModel::tr$$
    {9, 1564, 90},	// Akonadi::AgentFilterProxyModel::tr$$$
    {9, 1566, 100},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {9, 1567, 89},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {9, 1568, 91},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {9, 1616, 103},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {10, 22, 104},	// Akonadi::AgentInstance::AgentInstance
    {10, 23, 105},	// Akonadi::AgentInstance::AgentInstance#
    {10, 60, 127},	// Akonadi::AgentInstance::Broken
    {10, 285, 125},	// Akonadi::AgentInstance::Idle
    {10, 484, 126},	// Akonadi::AgentInstance::Running
    {10, 642, 121},	// Akonadi::AgentInstance::abortCurrentTask
    {10, 785, 124},	// Akonadi::AgentInstance::configure
    {10, 786, 116},	// Akonadi::AgentInstance::configure#
    {10, 951, 108},	// Akonadi::AgentInstance::identifier
    {10, 1002, 114},	// Akonadi::AgentInstance::isOnline
    {10, 1006, 106},	// Akonadi::AgentInstance::isValid
    {10, 1103, 109},	// Akonadi::AgentInstance::name
    {10, 1112, 119},	// Akonadi::AgentInstance::operator=#
    {10, 1114, 120},	// Akonadi::AgentInstance::operator==#
    {10, 1137, 113},	// Akonadi::AgentInstance::progress
    {10, 1145, 122},	// Akonadi::AgentInstance::reconfigure
    {10, 1174, 123},	// Akonadi::AgentInstance::restart
    {10, 1369, 115},	// Akonadi::AgentInstance::setIsOnline$
    {10, 1408, 110},	// Akonadi::AgentInstance::setName$
    {10, 1529, 111},	// Akonadi::AgentInstance::status
    {10, 1532, 112},	// Akonadi::AgentInstance::statusMessage
    {10, 1544, 117},	// Akonadi::AgentInstance::synchronize
    {10, 1552, 118},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {10, 1569, 107},	// Akonadi::AgentInstance::type
    {10, 1617, 128},	// Akonadi::AgentInstance::~AgentInstance
    {11, 25, 143},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {11, 26, 136},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {11, 27, 144},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {11, 28, 137},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {11, 785, 145},	// Akonadi::AgentInstanceCreateJob::configure
    {11, 786, 138},	// Akonadi::AgentInstanceCreateJob::configure#
    {11, 974, 139},	// Akonadi::AgentInstanceCreateJob::instance
    {11, 1078, 129},	// Akonadi::AgentInstanceCreateJob::metaObject
    {11, 1141, 135},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {11, 1143, 130},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {11, 1519, 140},	// Akonadi::AgentInstanceCreateJob::start
    {11, 1527, 146},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {11, 1562, 141},	// Akonadi::AgentInstanceCreateJob::tr$
    {11, 1563, 131},	// Akonadi::AgentInstanceCreateJob::tr$$
    {11, 1564, 133},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {11, 1566, 142},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {11, 1567, 132},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {11, 1568, 134},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {11, 1618, 147},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {12, 29, 166},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {12, 30, 155},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {12, 73, 177},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {12, 213, 175},	// Akonadi::AgentInstanceModel::DescriptionRole
    {12, 295, 179},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {12, 296, 178},	// Akonadi::AgentInstanceModel::InstanceRole
    {12, 381, 176},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {12, 430, 183},	// Akonadi::AgentInstanceModel::OnlineRole
    {12, 456, 182},	// Akonadi::AgentInstanceModel::ProgressRole
    {12, 520, 181},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {12, 521, 180},	// Akonadi::AgentInstanceModel::StatusRole
    {12, 552, 174},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {12, 553, 173},	// Akonadi::AgentInstanceModel::TypeRole
    {12, 569, 184},	// Akonadi::AgentInstanceModel::UserRole
    {12, 777, 167},	// Akonadi::AgentInstanceModel::columnCount
    {12, 778, 156},	// Akonadi::AgentInstanceModel::columnCount#
    {12, 829, 169},	// Akonadi::AgentInstanceModel::data#
    {12, 830, 158},	// Akonadi::AgentInstanceModel::data#$
    {12, 923, 162},	// Akonadi::AgentInstanceModel::flags#
    {12, 940, 170},	// Akonadi::AgentInstanceModel::headerData$$
    {12, 941, 159},	// Akonadi::AgentInstanceModel::headerData$$$
    {12, 962, 171},	// Akonadi::AgentInstanceModel::index$$
    {12, 963, 160},	// Akonadi::AgentInstanceModel::index$$#
    {12, 1078, 148},	// Akonadi::AgentInstanceModel::metaObject
    {12, 1122, 161},	// Akonadi::AgentInstanceModel::parent#
    {12, 1141, 154},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {12, 1143, 149},	// Akonadi::AgentInstanceModel::qt_metacast$
    {12, 1191, 168},	// Akonadi::AgentInstanceModel::rowCount
    {12, 1192, 157},	// Akonadi::AgentInstanceModel::rowCount#
    {12, 1306, 163},	// Akonadi::AgentInstanceModel::setData##$
    {12, 1527, 172},	// Akonadi::AgentInstanceModel::staticMetaObject
    {12, 1562, 164},	// Akonadi::AgentInstanceModel::tr$
    {12, 1563, 150},	// Akonadi::AgentInstanceModel::tr$$
    {12, 1564, 152},	// Akonadi::AgentInstanceModel::tr$$$
    {12, 1566, 165},	// Akonadi::AgentInstanceModel::trUtf8$
    {12, 1567, 151},	// Akonadi::AgentInstanceModel::trUtf8$$
    {12, 1568, 153},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {12, 1619, 185},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {13, 31, 202},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {13, 32, 193},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {13, 683, 196},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {13, 818, 194},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {13, 822, 198},	// Akonadi::AgentInstanceWidget::currentChanged##
    {13, 860, 199},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {13, 1078, 186},	// Akonadi::AgentInstanceWidget::metaObject
    {13, 1141, 192},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {13, 1143, 187},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {13, 1207, 195},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {13, 1527, 203},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {13, 1562, 200},	// Akonadi::AgentInstanceWidget::tr$
    {13, 1563, 188},	// Akonadi::AgentInstanceWidget::tr$$
    {13, 1564, 190},	// Akonadi::AgentInstanceWidget::tr$$$
    {13, 1566, 201},	// Akonadi::AgentInstanceWidget::trUtf8$
    {13, 1567, 189},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {13, 1568, 191},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {13, 1595, 197},	// Akonadi::AgentInstanceWidget::view
    {13, 1620, 204},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {14, 975, 216},	// Akonadi::AgentManager::instance$
    {14, 977, 222},	// Akonadi::AgentManager::instanceAdded#
    {14, 979, 227},	// Akonadi::AgentManager::instanceError#$
    {14, 981, 226},	// Akonadi::AgentManager::instanceNameChanged#
    {14, 983, 229},	// Akonadi::AgentManager::instanceOnline#$
    {14, 985, 225},	// Akonadi::AgentManager::instanceProgressChanged#
    {14, 987, 223},	// Akonadi::AgentManager::instanceRemoved#
    {14, 989, 224},	// Akonadi::AgentManager::instanceStatusChanged#
    {14, 991, 228},	// Akonadi::AgentManager::instanceWarning#$
    {14, 992, 215},	// Akonadi::AgentManager::instances
    {14, 1078, 205},	// Akonadi::AgentManager::metaObject
    {14, 1141, 211},	// Akonadi::AgentManager::qt_metacall$$?
    {14, 1143, 206},	// Akonadi::AgentManager::qt_metacast$
    {14, 1161, 217},	// Akonadi::AgentManager::removeInstance#
    {14, 1215, 212},	// Akonadi::AgentManager::self
    {14, 1527, 232},	// Akonadi::AgentManager::staticMetaObject
    {14, 1546, 218},	// Akonadi::AgentManager::synchronizeCollection#
    {14, 1547, 219},	// Akonadi::AgentManager::synchronizeCollection#$
    {14, 1562, 230},	// Akonadi::AgentManager::tr$
    {14, 1563, 207},	// Akonadi::AgentManager::tr$$
    {14, 1564, 209},	// Akonadi::AgentManager::tr$$$
    {14, 1566, 231},	// Akonadi::AgentManager::trUtf8$
    {14, 1567, 208},	// Akonadi::AgentManager::trUtf8$$
    {14, 1568, 210},	// Akonadi::AgentManager::trUtf8$$$
    {14, 1570, 214},	// Akonadi::AgentManager::type$
    {14, 1572, 220},	// Akonadi::AgentManager::typeAdded#
    {14, 1575, 221},	// Akonadi::AgentManager::typeRemoved#
    {14, 1576, 213},	// Akonadi::AgentManager::types
    {14, 1621, 233},	// Akonadi::AgentManager::~AgentManager
    {15, 33, 234},	// Akonadi::AgentType::AgentType
    {15, 34, 235},	// Akonadi::AgentType::AgentType#
    {15, 717, 243},	// Akonadi::AgentType::capabilities
    {15, 836, 239},	// Akonadi::AgentType::description
    {15, 948, 241},	// Akonadi::AgentType::icon
    {15, 949, 240},	// Akonadi::AgentType::iconName
    {15, 951, 237},	// Akonadi::AgentType::identifier
    {15, 1006, 236},	// Akonadi::AgentType::isValid
    {15, 1089, 242},	// Akonadi::AgentType::mimeTypes
    {15, 1103, 238},	// Akonadi::AgentType::name
    {15, 1112, 244},	// Akonadi::AgentType::operator=#
    {15, 1114, 245},	// Akonadi::AgentType::operator==#
    {15, 1622, 246},	// Akonadi::AgentType::~AgentType
    {16, 35, 260},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {16, 36, 254},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {16, 683, 256},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {16, 687, 255},	// Akonadi::AgentTypeDialog::agentType
    {16, 858, 257},	// Akonadi::AgentTypeDialog::done$
    {16, 1078, 247},	// Akonadi::AgentTypeDialog::metaObject
    {16, 1141, 253},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {16, 1143, 248},	// Akonadi::AgentTypeDialog::qt_metacast$
    {16, 1527, 261},	// Akonadi::AgentTypeDialog::staticMetaObject
    {16, 1562, 258},	// Akonadi::AgentTypeDialog::tr$
    {16, 1563, 249},	// Akonadi::AgentTypeDialog::tr$$
    {16, 1564, 251},	// Akonadi::AgentTypeDialog::tr$$$
    {16, 1566, 259},	// Akonadi::AgentTypeDialog::trUtf8$
    {16, 1567, 250},	// Akonadi::AgentTypeDialog::trUtf8$$
    {16, 1568, 252},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {16, 1623, 262},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {17, 37, 279},	// Akonadi::AgentTypeModel::AgentTypeModel
    {17, 38, 270},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {17, 73, 289},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {17, 213, 287},	// Akonadi::AgentTypeModel::DescriptionRole
    {17, 284, 286},	// Akonadi::AgentTypeModel::IdentifierRole
    {17, 381, 288},	// Akonadi::AgentTypeModel::MimeTypesRole
    {17, 553, 285},	// Akonadi::AgentTypeModel::TypeRole
    {17, 569, 290},	// Akonadi::AgentTypeModel::UserRole
    {17, 777, 280},	// Akonadi::AgentTypeModel::columnCount
    {17, 778, 271},	// Akonadi::AgentTypeModel::columnCount#
    {17, 829, 282},	// Akonadi::AgentTypeModel::data#
    {17, 830, 273},	// Akonadi::AgentTypeModel::data#$
    {17, 923, 276},	// Akonadi::AgentTypeModel::flags#
    {17, 962, 283},	// Akonadi::AgentTypeModel::index$$
    {17, 963, 274},	// Akonadi::AgentTypeModel::index$$#
    {17, 1078, 263},	// Akonadi::AgentTypeModel::metaObject
    {17, 1122, 275},	// Akonadi::AgentTypeModel::parent#
    {17, 1141, 269},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {17, 1143, 264},	// Akonadi::AgentTypeModel::qt_metacast$
    {17, 1191, 281},	// Akonadi::AgentTypeModel::rowCount
    {17, 1192, 272},	// Akonadi::AgentTypeModel::rowCount#
    {17, 1527, 284},	// Akonadi::AgentTypeModel::staticMetaObject
    {17, 1562, 277},	// Akonadi::AgentTypeModel::tr$
    {17, 1563, 265},	// Akonadi::AgentTypeModel::tr$$
    {17, 1564, 267},	// Akonadi::AgentTypeModel::tr$$$
    {17, 1566, 278},	// Akonadi::AgentTypeModel::trUtf8$
    {17, 1567, 266},	// Akonadi::AgentTypeModel::trUtf8$$
    {17, 1568, 268},	// Akonadi::AgentTypeModel::trUtf8$$$
    {17, 1624, 291},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {18, 39, 306},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {18, 40, 299},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {18, 653, 303},	// Akonadi::AgentTypeWidget::activated
    {18, 683, 301},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {18, 819, 300},	// Akonadi::AgentTypeWidget::currentAgentType
    {18, 822, 302},	// Akonadi::AgentTypeWidget::currentChanged##
    {18, 1078, 292},	// Akonadi::AgentTypeWidget::metaObject
    {18, 1141, 298},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {18, 1143, 293},	// Akonadi::AgentTypeWidget::qt_metacast$
    {18, 1527, 307},	// Akonadi::AgentTypeWidget::staticMetaObject
    {18, 1562, 304},	// Akonadi::AgentTypeWidget::tr$
    {18, 1563, 294},	// Akonadi::AgentTypeWidget::tr$$
    {18, 1564, 296},	// Akonadi::AgentTypeWidget::tr$$$
    {18, 1566, 305},	// Akonadi::AgentTypeWidget::trUtf8$
    {18, 1567, 295},	// Akonadi::AgentTypeWidget::trUtf8$$
    {18, 1568, 297},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {18, 1625, 308},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {19, 51, 313},	// Akonadi::Attribute::Attribute
    {19, 52, 314},	// Akonadi::Attribute::Attribute#
    {19, 740, 310},	// Akonadi::Attribute::clone
    {19, 838, 312},	// Akonadi::Attribute::deserialize#
    {19, 1224, 311},	// Akonadi::Attribute::serialized
    {19, 1569, 309},	// Akonadi::Attribute::type
    {19, 1626, 315},	// Akonadi::Attribute::~Attribute
    {20, 53, 317},	// Akonadi::AttributeFactory::AttributeFactory
    {20, 54, 318},	// Akonadi::AttributeFactory::AttributeFactory#
    {20, 811, 316},	// Akonadi::AttributeFactory::createAttribute#
    {20, 1627, 319},	// Akonadi::AttributeFactory::~AttributeFactory
    {21, 62, 320},	// Akonadi::CachePolicy::CachePolicy
    {21, 63, 321},	// Akonadi::CachePolicy::CachePolicy#
    {21, 710, 326},	// Akonadi::CachePolicy::cacheTimeout
    {21, 967, 322},	// Akonadi::CachePolicy::inheritFromParent
    {21, 996, 328},	// Akonadi::CachePolicy::intervalCheckTime
    {21, 1065, 324},	// Akonadi::CachePolicy::localParts
    {21, 1112, 332},	// Akonadi::CachePolicy::operator=#
    {21, 1114, 333},	// Akonadi::CachePolicy::operator==#
    {21, 1251, 327},	// Akonadi::CachePolicy::setCacheTimeout$
    {21, 1365, 323},	// Akonadi::CachePolicy::setInheritFromParent$
    {21, 1367, 329},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {21, 1392, 325},	// Akonadi::CachePolicy::setLocalParts?
    {21, 1476, 331},	// Akonadi::CachePolicy::setSyncOnDemand$
    {21, 1543, 330},	// Akonadi::CachePolicy::syncOnDemand
    {21, 1628, 334},	// Akonadi::CachePolicy::~CachePolicy
    {22, 74, 353},	// Akonadi::ChangeRecorder::ChangeRecorder
    {22, 75, -92},	// Akonadi::ChangeRecorder::ChangeRecorder#
    {22, 76, 350},	// Akonadi::ChangeRecorder::ChangeRecorder##
    {22, 724, 345},	// Akonadi::ChangeRecorder::changeProcessed
    {22, 726, 348},	// Akonadi::ChangeRecorder::changesAdded
    {22, 999, 344},	// Akonadi::ChangeRecorder::isEmpty
    {22, 1078, 335},	// Akonadi::ChangeRecorder::metaObject
    {22, 1106, 349},	// Akonadi::ChangeRecorder::nothingToReplay
    {22, 1141, 341},	// Akonadi::ChangeRecorder::qt_metacall$$?
    {22, 1143, 336},	// Akonadi::ChangeRecorder::qt_metacast$
    {22, 1167, 347},	// Akonadi::ChangeRecorder::replayNext
    {22, 1258, 346},	// Akonadi::ChangeRecorder::setChangeRecordingEnabled$
    {22, 1281, 343},	// Akonadi::ChangeRecorder::setConfig#
    {22, 1527, 355},	// Akonadi::ChangeRecorder::staticMetaObject
    {22, 1562, 351},	// Akonadi::ChangeRecorder::tr$
    {22, 1563, 337},	// Akonadi::ChangeRecorder::tr$$
    {22, 1564, 339},	// Akonadi::ChangeRecorder::tr$$$
    {22, 1566, 352},	// Akonadi::ChangeRecorder::trUtf8$
    {22, 1567, 338},	// Akonadi::ChangeRecorder::trUtf8$$
    {22, 1568, 340},	// Akonadi::ChangeRecorder::trUtf8$$$
    {22, 1629, 356},	// Akonadi::ChangeRecorder::~ChangeRecorder
    {24, 43, 391},	// Akonadi::Collection::AllRights
    {24, 64, 386},	// Akonadi::Collection::CanChangeCollection
    {24, 65, 383},	// Akonadi::Collection::CanChangeItem
    {24, 66, 387},	// Akonadi::Collection::CanCreateCollection
    {24, 67, 384},	// Akonadi::Collection::CanCreateItem
    {24, 68, 388},	// Akonadi::Collection::CanDeleteCollection
    {24, 69, 385},	// Akonadi::Collection::CanDeleteItem
    {24, 70, 389},	// Akonadi::Collection::CanLinkItem
    {24, 71, 390},	// Akonadi::Collection::CanUnlinkItem
    {24, 80, 357},	// Akonadi::Collection::Collection
    {24, 81, 359},	// Akonadi::Collection::Collection#
    {24, 82, 358},	// Akonadi::Collection::Collection$
    {24, 465, 382},	// Akonadi::Collection::ReadOnly
    {24, 709, 376},	// Akonadi::Collection::cachePolicy
    {24, 802, 365},	// Akonadi::Collection::contentMimeTypes
    {24, 930, 360},	// Akonadi::Collection::fromUrl#
    {24, 1007, 381},	// Akonadi::Collection::isVirtual
    {24, 1082, 373},	// Akonadi::Collection::mimeType
    {24, 1103, 361},	// Akonadi::Collection::name
    {24, 1121, 367},	// Akonadi::Collection::parent
    {24, 1124, 370},	// Akonadi::Collection::parentRemoteId
    {24, 1170, 374},	// Akonadi::Collection::resource
    {24, 1187, 363},	// Akonadi::Collection::rights
    {24, 1189, 372},	// Akonadi::Collection::root
    {24, 1249, 377},	// Akonadi::Collection::setCachePolicy#
    {24, 1295, 366},	// Akonadi::Collection::setContentMimeTypes?
    {24, 1408, 362},	// Akonadi::Collection::setName$
    {24, 1418, 369},	// Akonadi::Collection::setParent#
    {24, 1419, 368},	// Akonadi::Collection::setParent$
    {24, 1423, 371},	// Akonadi::Collection::setParentRemoteId$
    {24, 1446, 375},	// Akonadi::Collection::setResource$
    {24, 1453, 364},	// Akonadi::Collection::setRights$
    {24, 1470, 379},	// Akonadi::Collection::setStatistics#
    {24, 1528, 378},	// Akonadi::Collection::statistics
    {24, 1586, 380},	// Akonadi::Collection::url
    {24, 1630, 392},	// Akonadi::Collection::~Collection
    {25, 84, 411},	// Akonadi::CollectionComboBox::CollectionComboBox
    {25, 85, -55},	// Akonadi::CollectionComboBox::CollectionComboBox#
    {25, 86, 401},	// Akonadi::CollectionComboBox::CollectionComboBox##
    {25, 648, 405},	// Akonadi::CollectionComboBox::accessRightsFilter
    {25, 821, 408},	// Akonadi::CollectionComboBox::currentChanged#
    {25, 823, 407},	// Akonadi::CollectionComboBox::currentCollection
    {25, 1078, 393},	// Akonadi::CollectionComboBox::metaObject
    {25, 1084, 403},	// Akonadi::CollectionComboBox::mimeTypeFilter
    {25, 1141, 399},	// Akonadi::CollectionComboBox::qt_metacall$$?
    {25, 1143, 394},	// Akonadi::CollectionComboBox::qt_metacast$
    {25, 1228, 404},	// Akonadi::CollectionComboBox::setAccessRightsFilter$
    {25, 1310, 406},	// Akonadi::CollectionComboBox::setDefaultCollection#
    {25, 1398, 402},	// Akonadi::CollectionComboBox::setMimeTypeFilter?
    {25, 1527, 413},	// Akonadi::CollectionComboBox::staticMetaObject
    {25, 1562, 409},	// Akonadi::CollectionComboBox::tr$
    {25, 1563, 395},	// Akonadi::CollectionComboBox::tr$$
    {25, 1564, 397},	// Akonadi::CollectionComboBox::tr$$$
    {25, 1566, 410},	// Akonadi::CollectionComboBox::trUtf8$
    {25, 1567, 396},	// Akonadi::CollectionComboBox::trUtf8$$
    {25, 1568, 398},	// Akonadi::CollectionComboBox::trUtf8$$$
    {25, 1631, 414},	// Akonadi::CollectionComboBox::~CollectionComboBox
    {26, 88, 426},	// Akonadi::CollectionCopyJob::CollectionCopyJob##
    {26, 89, 422},	// Akonadi::CollectionCopyJob::CollectionCopyJob###
    {26, 855, 423},	// Akonadi::CollectionCopyJob::doStart
    {26, 1078, 415},	// Akonadi::CollectionCopyJob::metaObject
    {26, 1141, 421},	// Akonadi::CollectionCopyJob::qt_metacall$$?
    {26, 1143, 416},	// Akonadi::CollectionCopyJob::qt_metacast$
    {26, 1527, 427},	// Akonadi::CollectionCopyJob::staticMetaObject
    {26, 1562, 424},	// Akonadi::CollectionCopyJob::tr$
    {26, 1563, 417},	// Akonadi::CollectionCopyJob::tr$$
    {26, 1564, 419},	// Akonadi::CollectionCopyJob::tr$$$
    {26, 1566, 425},	// Akonadi::CollectionCopyJob::trUtf8$
    {26, 1567, 418},	// Akonadi::CollectionCopyJob::trUtf8$$
    {26, 1568, 420},	// Akonadi::CollectionCopyJob::trUtf8$$$
    {26, 1632, 428},	// Akonadi::CollectionCopyJob::~CollectionCopyJob
    {27, 91, 442},	// Akonadi::CollectionCreateJob::CollectionCreateJob#
    {27, 92, 436},	// Akonadi::CollectionCreateJob::CollectionCreateJob##
    {27, 743, 437},	// Akonadi::CollectionCreateJob::collection
    {27, 849, 439},	// Akonadi::CollectionCreateJob::doHandleResponse##
    {27, 855, 438},	// Akonadi::CollectionCreateJob::doStart
    {27, 1078, 429},	// Akonadi::CollectionCreateJob::metaObject
    {27, 1141, 435},	// Akonadi::CollectionCreateJob::qt_metacall$$?
    {27, 1143, 430},	// Akonadi::CollectionCreateJob::qt_metacast$
    {27, 1527, 443},	// Akonadi::CollectionCreateJob::staticMetaObject
    {27, 1562, 440},	// Akonadi::CollectionCreateJob::tr$
    {27, 1563, 431},	// Akonadi::CollectionCreateJob::tr$$
    {27, 1564, 433},	// Akonadi::CollectionCreateJob::tr$$$
    {27, 1566, 441},	// Akonadi::CollectionCreateJob::trUtf8$
    {27, 1567, 432},	// Akonadi::CollectionCreateJob::trUtf8$$
    {27, 1568, 434},	// Akonadi::CollectionCreateJob::trUtf8$$$
    {27, 1633, 444},	// Akonadi::CollectionCreateJob::~CollectionCreateJob
    {28, 94, 456},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob#
    {28, 95, 452},	// Akonadi::CollectionDeleteJob::CollectionDeleteJob##
    {28, 855, 453},	// Akonadi::CollectionDeleteJob::doStart
    {28, 1078, 445},	// Akonadi::CollectionDeleteJob::metaObject
    {28, 1141, 451},	// Akonadi::CollectionDeleteJob::qt_metacall$$?
    {28, 1143, 446},	// Akonadi::CollectionDeleteJob::qt_metacast$
    {28, 1527, 457},	// Akonadi::CollectionDeleteJob::staticMetaObject
    {28, 1562, 454},	// Akonadi::CollectionDeleteJob::tr$
    {28, 1563, 447},	// Akonadi::CollectionDeleteJob::tr$$
    {28, 1564, 449},	// Akonadi::CollectionDeleteJob::tr$$$
    {28, 1566, 455},	// Akonadi::CollectionDeleteJob::trUtf8$
    {28, 1567, 448},	// Akonadi::CollectionDeleteJob::trUtf8$$
    {28, 1568, 450},	// Akonadi::CollectionDeleteJob::trUtf8$$$
    {28, 1634, 458},	// Akonadi::CollectionDeleteJob::~CollectionDeleteJob
    {29, 44, 488},	// Akonadi::CollectionDialog::AllowToCreateNewChildCollection
    {29, 97, 482},	// Akonadi::CollectionDialog::CollectionDialog
    {29, 98, -61},	// Akonadi::CollectionDialog::CollectionDialog#
    {29, 99, 467},	// Akonadi::CollectionDialog::CollectionDialog##
    {29, 100, 484},	// Akonadi::CollectionDialog::CollectionDialog$
    {29, 101, 485},	// Akonadi::CollectionDialog::CollectionDialog$#
    {29, 102, 468},	// Akonadi::CollectionDialog::CollectionDialog$##
    {29, 419, 487},	// Akonadi::CollectionDialog::None
    {29, 648, 472},	// Akonadi::CollectionDialog::accessRightsFilter
    {29, 720, 479},	// Akonadi::CollectionDialog::changeCollectionDialogOptions$
    {29, 1078, 459},	// Akonadi::CollectionDialog::metaObject
    {29, 1084, 470},	// Akonadi::CollectionDialog::mimeTypeFilter
    {29, 1141, 465},	// Akonadi::CollectionDialog::qt_metacall$$?
    {29, 1143, 460},	// Akonadi::CollectionDialog::qt_metacast$
    {29, 1208, 477},	// Akonadi::CollectionDialog::selectedCollection
    {29, 1209, 478},	// Akonadi::CollectionDialog::selectedCollections
    {29, 1214, 476},	// Akonadi::CollectionDialog::selectionMode
    {29, 1228, 471},	// Akonadi::CollectionDialog::setAccessRightsFilter$
    {29, 1310, 474},	// Akonadi::CollectionDialog::setDefaultCollection#
    {29, 1312, 473},	// Akonadi::CollectionDialog::setDescription$
    {29, 1398, 469},	// Akonadi::CollectionDialog::setMimeTypeFilter?
    {29, 1459, 475},	// Akonadi::CollectionDialog::setSelectionMode$
    {29, 1527, 486},	// Akonadi::CollectionDialog::staticMetaObject
    {29, 1562, 480},	// Akonadi::CollectionDialog::tr$
    {29, 1563, 461},	// Akonadi::CollectionDialog::tr$$
    {29, 1564, 463},	// Akonadi::CollectionDialog::tr$$$
    {29, 1566, 481},	// Akonadi::CollectionDialog::trUtf8$
    {29, 1567, 462},	// Akonadi::CollectionDialog::trUtf8$$
    {29, 1568, 464},	// Akonadi::CollectionDialog::trUtf8$$$
    {29, 1635, 489},	// Akonadi::CollectionDialog::~CollectionDialog
    {30, 56, 517},	// Akonadi::CollectionFetchJob::Base
    {30, 104, 511},	// Akonadi::CollectionFetchJob::CollectionFetchJob#
    {30, 105, 512},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$
    {30, 106, 497},	// Akonadi::CollectionFetchJob::CollectionFetchJob#$#
    {30, 107, 513},	// Akonadi::CollectionFetchJob::CollectionFetchJob?
    {30, 108, 498},	// Akonadi::CollectionFetchJob::CollectionFetchJob?#
    {30, 274, 518},	// Akonadi::CollectionFetchJob::FirstLevel
    {30, 467, 519},	// Akonadi::CollectionFetchJob::Recursive
    {30, 768, 499},	// Akonadi::CollectionFetchJob::collections
    {30, 771, 505},	// Akonadi::CollectionFetchJob::collectionsReceived?
    {30, 849, 507},	// Akonadi::CollectionFetchJob::doHandleResponse##
    {30, 855, 506},	// Akonadi::CollectionFetchJob::doStart
    {30, 916, 504},	// Akonadi::CollectionFetchJob::fetchScope
    {30, 956, 515},	// Akonadi::CollectionFetchJob::includeStatistics
    {30, 957, 502},	// Akonadi::CollectionFetchJob::includeStatistics$
    {30, 958, 514},	// Akonadi::CollectionFetchJob::includeUnsubscribed
    {30, 959, 501},	// Akonadi::CollectionFetchJob::includeUnsubscribed$
    {30, 1078, 490},	// Akonadi::CollectionFetchJob::metaObject
    {30, 1141, 496},	// Akonadi::CollectionFetchJob::qt_metacall$$?
    {30, 1143, 491},	// Akonadi::CollectionFetchJob::qt_metacast$
    {30, 1329, 503},	// Akonadi::CollectionFetchJob::setFetchScope#
    {30, 1446, 500},	// Akonadi::CollectionFetchJob::setResource$
    {30, 1514, 508},	// Akonadi::CollectionFetchJob::slotResult#
    {30, 1527, 516},	// Akonadi::CollectionFetchJob::staticMetaObject
    {30, 1562, 509},	// Akonadi::CollectionFetchJob::tr$
    {30, 1563, 492},	// Akonadi::CollectionFetchJob::tr$$
    {30, 1564, 494},	// Akonadi::CollectionFetchJob::tr$$$
    {30, 1566, 510},	// Akonadi::CollectionFetchJob::trUtf8$
    {30, 1567, 493},	// Akonadi::CollectionFetchJob::trUtf8$$
    {30, 1568, 495},	// Akonadi::CollectionFetchJob::trUtf8$$$
    {30, 1636, 520},	// Akonadi::CollectionFetchJob::~CollectionFetchJob
    {31, 41, 538},	// Akonadi::CollectionFetchScope::All
    {31, 109, 521},	// Akonadi::CollectionFetchScope::CollectionFetchScope
    {31, 110, 522},	// Akonadi::CollectionFetchScope::CollectionFetchScope#
    {31, 419, 536},	// Akonadi::CollectionFetchScope::None
    {31, 432, 537},	// Akonadi::CollectionFetchScope::Parent
    {31, 692, 534},	// Akonadi::CollectionFetchScope::ancestorRetrieval
    {31, 802, 532},	// Akonadi::CollectionFetchScope::contentMimeTypes
    {31, 956, 527},	// Akonadi::CollectionFetchScope::includeStatistics
    {31, 958, 525},	// Akonadi::CollectionFetchScope::includeUnsubscribed
    {31, 960, 524},	// Akonadi::CollectionFetchScope::includeUnubscribed
    {31, 999, 535},	// Akonadi::CollectionFetchScope::isEmpty
    {31, 1112, 523},	// Akonadi::CollectionFetchScope::operator=#
    {31, 1170, 529},	// Akonadi::CollectionFetchScope::resource
    {31, 1238, 533},	// Akonadi::CollectionFetchScope::setAncestorRetrieval$
    {31, 1295, 531},	// Akonadi::CollectionFetchScope::setContentMimeTypes?
    {31, 1359, 528},	// Akonadi::CollectionFetchScope::setIncludeStatistics$
    {31, 1361, 526},	// Akonadi::CollectionFetchScope::setIncludeUnsubscribed$
    {31, 1446, 530},	// Akonadi::CollectionFetchScope::setResource$
    {31, 1637, 539},	// Akonadi::CollectionFetchScope::~CollectionFetchScope
    {32, 111, 556},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel
    {32, 112, 547},	// Akonadi::CollectionFilterProxyModel::CollectionFilterProxyModel#
    {32, 668, 549},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilter$
    {32, 670, 548},	// Akonadi::CollectionFilterProxyModel::addMimeTypeFilters?
    {32, 733, 551},	// Akonadi::CollectionFilterProxyModel::clearFilters
    {32, 919, 553},	// Akonadi::CollectionFilterProxyModel::filterAcceptsRow$#
    {32, 923, 552},	// Akonadi::CollectionFilterProxyModel::flags#
    {32, 1078, 540},	// Akonadi::CollectionFilterProxyModel::metaObject
    {32, 1085, 550},	// Akonadi::CollectionFilterProxyModel::mimeTypeFilters
    {32, 1141, 546},	// Akonadi::CollectionFilterProxyModel::qt_metacall$$?
    {32, 1143, 541},	// Akonadi::CollectionFilterProxyModel::qt_metacast$
    {32, 1527, 557},	// Akonadi::CollectionFilterProxyModel::staticMetaObject
    {32, 1562, 554},	// Akonadi::CollectionFilterProxyModel::tr$
    {32, 1563, 542},	// Akonadi::CollectionFilterProxyModel::tr$$
    {32, 1564, 544},	// Akonadi::CollectionFilterProxyModel::tr$$$
    {32, 1566, 555},	// Akonadi::CollectionFilterProxyModel::trUtf8$
    {32, 1567, 543},	// Akonadi::CollectionFilterProxyModel::trUtf8$$
    {32, 1568, 545},	// Akonadi::CollectionFilterProxyModel::trUtf8$$$
    {32, 1638, 558},	// Akonadi::CollectionFilterProxyModel::~CollectionFilterProxyModel
    {33, 113, 599},	// Akonadi::CollectionModel::CollectionIdRole
    {33, 114, 586},	// Akonadi::CollectionModel::CollectionModel
    {33, 115, -111},	// Akonadi::CollectionModel::CollectionModel#
    {33, 116, 583},	// Akonadi::CollectionModel::CollectionModel##
    {33, 140, 600},	// Akonadi::CollectionModel::CollectionRole
    {33, 426, 597},	// Akonadi::CollectionModel::OldCollectionIdRole
    {33, 427, 598},	// Akonadi::CollectionModel::OldCollectionRole
    {33, 569, 601},	// Akonadi::CollectionModel::UserRole
    {33, 754, 582},	// Akonadi::CollectionModel::collectionForId?
    {33, 777, 588},	// Akonadi::CollectionModel::columnCount
    {33, 778, 569},	// Akonadi::CollectionModel::columnCount#
    {33, 829, 589},	// Akonadi::CollectionModel::data#
    {33, 830, 570},	// Akonadi::CollectionModel::data#$
    {33, 871, 580},	// Akonadi::CollectionModel::dropMimeData#$$$#
    {33, 907, 567},	// Akonadi::CollectionModel::fetchCollectionStatistics$
    {33, 923, 577},	// Akonadi::CollectionModel::flags#
    {33, 940, 592},	// Akonadi::CollectionModel::headerData$$
    {33, 941, 574},	// Akonadi::CollectionModel::headerData$$$
    {33, 958, 587},	// Akonadi::CollectionModel::includeUnsubscribed
    {33, 959, 568},	// Akonadi::CollectionModel::includeUnsubscribed$
    {33, 962, 590},	// Akonadi::CollectionModel::index$$
    {33, 963, 571},	// Akonadi::CollectionModel::index$$#
    {33, 1078, 559},	// Akonadi::CollectionModel::metaObject
    {33, 1081, 579},	// Akonadi::CollectionModel::mimeData?
    {33, 1089, 581},	// Akonadi::CollectionModel::mimeTypes
    {33, 1122, 572},	// Akonadi::CollectionModel::parent#
    {33, 1141, 565},	// Akonadi::CollectionModel::qt_metacall$$?
    {33, 1143, 560},	// Akonadi::CollectionModel::qt_metacast$
    {33, 1191, 591},	// Akonadi::CollectionModel::rowCount
    {33, 1192, 573},	// Akonadi::CollectionModel::rowCount#
    {33, 1305, 594},	// Akonadi::CollectionModel::setData##
    {33, 1306, 576},	// Akonadi::CollectionModel::setData##$
    {33, 1342, 593},	// Akonadi::CollectionModel::setHeaderData$$#
    {33, 1343, 575},	// Akonadi::CollectionModel::setHeaderData$$#$
    {33, 1527, 596},	// Akonadi::CollectionModel::staticMetaObject
    {33, 1542, 578},	// Akonadi::CollectionModel::supportedDropActions
    {33, 1562, 584},	// Akonadi::CollectionModel::tr$
    {33, 1563, 561},	// Akonadi::CollectionModel::tr$$
    {33, 1564, 563},	// Akonadi::CollectionModel::tr$$$
    {33, 1566, 585},	// Akonadi::CollectionModel::trUtf8$
    {33, 1567, 562},	// Akonadi::CollectionModel::trUtf8$$
    {33, 1568, 564},	// Akonadi::CollectionModel::trUtf8$$$
    {33, 1639, 602},	// Akonadi::CollectionModel::~CollectionModel
    {35, 118, 615},	// Akonadi::CollectionModifyJob::CollectionModifyJob#
    {35, 119, 610},	// Akonadi::CollectionModifyJob::CollectionModifyJob##
    {35, 743, 611},	// Akonadi::CollectionModifyJob::collection
    {35, 855, 612},	// Akonadi::CollectionModifyJob::doStart
    {35, 1078, 603},	// Akonadi::CollectionModifyJob::metaObject
    {35, 1141, 609},	// Akonadi::CollectionModifyJob::qt_metacall$$?
    {35, 1143, 604},	// Akonadi::CollectionModifyJob::qt_metacast$
    {35, 1527, 616},	// Akonadi::CollectionModifyJob::staticMetaObject
    {35, 1562, 613},	// Akonadi::CollectionModifyJob::tr$
    {35, 1563, 605},	// Akonadi::CollectionModifyJob::tr$$
    {35, 1564, 607},	// Akonadi::CollectionModifyJob::tr$$$
    {35, 1566, 614},	// Akonadi::CollectionModifyJob::trUtf8$
    {35, 1567, 606},	// Akonadi::CollectionModifyJob::trUtf8$$
    {35, 1568, 608},	// Akonadi::CollectionModifyJob::trUtf8$$$
    {35, 1640, 617},	// Akonadi::CollectionModifyJob::~CollectionModifyJob
    {36, 121, 629},	// Akonadi::CollectionMoveJob::CollectionMoveJob##
    {36, 122, 625},	// Akonadi::CollectionMoveJob::CollectionMoveJob###
    {36, 855, 626},	// Akonadi::CollectionMoveJob::doStart
    {36, 1078, 618},	// Akonadi::CollectionMoveJob::metaObject
    {36, 1141, 624},	// Akonadi::CollectionMoveJob::qt_metacall$$?
    {36, 1143, 619},	// Akonadi::CollectionMoveJob::qt_metacast$
    {36, 1527, 630},	// Akonadi::CollectionMoveJob::staticMetaObject
    {36, 1562, 627},	// Akonadi::CollectionMoveJob::tr$
    {36, 1563, 620},	// Akonadi::CollectionMoveJob::tr$$
    {36, 1564, 622},	// Akonadi::CollectionMoveJob::tr$$$
    {36, 1566, 628},	// Akonadi::CollectionMoveJob::trUtf8$
    {36, 1567, 621},	// Akonadi::CollectionMoveJob::trUtf8$$
    {36, 1568, 623},	// Akonadi::CollectionMoveJob::trUtf8$$$
    {36, 1641, 631},	// Akonadi::CollectionMoveJob::~CollectionMoveJob
    {37, 125, 645},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#
    {37, 126, 639},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog##
    {37, 127, 646},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?
    {37, 128, 640},	// Akonadi::CollectionPropertiesDialog::CollectionPropertiesDialog#?#
    {37, 1078, 632},	// Akonadi::CollectionPropertiesDialog::metaObject
    {37, 1141, 638},	// Akonadi::CollectionPropertiesDialog::qt_metacall$$?
    {37, 1143, 633},	// Akonadi::CollectionPropertiesDialog::qt_metacast$
    {37, 1150, 641},	// Akonadi::CollectionPropertiesDialog::registerPage#
    {37, 1527, 647},	// Akonadi::CollectionPropertiesDialog::staticMetaObject
    {37, 1562, 643},	// Akonadi::CollectionPropertiesDialog::tr$
    {37, 1563, 634},	// Akonadi::CollectionPropertiesDialog::tr$$
    {37, 1564, 636},	// Akonadi::CollectionPropertiesDialog::tr$$$
    {37, 1566, 644},	// Akonadi::CollectionPropertiesDialog::trUtf8$
    {37, 1567, 635},	// Akonadi::CollectionPropertiesDialog::trUtf8$$
    {37, 1568, 637},	// Akonadi::CollectionPropertiesDialog::trUtf8$$$
    {37, 1591, 642},	// Akonadi::CollectionPropertiesDialog::useDefaultPage$
    {37, 1642, 648},	// Akonadi::CollectionPropertiesDialog::~CollectionPropertiesDialog
    {38, 129, 664},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage
    {38, 130, 656},	// Akonadi::CollectionPropertiesPage::CollectionPropertiesPage#
    {38, 714, 659},	// Akonadi::CollectionPropertiesPage::canHandle#
    {38, 1059, 657},	// Akonadi::CollectionPropertiesPage::load#
    {38, 1078, 649},	// Akonadi::CollectionPropertiesPage::metaObject
    {38, 1115, 661},	// Akonadi::CollectionPropertiesPage::pageTitle
    {38, 1141, 655},	// Akonadi::CollectionPropertiesPage::qt_metacall$$?
    {38, 1143, 650},	// Akonadi::CollectionPropertiesPage::qt_metacast$
    {38, 1196, 658},	// Akonadi::CollectionPropertiesPage::save#
    {38, 1416, 660},	// Akonadi::CollectionPropertiesPage::setPageTitle$
    {38, 1527, 665},	// Akonadi::CollectionPropertiesPage::staticMetaObject
    {38, 1562, 662},	// Akonadi::CollectionPropertiesPage::tr$
    {38, 1563, 651},	// Akonadi::CollectionPropertiesPage::tr$$
    {38, 1564, 653},	// Akonadi::CollectionPropertiesPage::tr$$$
    {38, 1566, 663},	// Akonadi::CollectionPropertiesPage::trUtf8$
    {38, 1567, 652},	// Akonadi::CollectionPropertiesPage::trUtf8$$
    {38, 1568, 654},	// Akonadi::CollectionPropertiesPage::trUtf8$$$
    {38, 1643, 666},	// Akonadi::CollectionPropertiesPage::~CollectionPropertiesPage
    {39, 131, 668},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory
    {39, 132, 669},	// Akonadi::CollectionPropertiesPageFactory::CollectionPropertiesPageFactory#
    {39, 815, 670},	// Akonadi::CollectionPropertiesPageFactory::createWidget
    {39, 816, 667},	// Akonadi::CollectionPropertiesPageFactory::createWidget#
    {39, 1644, 671},	// Akonadi::CollectionPropertiesPageFactory::~CollectionPropertiesPageFactory
    {40, 133, 672},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute
    {40, 134, 682},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute#
    {40, 135, 673},	// Akonadi::CollectionQuotaAttribute::CollectionQuotaAttribute$$
    {40, 740, 679},	// Akonadi::CollectionQuotaAttribute::clone
    {40, 825, 676},	// Akonadi::CollectionQuotaAttribute::currentValue
    {40, 838, 681},	// Akonadi::CollectionQuotaAttribute::deserialize#
    {40, 1077, 677},	// Akonadi::CollectionQuotaAttribute::maximumValue
    {40, 1224, 680},	// Akonadi::CollectionQuotaAttribute::serialized
    {40, 1303, 674},	// Akonadi::CollectionQuotaAttribute::setCurrentValue$
    {40, 1394, 675},	// Akonadi::CollectionQuotaAttribute::setMaximumValue$
    {40, 1569, 678},	// Akonadi::CollectionQuotaAttribute::type
    {40, 1645, 683},	// Akonadi::CollectionQuotaAttribute::~CollectionQuotaAttribute
    {41, 137, 703},	// Akonadi::CollectionRequester::CollectionRequester
    {41, 138, -64},	// Akonadi::CollectionRequester::CollectionRequester#
    {41, 139, 692},	// Akonadi::CollectionRequester::CollectionRequester##
    {41, 648, 697},	// Akonadi::CollectionRequester::accessRightsFilter
    {41, 720, 698},	// Akonadi::CollectionRequester::changeCollectionDialogOptions$
    {41, 743, 693},	// Akonadi::CollectionRequester::collection
    {41, 749, 700},	// Akonadi::CollectionRequester::collectionChanged#
    {41, 1078, 684},	// Akonadi::CollectionRequester::metaObject
    {41, 1084, 695},	// Akonadi::CollectionRequester::mimeTypeFilter
    {41, 1141, 690},	// Akonadi::CollectionRequester::qt_metacall$$?
    {41, 1143, 685},	// Akonadi::CollectionRequester::qt_metacast$
    {41, 1228, 696},	// Akonadi::CollectionRequester::setAccessRightsFilter$
    {41, 1260, 699},	// Akonadi::CollectionRequester::setCollection#
    {41, 1398, 694},	// Akonadi::CollectionRequester::setMimeTypeFilter?
    {41, 1527, 705},	// Akonadi::CollectionRequester::staticMetaObject
    {41, 1562, 701},	// Akonadi::CollectionRequester::tr$
    {41, 1563, 686},	// Akonadi::CollectionRequester::tr$$
    {41, 1564, 688},	// Akonadi::CollectionRequester::tr$$$
    {41, 1566, 702},	// Akonadi::CollectionRequester::trUtf8$
    {41, 1567, 687},	// Akonadi::CollectionRequester::trUtf8$$
    {41, 1568, 689},	// Akonadi::CollectionRequester::trUtf8$$$
    {41, 1646, 706},	// Akonadi::CollectionRequester::~CollectionRequester
    {42, 141, 707},	// Akonadi::CollectionStatistics::CollectionStatistics
    {42, 142, 708},	// Akonadi::CollectionStatistics::CollectionStatistics#
    {42, 805, 709},	// Akonadi::CollectionStatistics::count
    {42, 1112, 715},	// Akonadi::CollectionStatistics::operator=#
    {42, 1301, 710},	// Akonadi::CollectionStatistics::setCount$
    {42, 1466, 714},	// Akonadi::CollectionStatistics::setSize$
    {42, 1488, 712},	// Akonadi::CollectionStatistics::setUnreadCount$
    {42, 1506, 713},	// Akonadi::CollectionStatistics::size
    {42, 1578, 711},	// Akonadi::CollectionStatistics::unreadCount
    {42, 1647, 716},	// Akonadi::CollectionStatistics::~CollectionStatistics
    {43, 144, -58},	// Akonadi::CollectionStatisticsDelegate::CollectionStatisticsDelegate#
    {43, 969, 731},	// Akonadi::CollectionStatisticsDelegate::initStyleOption##
    {43, 1078, 717},	// Akonadi::CollectionStatisticsDelegate::metaObject
    {43, 1117, 730},	// Akonadi::CollectionStatisticsDelegate::paint###
    {43, 1138, 729},	// Akonadi::CollectionStatisticsDelegate::progressAnimationEnabled
    {43, 1141, 723},	// Akonadi::CollectionStatisticsDelegate::qt_metacall$$?
    {43, 1143, 718},	// Akonadi::CollectionStatisticsDelegate::qt_metacast$
    {43, 1430, 728},	// Akonadi::CollectionStatisticsDelegate::setProgressAnimationEnabled$
    {43, 1490, 726},	// Akonadi::CollectionStatisticsDelegate::setUnreadCountShown$
    {43, 1527, 734},	// Akonadi::CollectionStatisticsDelegate::staticMetaObject
    {43, 1562, 732},	// Akonadi::CollectionStatisticsDelegate::tr$
    {43, 1563, 719},	// Akonadi::CollectionStatisticsDelegate::tr$$
    {43, 1564, 721},	// Akonadi::CollectionStatisticsDelegate::tr$$$
    {43, 1566, 733},	// Akonadi::CollectionStatisticsDelegate::trUtf8$
    {43, 1567, 720},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$
    {43, 1568, 722},	// Akonadi::CollectionStatisticsDelegate::trUtf8$$$
    {43, 1579, 727},	// Akonadi::CollectionStatisticsDelegate::unreadCountShown
    {43, 1648, 735},	// Akonadi::CollectionStatisticsDelegate::~CollectionStatisticsDelegate
    {44, 146, 750},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob#
    {44, 147, 743},	// Akonadi::CollectionStatisticsJob::CollectionStatisticsJob##
    {44, 743, 745},	// Akonadi::CollectionStatisticsJob::collection
    {44, 849, 747},	// Akonadi::CollectionStatisticsJob::doHandleResponse##
    {44, 855, 746},	// Akonadi::CollectionStatisticsJob::doStart
    {44, 1078, 736},	// Akonadi::CollectionStatisticsJob::metaObject
    {44, 1141, 742},	// Akonadi::CollectionStatisticsJob::qt_metacall$$?
    {44, 1143, 737},	// Akonadi::CollectionStatisticsJob::qt_metacast$
    {44, 1527, 751},	// Akonadi::CollectionStatisticsJob::staticMetaObject
    {44, 1528, 744},	// Akonadi::CollectionStatisticsJob::statistics
    {44, 1562, 748},	// Akonadi::CollectionStatisticsJob::tr$
    {44, 1563, 738},	// Akonadi::CollectionStatisticsJob::tr$$
    {44, 1564, 740},	// Akonadi::CollectionStatisticsJob::tr$$$
    {44, 1566, 749},	// Akonadi::CollectionStatisticsJob::trUtf8$
    {44, 1567, 739},	// Akonadi::CollectionStatisticsJob::trUtf8$$
    {44, 1568, 741},	// Akonadi::CollectionStatisticsJob::trUtf8$$$
    {44, 1649, 752},	// Akonadi::CollectionStatisticsJob::~CollectionStatisticsJob
    {45, 148, 766},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel
    {45, 149, 760},	// Akonadi::CollectionStatisticsModel::CollectionStatisticsModel#
    {45, 468, 778},	// Akonadi::CollectionStatisticsModel::RecursiveSizeRole
    {45, 469, 776},	// Akonadi::CollectionStatisticsModel::RecursiveStatisticsRole
    {45, 470, 775},	// Akonadi::CollectionStatisticsModel::RecursiveTotalRole
    {45, 471, 774},	// Akonadi::CollectionStatisticsModel::RecursiveUnreadRole
    {45, 509, 777},	// Akonadi::CollectionStatisticsModel::SizeRole
    {45, 519, 773},	// Akonadi::CollectionStatisticsModel::StatisticsRole
    {45, 538, 772},	// Akonadi::CollectionStatisticsModel::TotalRole
    {45, 559, 771},	// Akonadi::CollectionStatisticsModel::UnreadRole
    {45, 569, 779},	// Akonadi::CollectionStatisticsModel::UserRole
    {45, 777, 767},	// Akonadi::CollectionStatisticsModel::columnCount
    {45, 778, 761},	// Akonadi::CollectionStatisticsModel::columnCount#
    {45, 829, 768},	// Akonadi::CollectionStatisticsModel::data#
    {45, 830, 762},	// Akonadi::CollectionStatisticsModel::data#$
    {45, 940, 769},	// Akonadi::CollectionStatisticsModel::headerData$$
    {45, 941, 763},	// Akonadi::CollectionStatisticsModel::headerData$$$
    {45, 1078, 753},	// Akonadi::CollectionStatisticsModel::metaObject
    {45, 1141, 759},	// Akonadi::CollectionStatisticsModel::qt_metacall$$?
    {45, 1143, 754},	// Akonadi::CollectionStatisticsModel::qt_metacast$
    {45, 1527, 770},	// Akonadi::CollectionStatisticsModel::staticMetaObject
    {45, 1562, 764},	// Akonadi::CollectionStatisticsModel::tr$
    {45, 1563, 755},	// Akonadi::CollectionStatisticsModel::tr$$
    {45, 1564, 757},	// Akonadi::CollectionStatisticsModel::tr$$$
    {45, 1566, 765},	// Akonadi::CollectionStatisticsModel::trUtf8$
    {45, 1567, 756},	// Akonadi::CollectionStatisticsModel::trUtf8$$
    {45, 1568, 758},	// Akonadi::CollectionStatisticsModel::trUtf8$$$
    {45, 1650, 780},	// Akonadi::CollectionStatisticsModel::~CollectionStatisticsModel
    {46, 152, 803},	// Akonadi::CollectionView::CollectionView
    {46, 153, -85},	// Akonadi::CollectionView::CollectionView#
    {46, 154, -89},	// Akonadi::CollectionView::CollectionView##
    {46, 739, 794},	// Akonadi::CollectionView::clicked#
    {46, 804, 800},	// Akonadi::CollectionView::contextMenuEvent#
    {46, 821, 795},	// Akonadi::CollectionView::currentChanged#
    {46, 822, 796},	// Akonadi::CollectionView::currentChanged##
    {46, 863, 798},	// Akonadi::CollectionView::dragLeaveEvent#
    {46, 865, 797},	// Akonadi::CollectionView::dragMoveEvent#
    {46, 869, 799},	// Akonadi::CollectionView::dropEvent#
    {46, 1078, 781},	// Akonadi::CollectionView::metaObject
    {46, 1141, 787},	// Akonadi::CollectionView::qt_metacall$$?
    {46, 1143, 782},	// Akonadi::CollectionView::qt_metacast$
    {46, 1403, 793},	// Akonadi::CollectionView::setModel#
    {46, 1495, 792},	// Akonadi::CollectionView::setXmlGuiClient#
    {46, 1497, 791},	// Akonadi::CollectionView::setXmlGuiWindow#
    {46, 1527, 806},	// Akonadi::CollectionView::staticMetaObject
    {46, 1562, 801},	// Akonadi::CollectionView::tr$
    {46, 1563, 783},	// Akonadi::CollectionView::tr$$
    {46, 1564, 785},	// Akonadi::CollectionView::tr$$$
    {46, 1566, 802},	// Akonadi::CollectionView::trUtf8$
    {46, 1567, 784},	// Akonadi::CollectionView::trUtf8$$
    {46, 1568, 786},	// Akonadi::CollectionView::trUtf8$$$
    {46, 1651, 807},	// Akonadi::CollectionView::~CollectionView
    {47, 157, 824},	// Akonadi::ContactDefaultActions::ContactDefaultActions
    {47, 158, 815},	// Akonadi::ContactDefaultActions::ContactDefaultActions#
    {47, 791, 816},	// Akonadi::ContactDefaultActions::connectToView#
    {47, 842, 819},	// Akonadi::ContactDefaultActions::dialPhoneNumber#
    {47, 1078, 808},	// Akonadi::ContactDefaultActions::metaObject
    {47, 1141, 814},	// Akonadi::ContactDefaultActions::qt_metacall$$?
    {47, 1143, 809},	// Akonadi::ContactDefaultActions::qt_metacast$
    {47, 1217, 818},	// Akonadi::ContactDefaultActions::sendEmail$$
    {47, 1221, 820},	// Akonadi::ContactDefaultActions::sendSms#
    {47, 1499, 821},	// Akonadi::ContactDefaultActions::showAddress#
    {47, 1505, 817},	// Akonadi::ContactDefaultActions::showUrl#
    {47, 1527, 825},	// Akonadi::ContactDefaultActions::staticMetaObject
    {47, 1562, 822},	// Akonadi::ContactDefaultActions::tr$
    {47, 1563, 810},	// Akonadi::ContactDefaultActions::tr$$
    {47, 1564, 812},	// Akonadi::ContactDefaultActions::tr$$$
    {47, 1566, 823},	// Akonadi::ContactDefaultActions::trUtf8$
    {47, 1567, 811},	// Akonadi::ContactDefaultActions::trUtf8$$
    {47, 1568, 813},	// Akonadi::ContactDefaultActions::trUtf8$$$
    {47, 1652, 826},	// Akonadi::ContactDefaultActions::~ContactDefaultActions
    {48, 160, 844},	// Akonadi::ContactEditor::ContactEditor$
    {48, 161, -95},	// Akonadi::ContactEditor::ContactEditor$#
    {48, 162, 835},	// Akonadi::ContactEditor::ContactEditor$##
    {48, 202, 847},	// Akonadi::ContactEditor::CreateMode
    {48, 227, 848},	// Akonadi::ContactEditor::EditMode
    {48, 798, 840},	// Akonadi::ContactEditor::contactStored#
    {48, 891, 841},	// Akonadi::ContactEditor::error$
    {48, 1061, 838},	// Akonadi::ContactEditor::loadContact#
    {48, 1078, 827},	// Akonadi::ContactEditor::metaObject
    {48, 1141, 833},	// Akonadi::ContactEditor::qt_metacall$$?
    {48, 1143, 828},	// Akonadi::ContactEditor::qt_metacast$
    {48, 1197, 839},	// Akonadi::ContactEditor::saveContact
    {48, 1293, 836},	// Akonadi::ContactEditor::setContactTemplate#
    {48, 1308, 837},	// Akonadi::ContactEditor::setDefaultAddressBook#
    {48, 1527, 846},	// Akonadi::ContactEditor::staticMetaObject
    {48, 1562, 842},	// Akonadi::ContactEditor::tr$
    {48, 1563, 829},	// Akonadi::ContactEditor::tr$$
    {48, 1564, 831},	// Akonadi::ContactEditor::tr$$$
    {48, 1566, 843},	// Akonadi::ContactEditor::trUtf8$
    {48, 1567, 830},	// Akonadi::ContactEditor::trUtf8$$
    {48, 1568, 832},	// Akonadi::ContactEditor::trUtf8$$$
    {48, 1653, 849},	// Akonadi::ContactEditor::~ContactEditor
    {49, 164, 865},	// Akonadi::ContactEditorDialog::ContactEditorDialog$
    {49, 165, -52},	// Akonadi::ContactEditorDialog::ContactEditorDialog$#
    {49, 166, 858},	// Akonadi::ContactEditorDialog::ContactEditorDialog$##
    {49, 202, 868},	// Akonadi::ContactEditorDialog::CreateMode
    {49, 227, 869},	// Akonadi::ContactEditorDialog::EditMode
    {49, 798, 862},	// Akonadi::ContactEditorDialog::contactStored#
    {49, 873, 861},	// Akonadi::ContactEditorDialog::editor
    {49, 1078, 850},	// Akonadi::ContactEditorDialog::metaObject
    {49, 1141, 856},	// Akonadi::ContactEditorDialog::qt_metacall$$?
    {49, 1143, 851},	// Akonadi::ContactEditorDialog::qt_metacast$
    {49, 1283, 859},	// Akonadi::ContactEditorDialog::setContact#
    {49, 1308, 860},	// Akonadi::ContactEditorDialog::setDefaultAddressBook#
    {49, 1527, 867},	// Akonadi::ContactEditorDialog::staticMetaObject
    {49, 1562, 863},	// Akonadi::ContactEditorDialog::tr$
    {49, 1563, 852},	// Akonadi::ContactEditorDialog::tr$$
    {49, 1564, 854},	// Akonadi::ContactEditorDialog::tr$$$
    {49, 1566, 864},	// Akonadi::ContactEditorDialog::trUtf8$
    {49, 1567, 853},	// Akonadi::ContactEditorDialog::trUtf8$$
    {49, 1568, 855},	// Akonadi::ContactEditorDialog::trUtf8$$$
    {49, 1654, 870},	// Akonadi::ContactEditorDialog::~ContactEditorDialog
    {50, 167, 875},	// Akonadi::ContactEditorPagePlugin::ContactEditorPagePlugin
    {50, 1061, 872},	// Akonadi::ContactEditorPagePlugin::loadContact#
    {50, 1440, 874},	// Akonadi::ContactEditorPagePlugin::setReadOnly$
    {50, 1538, 873},	// Akonadi::ContactEditorPagePlugin::storeContact#
    {50, 1559, 871},	// Akonadi::ContactEditorPagePlugin::title
    {50, 1655, 876},	// Akonadi::ContactEditorPagePlugin::~ContactEditorPagePlugin
    {51, 169, 893},	// Akonadi::ContactGroupEditor::ContactGroupEditor$
    {51, 170, 884},	// Akonadi::ContactGroupEditor::ContactGroupEditor$#
    {51, 202, 895},	// Akonadi::ContactGroupEditor::CreateMode
    {51, 227, 896},	// Akonadi::ContactGroupEditor::EditMode
    {51, 795, 889},	// Akonadi::ContactGroupEditor::contactGroupStored#
    {51, 891, 890},	// Akonadi::ContactGroupEditor::error$
    {51, 1063, 887},	// Akonadi::ContactGroupEditor::loadContactGroup#
    {51, 1078, 877},	// Akonadi::ContactGroupEditor::metaObject
    {51, 1141, 883},	// Akonadi::ContactGroupEditor::qt_metacall$$?
    {51, 1143, 878},	// Akonadi::ContactGroupEditor::qt_metacast$
    {51, 1198, 888},	// Akonadi::ContactGroupEditor::saveContactGroup
    {51, 1291, 885},	// Akonadi::ContactGroupEditor::setContactGroupTemplate#
    {51, 1308, 886},	// Akonadi::ContactGroupEditor::setDefaultAddressBook#
    {51, 1527, 894},	// Akonadi::ContactGroupEditor::staticMetaObject
    {51, 1562, 891},	// Akonadi::ContactGroupEditor::tr$
    {51, 1563, 879},	// Akonadi::ContactGroupEditor::tr$$
    {51, 1564, 881},	// Akonadi::ContactGroupEditor::tr$$$
    {51, 1566, 892},	// Akonadi::ContactGroupEditor::trUtf8$
    {51, 1567, 880},	// Akonadi::ContactGroupEditor::trUtf8$$
    {51, 1568, 882},	// Akonadi::ContactGroupEditor::trUtf8$$$
    {51, 1656, 897},	// Akonadi::ContactGroupEditor::~ContactGroupEditor
    {52, 172, 913},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$
    {52, 173, 905},	// Akonadi::ContactGroupEditorDialog::ContactGroupEditorDialog$#
    {52, 202, 915},	// Akonadi::ContactGroupEditorDialog::CreateMode
    {52, 227, 916},	// Akonadi::ContactGroupEditorDialog::EditMode
    {52, 795, 909},	// Akonadi::ContactGroupEditorDialog::contactGroupStored#
    {52, 873, 908},	// Akonadi::ContactGroupEditorDialog::editor
    {52, 1078, 898},	// Akonadi::ContactGroupEditorDialog::metaObject
    {52, 1141, 904},	// Akonadi::ContactGroupEditorDialog::qt_metacall$$?
    {52, 1143, 899},	// Akonadi::ContactGroupEditorDialog::qt_metacast$
    {52, 1287, 906},	// Akonadi::ContactGroupEditorDialog::setContactGroup#
    {52, 1308, 907},	// Akonadi::ContactGroupEditorDialog::setDefaultAddressBook#
    {52, 1511, 910},	// Akonadi::ContactGroupEditorDialog::slotButtonClicked$
    {52, 1527, 914},	// Akonadi::ContactGroupEditorDialog::staticMetaObject
    {52, 1562, 911},	// Akonadi::ContactGroupEditorDialog::tr$
    {52, 1563, 900},	// Akonadi::ContactGroupEditorDialog::tr$$
    {52, 1564, 902},	// Akonadi::ContactGroupEditorDialog::tr$$$
    {52, 1566, 912},	// Akonadi::ContactGroupEditorDialog::trUtf8$
    {52, 1567, 901},	// Akonadi::ContactGroupEditorDialog::trUtf8$$
    {52, 1568, 903},	// Akonadi::ContactGroupEditorDialog::trUtf8$$$
    {52, 1657, 917},	// Akonadi::ContactGroupEditorDialog::~ContactGroupEditorDialog
    {53, 175, 931},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob#
    {53, 176, 925},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob##
    {53, 177, 932},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$
    {53, 178, 926},	// Akonadi::ContactGroupExpandJob::ContactGroupExpandJob$#
    {53, 799, 927},	// Akonadi::ContactGroupExpandJob::contacts
    {53, 1078, 918},	// Akonadi::ContactGroupExpandJob::metaObject
    {53, 1141, 924},	// Akonadi::ContactGroupExpandJob::qt_metacall$$?
    {53, 1143, 919},	// Akonadi::ContactGroupExpandJob::qt_metacast$
    {53, 1519, 928},	// Akonadi::ContactGroupExpandJob::start
    {53, 1527, 933},	// Akonadi::ContactGroupExpandJob::staticMetaObject
    {53, 1562, 929},	// Akonadi::ContactGroupExpandJob::tr$
    {53, 1563, 920},	// Akonadi::ContactGroupExpandJob::tr$$
    {53, 1564, 922},	// Akonadi::ContactGroupExpandJob::tr$$$
    {53, 1566, 930},	// Akonadi::ContactGroupExpandJob::trUtf8$
    {53, 1567, 921},	// Akonadi::ContactGroupExpandJob::trUtf8$$
    {53, 1568, 923},	// Akonadi::ContactGroupExpandJob::trUtf8$$$
    {53, 1658, 934},	// Akonadi::ContactGroupExpandJob::~ContactGroupExpandJob
    {54, 179, 949},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob
    {54, 180, 942},	// Akonadi::ContactGroupSearchJob::ContactGroupSearchJob#
    {54, 192, 954},	// Akonadi::ContactGroupSearchJob::ContainsMatch
    {54, 258, 952},	// Akonadi::ContactGroupSearchJob::ExactMatch
    {54, 402, 951},	// Akonadi::ContactGroupSearchJob::Name
    {54, 515, 953},	// Akonadi::ContactGroupSearchJob::StartsWithMatch
    {54, 796, 946},	// Akonadi::ContactGroupSearchJob::contactGroups
    {54, 1078, 935},	// Akonadi::ContactGroupSearchJob::metaObject
    {54, 1141, 941},	// Akonadi::ContactGroupSearchJob::qt_metacall$$?
    {54, 1143, 936},	// Akonadi::ContactGroupSearchJob::qt_metacast$
    {54, 1389, 945},	// Akonadi::ContactGroupSearchJob::setLimit$
    {54, 1433, 943},	// Akonadi::ContactGroupSearchJob::setQuery$$
    {54, 1434, 944},	// Akonadi::ContactGroupSearchJob::setQuery$$$
    {54, 1527, 950},	// Akonadi::ContactGroupSearchJob::staticMetaObject
    {54, 1562, 947},	// Akonadi::ContactGroupSearchJob::tr$
    {54, 1563, 937},	// Akonadi::ContactGroupSearchJob::tr$$
    {54, 1564, 939},	// Akonadi::ContactGroupSearchJob::tr$$$
    {54, 1566, 948},	// Akonadi::ContactGroupSearchJob::trUtf8$
    {54, 1567, 938},	// Akonadi::ContactGroupSearchJob::trUtf8$$
    {54, 1568, 940},	// Akonadi::ContactGroupSearchJob::trUtf8$$$
    {54, 1659, 955},	// Akonadi::ContactGroupSearchJob::~ContactGroupSearchJob
    {55, 181, 970},	// Akonadi::ContactGroupViewer::ContactGroupViewer
    {55, 182, 963},	// Akonadi::ContactGroupViewer::ContactGroupViewer#
    {55, 793, 964},	// Akonadi::ContactGroupViewer::contactGroup
    {55, 877, 967},	// Akonadi::ContactGroupViewer::emailClicked$$
    {55, 1078, 956},	// Akonadi::ContactGroupViewer::metaObject
    {55, 1141, 962},	// Akonadi::ContactGroupViewer::qt_metacall$$?
    {55, 1143, 957},	// Akonadi::ContactGroupViewer::qt_metacast$
    {55, 1287, 966},	// Akonadi::ContactGroupViewer::setContactGroup#
    {55, 1289, 965},	// Akonadi::ContactGroupViewer::setContactGroupFormatter#
    {55, 1527, 971},	// Akonadi::ContactGroupViewer::staticMetaObject
    {55, 1562, 968},	// Akonadi::ContactGroupViewer::tr$
    {55, 1563, 958},	// Akonadi::ContactGroupViewer::tr$$
    {55, 1564, 960},	// Akonadi::ContactGroupViewer::tr$$$
    {55, 1566, 969},	// Akonadi::ContactGroupViewer::trUtf8$
    {55, 1567, 959},	// Akonadi::ContactGroupViewer::trUtf8$$
    {55, 1568, 961},	// Akonadi::ContactGroupViewer::trUtf8$$$
    {55, 1660, 972},	// Akonadi::ContactGroupViewer::~ContactGroupViewer
    {56, 183, 986},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog
    {56, 184, 980},	// Akonadi::ContactGroupViewerDialog::ContactGroupViewerDialog#
    {56, 793, 981},	// Akonadi::ContactGroupViewerDialog::contactGroup
    {56, 1078, 973},	// Akonadi::ContactGroupViewerDialog::metaObject
    {56, 1141, 979},	// Akonadi::ContactGroupViewerDialog::qt_metacall$$?
    {56, 1143, 974},	// Akonadi::ContactGroupViewerDialog::qt_metacast$
    {56, 1287, 983},	// Akonadi::ContactGroupViewerDialog::setContactGroup#
    {56, 1527, 987},	// Akonadi::ContactGroupViewerDialog::staticMetaObject
    {56, 1562, 984},	// Akonadi::ContactGroupViewerDialog::tr$
    {56, 1563, 975},	// Akonadi::ContactGroupViewerDialog::tr$$
    {56, 1564, 977},	// Akonadi::ContactGroupViewerDialog::tr$$$
    {56, 1566, 985},	// Akonadi::ContactGroupViewerDialog::trUtf8$
    {56, 1567, 976},	// Akonadi::ContactGroupViewerDialog::trUtf8$$
    {56, 1568, 978},	// Akonadi::ContactGroupViewerDialog::trUtf8$$$
    {56, 1597, 982},	// Akonadi::ContactGroupViewerDialog::viewer
    {56, 1661, 988},	// Akonadi::ContactGroupViewerDialog::~ContactGroupViewerDialog
    {57, 185, 1003},	// Akonadi::ContactSearchJob::ContactSearchJob
    {57, 186, 996},	// Akonadi::ContactSearchJob::ContactSearchJob#
    {57, 187, 1009},	// Akonadi::ContactSearchJob::ContactUid
    {57, 192, 1012},	// Akonadi::ContactSearchJob::ContainsMatch
    {57, 229, 1006},	// Akonadi::ContactSearchJob::Email
    {57, 258, 1010},	// Akonadi::ContactSearchJob::ExactMatch
    {57, 402, 1005},	// Akonadi::ContactSearchJob::Name
    {57, 403, 1008},	// Akonadi::ContactSearchJob::NameOrEmail
    {57, 405, 1007},	// Akonadi::ContactSearchJob::NickName
    {57, 515, 1011},	// Akonadi::ContactSearchJob::StartsWithMatch
    {57, 799, 1000},	// Akonadi::ContactSearchJob::contacts
    {57, 1078, 989},	// Akonadi::ContactSearchJob::metaObject
    {57, 1141, 995},	// Akonadi::ContactSearchJob::qt_metacall$$?
    {57, 1143, 990},	// Akonadi::ContactSearchJob::qt_metacast$
    {57, 1389, 999},	// Akonadi::ContactSearchJob::setLimit$
    {57, 1433, 997},	// Akonadi::ContactSearchJob::setQuery$$
    {57, 1434, 998},	// Akonadi::ContactSearchJob::setQuery$$$
    {57, 1527, 1004},	// Akonadi::ContactSearchJob::staticMetaObject
    {57, 1562, 1001},	// Akonadi::ContactSearchJob::tr$
    {57, 1563, 991},	// Akonadi::ContactSearchJob::tr$$
    {57, 1564, 993},	// Akonadi::ContactSearchJob::tr$$$
    {57, 1566, 1002},	// Akonadi::ContactSearchJob::trUtf8$
    {57, 1567, 992},	// Akonadi::ContactSearchJob::trUtf8$$
    {57, 1568, 994},	// Akonadi::ContactSearchJob::trUtf8$$$
    {57, 1662, 1013},	// Akonadi::ContactSearchJob::~ContactSearchJob
    {58, 188, 1034},	// Akonadi::ContactViewer::ContactViewer
    {58, 189, 1021},	// Akonadi::ContactViewer::ContactViewer#
    {58, 680, 1031},	// Akonadi::ContactViewer::addressClicked#
    {58, 792, 1022},	// Akonadi::ContactViewer::contact
    {58, 877, 1028},	// Akonadi::ContactViewer::emailClicked$$
    {58, 1078, 1014},	// Akonadi::ContactViewer::metaObject
    {58, 1134, 1029},	// Akonadi::ContactViewer::phoneNumberClicked#
    {58, 1141, 1020},	// Akonadi::ContactViewer::qt_metacall$$?
    {58, 1143, 1015},	// Akonadi::ContactViewer::qt_metacast$
    {58, 1144, 1023},	// Akonadi::ContactViewer::rawContact
    {58, 1283, 1025},	// Akonadi::ContactViewer::setContact#
    {58, 1285, 1024},	// Akonadi::ContactViewer::setContactFormatter#
    {58, 1438, 1026},	// Akonadi::ContactViewer::setRawContact#
    {58, 1516, 1030},	// Akonadi::ContactViewer::smsClicked#
    {58, 1527, 1035},	// Akonadi::ContactViewer::staticMetaObject
    {58, 1562, 1032},	// Akonadi::ContactViewer::tr$
    {58, 1563, 1016},	// Akonadi::ContactViewer::tr$$
    {58, 1564, 1018},	// Akonadi::ContactViewer::tr$$$
    {58, 1566, 1033},	// Akonadi::ContactViewer::trUtf8$
    {58, 1567, 1017},	// Akonadi::ContactViewer::trUtf8$$
    {58, 1568, 1019},	// Akonadi::ContactViewer::trUtf8$$$
    {58, 1589, 1027},	// Akonadi::ContactViewer::urlClicked#
    {58, 1663, 1036},	// Akonadi::ContactViewer::~ContactViewer
    {59, 190, 1050},	// Akonadi::ContactViewerDialog::ContactViewerDialog
    {59, 191, 1044},	// Akonadi::ContactViewerDialog::ContactViewerDialog#
    {59, 792, 1045},	// Akonadi::ContactViewerDialog::contact
    {59, 1078, 1037},	// Akonadi::ContactViewerDialog::metaObject
    {59, 1141, 1043},	// Akonadi::ContactViewerDialog::qt_metacall$$?
    {59, 1143, 1038},	// Akonadi::ContactViewerDialog::qt_metacast$
    {59, 1283, 1047},	// Akonadi::ContactViewerDialog::setContact#
    {59, 1527, 1051},	// Akonadi::ContactViewerDialog::staticMetaObject
    {59, 1562, 1048},	// Akonadi::ContactViewerDialog::tr$
    {59, 1563, 1039},	// Akonadi::ContactViewerDialog::tr$$
    {59, 1564, 1041},	// Akonadi::ContactViewerDialog::tr$$$
    {59, 1566, 1049},	// Akonadi::ContactViewerDialog::trUtf8$
    {59, 1567, 1040},	// Akonadi::ContactViewerDialog::trUtf8$$
    {59, 1568, 1042},	// Akonadi::ContactViewerDialog::trUtf8$$$
    {59, 1597, 1046},	// Akonadi::ContactViewerDialog::viewer
    {59, 1664, 1052},	// Akonadi::ContactViewerDialog::~ContactViewerDialog
    {60, 194, 1067},	// Akonadi::Control::Control
    {60, 1078, 1053},	// Akonadi::Control::metaObject
    {60, 1141, 1059},	// Akonadi::Control::qt_metacall$$?
    {60, 1143, 1054},	// Akonadi::Control::qt_metacast$
    {60, 1174, 1064},	// Akonadi::Control::restart
    {60, 1175, 1065},	// Akonadi::Control::restart#
    {60, 1519, 1060},	// Akonadi::Control::start
    {60, 1520, 1061},	// Akonadi::Control::start#
    {60, 1527, 1070},	// Akonadi::Control::staticMetaObject
    {60, 1533, 1062},	// Akonadi::Control::stop
    {60, 1534, 1063},	// Akonadi::Control::stop#
    {60, 1562, 1068},	// Akonadi::Control::tr$
    {60, 1563, 1055},	// Akonadi::Control::tr$$
    {60, 1564, 1057},	// Akonadi::Control::tr$$$
    {60, 1566, 1069},	// Akonadi::Control::trUtf8$
    {60, 1567, 1056},	// Akonadi::Control::trUtf8$$
    {60, 1568, 1058},	// Akonadi::Control::trUtf8$$$
    {60, 1608, 1066},	// Akonadi::Control::widgetNeedsAkonadi#
    {60, 1665, 1071},	// Akonadi::Control::~Control
    {61, 3, 1095},	// Akonadi::Entity::AddIfMissing
    {61, 235, -67},	// Akonadi::Entity::Entity#
    {61, 658, 1085},	// Akonadi::Entity::addAttribute#
    {61, 697, 1090},	// Akonadi::Entity::attribute#
    {61, 698, 1088},	// Akonadi::Entity::attributes
    {61, 731, 1089},	// Akonadi::Entity::clearAttributes
    {61, 827, -70},	// Akonadi::Entity::d_func
    {61, 933, 1087},	// Akonadi::Entity::hasAttribute#
    {61, 950, 1073},	// Akonadi::Entity::id
    {61, 1006, 1078},	// Akonadi::Entity::isValid
    {61, 1110, 1080},	// Akonadi::Entity::operator!=#
    {61, 1112, 1081},	// Akonadi::Entity::operator=#
    {61, 1114, 1079},	// Akonadi::Entity::operator==#
    {61, 1123, -73},	// Akonadi::Entity::parentCollection
    {61, 1153, 1075},	// Akonadi::Entity::remoteId
    {61, 1154, 1077},	// Akonadi::Entity::remoteRevision
    {61, 1156, 1086},	// Akonadi::Entity::removeAttribute#
    {61, 1351, 1072},	// Akonadi::Entity::setId$
    {61, 1421, 1084},	// Akonadi::Entity::setParentCollection#
    {61, 1442, 1074},	// Akonadi::Entity::setRemoteId$
    {61, 1444, 1076},	// Akonadi::Entity::setRemoteRevision$
    {61, 1666, 1096},	// Akonadi::Entity::~Entity
    {62, 236, 1097},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute
    {62, 237, 1112},	// Akonadi::EntityDisplayAttribute::EntityDisplayAttribute#
    {62, 655, 1104},	// Akonadi::EntityDisplayAttribute::activeIcon
    {62, 656, 1105},	// Akonadi::EntityDisplayAttribute::activeIconName
    {62, 705, 1106},	// Akonadi::EntityDisplayAttribute::backgroundColor
    {62, 740, 1109},	// Akonadi::EntityDisplayAttribute::clone
    {62, 838, 1111},	// Akonadi::EntityDisplayAttribute::deserialize#
    {62, 846, 1099},	// Akonadi::EntityDisplayAttribute::displayName
    {62, 948, 1101},	// Akonadi::EntityDisplayAttribute::icon
    {62, 949, 1102},	// Akonadi::EntityDisplayAttribute::iconName
    {62, 1224, 1110},	// Akonadi::EntityDisplayAttribute::serialized
    {62, 1232, 1103},	// Akonadi::EntityDisplayAttribute::setActiveIconName$
    {62, 1243, 1107},	// Akonadi::EntityDisplayAttribute::setBackgroundColor#
    {62, 1314, 1098},	// Akonadi::EntityDisplayAttribute::setDisplayName$
    {62, 1349, 1100},	// Akonadi::EntityDisplayAttribute::setIconName$
    {62, 1569, 1108},	// Akonadi::EntityDisplayAttribute::type
    {62, 1667, 1113},	// Akonadi::EntityDisplayAttribute::~EntityDisplayAttribute
    {63, 238, 1114},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute
    {63, 239, 1119},	// Akonadi::EntityHiddenAttribute::EntityHiddenAttribute#
    {63, 740, 1116},	// Akonadi::EntityHiddenAttribute::clone
    {63, 838, 1118},	// Akonadi::EntityHiddenAttribute::deserialize#
    {63, 1224, 1117},	// Akonadi::EntityHiddenAttribute::serialized
    {63, 1569, 1115},	// Akonadi::EntityHiddenAttribute::type
    {63, 1668, 1120},	// Akonadi::EntityHiddenAttribute::~EntityHiddenAttribute
    {64, 240, 1145},	// Akonadi::EntityListView::EntityListView
    {64, 241, -10},	// Akonadi::EntityListView::EntityListView#
    {64, 242, 1129},	// Akonadi::EntityListView::EntityListView##
    {64, 739, -13},	// Akonadi::EntityListView::clicked#
    {64, 804, 1141},	// Akonadi::EntityListView::contextMenuEvent#
    {64, 821, -16},	// Akonadi::EntityListView::currentChanged#
    {64, 822, 1138},	// Akonadi::EntityListView::currentChanged##
    {64, 860, -19},	// Akonadi::EntityListView::doubleClicked#
    {64, 865, 1139},	// Akonadi::EntityListView::dragMoveEvent#
    {64, 869, 1140},	// Akonadi::EntityListView::dropEvent#
    {64, 1078, 1121},	// Akonadi::EntityListView::metaObject
    {64, 1141, 1127},	// Akonadi::EntityListView::qt_metacall$$?
    {64, 1143, 1122},	// Akonadi::EntityListView::qt_metacast$
    {64, 1403, 1131},	// Akonadi::EntityListView::setModel#
    {64, 1495, 1130},	// Akonadi::EntityListView::setXmlGuiClient#
    {64, 1522, 1142},	// Akonadi::EntityListView::startDrag$
    {64, 1527, 1147},	// Akonadi::EntityListView::staticMetaObject
    {64, 1562, 1143},	// Akonadi::EntityListView::tr$
    {64, 1563, 1123},	// Akonadi::EntityListView::tr$$
    {64, 1564, 1125},	// Akonadi::EntityListView::tr$$$
    {64, 1566, 1144},	// Akonadi::EntityListView::trUtf8$
    {64, 1567, 1124},	// Akonadi::EntityListView::trUtf8$$
    {64, 1568, 1126},	// Akonadi::EntityListView::trUtf8$$$
    {64, 1669, 1148},	// Akonadi::EntityListView::~EntityListView
    {65, 243, 1173},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel
    {65, 244, 1156},	// Akonadi::EntityMimeTypeFilterModel::EntityMimeTypeFilterModel#
    {65, 664, 1160},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilter$
    {65, 666, 1158},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeExclusionFilters?
    {65, 672, 1159},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilter$
    {65, 674, 1157},	// Akonadi::EntityMimeTypeFilterModel::addMimeTypeInclusionFilters?
    {65, 712, 1167},	// Akonadi::EntityMimeTypeFilterModel::canFetchMore#
    {65, 733, 1163},	// Akonadi::EntityMimeTypeFilterModel::clearFilters
    {65, 777, 1178},	// Akonadi::EntityMimeTypeFilterModel::columnCount
    {65, 778, 1169},	// Akonadi::EntityMimeTypeFilterModel::columnCount#
    {65, 919, 1170},	// Akonadi::EntityMimeTypeFilterModel::filterAcceptsRow$#
    {65, 934, 1175},	// Akonadi::EntityMimeTypeFilterModel::hasChildren
    {65, 935, 1166},	// Akonadi::EntityMimeTypeFilterModel::hasChildren#
    {65, 940, 1174},	// Akonadi::EntityMimeTypeFilterModel::headerData$$
    {65, 941, 1165},	// Akonadi::EntityMimeTypeFilterModel::headerData$$$
    {65, 1074, 1176},	// Akonadi::EntityMimeTypeFilterModel::match#$#
    {65, 1075, 1177},	// Akonadi::EntityMimeTypeFilterModel::match#$#$
    {65, 1076, 1168},	// Akonadi::EntityMimeTypeFilterModel::match#$#$$
    {65, 1078, 1149},	// Akonadi::EntityMimeTypeFilterModel::metaObject
    {65, 1083, 1162},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeExclusionFilters
    {65, 1086, 1161},	// Akonadi::EntityMimeTypeFilterModel::mimeTypeInclusionFilters
    {65, 1141, 1155},	// Akonadi::EntityMimeTypeFilterModel::qt_metacall$$?
    {65, 1143, 1150},	// Akonadi::EntityMimeTypeFilterModel::qt_metacast$
    {65, 1345, 1164},	// Akonadi::EntityMimeTypeFilterModel::setHeaderGroup$
    {65, 1527, 1179},	// Akonadi::EntityMimeTypeFilterModel::staticMetaObject
    {65, 1562, 1171},	// Akonadi::EntityMimeTypeFilterModel::tr$
    {65, 1563, 1151},	// Akonadi::EntityMimeTypeFilterModel::tr$$
    {65, 1564, 1153},	// Akonadi::EntityMimeTypeFilterModel::tr$$$
    {65, 1566, 1172},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$
    {65, 1567, 1152},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$
    {65, 1568, 1154},	// Akonadi::EntityMimeTypeFilterModel::trUtf8$$$
    {65, 1670, 1180},	// Akonadi::EntityMimeTypeFilterModel::~EntityMimeTypeFilterModel
    {67, 45, 1252},	// Akonadi::EntityTreeModel::AmazingCompletionRole
    {67, 55, 1256},	// Akonadi::EntityTreeModel::AvailablePartsRole
    {67, 83, 1251},	// Akonadi::EntityTreeModel::CollectionChildOrderRole
    {67, 96, 1259},	// Akonadi::EntityTreeModel::CollectionDerefRole
    {67, 113, 1248},	// Akonadi::EntityTreeModel::CollectionIdRole
    {67, 136, 1258},	// Akonadi::EntityTreeModel::CollectionRefRole
    {67, 140, 1249},	// Akonadi::EntityTreeModel::CollectionRole
    {67, 150, 1264},	// Akonadi::EntityTreeModel::CollectionSyncProgressRole
    {67, 151, 1271},	// Akonadi::EntityTreeModel::CollectionTreeHeaders
    {67, 155, 1254},	// Akonadi::EntityTreeModel::ColumnCountRole
    {67, 231, 1274},	// Akonadi::EntityTreeModel::EndHeaderGroup
    {67, 232, 1267},	// Akonadi::EntityTreeModel::EndRole
    {67, 245, 1270},	// Akonadi::EntityTreeModel::EntityTreeHeaders
    {67, 247, 1231},	// Akonadi::EntityTreeModel::EntityTreeModel#
    {67, 248, -25},	// Akonadi::EntityTreeModel::EntityTreeModel##
    {67, 249, 1228},	// Akonadi::EntityTreeModel::EntityTreeModel###
    {67, 255, 1261},	// Akonadi::EntityTreeModel::EntityUrlRole
    {67, 268, 1280},	// Akonadi::EntityTreeModel::FetchCollectionsRecursive
    {67, 269, 1279},	// Akonadi::EntityTreeModel::FetchFirstLevelChildCollections
    {67, 270, 1278},	// Akonadi::EntityTreeModel::FetchNoCollections
    {67, 271, 1263},	// Akonadi::EntityTreeModel::FetchStateRole
    {67, 272, 1269},	// Akonadi::EntityTreeModel::FetchingState
    {67, 286, 1268},	// Akonadi::EntityTreeModel::IdleState
    {67, 288, 1276},	// Akonadi::EntityTreeModel::ImmediatePopulation
    {67, 299, 1281},	// Akonadi::EntityTreeModel::InvisibleCollectionFetch
    {67, 323, 1245},	// Akonadi::EntityTreeModel::ItemIdRole
    {67, 324, 1272},	// Akonadi::EntityTreeModel::ItemListHeaders
    {67, 338, 1246},	// Akonadi::EntityTreeModel::ItemRole
    {67, 358, 1277},	// Akonadi::EntityTreeModel::LazyPopulation
    {67, 364, 1255},	// Akonadi::EntityTreeModel::LoadedPartsRole
    {67, 380, 1247},	// Akonadi::EntityTreeModel::MimeTypeRole
    {67, 415, 1275},	// Akonadi::EntityTreeModel::NoItemPopulation
    {67, 433, 1253},	// Akonadi::EntityTreeModel::ParentCollectionRole
    {67, 443, 1260},	// Akonadi::EntityTreeModel::PendingCutRole
    {67, 474, 1250},	// Akonadi::EntityTreeModel::RemoteIdRole
    {67, 502, 1257},	// Akonadi::EntityTreeModel::SessionRole
    {67, 534, 1266},	// Akonadi::EntityTreeModel::TerminalUserRole
    {67, 558, 1262},	// Akonadi::EntityTreeModel::UnreadCountRole
    {67, 568, 1273},	// Akonadi::EntityTreeModel::UserHeaders
    {67, 569, 1265},	// Akonadi::EntityTreeModel::UserRole
    {67, 712, 1213},	// Akonadi::EntityTreeModel::canFetchMore#
    {67, 730, 1219},	// Akonadi::EntityTreeModel::clearAndReset
    {67, 752, 1200},	// Akonadi::EntityTreeModel::collectionFetchStrategy
    {67, 777, 1232},	// Akonadi::EntityTreeModel::columnCount
    {67, 778, 1201},	// Akonadi::EntityTreeModel::columnCount#
    {67, 827, -28},	// Akonadi::EntityTreeModel::d_func
    {67, 829, 1234},	// Akonadi::EntityTreeModel::data#
    {67, 830, 1203},	// Akonadi::EntityTreeModel::data#$
    {67, 871, 1209},	// Akonadi::EntityTreeModel::dropMimeData#$$$#
    {67, 882, 1223},	// Akonadi::EntityTreeModel::entityColumnCount$
    {67, 884, -31},	// Akonadi::EntityTreeModel::entityData#$
    {67, 885, -34},	// Akonadi::EntityTreeModel::entityData#$$
    {67, 887, 1222},	// Akonadi::EntityTreeModel::entityHeaderData$$$$
    {67, 889, -37},	// Akonadi::EntityTreeModel::entityMatch##$
    {67, 912, 1214},	// Akonadi::EntityTreeModel::fetchMore#
    {67, 923, 1205},	// Akonadi::EntityTreeModel::flags#
    {67, 934, 1238},	// Akonadi::EntityTreeModel::hasChildren
    {67, 935, 1215},	// Akonadi::EntityTreeModel::hasChildren#
    {67, 940, 1235},	// Akonadi::EntityTreeModel::headerData$$
    {67, 941, 1204},	// Akonadi::EntityTreeModel::headerData$$$
    {67, 955, 1196},	// Akonadi::EntityTreeModel::includeRootCollection
    {67, 958, 1191},	// Akonadi::EntityTreeModel::includeUnsubscribed
    {67, 962, 1237},	// Akonadi::EntityTreeModel::index$$
    {67, 963, 1211},	// Akonadi::EntityTreeModel::index$$#
    {67, 1032, 1194},	// Akonadi::EntityTreeModel::itemPopulationStrategy
    {67, 1074, 1239},	// Akonadi::EntityTreeModel::match#$#
    {67, 1075, 1240},	// Akonadi::EntityTreeModel::match#$#$
    {67, 1076, 1216},	// Akonadi::EntityTreeModel::match#$#$$
    {67, 1078, 1181},	// Akonadi::EntityTreeModel::metaObject
    {67, 1081, 1208},	// Akonadi::EntityTreeModel::mimeData?
    {67, 1089, 1206},	// Akonadi::EntityTreeModel::mimeTypes
    {67, 1093, 1217},	// Akonadi::EntityTreeModel::modelIndexForCollection##
    {67, 1095, 1218},	// Akonadi::EntityTreeModel::modelIndexesForItem##
    {67, 1122, 1212},	// Akonadi::EntityTreeModel::parent#
    {67, 1141, 1187},	// Akonadi::EntityTreeModel::qt_metacall$$?
    {67, 1143, 1182},	// Akonadi::EntityTreeModel::qt_metacast$
    {67, 1190, 1198},	// Akonadi::EntityTreeModel::rootCollectionDisplayName
    {67, 1191, 1233},	// Akonadi::EntityTreeModel::rowCount
    {67, 1192, 1202},	// Akonadi::EntityTreeModel::rowCount#
    {67, 1264, 1199},	// Akonadi::EntityTreeModel::setCollectionFetchStrategy$
    {67, 1305, 1236},	// Akonadi::EntityTreeModel::setData##
    {67, 1306, 1210},	// Akonadi::EntityTreeModel::setData##$
    {67, 1357, 1195},	// Akonadi::EntityTreeModel::setIncludeRootCollection$
    {67, 1361, 1192},	// Akonadi::EntityTreeModel::setIncludeUnsubscribed$
    {67, 1379, 1193},	// Akonadi::EntityTreeModel::setItemPopulationStrategy$
    {67, 1455, 1197},	// Akonadi::EntityTreeModel::setRootCollectionDisplayName$
    {67, 1464, 1189},	// Akonadi::EntityTreeModel::setShowSystemEntities$
    {67, 1527, 1244},	// Akonadi::EntityTreeModel::staticMetaObject
    {67, 1542, 1207},	// Akonadi::EntityTreeModel::supportedDropActions
    {67, 1554, 1190},	// Akonadi::EntityTreeModel::systemEntitiesShown
    {67, 1562, 1229},	// Akonadi::EntityTreeModel::tr$
    {67, 1563, 1183},	// Akonadi::EntityTreeModel::tr$$
    {67, 1564, 1185},	// Akonadi::EntityTreeModel::tr$$$
    {67, 1566, 1230},	// Akonadi::EntityTreeModel::trUtf8$
    {67, 1567, 1184},	// Akonadi::EntityTreeModel::trUtf8$$
    {67, 1568, 1186},	// Akonadi::EntityTreeModel::trUtf8$$$
    {67, 1671, 1282},	// Akonadi::EntityTreeModel::~EntityTreeModel
    {69, 250, 1310},	// Akonadi::EntityTreeView::EntityTreeView
    {69, 251, -40},	// Akonadi::EntityTreeView::EntityTreeView#
    {69, 252, 1291},	// Akonadi::EntityTreeView::EntityTreeView##
    {69, 739, -43},	// Akonadi::EntityTreeView::clicked#
    {69, 804, 1307},	// Akonadi::EntityTreeView::contextMenuEvent#
    {69, 821, -46},	// Akonadi::EntityTreeView::currentChanged#
    {69, 822, 1302},	// Akonadi::EntityTreeView::currentChanged##
    {69, 860, -49},	// Akonadi::EntityTreeView::doubleClicked#
    {69, 865, 1304},	// Akonadi::EntityTreeView::dragMoveEvent#
    {69, 869, 1305},	// Akonadi::EntityTreeView::dropEvent#
    {69, 998, 1295},	// Akonadi::EntityTreeView::isDropActionMenuEnabled
    {69, 1078, 1283},	// Akonadi::EntityTreeView::metaObject
    {69, 1141, 1289},	// Akonadi::EntityTreeView::qt_metacall$$?
    {69, 1143, 1284},	// Akonadi::EntityTreeView::qt_metacast$
    {69, 1316, 1294},	// Akonadi::EntityTreeView::setDropActionMenuEnabled$
    {69, 1403, 1293},	// Akonadi::EntityTreeView::setModel#
    {69, 1495, 1292},	// Akonadi::EntityTreeView::setXmlGuiClient#
    {69, 1522, 1303},	// Akonadi::EntityTreeView::startDrag$
    {69, 1527, 1312},	// Akonadi::EntityTreeView::staticMetaObject
    {69, 1558, 1306},	// Akonadi::EntityTreeView::timerEvent#
    {69, 1562, 1308},	// Akonadi::EntityTreeView::tr$
    {69, 1563, 1285},	// Akonadi::EntityTreeView::tr$$
    {69, 1564, 1287},	// Akonadi::EntityTreeView::tr$$$
    {69, 1566, 1309},	// Akonadi::EntityTreeView::trUtf8$
    {69, 1567, 1286},	// Akonadi::EntityTreeView::trUtf8$$
    {69, 1568, 1288},	// Akonadi::EntityTreeView::trUtf8$$$
    {69, 1672, 1313},	// Akonadi::EntityTreeView::~EntityTreeView
    {70, 254, 1321},	// Akonadi::EntityTreeViewStateSaver::EntityTreeViewStateSaver#
    {70, 1078, 1314},	// Akonadi::EntityTreeViewStateSaver::metaObject
    {70, 1141, 1320},	// Akonadi::EntityTreeViewStateSaver::qt_metacall$$?
    {70, 1143, 1315},	// Akonadi::EntityTreeViewStateSaver::qt_metacast$
    {70, 1177, 1323},	// Akonadi::EntityTreeViewStateSaver::restoreState#
    {70, 1200, 1322},	// Akonadi::EntityTreeViewStateSaver::saveState#
    {70, 1527, 1326},	// Akonadi::EntityTreeViewStateSaver::staticMetaObject
    {70, 1562, 1324},	// Akonadi::EntityTreeViewStateSaver::tr$
    {70, 1563, 1316},	// Akonadi::EntityTreeViewStateSaver::tr$$
    {70, 1564, 1318},	// Akonadi::EntityTreeViewStateSaver::tr$$$
    {70, 1566, 1325},	// Akonadi::EntityTreeViewStateSaver::trUtf8$
    {70, 1567, 1317},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$
    {70, 1568, 1319},	// Akonadi::EntityTreeViewStateSaver::trUtf8$$$
    {70, 1673, 1327},	// Akonadi::EntityTreeViewStateSaver::~EntityTreeViewStateSaver
    {71, 261, -98},	// Akonadi::Exception::Exception#
    {71, 262, -101},	// Akonadi::Exception::Exception$
    {71, 1569, 1333},	// Akonadi::Exception::type
    {71, 1605, 1332},	// Akonadi::Exception::what
    {71, 1674, 1334},	// Akonadi::Exception::~Exception
    {72, 266, 1358},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel##
    {72, 267, 1342},	// Akonadi::FavoriteCollectionsModel::FavoriteCollectionsModel###
    {72, 662, 1353},	// Akonadi::FavoriteCollectionsModel::addCollection#
    {72, 755, 1344},	// Akonadi::FavoriteCollectionsModel::collectionIds
    {72, 768, 1343},	// Akonadi::FavoriteCollectionsModel::collections
    {72, 829, 1359},	// Akonadi::FavoriteCollectionsModel::data#
    {72, 830, 1346},	// Akonadi::FavoriteCollectionsModel::data#$
    {72, 871, 1349},	// Akonadi::FavoriteCollectionsModel::dropMimeData#$$$#
    {72, 898, 1345},	// Akonadi::FavoriteCollectionsModel::favoriteLabel#
    {72, 923, 1351},	// Akonadi::FavoriteCollectionsModel::flags#
    {72, 940, 1361},	// Akonadi::FavoriteCollectionsModel::headerData$$
    {72, 941, 1348},	// Akonadi::FavoriteCollectionsModel::headerData$$$
    {72, 1078, 1335},	// Akonadi::FavoriteCollectionsModel::metaObject
    {72, 1089, 1350},	// Akonadi::FavoriteCollectionsModel::mimeTypes
    {72, 1141, 1341},	// Akonadi::FavoriteCollectionsModel::qt_metacall$$?
    {72, 1143, 1336},	// Akonadi::FavoriteCollectionsModel::qt_metacast$
    {72, 1158, 1354},	// Akonadi::FavoriteCollectionsModel::removeCollection#
    {72, 1275, 1352},	// Akonadi::FavoriteCollectionsModel::setCollections?
    {72, 1305, 1360},	// Akonadi::FavoriteCollectionsModel::setData##
    {72, 1306, 1347},	// Akonadi::FavoriteCollectionsModel::setData##$
    {72, 1323, 1355},	// Akonadi::FavoriteCollectionsModel::setFavoriteLabel#$
    {72, 1527, 1362},	// Akonadi::FavoriteCollectionsModel::staticMetaObject
    {72, 1562, 1356},	// Akonadi::FavoriteCollectionsModel::tr$
    {72, 1563, 1337},	// Akonadi::FavoriteCollectionsModel::tr$$
    {72, 1564, 1339},	// Akonadi::FavoriteCollectionsModel::tr$$$
    {72, 1566, 1357},	// Akonadi::FavoriteCollectionsModel::trUtf8$
    {72, 1567, 1338},	// Akonadi::FavoriteCollectionsModel::trUtf8$$
    {72, 1568, 1340},	// Akonadi::FavoriteCollectionsModel::trUtf8$$$
    {72, 1675, 1363},	// Akonadi::FavoriteCollectionsModel::~FavoriteCollectionsModel
    {73, 277, 1394},	// Akonadi::Item::FullPayload
    {73, 300, 1364},	// Akonadi::Item::Item
    {73, 301, 1367},	// Akonadi::Item::Item#
    {73, 302, -76},	// Akonadi::Item::Item$
    {73, 560, 1396},	// Akonadi::Item::UrlShort
    {73, 561, 1397},	// Akonadi::Item::UrlWithMimeType
    {73, 694, 1392},	// Akonadi::Item::apply#
    {73, 703, 1388},	// Akonadi::Item::availablePayloadMetaTypeIds
    {73, 704, 1391},	// Akonadi::Item::availablePayloadParts
    {73, 735, 1374},	// Akonadi::Item::clearFlag#
    {73, 736, 1376},	// Akonadi::Item::clearFlags
    {73, 737, 1380},	// Akonadi::Item::clearPayload
    {73, 922, 1369},	// Akonadi::Item::flags
    {73, 930, 1368},	// Akonadi::Item::fromUrl#
    {73, 937, 1372},	// Akonadi::Item::hasFlag#
    {73, 938, 1389},	// Akonadi::Item::hasPayload
    {73, 1064, 1379},	// Akonadi::Item::loadedPayloadParts
    {73, 1082, 1387},	// Akonadi::Item::mimeType
    {73, 1096, 1370},	// Akonadi::Item::modificationTime
    {73, 1128, 1378},	// Akonadi::Item::payloadData
    {73, 1186, 1382},	// Akonadi::Item::revision
    {73, 1331, 1373},	// Akonadi::Item::setFlag#
    {73, 1333, 1375},	// Akonadi::Item::setFlags?
    {73, 1337, 1395},	// Akonadi::Item::setFullPayload$
    {73, 1396, 1386},	// Akonadi::Item::setMimeType$
    {73, 1406, 1371},	// Akonadi::Item::setModificationTime#
    {73, 1425, 1377},	// Akonadi::Item::setPayloadFromData#
    {73, 1451, 1381},	// Akonadi::Item::setRevision$
    {73, 1466, 1384},	// Akonadi::Item::setSize$
    {73, 1506, 1385},	// Akonadi::Item::size
    {73, 1536, 1383},	// Akonadi::Item::storageCollectionId
    {73, 1586, 1393},	// Akonadi::Item::url
    {73, 1587, 1390},	// Akonadi::Item::url$
    {73, 1676, 1398},	// Akonadi::Item::~Item
    {74, 304, 1411},	// Akonadi::ItemCopyJob::ItemCopyJob##
    {74, 305, 1406},	// Akonadi::ItemCopyJob::ItemCopyJob###
    {74, 306, 1412},	// Akonadi::ItemCopyJob::ItemCopyJob?#
    {74, 307, 1407},	// Akonadi::ItemCopyJob::ItemCopyJob?##
    {74, 855, 1408},	// Akonadi::ItemCopyJob::doStart
    {74, 1078, 1399},	// Akonadi::ItemCopyJob::metaObject
    {74, 1141, 1405},	// Akonadi::ItemCopyJob::qt_metacall$$?
    {74, 1143, 1400},	// Akonadi::ItemCopyJob::qt_metacast$
    {74, 1527, 1413},	// Akonadi::ItemCopyJob::staticMetaObject
    {74, 1562, 1409},	// Akonadi::ItemCopyJob::tr$
    {74, 1563, 1401},	// Akonadi::ItemCopyJob::tr$$
    {74, 1564, 1403},	// Akonadi::ItemCopyJob::tr$$$
    {74, 1566, 1410},	// Akonadi::ItemCopyJob::trUtf8$
    {74, 1567, 1402},	// Akonadi::ItemCopyJob::trUtf8$$
    {74, 1568, 1404},	// Akonadi::ItemCopyJob::trUtf8$$$
    {74, 1677, 1414},	// Akonadi::ItemCopyJob::~ItemCopyJob
    {75, 309, 1428},	// Akonadi::ItemCreateJob::ItemCreateJob##
    {75, 310, 1422},	// Akonadi::ItemCreateJob::ItemCreateJob###
    {75, 849, 1425},	// Akonadi::ItemCreateJob::doHandleResponse##
    {75, 855, 1424},	// Akonadi::ItemCreateJob::doStart
    {75, 1016, 1423},	// Akonadi::ItemCreateJob::item
    {75, 1078, 1415},	// Akonadi::ItemCreateJob::metaObject
    {75, 1141, 1421},	// Akonadi::ItemCreateJob::qt_metacall$$?
    {75, 1143, 1416},	// Akonadi::ItemCreateJob::qt_metacast$
    {75, 1527, 1429},	// Akonadi::ItemCreateJob::staticMetaObject
    {75, 1562, 1426},	// Akonadi::ItemCreateJob::tr$
    {75, 1563, 1417},	// Akonadi::ItemCreateJob::tr$$
    {75, 1564, 1419},	// Akonadi::ItemCreateJob::tr$$$
    {75, 1566, 1427},	// Akonadi::ItemCreateJob::trUtf8$
    {75, 1567, 1418},	// Akonadi::ItemCreateJob::trUtf8$$
    {75, 1568, 1420},	// Akonadi::ItemCreateJob::trUtf8$$$
    {75, 1678, 1430},	// Akonadi::ItemCreateJob::~ItemCreateJob
    {76, 312, -123},	// Akonadi::ItemDeleteJob::ItemDeleteJob#
    {76, 313, -126},	// Akonadi::ItemDeleteJob::ItemDeleteJob##
    {76, 314, 1446},	// Akonadi::ItemDeleteJob::ItemDeleteJob?
    {76, 315, 1439},	// Akonadi::ItemDeleteJob::ItemDeleteJob?#
    {76, 834, 1441},	// Akonadi::ItemDeleteJob::deletedItems
    {76, 855, 1442},	// Akonadi::ItemDeleteJob::doStart
    {76, 1078, 1431},	// Akonadi::ItemDeleteJob::metaObject
    {76, 1141, 1437},	// Akonadi::ItemDeleteJob::qt_metacall$$?
    {76, 1143, 1432},	// Akonadi::ItemDeleteJob::qt_metacast$
    {76, 1527, 1448},	// Akonadi::ItemDeleteJob::staticMetaObject
    {76, 1562, 1443},	// Akonadi::ItemDeleteJob::tr$
    {76, 1563, 1433},	// Akonadi::ItemDeleteJob::tr$$
    {76, 1564, 1435},	// Akonadi::ItemDeleteJob::tr$$$
    {76, 1566, 1444},	// Akonadi::ItemDeleteJob::trUtf8$
    {76, 1567, 1434},	// Akonadi::ItemDeleteJob::trUtf8$$
    {76, 1568, 1436},	// Akonadi::ItemDeleteJob::trUtf8$$$
    {76, 1679, 1449},	// Akonadi::ItemDeleteJob::~ItemDeleteJob
    {77, 317, -1},	// Akonadi::ItemFetchJob::ItemFetchJob#
    {77, 318, -4},	// Akonadi::ItemFetchJob::ItemFetchJob##
    {77, 319, 1472},	// Akonadi::ItemFetchJob::ItemFetchJob?
    {77, 320, 1459},	// Akonadi::ItemFetchJob::ItemFetchJob?#
    {77, 849, 1467},	// Akonadi::ItemFetchJob::doHandleResponse##
    {77, 855, 1466},	// Akonadi::ItemFetchJob::doStart
    {77, 916, 1463},	// Akonadi::ItemFetchJob::fetchScope
    {77, 1042, 1460},	// Akonadi::ItemFetchJob::items
    {77, 1046, 1465},	// Akonadi::ItemFetchJob::itemsReceived?
    {77, 1078, 1450},	// Akonadi::ItemFetchJob::metaObject
    {77, 1141, 1456},	// Akonadi::ItemFetchJob::qt_metacall$$?
    {77, 1143, 1451},	// Akonadi::ItemFetchJob::qt_metacast$
    {77, 1260, 1464},	// Akonadi::ItemFetchJob::setCollection#
    {77, 1329, -7},	// Akonadi::ItemFetchJob::setFetchScope#
    {77, 1527, 1473},	// Akonadi::ItemFetchJob::staticMetaObject
    {77, 1562, 1468},	// Akonadi::ItemFetchJob::tr$
    {77, 1563, 1452},	// Akonadi::ItemFetchJob::tr$$
    {77, 1564, 1454},	// Akonadi::ItemFetchJob::tr$$$
    {77, 1566, 1469},	// Akonadi::ItemFetchJob::trUtf8$
    {77, 1567, 1453},	// Akonadi::ItemFetchJob::trUtf8$$
    {77, 1568, 1455},	// Akonadi::ItemFetchJob::trUtf8$$$
    {77, 1680, 1474},	// Akonadi::ItemFetchJob::~ItemFetchJob
    {78, 41, 1499},	// Akonadi::ItemFetchScope::All
    {78, 321, 1475},	// Akonadi::ItemFetchScope::ItemFetchScope
    {78, 322, 1476},	// Akonadi::ItemFetchScope::ItemFetchScope#
    {78, 419, 1497},	// Akonadi::ItemFetchScope::None
    {78, 432, 1498},	// Akonadi::ItemFetchScope::Parent
    {78, 689, 1484},	// Akonadi::ItemFetchScope::allAttributes
    {78, 692, 1489},	// Akonadi::ItemFetchScope::ancestorRetrieval
    {78, 698, 1482},	// Akonadi::ItemFetchScope::attributes
    {78, 708, 1486},	// Akonadi::ItemFetchScope::cacheOnly
    {78, 899, 1496},	// Akonadi::ItemFetchScope::fetchAllAttributes
    {78, 900, 1485},	// Akonadi::ItemFetchScope::fetchAllAttributes$
    {78, 902, 1495},	// Akonadi::ItemFetchScope::fetchAttribute#
    {78, 903, 1483},	// Akonadi::ItemFetchScope::fetchAttribute#$
    {78, 908, 1494},	// Akonadi::ItemFetchScope::fetchFullPayload
    {78, 909, 1481},	// Akonadi::ItemFetchScope::fetchFullPayload$
    {78, 910, 1491},	// Akonadi::ItemFetchScope::fetchModificationTime
    {78, 914, 1493},	// Akonadi::ItemFetchScope::fetchPayloadPart#
    {78, 915, 1479},	// Akonadi::ItemFetchScope::fetchPayloadPart#$
    {78, 931, 1480},	// Akonadi::ItemFetchScope::fullPayload
    {78, 999, 1492},	// Akonadi::ItemFetchScope::isEmpty
    {78, 1112, 1477},	// Akonadi::ItemFetchScope::operator=#
    {78, 1129, 1478},	// Akonadi::ItemFetchScope::payloadParts
    {78, 1238, 1488},	// Akonadi::ItemFetchScope::setAncestorRetrieval$
    {78, 1247, 1487},	// Akonadi::ItemFetchScope::setCacheOnly$
    {78, 1327, 1490},	// Akonadi::ItemFetchScope::setFetchModificationTime$
    {78, 1681, 1500},	// Akonadi::ItemFetchScope::~ItemFetchScope
    {79, 282, 1534},	// Akonadi::ItemModel::Id
    {79, 283, 1537},	// Akonadi::ItemModel::IdRole
    {79, 325, 1528},	// Akonadi::ItemModel::ItemModel
    {79, 326, 1508},	// Akonadi::ItemModel::ItemModel#
    {79, 338, 1538},	// Akonadi::ItemModel::ItemRole
    {79, 377, 1536},	// Akonadi::ItemModel::MimeType
    {79, 380, 1539},	// Akonadi::ItemModel::MimeTypeRole
    {79, 473, 1535},	// Akonadi::ItemModel::RemoteId
    {79, 569, 1540},	// Akonadi::ItemModel::UserRole
    {79, 743, 1522},	// Akonadi::ItemModel::collection
    {79, 749, 1524},	// Akonadi::ItemModel::collectionChanged#
    {79, 777, 1529},	// Akonadi::ItemModel::columnCount
    {79, 778, 1509},	// Akonadi::ItemModel::columnCount#
    {79, 829, 1530},	// Akonadi::ItemModel::data#
    {79, 830, 1510},	// Akonadi::ItemModel::data#$
    {79, 871, 1521},	// Akonadi::ItemModel::dropMimeData#$$$#
    {79, 916, 1518},	// Akonadi::ItemModel::fetchScope
    {79, 923, 1513},	// Akonadi::ItemModel::flags#
    {79, 940, 1532},	// Akonadi::ItemModel::headerData$$
    {79, 941, 1512},	// Akonadi::ItemModel::headerData$$$
    {79, 966, 1520},	// Akonadi::ItemModel::indexForItem#$
    {79, 1025, 1519},	// Akonadi::ItemModel::itemForIndex#
    {79, 1078, 1501},	// Akonadi::ItemModel::metaObject
    {79, 1081, 1514},	// Akonadi::ItemModel::mimeData?
    {79, 1089, 1515},	// Akonadi::ItemModel::mimeTypes
    {79, 1141, 1507},	// Akonadi::ItemModel::qt_metacall$$?
    {79, 1143, 1502},	// Akonadi::ItemModel::qt_metacast$
    {79, 1191, 1531},	// Akonadi::ItemModel::rowCount
    {79, 1192, 1511},	// Akonadi::ItemModel::rowCount#
    {79, 1225, 1525},	// Akonadi::ItemModel::session
    {79, 1260, 1523},	// Akonadi::ItemModel::setCollection#
    {79, 1329, 1517},	// Akonadi::ItemModel::setFetchScope#
    {79, 1527, 1533},	// Akonadi::ItemModel::staticMetaObject
    {79, 1542, 1516},	// Akonadi::ItemModel::supportedDropActions
    {79, 1562, 1526},	// Akonadi::ItemModel::tr$
    {79, 1563, 1503},	// Akonadi::ItemModel::tr$$
    {79, 1564, 1505},	// Akonadi::ItemModel::tr$$$
    {79, 1566, 1527},	// Akonadi::ItemModel::trUtf8$
    {79, 1567, 1504},	// Akonadi::ItemModel::trUtf8$$
    {79, 1568, 1506},	// Akonadi::ItemModel::trUtf8$$$
    {79, 1682, 1541},	// Akonadi::ItemModel::~ItemModel
    {80, 328, 1561},	// Akonadi::ItemModifyJob::ItemModifyJob#
    {80, 329, 1549},	// Akonadi::ItemModifyJob::ItemModifyJob##
    {80, 330, 1562},	// Akonadi::ItemModifyJob::ItemModifyJob?
    {80, 331, 1550},	// Akonadi::ItemModifyJob::ItemModifyJob?#
    {80, 843, 1556},	// Akonadi::ItemModifyJob::disableAutomaticConflictHandling
    {80, 844, 1553},	// Akonadi::ItemModifyJob::disableRevisionCheck
    {80, 849, 1558},	// Akonadi::ItemModifyJob::doHandleResponse##
    {80, 855, 1557},	// Akonadi::ItemModifyJob::doStart
    {80, 952, 1552},	// Akonadi::ItemModifyJob::ignorePayload
    {80, 1016, 1554},	// Akonadi::ItemModifyJob::item
    {80, 1042, 1555},	// Akonadi::ItemModifyJob::items
    {80, 1078, 1542},	// Akonadi::ItemModifyJob::metaObject
    {80, 1141, 1548},	// Akonadi::ItemModifyJob::qt_metacall$$?
    {80, 1143, 1543},	// Akonadi::ItemModifyJob::qt_metacast$
    {80, 1355, 1551},	// Akonadi::ItemModifyJob::setIgnorePayload$
    {80, 1527, 1563},	// Akonadi::ItemModifyJob::staticMetaObject
    {80, 1562, 1559},	// Akonadi::ItemModifyJob::tr$
    {80, 1563, 1544},	// Akonadi::ItemModifyJob::tr$$
    {80, 1564, 1546},	// Akonadi::ItemModifyJob::tr$$$
    {80, 1566, 1560},	// Akonadi::ItemModifyJob::trUtf8$
    {80, 1567, 1545},	// Akonadi::ItemModifyJob::trUtf8$$
    {80, 1568, 1547},	// Akonadi::ItemModifyJob::trUtf8$$$
    {80, 1683, 1564},	// Akonadi::ItemModifyJob::~ItemModifyJob
    {81, 332, 1565},	// Akonadi::ItemMonitor::ItemMonitor
    {81, 916, 1571},	// Akonadi::ItemMonitor::fetchScope
    {81, 1016, 1567},	// Akonadi::ItemMonitor::item
    {81, 1020, 1568},	// Akonadi::ItemMonitor::itemChanged#
    {81, 1033, 1569},	// Akonadi::ItemMonitor::itemRemoved
    {81, 1329, 1570},	// Akonadi::ItemMonitor::setFetchScope#
    {81, 1371, 1566},	// Akonadi::ItemMonitor::setItem#
    {81, 1684, 1572},	// Akonadi::ItemMonitor::~ItemMonitor
    {82, 334, 1585},	// Akonadi::ItemMoveJob::ItemMoveJob##
    {82, 335, 1580},	// Akonadi::ItemMoveJob::ItemMoveJob###
    {82, 336, 1586},	// Akonadi::ItemMoveJob::ItemMoveJob?#
    {82, 337, 1581},	// Akonadi::ItemMoveJob::ItemMoveJob?##
    {82, 855, 1582},	// Akonadi::ItemMoveJob::doStart
    {82, 1078, 1573},	// Akonadi::ItemMoveJob::metaObject
    {82, 1141, 1579},	// Akonadi::ItemMoveJob::qt_metacall$$?
    {82, 1143, 1574},	// Akonadi::ItemMoveJob::qt_metacast$
    {82, 1527, 1587},	// Akonadi::ItemMoveJob::staticMetaObject
    {82, 1562, 1583},	// Akonadi::ItemMoveJob::tr$
    {82, 1563, 1575},	// Akonadi::ItemMoveJob::tr$$
    {82, 1564, 1577},	// Akonadi::ItemMoveJob::tr$$$
    {82, 1566, 1584},	// Akonadi::ItemMoveJob::trUtf8$
    {82, 1567, 1576},	// Akonadi::ItemMoveJob::trUtf8$$
    {82, 1568, 1578},	// Akonadi::ItemMoveJob::trUtf8$$$
    {82, 1685, 1588},	// Akonadi::ItemMoveJob::~ItemMoveJob
    {83, 340, 1607},	// Akonadi::ItemSearchJob::ItemSearchJob$
    {83, 341, 1596},	// Akonadi::ItemSearchJob::ItemSearchJob$#
    {83, 688, 1601},	// Akonadi::ItemSearchJob::akonadiItemIdUri
    {83, 849, 1604},	// Akonadi::ItemSearchJob::doHandleResponse##
    {83, 855, 1603},	// Akonadi::ItemSearchJob::doStart
    {83, 916, 1599},	// Akonadi::ItemSearchJob::fetchScope
    {83, 1042, 1600},	// Akonadi::ItemSearchJob::items
    {83, 1046, 1602},	// Akonadi::ItemSearchJob::itemsReceived?
    {83, 1078, 1589},	// Akonadi::ItemSearchJob::metaObject
    {83, 1141, 1595},	// Akonadi::ItemSearchJob::qt_metacall$$?
    {83, 1143, 1590},	// Akonadi::ItemSearchJob::qt_metacast$
    {83, 1329, 1598},	// Akonadi::ItemSearchJob::setFetchScope#
    {83, 1432, 1597},	// Akonadi::ItemSearchJob::setQuery$
    {83, 1527, 1608},	// Akonadi::ItemSearchJob::staticMetaObject
    {83, 1562, 1605},	// Akonadi::ItemSearchJob::tr$
    {83, 1563, 1591},	// Akonadi::ItemSearchJob::tr$$
    {83, 1564, 1593},	// Akonadi::ItemSearchJob::tr$$$
    {83, 1566, 1606},	// Akonadi::ItemSearchJob::trUtf8$
    {83, 1567, 1592},	// Akonadi::ItemSearchJob::trUtf8$$
    {83, 1568, 1594},	// Akonadi::ItemSearchJob::trUtf8$$$
    {83, 1686, 1609},	// Akonadi::ItemSearchJob::~ItemSearchJob
    {84, 342, 1613},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin
    {84, 343, 1614},	// Akonadi::ItemSerializerPlugin::ItemSerializerPlugin#
    {84, 839, 1610},	// Akonadi::ItemSerializerPlugin::deserialize###$
    {84, 1127, 1612},	// Akonadi::ItemSerializerPlugin::parts#
    {84, 1223, 1611},	// Akonadi::ItemSerializerPlugin::serialize###$
    {84, 1687, 1615},	// Akonadi::ItemSerializerPlugin::~ItemSerializerPlugin
    {85, 344, 1618},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2
    {85, 345, 1619},	// Akonadi::ItemSerializerPluginV2::ItemSerializerPluginV2#
    {85, 695, 1616},	// Akonadi::ItemSerializerPluginV2::apply##
    {85, 702, 1617},	// Akonadi::ItemSerializerPluginV2::availableParts#
    {85, 1688, 1620},	// Akonadi::ItemSerializerPluginV2::~ItemSerializerPluginV2
    {86, 347, 1643},	// Akonadi::ItemSync::ItemSync#
    {86, 348, 1628},	// Akonadi::ItemSync::ItemSync##
    {86, 401, 1646},	// Akonadi::ItemSync::MultipleTransactions
    {86, 418, 1647},	// Akonadi::ItemSync::NoTransaction
    {86, 507, 1645},	// Akonadi::ItemSync::SingleTransaction
    {86, 835, 1632},	// Akonadi::ItemSync::deliveryDone
    {86, 855, 1638},	// Akonadi::ItemSync::doStart
    {86, 916, 1635},	// Akonadi::ItemSync::fetchScope
    {86, 1078, 1621},	// Akonadi::ItemSync::metaObject
    {86, 1141, 1627},	// Akonadi::ItemSync::qt_metacall$$?
    {86, 1143, 1622},	// Akonadi::ItemSync::qt_metacast$
    {86, 1188, 1636},	// Akonadi::ItemSync::rollback
    {86, 1329, 1634},	// Akonadi::ItemSync::setFetchScope#
    {86, 1339, 1629},	// Akonadi::ItemSync::setFullSyncItems?
    {86, 1363, 1633},	// Akonadi::ItemSync::setIncrementalSyncItems??
    {86, 1472, 1631},	// Akonadi::ItemSync::setStreamingEnabled$
    {86, 1482, 1630},	// Akonadi::ItemSync::setTotalItems$
    {86, 1484, 1637},	// Akonadi::ItemSync::setTransactionMode$
    {86, 1514, 1639},	// Akonadi::ItemSync::slotResult#
    {86, 1527, 1644},	// Akonadi::ItemSync::staticMetaObject
    {86, 1562, 1641},	// Akonadi::ItemSync::tr$
    {86, 1563, 1623},	// Akonadi::ItemSync::tr$$
    {86, 1564, 1625},	// Akonadi::ItemSync::tr$$$
    {86, 1566, 1642},	// Akonadi::ItemSync::trUtf8$
    {86, 1567, 1624},	// Akonadi::ItemSync::trUtf8$$
    {86, 1568, 1626},	// Akonadi::ItemSync::trUtf8$$$
    {86, 1585, 1640},	// Akonadi::ItemSync::updateItem##
    {86, 1689, 1648},	// Akonadi::ItemSync::~ItemSync
    {87, 349, 1670},	// Akonadi::ItemView::ItemView
    {87, 350, -104},	// Akonadi::ItemView::ItemView#
    {87, 351, -108},	// Akonadi::ItemView::ItemView##
    {87, 654, 1662},	// Akonadi::ItemView::activated#
    {87, 739, 1664},	// Akonadi::ItemView::clicked#
    {87, 804, 1667},	// Akonadi::ItemView::contextMenuEvent#
    {87, 821, 1663},	// Akonadi::ItemView::currentChanged#
    {87, 822, 1666},	// Akonadi::ItemView::currentChanged##
    {87, 860, 1665},	// Akonadi::ItemView::doubleClicked#
    {87, 1078, 1649},	// Akonadi::ItemView::metaObject
    {87, 1141, 1655},	// Akonadi::ItemView::qt_metacall$$?
    {87, 1143, 1650},	// Akonadi::ItemView::qt_metacast$
    {87, 1403, 1661},	// Akonadi::ItemView::setModel#
    {87, 1495, 1660},	// Akonadi::ItemView::setXmlGuiClient#
    {87, 1497, 1659},	// Akonadi::ItemView::setXmlGuiWindow#
    {87, 1527, 1673},	// Akonadi::ItemView::staticMetaObject
    {87, 1562, 1668},	// Akonadi::ItemView::tr$
    {87, 1563, 1651},	// Akonadi::ItemView::tr$$
    {87, 1564, 1653},	// Akonadi::ItemView::tr$$$
    {87, 1566, 1669},	// Akonadi::ItemView::trUtf8$
    {87, 1567, 1652},	// Akonadi::ItemView::trUtf8$$
    {87, 1568, 1654},	// Akonadi::ItemView::trUtf8$$$
    {87, 1690, 1674},	// Akonadi::ItemView::~ItemView
    {88, 156, 1699},	// Akonadi::Job::ConnectionFailed
    {88, 352, 1697},	// Akonadi::Job::Job
    {88, 353, 1682},	// Akonadi::Job::Job#
    {88, 354, 1694},	// Akonadi::Job::Job##
    {88, 457, 1700},	// Akonadi::Job::ProtocolVersionMismatch
    {88, 554, 1702},	// Akonadi::Job::Unknown
    {88, 565, 1701},	// Akonadi::Job::UserCanceled
    {88, 567, 1703},	// Akonadi::Job::UserError
    {88, 646, 1685},	// Akonadi::Job::aboutToStart#
    {88, 676, 1689},	// Akonadi::Job::addSubjob#
    {88, 849, 1688},	// Akonadi::Job::doHandleResponse##
    {88, 851, 1691},	// Akonadi::Job::doKill
    {88, 855, 1687},	// Akonadi::Job::doStart
    {88, 878, 1692},	// Akonadi::Job::emitWriteFinished
    {88, 892, 1684},	// Akonadi::Job::errorString
    {88, 1078, 1675},	// Akonadi::Job::metaObject
    {88, 1141, 1681},	// Akonadi::Job::qt_metacall$$?
    {88, 1143, 1676},	// Akonadi::Job::qt_metacast$
    {88, 1164, 1690},	// Akonadi::Job::removeSubjob#
    {88, 1514, 1693},	// Akonadi::Job::slotResult#
    {88, 1519, 1683},	// Akonadi::Job::start
    {88, 1527, 1698},	// Akonadi::Job::staticMetaObject
    {88, 1562, 1695},	// Akonadi::Job::tr$
    {88, 1563, 1677},	// Akonadi::Job::tr$$
    {88, 1564, 1679},	// Akonadi::Job::tr$$$
    {88, 1566, 1696},	// Akonadi::Job::trUtf8$
    {88, 1567, 1678},	// Akonadi::Job::trUtf8$$
    {88, 1568, 1680},	// Akonadi::Job::trUtf8$$$
    {88, 1612, 1686},	// Akonadi::Job::writeFinished#
    {88, 1691, 1704},	// Akonadi::Job::~Job
    {90, 361, 1716},	// Akonadi::LinkJob::LinkJob#?
    {90, 362, 1712},	// Akonadi::LinkJob::LinkJob#?#
    {90, 855, 1713},	// Akonadi::LinkJob::doStart
    {90, 1078, 1705},	// Akonadi::LinkJob::metaObject
    {90, 1141, 1711},	// Akonadi::LinkJob::qt_metacall$$?
    {90, 1143, 1706},	// Akonadi::LinkJob::qt_metacast$
    {90, 1527, 1717},	// Akonadi::LinkJob::staticMetaObject
    {90, 1562, 1714},	// Akonadi::LinkJob::tr$
    {90, 1563, 1707},	// Akonadi::LinkJob::tr$$
    {90, 1564, 1709},	// Akonadi::LinkJob::tr$$$
    {90, 1566, 1715},	// Akonadi::LinkJob::trUtf8$
    {90, 1567, 1708},	// Akonadi::LinkJob::trUtf8$$
    {90, 1568, 1710},	// Akonadi::LinkJob::trUtf8$$$
    {90, 1692, 1718},	// Akonadi::LinkJob::~LinkJob
    {91, 369, 1719},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute
    {91, 370, 1720},	// Akonadi::MessageFolderAttribute::MessageFolderAttribute#
    {91, 740, 1724},	// Akonadi::MessageFolderAttribute::clone
    {91, 838, 1726},	// Akonadi::MessageFolderAttribute::deserialize#
    {91, 1003, 1721},	// Akonadi::MessageFolderAttribute::isOutboundFolder
    {91, 1224, 1725},	// Akonadi::MessageFolderAttribute::serialized
    {91, 1414, 1722},	// Akonadi::MessageFolderAttribute::setOutboundFolder$
    {91, 1569, 1723},	// Akonadi::MessageFolderAttribute::type
    {91, 1693, 1727},	// Akonadi::MessageFolderAttribute::~MessageFolderAttribute
    {92, 207, 1752},	// Akonadi::MessageModel::Date
    {92, 371, 1743},	// Akonadi::MessageModel::MessageModel
    {92, 372, 1735},	// Akonadi::MessageModel::MessageModel#
    {92, 466, 1751},	// Akonadi::MessageModel::Receiver
    {92, 497, 1750},	// Akonadi::MessageModel::Sender
    {92, 508, 1753},	// Akonadi::MessageModel::Size
    {92, 527, 1749},	// Akonadi::MessageModel::Subject
    {92, 777, 1745},	// Akonadi::MessageModel::columnCount
    {92, 778, 1737},	// Akonadi::MessageModel::columnCount#
    {92, 829, 1746},	// Akonadi::MessageModel::data#
    {92, 830, 1738},	// Akonadi::MessageModel::data#$
    {92, 940, 1747},	// Akonadi::MessageModel::headerData$$
    {92, 941, 1739},	// Akonadi::MessageModel::headerData$$$
    {92, 1078, 1728},	// Akonadi::MessageModel::metaObject
    {92, 1089, 1740},	// Akonadi::MessageModel::mimeTypes
    {92, 1141, 1734},	// Akonadi::MessageModel::qt_metacall$$?
    {92, 1143, 1729},	// Akonadi::MessageModel::qt_metacast$
    {92, 1191, 1744},	// Akonadi::MessageModel::rowCount
    {92, 1192, 1736},	// Akonadi::MessageModel::rowCount#
    {92, 1527, 1748},	// Akonadi::MessageModel::staticMetaObject
    {92, 1562, 1741},	// Akonadi::MessageModel::tr$
    {92, 1563, 1730},	// Akonadi::MessageModel::tr$$
    {92, 1564, 1732},	// Akonadi::MessageModel::tr$$$
    {92, 1566, 1742},	// Akonadi::MessageModel::trUtf8$
    {92, 1567, 1731},	// Akonadi::MessageModel::trUtf8$$
    {92, 1568, 1733},	// Akonadi::MessageModel::trUtf8$$$
    {92, 1694, 1754},	// Akonadi::MessageModel::~MessageModel
    {93, 373, 1776},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel
    {93, 374, 1762},	// Akonadi::MessageThreaderProxyModel::MessageThreaderProxyModel#
    {93, 778, 1768},	// Akonadi::MessageThreaderProxyModel::columnCount#
    {93, 814, 1767},	// Akonadi::MessageThreaderProxyModel::createIndex$$$
    {93, 935, 1766},	// Akonadi::MessageThreaderProxyModel::hasChildren#
    {93, 963, 1765},	// Akonadi::MessageThreaderProxyModel::index$$#
    {93, 1068, 1771},	// Akonadi::MessageThreaderProxyModel::mapFromSource#
    {93, 1072, 1772},	// Akonadi::MessageThreaderProxyModel::mapToSource#
    {93, 1078, 1755},	// Akonadi::MessageThreaderProxyModel::metaObject
    {93, 1081, 1770},	// Akonadi::MessageThreaderProxyModel::mimeData?
    {93, 1089, 1769},	// Akonadi::MessageThreaderProxyModel::mimeTypes
    {93, 1122, 1763},	// Akonadi::MessageThreaderProxyModel::parent#
    {93, 1141, 1761},	// Akonadi::MessageThreaderProxyModel::qt_metacall$$?
    {93, 1143, 1756},	// Akonadi::MessageThreaderProxyModel::qt_metacast$
    {93, 1192, 1764},	// Akonadi::MessageThreaderProxyModel::rowCount#
    {93, 1468, 1773},	// Akonadi::MessageThreaderProxyModel::setSourceModel#
    {93, 1527, 1777},	// Akonadi::MessageThreaderProxyModel::staticMetaObject
    {93, 1562, 1774},	// Akonadi::MessageThreaderProxyModel::tr$
    {93, 1563, 1757},	// Akonadi::MessageThreaderProxyModel::tr$$
    {93, 1564, 1759},	// Akonadi::MessageThreaderProxyModel::tr$$$
    {93, 1566, 1775},	// Akonadi::MessageThreaderProxyModel::trUtf8$
    {93, 1567, 1758},	// Akonadi::MessageThreaderProxyModel::trUtf8$$
    {93, 1568, 1760},	// Akonadi::MessageThreaderProxyModel::trUtf8$$$
    {93, 1695, 1778},	// Akonadi::MessageThreaderProxyModel::~MessageThreaderProxyModel
    {94, 375, 1779},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute
    {94, 376, 1780},	// Akonadi::MessageThreadingAttribute::MessageThreadingAttribute#
    {94, 740, 1788},	// Akonadi::MessageThreadingAttribute::clone
    {94, 838, 1790},	// Akonadi::MessageThreadingAttribute::deserialize#
    {94, 1132, 1781},	// Akonadi::MessageThreadingAttribute::perfectParents
    {94, 1224, 1789},	// Akonadi::MessageThreadingAttribute::serialized
    {94, 1427, 1782},	// Akonadi::MessageThreadingAttribute::setPerfectParents?
    {94, 1474, 1786},	// Akonadi::MessageThreadingAttribute::setSubjectParents?
    {94, 1486, 1784},	// Akonadi::MessageThreadingAttribute::setUnperfectParents?
    {94, 1540, 1785},	// Akonadi::MessageThreadingAttribute::subjectParents
    {94, 1569, 1787},	// Akonadi::MessageThreadingAttribute::type
    {94, 1577, 1783},	// Akonadi::MessageThreadingAttribute::unperfectParents
    {94, 1696, 1791},	// Akonadi::MessageThreadingAttribute::~MessageThreadingAttribute
    {95, 378, 1792},	// Akonadi::MimeTypeChecker::MimeTypeChecker
    {95, 379, 1793},	// Akonadi::MimeTypeChecker::MimeTypeChecker#
    {95, 678, 1797},	// Akonadi::MimeTypeChecker::addWantedMimeType$
    {95, 801, 1802},	// Akonadi::MimeTypeChecker::containsWantedMimeType?
    {95, 1009, 1800},	// Akonadi::MimeTypeChecker::isWantedCollection#
    {95, 1010, 1804},	// Akonadi::MimeTypeChecker::isWantedCollection#$
    {95, 1012, 1799},	// Akonadi::MimeTypeChecker::isWantedItem#
    {95, 1013, 1803},	// Akonadi::MimeTypeChecker::isWantedItem#$
    {95, 1015, 1801},	// Akonadi::MimeTypeChecker::isWantedMimeType$
    {95, 1112, 1794},	// Akonadi::MimeTypeChecker::operator=#
    {95, 1166, 1798},	// Akonadi::MimeTypeChecker::removeWantedMimeType$
    {95, 1493, 1796},	// Akonadi::MimeTypeChecker::setWantedMimeTypes?
    {95, 1602, 1795},	// Akonadi::MimeTypeChecker::wantedMimeTypes
    {95, 1697, 1805},	// Akonadi::MimeTypeChecker::~MimeTypeChecker
    {96, 383, 1856},	// Akonadi::Monitor::Monitor
    {96, 384, -22},	// Akonadi::Monitor::Monitor#
    {96, 385, 1853},	// Akonadi::Monitor::Monitor##
    {96, 691, 1852},	// Akonadi::Monitor::allMonitored$
    {96, 745, 1840},	// Akonadi::Monitor::collectionAdded##
    {96, 749, 1841},	// Akonadi::Monitor::collectionChanged#
    {96, 750, 1842},	// Akonadi::Monitor::collectionChanged#?
    {96, 751, 1825},	// Akonadi::Monitor::collectionFetchScope
    {96, 757, 1848},	// Akonadi::Monitor::collectionMonitored#$
    {96, 759, 1843},	// Akonadi::Monitor::collectionMoved###
    {96, 761, 1844},	// Akonadi::Monitor::collectionRemoved#
    {96, 763, 1847},	// Akonadi::Monitor::collectionStatisticsChanged?#
    {96, 765, 1845},	// Akonadi::Monitor::collectionSubscribed##
    {96, 767, 1846},	// Akonadi::Monitor::collectionUnsubscribed#
    {96, 769, 1826},	// Akonadi::Monitor::collectionsMonitored
    {96, 905, 1820},	// Akonadi::Monitor::fetchCollection$
    {96, 907, 1821},	// Akonadi::Monitor::fetchCollectionStatistics$
    {96, 954, 1819},	// Akonadi::Monitor::ignoreSession#
    {96, 997, 1831},	// Akonadi::Monitor::isAllMonitored
    {96, 1018, 1836},	// Akonadi::Monitor::itemAdded##
    {96, 1021, 1834},	// Akonadi::Monitor::itemChanged#?
    {96, 1023, 1823},	// Akonadi::Monitor::itemFetchScope
    {96, 1027, 1838},	// Akonadi::Monitor::itemLinked##
    {96, 1029, 1849},	// Akonadi::Monitor::itemMonitored#$
    {96, 1031, 1835},	// Akonadi::Monitor::itemMoved###
    {96, 1034, 1837},	// Akonadi::Monitor::itemRemoved#
    {96, 1041, 1839},	// Akonadi::Monitor::itemUnlinked##
    {96, 1043, 1827},	// Akonadi::Monitor::itemsMonitored
    {96, 1044, 1828},	// Akonadi::Monitor::itemsMonitoredEx
    {96, 1078, 1806},	// Akonadi::Monitor::metaObject
    {96, 1088, 1851},	// Akonadi::Monitor::mimeTypeMonitored$$
    {96, 1090, 1829},	// Akonadi::Monitor::mimeTypesMonitored
    {96, 1141, 1812},	// Akonadi::Monitor::qt_metacall$$?
    {96, 1143, 1807},	// Akonadi::Monitor::qt_metacast$
    {96, 1172, 1850},	// Akonadi::Monitor::resourceMonitored#$
    {96, 1173, 1830},	// Akonadi::Monitor::resourcesMonitored
    {96, 1225, 1833},	// Akonadi::Monitor::session
    {96, 1235, 1861},	// Akonadi::Monitor::setAllMonitored
    {96, 1236, 1818},	// Akonadi::Monitor::setAllMonitored$
    {96, 1262, 1824},	// Akonadi::Monitor::setCollectionFetchScope#
    {96, 1266, 1857},	// Akonadi::Monitor::setCollectionMonitored#
    {96, 1267, 1814},	// Akonadi::Monitor::setCollectionMonitored#$
    {96, 1374, 1822},	// Akonadi::Monitor::setItemFetchScope#
    {96, 1376, 1858},	// Akonadi::Monitor::setItemMonitored#
    {96, 1377, 1815},	// Akonadi::Monitor::setItemMonitored#$
    {96, 1400, 1860},	// Akonadi::Monitor::setMimeTypeMonitored$
    {96, 1401, 1817},	// Akonadi::Monitor::setMimeTypeMonitored$$
    {96, 1448, 1859},	// Akonadi::Monitor::setResourceMonitored#
    {96, 1449, 1816},	// Akonadi::Monitor::setResourceMonitored#$
    {96, 1462, 1832},	// Akonadi::Monitor::setSession#
    {96, 1527, 1863},	// Akonadi::Monitor::staticMetaObject
    {96, 1562, 1854},	// Akonadi::Monitor::tr$
    {96, 1563, 1808},	// Akonadi::Monitor::tr$$
    {96, 1564, 1810},	// Akonadi::Monitor::tr$$$
    {96, 1566, 1855},	// Akonadi::Monitor::trUtf8$
    {96, 1567, 1809},	// Akonadi::Monitor::trUtf8$$
    {96, 1568, 1811},	// Akonadi::Monitor::trUtf8$$$
    {96, 1698, 1864},	// Akonadi::Monitor::~Monitor
    {98, 435, 1879},	// Akonadi::PartFetcher::PartFetcher##
    {98, 436, 1872},	// Akonadi::PartFetcher::PartFetcher###
    {98, 961, 1874},	// Akonadi::PartFetcher::index
    {98, 1016, 1876},	// Akonadi::PartFetcher::item
    {98, 1078, 1865},	// Akonadi::PartFetcher::metaObject
    {98, 1125, 1875},	// Akonadi::PartFetcher::partName
    {98, 1141, 1871},	// Akonadi::PartFetcher::qt_metacall$$?
    {98, 1143, 1866},	// Akonadi::PartFetcher::qt_metacast$
    {98, 1519, 1873},	// Akonadi::PartFetcher::start
    {98, 1527, 1880},	// Akonadi::PartFetcher::staticMetaObject
    {98, 1562, 1877},	// Akonadi::PartFetcher::tr$
    {98, 1563, 1867},	// Akonadi::PartFetcher::tr$$
    {98, 1564, 1869},	// Akonadi::PartFetcher::tr$$$
    {98, 1566, 1878},	// Akonadi::PartFetcher::trUtf8$
    {98, 1567, 1868},	// Akonadi::PartFetcher::trUtf8$$
    {98, 1568, 1870},	// Akonadi::PartFetcher::trUtf8$$$
    {98, 1701, 1881},	// Akonadi::PartFetcher::~PartFetcher
    {99, 438, 1884},	// Akonadi::PayloadBase::PayloadBase
    {99, 439, 1885},	// Akonadi::PayloadBase::PayloadBase#
    {99, 740, 1882},	// Akonadi::PayloadBase::clone
    {99, 1573, 1883},	// Akonadi::PayloadBase::typeName
    {99, 1702, 1886},	// Akonadi::PayloadBase::~PayloadBase
    {100, 441, -114},	// Akonadi::PayloadException::PayloadException#
    {100, 442, -117},	// Akonadi::PayloadException::PayloadException$
    {100, 1569, 1890},	// Akonadi::PayloadException::type
    {100, 1703, 1892},	// Akonadi::PayloadException::~PayloadException
    {101, 450, 1904},	// Akonadi::PreprocessorBase::PreprocessorBase$
    {101, 452, 1908},	// Akonadi::PreprocessorBase::ProcessingCompleted
    {101, 453, 1909},	// Akonadi::PreprocessorBase::ProcessingDelayed
    {101, 454, 1910},	// Akonadi::PreprocessorBase::ProcessingFailed
    {101, 455, 1911},	// Akonadi::PreprocessorBase::ProcessingRefused
    {101, 916, 1903},	// Akonadi::PreprocessorBase::fetchScope
    {101, 921, 1901},	// Akonadi::PreprocessorBase::finishProcessing$
    {101, 1078, 1893},	// Akonadi::PreprocessorBase::metaObject
    {101, 1136, 1900},	// Akonadi::PreprocessorBase::processItem#
    {101, 1141, 1899},	// Akonadi::PreprocessorBase::qt_metacall$$?
    {101, 1143, 1894},	// Akonadi::PreprocessorBase::qt_metacast$
    {101, 1329, 1902},	// Akonadi::PreprocessorBase::setFetchScope#
    {101, 1527, 1907},	// Akonadi::PreprocessorBase::staticMetaObject
    {101, 1562, 1905},	// Akonadi::PreprocessorBase::tr$
    {101, 1563, 1895},	// Akonadi::PreprocessorBase::tr$$
    {101, 1564, 1897},	// Akonadi::PreprocessorBase::tr$$$
    {101, 1566, 1906},	// Akonadi::PreprocessorBase::trUtf8$
    {101, 1567, 1896},	// Akonadi::PreprocessorBase::trUtf8$$
    {101, 1568, 1898},	// Akonadi::PreprocessorBase::trUtf8$$$
    {101, 1704, 1912},	// Akonadi::PreprocessorBase::~PreprocessorBase
    {102, 16, 1966},	// Akonadi::ResourceBase::AfterChangeReplay
    {102, 49, 1967},	// Akonadi::ResourceBase::Append
    {102, 448, 1965},	// Akonadi::ResourceBase::Prepend
    {102, 479, 1930},	// Akonadi::ResourceBase::ResourceBase$
    {102, 641, 1929},	// Akonadi::ResourceBase::abortActivity
    {102, 700, 1924},	// Akonadi::ResourceBase::attributesSynchronized$
    {102, 715, 1954},	// Akonadi::ResourceBase::cancelTask
    {102, 716, 1955},	// Akonadi::ResourceBase::cancelTask$
    {102, 722, -120},	// Akonadi::ResourceBase::changeCommitted#
    {102, 732, 1946},	// Akonadi::ResourceBase::clearCache
    {102, 747, 1932},	// Akonadi::ResourceBase::collectionAttributesRetrieved#
    {102, 772, 1938},	// Akonadi::ResourceBase::collectionsRetrievalDone
    {102, 774, 1935},	// Akonadi::ResourceBase::collectionsRetrieved?
    {102, 776, 1936},	// Akonadi::ResourceBase::collectionsRetrievedIncremental??
    {102, 823, 1947},	// Akonadi::ResourceBase::currentCollection
    {102, 824, 1948},	// Akonadi::ResourceBase::currentItem
    {102, 833, 1956},	// Akonadi::ResourceBase::deferTask
    {102, 854, 1957},	// Akonadi::ResourceBase::doSetOnline$
    {102, 1036, 1931},	// Akonadi::ResourceBase::itemRetrieved#
    {102, 1047, 1945},	// Akonadi::ResourceBase::itemsRetrievalDone
    {102, 1049, 1939},	// Akonadi::ResourceBase::itemsRetrieved?
    {102, 1051, 1944},	// Akonadi::ResourceBase::itemsRetrievedIncremental??
    {102, 1078, 1913},	// Akonadi::ResourceBase::metaObject
    {102, 1103, 1921},	// Akonadi::ResourceBase::name
    {102, 1105, 1922},	// Akonadi::ResourceBase::nameChanged$
    {102, 1141, 1919},	// Akonadi::ResourceBase::qt_metacall$$?
    {102, 1143, 1914},	// Akonadi::ResourceBase::qt_metacast$
    {102, 1179, 1926},	// Akonadi::ResourceBase::retrieveCollectionAttributes#
    {102, 1180, 1925},	// Akonadi::ResourceBase::retrieveCollections
    {102, 1182, 1928},	// Akonadi::ResourceBase::retrieveItem#?
    {102, 1184, 1927},	// Akonadi::ResourceBase::retrieveItems#
    {102, 1202, 1963},	// Akonadi::ResourceBase::scheduleCustomTask#$#
    {102, 1203, 1959},	// Akonadi::ResourceBase::scheduleCustomTask#$#$
    {102, 1273, 1937},	// Akonadi::ResourceBase::setCollectionStreamingEnabled$
    {102, 1347, 1958},	// Akonadi::ResourceBase::setHierarchicalRemoteIdentifiersEnabled$
    {102, 1383, 1941},	// Akonadi::ResourceBase::setItemStreamingEnabled$
    {102, 1385, 1943},	// Akonadi::ResourceBase::setItemSynchronizationFetchScope#
    {102, 1387, 1942},	// Akonadi::ResourceBase::setItemTransactionMode$
    {102, 1408, 1920},	// Akonadi::ResourceBase::setName$
    {102, 1482, 1940},	// Akonadi::ResourceBase::setTotalItems$
    {102, 1527, 1964},	// Akonadi::ResourceBase::staticMetaObject
    {102, 1544, 1949},	// Akonadi::ResourceBase::synchronize
    {102, 1548, 1950},	// Akonadi::ResourceBase::synchronizeCollection$
    {102, 1549, 1951},	// Akonadi::ResourceBase::synchronizeCollection$$
    {102, 1551, 1952},	// Akonadi::ResourceBase::synchronizeCollectionAttributes$
    {102, 1552, 1953},	// Akonadi::ResourceBase::synchronizeCollectionTree
    {102, 1553, 1923},	// Akonadi::ResourceBase::synchronized
    {102, 1556, 1960},	// Akonadi::ResourceBase::taskDone
    {102, 1562, 1961},	// Akonadi::ResourceBase::tr$
    {102, 1563, 1915},	// Akonadi::ResourceBase::tr$$
    {102, 1564, 1917},	// Akonadi::ResourceBase::tr$$$
    {102, 1566, 1962},	// Akonadi::ResourceBase::trUtf8$
    {102, 1567, 1916},	// Akonadi::ResourceBase::trUtf8$$
    {102, 1568, 1918},	// Akonadi::ResourceBase::trUtf8$$$
    {102, 1705, 1968},	// Akonadi::ResourceBase::~ResourceBase
    {103, 482, 1981},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob#
    {103, 483, 1976},	// Akonadi::ResourceSynchronizationJob::ResourceSynchronizationJob##
    {103, 1078, 1969},	// Akonadi::ResourceSynchronizationJob::metaObject
    {103, 1141, 1975},	// Akonadi::ResourceSynchronizationJob::qt_metacall$$?
    {103, 1143, 1970},	// Akonadi::ResourceSynchronizationJob::qt_metacast$
    {103, 1170, 1977},	// Akonadi::ResourceSynchronizationJob::resource
    {103, 1519, 1978},	// Akonadi::ResourceSynchronizationJob::start
    {103, 1527, 1982},	// Akonadi::ResourceSynchronizationJob::staticMetaObject
    {103, 1562, 1979},	// Akonadi::ResourceSynchronizationJob::tr$
    {103, 1563, 1971},	// Akonadi::ResourceSynchronizationJob::tr$$
    {103, 1564, 1973},	// Akonadi::ResourceSynchronizationJob::tr$$$
    {103, 1566, 1980},	// Akonadi::ResourceSynchronizationJob::trUtf8$
    {103, 1567, 1972},	// Akonadi::ResourceSynchronizationJob::trUtf8$$
    {103, 1568, 1974},	// Akonadi::ResourceSynchronizationJob::trUtf8$$$
    {103, 1706, 1983},	// Akonadi::ResourceSynchronizationJob::~ResourceSynchronizationJob
    {104, 488, 1998},	// Akonadi::SearchCreateJob::SearchCreateJob$$
    {104, 489, 1991},	// Akonadi::SearchCreateJob::SearchCreateJob$$#
    {104, 817, 1993},	// Akonadi::SearchCreateJob::createdCollection
    {104, 849, 1995},	// Akonadi::SearchCreateJob::doHandleResponse##
    {104, 855, 1994},	// Akonadi::SearchCreateJob::doStart
    {104, 1078, 1984},	// Akonadi::SearchCreateJob::metaObject
    {104, 1141, 1990},	// Akonadi::SearchCreateJob::qt_metacall$$?
    {104, 1143, 1985},	// Akonadi::SearchCreateJob::qt_metacast$
    {104, 1436, 1992},	// Akonadi::SearchCreateJob::setQueryLanguage$
    {104, 1527, 1999},	// Akonadi::SearchCreateJob::staticMetaObject
    {104, 1562, 1996},	// Akonadi::SearchCreateJob::tr$
    {104, 1563, 1986},	// Akonadi::SearchCreateJob::tr$$
    {104, 1564, 1988},	// Akonadi::SearchCreateJob::tr$$$
    {104, 1566, 1997},	// Akonadi::SearchCreateJob::trUtf8$
    {104, 1567, 1987},	// Akonadi::SearchCreateJob::trUtf8$$
    {104, 1568, 1989},	// Akonadi::SearchCreateJob::trUtf8$$$
    {104, 1707, 2000},	// Akonadi::SearchCreateJob::~SearchCreateJob
    {105, 495, 2011},	// Akonadi::SelectionProxyModel::SelectionProxyModel#
    {105, 496, 2008},	// Akonadi::SelectionProxyModel::SelectionProxyModel##
    {105, 1078, 2001},	// Akonadi::SelectionProxyModel::metaObject
    {105, 1141, 2007},	// Akonadi::SelectionProxyModel::qt_metacall$$?
    {105, 1143, 2002},	// Akonadi::SelectionProxyModel::qt_metacast$
    {105, 1527, 2012},	// Akonadi::SelectionProxyModel::staticMetaObject
    {105, 1562, 2009},	// Akonadi::SelectionProxyModel::tr$
    {105, 1563, 2003},	// Akonadi::SelectionProxyModel::tr$$
    {105, 1564, 2005},	// Akonadi::SelectionProxyModel::tr$$$
    {105, 1566, 2010},	// Akonadi::SelectionProxyModel::trUtf8$
    {105, 1567, 2004},	// Akonadi::SelectionProxyModel::trUtf8$$
    {105, 1568, 2006},	// Akonadi::SelectionProxyModel::trUtf8$$$
    {105, 1708, 2013},	// Akonadi::SelectionProxyModel::~SelectionProxyModel
    {106, 60, 2037},	// Akonadi::ServerManager::Broken
    {106, 420, 2033},	// Akonadi::ServerManager::NotRunning
    {106, 484, 2035},	// Akonadi::ServerManager::Running
    {106, 514, 2034},	// Akonadi::ServerManager::Starting
    {106, 522, 2036},	// Akonadi::ServerManager::Stopping
    {106, 1004, 2024},	// Akonadi::ServerManager::isRunning
    {106, 1078, 2014},	// Akonadi::ServerManager::metaObject
    {106, 1141, 2020},	// Akonadi::ServerManager::qt_metacall$$?
    {106, 1143, 2015},	// Akonadi::ServerManager::qt_metacast$
    {106, 1215, 2026},	// Akonadi::ServerManager::self
    {106, 1503, 2023},	// Akonadi::ServerManager::showSelfTestDialog#
    {106, 1519, 2021},	// Akonadi::ServerManager::start
    {106, 1523, 2027},	// Akonadi::ServerManager::started
    {106, 1524, 2025},	// Akonadi::ServerManager::state
    {106, 1526, 2029},	// Akonadi::ServerManager::stateChanged$
    {106, 1527, 2032},	// Akonadi::ServerManager::staticMetaObject
    {106, 1533, 2022},	// Akonadi::ServerManager::stop
    {106, 1535, 2028},	// Akonadi::ServerManager::stopped
    {106, 1562, 2030},	// Akonadi::ServerManager::tr$
    {106, 1563, 2016},	// Akonadi::ServerManager::tr$$
    {106, 1564, 2018},	// Akonadi::ServerManager::tr$$$
    {106, 1566, 2031},	// Akonadi::ServerManager::trUtf8$
    {106, 1567, 2017},	// Akonadi::ServerManager::trUtf8$$
    {106, 1568, 2019},	// Akonadi::ServerManager::trUtf8$$$
    {106, 1709, 2038},	// Akonadi::ServerManager::~ServerManager
    {107, 498, 2054},	// Akonadi::Session::Session
    {107, 499, -79},	// Akonadi::Session::Session#
    {107, 500, -82},	// Akonadi::Session::Session##
    {107, 501, 2051},	// Akonadi::Session::Session###
    {107, 729, 2049},	// Akonadi::Session::clear
    {107, 832, 2048},	// Akonadi::Session::defaultSession
    {107, 1078, 2039},	// Akonadi::Session::metaObject
    {107, 1141, 2045},	// Akonadi::Session::qt_metacall$$?
    {107, 1143, 2040},	// Akonadi::Session::qt_metacast$
    {107, 1146, 2050},	// Akonadi::Session::reconnected
    {107, 1226, 2047},	// Akonadi::Session::sessionId
    {107, 1527, 2058},	// Akonadi::Session::staticMetaObject
    {107, 1562, 2052},	// Akonadi::Session::tr$
    {107, 1563, 2041},	// Akonadi::Session::tr$$
    {107, 1564, 2043},	// Akonadi::Session::tr$$$
    {107, 1566, 2053},	// Akonadi::Session::trUtf8$
    {107, 1567, 2042},	// Akonadi::Session::trUtf8$$
    {107, 1568, 2044},	// Akonadi::Session::trUtf8$$$
    {107, 1710, 2059},	// Akonadi::Session::~Session
    {109, 4, 2099},	// Akonadi::StandardActionManager::AddToFavoriteCollections
    {109, 123, 2094},	// Akonadi::StandardActionManager::CollectionProperties
    {109, 195, 2113},	// Akonadi::StandardActionManager::CopyCollectionToDialog
    {109, 196, 2102},	// Akonadi::StandardActionManager::CopyCollectionToMenu
    {109, 197, 2091},	// Akonadi::StandardActionManager::CopyCollections
    {109, 198, 2115},	// Akonadi::StandardActionManager::CopyItemToDialog
    {109, 199, 2103},	// Akonadi::StandardActionManager::CopyItemToMenu
    {109, 200, 2095},	// Akonadi::StandardActionManager::CopyItems
    {109, 201, 2090},	// Akonadi::StandardActionManager::CreateCollection
    {109, 203, 2108},	// Akonadi::StandardActionManager::CreateResource
    {109, 205, 2107},	// Akonadi::StandardActionManager::CutCollections
    {109, 206, 2106},	// Akonadi::StandardActionManager::CutItems
    {109, 210, 2092},	// Akonadi::StandardActionManager::DeleteCollections
    {109, 211, 2097},	// Akonadi::StandardActionManager::DeleteItems
    {109, 212, 2109},	// Akonadi::StandardActionManager::DeleteResources
    {109, 215, 2120},	// Akonadi::StandardActionManager::DialogText
    {109, 216, 2119},	// Akonadi::StandardActionManager::DialogTitle
    {109, 256, 2125},	// Akonadi::StandardActionManager::ErrorMessageText
    {109, 257, 2124},	// Akonadi::StandardActionManager::ErrorMessageTitle
    {109, 357, 2118},	// Akonadi::StandardActionManager::LastType
    {109, 365, 2098},	// Akonadi::StandardActionManager::ManageLocalSubscriptions
    {109, 366, 2123},	// Akonadi::StandardActionManager::MessageBoxAlternativeText
    {109, 367, 2122},	// Akonadi::StandardActionManager::MessageBoxText
    {109, 368, 2121},	// Akonadi::StandardActionManager::MessageBoxTitle
    {109, 386, 2114},	// Akonadi::StandardActionManager::MoveCollectionToDialog
    {109, 387, 2105},	// Akonadi::StandardActionManager::MoveCollectionToMenu
    {109, 391, 2116},	// Akonadi::StandardActionManager::MoveItemToDialog
    {109, 392, 2104},	// Akonadi::StandardActionManager::MoveItemToMenu
    {109, 437, 2096},	// Akonadi::StandardActionManager::Paste
    {109, 475, 2100},	// Akonadi::StandardActionManager::RemoveFromFavoriteCollections
    {109, 476, 2101},	// Akonadi::StandardActionManager::RenameFavoriteCollection
    {109, 480, 2110},	// Akonadi::StandardActionManager::ResourceProperties
    {109, 512, 2087},	// Akonadi::StandardActionManager::StandardActionManager#
    {109, 513, 2067},	// Akonadi::StandardActionManager::StandardActionManager##
    {109, 531, 2093},	// Akonadi::StandardActionManager::SynchronizeCollections
    {109, 532, 2117},	// Akonadi::StandardActionManager::SynchronizeCollectionsRecursive
    {109, 533, 2111},	// Akonadi::StandardActionManager::SynchronizeResources
    {109, 536, 2112},	// Akonadi::StandardActionManager::ToggleWorkOffline
    {109, 650, 2074},	// Akonadi::StandardActionManager::action$
    {109, 652, 2084},	// Akonadi::StandardActionManager::actionStateUpdated
    {109, 808, 2072},	// Akonadi::StandardActionManager::createAction$
    {109, 809, 2073},	// Akonadi::StandardActionManager::createAllActions
    {109, 994, 2088},	// Akonadi::StandardActionManager::interceptAction$
    {109, 995, 2076},	// Akonadi::StandardActionManager::interceptAction$$
    {109, 1078, 2060},	// Akonadi::StandardActionManager::metaObject
    {109, 1141, 2066},	// Akonadi::StandardActionManager::qt_metacall$$?
    {109, 1143, 2061},	// Akonadi::StandardActionManager::qt_metacast$
    {109, 1209, 2077},	// Akonadi::StandardActionManager::selectedCollections
    {109, 1211, 2078},	// Akonadi::StandardActionManager::selectedItems
    {109, 1230, 2075},	// Akonadi::StandardActionManager::setActionText$#
    {109, 1253, 2082},	// Akonadi::StandardActionManager::setCapabilityFilter?
    {109, 1269, 2083},	// Akonadi::StandardActionManager::setCollectionPropertiesPageNames?
    {109, 1271, 2068},	// Akonadi::StandardActionManager::setCollectionSelectionModel#
    {109, 1298, 2080},	// Akonadi::StandardActionManager::setContextText$$#
    {109, 1299, 2079},	// Akonadi::StandardActionManager::setContextText$$$
    {109, 1321, 2070},	// Akonadi::StandardActionManager::setFavoriteCollectionsModel#
    {109, 1325, 2071},	// Akonadi::StandardActionManager::setFavoriteSelectionModel#
    {109, 1381, 2069},	// Akonadi::StandardActionManager::setItemSelectionModel#
    {109, 1398, 2081},	// Akonadi::StandardActionManager::setMimeTypeFilter?
    {109, 1527, 2089},	// Akonadi::StandardActionManager::staticMetaObject
    {109, 1562, 2085},	// Akonadi::StandardActionManager::tr$
    {109, 1563, 2062},	// Akonadi::StandardActionManager::tr$$
    {109, 1564, 2064},	// Akonadi::StandardActionManager::tr$$$
    {109, 1566, 2086},	// Akonadi::StandardActionManager::trUtf8$
    {109, 1567, 2063},	// Akonadi::StandardActionManager::trUtf8$$
    {109, 1568, 2065},	// Akonadi::StandardActionManager::trUtf8$$$
    {109, 1711, 2126},	// Akonadi::StandardActionManager::~StandardActionManager
    {110, 517, 2149},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel
    {110, 518, 2134},	// Akonadi::StatisticsProxyModel::StatisticsProxyModel#
    {110, 777, 2153},	// Akonadi::StatisticsProxyModel::columnCount
    {110, 778, 2143},	// Akonadi::StatisticsProxyModel::columnCount#
    {110, 789, 2146},	// Akonadi::StatisticsProxyModel::connectNotify$
    {110, 829, 2151},	// Akonadi::StatisticsProxyModel::data#
    {110, 830, 2140},	// Akonadi::StatisticsProxyModel::data#$
    {110, 923, 2142},	// Akonadi::StatisticsProxyModel::flags#
    {110, 940, 2152},	// Akonadi::StatisticsProxyModel::headerData$$
    {110, 941, 2141},	// Akonadi::StatisticsProxyModel::headerData$$$
    {110, 962, 2150},	// Akonadi::StatisticsProxyModel::index$$
    {110, 963, 2139},	// Akonadi::StatisticsProxyModel::index$$#
    {110, 1000, 2138},	// Akonadi::StatisticsProxyModel::isExtraColumnsEnabled
    {110, 1005, 2136},	// Akonadi::StatisticsProxyModel::isToolTipEnabled
    {110, 1074, 2154},	// Akonadi::StatisticsProxyModel::match#$#
    {110, 1075, 2155},	// Akonadi::StatisticsProxyModel::match#$#$
    {110, 1076, 2144},	// Akonadi::StatisticsProxyModel::match#$#$$
    {110, 1078, 2127},	// Akonadi::StatisticsProxyModel::metaObject
    {110, 1141, 2133},	// Akonadi::StatisticsProxyModel::qt_metacall$$?
    {110, 1143, 2128},	// Akonadi::StatisticsProxyModel::qt_metacast$
    {110, 1319, 2137},	// Akonadi::StatisticsProxyModel::setExtraColumnsEnabled$
    {110, 1468, 2145},	// Akonadi::StatisticsProxyModel::setSourceModel#
    {110, 1480, 2135},	// Akonadi::StatisticsProxyModel::setToolTipEnabled$
    {110, 1527, 2156},	// Akonadi::StatisticsProxyModel::staticMetaObject
    {110, 1562, 2147},	// Akonadi::StatisticsProxyModel::tr$
    {110, 1563, 2129},	// Akonadi::StatisticsProxyModel::tr$$
    {110, 1564, 2131},	// Akonadi::StatisticsProxyModel::tr$$$
    {110, 1566, 2148},	// Akonadi::StatisticsProxyModel::trUtf8$
    {110, 1567, 2130},	// Akonadi::StatisticsProxyModel::trUtf8$$
    {110, 1568, 2132},	// Akonadi::StatisticsProxyModel::trUtf8$$$
    {110, 1712, 2157},	// Akonadi::StatisticsProxyModel::~StatisticsProxyModel
    {111, 540, 2165},	// Akonadi::TransactionBeginJob::TransactionBeginJob#
    {111, 855, 2166},	// Akonadi::TransactionBeginJob::doStart
    {111, 1078, 2158},	// Akonadi::TransactionBeginJob::metaObject
    {111, 1141, 2164},	// Akonadi::TransactionBeginJob::qt_metacall$$?
    {111, 1143, 2159},	// Akonadi::TransactionBeginJob::qt_metacast$
    {111, 1527, 2169},	// Akonadi::TransactionBeginJob::staticMetaObject
    {111, 1562, 2167},	// Akonadi::TransactionBeginJob::tr$
    {111, 1563, 2160},	// Akonadi::TransactionBeginJob::tr$$
    {111, 1564, 2162},	// Akonadi::TransactionBeginJob::tr$$$
    {111, 1566, 2168},	// Akonadi::TransactionBeginJob::trUtf8$
    {111, 1567, 2161},	// Akonadi::TransactionBeginJob::trUtf8$$
    {111, 1568, 2163},	// Akonadi::TransactionBeginJob::trUtf8$$$
    {111, 1713, 2170},	// Akonadi::TransactionBeginJob::~TransactionBeginJob
    {112, 542, 2178},	// Akonadi::TransactionCommitJob::TransactionCommitJob#
    {112, 855, 2179},	// Akonadi::TransactionCommitJob::doStart
    {112, 1078, 2171},	// Akonadi::TransactionCommitJob::metaObject
    {112, 1141, 2177},	// Akonadi::TransactionCommitJob::qt_metacall$$?
    {112, 1143, 2172},	// Akonadi::TransactionCommitJob::qt_metacast$
    {112, 1527, 2182},	// Akonadi::TransactionCommitJob::staticMetaObject
    {112, 1562, 2180},	// Akonadi::TransactionCommitJob::tr$
    {112, 1563, 2173},	// Akonadi::TransactionCommitJob::tr$$
    {112, 1564, 2175},	// Akonadi::TransactionCommitJob::tr$$$
    {112, 1566, 2181},	// Akonadi::TransactionCommitJob::trUtf8$
    {112, 1567, 2174},	// Akonadi::TransactionCommitJob::trUtf8$$
    {112, 1568, 2176},	// Akonadi::TransactionCommitJob::trUtf8$$$
    {112, 1714, 2183},	// Akonadi::TransactionCommitJob::~TransactionCommitJob
    {113, 544, 2191},	// Akonadi::TransactionRollbackJob::TransactionRollbackJob#
    {113, 855, 2192},	// Akonadi::TransactionRollbackJob::doStart
    {113, 1078, 2184},	// Akonadi::TransactionRollbackJob::metaObject
    {113, 1141, 2190},	// Akonadi::TransactionRollbackJob::qt_metacall$$?
    {113, 1143, 2185},	// Akonadi::TransactionRollbackJob::qt_metacast$
    {113, 1527, 2195},	// Akonadi::TransactionRollbackJob::staticMetaObject
    {113, 1562, 2193},	// Akonadi::TransactionRollbackJob::tr$
    {113, 1563, 2186},	// Akonadi::TransactionRollbackJob::tr$$
    {113, 1564, 2188},	// Akonadi::TransactionRollbackJob::tr$$$
    {113, 1566, 2194},	// Akonadi::TransactionRollbackJob::trUtf8$
    {113, 1567, 2187},	// Akonadi::TransactionRollbackJob::trUtf8$$
    {113, 1568, 2189},	// Akonadi::TransactionRollbackJob::trUtf8$$$
    {113, 1715, 2196},	// Akonadi::TransactionRollbackJob::~TransactionRollbackJob
    {114, 545, 2214},	// Akonadi::TransactionSequence::TransactionSequence
    {114, 546, 2204},	// Akonadi::TransactionSequence::TransactionSequence#
    {114, 676, 2209},	// Akonadi::TransactionSequence::addSubjob#
    {114, 779, 2205},	// Akonadi::TransactionSequence::commit
    {114, 855, 2210},	// Akonadi::TransactionSequence::doStart
    {114, 1078, 2197},	// Akonadi::TransactionSequence::metaObject
    {114, 1141, 2203},	// Akonadi::TransactionSequence::qt_metacall$$?
    {114, 1143, 2198},	// Akonadi::TransactionSequence::qt_metacast$
    {114, 1188, 2206},	// Akonadi::TransactionSequence::rollback
    {114, 1241, 2208},	// Akonadi::TransactionSequence::setAutomaticCommittingEnabled$
    {114, 1353, 2207},	// Akonadi::TransactionSequence::setIgnoreJobFailure#
    {114, 1514, 2211},	// Akonadi::TransactionSequence::slotResult#
    {114, 1527, 2215},	// Akonadi::TransactionSequence::staticMetaObject
    {114, 1562, 2212},	// Akonadi::TransactionSequence::tr$
    {114, 1563, 2199},	// Akonadi::TransactionSequence::tr$$
    {114, 1564, 2201},	// Akonadi::TransactionSequence::tr$$$
    {114, 1566, 2213},	// Akonadi::TransactionSequence::trUtf8$
    {114, 1567, 2200},	// Akonadi::TransactionSequence::trUtf8$$
    {114, 1568, 2202},	// Akonadi::TransactionSequence::trUtf8$$$
    {114, 1716, 2216},	// Akonadi::TransactionSequence::~TransactionSequence
    {115, 547, 2223},	// Akonadi::TransportResourceBase::TransportFailed
    {115, 548, 2217},	// Akonadi::TransportResourceBase::TransportResourceBase
    {115, 549, 2220},	// Akonadi::TransportResourceBase::TransportResourceBase#
    {115, 550, 2222},	// Akonadi::TransportResourceBase::TransportSucceeded
    {115, 1038, 2221},	// Akonadi::TransportResourceBase::itemSent#$
    {115, 1039, 2219},	// Akonadi::TransportResourceBase::itemSent#$$
    {115, 1219, 2218},	// Akonadi::TransportResourceBase::sendItem#
    {115, 1717, 2224},	// Akonadi::TransportResourceBase::~TransportResourceBase
    {116, 556, 2236},	// Akonadi::UnlinkJob::UnlinkJob#?
    {116, 557, 2232},	// Akonadi::UnlinkJob::UnlinkJob#?#
    {116, 855, 2233},	// Akonadi::UnlinkJob::doStart
    {116, 1078, 2225},	// Akonadi::UnlinkJob::metaObject
    {116, 1141, 2231},	// Akonadi::UnlinkJob::qt_metacall$$?
    {116, 1143, 2226},	// Akonadi::UnlinkJob::qt_metacast$
    {116, 1527, 2237},	// Akonadi::UnlinkJob::staticMetaObject
    {116, 1562, 2234},	// Akonadi::UnlinkJob::tr$
    {116, 1563, 2227},	// Akonadi::UnlinkJob::tr$$
    {116, 1564, 2229},	// Akonadi::UnlinkJob::tr$$$
    {116, 1566, 2235},	// Akonadi::UnlinkJob::trUtf8$
    {116, 1567, 2228},	// Akonadi::UnlinkJob::trUtf8$$
    {116, 1568, 2230},	// Akonadi::UnlinkJob::trUtf8$$$
    {116, 1718, 2238},	// Akonadi::UnlinkJob::~UnlinkJob
    {173, 458, 2481},	// QGlobalSpace::QtCriticalMsg
    {173, 459, 2479},	// QGlobalSpace::QtDebugMsg
    {173, 460, 2482},	// QGlobalSpace::QtFatalMsg
    {173, 461, 2483},	// QGlobalSpace::QtSystemMsg
    {173, 462, 2480},	// QGlobalSpace::QtWarningMsg
    {173, 573, 2417},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {173, 574, 2418},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {173, 575, 2425},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {173, 576, 2426},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {173, 577, 2427},	// QGlobalSpace::_CS_LFS64_LIBS
    {173, 578, 2428},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {173, 579, 2421},	// QGlobalSpace::_CS_LFS_CFLAGS
    {173, 580, 2422},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {173, 581, 2423},	// QGlobalSpace::_CS_LFS_LIBS
    {173, 582, 2424},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {173, 583, 2415},	// QGlobalSpace::_CS_PATH
    {173, 584, 2445},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {173, 585, 2446},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {173, 586, 2447},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {173, 587, 2448},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {173, 588, 2449},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {173, 589, 2450},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {173, 590, 2451},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {173, 591, 2452},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {173, 592, 2453},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {173, 593, 2454},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {173, 594, 2455},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {173, 595, 2456},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {173, 596, 2457},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {173, 597, 2458},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {173, 598, 2459},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {173, 599, 2460},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {173, 600, 2461},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {173, 601, 2462},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {173, 602, 2463},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {173, 603, 2464},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {173, 604, 2465},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {173, 605, 2466},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {173, 606, 2467},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {173, 607, 2468},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {173, 608, 2469},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {173, 609, 2470},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {173, 610, 2471},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {173, 611, 2472},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {173, 612, 2473},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {173, 613, 2474},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {173, 614, 2475},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {173, 615, 2476},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {173, 616, 2419},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {173, 617, 2477},	// QGlobalSpace::_CS_V6_ENV
    {173, 618, 2416},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {173, 619, 2478},	// QGlobalSpace::_CS_V7_ENV
    {173, 620, 2420},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {173, 621, 2429},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {173, 622, 2430},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {173, 623, 2431},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {173, 624, 2432},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {173, 625, 2433},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {173, 626, 2434},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {173, 627, 2435},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {173, 628, 2436},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {173, 629, 2437},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {173, 630, 2438},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {173, 631, 2439},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {173, 632, 2440},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {173, 633, 2441},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {173, 634, 2442},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {173, 635, 2443},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {173, 636, 2444},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {173, 637, 2486},	// QGlobalSpace::__codecvt_error
    {173, 638, 2487},	// QGlobalSpace::__codecvt_noconv
    {173, 639, 2484},	// QGlobalSpace::__codecvt_ok
    {173, 640, 2485},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 216,
        __smokeakonadi::methods, 2643,
        __smokeakonadi::methodMaps, 2268,
        __smokeakonadi::methodNames, 1718,
        __smokeakonadi::types, 457,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
