#include <kdecore_includes.h>

#include <smoke.h>
#include <kdecore_smoke.h>

namespace __smokekdecore {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KAboutData
      switch(to) {
        case 1: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutLicense
      switch(to) {
        case 2: return (void*)(KAboutLicense*)xptr;
        default: return xptr;
      }
    case 3:   //KAboutPerson
      switch(to) {
        case 3: return (void*)(KAboutPerson*)xptr;
        default: return xptr;
      }
    case 4:   //KAuth::Action
      switch(to) {
        case 4: return (void*)(KAuth::Action*)xptr;
        default: return xptr;
      }
    case 5:   //KAuth::ActionReply
      switch(to) {
        case 5: return (void*)(KAuth::ActionReply*)xptr;
        default: return xptr;
      }
    case 6:   //KAuth::ActionWatcher
      switch(to) {
        case 166: return (void*)(QObject*)(KAuth::ActionWatcher*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)xptr;
        default: return xptr;
      }
    case 8:   //KAutoSaveFile
      switch(to) {
        case 150: return (void*)(QFile*)(KAutoSaveFile*)xptr;
        case 155: return (void*)(QIODevice*)(KAutoSaveFile*)xptr;
        case 166: return (void*)(QObject*)(KAutoSaveFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)xptr;
        default: return xptr;
      }
    case 9:   //KAutostart
      switch(to) {
        case 166: return (void*)(QObject*)(KAutostart*)xptr;
        case 9: return (void*)(KAutostart*)xptr;
        default: return xptr;
      }
    case 10:   //KCalendarSystem
      switch(to) {
        case 10: return (void*)(KCalendarSystem*)xptr;
        default: return xptr;
      }
    case 11:   //KCalendarSystemPrivate
      switch(to) {
        case 11: return (void*)(KCalendarSystemPrivate*)xptr;
        default: return xptr;
      }
    case 12:   //KCharMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KCharMacroExpander*)xptr;
        case 12: return (void*)(KCharMacroExpander*)xptr;
        default: return xptr;
      }
    case 13:   //KCharsets
      switch(to) {
        case 13: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 14:   //KCmdLineArgs
      switch(to) {
        case 14: return (void*)(KCmdLineArgs*)xptr;
        default: return xptr;
      }
    case 15:   //KCmdLineOptions
      switch(to) {
        case 15: return (void*)(KCmdLineOptions*)xptr;
        default: return xptr;
      }
    case 17:   //KComponentData
      switch(to) {
        case 17: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 18:   //KCompositeJob
      switch(to) {
        case 62: return (void*)(KJob*)(KCompositeJob*)xptr;
        case 166: return (void*)(QObject*)(KCompositeJob*)xptr;
        case 18: return (void*)(KCompositeJob*)xptr;
        default: return xptr;
      }
    case 19:   //KCompositeJobPrivate
      switch(to) {
        case 19: return (void*)(KCompositeJobPrivate*)xptr;
        default: return xptr;
      }
    case 20:   //KConfig
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfig*)xptr;
        case 20: return (void*)(KConfig*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfig*)xptr;
        default: return xptr;
      }
    case 21:   //KConfigBase
      switch(to) {
        case 21: return (void*)(KConfigBase*)xptr;
        case 22: return (void*)(KConfigGroup*)(KConfigBase*)xptr;
        case 20: return (void*)(KConfig*)(KConfigBase*)xptr;
        case 56: return (void*)(KDesktopFile*)(KConfigBase*)xptr;
        case 99: return (void*)(KSharedConfig*)(KConfigBase*)xptr;
        default: return xptr;
      }
    case 22:   //KConfigGroup
      switch(to) {
        case 21: return (void*)(KConfigBase*)(KConfigGroup*)xptr;
        case 22: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 23:   //KConfigPrivate
      switch(to) {
        case 23: return (void*)(KConfigPrivate*)xptr;
        default: return xptr;
      }
    case 24:   //KConfigSkeletonItem
      switch(to) {
        case 24: return (void*)(KConfigSkeletonItem*)xptr;
        default: return xptr;
      }
    case 25:   //KCoreConfigSkeleton
      switch(to) {
        case 166: return (void*)(QObject*)(KCoreConfigSkeleton*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)xptr;
        default: return xptr;
      }
    case 26:   //KCoreConfigSkeleton::ItemBool
      switch(to) {
        case 26: return (void*)(KCoreConfigSkeleton::ItemBool*)xptr;
        default: return xptr;
      }
    case 27:   //KCoreConfigSkeleton::ItemDateTime
      switch(to) {
        case 27: return (void*)(KCoreConfigSkeleton::ItemDateTime*)xptr;
        default: return xptr;
      }
    case 28:   //KCoreConfigSkeleton::ItemDouble
      switch(to) {
        case 28: return (void*)(KCoreConfigSkeleton::ItemDouble*)xptr;
        default: return xptr;
      }
    case 29:   //KCoreConfigSkeleton::ItemEnum
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)xptr;
        default: return xptr;
      }
    case 30:   //KCoreConfigSkeleton::ItemEnum::Choice
      switch(to) {
        case 30: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice*)xptr;
        default: return xptr;
      }
    case 31:   //KCoreConfigSkeleton::ItemEnum::Choice2
      switch(to) {
        case 31: return (void*)(KCoreConfigSkeleton::ItemEnum::Choice2*)xptr;
        default: return xptr;
      }
    case 32:   //KCoreConfigSkeleton::ItemInt
      switch(to) {
        case 32: return (void*)(KCoreConfigSkeleton::ItemInt*)xptr;
        case 29: return (void*)(KCoreConfigSkeleton::ItemEnum*)(KCoreConfigSkeleton::ItemInt*)xptr;
        default: return xptr;
      }
    case 33:   //KCoreConfigSkeleton::ItemIntList
      switch(to) {
        case 33: return (void*)(KCoreConfigSkeleton::ItemIntList*)xptr;
        default: return xptr;
      }
    case 34:   //KCoreConfigSkeleton::ItemLongLong
      switch(to) {
        case 34: return (void*)(KCoreConfigSkeleton::ItemLongLong*)xptr;
        default: return xptr;
      }
    case 35:   //KCoreConfigSkeleton::ItemPassword
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)xptr;
        default: return xptr;
      }
    case 36:   //KCoreConfigSkeleton::ItemPath
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)(KCoreConfigSkeleton::ItemPath*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)xptr;
        default: return xptr;
      }
    case 37:   //KCoreConfigSkeleton::ItemPathList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)xptr;
        default: return xptr;
      }
    case 38:   //KCoreConfigSkeleton::ItemPoint
      switch(to) {
        case 38: return (void*)(KCoreConfigSkeleton::ItemPoint*)xptr;
        default: return xptr;
      }
    case 39:   //KCoreConfigSkeleton::ItemProperty
      switch(to) {
        case 39: return (void*)(KCoreConfigSkeleton::ItemProperty*)xptr;
        default: return xptr;
      }
    case 40:   //KCoreConfigSkeleton::ItemRect
      switch(to) {
        case 40: return (void*)(KCoreConfigSkeleton::ItemRect*)xptr;
        default: return xptr;
      }
    case 41:   //KCoreConfigSkeleton::ItemSize
      switch(to) {
        case 41: return (void*)(KCoreConfigSkeleton::ItemSize*)xptr;
        default: return xptr;
      }
    case 42:   //KCoreConfigSkeleton::ItemString
      switch(to) {
        case 42: return (void*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 36: return (void*)(KCoreConfigSkeleton::ItemPath*)(KCoreConfigSkeleton::ItemString*)xptr;
        case 35: return (void*)(KCoreConfigSkeleton::ItemPassword*)(KCoreConfigSkeleton::ItemString*)xptr;
        default: return xptr;
      }
    case 43:   //KCoreConfigSkeleton::ItemStringList
      switch(to) {
        case 43: return (void*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        case 37: return (void*)(KCoreConfigSkeleton::ItemPathList*)(KCoreConfigSkeleton::ItemStringList*)xptr;
        default: return xptr;
      }
    case 44:   //KCoreConfigSkeleton::ItemUInt
      switch(to) {
        case 44: return (void*)(KCoreConfigSkeleton::ItemUInt*)xptr;
        default: return xptr;
      }
    case 45:   //KCoreConfigSkeleton::ItemULongLong
      switch(to) {
        case 45: return (void*)(KCoreConfigSkeleton::ItemULongLong*)xptr;
        default: return xptr;
      }
    case 46:   //KCoreConfigSkeleton::ItemUrl
      switch(to) {
        case 46: return (void*)(KCoreConfigSkeleton::ItemUrl*)xptr;
        default: return xptr;
      }
    case 47:   //KCoreConfigSkeleton::ItemUrlList
      switch(to) {
        case 47: return (void*)(KCoreConfigSkeleton::ItemUrlList*)xptr;
        default: return xptr;
      }
    case 48:   //KCurrencyCode
      switch(to) {
        case 48: return (void*)(KCurrencyCode*)xptr;
        default: return xptr;
      }
    case 50:   //KDEDModule
      switch(to) {
        case 166: return (void*)(QObject*)(KDEDModule*)xptr;
        case 50: return (void*)(KDEDModule*)xptr;
        default: return xptr;
      }
    case 51:   //KDEPluginVerificationData
      switch(to) {
        case 51: return (void*)(KDEPluginVerificationData*)xptr;
        default: return xptr;
      }
    case 52:   //KDateTime
      switch(to) {
        case 52: return (void*)(KDateTime*)xptr;
        default: return xptr;
      }
    case 53:   //KDateTime::Spec
      switch(to) {
        case 53: return (void*)(KDateTime::Spec*)xptr;
        default: return xptr;
      }
    case 54:   //KDebug
      switch(to) {
        case 54: return (void*)(KDebug*)xptr;
        default: return xptr;
      }
    case 55:   //KDebugTag
      switch(to) {
        case 55: return (void*)(KDebugTag*)xptr;
        default: return xptr;
      }
    case 56:   //KDesktopFile
      switch(to) {
        case 20: return (void*)(KConfig*)(KDesktopFile*)xptr;
        case 21: return (void*)(KConfigBase*)(KDesktopFile*)xptr;
        case 56: return (void*)(KDesktopFile*)xptr;
        default: return xptr;
      }
    case 57:   //KEncodingDetector
      switch(to) {
        case 57: return (void*)(KEncodingDetector*)xptr;
        default: return xptr;
      }
    case 58:   //KEncodingProber
      switch(to) {
        case 58: return (void*)(KEncodingProber*)xptr;
        default: return xptr;
      }
    case 59:   //KFilterBase
      switch(to) {
        case 59: return (void*)(KFilterBase*)xptr;
        default: return xptr;
      }
    case 60:   //KFilterDev
      switch(to) {
        case 155: return (void*)(QIODevice*)(KFilterDev*)xptr;
        case 166: return (void*)(QObject*)(KFilterDev*)xptr;
        case 60: return (void*)(KFilterDev*)xptr;
        default: return xptr;
      }
    case 62:   //KJob
      switch(to) {
        case 166: return (void*)(QObject*)(KJob*)xptr;
        case 62: return (void*)(KJob*)xptr;
        case 18: return (void*)(KCompositeJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 63:   //KJobPrivate
      switch(to) {
        case 63: return (void*)(KJobPrivate*)xptr;
        default: return xptr;
      }
    case 64:   //KJobTrackerInterface
      switch(to) {
        case 166: return (void*)(QObject*)(KJobTrackerInterface*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 65:   //KJobUiDelegate
      switch(to) {
        case 166: return (void*)(QObject*)(KJobUiDelegate*)xptr;
        case 65: return (void*)(KJobUiDelegate*)xptr;
        default: return xptr;
      }
    case 66:   //KLibLoader
      switch(to) {
        case 166: return (void*)(QObject*)(KLibLoader*)xptr;
        case 66: return (void*)(KLibLoader*)xptr;
        default: return xptr;
      }
    case 67:   //KLibrary
      switch(to) {
        case 158: return (void*)(QLibrary*)(KLibrary*)xptr;
        case 166: return (void*)(QObject*)(KLibrary*)xptr;
        case 67: return (void*)(KLibrary*)xptr;
        default: return xptr;
      }
    case 68:   //KLocalSocket
      switch(to) {
        case 180: return (void*)(QTcpSocket*)(KLocalSocket*)xptr;
        case 133: return (void*)(QAbstractSocket*)(KLocalSocket*)xptr;
        case 155: return (void*)(QIODevice*)(KLocalSocket*)xptr;
        case 166: return (void*)(QObject*)(KLocalSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)xptr;
        default: return xptr;
      }
    case 69:   //KLocalSocketServer
      switch(to) {
        case 166: return (void*)(QObject*)(KLocalSocketServer*)xptr;
        case 69: return (void*)(KLocalSocketServer*)xptr;
        default: return xptr;
      }
    case 70:   //KLocale
      switch(to) {
        case 70: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 71:   //KLocalizedString
      switch(to) {
        case 71: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 72:   //KLockFile
      switch(to) {
        case 174: return (void*)(QSharedData*)(KLockFile*)xptr;
        case 72: return (void*)(KLockFile*)xptr;
        default: return xptr;
      }
    case 73:   //KMD5
      switch(to) {
        case 73: return (void*)(KMD5*)xptr;
        default: return xptr;
      }
    case 75:   //KMacroExpanderBase
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)xptr;
        case 12: return (void*)(KCharMacroExpander*)(KMacroExpanderBase*)xptr;
        case 130: return (void*)(KWordMacroExpander*)(KMacroExpanderBase*)xptr;
        default: return xptr;
      }
    case 77:   //KMessageHandler
      switch(to) {
        case 77: return (void*)(KMessageHandler*)xptr;
        default: return xptr;
      }
    case 78:   //KMimeType
      switch(to) {
        case 96: return (void*)(KServiceType*)(KMimeType*)xptr;
        case 105: return (void*)(KSycocaEntry*)(KMimeType*)xptr;
        case 174: return (void*)(QSharedData*)(KMimeType*)xptr;
        case 78: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 79:   //KMimeTypePrivate
      switch(to) {
        case 79: return (void*)(KMimeTypePrivate*)xptr;
        default: return xptr;
      }
    case 80:   //KMimeTypeTrader
      switch(to) {
        case 80: return (void*)(KMimeTypeTrader*)xptr;
        default: return xptr;
      }
    case 81:   //KParts::Part
      switch(to) {
        case 81: return (void*)(KParts::Part*)xptr;
        default: return xptr;
      }
    case 82:   //KPluginFactory
      switch(to) {
        case 166: return (void*)(QObject*)(KPluginFactory*)xptr;
        case 82: return (void*)(KPluginFactory*)xptr;
        default: return xptr;
      }
    case 83:   //KPluginFactoryPrivate
      switch(to) {
        case 83: return (void*)(KPluginFactoryPrivate*)xptr;
        default: return xptr;
      }
    case 84:   //KPluginInfo
      switch(to) {
        case 84: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 85:   //KPluginLoader
      switch(to) {
        case 167: return (void*)(QPluginLoader*)(KPluginLoader*)xptr;
        case 166: return (void*)(QObject*)(KPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)xptr;
        default: return xptr;
      }
    case 86:   //KProcess
      switch(to) {
        case 170: return (void*)(QProcess*)(KProcess*)xptr;
        case 155: return (void*)(QIODevice*)(KProcess*)xptr;
        case 166: return (void*)(QObject*)(KProcess*)xptr;
        case 86: return (void*)(KProcess*)xptr;
        default: return xptr;
      }
    case 87:   //KProcessPrivate
      switch(to) {
        case 87: return (void*)(KProcessPrivate*)xptr;
        default: return xptr;
      }
    case 88:   //KProtocolInfo
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KProtocolInfo*)xptr;
        case 174: return (void*)(QSharedData*)(KProtocolInfo*)xptr;
        case 88: return (void*)(KProtocolInfo*)xptr;
        default: return xptr;
      }
    case 89:   //KProtocolInfo::ExtraField
      switch(to) {
        case 89: return (void*)(KProtocolInfo::ExtraField*)xptr;
        default: return xptr;
      }
    case 91:   //KRandomSequence
      switch(to) {
        case 91: return (void*)(KRandomSequence*)xptr;
        default: return xptr;
      }
    case 92:   //KSaveFile
      switch(to) {
        case 150: return (void*)(QFile*)(KSaveFile*)xptr;
        case 155: return (void*)(QIODevice*)(KSaveFile*)xptr;
        case 166: return (void*)(QObject*)(KSaveFile*)xptr;
        case 92: return (void*)(KSaveFile*)xptr;
        default: return xptr;
      }
    case 93:   //KService
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KService*)xptr;
        case 174: return (void*)(QSharedData*)(KService*)xptr;
        case 93: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 94:   //KServiceAction
      switch(to) {
        case 94: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 95:   //KServiceGroup
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KServiceGroup*)xptr;
        case 174: return (void*)(QSharedData*)(KServiceGroup*)xptr;
        case 95: return (void*)(KServiceGroup*)xptr;
        default: return xptr;
      }
    case 96:   //KServiceType
      switch(to) {
        case 105: return (void*)(KSycocaEntry*)(KServiceType*)xptr;
        case 174: return (void*)(QSharedData*)(KServiceType*)xptr;
        case 96: return (void*)(KServiceType*)xptr;
        case 78: return (void*)(KMimeType*)(KServiceType*)xptr;
        default: return xptr;
      }
    case 97:   //KServiceTypePrivate
      switch(to) {
        case 97: return (void*)(KServiceTypePrivate*)xptr;
        default: return xptr;
      }
    case 98:   //KServiceTypeTrader
      switch(to) {
        case 98: return (void*)(KServiceTypeTrader*)xptr;
        default: return xptr;
      }
    case 99:   //KSharedConfig
      switch(to) {
        case 20: return (void*)(KConfig*)(KSharedConfig*)xptr;
        case 21: return (void*)(KConfigBase*)(KSharedConfig*)xptr;
        case 174: return (void*)(QSharedData*)(KSharedConfig*)xptr;
        case 99: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 102:   //KStandardDirs
      switch(to) {
        case 102: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 104:   //KSycoca
      switch(to) {
        case 166: return (void*)(QObject*)(KSycoca*)xptr;
        case 104: return (void*)(KSycoca*)xptr;
        default: return xptr;
      }
    case 105:   //KSycocaEntry
      switch(to) {
        case 174: return (void*)(QSharedData*)(KSycocaEntry*)xptr;
        case 105: return (void*)(KSycocaEntry*)xptr;
        case 88: return (void*)(KProtocolInfo*)(KSycocaEntry*)xptr;
        case 96: return (void*)(KServiceType*)(KSycocaEntry*)xptr;
        case 93: return (void*)(KService*)(KSycocaEntry*)xptr;
        case 95: return (void*)(KServiceGroup*)(KSycocaEntry*)xptr;
        case 78: return (void*)(KMimeType*)(KSycocaEntry*)xptr;
        default: return xptr;
      }
    case 106:   //KSycocaEntryPrivate
      switch(to) {
        case 106: return (void*)(KSycocaEntryPrivate*)xptr;
        default: return xptr;
      }
    case 107:   //KSycocaFactory
      switch(to) {
        case 107: return (void*)(KSycocaFactory*)xptr;
        default: return xptr;
      }
    case 108:   //KSycocaFactoryList
      switch(to) {
        case 108: return (void*)(KSycocaFactoryList*)xptr;
        default: return xptr;
      }
    case 109:   //KSystemTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)(KSystemTimeZone*)xptr;
        case 109: return (void*)(KSystemTimeZone*)xptr;
        default: return xptr;
      }
    case 110:   //KSystemTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)(KSystemTimeZoneBackend*)xptr;
        case 110: return (void*)(KSystemTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 111:   //KSystemTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)(KSystemTimeZoneSource*)xptr;
        case 111: return (void*)(KSystemTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 112:   //KSystemTimeZones
      switch(to) {
        case 166: return (void*)(QObject*)(KSystemTimeZones*)xptr;
        case 112: return (void*)(KSystemTimeZones*)xptr;
        default: return xptr;
      }
    case 113:   //KTempDir
      switch(to) {
        case 113: return (void*)(KTempDir*)xptr;
        default: return xptr;
      }
    case 114:   //KTemporaryFile
      switch(to) {
        case 181: return (void*)(QTemporaryFile*)(KTemporaryFile*)xptr;
        case 150: return (void*)(QFile*)(KTemporaryFile*)xptr;
        case 155: return (void*)(QIODevice*)(KTemporaryFile*)xptr;
        case 166: return (void*)(QObject*)(KTemporaryFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)xptr;
        default: return xptr;
      }
    case 115:   //KTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)xptr;
        case 109: return (void*)(KSystemTimeZone*)(KTimeZone*)xptr;
        case 124: return (void*)(KTzfileTimeZone*)(KTimeZone*)xptr;
        default: return xptr;
      }
    case 116:   //KTimeZone::LeapSeconds
      switch(to) {
        case 116: return (void*)(KTimeZone::LeapSeconds*)xptr;
        default: return xptr;
      }
    case 117:   //KTimeZone::Phase
      switch(to) {
        case 117: return (void*)(KTimeZone::Phase*)xptr;
        default: return xptr;
      }
    case 118:   //KTimeZone::Transition
      switch(to) {
        case 118: return (void*)(KTimeZone::Transition*)xptr;
        default: return xptr;
      }
    case 119:   //KTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)xptr;
        case 125: return (void*)(KTzfileTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        case 110: return (void*)(KSystemTimeZoneBackend*)(KTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 120:   //KTimeZoneData
      switch(to) {
        case 120: return (void*)(KTimeZoneData*)xptr;
        default: return xptr;
      }
    case 121:   //KTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)xptr;
        case 126: return (void*)(KTzfileTimeZoneSource*)(KTimeZoneSource*)xptr;
        case 111: return (void*)(KSystemTimeZoneSource*)(KTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 122:   //KTimeZones
      switch(to) {
        case 122: return (void*)(KTimeZones*)xptr;
        default: return xptr;
      }
    case 123:   //KToolInvocation
      switch(to) {
        case 166: return (void*)(QObject*)(KToolInvocation*)xptr;
        case 123: return (void*)(KToolInvocation*)xptr;
        default: return xptr;
      }
    case 124:   //KTzfileTimeZone
      switch(to) {
        case 115: return (void*)(KTimeZone*)(KTzfileTimeZone*)xptr;
        case 124: return (void*)(KTzfileTimeZone*)xptr;
        default: return xptr;
      }
    case 125:   //KTzfileTimeZoneBackend
      switch(to) {
        case 119: return (void*)(KTimeZoneBackend*)(KTzfileTimeZoneBackend*)xptr;
        case 125: return (void*)(KTzfileTimeZoneBackend*)xptr;
        default: return xptr;
      }
    case 126:   //KTzfileTimeZoneSource
      switch(to) {
        case 121: return (void*)(KTimeZoneSource*)(KTzfileTimeZoneSource*)xptr;
        case 126: return (void*)(KTzfileTimeZoneSource*)xptr;
        default: return xptr;
      }
    case 127:   //KUrl
      switch(to) {
        case 189: return (void*)(QUrl*)(KUrl*)xptr;
        case 127: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 128:   //KUser
      switch(to) {
        case 128: return (void*)(KUser*)xptr;
        default: return xptr;
      }
    case 129:   //KUserGroup
      switch(to) {
        case 129: return (void*)(KUserGroup*)xptr;
        default: return xptr;
      }
    case 130:   //KWordMacroExpander
      switch(to) {
        case 75: return (void*)(KMacroExpanderBase*)(KWordMacroExpander*)xptr;
        case 130: return (void*)(KWordMacroExpander*)xptr;
        default: return xptr;
      }
    case 131:   //OrgKdeKLauncherInterface
      switch(to) {
        case 139: return (void*)(QDBusAbstractInterface*)(OrgKdeKLauncherInterface*)xptr;
        case 166: return (void*)(QObject*)(OrgKdeKLauncherInterface*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)xptr;
        default: return xptr;
      }
    case 132:   //QAbstractFileEngine
      switch(to) {
        case 132: return (void*)(QAbstractFileEngine*)xptr;
        default: return xptr;
      }
    case 133:   //QAbstractSocket
      switch(to) {
        case 155: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 166: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 133: return (void*)(QAbstractSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 134:   //QBitArray
      switch(to) {
        case 134: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 135:   //QBool
      switch(to) {
        case 135: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 136:   //QByteArray
      switch(to) {
        case 136: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 137:   //QChar
      switch(to) {
        case 137: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 138:   //QChildEvent
      switch(to) {
        case 149: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 138: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QDBusAbstractInterface
      switch(to) {
        case 166: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 139: return (void*)(QDBusAbstractInterface*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 140:   //QDBusArgument
      switch(to) {
        case 140: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 141:   //QDBusConnection
      switch(to) {
        case 141: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 142:   //QDBusObjectPath
      switch(to) {
        case 142: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 143:   //QDBusSignature
      switch(to) {
        case 143: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 144:   //QDBusVariant
      switch(to) {
        case 191: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 144: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 145:   //QDataStream
      switch(to) {
        case 145: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 146:   //QDate
      switch(to) {
        case 146: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 147:   //QDateTime
      switch(to) {
        case 147: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 148:   //QEasingCurve
      switch(to) {
        case 148: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 149:   //QEvent
      switch(to) {
        case 149: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 150:   //QFile
      switch(to) {
        case 155: return (void*)(QIODevice*)(QFile*)xptr;
        case 166: return (void*)(QObject*)(QFile*)xptr;
        case 150: return (void*)(QFile*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QFile*)xptr;
        case 92: return (void*)(KSaveFile*)(QFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QFile*)xptr;
        default: return xptr;
      }
    case 151:   //QFileInfo
      switch(to) {
        case 151: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 153:   //QHashDummyValue
      switch(to) {
        case 153: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 154:   //QHostAddress
      switch(to) {
        case 154: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 155:   //QIODevice
      switch(to) {
        case 166: return (void*)(QObject*)(QIODevice*)xptr;
        case 155: return (void*)(QIODevice*)xptr;
        case 68: return (void*)(KLocalSocket*)(QIODevice*)xptr;
        case 60: return (void*)(KFilterDev*)(QIODevice*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QIODevice*)xptr;
        case 92: return (void*)(KSaveFile*)(QIODevice*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QIODevice*)xptr;
        case 86: return (void*)(KProcess*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 156:   //QIncompatibleFlag
      switch(to) {
        case 156: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 157:   //QLatin1String
      switch(to) {
        case 157: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 158:   //QLibrary
      switch(to) {
        case 166: return (void*)(QObject*)(QLibrary*)xptr;
        case 158: return (void*)(QLibrary*)xptr;
        case 67: return (void*)(KLibrary*)(QLibrary*)xptr;
        default: return xptr;
      }
    case 159:   //QLine
      switch(to) {
        case 159: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 160:   //QLineF
      switch(to) {
        case 160: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 161:   //QLocale
      switch(to) {
        case 161: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 162:   //QMargins
      switch(to) {
        case 162: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 163:   //QMetaObject
      switch(to) {
        case 163: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 164:   //QMimeData
      switch(to) {
        case 166: return (void*)(QObject*)(QMimeData*)xptr;
        case 164: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 165:   //QNetworkProxy
      switch(to) {
        case 165: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 166:   //QObject
      switch(to) {
        case 166: return (void*)(QObject*)xptr;
        case 64: return (void*)(KJobTrackerInterface*)(QObject*)xptr;
        case 18: return (void*)(KCompositeJob*)(QObject*)xptr;
        case 85: return (void*)(KPluginLoader*)(QObject*)xptr;
        case 68: return (void*)(KLocalSocket*)(QObject*)xptr;
        case 62: return (void*)(KJob*)(QObject*)xptr;
        case 69: return (void*)(KLocalSocketServer*)(QObject*)xptr;
        case 195: return (void*)(Sonnet::BackgroundChecker*)(QObject*)xptr;
        case 9: return (void*)(KAutostart*)(QObject*)xptr;
        case 66: return (void*)(KLibLoader*)(QObject*)xptr;
        case 60: return (void*)(KFilterDev*)(QObject*)xptr;
        case 82: return (void*)(KPluginFactory*)(QObject*)xptr;
        case 112: return (void*)(KSystemTimeZones*)(QObject*)xptr;
        case 6: return (void*)(KAuth::ActionWatcher*)(QObject*)xptr;
        case 8: return (void*)(KAutoSaveFile*)(QObject*)xptr;
        case 123: return (void*)(KToolInvocation*)(QObject*)xptr;
        case 131: return (void*)(OrgKdeKLauncherInterface*)(QObject*)xptr;
        case 67: return (void*)(KLibrary*)(QObject*)xptr;
        case 92: return (void*)(KSaveFile*)(QObject*)xptr;
        case 25: return (void*)(KCoreConfigSkeleton*)(QObject*)xptr;
        case 65: return (void*)(KJobUiDelegate*)(QObject*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QObject*)xptr;
        case 50: return (void*)(KDEDModule*)(QObject*)xptr;
        case 104: return (void*)(KSycoca*)(QObject*)xptr;
        case 86: return (void*)(KProcess*)(QObject*)xptr;
        default: return xptr;
      }
    case 167:   //QPluginLoader
      switch(to) {
        case 166: return (void*)(QObject*)(QPluginLoader*)xptr;
        case 167: return (void*)(QPluginLoader*)xptr;
        case 85: return (void*)(KPluginLoader*)(QPluginLoader*)xptr;
        default: return xptr;
      }
    case 168:   //QPoint
      switch(to) {
        case 168: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 169:   //QPointF
      switch(to) {
        case 169: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 170:   //QProcess
      switch(to) {
        case 155: return (void*)(QIODevice*)(QProcess*)xptr;
        case 166: return (void*)(QObject*)(QProcess*)xptr;
        case 170: return (void*)(QProcess*)xptr;
        case 86: return (void*)(KProcess*)(QProcess*)xptr;
        default: return xptr;
      }
    case 171:   //QRect
      switch(to) {
        case 171: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 172:   //QRectF
      switch(to) {
        case 172: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 173:   //QRegExp
      switch(to) {
        case 173: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 174:   //QSharedData
      switch(to) {
        case 174: return (void*)(QSharedData*)xptr;
        case 88: return (void*)(KProtocolInfo*)(QSharedData*)xptr;
        case 96: return (void*)(KServiceType*)(QSharedData*)xptr;
        case 93: return (void*)(KService*)(QSharedData*)xptr;
        case 72: return (void*)(KLockFile*)(QSharedData*)xptr;
        case 105: return (void*)(KSycocaEntry*)(QSharedData*)xptr;
        case 99: return (void*)(KSharedConfig*)(QSharedData*)xptr;
        case 95: return (void*)(KServiceGroup*)(QSharedData*)xptr;
        case 78: return (void*)(KMimeType*)(QSharedData*)xptr;
        default: return xptr;
      }
    case 175:   //QSize
      switch(to) {
        case 175: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 176:   //QSizeF
      switch(to) {
        case 176: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 177:   //QString::Null
      switch(to) {
        case 177: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 178:   //QStringRef
      switch(to) {
        case 178: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 179:   //QTcpServer
      switch(to) {
        case 166: return (void*)(QObject*)(QTcpServer*)xptr;
        case 179: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 180:   //QTcpSocket
      switch(to) {
        case 133: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 155: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 166: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 180: return (void*)(QTcpSocket*)xptr;
        case 68: return (void*)(KLocalSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 181:   //QTemporaryFile
      switch(to) {
        case 150: return (void*)(QFile*)(QTemporaryFile*)xptr;
        case 155: return (void*)(QIODevice*)(QTemporaryFile*)xptr;
        case 166: return (void*)(QObject*)(QTemporaryFile*)xptr;
        case 181: return (void*)(QTemporaryFile*)xptr;
        case 114: return (void*)(KTemporaryFile*)(QTemporaryFile*)xptr;
        default: return xptr;
      }
    case 182:   //QTextCodec
      switch(to) {
        case 182: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 183:   //QTextDecoder
      switch(to) {
        case 183: return (void*)(QTextDecoder*)xptr;
        default: return xptr;
      }
    case 184:   //QTextStream
      switch(to) {
        case 184: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 185:   //QTextStreamManipulator
      switch(to) {
        case 185: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 186:   //QTime
      switch(to) {
        case 186: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 187:   //QTimerEvent
      switch(to) {
        case 149: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 187: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 188:   //QUdpSocket
      switch(to) {
        case 188: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 189:   //QUrl
      switch(to) {
        case 189: return (void*)(QUrl*)xptr;
        case 127: return (void*)(KUrl*)(QUrl*)xptr;
        default: return xptr;
      }
    case 190:   //QUuid
      switch(to) {
        case 190: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 191:   //QVariant
      switch(to) {
        case 191: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 192:   //QVariantComparisonHelper
      switch(to) {
        case 192: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 193:   //QWidget
      switch(to) {
        case 193: return (void*)(QWidget*)xptr;
        default: return xptr;
      }
    case 195:   //Sonnet::BackgroundChecker
      switch(to) {
        case 166: return (void*)(QObject*)(Sonnet::BackgroundChecker*)xptr;
        case 195: return (void*)(Sonnet::BackgroundChecker*)xptr;
        default: return xptr;
      }
    case 196:   //Sonnet::Speller
      switch(to) {
        case 196: return (void*)(Sonnet::Speller*)xptr;
        default: return xptr;
      }
    case 197:   //_IO_FILE
      switch(to) {
        case 197: return (void*)(_IO_FILE*)xptr;
        default: return xptr;
      }
    case 198:   //group
      switch(to) {
        case 198: return (void*)(group*)xptr;
        default: return xptr;
      }
    case 199:   //kndbgstream
      switch(to) {
        case 199: return (void*)(kndbgstream*)xptr;
        default: return xptr;
      }
    case 200:   //passwd
      switch(to) {
        case 200: return (void*)(passwd*)xptr;
        default: return xptr;
      }
    case 201:   //std::bidirectional_iterator_tag
      switch(to) {
        case 201: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 202:   //std::random_access_iterator_tag
      switch(to) {
        case 202: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    166, 0,	// 1: QObject
    150, 0,	// 3: QFile
    75, 0,	// 5: KMacroExpanderBase
    62, 0,	// 7: KJob
    21, 0,	// 9: KConfigBase
    0, 0,	// 11: KConfigSkeletonGenericItem
    32, 0,	// 13: KCoreConfigSkeleton::ItemInt
    42, 0,	// 15: KCoreConfigSkeleton::ItemString
    43, 0,	// 17: KCoreConfigSkeleton::ItemStringList
    20, 0,	// 19: KConfig
    155, 0,	// 21: QIODevice
    158, 0,	// 23: QLibrary
    180, 0,	// 25: QTcpSocket
    174, 0,	// 27: QSharedData
    96, 0,	// 29: KServiceType
    167, 0,	// 31: QPluginLoader
    170, 0,	// 33: QProcess
    105, 0,	// 35: KSycocaEntry
    20, 174, 0,	// 37: KConfig, QSharedData
    115, 0,	// 40: KTimeZone
    119, 0,	// 42: KTimeZoneBackend
    121, 0,	// 44: KTimeZoneSource
    181, 0,	// 46: QTemporaryFile
    189, 0,	// 48: QUrl
    139, 0,	// 50: QDBusAbstractInterface
};

// These are the xenum functions for manipulating enum pointers
void xenum_KAutostart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KShell(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUser(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KJob(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KServiceGroup(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilterBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLockFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KStandardDirs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAboutData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCalendarSystem(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__ActionReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProcess(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDateTime(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KService(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCurrencyCode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KLibLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCmdLineArgs(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingProber(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KSycoca(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KMimeType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KCoreConfigSkeleton__ItemString(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAuth__Action(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KProtocolInfo__ExtraField(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEncodingDetector(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KGlobal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KComponentData(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Sonnet__Speller(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAboutData(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutLicense(Smoke::Index, void*, Smoke::Stack);
void xcall_KAboutPerson(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__Action(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionReply(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuth__ActionWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_KAuthorized(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutoSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KAutostart(Smoke::Index, void*, Smoke::Stack);
void xcall_KCalendarSystem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KCharsets(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineArgs(Smoke::Index, void*, Smoke::Stack);
void xcall_KCmdLineOptions(Smoke::Index, void*, Smoke::Stack);
void xcall_KCodecs(Smoke::Index, void*, Smoke::Stack);
void xcall_KComponentData(Smoke::Index, void*, Smoke::Stack);
void xcall_KCompositeJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KConfigSkeletonItem(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemBool(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemDouble(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemEnum__Choice2(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemIntList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemLongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPassword(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPath(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPathList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemPoint(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemProperty(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemRect(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemSize(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemString(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemStringList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUInt(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemULongLong(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KCoreConfigSkeleton__ItemUrlList(Smoke::Index, void*, Smoke::Stack);
void xcall_KCurrencyCode(Smoke::Index, void*, Smoke::Stack);
void xcall_KDE(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEDModule(Smoke::Index, void*, Smoke::Stack);
void xcall_KDEPluginVerificationData(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KDateTime__Spec(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebug(Smoke::Index, void*, Smoke::Stack);
void xcall_KDebugTag(Smoke::Index, void*, Smoke::Stack);
void xcall_KDesktopFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingDetector(Smoke::Index, void*, Smoke::Stack);
void xcall_KEncodingProber(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilterDev(Smoke::Index, void*, Smoke::Stack);
void xcall_KGlobal(Smoke::Index, void*, Smoke::Stack);
void xcall_KJob(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobTrackerInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_KJobUiDelegate(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KLibrary(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalSocketServer(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocale(Smoke::Index, void*, Smoke::Stack);
void xcall_KLocalizedString(Smoke::Index, void*, Smoke::Stack);
void xcall_KLockFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KMD5(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_KMacroExpanderBase(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_KMessageHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeType(Smoke::Index, void*, Smoke::Stack);
void xcall_KMimeTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginLoader(Smoke::Index, void*, Smoke::Stack);
void xcall_KProcess(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_KProtocolInfo__ExtraField(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandom(Smoke::Index, void*, Smoke::Stack);
void xcall_KRandomSequence(Smoke::Index, void*, Smoke::Stack);
void xcall_KSaveFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KService(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceAction(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceType(Smoke::Index, void*, Smoke::Stack);
void xcall_KServiceTypeTrader(Smoke::Index, void*, Smoke::Stack);
void xcall_KSharedConfig(Smoke::Index, void*, Smoke::Stack);
void xcall_KShell(Smoke::Index, void*, Smoke::Stack);
void xcall_KSocketFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_KStandardDirs(Smoke::Index, void*, Smoke::Stack);
void xcall_KStringHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycoca(Smoke::Index, void*, Smoke::Stack);
void xcall_KSycocaEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KSystemTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KTempDir(Smoke::Index, void*, Smoke::Stack);
void xcall_KTemporaryFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__LeapSeconds(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Phase(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZone__Transition(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneData(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KTimeZones(Smoke::Index, void*, Smoke::Stack);
void xcall_KToolInvocation(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZone(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneBackend(Smoke::Index, void*, Smoke::Stack);
void xcall_KTzfileTimeZoneSource(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrl(Smoke::Index, void*, Smoke::Stack);
void xcall_KUser(Smoke::Index, void*, Smoke::Stack);
void xcall_KUserGroup(Smoke::Index, void*, Smoke::Stack);
void xcall_KWordMacroExpander(Smoke::Index, void*, Smoke::Stack);
void xcall_OrgKdeKLauncherInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__BackgroundChecker(Smoke::Index, void*, Smoke::Stack);
void xcall_Sonnet__Speller(Smoke::Index, void*, Smoke::Stack);
void xcall_kndbgstream(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KAboutData", false, 0, xcall_KAboutData, xenum_KAboutData, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutData) },	//1
    { "KAboutLicense", false, 0, xcall_KAboutLicense, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutLicense) },	//2
    { "KAboutPerson", false, 0, xcall_KAboutPerson, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAboutPerson) },	//3
    { "KAuth::Action", false, 0, xcall_KAuth__Action, xenum_KAuth__Action, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KAuth::Action) },	//4
    { "KAuth::ActionReply", false, 0, xcall_KAuth__ActionReply, xenum_KAuth__ActionReply, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAuth::ActionReply) },	//5
    { "KAuth::ActionWatcher", false, 1, xcall_KAuth__ActionWatcher, 0, Smoke::cf_virtual, sizeof(KAuth::ActionWatcher) },	//6
    { "KAuthorized", false, 0, xcall_KAuthorized, 0, Smoke::cf_namespace, 0 },	//7
    { "KAutoSaveFile", false, 3, xcall_KAutoSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutoSaveFile) },	//8
    { "KAutostart", false, 1, xcall_KAutostart, xenum_KAutostart, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KAutostart) },	//9
    { "KCalendarSystem", false, 0, xcall_KCalendarSystem, xenum_KCalendarSystem, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCalendarSystem) },	//10
    { "KCalendarSystemPrivate", true, 0, 0, 0, 0, 0 },	//11
    { "KCharMacroExpander", false, 5, xcall_KCharMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharMacroExpander) },	//12
    { "KCharsets", false, 0, xcall_KCharsets, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCharsets) },	//13
    { "KCmdLineArgs", false, 0, xcall_KCmdLineArgs, xenum_KCmdLineArgs, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineArgs) },	//14
    { "KCmdLineOptions", false, 0, xcall_KCmdLineOptions, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCmdLineOptions) },	//15
    { "KCodecs", false, 0, xcall_KCodecs, 0, Smoke::cf_namespace, 0 },	//16
    { "KComponentData", false, 0, xcall_KComponentData, xenum_KComponentData, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KComponentData) },	//17
    { "KCompositeJob", false, 7, xcall_KCompositeJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCompositeJob) },	//18
    { "KCompositeJobPrivate", true, 0, 0, 0, 0, 0 },	//19
    { "KConfig", false, 9, xcall_KConfig, xenum_KConfig, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KConfig) },	//20
    { "KConfigBase", false, 0, xcall_KConfigBase, xenum_KConfigBase, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigBase) },	//21
    { "KConfigGroup", false, 9, xcall_KConfigGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigGroup) },	//22
    { "KConfigPrivate", true, 0, 0, 0, 0, 0 },	//23
    { "KConfigSkeletonItem", false, 0, xcall_KConfigSkeletonItem, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KConfigSkeletonItem) },	//24
    { "KCoreConfigSkeleton", false, 1, xcall_KCoreConfigSkeleton, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCoreConfigSkeleton) },	//25
    { "KCoreConfigSkeleton::ItemBool", false, 11, xcall_KCoreConfigSkeleton__ItemBool, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemBool) },	//26
    { "KCoreConfigSkeleton::ItemDateTime", false, 11, xcall_KCoreConfigSkeleton__ItemDateTime, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDateTime) },	//27
    { "KCoreConfigSkeleton::ItemDouble", false, 11, xcall_KCoreConfigSkeleton__ItemDouble, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemDouble) },	//28
    { "KCoreConfigSkeleton::ItemEnum", false, 13, xcall_KCoreConfigSkeleton__ItemEnum, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum) },	//29
    { "KCoreConfigSkeleton::ItemEnum::Choice", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice) },	//30
    { "KCoreConfigSkeleton::ItemEnum::Choice2", false, 0, xcall_KCoreConfigSkeleton__ItemEnum__Choice2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemEnum::Choice2) },	//31
    { "KCoreConfigSkeleton::ItemInt", false, 11, xcall_KCoreConfigSkeleton__ItemInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemInt) },	//32
    { "KCoreConfigSkeleton::ItemIntList", false, 11, xcall_KCoreConfigSkeleton__ItemIntList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemIntList) },	//33
    { "KCoreConfigSkeleton::ItemLongLong", false, 11, xcall_KCoreConfigSkeleton__ItemLongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemLongLong) },	//34
    { "KCoreConfigSkeleton::ItemPassword", false, 15, xcall_KCoreConfigSkeleton__ItemPassword, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPassword) },	//35
    { "KCoreConfigSkeleton::ItemPath", false, 15, xcall_KCoreConfigSkeleton__ItemPath, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPath) },	//36
    { "KCoreConfigSkeleton::ItemPathList", false, 17, xcall_KCoreConfigSkeleton__ItemPathList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPathList) },	//37
    { "KCoreConfigSkeleton::ItemPoint", false, 11, xcall_KCoreConfigSkeleton__ItemPoint, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemPoint) },	//38
    { "KCoreConfigSkeleton::ItemProperty", false, 11, xcall_KCoreConfigSkeleton__ItemProperty, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemProperty) },	//39
    { "KCoreConfigSkeleton::ItemRect", false, 11, xcall_KCoreConfigSkeleton__ItemRect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemRect) },	//40
    { "KCoreConfigSkeleton::ItemSize", false, 11, xcall_KCoreConfigSkeleton__ItemSize, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemSize) },	//41
    { "KCoreConfigSkeleton::ItemString", false, 11, xcall_KCoreConfigSkeleton__ItemString, xenum_KCoreConfigSkeleton__ItemString, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemString) },	//42
    { "KCoreConfigSkeleton::ItemStringList", false, 11, xcall_KCoreConfigSkeleton__ItemStringList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemStringList) },	//43
    { "KCoreConfigSkeleton::ItemUInt", false, 11, xcall_KCoreConfigSkeleton__ItemUInt, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUInt) },	//44
    { "KCoreConfigSkeleton::ItemULongLong", false, 11, xcall_KCoreConfigSkeleton__ItemULongLong, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemULongLong) },	//45
    { "KCoreConfigSkeleton::ItemUrl", false, 11, xcall_KCoreConfigSkeleton__ItemUrl, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrl) },	//46
    { "KCoreConfigSkeleton::ItemUrlList", false, 11, xcall_KCoreConfigSkeleton__ItemUrlList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KCoreConfigSkeleton::ItemUrlList) },	//47
    { "KCurrencyCode", false, 0, xcall_KCurrencyCode, xenum_KCurrencyCode, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KCurrencyCode) },	//48
    { "KDE", false, 0, xcall_KDE, 0, Smoke::cf_namespace, 0 },	//49
    { "KDEDModule", false, 1, xcall_KDEDModule, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDEDModule) },	//50
    { "KDEPluginVerificationData", false, 0, xcall_KDEPluginVerificationData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDEPluginVerificationData) },	//51
    { "KDateTime", false, 0, xcall_KDateTime, xenum_KDateTime, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime) },	//52
    { "KDateTime::Spec", false, 0, xcall_KDateTime__Spec, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDateTime::Spec) },	//53
    { "KDebug", false, 0, xcall_KDebug, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebug) },	//54
    { "KDebugTag", false, 0, xcall_KDebugTag, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KDebugTag) },	//55
    { "KDesktopFile", false, 19, xcall_KDesktopFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDesktopFile) },	//56
    { "KEncodingDetector", false, 0, xcall_KEncodingDetector, xenum_KEncodingDetector, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingDetector) },	//57
    { "KEncodingProber", false, 0, xcall_KEncodingProber, xenum_KEncodingProber, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KEncodingProber) },	//58
    { "KFilterBase", false, 0, xcall_KFilterBase, xenum_KFilterBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilterBase) },	//59
    { "KFilterDev", false, 21, xcall_KFilterDev, 0, Smoke::cf_virtual, sizeof(KFilterDev) },	//60
    { "KGlobal", false, 0, xcall_KGlobal, xenum_KGlobal, Smoke::cf_namespace, 0 },	//61
    { "KJob", false, 1, xcall_KJob, xenum_KJob, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJob) },	//62
    { "KJobPrivate", true, 0, 0, 0, 0, 0 },	//63
    { "KJobTrackerInterface", false, 1, xcall_KJobTrackerInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobTrackerInterface) },	//64
    { "KJobUiDelegate", false, 1, xcall_KJobUiDelegate, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KJobUiDelegate) },	//65
    { "KLibLoader", false, 1, xcall_KLibLoader, xenum_KLibLoader, Smoke::cf_virtual, sizeof(KLibLoader) },	//66
    { "KLibrary", false, 23, xcall_KLibrary, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLibrary) },	//67
    { "KLocalSocket", false, 25, xcall_KLocalSocket, xenum_KLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocket) },	//68
    { "KLocalSocketServer", false, 1, xcall_KLocalSocketServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KLocalSocketServer) },	//69
    { "KLocale", false, 0, xcall_KLocale, xenum_KLocale, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KLocale) },	//70
    { "KLocalizedString", false, 0, xcall_KLocalizedString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLocalizedString) },	//71
    { "KLockFile", false, 27, xcall_KLockFile, xenum_KLockFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KLockFile) },	//72
    { "KMD5", false, 0, xcall_KMD5, 0, Smoke::cf_constructor, sizeof(KMD5) },	//73
    { "KMacroExpander", false, 0, xcall_KMacroExpander, 0, Smoke::cf_namespace, 0 },	//74
    { "KMacroExpanderBase", false, 0, xcall_KMacroExpanderBase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMacroExpanderBase) },	//75
    { "KMessage", false, 0, xcall_KMessage, xenum_KMessage, Smoke::cf_namespace, 0 },	//76
    { "KMessageHandler", false, 0, xcall_KMessageHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KMessageHandler) },	//77
    { "KMimeType", false, 29, xcall_KMimeType, xenum_KMimeType, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KMimeType) },	//78
    { "KMimeTypePrivate", true, 0, 0, 0, 0, 0 },	//79
    { "KMimeTypeTrader", false, 0, xcall_KMimeTypeTrader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KMimeTypeTrader) },	//80
    { "KParts::Part", true, 0, 0, 0, 0, 0 },	//81
    { "KPluginFactory", false, 1, xcall_KPluginFactory, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginFactory) },	//82
    { "KPluginFactoryPrivate", true, 0, 0, 0, 0, 0 },	//83
    { "KPluginInfo", false, 0, xcall_KPluginInfo, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KPluginInfo) },	//84
    { "KPluginLoader", false, 31, xcall_KPluginLoader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginLoader) },	//85
    { "KProcess", false, 33, xcall_KProcess, xenum_KProcess, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProcess) },	//86
    { "KProcessPrivate", true, 0, 0, 0, 0, 0 },	//87
    { "KProtocolInfo", false, 35, xcall_KProtocolInfo, xenum_KProtocolInfo, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KProtocolInfo) },	//88
    { "KProtocolInfo::ExtraField", false, 0, xcall_KProtocolInfo__ExtraField, xenum_KProtocolInfo__ExtraField, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KProtocolInfo::ExtraField) },	//89
    { "KRandom", false, 0, xcall_KRandom, 0, Smoke::cf_namespace, 0 },	//90
    { "KRandomSequence", false, 0, xcall_KRandomSequence, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KRandomSequence) },	//91
    { "KSaveFile", false, 3, xcall_KSaveFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSaveFile) },	//92
    { "KService", false, 35, xcall_KService, xenum_KService, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KService) },	//93
    { "KServiceAction", false, 0, xcall_KServiceAction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KServiceAction) },	//94
    { "KServiceGroup", false, 35, xcall_KServiceGroup, xenum_KServiceGroup, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceGroup) },	//95
    { "KServiceType", false, 35, xcall_KServiceType, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KServiceType) },	//96
    { "KServiceTypePrivate", true, 0, 0, 0, 0, 0 },	//97
    { "KServiceTypeTrader", false, 0, xcall_KServiceTypeTrader, 0, 0, sizeof(KServiceTypeTrader) },	//98
    { "KSharedConfig", false, 37, xcall_KSharedConfig, 0, Smoke::cf_virtual, sizeof(KSharedConfig) },	//99
    { "KShell", false, 0, xcall_KShell, xenum_KShell, Smoke::cf_namespace, 0 },	//100
    { "KSocketFactory", false, 0, xcall_KSocketFactory, 0, Smoke::cf_namespace, 0 },	//101
    { "KStandardDirs", false, 0, xcall_KStandardDirs, xenum_KStandardDirs, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KStandardDirs) },	//102
    { "KStringHandler", false, 0, xcall_KStringHandler, 0, Smoke::cf_namespace, 0 },	//103
    { "KSycoca", false, 1, xcall_KSycoca, xenum_KSycoca, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycoca) },	//104
    { "KSycocaEntry", false, 27, xcall_KSycocaEntry, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSycocaEntry) },	//105
    { "KSycocaEntryPrivate", true, 0, 0, 0, 0, 0 },	//106
    { "KSycocaFactory", true, 0, 0, 0, 0, 0 },	//107
    { "KSycocaFactoryList", true, 0, 0, 0, 0, 0 },	//108
    { "KSystemTimeZone", false, 40, xcall_KSystemTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZone) },	//109
    { "KSystemTimeZoneBackend", false, 42, xcall_KSystemTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneBackend) },	//110
    { "KSystemTimeZoneSource", false, 44, xcall_KSystemTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KSystemTimeZoneSource) },	//111
    { "KSystemTimeZones", false, 1, xcall_KSystemTimeZones, 0, Smoke::cf_virtual, sizeof(KSystemTimeZones) },	//112
    { "KTempDir", false, 0, xcall_KTempDir, 0, Smoke::cf_constructor, sizeof(KTempDir) },	//113
    { "KTemporaryFile", false, 46, xcall_KTemporaryFile, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KTemporaryFile) },	//114
    { "KTimeZone", false, 0, xcall_KTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZone) },	//115
    { "KTimeZone::LeapSeconds", false, 0, xcall_KTimeZone__LeapSeconds, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::LeapSeconds) },	//116
    { "KTimeZone::Phase", false, 0, xcall_KTimeZone__Phase, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Phase) },	//117
    { "KTimeZone::Transition", false, 0, xcall_KTimeZone__Transition, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KTimeZone::Transition) },	//118
    { "KTimeZoneBackend", false, 0, xcall_KTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneBackend) },	//119
    { "KTimeZoneData", false, 0, xcall_KTimeZoneData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneData) },	//120
    { "KTimeZoneSource", false, 0, xcall_KTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTimeZoneSource) },	//121
    { "KTimeZones", false, 0, xcall_KTimeZones, 0, Smoke::cf_constructor, sizeof(KTimeZones) },	//122
    { "KToolInvocation", false, 1, xcall_KToolInvocation, 0, Smoke::cf_virtual, sizeof(KToolInvocation) },	//123
    { "KTzfileTimeZone", false, 40, xcall_KTzfileTimeZone, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZone) },	//124
    { "KTzfileTimeZoneBackend", false, 42, xcall_KTzfileTimeZoneBackend, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneBackend) },	//125
    { "KTzfileTimeZoneSource", false, 44, xcall_KTzfileTimeZoneSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KTzfileTimeZoneSource) },	//126
    { "KUrl", false, 48, xcall_KUrl, xenum_KUrl, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUrl) },	//127
    { "KUser", false, 0, xcall_KUser, xenum_KUser, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUser) },	//128
    { "KUserGroup", false, 0, xcall_KUserGroup, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KUserGroup) },	//129
    { "KWordMacroExpander", false, 5, xcall_KWordMacroExpander, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KWordMacroExpander) },	//130
    { "OrgKdeKLauncherInterface", false, 50, xcall_OrgKdeKLauncherInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(OrgKdeKLauncherInterface) },	//131
    { "QAbstractFileEngine", true, 0, 0, 0, 0, 0 },	//132
    { "QAbstractSocket", true, 0, 0, 0, 0, 0 },	//133
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//134
    { "QBool", true, 0, 0, 0, 0, 0 },	//135
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//136
    { "QChar", true, 0, 0, 0, 0, 0 },	//137
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QDBusAbstractInterface", true, 0, 0, 0, 0, 0 },	//139
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//140
    { "QDBusConnection", true, 0, 0, 0, 0, 0 },	//141
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//142
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//143
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//144
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//145
    { "QDate", true, 0, 0, 0, 0, 0 },	//146
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//147
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//148
    { "QEvent", true, 0, 0, 0, 0, 0 },	//149
    { "QFile", true, 0, 0, 0, 0, 0 },	//150
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//151
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//152
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//153
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//154
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//155
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//156
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//157
    { "QLibrary", true, 0, 0, 0, 0, 0 },	//158
    { "QLine", true, 0, 0, 0, 0, 0 },	//159
    { "QLineF", true, 0, 0, 0, 0, 0 },	//160
    { "QLocale", true, 0, 0, 0, 0, 0 },	//161
    { "QMargins", true, 0, 0, 0, 0, 0 },	//162
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//163
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//164
    { "QNetworkProxy", true, 0, 0, 0, 0, 0 },	//165
    { "QObject", true, 0, 0, 0, 0, 0 },	//166
    { "QPluginLoader", true, 0, 0, 0, 0, 0 },	//167
    { "QPoint", true, 0, 0, 0, 0, 0 },	//168
    { "QPointF", true, 0, 0, 0, 0, 0 },	//169
    { "QProcess", true, 0, 0, 0, 0, 0 },	//170
    { "QRect", true, 0, 0, 0, 0, 0 },	//171
    { "QRectF", true, 0, 0, 0, 0, 0 },	//172
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//173
    { "QSharedData", true, 0, 0, 0, 0, 0 },	//174
    { "QSize", true, 0, 0, 0, 0, 0 },	//175
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//176
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//177
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//178
    { "QTcpServer", true, 0, 0, 0, 0, 0 },	//179
    { "QTcpSocket", true, 0, 0, 0, 0, 0 },	//180
    { "QTemporaryFile", true, 0, 0, 0, 0, 0 },	//181
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//182
    { "QTextDecoder", true, 0, 0, 0, 0, 0 },	//183
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//184
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//185
    { "QTime", true, 0, 0, 0, 0, 0 },	//186
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//187
    { "QUdpSocket", true, 0, 0, 0, 0, 0 },	//188
    { "QUrl", true, 0, 0, 0, 0, 0 },	//189
    { "QUuid", true, 0, 0, 0, 0, 0 },	//190
    { "QVariant", true, 0, 0, 0, 0, 0 },	//191
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//192
    { "QWidget", true, 0, 0, 0, 0, 0 },	//193
    { "Sonnet", false, 0, xcall_Sonnet, 0, Smoke::cf_namespace, 0 },	//194
    { "Sonnet::BackgroundChecker", false, 1, xcall_Sonnet__BackgroundChecker, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Sonnet::BackgroundChecker) },	//195
    { "Sonnet::Speller", false, 0, xcall_Sonnet__Speller, xenum_Sonnet__Speller, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Sonnet::Speller) },	//196
    { "_IO_FILE", true, 0, 0, 0, 0, 0 },	//197
    { "group", true, 0, 0, 0, 0, 0 },	//198
    { "kndbgstream", false, 0, xcall_kndbgstream, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(kndbgstream) },	//199
    { "passwd", true, 0, 0, 0, 0, 0 },	//200
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//201
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//202
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "DatabaseType", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "FileNameUsedForCopying", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "KAboutData&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAboutData::LicenseKey", 1, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KAboutData::NameFormat", 1, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KAboutLicense", 2, Smoke::t_class|Smoke::tf_stack },	//7
    { "KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref },	//8
    { "KAboutLicense*", 2, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref },	//10
    { "KAboutPerson*", 3, Smoke::t_class|Smoke::tf_ptr },	//11
    { "KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "KAuth::Action*", 4, Smoke::t_class|Smoke::tf_ptr },	//13
    { "KAuth::Action::AuthStatus", 4, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KAuth::ActionReply", 5, Smoke::t_class|Smoke::tf_stack },	//15
    { "KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref },	//16
    { "KAuth::ActionReply*", 5, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KAuth::ActionReply::Error", 5, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KAuth::ActionReply::Type", 5, Smoke::t_enum|Smoke::tf_stack },	//19
    { "KAuth::ActionWatcher*", 6, Smoke::t_class|Smoke::tf_ptr },	//20
    { "KAutoSaveFile*", 8, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KAutostart*", 9, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KAutostart::Condition", 9, Smoke::t_enum|Smoke::tf_stack },	//23
    { "KAutostart::StartPhase", 9, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KCalendarSystem::MonthNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KCalendarSystem::StringFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KCalendarSystem::WeekDayNameFormat", 10, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KCalendarSystemPrivate&", 11, Smoke::t_class|Smoke::tf_ref },	//29
    { "KCharMacroExpander*", 12, Smoke::t_class|Smoke::tf_ptr },	//30
    { "KCharsets*", 13, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KCmdLineArgs*", 14, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KCmdLineArgs::StdCmdLineArg", 14, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref },	//34
    { "KCmdLineOptions*", 15, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KComponentData", 17, Smoke::t_class|Smoke::tf_stack },	//36
    { "KComponentData&", 17, Smoke::t_class|Smoke::tf_ref },	//37
    { "KComponentData*", 17, Smoke::t_class|Smoke::tf_ptr },	//38
    { "KComponentData::MainComponentRegistration", 17, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KCompositeJob*", 18, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCompositeJobPrivate&", 19, Smoke::t_class|Smoke::tf_ref },	//41
    { "KConfig*", 20, Smoke::t_class|Smoke::tf_ptr },	//42
    { "KConfig::OpenFlag", 20, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KConfigBase::AccessMode", 21, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KConfigBase::WriteConfigFlag", 21, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack },	//47
    { "KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref },	//48
    { "KConfigGroup*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "KConfigPrivate&", 23, Smoke::t_class|Smoke::tf_ref },	//50
    { "KConfigSkeletonItem*", 24, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KCoreConfigSkeleton*", 25, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KCoreConfigSkeleton::ItemBool*", 26, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KCoreConfigSkeleton::ItemDateTime*", 27, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KCoreConfigSkeleton::ItemDouble*", 28, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KCoreConfigSkeleton::ItemEnum*", 29, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KCoreConfigSkeleton::ItemEnum::Choice*", 30, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KCoreConfigSkeleton::ItemEnum::Choice2*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "KCoreConfigSkeleton::ItemInt*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "KCoreConfigSkeleton::ItemIntList*", 33, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KCoreConfigSkeleton::ItemLongLong*", 34, Smoke::t_class|Smoke::tf_ptr },	//61
    { "KCoreConfigSkeleton::ItemPassword*", 35, Smoke::t_class|Smoke::tf_ptr },	//62
    { "KCoreConfigSkeleton::ItemPath*", 36, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KCoreConfigSkeleton::ItemPathList*", 37, Smoke::t_class|Smoke::tf_ptr },	//64
    { "KCoreConfigSkeleton::ItemPoint*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "KCoreConfigSkeleton::ItemProperty*", 39, Smoke::t_class|Smoke::tf_ptr },	//66
    { "KCoreConfigSkeleton::ItemRect*", 40, Smoke::t_class|Smoke::tf_ptr },	//67
    { "KCoreConfigSkeleton::ItemSize*", 41, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KCoreConfigSkeleton::ItemString*", 42, Smoke::t_class|Smoke::tf_ptr },	//69
    { "KCoreConfigSkeleton::ItemString::Type", 42, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KCoreConfigSkeleton::ItemStringList*", 43, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KCoreConfigSkeleton::ItemUInt*", 44, Smoke::t_class|Smoke::tf_ptr },	//72
    { "KCoreConfigSkeleton::ItemULongLong*", 45, Smoke::t_class|Smoke::tf_ptr },	//73
    { "KCoreConfigSkeleton::ItemUrl*", 46, Smoke::t_class|Smoke::tf_ptr },	//74
    { "KCoreConfigSkeleton::ItemUrlList*", 47, Smoke::t_class|Smoke::tf_ptr },	//75
    { "KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref },	//76
    { "KCurrencyCode*", 48, Smoke::t_class|Smoke::tf_ptr },	//77
    { "KCurrencyCode::CurrencyStatus", 48, Smoke::t_enum|Smoke::tf_stack },	//78
    { "KDEDModule*", 50, Smoke::t_class|Smoke::tf_ptr },	//79
    { "KDEPluginVerificationData*", 51, Smoke::t_class|Smoke::tf_ptr },	//80
    { "KDateTime", 52, Smoke::t_class|Smoke::tf_stack },	//81
    { "KDateTime&", 52, Smoke::t_class|Smoke::tf_ref },	//82
    { "KDateTime*", 52, Smoke::t_class|Smoke::tf_ptr },	//83
    { "KDateTime::Comparison", 52, Smoke::t_enum|Smoke::tf_stack },	//84
    { "KDateTime::Spec", 53, Smoke::t_class|Smoke::tf_stack },	//85
    { "KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref },	//86
    { "KDateTime::Spec*", 53, Smoke::t_class|Smoke::tf_ptr },	//87
    { "KDateTime::SpecType", 52, Smoke::t_enum|Smoke::tf_stack },	//88
    { "KDateTime::TimeFormat", 52, Smoke::t_enum|Smoke::tf_stack },	//89
    { "KDebug*", 54, Smoke::t_class|Smoke::tf_ptr },	//90
    { "KDebugTag*", 55, Smoke::t_class|Smoke::tf_ptr },	//91
    { "KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr },	//92
    { "KEncodingDetector*", 57, Smoke::t_class|Smoke::tf_ptr },	//93
    { "KEncodingDetector::AutoDetectScript", 57, Smoke::t_enum|Smoke::tf_stack },	//94
    { "KEncodingDetector::EncodingChoiceSource", 57, Smoke::t_enum|Smoke::tf_stack },	//95
    { "KEncodingProber*", 58, Smoke::t_class|Smoke::tf_ptr },	//96
    { "KEncodingProber::ProberState", 58, Smoke::t_enum|Smoke::tf_stack },	//97
    { "KEncodingProber::ProberType", 58, Smoke::t_enum|Smoke::tf_stack },	//98
    { "KFilterBase*", 59, Smoke::t_class|Smoke::tf_ptr },	//99
    { "KFilterBase::FilterFlags", 59, Smoke::t_enum|Smoke::tf_stack },	//100
    { "KFilterBase::Result", 59, Smoke::t_enum|Smoke::tf_stack },	//101
    { "KGlobal::CopyCatalogs", 61, Smoke::t_enum|Smoke::tf_stack },	//102
    { "KJob*", 62, Smoke::t_class|Smoke::tf_ptr },	//103
    { "KJob::Capability", 62, Smoke::t_enum|Smoke::tf_stack },	//104
    { "KJob::KillVerbosity", 62, Smoke::t_enum|Smoke::tf_stack },	//105
    { "KJob::Unit", 62, Smoke::t_enum|Smoke::tf_stack },	//106
    { "KJobPrivate&", 63, Smoke::t_class|Smoke::tf_ref },	//107
    { "KJobTrackerInterface*", 64, Smoke::t_class|Smoke::tf_ptr },	//108
    { "KJobUiDelegate*", 65, Smoke::t_class|Smoke::tf_ptr },	//109
    { "KLibLoader*", 66, Smoke::t_class|Smoke::tf_ptr },	//110
    { "KLibLoader::ComponentLoadingError", 66, Smoke::t_enum|Smoke::tf_stack },	//111
    { "KLibrary*", 67, Smoke::t_class|Smoke::tf_ptr },	//112
    { "KLocalSocket*", 68, Smoke::t_class|Smoke::tf_ptr },	//113
    { "KLocalSocket::LocalSocketType", 68, Smoke::t_enum|Smoke::tf_stack },	//114
    { "KLocalSocketServer*", 69, Smoke::t_class|Smoke::tf_ptr },	//115
    { "KLocale&", 70, Smoke::t_class|Smoke::tf_ref },	//116
    { "KLocale*", 70, Smoke::t_class|Smoke::tf_ptr },	//117
    { "KLocale::BinarySizeUnits", 70, Smoke::t_enum|Smoke::tf_stack },	//118
    { "KLocale::BinaryUnitDialect", 70, Smoke::t_enum|Smoke::tf_stack },	//119
    { "KLocale::CalendarSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//120
    { "KLocale::DateFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//121
    { "KLocale::DateTimeComponent", 70, Smoke::t_enum|Smoke::tf_stack },	//122
    { "KLocale::DateTimeComponentFormat", 70, Smoke::t_enum|Smoke::tf_stack },	//123
    { "KLocale::DateTimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//124
    { "KLocale::DateTimeFormatStandard", 70, Smoke::t_enum|Smoke::tf_stack },	//125
    { "KLocale::DateTimeParseMode", 70, Smoke::t_enum|Smoke::tf_stack },	//126
    { "KLocale::DigitSet", 70, Smoke::t_enum|Smoke::tf_stack },	//127
    { "KLocale::MeasureSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//128
    { "KLocale::ReadDateFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//129
    { "KLocale::ReadTimeFlags", 70, Smoke::t_enum|Smoke::tf_stack },	//130
    { "KLocale::SignPosition", 70, Smoke::t_enum|Smoke::tf_stack },	//131
    { "KLocale::TimeFormatOption", 70, Smoke::t_enum|Smoke::tf_stack },	//132
    { "KLocale::TimeProcessingOption", 70, Smoke::t_enum|Smoke::tf_stack },	//133
    { "KLocale::WeekNumberSystem", 70, Smoke::t_enum|Smoke::tf_stack },	//134
    { "KLocalizedString", 71, Smoke::t_class|Smoke::tf_stack },	//135
    { "KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref },	//136
    { "KLocalizedString*", 71, Smoke::t_class|Smoke::tf_ptr },	//137
    { "KLockFile*", 72, Smoke::t_class|Smoke::tf_ptr },	//138
    { "KLockFile::LockFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//139
    { "KLockFile::LockResult", 72, Smoke::t_enum|Smoke::tf_stack },	//140
    { "KMD5*", 73, Smoke::t_class|Smoke::tf_ptr },	//141
    { "KMacroExpanderBase*", 75, Smoke::t_class|Smoke::tf_ptr },	//142
    { "KMessage::MessageType", 76, Smoke::t_enum|Smoke::tf_stack },	//143
    { "KMessageHandler*", 77, Smoke::t_class|Smoke::tf_ptr },	//144
    { "KMimeType*", 78, Smoke::t_class|Smoke::tf_ptr },	//145
    { "KMimeType::FindByNameOption", 78, Smoke::t_enum|Smoke::tf_stack },	//146
    { "KMimeTypePrivate&", 79, Smoke::t_class|Smoke::tf_ref },	//147
    { "KMimeTypeTrader*", 80, Smoke::t_class|Smoke::tf_ptr },	//148
    { "KParts::Part*", 81, Smoke::t_class|Smoke::tf_ptr },	//149
    { "KPluginFactory*", 82, Smoke::t_class|Smoke::tf_ptr },	//150
    { "KPluginFactoryPrivate&", 83, Smoke::t_class|Smoke::tf_ref },	//151
    { "KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref },	//152
    { "KPluginInfo*", 84, Smoke::t_class|Smoke::tf_ptr },	//153
    { "KPluginLoader*", 85, Smoke::t_class|Smoke::tf_ptr },	//154
    { "KProcess&", 86, Smoke::t_class|Smoke::tf_ref },	//155
    { "KProcess*", 86, Smoke::t_class|Smoke::tf_ptr },	//156
    { "KProcess::OutputChannelMode", 86, Smoke::t_enum|Smoke::tf_stack },	//157
    { "KProcessPrivate*", 87, Smoke::t_class|Smoke::tf_ptr },	//158
    { "KProtocolInfo*", 88, Smoke::t_class|Smoke::tf_ptr },	//159
    { "KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref },	//160
    { "KProtocolInfo::ExtraField*", 89, Smoke::t_class|Smoke::tf_ptr },	//161
    { "KProtocolInfo::ExtraField::Type", 89, Smoke::t_enum|Smoke::tf_stack },	//162
    { "KProtocolInfo::FileNameUsedForCopying", 88, Smoke::t_enum|Smoke::tf_stack },	//163
    { "KProtocolInfo::Type", 88, Smoke::t_enum|Smoke::tf_stack },	//164
    { "KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref },	//165
    { "KRandomSequence*", 91, Smoke::t_class|Smoke::tf_ptr },	//166
    { "KSaveFile*", 92, Smoke::t_class|Smoke::tf_ptr },	//167
    { "KService*", 93, Smoke::t_class|Smoke::tf_ptr },	//168
    { "KService::DBusStartupType", 93, Smoke::t_enum|Smoke::tf_stack },	//169
    { "KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref },	//170
    { "KServiceAction*", 94, Smoke::t_class|Smoke::tf_ptr },	//171
    { "KServiceGroup*", 95, Smoke::t_class|Smoke::tf_ptr },	//172
    { "KServiceGroup::EntriesOption", 95, Smoke::t_enum|Smoke::tf_stack },	//173
    { "KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr },	//174
    { "KServiceTypePrivate&", 97, Smoke::t_class|Smoke::tf_ref },	//175
    { "KServiceTypeTrader*", 98, Smoke::t_class|Smoke::tf_ptr },	//176
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//177
    { "KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack },	//178
    { "KSharedPtr<KServiceGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//179
    { "KSharedPtr<KServiceType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//180
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//181
    { "KShell::Errors", 100, Smoke::t_enum|Smoke::tf_stack },	//182
    { "KShell::Errors*", 100, Smoke::t_enum|Smoke::tf_ptr },	//183
    { "KShell::Option", 100, Smoke::t_enum|Smoke::tf_stack },	//184
    { "KStandardDirs*", 102, Smoke::t_class|Smoke::tf_ptr },	//185
    { "KStandardDirs::SearchOption", 102, Smoke::t_enum|Smoke::tf_stack },	//186
    { "KSycoca*", 104, Smoke::t_class|Smoke::tf_ptr },	//187
    { "KSycoca::DatabaseType", 104, Smoke::t_enum|Smoke::tf_stack },	//188
    { "KSycocaEntry*", 105, Smoke::t_class|Smoke::tf_ptr },	//189
    { "KSycocaEntryPrivate&", 106, Smoke::t_class|Smoke::tf_ref },	//190
    { "KSycocaFactory*", 107, Smoke::t_class|Smoke::tf_ptr },	//191
    { "KSycocaFactoryId", 152, Smoke::t_enum|Smoke::tf_stack },	//192
    { "KSycocaFactoryList*", 108, Smoke::t_class|Smoke::tf_ptr },	//193
    { "KSycocaType", 152, Smoke::t_enum|Smoke::tf_stack },	//194
    { "KSycocaType&", 152, Smoke::t_enum|Smoke::tf_ref },	//195
    { "KSystemTimeZone*", 109, Smoke::t_class|Smoke::tf_ptr },	//196
    { "KSystemTimeZoneBackend*", 110, Smoke::t_class|Smoke::tf_ptr },	//197
    { "KSystemTimeZoneSource*", 111, Smoke::t_class|Smoke::tf_ptr },	//198
    { "KTempDir*", 113, Smoke::t_class|Smoke::tf_ptr },	//199
    { "KTemporaryFile*", 114, Smoke::t_class|Smoke::tf_ptr },	//200
    { "KTimeZone", 115, Smoke::t_class|Smoke::tf_stack },	//201
    { "KTimeZone&", 115, Smoke::t_class|Smoke::tf_ref },	//202
    { "KTimeZone*", 115, Smoke::t_class|Smoke::tf_ptr },	//203
    { "KTimeZone::LeapSeconds", 116, Smoke::t_class|Smoke::tf_stack },	//204
    { "KTimeZone::LeapSeconds&", 116, Smoke::t_class|Smoke::tf_ref },	//205
    { "KTimeZone::LeapSeconds*", 116, Smoke::t_class|Smoke::tf_ptr },	//206
    { "KTimeZone::Phase", 117, Smoke::t_class|Smoke::tf_stack },	//207
    { "KTimeZone::Phase&", 117, Smoke::t_class|Smoke::tf_ref },	//208
    { "KTimeZone::Phase*", 117, Smoke::t_class|Smoke::tf_ptr },	//209
    { "KTimeZone::Transition&", 118, Smoke::t_class|Smoke::tf_ref },	//210
    { "KTimeZone::Transition*", 118, Smoke::t_class|Smoke::tf_ptr },	//211
    { "KTimeZoneBackend&", 119, Smoke::t_class|Smoke::tf_ref },	//212
    { "KTimeZoneBackend*", 119, Smoke::t_class|Smoke::tf_ptr },	//213
    { "KTimeZoneData&", 120, Smoke::t_class|Smoke::tf_ref },	//214
    { "KTimeZoneData*", 120, Smoke::t_class|Smoke::tf_ptr },	//215
    { "KTimeZoneSource*", 121, Smoke::t_class|Smoke::tf_ptr },	//216
    { "KTimeZones*", 122, Smoke::t_class|Smoke::tf_ptr },	//217
    { "KToolInvocation*", 123, Smoke::t_class|Smoke::tf_ptr },	//218
    { "KTzfileTimeZone*", 124, Smoke::t_class|Smoke::tf_ptr },	//219
    { "KTzfileTimeZoneBackend*", 125, Smoke::t_class|Smoke::tf_ptr },	//220
    { "KTzfileTimeZoneSource*", 126, Smoke::t_class|Smoke::tf_ptr },	//221
    { "KUrl", 127, Smoke::t_class|Smoke::tf_stack },	//222
    { "KUrl&", 127, Smoke::t_class|Smoke::tf_ref },	//223
    { "KUrl*", 127, Smoke::t_class|Smoke::tf_ptr },	//224
    { "KUrl::AdjustPathOption", 127, Smoke::t_enum|Smoke::tf_stack },	//225
    { "KUrl::CleanPathOption", 127, Smoke::t_enum|Smoke::tf_stack },	//226
    { "KUrl::DirectoryOption", 127, Smoke::t_enum|Smoke::tf_stack },	//227
    { "KUrl::EncodedPathAndQueryOption", 127, Smoke::t_enum|Smoke::tf_stack },	//228
    { "KUrl::EqualsOption", 127, Smoke::t_enum|Smoke::tf_stack },	//229
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//230
    { "KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref },	//231
    { "KUrl::MimeDataFlags", 127, Smoke::t_enum|Smoke::tf_stack },	//232
    { "KUrl::QueryItemsOption", 127, Smoke::t_enum|Smoke::tf_stack },	//233
    { "KUser&", 128, Smoke::t_class|Smoke::tf_ref },	//234
    { "KUser*", 128, Smoke::t_class|Smoke::tf_ptr },	//235
    { "KUser::UIDMode", 128, Smoke::t_enum|Smoke::tf_stack },	//236
    { "KUser::UserProperty", 128, Smoke::t_enum|Smoke::tf_stack },	//237
    { "KUserGroup&", 129, Smoke::t_class|Smoke::tf_ref },	//238
    { "KUserGroup*", 129, Smoke::t_class|Smoke::tf_ptr },	//239
    { "KWordMacroExpander*", 130, Smoke::t_class|Smoke::tf_ptr },	//240
    { "OrgKdeKLauncherInterface*", 131, Smoke::t_class|Smoke::tf_ptr },	//241
    { "QAbstractFileEngine*", 132, Smoke::t_class|Smoke::tf_ptr },	//242
    { "QAbstractFileEngine::FileFlag", 132, Smoke::t_enum|Smoke::tf_stack },	//243
    { "QAbstractSocket::SocketError", 133, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QBitArray", 134, Smoke::t_class|Smoke::tf_stack },	//245
    { "QBitArray&", 134, Smoke::t_class|Smoke::tf_ref },	//246
    { "QBool", 135, Smoke::t_class|Smoke::tf_stack },	//247
    { "QByteArray", 136, Smoke::t_class|Smoke::tf_stack },	//248
    { "QByteArray&", 136, Smoke::t_class|Smoke::tf_ref },	//249
    { "QChar", 137, Smoke::t_class|Smoke::tf_stack },	//250
    { "QChar&", 137, Smoke::t_class|Smoke::tf_ref },	//251
    { "QChildEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//252
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QDBusArgument&", 140, Smoke::t_class|Smoke::tf_ref },	//254
    { "QDBusConnection::RegisterOption", 141, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QDBusReply<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//256
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//257
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QDataStream&", 145, Smoke::t_class|Smoke::tf_ref },	//259
    { "QDataStream*", 145, Smoke::t_class|Smoke::tf_ptr },	//260
    { "QDataStream*&", 145, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//261
    { "QDate", 146, Smoke::t_class|Smoke::tf_stack },	//262
    { "QDate&", 146, Smoke::t_class|Smoke::tf_ref },	//263
    { "QDateTime", 147, Smoke::t_class|Smoke::tf_stack },	//264
    { "QDateTime&", 147, Smoke::t_class|Smoke::tf_ref },	//265
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QEasingCurve&", 148, Smoke::t_class|Smoke::tf_ref },	//269
    { "QEvent*", 149, Smoke::t_class|Smoke::tf_ptr },	//270
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QFile::FileError", 150, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QFile::Permission", 150, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QFlags<KAutostart::Condition>", 0, Smoke::t_uint|Smoke::tf_stack },	//274
    { "QFlags<KCmdLineArgs::StdCmdLineArg>", 0, Smoke::t_uint|Smoke::tf_stack },	//275
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//276
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//277
    { "QFlags<KCurrencyCode::CurrencyStatus>", 0, Smoke::t_uint|Smoke::tf_stack },	//278
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//279
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//280
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//281
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//282
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//283
    { "QFlags<KLockFile::LockFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//284
    { "QFlags<KServiceGroup::EntriesOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//285
    { "QFlags<KShell::Option>", 0, Smoke::t_uint|Smoke::tf_stack },	//286
    { "QFlags<KStandardDirs::SearchOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//287
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//288
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//290
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//291
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//292
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//293
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//294
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//295
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//296
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//297
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//298
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//299
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//300
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//301
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//302
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//303
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//304
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//305
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//306
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//307
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//308
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//309
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//310
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//311
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//312
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//313
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//314
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//315
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//316
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//317
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//318
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//319
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//320
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//321
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//322
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//323
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//324
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//325
    { "QHostAddress&", 154, Smoke::t_class|Smoke::tf_ref },	//326
    { "QHostAddress::SpecialAddress", 154, Smoke::t_enum|Smoke::tf_stack },	//327
    { "QIODevice&", 155, Smoke::t_class|Smoke::tf_ref },	//328
    { "QIODevice*", 155, Smoke::t_class|Smoke::tf_ptr },	//329
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//330
    { "QIODevice::OpenModeFlag", 155, Smoke::t_enum|Smoke::tf_stack },	//331
    { "QIncompatibleFlag", 156, Smoke::t_class|Smoke::tf_stack },	//332
    { "QLibrary::LoadHint", 158, Smoke::t_enum|Smoke::tf_stack },	//333
    { "QLine&", 159, Smoke::t_class|Smoke::tf_ref },	//334
    { "QLineF&", 160, Smoke::t_class|Smoke::tf_ref },	//335
    { "QList<KAboutLicense>", 0, Smoke::t_voidp|Smoke::tf_stack },	//336
    { "QList<KAboutPerson>", 0, Smoke::t_voidp|Smoke::tf_stack },	//337
    { "QList<KAuth::Action>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//338
    { "QList<KAutoSaveFile*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//339
    { "QList<KConfigSkeletonItem*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//340
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice2>", 0, Smoke::t_voidp|Smoke::tf_stack },	//341
    { "QList<KCoreConfigSkeleton::ItemEnum::Choice>", 0, Smoke::t_voidp|Smoke::tf_stack },	//342
    { "QList<KLocale::CalendarSystem>", 0, Smoke::t_voidp|Smoke::tf_stack },	//343
    { "QList<KLocale::DigitSet>", 0, Smoke::t_voidp|Smoke::tf_stack },	//344
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//345
    { "QList<KProtocolInfo::ExtraField>", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "QList<KServiceAction>", 0, Smoke::t_voidp|Smoke::tf_stack },	//347
    { "QList<KSharedPtr<KMimeType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//348
    { "QList<KSharedPtr<KService> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//349
    { "QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref },	//350
    { "QList<KSharedPtr<KServiceGroup> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//351
    { "QList<KSharedPtr<KServiceType> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QList<KSharedPtr<KSycocaEntry> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//353
    { "QList<KTimeZone::LeapSeconds>", 0, Smoke::t_voidp|Smoke::tf_stack },	//354
    { "QList<KTimeZone::Phase>", 0, Smoke::t_voidp|Smoke::tf_stack },	//355
    { "QList<KTimeZone::Transition>", 0, Smoke::t_voidp|Smoke::tf_stack },	//356
    { "QList<KUser>", 0, Smoke::t_voidp|Smoke::tf_stack },	//357
    { "QList<KUserGroup>", 0, Smoke::t_voidp|Smoke::tf_stack },	//358
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//359
    { "QList<QDateTime>", 0, Smoke::t_voidp|Smoke::tf_stack },	//360
    { "QList<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//361
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//362
    { "QList<int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//363
    { "QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//364
    { "QLocale&", 161, Smoke::t_class|Smoke::tf_ref },	//365
    { "QLocale::NumberOption", 161, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QMap<QString,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//367
    { "QMap<QString,QVariant::Type>", 0, Smoke::t_voidp|Smoke::tf_stack },	//368
    { "QMap<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//369
    { "QMetaObject::Call", 163, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QMimeData*", 164, Smoke::t_class|Smoke::tf_ptr },	//371
    { "QNetworkProxy", 165, Smoke::t_class|Smoke::tf_stack },	//372
    { "QNetworkProxy::Capability", 165, Smoke::t_enum|Smoke::tf_stack },	//373
    { "QObject*", 166, Smoke::t_class|Smoke::tf_ptr },	//374
    { "QPoint&", 168, Smoke::t_class|Smoke::tf_ref },	//375
    { "QPointF&", 169, Smoke::t_class|Smoke::tf_ref },	//376
    { "QRect&", 171, Smoke::t_class|Smoke::tf_ref },	//377
    { "QRectF&", 172, Smoke::t_class|Smoke::tf_ref },	//378
    { "QRegExp&", 173, Smoke::t_class|Smoke::tf_ref },	//379
    { "QSize&", 175, Smoke::t_class|Smoke::tf_ref },	//380
    { "QSizeF&", 176, Smoke::t_class|Smoke::tf_ref },	//381
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//382
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//383
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//384
    { "QString::Null", 177, Smoke::t_class|Smoke::tf_stack },	//385
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//386
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//387
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//388
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//389
    { "QTcpServer*", 179, Smoke::t_class|Smoke::tf_ptr },	//390
    { "QTcpSocket*", 180, Smoke::t_class|Smoke::tf_ptr },	//391
    { "QTextCodec*", 182, Smoke::t_class|Smoke::tf_ptr },	//392
    { "QTextCodec::ConversionFlag", 182, Smoke::t_enum|Smoke::tf_stack },	//393
    { "QTextDecoder*", 183, Smoke::t_class|Smoke::tf_ptr },	//394
    { "QTextStream&", 184, Smoke::t_class|Smoke::tf_ref },	//395
    { "QTextStream&(*)(QTextStream&)", 184, Smoke::t_class|Smoke::tf_ref },	//396
    { "QTextStream::NumberFlag", 184, Smoke::t_enum|Smoke::tf_stack },	//397
    { "QTextStreamManipulator", 185, Smoke::t_class|Smoke::tf_stack },	//398
    { "QTime", 186, Smoke::t_class|Smoke::tf_stack },	//399
    { "QTime&", 186, Smoke::t_class|Smoke::tf_ref },	//400
    { "QTimerEvent*", 187, Smoke::t_class|Smoke::tf_ptr },	//401
    { "QUdpSocket*", 188, Smoke::t_class|Smoke::tf_ptr },	//402
    { "QUrl&", 189, Smoke::t_class|Smoke::tf_ref },	//403
    { "QUrl::FormattingOption", 189, Smoke::t_enum|Smoke::tf_stack },	//404
    { "QUuid&", 190, Smoke::t_class|Smoke::tf_ref },	//405
    { "QVariant", 191, Smoke::t_class|Smoke::tf_stack },	//406
    { "QVariant&", 191, Smoke::t_class|Smoke::tf_ref },	//407
    { "QVariant::Type", 191, Smoke::t_enum|Smoke::tf_stack },	//408
    { "QVariant::Type&", 191, Smoke::t_enum|Smoke::tf_ref },	//409
    { "QVector<KService::ServiceTypeAndPreference>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//410
    { "QWidget*", 193, Smoke::t_class|Smoke::tf_ptr },	//411
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//412
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//413
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//414
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//415
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//416
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//417
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//418
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//419
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//420
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//421
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//422
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//423
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//424
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//425
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//426
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//427
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//428
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//429
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//430
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//431
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//432
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//433
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//434
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//435
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//436
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//437
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//438
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//439
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//440
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//441
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//442
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//443
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//444
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//445
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//446
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//447
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//448
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//449
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//450
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//451
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//452
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//453
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//454
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//455
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//456
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//457
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//458
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//459
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//460
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//461
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//462
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//463
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//464
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//465
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//466
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//467
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//468
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//469
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//470
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//471
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//472
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//473
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//474
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//475
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//476
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//477
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//478
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//479
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//480
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//481
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//482
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//483
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//484
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//485
    { "QtMsgType", 152, Smoke::t_enum|Smoke::tf_stack },	//486
    { "Sonnet::BackgroundChecker*", 195, Smoke::t_class|Smoke::tf_ptr },	//487
    { "Sonnet::Speller", 196, Smoke::t_class|Smoke::tf_stack },	//488
    { "Sonnet::Speller&", 196, Smoke::t_class|Smoke::tf_ref },	//489
    { "Sonnet::Speller*", 196, Smoke::t_class|Smoke::tf_ptr },	//490
    { "Sonnet::Speller::Attribute", 196, Smoke::t_enum|Smoke::tf_stack },	//491
    { "_IO_FILE*", 197, Smoke::t_class|Smoke::tf_ptr },	//492
    { "__codecvt_result", 152, Smoke::t_enum|Smoke::tf_stack },	//493
    { "__itimer_which", 152, Smoke::t_enum|Smoke::tf_stack },	//494
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//495
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//496
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//497
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//498
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//499
    { "char**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//500
    { "const KAboutData&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//501
    { "const KAboutData*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//502
    { "const KAboutLicense&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//503
    { "const KAboutPerson&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//504
    { "const KAuth::Action&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//505
    { "const KAuth::ActionReply&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//506
    { "const KCalendarSystem*", 10, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//507
    { "const KCharMacroExpander&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//508
    { "const KCharsets&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//509
    { "const KCmdLineArgs&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//510
    { "const KCmdLineOptions&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//511
    { "const KComponentData&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//512
    { "const KConfig*", 20, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//513
    { "const KConfigBase&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//514
    { "const KConfigBase*", 21, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//515
    { "const KConfigGroup", 22, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//516
    { "const KConfigGroup&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//517
    { "const KConfigSkeletonItem&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//518
    { "const KCoreConfigSkeleton::ItemBool&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//519
    { "const KCoreConfigSkeleton::ItemDateTime&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//520
    { "const KCoreConfigSkeleton::ItemDouble&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//521
    { "const KCoreConfigSkeleton::ItemEnum&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//522
    { "const KCoreConfigSkeleton::ItemEnum::Choice&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//523
    { "const KCoreConfigSkeleton::ItemEnum::Choice2&", 31, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//524
    { "const KCoreConfigSkeleton::ItemInt&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//525
    { "const KCoreConfigSkeleton::ItemIntList&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//526
    { "const KCoreConfigSkeleton::ItemLongLong&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//527
    { "const KCoreConfigSkeleton::ItemPassword&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//528
    { "const KCoreConfigSkeleton::ItemPath&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//529
    { "const KCoreConfigSkeleton::ItemPathList&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//530
    { "const KCoreConfigSkeleton::ItemPoint&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//531
    { "const KCoreConfigSkeleton::ItemProperty&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//532
    { "const KCoreConfigSkeleton::ItemRect&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//533
    { "const KCoreConfigSkeleton::ItemSize&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//534
    { "const KCoreConfigSkeleton::ItemString&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//535
    { "const KCoreConfigSkeleton::ItemStringList&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//536
    { "const KCoreConfigSkeleton::ItemUInt&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//537
    { "const KCoreConfigSkeleton::ItemULongLong&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//538
    { "const KCoreConfigSkeleton::ItemUrl&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//539
    { "const KCoreConfigSkeleton::ItemUrlList&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//540
    { "const KCurrencyCode&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//541
    { "const KDEPluginVerificationData&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//542
    { "const KDateTime&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//543
    { "const KDateTime::Spec&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//544
    { "const KDebug&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//545
    { "const KDebugTag&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//546
    { "const KDesktopFile*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//547
    { "const KEncodingDetector&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//548
    { "const KEncodingProber&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//549
    { "const KLocale&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//550
    { "const KLocale*", 70, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//551
    { "const KLocalizedString&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//552
    { "const KLockFile&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//553
    { "const KMacroExpanderBase&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//554
    { "const KMessageHandler&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//555
    { "const KMimeTypeTrader&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//556
    { "const KPluginInfo&", 84, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//557
    { "const KProtocolInfo::ExtraField&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//558
    { "const KRandomSequence&", 91, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//559
    { "const KService&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//560
    { "const KServiceAction&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//561
    { "const KServiceType*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//562
    { "const KSharedPtr<KService>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//563
    { "const KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//564
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//565
    { "const KSharedPtr<KSycocaEntry>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//566
    { "const KSystemTimeZone&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//567
    { "const KSystemTimeZoneBackend&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//568
    { "const KSystemTimeZoneSource&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//569
    { "const KTimeZone&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//570
    { "const KTimeZone*", 115, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//571
    { "const KTimeZone::LeapSeconds&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//572
    { "const KTimeZone::Phase&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//573
    { "const KTimeZone::Transition&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//574
    { "const KTimeZone::Transition*", 118, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//575
    { "const KTimeZone::Transition**", 118, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//576
    { "const KTimeZoneBackend&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//577
    { "const KTimeZoneData&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//578
    { "const KTimeZoneData*", 120, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//579
    { "const KTimeZoneSource&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//580
    { "const KTimeZones*", 122, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//581
    { "const KTzfileTimeZone&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//582
    { "const KTzfileTimeZoneBackend&", 125, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//583
    { "const KTzfileTimeZoneSource&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//584
    { "const KUrl&", 127, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//585
    { "const KUrl::CleanPathOption&", 127, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//586
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//587
    { "const KUser&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//588
    { "const KUserGroup&", 129, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//589
    { "const KWordMacroExpander&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//590
    { "const QBitArray&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//591
    { "const QByteArray", 136, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//592
    { "const QByteArray&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//593
    { "const QChar&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//594
    { "const QDBusArgument&", 140, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//595
    { "const QDBusConnection&", 141, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//596
    { "const QDBusObjectPath&", 142, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//597
    { "const QDBusSignature&", 143, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//598
    { "const QDBusVariant&", 144, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//599
    { "const QDate", 146, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//600
    { "const QDate&", 146, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//601
    { "const QDateTime&", 147, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//602
    { "const QEasingCurve&", 148, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//603
    { "const QFileInfo&", 151, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//604
    { "const QFlags<KUrl::DirectoryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//605
    { "const QFlags<KUrl::EncodedPathAndQueryOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//606
    { "const QFlags<KUrl::EqualsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//607
    { "const QFlags<KUrl::QueryItemsOption>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//608
    { "const QHash<QChar,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//609
    { "const QHash<QChar,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//610
    { "const QHash<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//611
    { "const QHash<QString,QStringList>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//612
    { "const QHashDummyValue&", 153, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//613
    { "const QHostAddress&", 154, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//614
    { "const QLatin1String&", 157, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//615
    { "const QLine&", 159, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//616
    { "const QLineF&", 160, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//617
    { "const QList<KAuth::Action>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//618
    { "const QList<KCatalogName>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//619
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//620
    { "const QList<KCoreConfigSkeleton::ItemEnum::Choice>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//621
    { "const QList<KJob*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//622
    { "const QList<KSharedPtr<KService> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//623
    { "const QList<KTimeZone::LeapSeconds>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//624
    { "const QList<KTimeZone::Phase>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//625
    { "const QList<KTimeZone::Transition>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//626
    { "const QList<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//627
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//628
    { "const QList<int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//629
    { "const QLocale&", 161, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//630
    { "const QMap<QString,KTimeZone>", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//631
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//632
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//633
    { "const QMargins&", 162, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//634
    { "const QMetaObject&", 163, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//635
    { "const QMetaObject*", 163, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//636
    { "const QObject*", 166, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//637
    { "const QPair<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//638
    { "const QPoint", 168, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//639
    { "const QPoint&", 168, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//640
    { "const QPointF", 169, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//641
    { "const QPointF&", 169, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//642
    { "const QRect&", 171, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//643
    { "const QRectF&", 172, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//644
    { "const QRegExp&", 173, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//645
    { "const QSize", 175, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//646
    { "const QSize&", 175, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//647
    { "const QSizeF", 176, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//648
    { "const QSizeF&", 176, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//649
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//650
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//651
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//652
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//653
    { "const QStringRef&", 178, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//654
    { "const QTime&", 186, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//655
    { "const QUrl&", 189, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//656
    { "const QUuid&", 190, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//657
    { "const QVariant&", 191, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//658
    { "const QVariant::Type", 191, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//659
    { "const QVariantComparisonHelper&", 192, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//660
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//661
    { "const Sonnet::Speller&", 196, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//662
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//663
    { "const float", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//664
    { "const group*", 198, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//665
    { "const int", 0, Smoke::t_int|Smoke::tf_stack|Smoke::tf_const },	//666
    { "const kndbgstream&", 199, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//667
    { "const long int", 0, Smoke::t_long|Smoke::tf_stack|Smoke::tf_const },	//668
    { "const passwd*", 200, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//669
    { "const unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//670
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//671
    { "const unsigned char[64]", 0, Smoke::t_uchar|Smoke::tf_stack|Smoke::tf_const },	//672
    { "const unsigned int", 0, Smoke::t_uint|Smoke::tf_stack|Smoke::tf_const },	//673
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//674
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//675
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//676
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//677
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//678
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//679
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//680
    { "kndbgstream*", 199, Smoke::t_class|Smoke::tf_ptr },	//681
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//682
    { "long int", 0, Smoke::t_long|Smoke::tf_stack },	//683
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//684
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//685
    { "qlonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//686
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//687
    { "qulonglong", 0, Smoke::t_voidp|Smoke::tf_stack },	//688
    { "std::bidirectional_iterator_tag", 201, Smoke::t_class|Smoke::tf_stack },	//689
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//690
    { "std::random_access_iterator_tag", 202, Smoke::t_class|Smoke::tf_stack },	//691
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//692
    { "unsigned char(&)[16]", 0, Smoke::t_voidp|Smoke::tf_ref },	//693
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//694
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//695
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//696
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//697
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//698
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//699
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//700
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//701
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//702
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//703
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    593, 593, 552, 593, 552, 5, 552, 552, 593, 593, 0,	//1  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    501, 0,	//12  const KAboutData&
    552, 552, 593, 593, 0,	//14  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&
    552, 552, 593, 593, 593, 0,	//19  const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&
    552, 552, 0,	//25  const KLocalizedString&, const KLocalizedString&
    552, 0,	//28  const KLocalizedString&
    651, 0,	//30  const QString&
    593, 0,	//32  const QByteArray&
    658, 0,	//34  const QVariant&
    5, 0,	//36  KAboutData::LicenseKey
    6, 0,	//38  KAboutData::NameFormat
    593, 593, 552, 593, 0,	//40  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    593, 593, 552, 593, 552, 0,	//45  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    593, 593, 552, 593, 552, 5, 0,	//51  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey
    593, 593, 552, 593, 552, 5, 552, 0,	//58  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&
    593, 593, 552, 593, 552, 5, 552, 552, 0,	//66  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&
    593, 593, 552, 593, 552, 5, 552, 552, 593, 0,	//75  const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&
    552, 552, 593, 0,	//85  const KLocalizedString&, const KLocalizedString&, const QByteArray&
    503, 0,	//89  const KAboutLicense&
    504, 0,	//91  const KAboutPerson&
    505, 0,	//93  const KAuth::Action&
    651, 651, 0,	//95  const QString&, const QString&
    633, 0,	//98  const QMap<QString,QVariant>&
    651, 658, 0,	//100  const QString&, const QVariant&
    495, 0,	//103  bool
    618, 338, 651, 0,	//105  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&
    618, 338, 651, 411, 0,	//109  const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*
    411, 0,	//114  QWidget*
    19, 0,	//116  KAuth::ActionReply::Type
    678, 0,	//118  int
    506, 0,	//120  const KAuth::ActionReply&
    663, 0,	//122  const char*
    663, 663, 0,	//124  const char*, const char*
    663, 663, 678, 0,	//127  const char*, const char*, int
    370, 678, 702, 0,	//131  QMetaObject::Call, int, void**
    661, 0,	//135  const QVariantMap&
    651, 585, 585, 0,	//137  const QString&, const KUrl&, const KUrl&
    652, 0,	//141  const QStringList&
    585, 374, 0,	//143  const KUrl&, QObject*
    374, 0,	//146  QObject*
    585, 0,	//148  const KUrl&
    301, 0,	//150  QFlags<QIODevice::OpenModeFlag>
    585, 651, 0,	//152  const KUrl&, const QString&
    651, 374, 0,	//155  const QString&, QObject*
    651, 274, 0,	//158  const QString&, QFlags<KAutostart::Condition>
    24, 0,	//161  KAutostart::StartPhase
    651, 551, 0,	//163  const QString&, const KLocale*
    651, 181, 551, 0,	//166  const QString&, KSharedPtr<KSharedConfig>, const KLocale*
    120, 551, 0,	//170  KLocale::CalendarSystem, const KLocale*
    120, 181, 551, 0,	//173  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*
    551, 0,	//177  const KLocale*
    564, 551, 0,	//179  const KSharedPtr<KSharedConfig>, const KLocale*
    678, 678, 678, 0,	//182  int, int, int
    678, 678, 0,	//186  int, int
    651, 678, 678, 678, 0,	//189  const QString&, int, int, int
    601, 0,	//194  const QDate&
    263, 678, 678, 678, 0,	//196  QDate&, int, int, int
    263, 678, 678, 0,	//201  QDate&, int, int
    263, 382, 678, 678, 678, 0,	//205  QDate&, QString, int, int, int
    600, 680, 680, 680, 0,	//211  const QDate, int*, int*, int*
    601, 27, 0,	//216  const QDate&, KCalendarSystem::StringFormat
    601, 678, 0,	//219  const QDate&, int
    601, 601, 680, 680, 680, 680, 0,	//222  const QDate&, const QDate&, int*, int*, int*, int*
    601, 601, 0,	//229  const QDate&, const QDate&
    601, 680, 0,	//232  const QDate&, int*
    678, 678, 26, 0,	//235  int, int, KCalendarSystem::MonthNameFormat
    601, 26, 0,	//239  const QDate&, KCalendarSystem::MonthNameFormat
    678, 28, 0,	//242  int, KCalendarSystem::WeekDayNameFormat
    601, 28, 0,	//245  const QDate&, KCalendarSystem::WeekDayNameFormat
    651, 679, 0,	//248  const QString&, int&
    601, 121, 0,	//251  const QDate&, KLocale::DateFormat
    601, 651, 125, 0,	//254  const QDate&, const QString&, KLocale::DateTimeFormatStandard
    601, 651, 127, 125, 0,	//258  const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard
    601, 122, 123, 134, 0,	//263  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem
    651, 497, 0,	//268  const QString&, bool*
    651, 129, 497, 0,	//271  const QString&, KLocale::ReadDateFlags, bool*
    651, 651, 497, 0,	//275  const QString&, const QString&, bool*
    651, 651, 497, 125, 0,	//279  const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard
    678, 679, 679, 679, 0,	//284  int, int&, int&, int&
    678, 678, 678, 679, 0,	//289  int, int, int, int&
    29, 564, 551, 0,	//294  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*
    651, 181, 0,	//298  const QString&, KSharedPtr<KSharedConfig>
    120, 0,	//301  KLocale::CalendarSystem
    120, 181, 0,	//303  KLocale::CalendarSystem, KSharedPtr<KSharedConfig>
    564, 0,	//306  const KSharedPtr<KSharedConfig>
    601, 651, 0,	//308  const QDate&, const QString&
    601, 651, 127, 0,	//311  const QDate&, const QString&, KLocale::DigitSet
    601, 122, 0,	//315  const QDate&, KLocale::DateTimeComponent
    601, 122, 123, 0,	//318  const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat
    651, 129, 0,	//322  const QString&, KLocale::ReadDateFlags
    29, 0,	//325  KCalendarSystemPrivate&
    29, 564, 0,	//327  KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>
    250, 0,	//330  QChar
    651, 678, 388, 0,	//332  const QString&, int, QStringList&
    250, 388, 0,	//336  QChar, QStringList&
    508, 0,	//339  const KCharMacroExpander&
    651, 496, 0,	//341  const QString&, bool&
    594, 0,	//344  const QChar&
    509, 0,	//346  const KCharsets&
    678, 500, 593, 593, 552, 593, 552, 275, 0,	//348  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>
    678, 500, 502, 275, 0,	//357  int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>
    502, 0,	//362  const KAboutData*
    275, 0,	//364  QFlags<KCmdLineArgs::StdCmdLineArg>
    511, 552, 593, 593, 0,	//366  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&
    259, 0,	//371  QDataStream&
    511, 552, 593, 0,	//373  const KCmdLineOptions&, const KLocalizedString&, const QByteArray&
    510, 0,	//377  const KCmdLineArgs&
    678, 500, 593, 593, 552, 593, 0,	//379  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&
    678, 500, 593, 593, 552, 593, 552, 0,	//386  int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&
    678, 500, 502, 0,	//394  int, char**, const KAboutData*
    511, 0,	//398  const KCmdLineOptions&
    511, 552, 0,	//400  const KCmdLineOptions&, const KLocalizedString&
    593, 552, 593, 0,	//403  const QByteArray&, const KLocalizedString&, const QByteArray&
    593, 552, 0,	//407  const QByteArray&, const KLocalizedString&
    593, 249, 0,	//410  const QByteArray&, QByteArray&
    593, 249, 495, 0,	//413  const QByteArray&, QByteArray&, bool
    593, 495, 0,	//417  const QByteArray&, bool
    512, 0,	//420  const KComponentData&
    593, 593, 39, 0,	//422  const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration
    501, 39, 0,	//426  const KAboutData&, KComponentData::MainComponentRegistration
    502, 39, 0,	//429  const KAboutData*, KComponentData::MainComponentRegistration
    593, 593, 0,	//432  const QByteArray&, const QByteArray&
    103, 0,	//435  KJob*
    103, 651, 651, 0,	//437  KJob*, const QString&, const QString&
    41, 374, 0,	//441  KCompositeJobPrivate&, QObject*
    651, 276, 663, 0,	//444  const QString&, QFlags<KConfig::OpenFlag>, const char*
    512, 651, 276, 663, 0,	//448  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*
    651, 651, 663, 0,	//453  const QString&, const QString&, const char*
    651, 42, 0,	//457  const QString&, KConfig*
    593, 277, 0,	//460  const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    50, 0,	//463  KConfigPrivate&
    651, 276, 0,	//465  const QString&, QFlags<KConfig::OpenFlag>
    512, 651, 0,	//468  const KComponentData&, const QString&
    512, 651, 276, 0,	//471  const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>
    651, 277, 0,	//475  const QString&, QFlags<KConfigBase::WriteConfigFlag>
    663, 277, 0,	//478  const char*, QFlags<KConfigBase::WriteConfigFlag>
    514, 0,	//481  const KConfigBase&
    44, 651, 0,	//483  KConfigBase*, const QString&
    44, 663, 0,	//486  KConfigBase*, const char*
    515, 651, 0,	//489  const KConfigBase*, const QString&
    515, 663, 0,	//492  const KConfigBase*, const char*
    565, 651, 0,	//495  const KSharedPtr<KSharedConfig>&, const QString&
    565, 663, 0,	//498  const KSharedPtr<KSharedConfig>&, const char*
    517, 0,	//501  const KConfigGroup&
    44, 277, 0,	//503  KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>
    277, 0,	//506  QFlags<KConfigBase::WriteConfigFlag>
    663, 658, 0,	//508  const char*, const QVariant&
    663, 651, 0,	//511  const char*, const QString&
    651, 663, 0,	//514  const QString&, const char*
    651, 628, 0,	//517  const QString&, const QList<QVariant>&
    663, 628, 0,	//520  const char*, const QList<QVariant>&
    651, 652, 0,	//523  const QString&, const QStringList&
    663, 652, 0,	//526  const char*, const QStringList&
    651, 658, 277, 0,	//529  const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    663, 658, 277, 0,	//533  const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>
    651, 651, 277, 0,	//537  const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    663, 651, 277, 0,	//541  const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>
    651, 593, 277, 0,	//545  const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    663, 593, 277, 0,	//549  const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>
    651, 663, 277, 0,	//553  const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>
    663, 663, 277, 0,	//557  const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>
    651, 652, 277, 0,	//561  const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    663, 652, 277, 0,	//565  const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>
    651, 628, 277, 0,	//569  const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    663, 628, 277, 0,	//573  const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>
    44, 0,	//577  KConfigBase*
    651, 593, 0,	//579  const QString&, const QByteArray&
    663, 593, 0,	//582  const char*, const QByteArray&
    42, 0,	//585  KConfig*
    518, 0,	//587  const KConfigSkeletonItem&
    181, 374, 0,	//589  KSharedPtr<KSharedConfig>, QObject*
    51, 651, 0,	//592  KConfigSkeletonItem*, const QString&
    651, 383, 651, 651, 0,	//595  const QString&, QString&, const QString&, const QString&
    651, 407, 658, 651, 0,	//600  const QString&, QVariant&, const QVariant&, const QString&
    651, 496, 495, 651, 0,	//605  const QString&, bool&, bool, const QString&
    651, 679, 678, 651, 0,	//610  const QString&, int&, int, const QString&
    651, 695, 694, 651, 0,	//615  const QString&, unsigned int&, unsigned int, const QString&
    651, 685, 684, 651, 0,	//620  const QString&, long long&, long long, const QString&
    651, 698, 697, 651, 0,	//625  const QString&, unsigned long long&, unsigned long long, const QString&
    651, 676, 675, 651, 0,	//630  const QString&, double&, double, const QString&
    651, 377, 643, 651, 0,	//635  const QString&, QRect&, const QRect&, const QString&
    651, 375, 640, 651, 0,	//640  const QString&, QPoint&, const QPoint&, const QString&
    651, 380, 647, 651, 0,	//645  const QString&, QSize&, const QSize&, const QString&
    651, 265, 602, 651, 0,	//650  const QString&, QDateTime&, const QDateTime&, const QString&
    651, 388, 652, 651, 0,	//655  const QString&, QStringList&, const QStringList&, const QString&
    651, 364, 629, 651, 0,	//660  const QString&, QList<int>&, const QList<int>&, const QString&
    181, 0,	//665  KSharedPtr<KSharedConfig>
    51, 0,	//667  KConfigSkeletonItem*
    651, 383, 0,	//669  const QString&, QString&
    651, 383, 651, 0,	//672  const QString&, QString&, const QString&
    651, 407, 0,	//676  const QString&, QVariant&
    651, 407, 658, 0,	//679  const QString&, QVariant&, const QVariant&
    651, 496, 495, 0,	//683  const QString&, bool&, bool
    651, 679, 678, 0,	//687  const QString&, int&, int
    651, 695, 0,	//691  const QString&, unsigned int&
    651, 695, 694, 0,	//694  const QString&, unsigned int&, unsigned int
    651, 685, 0,	//698  const QString&, long long&
    651, 685, 684, 0,	//701  const QString&, long long&, long long
    651, 698, 0,	//705  const QString&, unsigned long long&
    651, 698, 697, 0,	//708  const QString&, unsigned long long&, unsigned long long
    651, 676, 0,	//712  const QString&, double&
    651, 676, 675, 0,	//715  const QString&, double&, double
    651, 377, 0,	//719  const QString&, QRect&
    651, 377, 643, 0,	//722  const QString&, QRect&, const QRect&
    651, 375, 0,	//726  const QString&, QPoint&
    651, 375, 640, 0,	//729  const QString&, QPoint&, const QPoint&
    651, 380, 0,	//733  const QString&, QSize&
    651, 380, 647, 0,	//736  const QString&, QSize&, const QSize&
    651, 265, 0,	//740  const QString&, QDateTime&
    651, 265, 602, 0,	//743  const QString&, QDateTime&, const QDateTime&
    651, 388, 0,	//747  const QString&, QStringList&
    651, 388, 652, 0,	//750  const QString&, QStringList&, const QStringList&
    651, 364, 0,	//754  const QString&, QList<int>&
    651, 364, 629, 0,	//757  const QString&, QList<int>&, const QList<int>&
    651, 651, 496, 495, 0,	//761  const QString&, const QString&, bool&, bool
    519, 0,	//766  const KCoreConfigSkeleton::ItemBool&
    651, 651, 496, 0,	//768  const QString&, const QString&, bool&
    651, 651, 265, 602, 0,	//772  const QString&, const QString&, QDateTime&, const QDateTime&
    520, 0,	//777  const KCoreConfigSkeleton::ItemDateTime&
    651, 651, 265, 0,	//779  const QString&, const QString&, QDateTime&
    651, 651, 676, 675, 0,	//783  const QString&, const QString&, double&, double
    675, 0,	//788  double
    521, 0,	//790  const KCoreConfigSkeleton::ItemDouble&
    651, 651, 676, 0,	//792  const QString&, const QString&, double&
    651, 651, 679, 621, 678, 0,	//796  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int
    651, 651, 679, 620, 678, 0,	//802  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int
    522, 0,	//808  const KCoreConfigSkeleton::ItemEnum&
    651, 651, 679, 621, 0,	//810  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&
    651, 651, 679, 620, 0,	//815  const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&
    523, 0,	//820  const KCoreConfigSkeleton::ItemEnum::Choice&
    524, 0,	//822  const KCoreConfigSkeleton::ItemEnum::Choice2&
    651, 651, 679, 678, 0,	//824  const QString&, const QString&, int&, int
    525, 0,	//829  const KCoreConfigSkeleton::ItemInt&
    651, 651, 679, 0,	//831  const QString&, const QString&, int&
    651, 651, 364, 629, 0,	//835  const QString&, const QString&, QList<int>&, const QList<int>&
    526, 0,	//840  const KCoreConfigSkeleton::ItemIntList&
    651, 651, 364, 0,	//842  const QString&, const QString&, QList<int>&
    651, 651, 685, 684, 0,	//846  const QString&, const QString&, long long&, long long
    684, 0,	//851  long long
    527, 0,	//853  const KCoreConfigSkeleton::ItemLongLong&
    651, 651, 685, 0,	//855  const QString&, const QString&, long long&
    651, 651, 383, 651, 0,	//859  const QString&, const QString&, QString&, const QString&
    528, 0,	//864  const KCoreConfigSkeleton::ItemPassword&
    651, 651, 383, 0,	//866  const QString&, const QString&, QString&
    529, 0,	//870  const KCoreConfigSkeleton::ItemPath&
    651, 651, 388, 652, 0,	//872  const QString&, const QString&, QStringList&, const QStringList&
    530, 0,	//877  const KCoreConfigSkeleton::ItemPathList&
    651, 651, 388, 0,	//879  const QString&, const QString&, QStringList&
    651, 651, 375, 640, 0,	//883  const QString&, const QString&, QPoint&, const QPoint&
    531, 0,	//888  const KCoreConfigSkeleton::ItemPoint&
    651, 651, 375, 0,	//890  const QString&, const QString&, QPoint&
    651, 651, 407, 658, 0,	//894  const QString&, const QString&, QVariant&, const QVariant&
    532, 0,	//899  const KCoreConfigSkeleton::ItemProperty&
    651, 651, 407, 0,	//901  const QString&, const QString&, QVariant&
    651, 651, 377, 643, 0,	//905  const QString&, const QString&, QRect&, const QRect&
    533, 0,	//910  const KCoreConfigSkeleton::ItemRect&
    651, 651, 377, 0,	//912  const QString&, const QString&, QRect&
    651, 651, 380, 647, 0,	//916  const QString&, const QString&, QSize&, const QSize&
    534, 0,	//921  const KCoreConfigSkeleton::ItemSize&
    651, 651, 380, 0,	//923  const QString&, const QString&, QSize&
    651, 651, 383, 651, 70, 0,	//927  const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type
    535, 0,	//933  const KCoreConfigSkeleton::ItemString&
    536, 0,	//935  const KCoreConfigSkeleton::ItemStringList&
    651, 651, 695, 694, 0,	//937  const QString&, const QString&, unsigned int&, unsigned int
    694, 0,	//942  unsigned int
    537, 0,	//944  const KCoreConfigSkeleton::ItemUInt&
    651, 651, 695, 0,	//946  const QString&, const QString&, unsigned int&
    651, 651, 698, 697, 0,	//950  const QString&, const QString&, unsigned long long&, unsigned long long
    697, 0,	//955  unsigned long long
    538, 0,	//957  const KCoreConfigSkeleton::ItemULongLong&
    651, 651, 698, 0,	//959  const QString&, const QString&, unsigned long long&
    651, 651, 223, 585, 0,	//963  const QString&, const QString&, KUrl&, const KUrl&
    539, 0,	//968  const KCoreConfigSkeleton::ItemUrl&
    651, 651, 223, 0,	//970  const QString&, const QString&, KUrl&
    651, 651, 231, 587, 0,	//974  const QString&, const QString&, KUrl::List&, const KUrl::List&
    540, 0,	//979  const KCoreConfigSkeleton::ItemUrlList&
    651, 651, 231, 0,	//981  const QString&, const QString&, KUrl::List&
    604, 651, 0,	//985  const QFileInfo&, const QString&
    541, 0,	//988  const KCurrencyCode&
    651, 278, 0,	//990  const QString&, QFlags<KCurrencyCode::CurrencyStatus>
    278, 0,	//993  QFlags<KCurrencyCode::CurrencyStatus>
    604, 0,	//995  const QFileInfo&
    651, 694, 0,	//997  const QString&, unsigned int
    651, 678, 694, 0,	//1000  const QString&, int, unsigned int
    651, 678, 0,	//1004  const QString&, int
    79, 0,	//1007  KDEDModule*
    686, 0,	//1009  qlonglong
    597, 0,	//1011  const QDBusObjectPath&
    542, 0,	//1013  const KDEPluginVerificationData&
    692, 0,	//1015  unsigned char
    601, 544, 0,	//1017  const QDate&, const KDateTime::Spec&
    601, 655, 544, 0,	//1020  const QDate&, const QTime&, const KDateTime::Spec&
    602, 544, 0,	//1024  const QDateTime&, const KDateTime::Spec&
    602, 0,	//1027  const QDateTime&
    543, 0,	//1029  const KDateTime&
    570, 0,	//1031  const KTimeZone&
    544, 0,	//1033  const KDateTime::Spec&
    655, 0,	//1035  const QTime&
    89, 0,	//1037  KDateTime::TimeFormat
    651, 89, 497, 0,	//1039  const QString&, KDateTime::TimeFormat, bool*
    651, 651, 581, 495, 0,	//1043  const QString&, const QString&, const KTimeZones*, bool
    601, 655, 0,	//1048  const QDate&, const QTime&
    651, 89, 0,	//1051  const QString&, KDateTime::TimeFormat
    651, 651, 581, 0,	//1054  const QString&, const QString&, const KTimeZones*
    88, 678, 0,	//1058  KDateTime::SpecType, int
    88, 0,	//1061  KDateTime::SpecType
    486, 663, 678, 663, 0,	//1063  QtMsgType, const char*, int, const char*
    486, 495, 678, 495, 0,	//1068  QtMsgType, bool, int, bool
    495, 678, 0,	//1073  bool, int
    545, 0,	//1076  const KDebug&
    486, 0,	//1078  QtMsgType
    486, 663, 0,	//1080  QtMsgType, const char*
    486, 663, 678, 0,	//1083  QtMsgType, const char*, int
    546, 0,	//1087  const KDebugTag&
    392, 95, 94, 0,	//1089  QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript
    663, 95, 0,	//1093  const char*, KEncodingDetector::EncodingChoiceSource
    94, 0,	//1096  KEncodingDetector::AutoDetectScript
    663, 678, 0,	//1098  const char*, int
    499, 678, 0,	//1101  char*, int
    548, 0,	//1104  const KEncodingDetector&
    392, 95, 0,	//1106  QTextCodec*, KEncodingDetector::EncodingChoiceSource
    98, 0,	//1109  KEncodingProber::ProberType
    549, 0,	//1111  const KEncodingProber&
    329, 495, 0,	//1113  QIODevice*, bool
    499, 694, 0,	//1116  char*, unsigned int
    663, 694, 0,	//1119  const char*, unsigned int
    100, 0,	//1122  KFilterBase::FilterFlags
    329, 0,	//1124  QIODevice*
    651, 651, 495, 0,	//1126  const QString&, const QString&, bool
    329, 651, 495, 0,	//1130  QIODevice*, const QString&, bool
    499, 684, 0,	//1134  char*, long long
    663, 684, 0,	//1137  const char*, long long
    329, 651, 0,	//1140  QIODevice*, const QString&
    637, 635, 0,	//1143  const QObject*, const QMetaObject&
    117, 102, 0,	//1146  KLocale*, KGlobal::CopyCatalogs
    117, 0,	//1149  KLocale*
    109, 0,	//1151  KJobUiDelegate*
    105, 0,	//1153  KJob::KillVerbosity
    279, 0,	//1155  QFlags<KJob::Capability>
    106, 0,	//1157  KJob::Unit
    103, 651, 638, 638, 0,	//1159  KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&
    106, 697, 0,	//1164  KJob::Unit, unsigned long long
    696, 0,	//1167  unsigned long
    697, 697, 0,	//1169  unsigned long long, unsigned long long
    107, 374, 0,	//1172  KJobPrivate&, QObject*
    103, 651, 0,	//1175  KJob*, const QString&
    103, 651, 638, 0,	//1178  KJob*, const QString&, const QPair<QString,QString>&
    103, 106, 688, 0,	//1182  KJob*, KJob::Unit, qulonglong
    103, 696, 0,	//1186  KJob*, unsigned long
    651, 302, 0,	//1189  const QString&, QFlags<QLibrary::LoadHint>
    651, 512, 0,	//1192  const QString&, const KComponentData&
    651, 512, 374, 0,	//1195  const QString&, const KComponentData&, QObject*
    651, 678, 512, 374, 0,	//1199  const QString&, int, const KComponentData&, QObject*
    651, 678, 512, 0,	//1204  const QString&, int, const KComponentData&
    651, 301, 0,	//1208  const QString&, QFlags<QIODevice::OpenModeFlag>
    651, 114, 301, 0,	//1211  const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>
    651, 687, 330, 0,	//1215  const QString&, quint16, QIODevice::OpenMode
    651, 114, 0,	//1219  const QString&, KLocalSocket::LocalSocketType
    678, 497, 0,	//1222  int, bool*
    651, 651, 651, 42, 0,	//1225  const QString&, const QString&, const QString&, KConfig*
    550, 0,	//1230  const KLocale&
    663, 663, 384, 384, 0,	//1232  const char*, const char*, QString*, QString*
    663, 384, 384, 0,	//1237  const char*, QString*, QString*
    663, 663, 663, 384, 384, 0,	//1241  const char*, const char*, const char*, QString*, QString*
    663, 663, 663, 696, 384, 384, 0,	//1247  const char*, const char*, const char*, unsigned long, QString*, QString*
    663, 663, 696, 384, 384, 0,	//1254  const char*, const char*, unsigned long, QString*, QString*
    663, 663, 663, 663, 696, 384, 384, 0,	//1260  const char*, const char*, const char*, const char*, unsigned long, QString*, QString*
    127, 495, 0,	//1268  KLocale::DigitSet, bool
    675, 651, 678, 0,	//1271  double, const QString&, int
    675, 678, 0,	//1275  double, int
    651, 495, 678, 0,	//1278  const QString&, bool, int
    682, 0,	//1282  long
    675, 678, 119, 118, 0,	//1284  double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits
    119, 0,	//1289  KLocale::BinaryUnitDialect
    602, 121, 495, 0,	//1291  const QDateTime&, KLocale::DateFormat, bool
    543, 121, 281, 0,	//1295  const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>
    655, 495, 495, 0,	//1299  const QTime&, bool, bool
    655, 282, 0,	//1303  const QTime&, QFlags<KLocale::TimeFormatOption>
    655, 123, 0,	//1306  const QTime&, KLocale::DateTimeComponentFormat
    134, 0,	//1309  KLocale::WeekNumberSystem
    651, 130, 497, 0,	//1311  const QString&, KLocale::ReadTimeFlags, bool*
    651, 497, 282, 283, 0,	//1315  const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>
    127, 0,	//1320  KLocale::DigitSet
    131, 0,	//1322  KLocale::SignPosition
    128, 0,	//1324  KLocale::MeasureSystem
    663, 663, 663, 0,	//1326  const char*, const char*, const char*
    651, 383, 383, 383, 383, 0,	//1330  const QString&, QString&, QString&, QString&, QString&
    651, 127, 495, 0,	//1336  const QString&, KLocale::DigitSet, bool
    651, 651, 651, 0,	//1340  const QString&, const QString&, const QString&
    675, 651, 0,	//1344  double, const QString&
    651, 495, 0,	//1347  const QString&, bool
    675, 678, 119, 0,	//1350  double, int, KLocale::BinaryUnitDialect
    602, 121, 0,	//1354  const QDateTime&, KLocale::DateFormat
    543, 121, 0,	//1357  const KDateTime&, KLocale::DateFormat
    655, 495, 0,	//1360  const QTime&, bool
    651, 130, 0,	//1363  const QString&, KLocale::ReadTimeFlags
    651, 497, 282, 0,	//1366  const QString&, bool*, QFlags<KLocale::TimeFormatOption>
    651, 127, 0,	//1370  const QString&, KLocale::DigitSet
    551, 651, 0,	//1373  const KLocale*, const QString&
    678, 678, 678, 594, 0,	//1376  int, int, int, const QChar&
    694, 678, 678, 594, 0,	//1381  unsigned int, int, int, const QChar&
    682, 678, 678, 594, 0,	//1386  long, int, int, const QChar&
    696, 678, 678, 594, 0,	//1391  unsigned long, int, int, const QChar&
    684, 678, 678, 594, 0,	//1396  long long, int, int, const QChar&
    697, 678, 678, 594, 0,	//1401  unsigned long long, int, int, const QChar&
    675, 678, 498, 678, 594, 0,	//1406  double, int, char, int, const QChar&
    250, 678, 594, 0,	//1412  QChar, int, const QChar&
    651, 678, 594, 0,	//1416  const QString&, int, const QChar&
    652, 619, 0,	//1420  const QStringList&, const QList<KCatalogName>&
    694, 678, 0,	//1423  unsigned int, int
    694, 678, 678, 0,	//1426  unsigned int, int, int
    682, 678, 0,	//1430  long, int
    682, 678, 678, 0,	//1433  long, int, int
    696, 678, 0,	//1437  unsigned long, int
    696, 678, 678, 0,	//1440  unsigned long, int, int
    684, 678, 0,	//1444  long long, int
    684, 678, 678, 0,	//1447  long long, int, int
    697, 678, 0,	//1451  unsigned long long, int
    697, 678, 678, 0,	//1454  unsigned long long, int, int
    675, 678, 498, 0,	//1458  double, int, char
    675, 678, 498, 678, 0,	//1462  double, int, char, int
    250, 678, 0,	//1467  QChar, int
    284, 0,	//1470  QFlags<KLockFile::LockFlag>
    679, 383, 383, 0,	//1472  int&, QString&, QString&
    553, 0,	//1476  const KLockFile&
    671, 678, 0,	//1478  const unsigned char*, int
    328, 0,	//1481  QIODevice&
    693, 0,	//1483  unsigned char(&)[16]
    249, 0,	//1485  QByteArray&
    670, 0,	//1487  const unsigned char(&)[16]
    672, 0,	//1489  const unsigned char[64]
    671, 0,	//1491  const unsigned char*
    651, 611, 250, 0,	//1493  const QString&, const QHash<QString,QString>&, QChar
    651, 611, 0,	//1497  const QString&, const QHash<QString,QString>&
    651, 610, 250, 0,	//1500  const QString&, const QHash<QChar,QStringList>&, QChar
    651, 610, 0,	//1504  const QString&, const QHash<QChar,QStringList>&
    651, 609, 250, 0,	//1507  const QString&, const QHash<QChar,QString>&, QChar
    651, 609, 0,	//1511  const QString&, const QHash<QChar,QString>&
    651, 612, 250, 0,	//1514  const QString&, const QHash<QString,QStringList>&, QChar
    651, 612, 0,	//1518  const QString&, const QHash<QString,QStringList>&
    383, 0,	//1521  QString&
    383, 679, 0,	//1523  QString&, int&
    554, 0,	//1526  const KMacroExpanderBase&
    143, 651, 651, 0,	//1528  KMessage::MessageType, const QString&, const QString&
    143, 651, 0,	//1532  KMessage::MessageType, const QString&
    144, 0,	//1535  KMessageHandler*
    555, 0,	//1537  const KMessageHandler&
    585, 694, 0,	//1539  const KUrl&, unsigned int
    651, 146, 0,	//1542  const QString&, KMimeType::FindByNameOption
    585, 694, 495, 495, 680, 0,	//1545  const KUrl&, unsigned int, bool, bool, int*
    651, 694, 495, 680, 0,	//1551  const QString&, unsigned int, bool, int*
    593, 680, 0,	//1556  const QByteArray&, int*
    651, 593, 694, 680, 0,	//1559  const QString&, const QByteArray&, unsigned int, int*
    329, 680, 0,	//1564  QIODevice*, int*
    651, 329, 694, 680, 0,	//1567  const QString&, QIODevice*, unsigned int, int*
    651, 680, 0,	//1572  const QString&, int*
    259, 678, 0,	//1575  QDataStream&, int
    147, 0,	//1578  KMimeTypePrivate&
    147, 651, 651, 0,	//1580  KMimeTypePrivate&, const QString&, const QString&
    585, 694, 495, 0,	//1584  const KUrl&, unsigned int, bool
    585, 694, 495, 495, 0,	//1588  const KUrl&, unsigned int, bool, bool
    651, 694, 495, 0,	//1593  const QString&, unsigned int, bool
    651, 593, 694, 0,	//1597  const QString&, const QByteArray&, unsigned int
    651, 329, 0,	//1601  const QString&, QIODevice*
    651, 329, 694, 0,	//1604  const QString&, QIODevice*, unsigned int
    556, 0,	//1608  const KMimeTypeTrader&
    663, 663, 374, 0,	//1610  const char*, const char*, QObject*
    501, 374, 0,	//1614  const KAboutData&, QObject*
    502, 374, 0,	//1617  const KAboutData*, QObject*
    374, 663, 652, 0,	//1620  QObject*, const char*, const QStringList&
    151, 374, 0,	//1624  KPluginFactoryPrivate&, QObject*
    628, 0,	//1627  const QList<QVariant>&
    411, 374, 663, 652, 0,	//1629  QWidget*, QObject*, const char*, const QStringList&
    663, 411, 374, 628, 651, 0,	//1634  const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&
    374, 663, 0,	//1640  QObject*, const char*
    151, 0,	//1643  KPluginFactoryPrivate&
    563, 0,	//1645  const KSharedPtr<KService>
    623, 517, 0,	//1647  const QList<KSharedPtr<KService> >&, const KConfigGroup&
    652, 517, 0,	//1650  const QStringList&, const KConfigGroup&
    651, 517, 0,	//1653  const QString&, const KConfigGroup&
    47, 0,	//1656  KConfigGroup
    557, 0,	//1658  const KPluginInfo&
    623, 0,	//1660  const QList<KSharedPtr<KService> >&
    560, 512, 374, 0,	//1662  const KService&, const KComponentData&, QObject*
    560, 0,	//1666  const KService&
    560, 512, 0,	//1668  const KService&, const KComponentData&
    157, 0,	//1671  KProcess::OutputChannelMode
    651, 652, 678, 0,	//1673  const QString&, const QStringList&, int
    652, 678, 0,	//1677  const QStringList&, int
    158, 374, 0,	//1680  KProcessPrivate*, QObject*
    164, 0,	//1683  KProtocolInfo::Type
    651, 162, 0,	//1685  const QString&, KProtocolInfo::ExtraField::Type
    558, 0,	//1688  const KProtocolInfo::ExtraField&
    162, 0,	//1690  KProtocolInfo::ExtraField::Type
    559, 0,	//1692  const KRandomSequence&
    651, 651, 651, 673, 0,	//1694  const QString&, const QString&, const QString&, const unsigned int
    547, 0,	//1699  const KDesktopFile*
    562, 0,	//1701  const KServiceType*
    651, 408, 0,	//1703  const QString&, QVariant::Type
    495, 651, 384, 653, 0,	//1706  bool, const QString&, QString*, const QStringList*
    495, 651, 0,	//1711  bool, const QString&
    495, 651, 384, 0,	//1714  bool, const QString&, QString*
    651, 651, 651, 651, 495, 0,	//1718  const QString&, const QString&, const QString&, const QString&, bool
    561, 0,	//1724  const KServiceAction&
    651, 651, 651, 651, 0,	//1726  const QString&, const QString&, const QString&, const QString&
    259, 678, 495, 0,	//1731  QDataStream&, int, bool
    495, 495, 495, 495, 0,	//1735  bool, bool, bool, bool
    495, 495, 0,	//1740  bool, bool
    285, 0,	//1743  QFlags<KServiceGroup::EntriesOption>
    566, 0,	//1745  const KSharedPtr<KSycocaEntry>&
    495, 495, 495, 0,	//1747  bool, bool, bool
    92, 0,	//1751  KDesktopFile*
    175, 0,	//1753  KServiceTypePrivate&
    175, 651, 651, 0,	//1755  KServiceTypePrivate&, const QString&, const QString&
    350, 651, 0,	//1759  QList<KSharedPtr<KService> >&, const QString&
    651, 286, 183, 0,	//1762  const QString&, QFlags<KShell::Option>, KShell::Errors*
    651, 286, 0,	//1766  const QString&, QFlags<KShell::Option>
    651, 651, 699, 374, 0,	//1769  const QString&, const QString&, unsigned short, QObject*
    651, 651, 699, 0,	//1774  const QString&, const QString&, unsigned short
    651, 651, 699, 678, 374, 0,	//1778  const QString&, const QString&, unsigned short, int, QObject*
    651, 651, 699, 678, 0,	//1784  const QString&, const QString&, unsigned short, int
    651, 614, 699, 374, 0,	//1789  const QString&, const QHostAddress&, unsigned short, QObject*
    651, 614, 0,	//1794  const QString&, const QHostAddress&
    651, 614, 699, 0,	//1797  const QString&, const QHostAddress&, unsigned short
    651, 651, 374, 0,	//1801  const QString&, const QString&, QObject*
    656, 678, 374, 0,	//1805  const QUrl&, int, QObject*
    656, 0,	//1809  const QUrl&
    656, 678, 0,	//1811  const QUrl&, int
    391, 651, 651, 699, 0,	//1814  QTcpSocket*, const QString&, const QString&, unsigned short
    656, 374, 0,	//1819  const QUrl&, QObject*
    391, 656, 0,	//1822  QTcpSocket*, const QUrl&
    391, 656, 678, 0,	//1825  QTcpSocket*, const QUrl&, int
    391, 651, 651, 699, 678, 0,	//1829  QTcpSocket*, const QString&, const QString&, unsigned short, int
    663, 651, 495, 0,	//1835  const char*, const QString&, bool
    663, 663, 651, 495, 0,	//1839  const char*, const char*, const QString&, bool
    663, 663, 663, 495, 0,	//1844  const char*, const char*, const char*, bool
    663, 651, 287, 0,	//1849  const char*, const QString&, QFlags<KStandardDirs::SearchOption>
    663, 651, 287, 388, 0,	//1853  const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&
    651, 651, 287, 0,	//1858  const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    388, 651, 651, 287, 0,	//1862  QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>
    663, 651, 512, 0,	//1867  const char*, const QString&, const KComponentData&
    663, 651, 495, 512, 0,	//1871  const char*, const QString&, bool, const KComponentData&
    663, 663, 651, 0,	//1876  const char*, const char*, const QString&
    388, 651, 0,	//1880  QStringList&, const QString&
    388, 651, 651, 0,	//1883  QStringList&, const QString&, const QString&
    594, 651, 678, 0,	//1887  const QChar&, const QString&, int
    594, 651, 0,	//1891  const QChar&, const QString&
    645, 651, 678, 0,	//1894  const QRegExp&, const QString&, int
    645, 651, 0,	//1898  const QRegExp&, const QString&
    651, 651, 421, 0,	//1901  const QString&, const QString&, Qt::CaseSensitivity
    651, 651, 678, 0,	//1905  const QString&, const QString&, int
    678, 195, 0,	//1909  int, KSycocaType&
    192, 0,	//1912  KSycocaFactoryId
    1, 0,	//1914  DatabaseType
    191, 0,	//1916  KSycocaFactory*
    260, 0,	//1918  QDataStream*
    194, 0,	//1920  KSycocaType
    259, 383, 0,	//1922  QDataStream&, QString&
    259, 388, 0,	//1925  QDataStream&, QStringList&
    190, 0,	//1928  KSycocaEntryPrivate&
    198, 651, 651, 677, 677, 651, 0,	//1930  KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    567, 0,	//1937  const KSystemTimeZone&
    198, 651, 0,	//1939  KSystemTimeZoneSource*, const QString&
    198, 651, 651, 0,	//1942  KSystemTimeZoneSource*, const QString&, const QString&
    198, 651, 651, 677, 0,	//1946  KSystemTimeZoneSource*, const QString&, const QString&, float
    198, 651, 651, 677, 677, 0,	//1951  KSystemTimeZoneSource*, const QString&, const QString&, float, float
    571, 602, 680, 0,	//1957  const KTimeZone*, const QDateTime&, int*
    571, 602, 0,	//1961  const KTimeZone*, const QDateTime&
    571, 683, 0,	//1964  const KTimeZone*, long int
    568, 0,	//1967  const KSystemTimeZoneBackend&
    569, 0,	//1969  const KSystemTimeZoneSource&
    570, 602, 0,	//1971  const KTimeZone&, const QDateTime&
    602, 497, 0,	//1974  const QDateTime&, bool*
    471, 0,	//1977  Qt::TimeSpec
    602, 680, 0,	//1979  const QDateTime&, int*
    683, 0,	//1982  long int
    602, 602, 0,	//1984  const QDateTime&, const QDateTime&
    602, 576, 497, 0,	//1987  const QDateTime&, const KTimeZone::Transition**, bool*
    602, 680, 497, 0,	//1991  const QDateTime&, int*, bool*
    573, 602, 602, 0,	//1995  const KTimeZone::Phase&, const QDateTime&, const QDateTime&
    213, 0,	//1999  KTimeZoneBackend*
    215, 216, 0,	//2001  KTimeZoneData*, KTimeZoneSource*
    602, 576, 0,	//2004  const QDateTime&, const KTimeZone::Transition**
    573, 0,	//2007  const KTimeZone::Phase&
    573, 602, 0,	//2009  const KTimeZone::Phase&, const QDateTime&
    215, 0,	//2012  KTimeZoneData*
    602, 678, 651, 0,	//2014  const QDateTime&, int, const QString&
    572, 0,	//2018  const KTimeZone::LeapSeconds&
    602, 678, 0,	//2020  const QDateTime&, int
    678, 593, 495, 651, 0,	//2023  int, const QByteArray&, bool, const QString&
    678, 627, 495, 651, 0,	//2028  int, const QList<QByteArray>&, bool, const QString&
    678, 593, 495, 0,	//2033  int, const QByteArray&, bool
    678, 627, 495, 0,	//2037  int, const QList<QByteArray>&, bool
    602, 573, 0,	//2041  const QDateTime&, const KTimeZone::Phase&
    574, 0,	//2044  const KTimeZone::Transition&
    577, 0,	//2046  const KTimeZoneBackend&
    571, 0,	//2048  const KTimeZone*
    216, 651, 651, 677, 677, 651, 0,	//2050  KTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    216, 651, 0,	//2057  KTimeZoneSource*, const QString&
    216, 651, 651, 0,	//2060  KTimeZoneSource*, const QString&, const QString&
    216, 651, 651, 677, 0,	//2064  KTimeZoneSource*, const QString&, const QString&, float
    216, 651, 651, 677, 677, 0,	//2069  KTimeZoneSource*, const QString&, const QString&, float, float
    578, 0,	//2075  const KTimeZoneData&
    625, 678, 0,	//2077  const QList<KTimeZone::Phase>&, int
    626, 0,	//2080  const QList<KTimeZone::Transition>&
    624, 0,	//2082  const QList<KTimeZone::LeapSeconds>&
    580, 0,	//2084  const KTimeZoneSource&
    651, 651, 593, 0,	//2086  const QString&, const QString&, const QByteArray&
    585, 593, 495, 0,	//2090  const KUrl&, const QByteArray&, bool
    651, 651, 651, 651, 651, 651, 652, 593, 0,	//2094  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&
    651, 651, 384, 384, 680, 593, 495, 0,	//2103  const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool
    651, 652, 384, 384, 680, 593, 495, 0,	//2111  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool
    651, 652, 384, 680, 593, 0,	//2119  const QString&, const QStringList&, QString*, int*, const QByteArray&
    388, 249, 0,	//2125  QStringList&, QByteArray&
    585, 593, 0,	//2128  const KUrl&, const QByteArray&
    651, 651, 651, 651, 651, 0,	//2131  const QString&, const QString&, const QString&, const QString&, const QString&
    651, 651, 651, 651, 651, 651, 0,	//2137  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&
    651, 651, 651, 651, 651, 651, 652, 0,	//2144  const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&
    651, 651, 384, 0,	//2152  const QString&, const QString&, QString*
    651, 651, 384, 384, 0,	//2156  const QString&, const QString&, QString*, QString*
    651, 651, 384, 384, 680, 0,	//2161  const QString&, const QString&, QString*, QString*, int*
    651, 651, 384, 384, 680, 593, 0,	//2167  const QString&, const QString&, QString*, QString*, int*, const QByteArray&
    651, 652, 384, 0,	//2174  const QString&, const QStringList&, QString*
    651, 652, 384, 384, 0,	//2178  const QString&, const QStringList&, QString*, QString*
    651, 652, 384, 384, 680, 0,	//2183  const QString&, const QStringList&, QString*, QString*, int*
    651, 652, 384, 384, 680, 593, 0,	//2189  const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&
    651, 652, 384, 680, 0,	//2196  const QString&, const QStringList&, QString*, int*
    221, 651, 651, 677, 677, 651, 0,	//2201  KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&
    582, 0,	//2208  const KTzfileTimeZone&
    221, 651, 0,	//2210  KTzfileTimeZoneSource*, const QString&
    221, 651, 651, 0,	//2213  KTzfileTimeZoneSource*, const QString&, const QString&
    221, 651, 651, 677, 0,	//2217  KTzfileTimeZoneSource*, const QString&, const QString&, float
    221, 651, 651, 677, 677, 0,	//2222  KTzfileTimeZoneSource*, const QString&, const QString&, float, float
    583, 0,	//2228  const KTzfileTimeZoneBackend&
    584, 0,	//2230  const KTzfileTimeZoneSource&
    225, 0,	//2232  KUrl::AdjustPathOption
    586, 0,	//2234  const KUrl::CleanPathOption&
    225, 606, 0,	//2236  KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&
    608, 0,	//2239  const QFlags<KUrl::QueryItemsOption>&
    605, 0,	//2241  const QFlags<KUrl::DirectoryOption>&
    585, 495, 0,	//2243  const KUrl&, bool
    585, 607, 0,	//2246  const KUrl&, const QFlags<KUrl::EqualsOption>&
    587, 0,	//2249  const KUrl::List&
    371, 632, 232, 0,	//2251  QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags
    585, 585, 0,	//2255  const KUrl&, const KUrl&
    371, 0,	//2258  QMimeData*
    371, 632, 0,	//2260  QMimeData*, const QMap<QString,QString>&
    236, 0,	//2263  KUser::UIDMode
    669, 0,	//2265  const passwd*
    588, 0,	//2267  const KUser&
    237, 0,	//2269  KUser::UserProperty
    665, 0,	//2271  const group*
    589, 0,	//2273  const KUserGroup&
    590, 0,	//2275  const KWordMacroExpander&
    651, 651, 596, 374, 0,	//2277  const QString&, const QString&, const QDBusConnection&, QObject*
    651, 652, 652, 651, 0,	//2282  const QString&, const QStringList&, const QStringList&, const QString&
    651, 652, 652, 651, 383, 383, 679, 0,	//2287  const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&
    651, 651, 651, 383, 0,	//2295  const QString&, const QString&, const QString&, QString&
    651, 652, 652, 651, 495, 383, 383, 679, 0,	//2300  const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&
    651, 651, 596, 0,	//2309  const QString&, const QString&, const QDBusConnection&
    259, 561, 0,	//2313  QDataStream&, const KServiceAction&
    654, 654, 0,	//2316  const QStringRef&, const QStringRef&
    393, 678, 0,	//2319  QTextCodec::ConversionFlag, int
    442, 678, 0,	//2322  Qt::ImageConversionFlag, int
    663, 615, 0,	//2325  const char*, const QLatin1String&
    259, 160, 0,	//2328  QDataStream&, KProtocolInfo::ExtraField&
    654, 651, 0,	//2331  const QStringRef&, const QString&
    647, 647, 0,	//2334  const QSize&, const QSize&
    273, 300, 0,	//2337  QFile::Permission, QFlags<QFile::Permission>
    642, 642, 0,	//2340  const QPointF&, const QPointF&
    259, 381, 0,	//2343  QDataStream&, QSizeF&
    593, 663, 0,	//2346  const QByteArray&, const char*
    373, 678, 0,	//2349  QNetworkProxy::Capability, int
    651, 654, 0,	//2352  const QString&, const QStringRef&
    229, 678, 0,	//2355  KUrl::EqualsOption, int
    654, 615, 0,	//2358  const QStringRef&, const QLatin1String&
    250, 250, 0,	//2361  QChar, QChar
    599, 599, 0,	//2364  const QDBusVariant&, const QDBusVariant&
    475, 475, 0,	//2367  Qt::TouchPointState, Qt::TouchPointState
    254, 617, 0,	//2370  QDBusArgument&, const QLineF&
    254, 642, 0,	//2373  QDBusArgument&, const QPointF&
    385, 651, 0,	//2376  QString::Null, const QString&
    254, 628, 0,	//2379  QDBusArgument&, const QList<QVariant>&
    259, 614, 0,	//2382  QDataStream&, const QHostAddress&
    472, 472, 0,	//2385  Qt::ToolBarArea, Qt::ToolBarArea
    366, 366, 0,	//2388  QLocale::NumberOption, QLocale::NumberOption
    229, 229, 0,	//2391  KUrl::EqualsOption, KUrl::EqualsOption
    254, 644, 0,	//2394  QDBusArgument&, const QRectF&
    482, 482, 0,	//2397  Qt::WindowType, Qt::WindowType
    675, 649, 0,	//2400  double, const QSizeF&
    227, 227, 0,	//2403  KUrl::DirectoryOption, KUrl::DirectoryOption
    266, 678, 0,	//2406  QDir::Filter, int
    640, 640, 0,	//2409  const QPoint&, const QPoint&
    595, 335, 0,	//2412  const QDBusArgument&, QLineF&
    259, 644, 0,	//2415  QDataStream&, const QRectF&
    450, 678, 0,	//2418  Qt::KeyboardModifier, int
    469, 320, 0,	//2421  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    43, 276, 0,	//2424  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    254, 602, 0,	//2427  QDBusArgument&, const QDateTime&
    397, 307, 0,	//2430  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    404, 678, 0,	//2433  QUrl::FormattingOption, int
    273, 678, 0,	//2436  QFile::Permission, int
    640, 675, 0,	//2439  const QPoint&, double
    268, 298, 0,	//2442  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    649, 649, 0,	//2445  const QSizeF&, const QSizeF&
    33, 678, 0,	//2448  KCmdLineArgs::StdCmdLineArg, int
    139, 678, 0,	//2451  KLockFile::LockFlag, int
    450, 316, 0,	//2454  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    373, 373, 0,	//2457  QNetworkProxy::Capability, QNetworkProxy::Capability
    404, 404, 0,	//2460  QUrl::FormattingOption, QUrl::FormattingOption
    475, 322, 0,	//2463  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    227, 678, 0,	//2466  KUrl::DirectoryOption, int
    442, 442, 0,	//2469  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    366, 678, 0,	//2472  QLocale::NumberOption, int
    615, 615, 0,	//2475  const QLatin1String&, const QLatin1String&
    373, 304, 0,	//2478  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    133, 678, 0,	//2481  KLocale::TimeProcessingOption, int
    615, 654, 0,	//2484  const QLatin1String&, const QStringRef&
    227, 289, 0,	//2487  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    598, 598, 0,	//2490  const QDBusSignature&, const QDBusSignature&
    433, 433, 0,	//2493  Qt::DropAction, Qt::DropAction
    259, 365, 0,	//2496  QDataStream&, QLocale&
    651, 250, 0,	//2499  const QString&, QChar
    385, 385, 0,	//2502  QString::Null, QString::Null
    184, 286, 0,	//2505  KShell::Option, QFlags<KShell::Option>
    393, 393, 0,	//2508  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    457, 457, 0,	//2511  Qt::Orientation, Qt::Orientation
    593, 651, 0,	//2514  const QByteArray&, const QString&
    472, 321, 0,	//2517  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    643, 643, 0,	//2520  const QRect&, const QRect&
    271, 299, 0,	//2523  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    591, 591, 0,	//2526  const QBitArray&, const QBitArray&
    43, 43, 0,	//2529  KConfig::OpenFlag, KConfig::OpenFlag
    23, 678, 0,	//2532  KAutostart::Condition, int
    259, 630, 0,	//2535  QDataStream&, const QLocale&
    259, 558, 0,	//2538  QDataStream&, const KProtocolInfo::ExtraField&
    259, 265, 0,	//2541  QDataStream&, QDateTime&
    247, 247, 0,	//2544  QBool, QBool
    663, 654, 0,	//2547  const char*, const QStringRef&
    472, 678, 0,	//2550  Qt::ToolBarArea, int
    444, 678, 0,	//2553  Qt::InputMethodHint, int
    124, 678, 0,	//2556  KLocale::DateTimeFormatOption, int
    250, 651, 0,	//2559  QChar, const QString&
    386, 678, 0,	//2562  QString::SectionFlag, int
    122, 122, 0,	//2565  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    333, 678, 0,	//2568  QLibrary::LoadHint, int
    259, 403, 0,	//2571  QDataStream&, QUrl&
    184, 184, 0,	//2574  KShell::Option, KShell::Option
    651, 385, 0,	//2577  const QString&, QString::Null
    243, 678, 0,	//2580  QAbstractFileEngine::FileFlag, int
    393, 306, 0,	//2583  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    651, 498, 0,	//2586  const QString&, char
    595, 263, 0,	//2589  const QDBusArgument&, QDate&
    444, 314, 0,	//2592  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    482, 324, 0,	//2595  Qt::WindowType, QFlags<Qt::WindowType>
    254, 655, 0,	//2598  QDBusArgument&, const QTime&
    254, 616, 0,	//2601  QDBusArgument&, const QLine&
    455, 455, 0,	//2604  Qt::MouseButton, Qt::MouseButton
    228, 290, 0,	//2607  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    412, 412, 0,	//2610  Qt::AlignmentFlag, Qt::AlignmentFlag
    640, 0,	//2613  const QPoint&
    433, 678, 0,	//2615  Qt::DropAction, int
    259, 655, 0,	//2618  QDataStream&, const QTime&
    267, 678, 0,	//2621  QDir::SortFlag, int
    634, 634, 0,	//2624  const QMargins&, const QMargins&
    258, 295, 0,	//2627  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    104, 678, 0,	//2630  KJob::Capability, int
    453, 453, 0,	//2633  Qt::MatchFlag, Qt::MatchFlag
    228, 228, 0,	//2636  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    431, 310, 0,	//2639  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    186, 287, 0,	//2642  KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>
    431, 678, 0,	//2645  Qt::DockWidgetArea, int
    46, 46, 0,	//2648  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    254, 643, 0,	//2651  QDBusArgument&, const QRect&
    259, 335, 0,	//2654  QDataStream&, QLineF&
    273, 273, 0,	//2657  QFile::Permission, QFile::Permission
    124, 281, 0,	//2660  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    498, 651, 0,	//2663  char, const QString&
    597, 597, 0,	//2666  const QDBusObjectPath&, const QDBusObjectPath&
    259, 380, 0,	//2669  QDataStream&, QSize&
    259, 651, 0,	//2672  QDataStream&, const QString&
    259, 602, 0,	//2675  QDataStream&, const QDateTime&
    386, 386, 0,	//2678  QString::SectionFlag, QString::SectionFlag
    258, 258, 0,	//2681  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    642, 675, 0,	//2684  const QPointF&, double
    495, 247, 0,	//2687  bool, QBool
    595, 376, 0,	//2690  const QDBusArgument&, QPointF&
    259, 326, 0,	//2693  QDataStream&, QHostAddress&
    259, 170, 0,	//2696  QDataStream&, KServiceAction&
    259, 640, 0,	//2699  QDataStream&, const QPoint&
    132, 678, 0,	//2702  KLocale::TimeFormatOption, int
    259, 407, 0,	//2705  QDataStream&, QVariant&
    132, 282, 0,	//2708  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    455, 678, 0,	//2711  Qt::MouseButton, int
    46, 277, 0,	//2714  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    642, 0,	//2717  const QPointF&
    132, 132, 0,	//2719  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    46, 678, 0,	//2722  KConfigBase::WriteConfigFlag, int
    255, 294, 0,	//2725  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    457, 319, 0,	//2728  Qt::Orientation, QFlags<Qt::Orientation>
    271, 678, 0,	//2731  QEventLoop::ProcessEventsFlag, int
    644, 644, 0,	//2734  const QRectF&, const QRectF&
    254, 647, 0,	//2737  QDBusArgument&, const QSize&
    442, 313, 0,	//2740  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    259, 652, 0,	//2743  QDataStream&, const QStringList&
    593, 498, 0,	//2746  const QByteArray&, char
    133, 283, 0,	//2749  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    268, 268, 0,	//2752  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    266, 296, 0,	//2755  QDir::Filter, QFlags<QDir::Filter>
    259, 375, 0,	//2758  QDataStream&, QPoint&
    649, 675, 0,	//2761  const QSizeF&, double
    259, 601, 0,	//2764  QDataStream&, const QDate&
    259, 616, 0,	//2767  QDataStream&, const QLine&
    499, 0,	//2770  char*
    595, 265, 0,	//2772  const QDBusArgument&, QDateTime&
    595, 378, 0,	//2775  const QDBusArgument&, QRectF&
    229, 291, 0,	//2778  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    447, 678, 0,	//2781  Qt::ItemFlag, int
    78, 78, 0,	//2784  KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus
    395, 396, 0,	//2787  QTextStream&, QTextStream&(*)(QTextStream&)
    595, 400, 0,	//2790  const QDBusArgument&, QTime&
    104, 104, 0,	//2793  KJob::Capability, KJob::Capability
    139, 284, 0,	//2796  KLockFile::LockFlag, QFlags<KLockFile::LockFlag>
    271, 271, 0,	//2799  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    23, 274, 0,	//2802  KAutostart::Condition, QFlags<KAutostart::Condition>
    395, 398, 0,	//2805  QTextStream&, QTextStreamManipulator
    438, 312, 0,	//2808  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    255, 255, 0,	//2811  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    327, 614, 0,	//2814  QHostAddress::SpecialAddress, const QHostAddress&
    259, 246, 0,	//2817  QDataStream&, QBitArray&
    226, 226, 0,	//2820  KUrl::CleanPathOption, KUrl::CleanPathOption
    254, 633, 0,	//2823  QDBusArgument&, const QMap<QString,QVariant>&
    654, 663, 0,	//2826  const QStringRef&, const char*
    595, 375, 0,	//2829  const QDBusArgument&, QPoint&
    33, 275, 0,	//2832  KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>
    438, 678, 0,	//2835  Qt::GestureFlag, int
    498, 593, 0,	//2838  char, const QByteArray&
    259, 658, 0,	//2841  QDataStream&, const QVariant&
    595, 381, 0,	//2844  const QDBusArgument&, QSizeF&
    595, 380, 0,	//2847  const QDBusArgument&, QSize&
    481, 678, 0,	//2850  Qt::WindowState, int
    259, 400, 0,	//2853  QDataStream&, QTime&
    23, 23, 0,	//2856  KAutostart::Condition, KAutostart::Condition
    104, 279, 0,	//2859  KJob::Capability, QFlags<KJob::Capability>
    233, 233, 0,	//2862  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    450, 450, 0,	//2865  Qt::KeyboardModifier, Qt::KeyboardModifier
    675, 642, 0,	//2868  double, const QPointF&
    259, 269, 0,	//2871  QDataStream&, QEasingCurve&
    433, 311, 0,	//2874  Qt::DropAction, QFlags<Qt::DropAction>
    647, 675, 0,	//2877  const QSize&, double
    266, 266, 0,	//2880  QDir::Filter, QDir::Filter
    675, 640, 0,	//2883  double, const QPoint&
    259, 617, 0,	//2886  QDataStream&, const QLineF&
    186, 678, 0,	//2889  KStandardDirs::SearchOption, int
    43, 678, 0,	//2892  KConfig::OpenFlag, int
    331, 331, 0,	//2895  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    431, 431, 0,	//2898  Qt::DockWidgetArea, Qt::DockWidgetArea
    267, 297, 0,	//2901  QDir::SortFlag, QFlags<QDir::SortFlag>
    658, 660, 0,	//2904  const QVariant&, const QVariantComparisonHelper&
    333, 333, 0,	//2907  QLibrary::LoadHint, QLibrary::LoadHint
    268, 678, 0,	//2910  QDirIterator::IteratorFlag, int
    78, 278, 0,	//2913  KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>
    444, 444, 0,	//2916  Qt::InputMethodHint, Qt::InputMethodHint
    595, 377, 0,	//2919  const QDBusArgument&, QRect&
    469, 469, 0,	//2922  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    475, 678, 0,	//2925  Qt::TouchPointState, int
    404, 308, 0,	//2928  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    469, 678, 0,	//2931  Qt::TextInteractionFlag, int
    481, 481, 0,	//2934  Qt::WindowState, Qt::WindowState
    243, 293, 0,	//2937  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    259, 593, 0,	//2940  QDataStream&, const QByteArray&
    259, 603, 0,	//2943  QDataStream&, const QEasingCurve&
    259, 656, 0,	//2946  QDataStream&, const QUrl&
    595, 407, 0,	//2949  const QDBusArgument&, QVariant&
    267, 267, 0,	//2952  QDir::SortFlag, QDir::SortFlag
    122, 678, 0,	//2955  KLocale::DateTimeComponent, int
    122, 280, 0,	//2958  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    397, 678, 0,	//2961  QTextStream::NumberFlag, int
    259, 377, 0,	//2964  QDataStream&, QRect&
    259, 647, 0,	//2967  QDataStream&, const QSize&
    33, 33, 0,	//2970  KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg
    259, 594, 0,	//2973  QDataStream&, const QChar&
    412, 678, 0,	//2976  Qt::AlignmentFlag, int
    259, 645, 0,	//2979  QDataStream&, const QRegExp&
    595, 334, 0,	//2982  const QDBusArgument&, QLine&
    481, 323, 0,	//2985  Qt::WindowState, QFlags<Qt::WindowState>
    139, 139, 0,	//2988  KLockFile::LockFlag, KLockFile::LockFlag
    447, 447, 0,	//2991  Qt::ItemFlag, Qt::ItemFlag
    259, 405, 0,	//2994  QDataStream&, QUuid&
    226, 288, 0,	//2997  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    259, 409, 0,	//3000  QDataStream&, QVariant::Type&
    226, 678, 0,	//3003  KUrl::CleanPathOption, int
    233, 292, 0,	//3006  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    254, 601, 0,	//3009  QDBusArgument&, const QDate&
    613, 613, 0,	//3012  const QHashDummyValue&, const QHashDummyValue&
    259, 376, 0,	//3015  QDataStream&, QPointF&
    457, 678, 0,	//3018  Qt::Orientation, int
    438, 438, 0,	//3021  Qt::GestureFlag, Qt::GestureFlag
    331, 301, 0,	//3024  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    133, 133, 0,	//3027  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    255, 678, 0,	//3030  QDBusConnection::RegisterOption, int
    675, 647, 0,	//3033  double, const QSize&
    254, 649, 0,	//3036  QDBusArgument&, const QSizeF&
    228, 678, 0,	//3039  KUrl::EncodedPathAndQueryOption, int
    247, 495, 0,	//3042  QBool, bool
    259, 334, 0,	//3045  QDataStream&, QLine&
    397, 397, 0,	//3048  QTextStream::NumberFlag, QTextStream::NumberFlag
    233, 678, 0,	//3051  KUrl::QueryItemsOption, int
    455, 318, 0,	//3054  Qt::MouseButton, QFlags<Qt::MouseButton>
    186, 186, 0,	//3057  KStandardDirs::SearchOption, KStandardDirs::SearchOption
    259, 659, 0,	//3060  QDataStream&, const QVariant::Type
    447, 315, 0,	//3063  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    259, 657, 0,	//3066  QDataStream&, const QUuid&
    333, 302, 0,	//3069  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    482, 678, 0,	//3072  Qt::WindowType, int
    124, 124, 0,	//3075  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    259, 378, 0,	//3078  QDataStream&, QRectF&
    259, 643, 0,	//3081  QDataStream&, const QRect&
    453, 317, 0,	//3084  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    258, 678, 0,	//3087  QDBusServiceWatcher::WatchModeFlag, int
    412, 309, 0,	//3090  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    259, 251, 0,	//3093  QDataStream&, QChar&
    259, 379, 0,	//3096  QDataStream&, QRegExp&
    259, 642, 0,	//3099  QDataStream&, const QPointF&
    259, 649, 0,	//3102  QDataStream&, const QSizeF&
    366, 303, 0,	//3105  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    184, 678, 0,	//3108  KShell::Option, int
    386, 305, 0,	//3111  QString::SectionFlag, QFlags<QString::SectionFlag>
    243, 243, 0,	//3114  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    331, 678, 0,	//3117  QIODevice::OpenModeFlag, int
    259, 249, 0,	//3120  QDataStream&, QByteArray&
    453, 678, 0,	//3123  Qt::MatchFlag, int
    254, 640, 0,	//3126  QDBusArgument&, const QPoint&
    78, 678, 0,	//3129  KCurrencyCode::CurrencyStatus, int
    259, 263, 0,	//3132  QDataStream&, QDate&
    259, 591, 0,	//3135  QDataStream&, const QBitArray&
    270, 0,	//3138  QEvent*
    374, 270, 0,	//3140  QObject*, QEvent*
    401, 0,	//3143  QTimerEvent*
    252, 0,	//3145  QChildEvent*
    662, 374, 0,	//3147  const Sonnet::Speller&, QObject*
    662, 0,	//3150  const Sonnet::Speller&
    678, 651, 651, 0,	//3152  int, const QString&, const QString&
    491, 495, 0,	//3156  Sonnet::Speller::Attribute, bool
    491, 0,	//3159  Sonnet::Speller::Attribute
    667, 0,	//3161  const kndbgstream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AbortError",	//1
    "AbortOnMeta",	//2
    "AbstractUnixSocket",	//3
    "Action",	//4
    "Action#",	//5
    "Action$",	//6
    "Action$$",	//7
    "ActionReply",	//8
    "ActionReply#",	//9
    "ActionReply$",	//10
    "ActiveCurrency",	//11
    "AddTrailingSlash",	//12
    "AddressInUseError",	//13
    "After",	//14
    "AfterMoney",	//15
    "AfterQuantityMoney",	//16
    "AllowEmptyPath",	//17
    "AllowSeparators",	//18
    "Append",	//19
    "AppendTrailingSlash",	//20
    "Applications",	//21
    "Arabic",	//22
    "ArabicDigits",	//23
    "ArabicIndicDigits",	//24
    "AtEnd",	//25
    "AtStart",	//26
    "AuthRequired",	//27
    "AuthorizationDenied",	//28
    "AuthorizationDeniedReply",	//29
    "Authorized",	//30
    "AutoDetectedEncoding",	//31
    "AvoidEmptyPath",	//32
    "BOM",	//33
    "BackgroundChecker",	//34
    "BackgroundChecker#",	//35
    "BackgroundChecker##",	//36
    "BadQuoting",	//37
    "Baltic",	//38
    "BaseDesktop",	//39
    "Before",	//40
    "BeforeMoney",	//41
    "BeforeQuantityMoney",	//42
    "BengaliDigits",	//43
    "BoundState",	//44
    "Bytes",	//45
    "CascadeConfig",	//46
    "CaseInsensitiveKeys",	//47
    "CentralEuropean",	//48
    "CheckAll",	//49
    "CheckCommand",	//50
    "CheckCondition",	//51
    "CheckUppercase",	//52
    "ChineseSimplified",	//53
    "ChineseTraditional",	//54
    "Choice",	//55
    "Choice#",	//56
    "Choice2",	//57
    "Choice2#",	//58
    "ClockTime",	//59
    "ClosingState",	//60
    "CmdLineArgKDE",	//61
    "CmdLineArgNone",	//62
    "CmdLineArgQt",	//63
    "CmdLineArgsMask",	//64
    "CompareWithoutFragment",	//65
    "CompareWithoutTrailingSlash",	//66
    "ConnectedState",	//67
    "ConnectingState",	//68
    "ConnectionRefusedError",	//69
    "CopticCalendar",	//70
    "CopyError",	//71
    "CrashExit",	//72
    "Crashed",	//73
    "Cyrillic",	//74
    "DBusError",	//75
    "DBusErrorReply",	//76
    "DBusMulti",	//77
    "DBusNone",	//78
    "DBusUnique",	//79
    "DBusWait",	//80
    "DatagramTooLargeError",	//81
    "DateTime",	//82
    "Day",	//83
    "DayName",	//84
    "DayOfWeek",	//85
    "DayOfWeekName",	//86
    "DayOfYear",	//87
    "DayOfYearName",	//88
    "DayPeriod",	//89
    "DayPeriodHour",	//90
    "DaysInMonth",	//91
    "DaysInWeek",	//92
    "DaysInYear",	//93
    "DefaultBinaryDialect",	//94
    "DefaultBinaryUnits",	//95
    "DefaultComponentFormat",	//96
    "DefaultEncoding",	//97
    "DefaultMimeDataFlags",	//98
    "DefaultWeekNumber",	//99
    "Denied",	//100
    "DesktopServices",	//101
    "DevenagariDigits",	//102
    "Directories",	//103
    "DisplayName",	//104
    "DoCopyCatalogs",	//105
    "DontCopyCatalogs",	//106
    "DontResolveAlias",	//107
    "EasternArabicIndicDigits",	//108
    "EmitResult",	//109
    "EncodingFromHTTPHeader",	//110
    "EncodingFromMetaTag",	//111
    "EncodingFromXMLHeader",	//112
    "End",	//113
    "EndsAt",	//114
    "Equal",	//115
    "EraName",	//116
    "EraYear",	//117
    "ErrNoComponent",	//118
    "ErrNoFactory",	//119
    "ErrNoLibrary",	//120
    "ErrNoServiceFound",	//121
    "ErrServiceProvidesNoLibrary",	//122
    "Error",	//123
    "EthiopianCalendar",	//124
    "ExcludeNoDisplay",	//125
    "ExeGroup",	//126
    "ExeOther",	//127
    "ExeOwner",	//128
    "ExeUser",	//129
    "ExtraField",	//130
    "ExtraField#",	//131
    "ExtraField$$",	//132
    "FailedToStart",	//133
    "FancyLongDate",	//134
    "FancyShortDate",	//135
    "Fatal",	//136
    "FatalError",	//137
    "Files",	//138
    "ForceFlag",	//139
    "ForwardedChannels",	//140
    "FoundIt",	//141
    "FoundMeta",	//142
    "FromUrl",	//143
    "FullConfig",	//144
    "FullName",	//145
    "Global",	//146
    "GlobalDatabase",	//147
    "Greek",	//148
    "GregorianCalendar",	//149
    "GujaratiDigits",	//150
    "GurmukhiDigits",	//151
    "Hebrew",	//152
    "HebrewCalendar",	//153
    "HelperBusy",	//154
    "HelperBusyReply",	//155
    "HelperError",	//156
    "HelperErrorReply",	//157
    "HomePhone",	//158
    "HostLookupState",	//159
    "HostNotFoundError",	//160
    "Hour",	//161
    "IECBinaryDialect",	//162
    "IPv4Protocol",	//163
    "IPv6Protocol",	//164
    "ISODate",	//165
    "ITIMER_PROF",	//166
    "ITIMER_REAL",	//167
    "ITIMER_VIRTUAL",	//168
    "IgnoreExecBit",	//169
    "IgnoreTrailingSlash",	//170
    "Imperial",	//171
    "IncludeGlobals",	//172
    "IndianNationalCalendar",	//173
    "Information",	//174
    "Inside",	//175
    "Invalid",	//176
    "InvalidAction",	//177
    "InvalidActionReply",	//178
    "InvalidOffset",	//179
    "InvalidTime_t",	//180
    "IslamicCivilCalendar",	//181
    "IsoDate",	//182
    "IsoFormat",	//183
    "IsoOrdinalDate",	//184
    "IsoOrdinalFormat",	//185
    "IsoWeekDate",	//186
    "IsoWeekFormat",	//187
    "IsoWeekNumber",	//188
    "ItemBool",	//189
    "ItemBool#",	//190
    "ItemBool$$$",	//191
    "ItemBool$$$$",	//192
    "ItemDateTime",	//193
    "ItemDateTime#",	//194
    "ItemDateTime$$#",	//195
    "ItemDateTime$$##",	//196
    "ItemDouble",	//197
    "ItemDouble#",	//198
    "ItemDouble$$$",	//199
    "ItemDouble$$$$",	//200
    "ItemEnum",	//201
    "ItemEnum#",	//202
    "ItemEnum$$$?",	//203
    "ItemEnum$$$?$",	//204
    "ItemInt",	//205
    "ItemInt#",	//206
    "ItemInt$$$",	//207
    "ItemInt$$$$",	//208
    "ItemIntList",	//209
    "ItemIntList#",	//210
    "ItemIntList$$?",	//211
    "ItemIntList$$??",	//212
    "ItemLongLong",	//213
    "ItemLongLong#",	//214
    "ItemLongLong$$$",	//215
    "ItemLongLong$$$$",	//216
    "ItemPassword",	//217
    "ItemPassword#",	//218
    "ItemPassword$$$",	//219
    "ItemPassword$$$$",	//220
    "ItemPath",	//221
    "ItemPath#",	//222
    "ItemPath$$$",	//223
    "ItemPath$$$$",	//224
    "ItemPathList",	//225
    "ItemPathList#",	//226
    "ItemPathList$$?",	//227
    "ItemPathList$$??",	//228
    "ItemPoint",	//229
    "ItemPoint#",	//230
    "ItemPoint$$#",	//231
    "ItemPoint$$##",	//232
    "ItemProperty",	//233
    "ItemProperty#",	//234
    "ItemProperty$$#",	//235
    "ItemProperty$$##",	//236
    "ItemRect",	//237
    "ItemRect#",	//238
    "ItemRect$$#",	//239
    "ItemRect$$##",	//240
    "ItemSize",	//241
    "ItemSize#",	//242
    "ItemSize$$#",	//243
    "ItemSize$$##",	//244
    "ItemString",	//245
    "ItemString#",	//246
    "ItemString$$$",	//247
    "ItemString$$$$",	//248
    "ItemString$$$$$",	//249
    "ItemStringList",	//250
    "ItemStringList#",	//251
    "ItemStringList$$?",	//252
    "ItemStringList$$??",	//253
    "ItemUInt",	//254
    "ItemUInt#",	//255
    "ItemUInt$$$",	//256
    "ItemUInt$$$$",	//257
    "ItemULongLong",	//258
    "ItemULongLong#",	//259
    "ItemULongLong$$$",	//260
    "ItemULongLong$$$$",	//261
    "ItemUrl",	//262
    "ItemUrl#",	//263
    "ItemUrl$$#",	//264
    "ItemUrl$$##",	//265
    "ItemUrlList",	//266
    "ItemUrlList#",	//267
    "ItemUrlList$$?",	//268
    "ItemUrlList$$??",	//269
    "JEDECBinaryDialect",	//270
    "JalaliCalendar",	//271
    "Japanese",	//272
    "JapaneseCalendar",	//273
    "JulianCalendar",	//274
    "JulianDay",	//275
    "KAboutData",	//276
    "KAboutData#",	//277
    "KAboutData####",	//278
    "KAboutData#####",	//279
    "KAboutData#####$",	//280
    "KAboutData#####$#",	//281
    "KAboutData#####$##",	//282
    "KAboutData#####$###",	//283
    "KAboutData#####$####",	//284
    "KAboutLicense",	//285
    "KAboutLicense#",	//286
    "KAboutPerson",	//287
    "KAboutPerson#",	//288
    "KAboutPerson##",	//289
    "KAboutPerson###",	//290
    "KAboutPerson####",	//291
    "KAboutPerson#####",	//292
    "KAuthError",	//293
    "KAutoSaveFile",	//294
    "KAutoSaveFile#",	//295
    "KAutoSaveFile##",	//296
    "KAutostart",	//297
    "KAutostart$",	//298
    "KAutostart$#",	//299
    "KCalendarSystem",	//300
    "KCalendarSystem#",	//301
    "KCalendarSystem#?",	//302
    "KCalendarSystem#?#",	//303
    "KCalendarSystem?",	//304
    "KCalendarSystem?#",	//305
    "KCharMacroExpander",	//306
    "KCharMacroExpander#",	//307
    "KCharsets",	//308
    "KCharsets#",	//309
    "KCmdLineArgs",	//310
    "KCmdLineArgs#",	//311
    "KCmdLineArgs###",	//312
    "KCmdLineOptions",	//313
    "KCmdLineOptions#",	//314
    "KComponentData",	//315
    "KComponentData#",	//316
    "KComponentData##",	//317
    "KComponentData##$",	//318
    "KComponentData#$",	//319
    "KCompositeJob",	//320
    "KCompositeJob#",	//321
    "KCompositeJob##",	//322
    "KConfig",	//323
    "KConfig#",	//324
    "KConfig#$",	//325
    "KConfig#$$",	//326
    "KConfig#$$$",	//327
    "KConfig$",	//328
    "KConfig$$",	//329
    "KConfig$$$",	//330
    "KConfigBase",	//331
    "KConfigBase#",	//332
    "KConfigGroup",	//333
    "KConfigGroup#",	//334
    "KConfigGroup#$",	//335
    "KConfigGroup?$",	//336
    "KConfigSkeletonItem",	//337
    "KConfigSkeletonItem#",	//338
    "KConfigSkeletonItem$$",	//339
    "KCoreConfigSkeleton",	//340
    "KCoreConfigSkeleton$",	//341
    "KCoreConfigSkeleton$#",	//342
    "KCoreConfigSkeleton?",	//343
    "KCoreConfigSkeleton?#",	//344
    "KCurrencyCode",	//345
    "KCurrencyCode#",	//346
    "KCurrencyCode#$",	//347
    "KCurrencyCode$",	//348
    "KCurrencyCode$$",	//349
    "KDEDModule",	//350
    "KDEDModule#",	//351
    "KDEPluginVerificationData",	//352
    "KDEPluginVerificationData#",	//353
    "KDEVersion",	//354
    "KDEVersionString",	//355
    "KDateTime",	//356
    "KDateTime#",	//357
    "KDateTime##",	//358
    "KDateTime###",	//359
    "KDebug",	//360
    "KDebug#",	//361
    "KDebug$",	//362
    "KDebug$$",	//363
    "KDebug$$$",	//364
    "KDebug$$$$",	//365
    "KDebugTag",	//366
    "KDebugTag#",	//367
    "KDesktopFile",	//368
    "KDesktopFile$",	//369
    "KDesktopFile$$",	//370
    "KEncodingDetector",	//371
    "KEncodingDetector#",	//372
    "KEncodingDetector#$",	//373
    "KEncodingDetector#$$",	//374
    "KEncodingProber",	//375
    "KEncodingProber#",	//376
    "KEncodingProber$",	//377
    "KFilterBase",	//378
    "KJob",	//379
    "KJob#",	//380
    "KJob##",	//381
    "KJobTrackerInterface",	//382
    "KJobTrackerInterface#",	//383
    "KJobUiDelegate",	//384
    "KLibrary",	//385
    "KLibrary#",	//386
    "KLibrary$",	//387
    "KLibrary$#",	//388
    "KLibrary$##",	//389
    "KLibrary$$",	//390
    "KLibrary$$#",	//391
    "KLibrary$$##",	//392
    "KLocalSocket",	//393
    "KLocalSocket#",	//394
    "KLocalSocketServer",	//395
    "KLocalSocketServer#",	//396
    "KLocale",	//397
    "KLocale#",	//398
    "KLocale$",	//399
    "KLocale$$",	//400
    "KLocale$$$",	//401
    "KLocale$$$#",	//402
    "KLocale$?",	//403
    "KLocalizedString",	//404
    "KLocalizedString#",	//405
    "KLockFile",	//406
    "KLockFile#",	//407
    "KLockFile$",	//408
    "KLockFile$#",	//409
    "KMD5",	//410
    "KMD5#",	//411
    "KMD5$",	//412
    "KMD5$$",	//413
    "KMacroExpanderBase",	//414
    "KMacroExpanderBase#",	//415
    "KMessageHandler",	//416
    "KMessageHandler#",	//417
    "KMimeType",	//418
    "KMimeType#",	//419
    "KMimeType#$",	//420
    "KMimeType#$$",	//421
    "KMimeType$$$",	//422
    "KMimeTypeTrader",	//423
    "KMimeTypeTrader#",	//424
    "KPluginFactory",	//425
    "KPluginFactory#",	//426
    "KPluginFactory##",	//427
    "KPluginFactory$",	//428
    "KPluginFactory$$",	//429
    "KPluginFactory$$#",	//430
    "KPluginInfo",	//431
    "KPluginInfo#",	//432
    "KPluginInfo$",	//433
    "KPluginInfo$$",	//434
    "KPluginInfo?",	//435
    "KPluginLoader",	//436
    "KPluginLoader#",	//437
    "KPluginLoader##",	//438
    "KPluginLoader###",	//439
    "KPluginLoader$",	//440
    "KPluginLoader$#",	//441
    "KPluginLoader$##",	//442
    "KProcess",	//443
    "KProcess#",	//444
    "KProcess##",	//445
    "KProtocolInfo",	//446
    "KProtocolInfo#$",	//447
    "KRandomSequence",	//448
    "KRandomSequence#",	//449
    "KRandomSequence$",	//450
    "KST_CTimeInfo",	//451
    "KST_KCustom",	//452
    "KST_KDEDesktopMimeType",	//453
    "KST_KFolderMimeType",	//454
    "KST_KImageIO",	//455
    "KST_KImageIOFormat",	//456
    "KST_KMimeType",	//457
    "KST_KMimeTypeEntry",	//458
    "KST_KMimeTypeFactory",	//459
    "KST_KProtocolInfo",	//460
    "KST_KProtocolInfoFactory",	//461
    "KST_KService",	//462
    "KST_KServiceFactory",	//463
    "KST_KServiceGroup",	//464
    "KST_KServiceGroupFactory",	//465
    "KST_KServiceSeparator",	//466
    "KST_KServiceType",	//467
    "KST_KServiceTypeFactory",	//468
    "KST_KSycocaEntry",	//469
    "KSaveFile",	//470
    "KSaveFile$",	//471
    "KSaveFile$#",	//472
    "KService",	//473
    "KService#",	//474
    "KService#$",	//475
    "KService$",	//476
    "KService$$$",	//477
    "KServiceAction",	//478
    "KServiceAction#",	//479
    "KServiceAction$$$$",	//480
    "KServiceAction$$$$$",	//481
    "KServiceGroup",	//482
    "KServiceGroup#$$",	//483
    "KServiceGroup$",	//484
    "KServiceGroup$$",	//485
    "KServiceType",	//486
    "KServiceType#",	//487
    "KServiceType#$",	//488
    "KServiceType#$$",	//489
    "KStandardDirs",	//490
    "KSycoca",	//491
    "KSycoca$",	//492
    "KSycocaEntry",	//493
    "KSycocaEntry#",	//494
    "KSystemTimeZone",	//495
    "KSystemTimeZone#",	//496
    "KSystemTimeZone#$",	//497
    "KSystemTimeZone#$$",	//498
    "KSystemTimeZone#$$$",	//499
    "KSystemTimeZone#$$$$",	//500
    "KSystemTimeZone#$$$$$",	//501
    "KSystemTimeZoneBackend",	//502
    "KSystemTimeZoneBackend#",	//503
    "KSystemTimeZoneBackend#$$$$$",	//504
    "KSystemTimeZoneSource",	//505
    "KSystemTimeZoneSource#",	//506
    "KTempDir",	//507
    "KTempDir$",	//508
    "KTempDir$$",	//509
    "KTemporaryFile",	//510
    "KTemporaryFile#",	//511
    "KTimeZone",	//512
    "KTimeZone#",	//513
    "KTimeZone$",	//514
    "KTimeZoneBackend",	//515
    "KTimeZoneBackend#",	//516
    "KTimeZoneBackend#$",	//517
    "KTimeZoneBackend#$$",	//518
    "KTimeZoneBackend#$$$",	//519
    "KTimeZoneBackend#$$$$",	//520
    "KTimeZoneBackend#$$$$$",	//521
    "KTimeZoneBackend$",	//522
    "KTimeZoneData",	//523
    "KTimeZoneData#",	//524
    "KTimeZoneSource",	//525
    "KTimeZoneSource#",	//526
    "KTimeZoneSource$",	//527
    "KTimeZones",	//528
    "KTzfileTimeZone",	//529
    "KTzfileTimeZone#",	//530
    "KTzfileTimeZone#$",	//531
    "KTzfileTimeZone#$$",	//532
    "KTzfileTimeZone#$$$",	//533
    "KTzfileTimeZone#$$$$",	//534
    "KTzfileTimeZone#$$$$$",	//535
    "KTzfileTimeZoneBackend",	//536
    "KTzfileTimeZoneBackend#",	//537
    "KTzfileTimeZoneBackend#$$$$$",	//538
    "KTzfileTimeZoneSource",	//539
    "KTzfileTimeZoneSource#",	//540
    "KTzfileTimeZoneSource$",	//541
    "KUrl",	//542
    "KUrl#",	//543
    "KUrl#$",	//544
    "KUrl$",	//545
    "KUser",	//546
    "KUser#",	//547
    "KUser$",	//548
    "KUserGroup",	//549
    "KUserGroup#",	//550
    "KUserGroup$",	//551
    "KWordMacroExpander",	//552
    "KWordMacroExpander#",	//553
    "KannadaDigits",	//554
    "KdeFormat",	//555
    "KeepAliveOption",	//556
    "KeepDirSeparators",	//557
    "KhmerDigits",	//558
    "Killable",	//559
    "KilledJobError",	//560
    "Korean",	//561
    "LastBinaryDialect",	//562
    "LeapSeconds",	//563
    "LeapSeconds#",	//564
    "LeapSeconds#$",	//565
    "LeapSeconds#$$",	//566
    "LeaveTrailingSlash",	//567
    "LiberalParsing",	//568
    "License_Artistic",	//569
    "License_BSD",	//570
    "License_Custom",	//571
    "License_File",	//572
    "License_GPL",	//573
    "License_GPL_V2",	//574
    "License_GPL_V3",	//575
    "License_LGPL",	//576
    "License_LGPL_V2",	//577
    "License_LGPL_V3",	//578
    "License_QPL",	//579
    "License_QPL_V1_0",	//580
    "License_Unknown",	//581
    "ListeningState",	//582
    "LocalDatabase",	//583
    "LocalDate",	//584
    "LocalZone",	//585
    "Localized",	//586
    "LockError",	//587
    "LockFail",	//588
    "LockOK",	//589
    "LockStale",	//590
    "LongDate",	//591
    "LongDayName",	//592
    "LongFormat",	//593
    "LongName",	//594
    "LongNamePossessive",	//595
    "LongNumber",	//596
    "LowDelayOption",	//597
    "MalayalamDigits",	//598
    "MergedChannels",	//599
    "Metric",	//600
    "MetricBinaryDialect",	//601
    "Millisecond",	//602
    "MinguoCalendar",	//603
    "Minute",	//604
    "Month",	//605
    "MonthName",	//606
    "MonthsInYear",	//607
    "Name",	//608
    "NarrowName",	//609
    "NetworkError",	//610
    "NoAccess",	//611
    "NoBlockFlag",	//612
    "NoCapabilities",	//613
    "NoCascade",	//614
    "NoConditions",	//615
    "NoDuplicates",	//616
    "NoError",	//617
    "NoGlobals",	//618
    "NoHeaders",	//619
    "NoOptions",	//620
    "NoResponder",	//621
    "NoResponderReply",	//622
    "NoSearchOptions",	//623
    "NoSuchAction",	//624
    "NoSuchActionReply",	//625
    "NoTextExport",	//626
    "None",	//627
    "Normal",	//628
    "NormalExit",	//629
    "NormalFormat",	//630
    "NorthernSaami",	//631
    "NotMe",	//632
    "NotOpen",	//633
    "NotRunning",	//634
    "ObeyTrailingSlash",	//635
    "ObsoleteCurrency",	//636
    "OffsetFromUTC",	//637
    "OffsetFromUTC$",	//638
    "Ok",	//639
    "OnlyStderrChannel",	//640
    "OnlyStdoutChannel",	//641
    "OpenError",	//642
    "OrgKdeKLauncherInterface",	//643
    "OrgKdeKLauncherInterface$$#",	//644
    "OrgKdeKLauncherInterface$$##",	//645
    "OriyaDigits",	//646
    "Other",	//647
    "Outside",	//648
    "ParensAround",	//649
    "Password",	//650
    "Path",	//651
    "PermissionsError",	//652
    "PermitEmptyPath",	//653
    "Persistent",	//654
    "Phase",	//655
    "Phase#",	//656
    "Phase$#$",	//657
    "Phase$#$$",	//658
    "Phase$?$",	//659
    "Phase$?$$",	//660
    "PluginVerificationDataVersion",	//661
    "PositionError",	//662
    "PosixFormat",	//663
    "Probing",	//664
    "ProcessNonStrict",	//665
    "ProcessStrict",	//666
    "ProxyAuthenticationRequiredError",	//667
    "ProxyConnectionClosedError",	//668
    "ProxyConnectionRefusedError",	//669
    "ProxyConnectionTimeoutError",	//670
    "ProxyNotFoundError",	//671
    "ProxyProtocolError",	//672
    "QDateCalendar",	//673
    "QtCriticalMsg",	//674
    "QtDebugMsg",	//675
    "QtFatalMsg",	//676
    "QtSystemMsg",	//677
    "QtTextDate",	//678
    "QtWarningMsg",	//679
    "Quietly",	//680
    "RFCDate",	//681
    "RFCDateDay",	//682
    "ReadError",	//683
    "ReadGroup",	//684
    "ReadOnly",	//685
    "ReadOther",	//686
    "ReadOwner",	//687
    "ReadUser",	//688
    "ReadWrite",	//689
    "Recursive",	//690
    "RegisterAsMainComponent",	//691
    "RemoteHostClosedError",	//692
    "RemoveError",	//693
    "RemoveTrailingSlash",	//694
    "RenameError",	//695
    "Reserved",	//696
    "ResizeError",	//697
    "ResolveAliases",	//698
    "ResourceError",	//699
    "RoomNumber",	//700
    "Running",	//701
    "Second",	//702
    "Seconds",	//703
    "SemiautomaticDetection",	//704
    "SeparateChannels",	//705
    "ShortDate",	//706
    "ShortDayName",	//707
    "ShortFormat",	//708
    "ShortName",	//709
    "ShortNamePossessive",	//710
    "ShortNumber",	//711
    "SimpleConfig",	//712
    "SimplifyDirSeparators",	//713
    "SkipMainComponentRegistration",	//714
    "SkipRunTogether",	//715
    "SocketAccessError",	//716
    "SocketAddressNotAvailableError",	//717
    "SocketResourceError",	//718
    "SocketTimeoutError",	//719
    "Sorry",	//720
    "SortByGenericName",	//721
    "SortEntries",	//722
    "SouthEasternEurope",	//723
    "Spec",	//724
    "Spec#",	//725
    "Spec$",	//726
    "Spec$$",	//727
    "Speller",	//728
    "Speller#",	//729
    "Speller$",	//730
    "SslHandshakeFailedError",	//731
    "StandardError",	//732
    "StandardOutput",	//733
    "Starting",	//734
    "StartsAt",	//735
    "String",	//736
    "Success",	//737
    "SuccessReply",	//738
    "Suspendable",	//739
    "SuspendedCurrency",	//740
    "T_ERROR",	//741
    "T_FILESYSTEM",	//742
    "T_NONE",	//743
    "T_STREAM",	//744
    "TamilDigits",	//745
    "TcpSocket",	//746
    "TeluguDigits",	//747
    "Text",	//748
    "Thai",	//749
    "ThaiCalendar",	//750
    "ThaiDigits",	//751
    "TildeExpand",	//752
    "TimeDefault",	//753
    "TimeDuration",	//754
    "TimeFoldHours",	//755
    "TimeOutError",	//756
    "TimeWithoutAmPm",	//757
    "TimeWithoutSeconds",	//758
    "TimeZone",	//759
    "Timedout",	//760
    "Timezone",	//761
    "TimezoneName",	//762
    "Transition",	//763
    "Transition#",	//764
    "Transition##",	//765
    "Truncate",	//766
    "Turkish",	//767
    "UNKNOWN",	//768
    "UTC",	//769
    "UdpSocket",	//770
    "Unbuffered",	//771
    "UnconnectedState",	//772
    "UnfinishedSocketOperationError",	//773
    "Unicode",	//774
    "UnicodeFormat",	//775
    "UnitByte",	//776
    "UnitExaByte",	//777
    "UnitGigaByte",	//778
    "UnitKiloByte",	//779
    "UnitLastUnit",	//780
    "UnitMegaByte",	//781
    "UnitPetaByte",	//782
    "UnitTeraByte",	//783
    "UnitYottaByte",	//784
    "UnitZettaByte",	//785
    "Universal",	//786
    "UnixSocket",	//787
    "UnixTime",	//788
    "UnknownError",	//789
    "UnknownLocalSocketType",	//790
    "UnknownNetworkLayerProtocol",	//791
    "UnknownSocketError",	//792
    "UnknownSocketType",	//793
    "UnspecifiedError",	//794
    "UnsupportedSocketOperationError",	//795
    "UseEffectiveUID",	//796
    "UseRealUserID",	//797
    "UserCancelled",	//798
    "UserCancelledReply",	//799
    "UserChosenEncoding",	//800
    "UserDefinedError",	//801
    "Warning",	//802
    "Week",	//803
    "WeekYear",	//804
    "WeeksInYear",	//805
    "WesternEuropean",	//806
    "WithHeaders",	//807
    "WithSeconds",	//808
    "WithoutSeconds",	//809
    "WorkPhone",	//810
    "WriteError",	//811
    "WriteGroup",	//812
    "WriteOnly",	//813
    "WriteOther",	//814
    "WriteOwner",	//815
    "WriteUser",	//816
    "Year",	//817
    "YearInEra",	//818
    "YearName",	//819
    "_ISalnum",	//820
    "_ISalpha",	//821
    "_ISblank",	//822
    "_IScntrl",	//823
    "_ISdigit",	//824
    "_ISgraph",	//825
    "_ISlower",	//826
    "_ISprint",	//827
    "_ISpunct",	//828
    "_ISspace",	//829
    "_ISupper",	//830
    "_ISxdigit",	//831
    "__codecvt_error",	//832
    "__codecvt_noconv",	//833
    "__codecvt_ok",	//834
    "__codecvt_partial",	//835
    "_k_accessServiceTypes",	//836
    "abbreviation",	//837
    "abbreviation#",	//838
    "abbreviations",	//839
    "abort",	//840
    "aboutData",	//841
    "aboutTranslationTeam",	//842
    "absoluteFilePath",	//843
    "absoluteFilePath?",	//844
    "access",	//845
    "access$$",	//846
    "accessMode",	//847
    "action",	//848
    "actionGroup",	//849
    "actionGroup$",	//850
    "actionPerformed",	//851
    "actionPerformed#",	//852
    "actionStarted",	//853
    "actions",	//854
    "activeComponent",	//855
    "add",	//856
    "add#",	//857
    "add##",	//858
    "add###",	//859
    "addArgument",	//860
    "addArgument$#",	//861
    "addAuthor",	//862
    "addAuthor#",	//863
    "addAuthor##",	//864
    "addAuthor###",	//865
    "addAuthor####",	//866
    "addAuthor#####",	//867
    "addCmdLineOptions",	//868
    "addCmdLineOptions#",	//869
    "addCmdLineOptions##",	//870
    "addCmdLineOptions###",	//871
    "addCmdLineOptions####",	//872
    "addConfigSources",	//873
    "addConfigSources?",	//874
    "addCredit",	//875
    "addCredit#",	//876
    "addCredit##",	//877
    "addCredit###",	//878
    "addCredit####",	//879
    "addCredit#####",	//880
    "addCustomized",	//881
    "addCustomized#",	//882
    "addData",	//883
    "addData$#",	//884
    "addDays",	//885
    "addDays#$",	//886
    "addDays$",	//887
    "addEntry",	//888
    "addEntry?",	//889
    "addFactory",	//890
    "addFactory#",	//891
    "addItem",	//892
    "addItem#",	//893
    "addItem#$",	//894
    "addItemBool",	//895
    "addItemBool$$",	//896
    "addItemBool$$$",	//897
    "addItemBool$$$$",	//898
    "addItemDateTime",	//899
    "addItemDateTime$#",	//900
    "addItemDateTime$##",	//901
    "addItemDateTime$##$",	//902
    "addItemDouble",	//903
    "addItemDouble$$",	//904
    "addItemDouble$$$",	//905
    "addItemDouble$$$$",	//906
    "addItemInt",	//907
    "addItemInt$$",	//908
    "addItemInt$$$",	//909
    "addItemInt$$$$",	//910
    "addItemInt64",	//911
    "addItemInt64$$",	//912
    "addItemInt64$$$",	//913
    "addItemInt64$$$$",	//914
    "addItemIntList",	//915
    "addItemIntList$?",	//916
    "addItemIntList$??",	//917
    "addItemIntList$??$",	//918
    "addItemLongLong",	//919
    "addItemLongLong$$",	//920
    "addItemLongLong$$$",	//921
    "addItemLongLong$$$$",	//922
    "addItemPassword",	//923
    "addItemPassword$$",	//924
    "addItemPassword$$$",	//925
    "addItemPassword$$$$",	//926
    "addItemPath",	//927
    "addItemPath$$",	//928
    "addItemPath$$$",	//929
    "addItemPath$$$$",	//930
    "addItemPoint",	//931
    "addItemPoint$#",	//932
    "addItemPoint$##",	//933
    "addItemPoint$##$",	//934
    "addItemProperty",	//935
    "addItemProperty$#",	//936
    "addItemProperty$##",	//937
    "addItemProperty$##$",	//938
    "addItemRect",	//939
    "addItemRect$#",	//940
    "addItemRect$##",	//941
    "addItemRect$##$",	//942
    "addItemSize",	//943
    "addItemSize$#",	//944
    "addItemSize$##",	//945
    "addItemSize$##$",	//946
    "addItemString",	//947
    "addItemString$$",	//948
    "addItemString$$$",	//949
    "addItemString$$$$",	//950
    "addItemStringList",	//951
    "addItemStringList$?",	//952
    "addItemStringList$??",	//953
    "addItemStringList$??$",	//954
    "addItemUInt",	//955
    "addItemUInt$$",	//956
    "addItemUInt$$$",	//957
    "addItemUInt$$$$",	//958
    "addItemUInt64",	//959
    "addItemUInt64$$",	//960
    "addItemUInt64$$$",	//961
    "addItemUInt64$$$$",	//962
    "addItemULongLong",	//963
    "addItemULongLong$$",	//964
    "addItemULongLong$$$",	//965
    "addItemULongLong$$$$",	//966
    "addLicense",	//967
    "addLicense$",	//968
    "addLicenseText",	//969
    "addLicenseText#",	//970
    "addLicenseTextFile",	//971
    "addLicenseTextFile$",	//972
    "addMSecs",	//973
    "addMSecs$",	//974
    "addMonths",	//975
    "addMonths#$",	//976
    "addMonths$",	//977
    "addPath",	//978
    "addPath$",	//979
    "addPrefix",	//980
    "addPrefix$",	//981
    "addQueryItem",	//982
    "addQueryItem$$",	//983
    "addResourceDir",	//984
    "addResourceDir$$",	//985
    "addResourceDir$$$",	//986
    "addResourceType",	//987
    "addResourceType$$",	//988
    "addResourceType$$$",	//989
    "addResourceType$$$$",	//990
    "addSecs",	//991
    "addSecs$",	//992
    "addStdCmdLineOptions",	//993
    "addStdCmdLineOptions$",	//994
    "addSubjob",	//995
    "addSubjob#",	//996
    "addTempFileOption",	//997
    "addToAllowedEnvironments",	//998
    "addToAllowedEnvironments$",	//999
    "addToExcludedEnvironments",	//1000
    "addToExcludedEnvironments$",	//1001
    "addToPersonal",	//1002
    "addToPersonal$",	//1003
    "addToSession",	//1004
    "addToSession$",	//1005
    "addWordToPersonal",	//1006
    "addWordToPersonal$",	//1007
    "addXdgConfigPrefix",	//1008
    "addXdgConfigPrefix$",	//1009
    "addXdgDataPrefix",	//1010
    "addXdgDataPrefix$",	//1011
    "addYears",	//1012
    "addYears#$",	//1013
    "addYears$",	//1014
    "adjustPath",	//1015
    "adjustPath$",	//1016
    "allArguments",	//1017
    "allCountriesList",	//1018
    "allCurrencyCodesList",	//1019
    "allCurrencyCodesList$",	//1020
    "allDigitSetsList",	//1021
    "allGroupNames",	//1022
    "allGroups",	//1023
    "allLanguagesList",	//1024
    "allMimeTypes",	//1025
    "allParentMimeTypes",	//1026
    "allResourceDirs",	//1027
    "allServiceTypes",	//1028
    "allServices",	//1029
    "allStaleFiles",	//1030
    "allStaleFiles$",	//1031
    "allTypes",	//1032
    "allUserNames",	//1033
    "allUsers",	//1034
    "allowAsDefault",	//1035
    "allowInline",	//1036
    "allowMultipleFiles",	//1037
    "allowUrlAction",	//1038
    "allowUrlAction$##",	//1039
    "allowedEnvironments",	//1040
    "analyze",	//1041
    "analyze$$",	//1042
    "appName",	//1043
    "applyConstraints",	//1044
    "applyConstraints?$",	//1045
    "applyShortYearWindow",	//1046
    "applyShortYearWindow$",	//1047
    "archiveMimeTypes",	//1048
    "arg",	//1049
    "arg$",	//1050
    "arguments",	//1051
    "atEnd",	//1052
    "author",	//1053
    "authorize",	//1054
    "authorize$",	//1055
    "authorizeControlModule",	//1056
    "authorizeControlModule$",	//1057
    "authorizeControlModules",	//1058
    "authorizeControlModules?",	//1059
    "authorizeKAction",	//1060
    "authorizeKAction$",	//1061
    "authorizeUrlAction",	//1062
    "authorizeUrlAction$##",	//1063
    "authors",	//1064
    "autoDetectLanguage",	//1065
    "autoRemove",	//1066
    "autoStart",	//1067
    "autoStart$",	//1068
    "autoStart0Done",	//1069
    "autoStart1Done",	//1070
    "autoStart2Done",	//1071
    "autostarts",	//1072
    "autostarts$",	//1073
    "autostarts$$",	//1074
    "availableBackends",	//1075
    "availableDictionaries",	//1076
    "availableEncodingNames",	//1077
    "availableLanguageNames",	//1078
    "availableLanguages",	//1079
    "backupFile",	//1080
    "backupFile$",	//1081
    "backupFile$$",	//1082
    "base64Decode",	//1083
    "base64Decode#",	//1084
    "base64Decode##",	//1085
    "base64Digest",	//1086
    "base64Encode",	//1087
    "base64Encode#",	//1088
    "base64Encode##",	//1089
    "base64Encode##$",	//1090
    "base64Encode#$",	//1091
    "baseGroup",	//1092
    "baseGroup$",	//1093
    "baseGroupName",	//1094
    "binaryUnitDialect",	//1095
    "bugAddress",	//1096
    "byKeyword",	//1097
    "byKeyword$",	//1098
    "bytesAvailable",	//1099
    "bytesToWrite",	//1100
    "calcResourceHash",	//1101
    "calcResourceHash$$",	//1102
    "calcResourceHash$$$",	//1103
    "calendar",	//1104
    "calendarLabel",	//1105
    "calendarLabel$",	//1106
    "calendarLabel$#",	//1107
    "calendarSystem",	//1108
    "calendarSystemForCalendarType",	//1109
    "calendarSystemForCalendarType$",	//1110
    "calendarSystems",	//1111
    "calendarSystemsList",	//1112
    "calendarType",	//1113
    "canDeleteRecursive",	//1114
    "canReadLine",	//1115
    "canRenameFromFile",	//1116
    "canRenameToFile",	//1117
    "capabilities",	//1118
    "capabilities$",	//1119
    "caption",	//1120
    "capwords",	//1121
    "capwords$",	//1122
    "capwords?",	//1123
    "catalogName",	//1124
    "categories",	//1125
    "category",	//1126
    "cd",	//1127
    "cd$",	//1128
    "changeGroup",	//1129
    "changeGroup$",	//1130
    "changeLanguage",	//1131
    "changeLanguage$",	//1132
    "charsets",	//1133
    "checkAccess",	//1134
    "checkAccess$$",	//1135
    "checkAllowedEnvironment",	//1136
    "checkAllowedEnvironment$",	//1137
    "checkAndSuggest",	//1138
    "checkAndSuggest$?",	//1139
    "checkUpdate",	//1140
    "checkUpdate$$",	//1141
    "checkWord",	//1142
    "checkWord$",	//1143
    "childCount",	//1144
    "childEvent",	//1145
    "childGroup",	//1146
    "childGroup$",	//1147
    "chmod",	//1148
    "chmod$$",	//1149
    "choices",	//1150
    "choices2",	//1151
    "cleanPath",	//1152
    "cleanPath$",	//1153
    "clear",	//1154
    "clearEnvironment",	//1155
    "clearProgram",	//1156
    "clearSubjobs",	//1157
    "clone",	//1158
    "close",	//1159
    "cmp",	//1160
    "cmp#",	//1161
    "cmp#$",	//1162
    "codecForEncoding",	//1163
    "codecForName",	//1164
    "codecForName$",	//1165
    "codecForName$$",	//1166
    "command",	//1167
    "commandToCheck",	//1168
    "comment",	//1169
    "comment#",	//1170
    "compare",	//1171
    "compare#",	//1172
    "componentData",	//1173
    "componentName",	//1174
    "compress",	//1175
    "compress$",	//1176
    "confidence",	//1177
    "config",	//1178
    "config$",	//1179
    "configChanged",	//1180
    "connectNotify",	//1181
    "connectToHost",	//1182
    "connectToHost#",	//1183
    "connectToHost##",	//1184
    "connectToHost#$$$",	//1185
    "connectToHost$$$",	//1186
    "connectToHost$$$#",	//1187
    "connectToHostImplementation",	//1188
    "connectToHostImplementation$$$",	//1189
    "connectToPath",	//1190
    "connectToPath$",	//1191
    "connectToPath$$",	//1192
    "connectToPath$$$",	//1193
    "continueChecking",	//1194
    "convert",	//1195
    "convert##",	//1196
    "convertDigits",	//1197
    "convertDigits$$",	//1198
    "convertDigits$$$",	//1199
    "copyCatalogsTo",	//1200
    "copyCatalogsTo#",	//1201
    "copyTo",	//1202
    "copyTo#",	//1203
    "copyTo#$",	//1204
    "copyTo$",	//1205
    "copyTo$#",	//1206
    "copyrightStatement",	//1207
    "count",	//1208
    "countriesUsingCurrency",	//1209
    "country",	//1210
    "countryCode",	//1211
    "countryCodeToName",	//1212
    "countryCodeToName$",	//1213
    "countryDivisionCode",	//1214
    "create",	//1215
    "create#",	//1216
    "create#$",	//1217
    "create#$?",	//1218
    "create$",	//1219
    "create$#",	//1220
    "create$##?$",	//1221
    "create$$",	//1222
    "create$?",	//1223
    "create$?#",	//1224
    "createObject",	//1225
    "createObject#$?",	//1226
    "createPartObject",	//1227
    "createPartObject##$?",	//1228
    "credits",	//1229
    "csqueeze",	//1230
    "csqueeze$",	//1231
    "csqueeze$$",	//1232
    "currency",	//1233
    "currencyCode",	//1234
    "currencyCodeList",	//1235
    "currencyCodeToName",	//1236
    "currencyCodeToName$",	//1237
    "currencyCodeToName$$",	//1238
    "currencySymbol",	//1239
    "currentContext",	//1240
    "currentDateTime",	//1241
    "currentDateTime#",	//1242
    "currentGroup",	//1243
    "currentLocalDate",	//1244
    "currentLocalDateTime",	//1245
    "currentLocalTime",	//1246
    "currentOffset",	//1247
    "currentOffset$",	//1248
    "currentUtcDateTime",	//1249
    "customAuthorPlainText",	//1250
    "customAuthorRichText",	//1251
    "customAuthorTextEnabled",	//1252
    "customEvent",	//1253
    "cwd",	//1254
    "data",	//1255
    "data$",	//1256
    "dataVersion",	//1257
    "databaseChanged",	//1258
    "databaseChanged?",	//1259
    "datagramSocket",	//1260
    "datagramSocket$$",	//1261
    "datagramSocket$$#",	//1262
    "date",	//1263
    "dateDifference",	//1264
    "dateDifference##$$$$",	//1265
    "dateFormat",	//1266
    "dateFormatShort",	//1267
    "dateIntroduced",	//1268
    "dateMonthNamePossessive",	//1269
    "dateSuspended",	//1270
    "dateTime",	//1271
    "dateTimeDigitSet",	//1272
    "dateToJulianDay",	//1273
    "dateToJulianDay$$$$",	//1274
    "dateWithdrawn",	//1275
    "day",	//1276
    "day#",	//1277
    "dayOfWeek",	//1278
    "dayOfWeek#",	//1279
    "dayOfWeekString",	//1280
    "dayOfWeekString#",	//1281
    "dayOfYear",	//1282
    "dayOfYear#",	//1283
    "dayOfYearString",	//1284
    "dayOfYearString#",	//1285
    "dayOfYearString#$",	//1286
    "dayPeriodText",	//1287
    "dayPeriodText#",	//1288
    "dayPeriodText#$",	//1289
    "dayString",	//1290
    "dayString#",	//1291
    "dayString#$",	//1292
    "dayStringToInteger",	//1293
    "dayStringToInteger$$",	//1294
    "daysDifference",	//1295
    "daysDifference##",	//1296
    "daysInMonth",	//1297
    "daysInMonth#",	//1298
    "daysInMonth$$",	//1299
    "daysInMonthString",	//1300
    "daysInMonthString#",	//1301
    "daysInMonthString#$",	//1302
    "daysInWeek",	//1303
    "daysInWeek#",	//1304
    "daysInWeekString",	//1305
    "daysInWeekString#",	//1306
    "daysInYear",	//1307
    "daysInYear#",	//1308
    "daysInYear$",	//1309
    "daysInYearString",	//1310
    "daysInYearString#",	//1311
    "daysInYearString#$",	//1312
    "daysTo",	//1313
    "daysTo#",	//1314
    "dbusStartupType",	//1315
    "decimalPlaces",	//1316
    "decimalSymbol",	//1317
    "decode",	//1318
    "decode#",	//1319
    "decode$$",	//1320
    "decodeRFC2047String",	//1321
    "decodeRFC2047String$",	//1322
    "decodeWithBuffering",	//1323
    "decodeWithBuffering$$",	//1324
    "decode_string",	//1325
    "decode_string$",	//1326
    "decodedInvalidCharacters",	//1327
    "decoder",	//1328
    "defaultClient",	//1329
    "defaultCountry",	//1330
    "defaultCurrencyCode",	//1331
    "defaultLanguage",	//1332
    "defaultLanguageName",	//1333
    "defaultMimeType",	//1334
    "defaultMimeTypePtr",	//1335
    "defaultOffers",	//1336
    "defaultOffers$",	//1337
    "defaultOffers$$",	//1338
    "defaultSymbol",	//1339
    "defaults",	//1340
    "deleteEntry",	//1341
    "deleteEntry$",	//1342
    "deleteEntry$$",	//1343
    "deleteGroup",	//1344
    "deleteGroup#",	//1345
    "deleteGroup#$",	//1346
    "deleteGroup$",	//1347
    "deleteGroup$$",	//1348
    "deleteGroupImpl",	//1349
    "deleteGroupImpl#",	//1350
    "deleteGroupImpl#$",	//1351
    "dependencies",	//1352
    "deref",	//1353
    "description",	//1354
    "description#$",	//1355
    "description#$?",	//1356
    "description#$??",	//1357
    "descriptionForEncoding",	//1358
    "descriptionForEncoding$",	//1359
    "descriptiveEncodingNames",	//1360
    "deserialize",	//1361
    "deserialize#",	//1362
    "desktopEntryName",	//1363
    "desktopEntryPath",	//1364
    "desktopGroup",	//1365
    "detach",	//1366
    "details",	//1367
    "detectLanguage",	//1368
    "detectLanguage$",	//1369
    "determineMimetypeFromExtension",	//1370
    "determineMimetypeFromExtension$",	//1371
    "device",	//1372
    "device#$",	//1373
    "device#$$",	//1374
    "deviceForFile",	//1375
    "deviceForFile$",	//1376
    "deviceForFile$$",	//1377
    "deviceForFile$$$",	//1378
    "digitSet",	//1379
    "digitSetToName",	//1380
    "digitSetToName$",	//1381
    "digitSetToName$$",	//1382
    "directory",	//1383
    "directory#",	//1384
    "directoryEntryPath",	//1385
    "dirs",	//1386
    "disableAutoRebuild",	//1387
    "disconnectFromHostImplementation",	//1388
    "disconnectFromPath",	//1389
    "disconnectNotify",	//1390
    "doKill",	//1391
    "doResume",	//1392
    "doSuspend",	//1393
    "docPath",	//1394
    "docPath$",	//1395
    "done",	//1396
    "earliestValidDate",	//1397
    "earlyAuthorize",	//1398
    "email",	//1399
    "emailAddress",	//1400
    "emitPercent",	//1401
    "emitPercent$$",	//1402
    "emitResult",	//1403
    "emitSpeed",	//1404
    "emitSpeed$",	//1405
    "enable_i18n",	//1406
    "encode_string",	//1407
    "encode_string$",	//1408
    "encode_string_no_slash",	//1409
    "encode_string_no_slash$",	//1410
    "encodedHtmlRef",	//1411
    "encodedPathAndQuery",	//1412
    "encodedPathAndQuery$",	//1413
    "encodedPathAndQuery$#",	//1414
    "encoding",	//1415
    "encodingChoiceSource",	//1416
    "encodingForName",	//1417
    "encodingForName$",	//1418
    "encodingMib",	//1419
    "encodingName",	//1420
    "encodingsByScript",	//1421
    "endParseBlock",	//1422
    "entries",	//1423
    "entries$",	//1424
    "entries$$",	//1425
    "entries$$$",	//1426
    "entries$$$$",	//1427
    "entryMap",	//1428
    "entryMap$",	//1429
    "entryPath",	//1430
    "epoch",	//1431
    "equals",	//1432
    "equals#",	//1433
    "equals##",	//1434
    "equivalentTo",	//1435
    "equivalentTo#",	//1436
    "eraName",	//1437
    "eraName#",	//1438
    "eraName#$",	//1439
    "eraYear",	//1440
    "eraYear#",	//1441
    "eraYear#$",	//1442
    "error",	//1443
    "errorCode",	//1444
    "errorDescription",	//1445
    "errorString",	//1446
    "errorString$",	//1447
    "errorText",	//1448
    "errorsIfUtf8",	//1449
    "errorsIfUtf8$$",	//1450
    "escapeChar",	//1451
    "event",	//1452
    "eventFilter",	//1453
    "excludedEnvironments",	//1454
    "exec",	//1455
    "exec$",	//1456
    "exec_blind",	//1457
    "exec_blind$?",	//1458
    "exec_blind$??$",	//1459
    "execute",	//1460
    "execute$",	//1461
    "execute$?",	//1462
    "execute$?$",	//1463
    "execute?",	//1464
    "execute?$",	//1465
    "executeActions",	//1466
    "executeActions??$",	//1467
    "executeActions??$#",	//1468
    "executesAsync",	//1469
    "exists",	//1470
    "exists$",	//1471
    "expandEscapedMacro",	//1472
    "expandEscapedMacro$$?",	//1473
    "expandMacro",	//1474
    "expandMacro#?",	//1475
    "expandMacro$?",	//1476
    "expandMacros",	//1477
    "expandMacros$",	//1478
    "expandMacros$?",	//1479
    "expandMacros$?#",	//1480
    "expandMacrosShellQuote",	//1481
    "expandMacrosShellQuote$",	//1482
    "expandMacrosShellQuote$$",	//1483
    "expandMacrosShellQuote$?",	//1484
    "expandMacrosShellQuote$?#",	//1485
    "expandPlainMacro",	//1486
    "expandPlainMacro$$?",	//1487
    "extraFields",	//1488
    "extraFields#",	//1489
    "extractKnownExtension",	//1490
    "extractKnownExtension$",	//1491
    "faceIconPath",	//1492
    "factories",	//1493
    "factory",	//1494
    "factory$",	//1495
    "factory$$",	//1496
    "failed",	//1497
    "favIconForUrl",	//1498
    "favIconForUrl#",	//1499
    "feed",	//1500
    "feed#",	//1501
    "feed$$",	//1502
    "fetchMoreText",	//1503
    "fileEncoding",	//1504
    "fileEncodingMib",	//1505
    "fileEngine",	//1506
    "fileName",	//1507
    "fileName#",	//1508
    "fileNameUsedForCopying",	//1509
    "filterFlags",	//1510
    "finalize",	//1511
    "findAllExe",	//1512
    "findAllExe?$",	//1513
    "findAllExe?$$",	//1514
    "findAllExe?$$$",	//1515
    "findAllResources",	//1516
    "findAllResources$",	//1517
    "findAllResources$$",	//1518
    "findAllResources$$$",	//1519
    "findAllResources$$$?",	//1520
    "findByContent",	//1521
    "findByContent#",	//1522
    "findByContent#$",	//1523
    "findByFileContent",	//1524
    "findByFileContent$",	//1525
    "findByFileContent$$",	//1526
    "findByNameAndContent",	//1527
    "findByNameAndContent$#",	//1528
    "findByNameAndContent$#$",	//1529
    "findByNameAndContent$#$$",	//1530
    "findByPath",	//1531
    "findByPath$",	//1532
    "findByPath$$",	//1533
    "findByPath$$$",	//1534
    "findByPath$$$$",	//1535
    "findByUrl",	//1536
    "findByUrl#",	//1537
    "findByUrl#$",	//1538
    "findByUrl#$$",	//1539
    "findByUrl#$$$",	//1540
    "findByUrl#$$$$",	//1541
    "findDirectChild_helper",	//1542
    "findDirectChild_helper##",	//1543
    "findDirs",	//1544
    "findDirs$$",	//1545
    "findEntry",	//1546
    "findEntry$$",	//1547
    "findExe",	//1548
    "findExe$",	//1549
    "findExe$$",	//1550
    "findExe$$$",	//1551
    "findFactory",	//1552
    "findFactory$",	//1553
    "findFilterByFileName",	//1554
    "findFilterByFileName$",	//1555
    "findFilterByMimeType",	//1556
    "findFilterByMimeType$",	//1557
    "findItem",	//1558
    "findItem$",	//1559
    "findLibrary",	//1560
    "findLibrary$",	//1561
    "findLibrary$#",	//1562
    "findResource",	//1563
    "findResource$$",	//1564
    "findResourceDir",	//1565
    "findResourceDir$$",	//1566
    "finished",	//1567
    "finished#",	//1568
    "finishedCurrentFeed",	//1569
    "firstDayOfMonth",	//1570
    "firstDayOfMonth#",	//1571
    "firstDayOfMonth$$",	//1572
    "firstDayOfYear",	//1573
    "firstDayOfYear#",	//1574
    "firstDayOfYear$",	//1575
    "flagError",	//1576
    "flush",	//1577
    "fopen",	//1578
    "fopen$$",	//1579
    "forceGlobal",	//1580
    "formatByteSize",	//1581
    "formatByteSize$",	//1582
    "formatByteSize$$",	//1583
    "formatByteSize$$$",	//1584
    "formatByteSize$$$$",	//1585
    "formatDate",	//1586
    "formatDate#",	//1587
    "formatDate#$",	//1588
    "formatDate#$$",	//1589
    "formatDate#$$$",	//1590
    "formatDateTime",	//1591
    "formatDateTime#",	//1592
    "formatDateTime#$",	//1593
    "formatDateTime#$$",	//1594
    "formatDuration",	//1595
    "formatDuration$",	//1596
    "formatLocaleTime",	//1597
    "formatLocaleTime#",	//1598
    "formatLocaleTime#$",	//1599
    "formatLong",	//1600
    "formatLong$",	//1601
    "formatMoney",	//1602
    "formatMoney$",	//1603
    "formatMoney$$",	//1604
    "formatMoney$$$",	//1605
    "formatNumber",	//1606
    "formatNumber$",	//1607
    "formatNumber$$",	//1608
    "formatNumber$$$",	//1609
    "formatTime",	//1610
    "formatTime#",	//1611
    "formatTime#$",	//1612
    "formatTime#$$",	//1613
    "fracDigits",	//1614
    "from8Bit",	//1615
    "from8Bit$",	//1616
    "fromEntity",	//1617
    "fromEntity$",	//1618
    "fromEntity$$",	//1619
    "fromFiles",	//1620
    "fromFiles?",	//1621
    "fromFiles?#",	//1622
    "fromKPartsInstanceName",	//1623
    "fromKPartsInstanceName$",	//1624
    "fromKPartsInstanceName$#",	//1625
    "fromMimeDataByteArray",	//1626
    "fromMimeDataByteArray#",	//1627
    "fromPath",	//1628
    "fromPath$",	//1629
    "fromPathOrUrl",	//1630
    "fromPathOrUrl$",	//1631
    "fromServices",	//1632
    "fromServices?",	//1633
    "fromServices?#",	//1634
    "fromString",	//1635
    "fromString$",	//1636
    "fromString$$",	//1637
    "fromString$$#",	//1638
    "fromString$$#$",	//1639
    "fromString$$$",	//1640
    "fromTime_t",	//1641
    "fromTime_t$",	//1642
    "fullLicense",	//1643
    "fullName",	//1644
    "genericName",	//1645
    "getBool",	//1646
    "getDate",	//1647
    "getDate#$$$",	//1648
    "getDouble",	//1649
    "getLockInfo",	//1650
    "getLockInfo$$$",	//1651
    "getLong",	//1652
    "getLong$",	//1653
    "getOption",	//1654
    "getOption#",	//1655
    "getOptionList",	//1656
    "getOptionList#",	//1657
    "gid",	//1658
    "group",	//1659
    "group#",	//1660
    "group$",	//1661
    "groupEntries",	//1662
    "groupEntries$",	//1663
    "groupImpl",	//1664
    "groupImpl#",	//1665
    "groupList",	//1666
    "groupNames",	//1667
    "groups",	//1668
    "hasActionGroup",	//1669
    "hasActionGroup$",	//1670
    "hasApplicationType",	//1671
    "hasAutoDetectionForScript",	//1672
    "hasAutoDetectionForScript$",	//1673
    "hasDefault",	//1674
    "hasDefault$",	//1675
    "hasDeviceType",	//1676
    "hasGroup",	//1677
    "hasGroup#",	//1678
    "hasGroup$",	//1679
    "hasGroupImpl",	//1680
    "hasGroupImpl#",	//1681
    "hasHTMLRef",	//1682
    "hasHelper",	//1683
    "hasHost",	//1684
    "hasKey",	//1685
    "hasKey$",	//1686
    "hasLinkType",	//1687
    "hasLocale",	//1688
    "hasMainComponent",	//1689
    "hasMimeType",	//1690
    "hasMimeType#",	//1691
    "hasMimeType$",	//1692
    "hasMimeTypeType",	//1693
    "hasNullOutput",	//1694
    "hasNullOutput$$$$",	//1695
    "hasNullOutputQtDebugMsg",	//1696
    "hasNullOutputQtDebugMsg$",	//1697
    "hasNullOutputQtDebugMsg$$",	//1698
    "hasPass",	//1699
    "hasPath",	//1700
    "hasPendingConnections",	//1701
    "hasRef",	//1702
    "hasServiceType",	//1703
    "hasServiceType$",	//1704
    "hasSubUrl",	//1705
    "hasSubjobs",	//1706
    "hasSubunits",	//1707
    "hasSubunitsInCirculation",	//1708
    "hasTransitions",	//1709
    "hasTransitions#",	//1710
    "hasUser",	//1711
    "helperID",	//1712
    "hexDigest",	//1713
    "hexDigest#",	//1714
    "homeDir",	//1715
    "homepage",	//1716
    "htmlRef",	//1717
    "i18n",	//1718
    "i18n$",	//1719
    "i18nc",	//1720
    "i18nc$$",	//1721
    "icon",	//1722
    "icon$",	//1723
    "iconName",	//1724
    "iconName#",	//1725
    "iconNameForUrl",	//1726
    "iconNameForUrl#",	//1727
    "iconNameForUrl#$",	//1728
    "inBufferAvailable",	//1729
    "inBufferEmpty",	//1730
    "inContext",	//1731
    "inContext$$",	//1732
    "incomingConnection",	//1733
    "incomingConnection$",	//1734
    "infoMessage",	//1735
    "infoMessage#$",	//1736
    "infoMessage#$$",	//1737
    "inherits",	//1738
    "inherits$",	//1739
    "init",	//1740
    "init#",	//1741
    "init$",	//1742
    "init$?#",	//1743
    "init$?####",	//1744
    "init$?#####",	//1745
    "init$?#####$",	//1746
    "init$?#$",	//1747
    "initialPreference",	//1748
    "inlineAlias",	//1749
    "inlineValue",	//1750
    "insertCatalog",	//1751
    "insertCatalog$",	//1752
    "installPath",	//1753
    "installPath$",	//1754
    "installedLanguages",	//1755
    "internalBugAddress",	//1756
    "internalProgramName",	//1757
    "internalVersion",	//1758
    "invokeBrowser",	//1759
    "invokeBrowser$",	//1760
    "invokeBrowser$#",	//1761
    "invokeHelp",	//1762
    "invokeHelp$",	//1763
    "invokeHelp$$",	//1764
    "invokeHelp$$#",	//1765
    "invokeMailer",	//1766
    "invokeMailer#",	//1767
    "invokeMailer##",	//1768
    "invokeMailer##$",	//1769
    "invokeMailer$$",	//1770
    "invokeMailer$$#",	//1771
    "invokeMailer$$$$$",	//1772
    "invokeMailer$$$$$$",	//1773
    "invokeMailer$$$$$$?",	//1774
    "invokeMailer$$$$$$?#",	//1775
    "invokeTerminal",	//1776
    "invokeTerminal$",	//1777
    "invokeTerminal$$",	//1778
    "invokeTerminal$$#",	//1779
    "is",	//1780
    "is$",	//1781
    "isApplication",	//1782
    "isApplicationTranslatedInto",	//1783
    "isApplicationTranslatedInto$",	//1784
    "isAuthorizedDesktopFile",	//1785
    "isAuthorizedDesktopFile$",	//1786
    "isAutoDelete",	//1787
    "isAutoErrorHandlingEnabled",	//1788
    "isAutoWarningHandlingEnabled",	//1789
    "isAvailable",	//1790
    "isBinaryData",	//1791
    "isBinaryData$",	//1792
    "isBufferBinaryData",	//1793
    "isBufferBinaryData#",	//1794
    "isBuilding",	//1795
    "isChanged",	//1796
    "isChanged$",	//1797
    "isClockTime",	//1798
    "isConfigWritable",	//1799
    "isConfigWritable$",	//1800
    "isCorrect",	//1801
    "isCorrect$",	//1802
    "isDateOnly",	//1803
    "isDefault",	//1804
    "isDeleted",	//1805
    "isDerived",	//1806
    "isDesktopFile",	//1807
    "isDesktopFile$",	//1808
    "isDst",	//1809
    "isDst#$",	//1810
    "isDst$",	//1811
    "isDstAtUtc",	//1812
    "isDstAtUtc#",	//1813
    "isDstAtUtc##",	//1814
    "isEmpty",	//1815
    "isEntryImmutable",	//1816
    "isEntryImmutable$",	//1817
    "isEqual",	//1818
    "isEqual#",	//1819
    "isFilterProtocol",	//1820
    "isFilterProtocol#",	//1821
    "isFilterProtocol$",	//1822
    "isGroupImmutable",	//1823
    "isGroupImmutable#",	//1824
    "isGroupImmutable$",	//1825
    "isGroupImmutableImpl",	//1826
    "isGroupImmutableImpl#",	//1827
    "isHelperProtocol",	//1828
    "isHelperProtocol#",	//1829
    "isHelperProtocol$",	//1830
    "isHidden",	//1831
    "isImmutable",	//1832
    "isImmutable$",	//1833
    "isKnownProtocol",	//1834
    "isKnownProtocol#",	//1835
    "isKnownProtocol$",	//1836
    "isLeapYear",	//1837
    "isLeapYear#",	//1838
    "isLeapYear$",	//1839
    "isListening",	//1840
    "isLoaded",	//1841
    "isLocalFile",	//1842
    "isLocalZone",	//1843
    "isLocked",	//1844
    "isLunar",	//1845
    "isLunisolar",	//1846
    "isMisspelled",	//1847
    "isMisspelled$",	//1848
    "isNull",	//1849
    "isOffsetFromUtc",	//1850
    "isParentOf",	//1851
    "isParentOf#",	//1852
    "isPluginEnabled",	//1853
    "isPluginEnabledByDefault",	//1854
    "isProleptic",	//1855
    "isRelativeUrl",	//1856
    "isRelativeUrl$",	//1857
    "isRestrictedResource",	//1858
    "isRestrictedResource$",	//1859
    "isRestrictedResource$$",	//1860
    "isSecondOccurrence",	//1861
    "isSeparator",	//1862
    "isSequential",	//1863
    "isServiceRegistered",	//1864
    "isServiceRegistered$",	//1865
    "isSet",	//1866
    "isSet#",	//1867
    "isSimulated",	//1868
    "isSolar",	//1869
    "isSuperUser",	//1870
    "isSuspended",	//1871
    "isTempFileSet",	//1872
    "isTimeZoneDaemonAvailable",	//1873
    "isType",	//1874
    "isType$",	//1875
    "isUtc",	//1876
    "isUtf8",	//1877
    "isUtf8$",	//1878
    "isValid",	//1879
    "isValid#",	//1880
    "isValid$",	//1881
    "isValid$$",	//1882
    "isValid$$$",	//1883
    "isValid$$$$",	//1884
    "isValidIsoWeekDate",	//1885
    "isValidIsoWeekDate$$$",	//1886
    "isoCurrencyCode",	//1887
    "isoCurrencyCodeNumeric",	//1888
    "isoName",	//1889
    "items",	//1890
    "job",	//1891
    "join",	//1892
    "join?",	//1893
    "joinArgs",	//1894
    "joinArgs?",	//1895
    "julianDayToDate",	//1896
    "julianDayToDate$$$$",	//1897
    "kAsciiToLower",	//1898
    "kAsciiToLower$",	//1899
    "kAsciiToUpper",	//1900
    "kAsciiToUpper$",	//1901
    "kBacktrace",	//1902
    "kBacktrace$",	//1903
    "kClearDebugConfig",	//1904
    "kRealBacktrace",	//1905
    "kRealBacktrace$",	//1906
    "kapplication_hook",	//1907
    "kapplication_hook?#",	//1908
    "kasciistricmp",	//1909
    "kasciistricmp$$",	//1910
    "kcmServices",	//1911
    "kdBacktrace",	//1912
    "kdBacktrace$",	//1913
    "kde_default",	//1914
    "kde_default$",	//1915
    "kdeinitExec",	//1916
    "kdeinitExec$",	//1917
    "kdeinitExec$?",	//1918
    "kdeinitExec$?$",	//1919
    "kdeinitExec$?$$",	//1920
    "kdeinitExec$?$$#",	//1921
    "kdeinitExecWait",	//1922
    "kdeinitExecWait$",	//1923
    "kdeinitExecWait$?",	//1924
    "kdeinitExecWait$?$",	//1925
    "kdeinitExecWait$?$$",	//1926
    "kdeinitExecWait$?$$#",	//1927
    "kdeinit_exec",	//1928
    "kdeinit_exec$??$$$$",	//1929
    "kdeinit_exec_wait",	//1930
    "kdeinit_exec_wait$??$$$$",	//1931
    "key",	//1932
    "keyList",	//1933
    "keywords",	//1934
    "kfsstnd_prefixes",	//1935
    "kfsstnd_xdg_conf_prefixes",	//1936
    "kfsstnd_xdg_data_prefixes",	//1937
    "ki18n",	//1938
    "ki18n$",	//1939
    "ki18nc",	//1940
    "ki18nc$$",	//1941
    "ki18ncp",	//1942
    "ki18ncp$$$",	//1943
    "ki18np",	//1944
    "ki18np$$",	//1945
    "kill",	//1946
    "kill$",	//1947
    "klauncher",	//1948
    "kndbgstream",	//1949
    "kndbgstream#",	//1950
    "label",	//1951
    "langLookup",	//1952
    "langLookup$",	//1953
    "langLookup$$",	//1954
    "language",	//1955
    "languageCodeToName",	//1956
    "languageCodeToName$",	//1957
    "languageForEncoding",	//1958
    "languageForEncoding$",	//1959
    "languageList",	//1960
    "lastDayOfMonth",	//1961
    "lastDayOfMonth#",	//1962
    "lastDayOfMonth$$",	//1963
    "lastDayOfYear",	//1964
    "lastDayOfYear#",	//1965
    "lastDayOfYear$",	//1966
    "lastErrorMessage",	//1967
    "latestValidDate",	//1968
    "latitude",	//1969
    "layoutInfo",	//1970
    "leapSecondChange",	//1971
    "leapSecondChange#",	//1972
    "leapSecondChanges",	//1973
    "leapSeconds",	//1974
    "library",	//1975
    "library$",	//1976
    "library$$",	//1977
    "license",	//1978
    "licenseName",	//1979
    "licenseName$",	//1980
    "licenses",	//1981
    "listen",	//1982
    "listen$",	//1983
    "listen$#",	//1984
    "listen$#$",	//1985
    "listen$#$#",	//1986
    "listen$$",	//1987
    "load",	//1988
    "load#",	//1989
    "loadAppArgs",	//1990
    "loadAppArgs#",	//1991
    "local",	//1992
    "localPath",	//1993
    "localSocketType",	//1994
    "locale",	//1995
    "localizedFilePath",	//1996
    "localizedFilePath$",	//1997
    "localkdedir",	//1998
    "localxdgconfdir",	//1999
    "localxdgdatadir",	//2000
    "locate",	//2001
    "locate$$",	//2002
    "locate$$#",	//2003
    "locateLocal",	//2004
    "locateLocal$",	//2005
    "locateLocal$$",	//2006
    "locateLocal$$#",	//2007
    "locateLocal$$$",	//2008
    "locateLocal$$$#",	//2009
    "location",	//2010
    "lock",	//2011
    "lock$",	//2012
    "loginName",	//2013
    "longitude",	//2014
    "lsqueeze",	//2015
    "lsqueeze$",	//2016
    "lsqueeze$$",	//2017
    "mGroup",	//2018
    "mKey",	//2019
    "mName",	//2020
    "m_bAutoDel",	//2021
    "m_canCopyFromFile",	//2022
    "m_canCopyToFile",	//2023
    "m_config",	//2024
    "m_defaultMimetype",	//2025
    "m_determineMimetypeFromExtension",	//2026
    "m_dev",	//2027
    "m_exec",	//2028
    "m_icon",	//2029
    "m_inputType",	//2030
    "m_isHelperProtocol",	//2031
    "m_isSourceProtocol",	//2032
    "m_listing",	//2033
    "m_maxSlaves",	//2034
    "m_name",	//2035
    "m_outputType",	//2036
    "m_str_deprecated",	//2037
    "m_supportsDeleting",	//2038
    "m_supportsLinking",	//2039
    "m_supportsListing",	//2040
    "m_supportsMakeDir",	//2041
    "m_supportsMoving",	//2042
    "m_supportsOpening",	//2043
    "m_supportsReading",	//2044
    "m_supportsWriting",	//2045
    "mainComponent",	//2046
    "mainExtension",	//2047
    "makeDir",	//2048
    "makeDir$",	//2049
    "makeDir$$",	//2050
    "makeURL",	//2051
    "makeURL#",	//2052
    "managedFile",	//2053
    "markAsClean",	//2054
    "matchFileName",	//2055
    "matchFileName$$",	//2056
    "maxPendingConnections",	//2057
    "maxSlaves",	//2058
    "maxSlaves$",	//2059
    "maxSlavesPerHost",	//2060
    "maxSlavesPerHost$",	//2061
    "maxValue",	//2062
    "measureSystem",	//2063
    "menuId",	//2064
    "message",	//2065
    "message$$",	//2066
    "message$$$",	//2067
    "metaObject",	//2068
    "mimeType",	//2069
    "mimeType$",	//2070
    "mimeType$$",	//2071
    "minValue",	//2072
    "misspelling",	//2073
    "misspelling$$",	//2074
    "mkdir",	//2075
    "mkdir$$",	//2076
    "mode",	//2077
    "modulate",	//2078
    "modulate$",	//2079
    "moduleDeleted",	//2080
    "moduleDeleted#",	//2081
    "moduleName",	//2082
    "moduleRegistered",	//2083
    "moduleRegistered#",	//2084
    "monetaryDecimalPlaces",	//2085
    "monetaryDecimalSymbol",	//2086
    "monetaryDigitSet",	//2087
    "monetaryThousandsSeparator",	//2088
    "month",	//2089
    "month#",	//2090
    "monthName",	//2091
    "monthName#",	//2092
    "monthName#$",	//2093
    "monthName$$",	//2094
    "monthName$$$",	//2095
    "monthString",	//2096
    "monthString#",	//2097
    "monthString#$",	//2098
    "monthStringToInteger",	//2099
    "monthStringToInteger$$",	//2100
    "monthsDifference",	//2101
    "monthsDifference##",	//2102
    "monthsInYear",	//2103
    "monthsInYear#",	//2104
    "monthsInYear$",	//2105
    "monthsInYearString",	//2106
    "monthsInYearString#",	//2107
    "monthsInYearString#$",	//2108
    "name",	//2109
    "name$",	//2110
    "nameForProberType",	//2111
    "nameForProberType$",	//2112
    "nameForScript",	//2113
    "nameForScript$",	//2114
    "naturalCompare",	//2115
    "naturalCompare$$",	//2116
    "naturalCompare$$$",	//2117
    "negativeMonetarySignPosition",	//2118
    "negativePrefixCurrencySymbol",	//2119
    "negativeSign",	//2120
    "newConnection",	//2121
    "newServicePath",	//2122
    "newServicePath$$",	//2123
    "newServicePath$$$",	//2124
    "newServicePath$$$?",	//2125
    "nextPendingConnection",	//2126
    "noDisplay",	//2127
    "notifyCatalogsUpdated",	//2128
    "notifyCatalogsUpdated??",	//2129
    "nounDeclension",	//2130
    "numberedBackupFile",	//2131
    "numberedBackupFile$",	//2132
    "numberedBackupFile$$",	//2133
    "numberedBackupFile$$$",	//2134
    "numberedBackupFile$$$$",	//2135
    "objectCreated",	//2136
    "objectCreated#",	//2137
    "obscure",	//2138
    "obscure$",	//2139
    "ocsProviderUrl",	//2140
    "ocsUsername",	//2141
    "offset",	//2142
    "offset#$",	//2143
    "offset$",	//2144
    "offsetAtUtc",	//2145
    "offsetAtUtc#",	//2146
    "offsetAtUtc##",	//2147
    "offsetAtZoneTime",	//2148
    "offsetAtZoneTime#",	//2149
    "offsetAtZoneTime##$",	//2150
    "offsetAtZoneTime#$",	//2151
    "open",	//2152
    "open$",	//2153
    "open$$",	//2154
    "open$$$",	//2155
    "openConfig",	//2156
    "openConfig#",	//2157
    "openConfig#$",	//2158
    "openConfig#$$",	//2159
    "openConfig#$$$",	//2160
    "openConfig$",	//2161
    "openConfig$$",	//2162
    "openConfig$$$",	//2163
    "operator QVariant",	//2164
    "operator!=",	//2165
    "operator!=#",	//2166
    "operator!=##",	//2167
    "operator!=#$",	//2168
    "operator!=$",	//2169
    "operator!=$#",	//2170
    "operator!=$$",	//2171
    "operator&",	//2172
    "operator&##",	//2173
    "operator*",	//2174
    "operator*#$",	//2175
    "operator*$#",	//2176
    "operator+",	//2177
    "operator+##",	//2178
    "operator+#$",	//2179
    "operator+$#",	//2180
    "operator+$$",	//2181
    "operator-",	//2182
    "operator-#",	//2183
    "operator-##",	//2184
    "operator/",	//2185
    "operator/#$",	//2186
    "operator<",	//2187
    "operator<#",	//2188
    "operator<##",	//2189
    "operator<#$",	//2190
    "operator<$#",	//2191
    "operator<$$",	//2192
    "operator<<",	//2193
    "operator<<##",	//2194
    "operator<<#$",	//2195
    "operator<<#?",	//2196
    "operator<<$",	//2197
    "operator<<?",	//2198
    "operator<=",	//2199
    "operator<=#",	//2200
    "operator<=##",	//2201
    "operator<=#$",	//2202
    "operator<=$#",	//2203
    "operator<=$$",	//2204
    "operator=",	//2205
    "operator=#",	//2206
    "operator=$",	//2207
    "operator==",	//2208
    "operator==#",	//2209
    "operator==##",	//2210
    "operator==#$",	//2211
    "operator==$",	//2212
    "operator==$#",	//2213
    "operator==$$",	//2214
    "operator>",	//2215
    "operator>#",	//2216
    "operator>##",	//2217
    "operator>#$",	//2218
    "operator>$#",	//2219
    "operator>$$",	//2220
    "operator>=",	//2221
    "operator>=#",	//2222
    "operator>=##",	//2223
    "operator>=#$",	//2224
    "operator>=$#",	//2225
    "operator>=$$",	//2226
    "operator>>",	//2227
    "operator>>##",	//2228
    "operator>>#$",	//2229
    "operator>>#?",	//2230
    "operator^",	//2231
    "operator^##",	//2232
    "operator|",	//2233
    "operator|##",	//2234
    "operator|$$",	//2235
    "organizationDomain",	//2236
    "otherText",	//2237
    "outBufferAvailable",	//2238
    "outBufferFull",	//2239
    "outOfRange",	//2240
    "outputChannelMode",	//2241
    "pageSize",	//2242
    "parent",	//2243
    "parentApp",	//2244
    "parentMimeType",	//2245
    "parentMimeTypes",	//2246
    "parentServiceType",	//2247
    "parentType",	//2248
    "parentWidget",	//2249
    "parse",	//2250
    "parse#",	//2251
    "parsedArgs",	//2252
    "parsedArgs#",	//2253
    "pass",	//2254
    "path",	//2255
    "path$",	//2256
    "pathOrUrl",	//2257
    "pathOrUrl$",	//2258
    "patterns",	//2259
    "peerPath",	//2260
    "percent",	//2261
    "percent#$",	//2262
    "perlSplit",	//2263
    "perlSplit#$",	//2264
    "perlSplit#$$",	//2265
    "perlSplit$$",	//2266
    "perlSplit$$$",	//2267
    "phase",	//2268
    "phases",	//2269
    "pid",	//2270
    "pluginKeyword",	//2271
    "pluginName",	//2272
    "pluginVersion",	//2273
    "populateMimeData",	//2274
    "populateMimeData#",	//2275
    "populateMimeData#?",	//2276
    "populateMimeData#?$",	//2277
    "pos",	//2278
    "positiveMonetarySignPosition",	//2279
    "positivePrefixCurrencySymbol",	//2280
    "positiveSign",	//2281
    "preProcessWrap",	//2282
    "preProcessWrap$",	//2283
    "preferredService",	//2284
    "preferredService$",	//2285
    "preferredService$$",	//2286
    "prettyFormatDuration",	//2287
    "prettyFormatDuration$",	//2288
    "prettyUrl",	//2289
    "prettyUrl$",	//2290
    "previousUtcOffset",	//2291
    "proberType",	//2292
    "proberTypeForName",	//2293
    "proberTypeForName$",	//2294
    "processNull",	//2295
    "processNull$$",	//2296
    "processedAmount",	//2297
    "processedAmount#$$",	//2298
    "processedAmount$",	//2299
    "productName",	//2300
    "program",	//2301
    "programIconName",	//2302
    "programLogo",	//2303
    "programName",	//2304
    "progressStep",	//2305
    "progressStep$",	//2306
    "progressStep?",	//2307
    "property",	//2308
    "property$",	//2309
    "property$$",	//2310
    "propertyDef",	//2311
    "propertyDef$",	//2312
    "propertyDefNames",	//2313
    "propertyDefs",	//2314
    "propertyNames",	//2315
    "protocol",	//2316
    "protocolClass",	//2317
    "protocolClass$",	//2318
    "protocols",	//2319
    "proxiedBy",	//2320
    "proxiedBy$",	//2321
    "proxyForConnection",	//2322
    "proxyForConnection$$",	//2323
    "proxyForDatagram",	//2324
    "proxyForDatagram$$",	//2325
    "proxyForListening",	//2326
    "proxyForListening$",	//2327
    "qtArgc",	//2328
    "qtArgv",	//2329
    "qt_metacall",	//2330
    "qt_metacall$$?",	//2331
    "qt_metacast",	//2332
    "qt_metacast$",	//2333
    "query",	//2334
    "query$",	//2335
    "query$$",	//2336
    "query$$$",	//2337
    "queryItem",	//2338
    "queryItem$",	//2339
    "queryItems",	//2340
    "queryItems#",	//2341
    "quoteArg",	//2342
    "quoteArg$",	//2343
    "quotedPrintableDecode",	//2344
    "quotedPrintableDecode#",	//2345
    "quotedPrintableDecode##",	//2346
    "quotedPrintableEncode",	//2347
    "quotedPrintableEncode#",	//2348
    "quotedPrintableEncode##$",	//2349
    "quotedPrintableEncode#$",	//2350
    "random",	//2351
    "randomString",	//2352
    "randomString$",	//2353
    "rawDigest",	//2354
    "rawDigest$",	//2355
    "rcsBackupFile",	//2356
    "rcsBackupFile$",	//2357
    "rcsBackupFile$$",	//2358
    "rcsBackupFile$$$",	//2359
    "read",	//2360
    "read#$",	//2361
    "read#?",	//2362
    "readActions",	//2363
    "readComment",	//2364
    "readConfig",	//2365
    "readConfig#",	//2366
    "readData",	//2367
    "readData$$",	//2368
    "readDate",	//2369
    "readDate$",	//2370
    "readDate$$",	//2371
    "readDate$$$",	//2372
    "readDate$$$$",	//2373
    "readDefault",	//2374
    "readDefault#",	//2375
    "readDefaults",	//2376
    "readDevice",	//2377
    "readDocPath",	//2378
    "readEntry",	//2379
    "readEntry$",	//2380
    "readEntry$#",	//2381
    "readEntry$$",	//2382
    "readEntry$?",	//2383
    "readEntryUntranslated",	//2384
    "readEntryUntranslated$",	//2385
    "readEntryUntranslated$$",	//2386
    "readError",	//2387
    "readGenericName",	//2388
    "readHeader",	//2389
    "readIcon",	//2390
    "readImmutability",	//2391
    "readImmutability#",	//2392
    "readLineData",	//2393
    "readLocaleTime",	//2394
    "readLocaleTime$",	//2395
    "readLocaleTime$$",	//2396
    "readLocaleTime$$$",	//2397
    "readLocaleTime$$$$",	//2398
    "readMoney",	//2399
    "readMoney$",	//2400
    "readMoney$$",	//2401
    "readName",	//2402
    "readNumber",	//2403
    "readNumber$",	//2404
    "readNumber$$",	//2405
    "readPath",	//2406
    "readPathEntry",	//2407
    "readPathEntry$$",	//2408
    "readPathEntry$?",	//2409
    "readTime",	//2410
    "readTime$",	//2411
    "readTime$$",	//2412
    "readTime$$$",	//2413
    "readType",	//2414
    "readUrl",	//2415
    "readXdgListEntry",	//2416
    "readXdgListEntry$",	//2417
    "readXdgListEntry$?",	//2418
    "readZone",	//2419
    "readZone$",	//2420
    "realCurrentLocalDateTime",	//2421
    "realFilePath",	//2422
    "realFilePath$",	//2423
    "realLocalZone",	//2424
    "realPath",	//2425
    "realPath$",	//2426
    "ref",	//2427
    "registerArea",	//2428
    "registerArea#",	//2429
    "registerArea#$",	//2430
    "registerJob",	//2431
    "registerJob#",	//2432
    "relPath",	//2433
    "relativeLocation",	//2434
    "relativeLocation$$",	//2435
    "relativePath",	//2436
    "relativePath$$",	//2437
    "relativePath$$$",	//2438
    "relativeUrl",	//2439
    "relativeUrl##",	//2440
    "releaseLock",	//2441
    "remove",	//2442
    "remove#",	//2443
    "remove$",	//2444
    "removeAcceleratorMarker",	//2445
    "removeAcceleratorMarker$",	//2446
    "removeCatalog",	//2447
    "removeCatalog$",	//2448
    "removeDir",	//2449
    "removeDir$",	//2450
    "removeFromAllowedEnvironments",	//2451
    "removeFromAllowedEnvironments$",	//2452
    "removeFromExcludedEnvironments",	//2453
    "removeFromExcludedEnvironments$",	//2454
    "removeSubjob",	//2455
    "removeSubjob#",	//2456
    "rename",	//2457
    "rename$$",	//2458
    "reparent",	//2459
    "reparent#",	//2460
    "reparent#$",	//2461
    "reparseConfiguration",	//2462
    "replace",	//2463
    "replace$$$",	//2464
    "requestHoldSlave",	//2465
    "requestHoldSlave$$",	//2466
    "requestSlave",	//2467
    "requestSlave$$$$",	//2468
    "reset",	//2469
    "resetDecoder",	//2470
    "resolveEntities",	//2471
    "resolveEntities$",	//2472
    "resolveFunction",	//2473
    "resolveFunction$",	//2474
    "resolveSymbol",	//2475
    "resolveSymbol$",	//2476
    "resource",	//2477
    "resourceDirs",	//2478
    "resourceDirs$",	//2479
    "restore",	//2480
    "restore#",	//2481
    "resume",	//2482
    "resumed",	//2483
    "resumed#",	//2484
    "revertToDefault",	//2485
    "revertToDefault$",	//2486
    "root",	//2487
    "rsqueeze",	//2488
    "rsqueeze$",	//2489
    "rsqueeze$$",	//2490
    "save",	//2491
    "save#",	//2492
    "saveAppArgs",	//2493
    "saveAppArgs#",	//2494
    "saveLocation",	//2495
    "saveLocation$",	//2496
    "saveLocation$$",	//2497
    "saveLocation$$$",	//2498
    "scriptForName",	//2499
    "scriptForName$",	//2500
    "secsTo",	//2501
    "secsTo#",	//2502
    "secsTo_long",	//2503
    "secsTo_long#",	//2504
    "seek",	//2505
    "seek$",	//2506
    "self",	//2507
    "serialized",	//2508
    "serverError",	//2509
    "service",	//2510
    "serviceByDesktopName",	//2511
    "serviceByDesktopName$",	//2512
    "serviceByDesktopPath",	//2513
    "serviceByDesktopPath$",	//2514
    "serviceByMenuId",	//2515
    "serviceByMenuId$",	//2516
    "serviceByName",	//2517
    "serviceByName$",	//2518
    "serviceByStorageId",	//2519
    "serviceByStorageId$",	//2520
    "serviceEntries",	//2521
    "serviceEntries$",	//2522
    "serviceOffersOffset",	//2523
    "serviceType",	//2524
    "serviceType$",	//2525
    "serviceTypes",	//2526
    "setAboutData",	//2527
    "setAboutData#",	//2528
    "setActiveCatalog",	//2529
    "setActiveCatalog$",	//2530
    "setActiveComponent",	//2531
    "setActiveComponent#",	//2532
    "setAllowInline",	//2533
    "setAllowInline$",	//2534
    "setAllowQuit",	//2535
    "setAllowQuit$",	//2536
    "setAllowedEnvironments",	//2537
    "setAllowedEnvironments?",	//2538
    "setAppName",	//2539
    "setAppName#",	//2540
    "setArguments",	//2541
    "setArguments?",	//2542
    "setAttribute",	//2543
    "setAttribute$",	//2544
    "setAttribute$$",	//2545
    "setAutoDelete",	//2546
    "setAutoDelete$",	//2547
    "setAutoDetectLanguage",	//2548
    "setAutoDetectLanguage$",	//2549
    "setAutoErrorHandlingEnabled",	//2550
    "setAutoErrorHandlingEnabled$",	//2551
    "setAutoRemove",	//2552
    "setAutoRemove$",	//2553
    "setAutoWarningHandlingEnabled",	//2554
    "setAutoWarningHandlingEnabled$",	//2555
    "setAutostarts",	//2556
    "setAutostarts$",	//2557
    "setBinaryUnitDialect",	//2558
    "setBinaryUnitDialect$",	//2559
    "setBugAddress",	//2560
    "setBugAddress#",	//2561
    "setCalendar",	//2562
    "setCalendar$",	//2563
    "setCalendarSystem",	//2564
    "setCalendarSystem$",	//2565
    "setCapabilities",	//2566
    "setCapabilities$",	//2567
    "setCatalogName",	//2568
    "setCatalogName#",	//2569
    "setCommand",	//2570
    "setCommand$",	//2571
    "setCommandToCheck",	//2572
    "setCommandToCheck$",	//2573
    "setComponentData",	//2574
    "setComponentData#",	//2575
    "setConfig",	//2576
    "setConfig#",	//2577
    "setConfigName",	//2578
    "setConfigName$",	//2579
    "setCopyrightStatement",	//2580
    "setCopyrightStatement#",	//2581
    "setCountry",	//2582
    "setCountry$#",	//2583
    "setCountryDivisionCode",	//2584
    "setCountryDivisionCode$",	//2585
    "setCurrencyCode",	//2586
    "setCurrencyCode$",	//2587
    "setCurrencySymbol",	//2588
    "setCurrencySymbol$",	//2589
    "setCurrentGroup",	//2590
    "setCurrentGroup$",	//2591
    "setCustomAuthorText",	//2592
    "setCustomAuthorText##",	//2593
    "setCwd",	//2594
    "setCwd#",	//2595
    "setData",	//2596
    "setData#",	//2597
    "setData##",	//2598
    "setData?",	//2599
    "setDataVersion",	//2600
    "setDataVersion$",	//2601
    "setDate",	//2602
    "setDate#",	//2603
    "setDate#$$",	//2604
    "setDate#$$$",	//2605
    "setDate#$$$$",	//2606
    "setDateFormat",	//2607
    "setDateFormat$",	//2608
    "setDateFormatShort",	//2609
    "setDateFormatShort$",	//2610
    "setDateIsoWeek",	//2611
    "setDateIsoWeek#$$$",	//2612
    "setDateMonthNamePossessive",	//2613
    "setDateMonthNamePossessive$",	//2614
    "setDateOnly",	//2615
    "setDateOnly$",	//2616
    "setDateTime",	//2617
    "setDateTime#",	//2618
    "setDateTimeDigitSet",	//2619
    "setDateTimeDigitSet$",	//2620
    "setDecimalPlaces",	//2621
    "setDecimalPlaces$",	//2622
    "setDecimalSymbol",	//2623
    "setDecimalSymbol$",	//2624
    "setDefault",	//2625
    "setDefaultClient",	//2626
    "setDefaultClient$",	//2627
    "setDefaultLanguage",	//2628
    "setDefaultLanguage$",	//2629
    "setDefaults",	//2630
    "setDeleted",	//2631
    "setDeleted$",	//2632
    "setDetails",	//2633
    "setDetails$",	//2634
    "setDevice",	//2635
    "setDevice#",	//2636
    "setDevice#$",	//2637
    "setDigitSet",	//2638
    "setDigitSet$",	//2639
    "setDirectory",	//2640
    "setDirectory$",	//2641
    "setEncodedPathAndQuery",	//2642
    "setEncodedPathAndQuery$",	//2643
    "setEncoding",	//2644
    "setEncoding$",	//2645
    "setEncoding$$",	//2646
    "setEnv",	//2647
    "setEnv$$",	//2648
    "setEnv$$$",	//2649
    "setError",	//2650
    "setError$",	//2651
    "setErrorCode",	//2652
    "setErrorCode$",	//2653
    "setErrorDescription",	//2654
    "setErrorDescription$",	//2655
    "setErrorText",	//2656
    "setErrorText$",	//2657
    "setEscapeChar",	//2658
    "setEscapeChar#",	//2659
    "setExcludedEnvironments",	//2660
    "setExcludedEnvironments?",	//2661
    "setExecutesAsync",	//2662
    "setExecutesAsync$",	//2663
    "setFileEncoding",	//2664
    "setFileEncoding$",	//2665
    "setFileName",	//2666
    "setFileName$",	//2667
    "setFileName$#",	//2668
    "setFilterFlags",	//2669
    "setFilterFlags$",	//2670
    "setForceGlobal",	//2671
    "setForceGlobal$",	//2672
    "setFracDigits",	//2673
    "setFracDigits$",	//2674
    "setFromStringDefault",	//2675
    "setFromStringDefault#",	//2676
    "setGroup",	//2677
    "setGroup$",	//2678
    "setHTMLRef",	//2679
    "setHTMLRef$",	//2680
    "setHasYear0",	//2681
    "setHasYear0$",	//2682
    "setHelperID",	//2683
    "setHelperID$",	//2684
    "setHomepage",	//2685
    "setHomepage#",	//2686
    "setInBuffer",	//2687
    "setInBuffer$$",	//2688
    "setInlineAlias",	//2689
    "setInlineAlias$",	//2690
    "setInlineValue",	//2691
    "setInlineValue$",	//2692
    "setKDEVersion",	//2693
    "setKDEVersion$",	//2694
    "setKDEVersionString",	//2695
    "setKDEVersionString$",	//2696
    "setKey",	//2697
    "setKey$",	//2698
    "setLabel",	//2699
    "setLabel$",	//2700
    "setLanguage",	//2701
    "setLanguage$",	//2702
    "setLanguage$#",	//2703
    "setLanguage?",	//2704
    "setLaunchEnv",	//2705
    "setLaunchEnv$$",	//2706
    "setLayoutInfo",	//2707
    "setLayoutInfo?",	//2708
    "setLeapSecondChanges",	//2709
    "setLeapSecondChanges?",	//2710
    "setLicense",	//2711
    "setLicense$",	//2712
    "setLicenseText",	//2713
    "setLicenseText#",	//2714
    "setLicenseTextFile",	//2715
    "setLicenseTextFile$",	//2716
    "setLocalZone",	//2717
    "setLocalZone#",	//2718
    "setLocale",	//2719
    "setLocale#",	//2720
    "setLocale#$",	//2721
    "setLocale$",	//2722
    "setMGroup",	//2723
    "setMGroup$",	//2724
    "setMKey",	//2725
    "setMKey$",	//2726
    "setMName",	//2727
    "setMName$",	//2728
    "setM_bAutoDel",	//2729
    "setM_bAutoDel$",	//2730
    "setM_canCopyFromFile",	//2731
    "setM_canCopyFromFile$",	//2732
    "setM_canCopyToFile",	//2733
    "setM_canCopyToFile$",	//2734
    "setM_config",	//2735
    "setM_config$",	//2736
    "setM_defaultMimetype",	//2737
    "setM_defaultMimetype$",	//2738
    "setM_determineMimetypeFromExtension",	//2739
    "setM_determineMimetypeFromExtension$",	//2740
    "setM_dev",	//2741
    "setM_dev#",	//2742
    "setM_exec",	//2743
    "setM_exec$",	//2744
    "setM_icon",	//2745
    "setM_icon$",	//2746
    "setM_inputType",	//2747
    "setM_inputType$",	//2748
    "setM_isHelperProtocol",	//2749
    "setM_isHelperProtocol$",	//2750
    "setM_isSourceProtocol",	//2751
    "setM_isSourceProtocol$",	//2752
    "setM_listing",	//2753
    "setM_listing?",	//2754
    "setM_maxSlaves",	//2755
    "setM_maxSlaves$",	//2756
    "setM_name",	//2757
    "setM_name$",	//2758
    "setM_outputType",	//2759
    "setM_outputType$",	//2760
    "setM_str_deprecated",	//2761
    "setM_str_deprecated#",	//2762
    "setM_supportsDeleting",	//2763
    "setM_supportsDeleting$",	//2764
    "setM_supportsLinking",	//2765
    "setM_supportsLinking$",	//2766
    "setM_supportsListing",	//2767
    "setM_supportsListing$",	//2768
    "setM_supportsMakeDir",	//2769
    "setM_supportsMakeDir$",	//2770
    "setM_supportsMoving",	//2771
    "setM_supportsMoving$",	//2772
    "setM_supportsOpening",	//2773
    "setM_supportsOpening$",	//2774
    "setM_supportsReading",	//2775
    "setM_supportsReading$",	//2776
    "setM_supportsWriting",	//2777
    "setM_supportsWriting$",	//2778
    "setMainCatalog",	//2779
    "setMainCatalog$",	//2780
    "setManagedFile",	//2781
    "setManagedFile#",	//2782
    "setMaxDaysInWeek",	//2783
    "setMaxDaysInWeek$",	//2784
    "setMaxMonthsInYear",	//2785
    "setMaxMonthsInYear$",	//2786
    "setMaxPendingConnections",	//2787
    "setMaxPendingConnections$",	//2788
    "setMaxValue",	//2789
    "setMaxValue$",	//2790
    "setMeasureSystem",	//2791
    "setMeasureSystem$",	//2792
    "setMenuId",	//2793
    "setMenuId$",	//2794
    "setMessageHandler",	//2795
    "setMessageHandler#",	//2796
    "setMinValue",	//2797
    "setMinValue$",	//2798
    "setModuleName",	//2799
    "setModuleName$",	//2800
    "setMonetaryDecimalPlaces",	//2801
    "setMonetaryDecimalPlaces$",	//2802
    "setMonetaryDecimalSymbol",	//2803
    "setMonetaryDecimalSymbol$",	//2804
    "setMonetaryDigitSet",	//2805
    "setMonetaryDigitSet$",	//2806
    "setMonetaryThousandsSeparator",	//2807
    "setMonetaryThousandsSeparator$",	//2808
    "setName",	//2809
    "setName$",	//2810
    "setNegativeMonetarySignPosition",	//2811
    "setNegativeMonetarySignPosition$",	//2812
    "setNegativePrefixCurrencySymbol",	//2813
    "setNegativePrefixCurrencySymbol$",	//2814
    "setNegativeSign",	//2815
    "setNegativeSign$",	//2816
    "setNextOpenMode",	//2817
    "setNextOpenMode$",	//2818
    "setOcsProvider",	//2819
    "setOcsProvider#",	//2820
    "setOrganizationDomain",	//2821
    "setOrganizationDomain#",	//2822
    "setOrigFileName",	//2823
    "setOrigFileName#",	//2824
    "setOtherText",	//2825
    "setOtherText#",	//2826
    "setOutBuffer",	//2827
    "setOutBuffer$$",	//2828
    "setOutputChannelMode",	//2829
    "setOutputChannelMode$",	//2830
    "setPageSize",	//2831
    "setPageSize$",	//2832
    "setParentWidget",	//2833
    "setParentWidget#",	//2834
    "setPass",	//2835
    "setPass$",	//2836
    "setPath",	//2837
    "setPath$",	//2838
    "setPercent",	//2839
    "setPercent$",	//2840
    "setPhases",	//2841
    "setPhases?$",	//2842
    "setPluginEnabled",	//2843
    "setPluginEnabled$",	//2844
    "setPositiveMonetarySignPosition",	//2845
    "setPositiveMonetarySignPosition$",	//2846
    "setPositivePrefixCurrencySymbol",	//2847
    "setPositivePrefixCurrencySymbol$",	//2848
    "setPositiveSign",	//2849
    "setPositiveSign$",	//2850
    "setPrefix",	//2851
    "setPrefix$",	//2852
    "setProberType",	//2853
    "setProberType$",	//2854
    "setProcessedAmount",	//2855
    "setProcessedAmount$$",	//2856
    "setProductName",	//2857
    "setProductName#",	//2858
    "setProgram",	//2859
    "setProgram$",	//2860
    "setProgram$?",	//2861
    "setProgram?",	//2862
    "setProgramIconName",	//2863
    "setProgramIconName$",	//2864
    "setProgramLogo",	//2865
    "setProgramLogo#",	//2866
    "setProgramName",	//2867
    "setProgramName#",	//2868
    "setProperty",	//2869
    "setProperty#",	//2870
    "setProtocol",	//2871
    "setProtocol$",	//2872
    "setQuery",	//2873
    "setQuery$",	//2874
    "setReadDefaults",	//2875
    "setReadDefaults$",	//2876
    "setRef",	//2877
    "setRef$",	//2878
    "setSecondOccurrence",	//2879
    "setSecondOccurrence$",	//2880
    "setSeed",	//2881
    "setSeed$",	//2882
    "setServiceOffersOffset",	//2883
    "setServiceOffersOffset$",	//2884
    "setSharedConfig",	//2885
    "setSharedConfig?",	//2886
    "setShellCommand",	//2887
    "setShellCommand$",	//2888
    "setShortDescription",	//2889
    "setShortDescription#",	//2890
    "setShowEmptyMenu",	//2891
    "setShowEmptyMenu$",	//2892
    "setShowInlineHeader",	//2893
    "setShowInlineHeader$",	//2894
    "setSimulatedSystemTime",	//2895
    "setSimulatedSystemTime#",	//2896
    "setSkipHeaders",	//2897
    "setSpeller",	//2898
    "setSpeller#",	//2899
    "setStaleTime",	//2900
    "setStaleTime$",	//2901
    "setStartPhase",	//2902
    "setStartPhase$",	//2903
    "setSuffix",	//2904
    "setSuffix$",	//2905
    "setTerminal",	//2906
    "setTerminal$",	//2907
    "setTerminalOptions",	//2908
    "setTerminalOptions$",	//2909
    "setText",	//2910
    "setText$",	//2911
    "setThousandsSeparator",	//2912
    "setThousandsSeparator$",	//2913
    "setTime",	//2914
    "setTime#",	//2915
    "setTimeFormat",	//2916
    "setTimeFormat$",	//2917
    "setTimeSpec",	//2918
    "setTimeSpec#",	//2919
    "setTime_t",	//2920
    "setTime_t$",	//2921
    "setToolTip",	//2922
    "setToolTip$",	//2923
    "setTotalAmount",	//2924
    "setTotalAmount$$",	//2925
    "setTransitions",	//2926
    "setTransitions?",	//2927
    "setTranslator",	//2928
    "setTranslator##",	//2929
    "setType",	//2930
    "setType#",	//2931
    "setType$",	//2932
    "setType$$",	//2933
    "setUiDelegate",	//2934
    "setUiDelegate#",	//2935
    "setUser",	//2936
    "setUser$",	//2937
    "setVersion",	//2938
    "setVersion#",	//2939
    "setVisibleName",	//2940
    "setVisibleName$",	//2941
    "setWeekDayOfPray",	//2942
    "setWeekDayOfPray$",	//2943
    "setWeekNumberSystem",	//2944
    "setWeekNumberSystem$",	//2945
    "setWeekStartDay",	//2946
    "setWeekStartDay$",	//2947
    "setWhatsThis",	//2948
    "setWhatsThis$",	//2949
    "setWorkingWeekEndDay",	//2950
    "setWorkingWeekEndDay$",	//2951
    "setWorkingWeekStartDay",	//2952
    "setWorkingWeekStartDay$",	//2953
    "setYMD",	//2954
    "setYMD#$$$",	//2955
    "setupChildProcess",	//2956
    "setupTranslations",	//2957
    "sharedMimeInfoVersion",	//2958
    "shell",	//2959
    "shortDescription",	//2960
    "shortYearWindowStartYear",	//2961
    "showEmptyMenu",	//2962
    "showErrorMessage",	//2963
    "showFilePreview",	//2964
    "showFilePreview$",	//2965
    "showInKDE",	//2966
    "showInlineHeader",	//2967
    "simpleBackupFile",	//2968
    "simpleBackupFile$",	//2969
    "simpleBackupFile$$",	//2970
    "simpleBackupFile$$$",	//2971
    "size",	//2972
    "slotEngineDone",	//2973
    "slotInfoMessage",	//2974
    "slotInfoMessage#$$",	//2975
    "slotResult",	//2976
    "slotResult#",	//2977
    "slotWarning",	//2978
    "slotWarning#$$",	//2979
    "sortOrder",	//2980
    "source",	//2981
    "speed",	//2982
    "speed#$",	//2983
    "speller",	//2984
    "split",	//2985
    "split#",	//2986
    "split$",	//2987
    "splitArgs",	//2988
    "splitArgs$",	//2989
    "splitArgs$$",	//2990
    "splitArgs$$$",	//2991
    "splitLocale",	//2992
    "splitLocale$$$$$",	//2993
    "staleFiles",	//2994
    "staleFiles#",	//2995
    "staleFiles#$",	//2996
    "staleTime",	//2997
    "start",	//2998
    "startAfter",	//2999
    "startDetached",	//3000
    "startDetached$",	//3001
    "startDetached$?",	//3002
    "startDetached?",	//3003
    "startParseBlock",	//3004
    "startPhase",	//3005
    "startServiceByDesktopName",	//3006
    "startServiceByDesktopName$",	//3007
    "startServiceByDesktopName$$",	//3008
    "startServiceByDesktopName$$$",	//3009
    "startServiceByDesktopName$$$$",	//3010
    "startServiceByDesktopName$$$$$",	//3011
    "startServiceByDesktopName$$$$$#",	//3012
    "startServiceByDesktopName$$$$$#$",	//3013
    "startServiceByDesktopName$?",	//3014
    "startServiceByDesktopName$?$",	//3015
    "startServiceByDesktopName$?$$",	//3016
    "startServiceByDesktopName$?$$$",	//3017
    "startServiceByDesktopName$?$$$#",	//3018
    "startServiceByDesktopName$?$$$#$",	//3019
    "startServiceByDesktopPath",	//3020
    "startServiceByDesktopPath$",	//3021
    "startServiceByDesktopPath$$",	//3022
    "startServiceByDesktopPath$$$",	//3023
    "startServiceByDesktopPath$$$$",	//3024
    "startServiceByDesktopPath$$$$$",	//3025
    "startServiceByDesktopPath$$$$$#",	//3026
    "startServiceByDesktopPath$$$$$#$",	//3027
    "startServiceByDesktopPath$?",	//3028
    "startServiceByDesktopPath$?$",	//3029
    "startServiceByDesktopPath$?$$",	//3030
    "startServiceByDesktopPath$?$$$",	//3031
    "startServiceByDesktopPath$?$$$#",	//3032
    "startServiceByDesktopPath$?$$$#$",	//3033
    "startServiceByName",	//3034
    "startServiceByName$",	//3035
    "startServiceByName$$",	//3036
    "startServiceByName$$$",	//3037
    "startServiceByName$$$$",	//3038
    "startServiceByName$$$$$",	//3039
    "startServiceByName$$$$$#",	//3040
    "startServiceByName$$$$$#$",	//3041
    "startServiceByName$?",	//3042
    "startServiceByName$?$",	//3043
    "startServiceByName$?$$",	//3044
    "startServiceByName$?$$$",	//3045
    "startServiceByName$?$$$#",	//3046
    "startServiceByName$?$$$#$",	//3047
    "start_service_by_desktop_name",	//3048
    "start_service_by_desktop_name$??$$$$$",	//3049
    "start_service_by_desktop_path",	//3050
    "start_service_by_desktop_path$??$$$$$",	//3051
    "start_service_by_name",	//3052
    "start_service_by_name$??$$$$$",	//3053
    "state",	//3054
    "staticInterfaceName",	//3055
    "staticMetaObject",	//3056
    "staticQString",	//3057
    "staticQString$",	//3058
    "status",	//3059
    "statusChanged",	//3060
    "statusChanged$",	//3061
    "stop",	//3062
    "stop$",	//3063
    "storageId",	//3064
    "storeReplacement",	//3065
    "storeReplacement$$",	//3066
    "stream",	//3067
    "stringListToVariantList",	//3068
    "stringListToVariantList?",	//3069
    "subjobs",	//3070
    "subs",	//3071
    "subs#",	//3072
    "subs#$",	//3073
    "subs#$#",	//3074
    "subs$",	//3075
    "subs$$",	//3076
    "subs$$#",	//3077
    "subs$$$",	//3078
    "subs$$$#",	//3079
    "subs$$$$",	//3080
    "subs$$$$#",	//3081
    "substituteUid",	//3082
    "subunitSymbol",	//3083
    "subunitsPerUnit",	//3084
    "succeeded",	//3085
    "suggest",	//3086
    "suggest$",	//3087
    "suppressGenericNames",	//3088
    "suspend",	//3089
    "suspended",	//3090
    "suspended#",	//3091
    "swapDefault",	//3092
    "sycocaType",	//3093
    "symbolList",	//3094
    "sync",	//3095
    "synchronousConnectToHost",	//3096
    "synchronousConnectToHost#",	//3097
    "synchronousConnectToHost##",	//3098
    "synchronousConnectToHost##$",	//3099
    "synchronousConnectToHost#$",	//3100
    "synchronousConnectToHost#$#",	//3101
    "synchronousConnectToHost#$$$",	//3102
    "synchronousConnectToHost#$$$$",	//3103
    "synchronousConnectToHost$$$",	//3104
    "synchronousConnectToHost$$$$",	//3105
    "synchronousConnectToHost$$$$#",	//3106
    "systemPaths",	//3107
    "systemPaths$",	//3108
    "tagUrls",	//3109
    "tagUrls$",	//3110
    "task",	//3111
    "terminal",	//3112
    "terminalOptions",	//3113
    "terminate",	//3114
    "testAttribute",	//3115
    "testAttribute$",	//3116
    "text",	//3117
    "thousandsSeparator",	//3118
    "tildeExpand",	//3119
    "tildeExpand$",	//3120
    "time",	//3121
    "timeFormat",	//3122
    "timeSpec",	//3123
    "timeStamp",	//3124
    "timeType",	//3125
    "timeZone",	//3126
    "timeZones",	//3127
    "timerEvent",	//3128
    "toClockTime",	//3129
    "toEntity",	//3130
    "toEntity#",	//3131
    "toLocalFile",	//3132
    "toLocalFile$",	//3133
    "toLocalZone",	//3134
    "toMimeDataString",	//3135
    "toOffsetFromUtc",	//3136
    "toOffsetFromUtc$",	//3137
    "toString",	//3138
    "toString#",	//3139
    "toString#$",	//3140
    "toString$",	//3141
    "toTimeSpec",	//3142
    "toTimeSpec#",	//3143
    "toTime_t",	//3144
    "toTime_t#",	//3145
    "toUtc",	//3146
    "toUtc#",	//3147
    "toZone",	//3148
    "toZone#",	//3149
    "toZoneTime",	//3150
    "toZoneTime#",	//3151
    "toZoneTime#$",	//3152
    "toolTip",	//3153
    "totalAmount",	//3154
    "totalAmount#$$",	//3155
    "totalAmount$",	//3156
    "tr",	//3157
    "tr$",	//3158
    "tr$$",	//3159
    "tr$$$",	//3160
    "tr2i18n",	//3161
    "tr2i18n$",	//3162
    "tr2i18n$$",	//3163
    "trUtf8",	//3164
    "trUtf8$",	//3165
    "trUtf8$$",	//3166
    "trUtf8$$$",	//3167
    "transform",	//3168
    "transform$",	//3169
    "transition",	//3170
    "transition#",	//3171
    "transition#?",	//3172
    "transition#?$",	//3173
    "transitionIndex",	//3174
    "transitionIndex#",	//3175
    "transitionIndex#$",	//3176
    "transitionIndex#$$",	//3177
    "transitionTimes",	//3178
    "transitionTimes#",	//3179
    "transitionTimes##",	//3180
    "transitionTimes###",	//3181
    "transitions",	//3182
    "transitions#",	//3183
    "transitions##",	//3184
    "translateInternalProgramName",	//3185
    "translateQt",	//3186
    "translateQt$$$",	//3187
    "translateRaw",	//3188
    "translateRaw$$$",	//3189
    "translateRaw$$$$",	//3190
    "translateRaw$$$$$",	//3191
    "translateRaw$$$$$$",	//3192
    "translateRawFrom",	//3193
    "translateRawFrom$$$$",	//3194
    "translateRawFrom$$$$$",	//3195
    "translateRawFrom$$$$$$",	//3196
    "translateRawFrom$$$$$$$",	//3197
    "translators",	//3198
    "tryExec",	//3199
    "type",	//3200
    "uiDelegate",	//3201
    "uid",	//3202
    "umask",	//3203
    "unambiguousSymbol",	//3204
    "uncompress",	//3205
    "unlink",	//3206
    "unload",	//3207
    "unloadLibrary",	//3208
    "unloadLibrary$",	//3209
    "unlock",	//3210
    "unregisterJob",	//3211
    "unregisterJob#",	//3212
    "unsetCustomAuthorText",	//3213
    "unsetEnv",	//3214
    "unsetEnv$",	//3215
    "untranslatedGenericName",	//3216
    "upUrl",	//3217
    "update",	//3218
    "update#",	//3219
    "update$",	//3220
    "update$$",	//3221
    "updateBase",	//3222
    "updateBase#",	//3223
    "updateSignature",	//3224
    "url",	//3225
    "url$",	//3226
    "usage",	//3227
    "usage#",	//3228
    "usageError",	//3229
    "usageError$",	//3230
    "use12Clock",	//3231
    "useDefaults",	//3232
    "useDefaults$",	//3233
    "useTranscript",	//3234
    "useZoneParse",	//3235
    "user",	//3236
    "userNames",	//3237
    "userSpecifiedIconName",	//3238
    "username",	//3239
    "users",	//3240
    "usrReadConfig",	//3241
    "usrSetDefaults",	//3242
    "usrUseDefaults",	//3243
    "usrUseDefaults$",	//3244
    "usrWriteConfig",	//3245
    "utc",	//3246
    "utcOffset",	//3247
    "utcOffsets",	//3248
    "uudecode",	//3249
    "uudecode#",	//3250
    "uudecode##",	//3251
    "uuencode",	//3252
    "uuencode#",	//3253
    "uuencode##",	//3254
    "variantListToStringList",	//3255
    "variantListToStringList?",	//3256
    "verify",	//3257
    "verify#",	//3258
    "verify$",	//3259
    "version",	//3260
    "versionMajor",	//3261
    "versionMinor",	//3262
    "versionRelease",	//3263
    "versionString",	//3264
    "visibleName",	//3265
    "visuallyOrdered",	//3266
    "waitForBytesWritten",	//3267
    "waitForNewConnection",	//3268
    "waitForNewConnection$",	//3269
    "waitForNewConnection$$",	//3270
    "waitForReadyRead",	//3271
    "waitForSlave",	//3272
    "waitForSlave$",	//3273
    "warning",	//3274
    "warning#$",	//3275
    "warning#$$",	//3276
    "watcher",	//3277
    "watcher$",	//3278
    "webAddress",	//3279
    "website",	//3280
    "weekDayName",	//3281
    "weekDayName#",	//3282
    "weekDayName#$",	//3283
    "weekDayName$",	//3284
    "weekDayName$$",	//3285
    "weekDayOfPray",	//3286
    "weekNumber",	//3287
    "weekNumber#",	//3288
    "weekNumber#$",	//3289
    "weekNumberString",	//3290
    "weekNumberString#",	//3291
    "weekNumberString#$",	//3292
    "weekNumberSystem",	//3293
    "weekStartDay",	//3294
    "weeksInYear",	//3295
    "weeksInYear#",	//3296
    "weeksInYear$",	//3297
    "weeksInYearString",	//3298
    "weeksInYearString#",	//3299
    "weeksInYearString#$",	//3300
    "whatsThis",	//3301
    "windowRegistered",	//3302
    "windowRegistered$",	//3303
    "windowUnregistered",	//3304
    "windowUnregistered$",	//3305
    "workingWeekEndDay",	//3306
    "workingWeekStartDay",	//3307
    "writeConfig",	//3308
    "writeConfig#",	//3309
    "writeData",	//3310
    "writeData$$",	//3311
    "writeEntry",	//3312
    "writeEntry$#",	//3313
    "writeEntry$#$",	//3314
    "writeEntry$$",	//3315
    "writeEntry$$$",	//3316
    "writeEntry$?",	//3317
    "writeEntry$?$",	//3318
    "writeHeader",	//3319
    "writeHeader#",	//3320
    "writePathEntry",	//3321
    "writePathEntry$$",	//3322
    "writePathEntry$$$",	//3323
    "writePathEntry$?",	//3324
    "writePathEntry$?$",	//3325
    "writeXdgListEntry",	//3326
    "writeXdgListEntry$?",	//3327
    "writeXdgListEntry$?$",	//3328
    "year",	//3329
    "year#",	//3330
    "yearInEra",	//3331
    "yearInEra#",	//3332
    "yearInEraString",	//3333
    "yearInEraString#",	//3334
    "yearInEraString#$",	//3335
    "yearString",	//3336
    "yearString#",	//3337
    "yearString#$",	//3338
    "yearStringToInteger",	//3339
    "yearStringToInteger$$",	//3340
    "yearsDifference",	//3341
    "yearsDifference##",	//3342
    "zone",	//3343
    "zone$",	//3344
    "zoneinfoDir",	//3345
    "zones",	//3346
    "~Action",	//3347
    "~ActionReply",	//3348
    "~ActionWatcher",	//3349
    "~BackgroundChecker",	//3350
    "~Choice",	//3351
    "~Choice2",	//3352
    "~ExtraField",	//3353
    "~ItemBool",	//3354
    "~ItemDateTime",	//3355
    "~ItemDouble",	//3356
    "~ItemEnum",	//3357
    "~ItemInt",	//3358
    "~ItemIntList",	//3359
    "~ItemLongLong",	//3360
    "~ItemPassword",	//3361
    "~ItemPath",	//3362
    "~ItemPathList",	//3363
    "~ItemPoint",	//3364
    "~ItemProperty",	//3365
    "~ItemRect",	//3366
    "~ItemSize",	//3367
    "~ItemString",	//3368
    "~ItemStringList",	//3369
    "~ItemUInt",	//3370
    "~ItemULongLong",	//3371
    "~ItemUrl",	//3372
    "~ItemUrlList",	//3373
    "~KAboutData",	//3374
    "~KAboutLicense",	//3375
    "~KAboutPerson",	//3376
    "~KAutoSaveFile",	//3377
    "~KAutostart",	//3378
    "~KCalendarSystem",	//3379
    "~KCharMacroExpander",	//3380
    "~KCharsets",	//3381
    "~KCmdLineArgs",	//3382
    "~KCmdLineOptions",	//3383
    "~KComponentData",	//3384
    "~KCompositeJob",	//3385
    "~KConfig",	//3386
    "~KConfigBase",	//3387
    "~KConfigGroup",	//3388
    "~KConfigSkeletonItem",	//3389
    "~KCoreConfigSkeleton",	//3390
    "~KCurrencyCode",	//3391
    "~KDEDModule",	//3392
    "~KDEPluginVerificationData",	//3393
    "~KDateTime",	//3394
    "~KDebug",	//3395
    "~KDebugTag",	//3396
    "~KDesktopFile",	//3397
    "~KEncodingDetector",	//3398
    "~KEncodingProber",	//3399
    "~KFilterBase",	//3400
    "~KFilterDev",	//3401
    "~KJob",	//3402
    "~KJobTrackerInterface",	//3403
    "~KJobUiDelegate",	//3404
    "~KLibrary",	//3405
    "~KLocalSocket",	//3406
    "~KLocalSocketServer",	//3407
    "~KLocale",	//3408
    "~KLocalizedString",	//3409
    "~KLockFile",	//3410
    "~KMD5",	//3411
    "~KMacroExpanderBase",	//3412
    "~KMessageHandler",	//3413
    "~KMimeType",	//3414
    "~KMimeTypeTrader",	//3415
    "~KPluginFactory",	//3416
    "~KPluginInfo",	//3417
    "~KPluginLoader",	//3418
    "~KProcess",	//3419
    "~KProtocolInfo",	//3420
    "~KRandomSequence",	//3421
    "~KSaveFile",	//3422
    "~KService",	//3423
    "~KServiceAction",	//3424
    "~KServiceGroup",	//3425
    "~KServiceType",	//3426
    "~KServiceTypeTrader",	//3427
    "~KSharedConfig",	//3428
    "~KStandardDirs",	//3429
    "~KSycoca",	//3430
    "~KSycocaEntry",	//3431
    "~KSystemTimeZone",	//3432
    "~KSystemTimeZoneBackend",	//3433
    "~KSystemTimeZoneSource",	//3434
    "~KSystemTimeZones",	//3435
    "~KTempDir",	//3436
    "~KTemporaryFile",	//3437
    "~KTimeZone",	//3438
    "~KTimeZoneBackend",	//3439
    "~KTimeZoneData",	//3440
    "~KTimeZoneSource",	//3441
    "~KTimeZones",	//3442
    "~KToolInvocation",	//3443
    "~KTzfileTimeZone",	//3444
    "~KTzfileTimeZoneBackend",	//3445
    "~KTzfileTimeZoneSource",	//3446
    "~KUrl",	//3447
    "~KUser",	//3448
    "~KUserGroup",	//3449
    "~KWordMacroExpander",	//3450
    "~LeapSeconds",	//3451
    "~OrgKdeKLauncherInterface",	//3452
    "~Phase",	//3453
    "~Spec",	//3454
    "~Speller",	//3455
    "~Transition",	//3456
    "~kndbgstream",	//3457
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 276, 1, 10, Smoke::mf_ctor, 4, 1},	//1 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 276, 12, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 2},	//2 KAboutData::KAboutData(const KAboutData&)
    {1, 2205, 12, 1, 0, 3, 3},	//3 KAboutData::operator=(const KAboutData&)
    {1, 862, 14, 4, 0, 3, 4},	//4 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 862, 19, 5, 0, 3, 5},	//5 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 875, 14, 4, 0, 3, 6},	//6 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {1, 875, 19, 5, 0, 3, 7},	//7 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {1, 2928, 25, 2, 0, 3, 8},	//8 KAboutData::setTranslator(const KLocalizedString&, const KLocalizedString&)
    {1, 2713, 28, 1, 0, 3, 9},	//9 KAboutData::setLicenseText(const KLocalizedString&)
    {1, 969, 28, 1, 0, 3, 10},	//10 KAboutData::addLicenseText(const KLocalizedString&)
    {1, 2715, 30, 1, 0, 3, 11},	//11 KAboutData::setLicenseTextFile(const QString&)
    {1, 971, 30, 1, 0, 3, 12},	//12 KAboutData::addLicenseTextFile(const QString&)
    {1, 2539, 32, 1, 0, 3, 13},	//13 KAboutData::setAppName(const QByteArray&)
    {1, 2867, 28, 1, 0, 3, 14},	//14 KAboutData::setProgramName(const KLocalizedString&)
    {1, 2863, 30, 1, 0, 3, 15},	//15 KAboutData::setProgramIconName(const QString&)
    {1, 2865, 34, 1, 0, 3, 16},	//16 KAboutData::setProgramLogo(const QVariant&)
    {1, 2819, 32, 1, 0, 3, 17},	//17 KAboutData::setOcsProvider(const QByteArray&)
    {1, 2938, 32, 1, 0, 3, 18},	//18 KAboutData::setVersion(const QByteArray&)
    {1, 2889, 28, 1, 0, 3, 19},	//19 KAboutData::setShortDescription(const KLocalizedString&)
    {1, 2568, 32, 1, 0, 3, 20},	//20 KAboutData::setCatalogName(const QByteArray&)
    {1, 2711, 36, 1, 0, 3, 21},	//21 KAboutData::setLicense(KAboutData::LicenseKey)
    {1, 967, 36, 1, 0, 3, 22},	//22 KAboutData::addLicense(KAboutData::LicenseKey)
    {1, 2580, 28, 1, 0, 3, 23},	//23 KAboutData::setCopyrightStatement(const KLocalizedString&)
    {1, 2825, 28, 1, 0, 3, 24},	//24 KAboutData::setOtherText(const KLocalizedString&)
    {1, 2685, 32, 1, 0, 3, 25},	//25 KAboutData::setHomepage(const QByteArray&)
    {1, 2560, 32, 1, 0, 3, 26},	//26 KAboutData::setBugAddress(const QByteArray&)
    {1, 2821, 32, 1, 0, 3, 27},	//27 KAboutData::setOrganizationDomain(const QByteArray&)
    {1, 2857, 32, 1, 0, 3, 28},	//28 KAboutData::setProductName(const QByteArray&)
    {1, 1043, 0, 0, Smoke::mf_const, 382, 29},	//29 KAboutData::appName() const
    {1, 2300, 0, 0, Smoke::mf_const, 382, 30},	//30 KAboutData::productName() const
    {1, 2304, 0, 0, Smoke::mf_const, 382, 31},	//31 KAboutData::programName() const
    {1, 2236, 0, 0, Smoke::mf_const, 382, 32},	//32 KAboutData::organizationDomain() const
    {1, 1757, 0, 0, Smoke::mf_const, 663, 33},	//33 KAboutData::internalProgramName() const
    {1, 3185, 0, 0, Smoke::mf_const, 0, 34},	//34 KAboutData::translateInternalProgramName() const
    {1, 2302, 0, 0, Smoke::mf_const, 382, 35},	//35 KAboutData::programIconName() const
    {1, 2303, 0, 0, Smoke::mf_const, 406, 36},	//36 KAboutData::programLogo() const
    {1, 2140, 0, 0, Smoke::mf_const, 382, 37},	//37 KAboutData::ocsProviderUrl() const
    {1, 3260, 0, 0, Smoke::mf_const, 382, 38},	//38 KAboutData::version() const
    {1, 1758, 0, 0, Smoke::mf_const, 663, 39},	//39 KAboutData::internalVersion() const
    {1, 2960, 0, 0, Smoke::mf_const, 382, 40},	//40 KAboutData::shortDescription() const
    {1, 1124, 0, 0, Smoke::mf_const, 382, 41},	//41 KAboutData::catalogName() const
    {1, 1716, 0, 0, Smoke::mf_const, 382, 42},	//42 KAboutData::homepage() const
    {1, 1096, 0, 0, Smoke::mf_const, 382, 43},	//43 KAboutData::bugAddress() const
    {1, 1756, 0, 0, Smoke::mf_const, 663, 44},	//44 KAboutData::internalBugAddress() const
    {1, 1064, 0, 0, Smoke::mf_const, 337, 45},	//45 KAboutData::authors() const
    {1, 1229, 0, 0, Smoke::mf_const, 337, 46},	//46 KAboutData::credits() const
    {1, 3198, 0, 0, Smoke::mf_const, 337, 47},	//47 KAboutData::translators() const
    {1, 842, 0, 0, Smoke::mf_static, 382, 48},	//48 KAboutData::aboutTranslationTeam()
    {1, 2237, 0, 0, Smoke::mf_const, 382, 49},	//49 KAboutData::otherText() const
    {1, 1978, 0, 0, Smoke::mf_const, 382, 50},	//50 KAboutData::license() const
    {1, 1979, 38, 1, Smoke::mf_const, 382, 51},	//51 KAboutData::licenseName(KAboutData::NameFormat) const
    {1, 1981, 0, 0, Smoke::mf_const, 336, 52},	//52 KAboutData::licenses() const
    {1, 1207, 0, 0, Smoke::mf_const, 382, 53},	//53 KAboutData::copyrightStatement() const
    {1, 1250, 0, 0, Smoke::mf_const, 382, 54},	//54 KAboutData::customAuthorPlainText() const
    {1, 1251, 0, 0, Smoke::mf_const, 382, 55},	//55 KAboutData::customAuthorRichText() const
    {1, 1252, 0, 0, Smoke::mf_const, 495, 56},	//56 KAboutData::customAuthorTextEnabled() const
    {1, 2592, 25, 2, 0, 3, 57},	//57 KAboutData::setCustomAuthorText(const KLocalizedString&, const KLocalizedString&)
    {1, 3213, 0, 0, 0, 3, 58},	//58 KAboutData::unsetCustomAuthorText()
    {1, 276, 40, 4, Smoke::mf_ctor, 4, 59},	//59 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {1, 276, 45, 5, Smoke::mf_ctor, 4, 60},	//60 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {1, 276, 51, 6, Smoke::mf_ctor, 4, 61},	//61 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey)
    {1, 276, 58, 7, Smoke::mf_ctor, 4, 62},	//62 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&)
    {1, 276, 66, 8, Smoke::mf_ctor, 4, 63},	//63 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&)
    {1, 276, 75, 9, Smoke::mf_ctor, 4, 64},	//64 KAboutData::KAboutData(const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, KAboutData::LicenseKey, const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 862, 28, 1, 0, 3, 65},	//65 KAboutData::addAuthor(const KLocalizedString&)
    {1, 862, 25, 2, 0, 3, 66},	//66 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&)
    {1, 862, 85, 3, 0, 3, 67},	//67 KAboutData::addAuthor(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 875, 28, 1, 0, 3, 68},	//68 KAboutData::addCredit(const KLocalizedString&)
    {1, 875, 25, 2, 0, 3, 69},	//69 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&)
    {1, 875, 85, 3, 0, 3, 70},	//70 KAboutData::addCredit(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {1, 571, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 71},	//71 KAboutData::License_Custom (enum)
    {1, 572, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 72},	//72 KAboutData::License_File (enum)
    {1, 581, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 73},	//73 KAboutData::License_Unknown (enum)
    {1, 573, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 74},	//74 KAboutData::License_GPL (enum)
    {1, 574, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 75},	//75 KAboutData::License_GPL_V2 (enum)
    {1, 576, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 76},	//76 KAboutData::License_LGPL (enum)
    {1, 577, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//77 KAboutData::License_LGPL_V2 (enum)
    {1, 570, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//78 KAboutData::License_BSD (enum)
    {1, 569, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//79 KAboutData::License_Artistic (enum)
    {1, 579, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//80 KAboutData::License_QPL (enum)
    {1, 580, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//81 KAboutData::License_QPL_V1_0 (enum)
    {1, 575, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//82 KAboutData::License_GPL_V3 (enum)
    {1, 578, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//83 KAboutData::License_LGPL_V3 (enum)
    {1, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 84},	//84 KAboutData::ShortName (enum)
    {1, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 85},	//85 KAboutData::FullName (enum)
    {1, 3374, 0, 0, Smoke::mf_dtor, 0, 86 },	//86 KAboutData::~KAboutData()
    {2, 285, 89, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 1},	//87 KAboutLicense::KAboutLicense(const KAboutLicense&)
    {2, 2205, 89, 1, 0, 8, 2},	//88 KAboutLicense::operator=(const KAboutLicense&)
    {2, 3117, 0, 0, Smoke::mf_const, 382, 3},	//89 KAboutLicense::text() const
    {2, 2109, 38, 1, Smoke::mf_const, 382, 4},	//90 KAboutLicense::name(KAboutData::NameFormat) const
    {2, 1932, 0, 0, Smoke::mf_const, 5, 5},	//91 KAboutLicense::key() const
    {2, 1097, 30, 1, Smoke::mf_static, 7, 6},	//92 KAboutLicense::byKeyword(const QString&)
    {2, 3375, 0, 0, Smoke::mf_dtor, 0, 7 },	//93 KAboutLicense::~KAboutLicense()
    {3, 287, 14, 4, Smoke::mf_ctor, 11, 1},	//94 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {3, 287, 19, 5, Smoke::mf_ctor, 11, 2},	//95 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&, const QByteArray&, const QByteArray&)
    {3, 287, 91, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 11, 3},	//96 KAboutPerson::KAboutPerson(const KAboutPerson&)
    {3, 2205, 91, 1, 0, 10, 4},	//97 KAboutPerson::operator=(const KAboutPerson&)
    {3, 2109, 0, 0, Smoke::mf_const, 382, 5},	//98 KAboutPerson::name() const
    {3, 3111, 0, 0, Smoke::mf_const, 382, 6},	//99 KAboutPerson::task() const
    {3, 1400, 0, 0, Smoke::mf_const, 382, 7},	//100 KAboutPerson::emailAddress() const
    {3, 3279, 0, 0, Smoke::mf_const, 382, 8},	//101 KAboutPerson::webAddress() const
    {3, 2141, 0, 0, Smoke::mf_const, 382, 9},	//102 KAboutPerson::ocsUsername() const
    {3, 287, 28, 1, Smoke::mf_ctor, 11, 10},	//103 KAboutPerson::KAboutPerson(const KLocalizedString&)
    {3, 287, 25, 2, Smoke::mf_ctor, 11, 11},	//104 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&)
    {3, 287, 85, 3, Smoke::mf_ctor, 11, 12},	//105 KAboutPerson::KAboutPerson(const KLocalizedString&, const KLocalizedString&, const QByteArray&)
    {3, 3376, 0, 0, Smoke::mf_dtor, 0, 13 },	//106 KAboutPerson::~KAboutPerson()
    {4, 4, 0, 0, Smoke::mf_ctor, 13, 1},	//107 KAuth::Action::Action()
    {4, 4, 93, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 13, 2},	//108 KAuth::Action::Action(const KAuth::Action&)
    {4, 4, 30, 1, Smoke::mf_ctor, 13, 3},	//109 KAuth::Action::Action(const QString&)
    {4, 4, 95, 2, Smoke::mf_ctor, 13, 4},	//110 KAuth::Action::Action(const QString&, const QString&)
    {4, 2205, 93, 1, 0, 12, 5},	//111 KAuth::Action::operator=(const KAuth::Action&)
    {4, 2208, 93, 1, Smoke::mf_const, 495, 6},	//112 KAuth::Action::operator==(const KAuth::Action&) const
    {4, 2165, 93, 1, Smoke::mf_const, 495, 7},	//113 KAuth::Action::operator!=(const KAuth::Action&) const
    {4, 2109, 0, 0, Smoke::mf_const, 382, 8},	//114 KAuth::Action::name() const
    {4, 2809, 30, 1, 0, 0, 9},	//115 KAuth::Action::setName(const QString&)
    {4, 2633, 30, 1, 0, 0, 10},	//116 KAuth::Action::setDetails(const QString&)
    {4, 1367, 0, 0, Smoke::mf_const, 382, 11},	//117 KAuth::Action::details() const
    {4, 1879, 0, 0, Smoke::mf_const, 495, 12},	//118 KAuth::Action::isValid() const
    {4, 1712, 0, 0, Smoke::mf_const, 382, 13},	//119 KAuth::Action::helperID() const
    {4, 2683, 30, 1, 0, 0, 14},	//120 KAuth::Action::setHelperID(const QString&)
    {4, 1683, 0, 0, Smoke::mf_const, 495, 15},	//121 KAuth::Action::hasHelper() const
    {4, 3277, 0, 0, 0, 20, 16},	//122 KAuth::Action::watcher()
    {4, 2541, 98, 1, 0, 0, 17},	//123 KAuth::Action::setArguments(const QMap<QString,QVariant>&)
    {4, 1051, 0, 0, Smoke::mf_const, 369, 18},	//124 KAuth::Action::arguments() const
    {4, 860, 100, 2, 0, 0, 19},	//125 KAuth::Action::addArgument(const QString&, const QVariant&)
    {4, 1054, 0, 0, Smoke::mf_const, 14, 20},	//126 KAuth::Action::authorize() const
    {4, 1398, 0, 0, Smoke::mf_const, 14, 21},	//127 KAuth::Action::earlyAuthorize() const
    {4, 3059, 0, 0, Smoke::mf_const, 14, 22},	//128 KAuth::Action::status() const
    {4, 1460, 0, 0, Smoke::mf_const, 15, 23},	//129 KAuth::Action::execute() const
    {4, 1460, 30, 1, Smoke::mf_const, 15, 24},	//130 KAuth::Action::execute(const QString&) const
    {4, 2662, 103, 1, 0, 0, 25},	//131 KAuth::Action::setExecutesAsync(bool)
    {4, 1469, 0, 0, Smoke::mf_const, 495, 26},	//132 KAuth::Action::executesAsync() const
    {4, 1466, 105, 3, Smoke::mf_static, 495, 27},	//133 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&)
    {4, 1466, 109, 4, Smoke::mf_static, 495, 28},	//134 KAuth::Action::executeActions(const QList<KAuth::Action>&, QList<KAuth::Action>*, const QString&, QWidget*)
    {4, 3062, 0, 0, 0, 0, 29},	//135 KAuth::Action::stop()
    {4, 3062, 30, 1, 0, 0, 30},	//136 KAuth::Action::stop(const QString&)
    {4, 2833, 114, 1, 0, 0, 31},	//137 KAuth::Action::setParentWidget(QWidget*)
    {4, 2249, 0, 0, Smoke::mf_const, 411, 32},	//138 KAuth::Action::parentWidget() const
    {4, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 33},	//139 KAuth::Action::Denied (enum)
    {4, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 34},	//140 KAuth::Action::Error (enum)
    {4, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 35},	//141 KAuth::Action::Invalid (enum)
    {4, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 36},	//142 KAuth::Action::Authorized (enum)
    {4, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 37},	//143 KAuth::Action::AuthRequired (enum)
    {4, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 38},	//144 KAuth::Action::UserCancelled (enum)
    {4, 3347, 0, 0, Smoke::mf_dtor, 0, 39 },	//145 KAuth::Action::~Action()
    {5, 8, 0, 0, Smoke::mf_ctor, 17, 1},	//146 KAuth::ActionReply::ActionReply()
    {5, 8, 116, 1, Smoke::mf_ctor, 17, 2},	//147 KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    {5, 8, 118, 1, Smoke::mf_ctor, 17, 3},	//148 KAuth::ActionReply::ActionReply(int)
    {5, 8, 120, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 17, 4},	//149 KAuth::ActionReply::ActionReply(const KAuth::ActionReply&)
    {5, 2596, 98, 1, 0, 0, 5},	//150 KAuth::ActionReply::setData(const QMap<QString,QVariant>&)
    {5, 1255, 0, 0, Smoke::mf_const, 369, 6},	//151 KAuth::ActionReply::data() const
    {5, 883, 100, 2, 0, 0, 7},	//152 KAuth::ActionReply::addData(const QString&, const QVariant&)
    {5, 3200, 0, 0, Smoke::mf_const, 19, 8},	//153 KAuth::ActionReply::type() const
    {5, 3085, 0, 0, Smoke::mf_const, 495, 9},	//154 KAuth::ActionReply::succeeded() const
    {5, 1497, 0, 0, Smoke::mf_const, 495, 10},	//155 KAuth::ActionReply::failed() const
    {5, 1444, 0, 0, Smoke::mf_const, 678, 11},	//156 KAuth::ActionReply::errorCode() const
    {5, 2652, 118, 1, 0, 0, 12},	//157 KAuth::ActionReply::setErrorCode(int)
    {5, 1445, 0, 0, Smoke::mf_const, 382, 13},	//158 KAuth::ActionReply::errorDescription() const
    {5, 2654, 30, 1, 0, 0, 14},	//159 KAuth::ActionReply::setErrorDescription(const QString&)
    {5, 2508, 0, 0, Smoke::mf_const, 248, 15},	//160 KAuth::ActionReply::serialized() const
    {5, 1361, 32, 1, Smoke::mf_static, 15, 16},	//161 KAuth::ActionReply::deserialize(const QByteArray&)
    {5, 2205, 120, 1, 0, 16, 17},	//162 KAuth::ActionReply::operator=(const KAuth::ActionReply&)
    {5, 2208, 120, 1, Smoke::mf_const, 495, 18},	//163 KAuth::ActionReply::operator==(const KAuth::ActionReply&) const
    {5, 2165, 120, 1, Smoke::mf_const, 495, 19},	//164 KAuth::ActionReply::operator!=(const KAuth::ActionReply&) const
    {5, 738, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 20},	//165 KAuth::ActionReply::SuccessReply() const
    {5, 157, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 21},	//166 KAuth::ActionReply::HelperErrorReply() const
    {5, 622, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 22},	//167 KAuth::ActionReply::NoResponderReply() const
    {5, 625, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 23},	//168 KAuth::ActionReply::NoSuchActionReply() const
    {5, 178, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 24},	//169 KAuth::ActionReply::InvalidActionReply() const
    {5, 29, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 25},	//170 KAuth::ActionReply::AuthorizationDeniedReply() const
    {5, 799, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 26},	//171 KAuth::ActionReply::UserCancelledReply() const
    {5, 155, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 27},	//172 KAuth::ActionReply::HelperBusyReply() const
    {5, 76, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 506, 28},	//173 KAuth::ActionReply::DBusErrorReply() const
    {5, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 29},	//174 KAuth::ActionReply::KAuthError (enum)
    {5, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 30},	//175 KAuth::ActionReply::HelperError (enum)
    {5, 737, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 31},	//176 KAuth::ActionReply::Success (enum)
    {5, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 32},	//177 KAuth::ActionReply::NoError (enum)
    {5, 621, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 33},	//178 KAuth::ActionReply::NoResponder (enum)
    {5, 624, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 34},	//179 KAuth::ActionReply::NoSuchAction (enum)
    {5, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 35},	//180 KAuth::ActionReply::InvalidAction (enum)
    {5, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 36},	//181 KAuth::ActionReply::AuthorizationDenied (enum)
    {5, 798, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 37},	//182 KAuth::ActionReply::UserCancelled (enum)
    {5, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 38},	//183 KAuth::ActionReply::HelperBusy (enum)
    {5, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 39},	//184 KAuth::ActionReply::DBusError (enum)
    {5, 3348, 0, 0, Smoke::mf_dtor, 0, 40 },	//185 KAuth::ActionReply::~ActionReply()
    {6, 2068, 0, 0, Smoke::mf_const, 636, 1},	//186 KAuth::ActionWatcher::metaObject() const
    {6, 2332, 122, 1, 0, 701, 2},	//187 KAuth::ActionWatcher::qt_metacast(const char*)
    {6, 3157, 124, 2, Smoke::mf_static, 382, 3},	//188 KAuth::ActionWatcher::tr(const char*, const char*)
    {6, 3164, 124, 2, Smoke::mf_static, 382, 4},	//189 KAuth::ActionWatcher::trUtf8(const char*, const char*)
    {6, 3157, 127, 3, Smoke::mf_static, 382, 5},	//190 KAuth::ActionWatcher::tr(const char*, const char*, int)
    {6, 3164, 127, 3, Smoke::mf_static, 382, 6},	//191 KAuth::ActionWatcher::trUtf8(const char*, const char*, int)
    {6, 2330, 131, 3, 0, 678, 7},	//192 KAuth::ActionWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {6, 3277, 30, 1, Smoke::mf_static, 20, 8},	//193 KAuth::ActionWatcher::watcher(const QString&)
    {6, 848, 0, 0, Smoke::mf_const, 382, 9},	//194 KAuth::ActionWatcher::action() const
    {6, 853, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//195 KAuth::ActionWatcher::actionStarted()
    {6, 851, 120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//196 KAuth::ActionWatcher::actionPerformed(const KAuth::ActionReply&)
    {6, 2305, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//197 KAuth::ActionWatcher::progressStep(int)
    {6, 2305, 135, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//198 KAuth::ActionWatcher::progressStep(const QVariantMap&)
    {6, 3060, 118, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//199 KAuth::ActionWatcher::statusChanged(int)
    {6, 3157, 122, 1, Smoke::mf_static, 382, 15},	//200 KAuth::ActionWatcher::tr(const char*)
    {6, 3164, 122, 1, Smoke::mf_static, 382, 16},	//201 KAuth::ActionWatcher::trUtf8(const char*)
    {6, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 17},	//202 KAuth::ActionWatcher::staticMetaObject() const
    {6, 3349, 0, 0, Smoke::mf_dtor, 0, 18 },	//203 KAuth::ActionWatcher::~ActionWatcher()
    {7, 1062, 137, 3, Smoke::mf_static, 495, 1},	//204 KAuthorized::authorizeUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1054, 30, 1, Smoke::mf_static, 495, 2},	//205 KAuthorized::authorize(const QString&)
    {7, 1058, 141, 1, Smoke::mf_static, 387, 3},	//206 KAuthorized::authorizeControlModules(const QStringList&)
    {7, 1060, 30, 1, Smoke::mf_static, 495, 4},	//207 KAuthorized::authorizeKAction(const QString&)
    {7, 1038, 137, 3, Smoke::mf_static, 0, 5},	//208 KAuthorized::allowUrlAction(const QString&, const KUrl&, const KUrl&)
    {7, 1056, 30, 1, Smoke::mf_static, 495, 6},	//209 KAuthorized::authorizeControlModule(const QString&)
    {8, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//210 KAutoSaveFile::metaObject() const
    {8, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//211 KAutoSaveFile::qt_metacast(const char*)
    {8, 3157, 124, 2, Smoke::mf_static, 382, 3},	//212 KAutoSaveFile::tr(const char*, const char*)
    {8, 3164, 124, 2, Smoke::mf_static, 382, 4},	//213 KAutoSaveFile::trUtf8(const char*, const char*)
    {8, 3157, 127, 3, Smoke::mf_static, 382, 5},	//214 KAutoSaveFile::tr(const char*, const char*, int)
    {8, 3164, 127, 3, Smoke::mf_static, 382, 6},	//215 KAutoSaveFile::trUtf8(const char*, const char*, int)
    {8, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//216 KAutoSaveFile::qt_metacall(QMetaObject::Call, int, void**)
    {8, 294, 143, 2, Smoke::mf_ctor, 21, 8},	//217 KAutoSaveFile::KAutoSaveFile(const KUrl&, QObject*)
    {8, 294, 146, 1, Smoke::mf_ctor, 21, 9},	//218 KAutoSaveFile::KAutoSaveFile(QObject*)
    {8, 2053, 0, 0, Smoke::mf_const, 222, 10},	//219 KAutoSaveFile::managedFile() const
    {8, 2781, 148, 1, 0, 0, 11},	//220 KAutoSaveFile::setManagedFile(const KUrl&)
    {8, 2441, 0, 0, Smoke::mf_virtual, 0, 12},	//221 KAutoSaveFile::releaseLock()
    {8, 2152, 150, 1, Smoke::mf_virtual, 495, 13},	//222 KAutoSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {8, 2994, 152, 2, Smoke::mf_static, 339, 14},	//223 KAutoSaveFile::staleFiles(const KUrl&, const QString&)
    {8, 1030, 30, 1, Smoke::mf_static, 339, 15},	//224 KAutoSaveFile::allStaleFiles(const QString&)
    {8, 3157, 122, 1, Smoke::mf_static, 382, 16},	//225 KAutoSaveFile::tr(const char*)
    {8, 3164, 122, 1, Smoke::mf_static, 382, 17},	//226 KAutoSaveFile::trUtf8(const char*)
    {8, 294, 148, 1, Smoke::mf_ctor, 21, 18},	//227 KAutoSaveFile::KAutoSaveFile(const KUrl&)
    {8, 294, 0, 0, Smoke::mf_ctor, 21, 19},	//228 KAutoSaveFile::KAutoSaveFile()
    {8, 2994, 148, 1, Smoke::mf_static, 339, 20},	//229 KAutoSaveFile::staleFiles(const KUrl&)
    {8, 1030, 0, 0, Smoke::mf_static, 339, 21},	//230 KAutoSaveFile::allStaleFiles()
    {8, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 22},	//231 KAutoSaveFile::staticMetaObject() const
    {8, 3377, 0, 0, Smoke::mf_dtor, 0, 23 },	//232 KAutoSaveFile::~KAutoSaveFile()
    {9, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//233 KAutostart::metaObject() const
    {9, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//234 KAutostart::qt_metacast(const char*)
    {9, 3157, 124, 2, Smoke::mf_static, 382, 3},	//235 KAutostart::tr(const char*, const char*)
    {9, 3164, 124, 2, Smoke::mf_static, 382, 4},	//236 KAutostart::trUtf8(const char*, const char*)
    {9, 3157, 127, 3, Smoke::mf_static, 382, 5},	//237 KAutostart::tr(const char*, const char*, int)
    {9, 3164, 127, 3, Smoke::mf_static, 382, 6},	//238 KAutostart::trUtf8(const char*, const char*, int)
    {9, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//239 KAutostart::qt_metacall(QMetaObject::Call, int, void**)
    {9, 297, 155, 2, Smoke::mf_ctor, 22, 8},	//240 KAutostart::KAutostart(const QString&, QObject*)
    {9, 2556, 103, 1, 0, 0, 9},	//241 KAutostart::setAutostarts(bool)
    {9, 1072, 158, 2, Smoke::mf_const, 495, 10},	//242 KAutostart::autostarts(const QString&, QFlags<KAutostart::Condition>) const
    {9, 1167, 0, 0, Smoke::mf_const, 382, 11},	//243 KAutostart::command() const
    {9, 2570, 30, 1, 0, 0, 12},	//244 KAutostart::setCommand(const QString&)
    {9, 3265, 0, 0, Smoke::mf_const, 382, 13},	//245 KAutostart::visibleName() const
    {9, 2940, 30, 1, 0, 0, 14},	//246 KAutostart::setVisibleName(const QString&)
    {9, 1864, 30, 1, Smoke::mf_static, 495, 15},	//247 KAutostart::isServiceRegistered(const QString&)
    {9, 1168, 0, 0, Smoke::mf_const, 382, 16},	//248 KAutostart::commandToCheck() const
    {9, 2572, 30, 1, 0, 0, 17},	//249 KAutostart::setCommandToCheck(const QString&)
    {9, 3005, 0, 0, Smoke::mf_const, 24, 18},	//250 KAutostart::startPhase() const
    {9, 2902, 161, 1, 0, 0, 19},	//251 KAutostart::setStartPhase(KAutostart::StartPhase)
    {9, 1040, 0, 0, Smoke::mf_const, 387, 20},	//252 KAutostart::allowedEnvironments() const
    {9, 2537, 141, 1, 0, 0, 21},	//253 KAutostart::setAllowedEnvironments(const QStringList&)
    {9, 998, 30, 1, 0, 0, 22},	//254 KAutostart::addToAllowedEnvironments(const QString&)
    {9, 2451, 30, 1, 0, 0, 23},	//255 KAutostart::removeFromAllowedEnvironments(const QString&)
    {9, 1454, 0, 0, Smoke::mf_const, 387, 24},	//256 KAutostart::excludedEnvironments() const
    {9, 2660, 141, 1, 0, 0, 25},	//257 KAutostart::setExcludedEnvironments(const QStringList&)
    {9, 1000, 30, 1, 0, 0, 26},	//258 KAutostart::addToExcludedEnvironments(const QString&)
    {9, 2453, 30, 1, 0, 0, 27},	//259 KAutostart::removeFromExcludedEnvironments(const QString&)
    {9, 2999, 0, 0, Smoke::mf_const, 382, 28},	//260 KAutostart::startAfter() const
    {9, 1136, 30, 1, Smoke::mf_const, 495, 29},	//261 KAutostart::checkAllowedEnvironment(const QString&) const
    {9, 3157, 122, 1, Smoke::mf_static, 382, 30},	//262 KAutostart::tr(const char*)
    {9, 3164, 122, 1, Smoke::mf_static, 382, 31},	//263 KAutostart::trUtf8(const char*)
    {9, 297, 0, 0, Smoke::mf_ctor, 22, 32},	//264 KAutostart::KAutostart()
    {9, 297, 30, 1, Smoke::mf_ctor, 22, 33},	//265 KAutostart::KAutostart(const QString&)
    {9, 1072, 0, 0, Smoke::mf_const, 495, 34},	//266 KAutostart::autostarts() const
    {9, 1072, 30, 1, Smoke::mf_const, 495, 35},	//267 KAutostart::autostarts(const QString&) const
    {9, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 36},	//268 KAutostart::staticMetaObject() const
    {9, 615, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//269 KAutostart::NoConditions (enum)
    {9, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 38},	//270 KAutostart::CheckCommand (enum)
    {9, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 39},	//271 KAutostart::CheckCondition (enum)
    {9, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 40},	//272 KAutostart::CheckAll (enum)
    {9, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 41},	//273 KAutostart::BaseDesktop (enum)
    {9, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 42},	//274 KAutostart::DesktopServices (enum)
    {9, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 43},	//275 KAutostart::Applications (enum)
    {9, 3378, 0, 0, Smoke::mf_dtor, 0, 44 },	//276 KAutostart::~KAutostart()
    {10, 1215, 163, 2, Smoke::mf_static, 25, 1},	//277 KCalendarSystem::create(const QString&, const KLocale*)
    {10, 1215, 166, 3, Smoke::mf_static, 25, 2},	//278 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1215, 170, 2, Smoke::mf_static, 25, 3},	//279 KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    {10, 1215, 173, 3, Smoke::mf_static, 25, 4},	//280 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1111, 0, 0, Smoke::mf_static, 387, 5},	//281 KCalendarSystem::calendarSystems()
    {10, 1112, 0, 0, Smoke::mf_static, 343, 6},	//282 KCalendarSystem::calendarSystemsList()
    {10, 1105, 30, 1, Smoke::mf_static, 382, 7},	//283 KCalendarSystem::calendarLabel(const QString&)
    {10, 1105, 170, 2, Smoke::mf_static, 382, 8},	//284 KCalendarSystem::calendarLabel(KLocale::CalendarSystem, const KLocale*)
    {10, 1109, 30, 1, Smoke::mf_static, 120, 9},	//285 KCalendarSystem::calendarSystemForCalendarType(const QString&)
    {10, 300, 177, 1, Smoke::mf_ctor, 25, 10},	//286 KCalendarSystem::KCalendarSystem(const KLocale*)
    {10, 300, 179, 2, Smoke::mf_ctor, 25, 11},	//287 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1113, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 382, 12},	//288 KCalendarSystem::calendarType() const [pure virtual]
    {10, 1108, 0, 0, Smoke::mf_const, 120, 13},	//289 KCalendarSystem::calendarSystem() const
    {10, 1105, 0, 0, Smoke::mf_const, 382, 14},	//290 KCalendarSystem::calendarLabel() const
    {10, 1431, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 15},	//291 KCalendarSystem::epoch() const
    {10, 1397, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 16},	//292 KCalendarSystem::earliestValidDate() const
    {10, 1968, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 262, 17},	//293 KCalendarSystem::latestValidDate() const
    {10, 1879, 182, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 18},	//294 KCalendarSystem::isValid(int, int, int) const [pure virtual]
    {10, 1879, 186, 2, Smoke::mf_const, 495, 19},	//295 KCalendarSystem::isValid(int, int) const
    {10, 1879, 189, 4, Smoke::mf_const, 495, 20},	//296 KCalendarSystem::isValid(const QString&, int, int, int) const
    {10, 1885, 182, 3, Smoke::mf_const, 495, 21},	//297 KCalendarSystem::isValidIsoWeekDate(int, int, int) const
    {10, 1879, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 22},	//298 KCalendarSystem::isValid(const QDate&) const
    {10, 2602, 196, 4, Smoke::mf_const|Smoke::mf_virtual, 495, 23},	//299 KCalendarSystem::setDate(QDate&, int, int, int) const
    {10, 2602, 201, 3, Smoke::mf_const, 495, 24},	//300 KCalendarSystem::setDate(QDate&, int, int) const
    {10, 2602, 205, 5, Smoke::mf_const, 495, 25},	//301 KCalendarSystem::setDate(QDate&, QString, int, int, int) const
    {10, 2611, 196, 4, Smoke::mf_const, 495, 26},	//302 KCalendarSystem::setDateIsoWeek(QDate&, int, int, int) const
    {10, 2954, 196, 4, Smoke::mf_const|Smoke::mf_virtual, 495, 27},	//303 KCalendarSystem::setYMD(QDate&, int, int, int) const
    {10, 1647, 211, 4, Smoke::mf_const, 0, 28},	//304 KCalendarSystem::getDate(const QDate, int*, int*, int*) const
    {10, 3329, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 29},	//305 KCalendarSystem::year(const QDate&) const
    {10, 2089, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 30},	//306 KCalendarSystem::month(const QDate&) const
    {10, 1276, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 31},	//307 KCalendarSystem::day(const QDate&) const
    {10, 1437, 216, 2, Smoke::mf_const, 382, 32},	//308 KCalendarSystem::eraName(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1440, 216, 2, Smoke::mf_const, 382, 33},	//309 KCalendarSystem::eraYear(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3331, 194, 1, Smoke::mf_const, 678, 34},	//310 KCalendarSystem::yearInEra(const QDate&) const
    {10, 1012, 219, 2, Smoke::mf_const|Smoke::mf_virtual, 262, 35},	//311 KCalendarSystem::addYears(const QDate&, int) const
    {10, 975, 219, 2, Smoke::mf_const|Smoke::mf_virtual, 262, 36},	//312 KCalendarSystem::addMonths(const QDate&, int) const
    {10, 885, 219, 2, Smoke::mf_const|Smoke::mf_virtual, 262, 37},	//313 KCalendarSystem::addDays(const QDate&, int) const
    {10, 1264, 222, 6, Smoke::mf_const, 0, 38},	//314 KCalendarSystem::dateDifference(const QDate&, const QDate&, int*, int*, int*, int*) const
    {10, 3341, 229, 2, Smoke::mf_const, 678, 39},	//315 KCalendarSystem::yearsDifference(const QDate&, const QDate&) const
    {10, 2101, 229, 2, Smoke::mf_const, 678, 40},	//316 KCalendarSystem::monthsDifference(const QDate&, const QDate&) const
    {10, 1295, 229, 2, Smoke::mf_const, 678, 41},	//317 KCalendarSystem::daysDifference(const QDate&, const QDate&) const
    {10, 2103, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 42},	//318 KCalendarSystem::monthsInYear(const QDate&) const
    {10, 2103, 118, 1, Smoke::mf_const, 678, 43},	//319 KCalendarSystem::monthsInYear(int) const
    {10, 3295, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 44},	//320 KCalendarSystem::weeksInYear(const QDate&) const
    {10, 3295, 118, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 45},	//321 KCalendarSystem::weeksInYear(int) const
    {10, 1307, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 46},	//322 KCalendarSystem::daysInYear(const QDate&) const
    {10, 1307, 118, 1, Smoke::mf_const, 678, 47},	//323 KCalendarSystem::daysInYear(int) const
    {10, 1297, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 48},	//324 KCalendarSystem::daysInMonth(const QDate&) const
    {10, 1297, 186, 2, Smoke::mf_const, 678, 49},	//325 KCalendarSystem::daysInMonth(int, int) const
    {10, 1303, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 50},	//326 KCalendarSystem::daysInWeek(const QDate&) const
    {10, 1282, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 51},	//327 KCalendarSystem::dayOfYear(const QDate&) const
    {10, 1278, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 52},	//328 KCalendarSystem::dayOfWeek(const QDate&) const
    {10, 3287, 232, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 53},	//329 KCalendarSystem::weekNumber(const QDate&, int*) const
    {10, 1837, 118, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 54},	//330 KCalendarSystem::isLeapYear(int) const [pure virtual]
    {10, 1837, 194, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 55},	//331 KCalendarSystem::isLeapYear(const QDate&) const
    {10, 1573, 118, 1, Smoke::mf_const, 262, 56},	//332 KCalendarSystem::firstDayOfYear(int) const
    {10, 1964, 118, 1, Smoke::mf_const, 262, 57},	//333 KCalendarSystem::lastDayOfYear(int) const
    {10, 1573, 194, 1, Smoke::mf_const, 262, 58},	//334 KCalendarSystem::firstDayOfYear(const QDate&) const
    {10, 1964, 194, 1, Smoke::mf_const, 262, 59},	//335 KCalendarSystem::lastDayOfYear(const QDate&) const
    {10, 1570, 186, 2, Smoke::mf_const, 262, 60},	//336 KCalendarSystem::firstDayOfMonth(int, int) const
    {10, 1961, 186, 2, Smoke::mf_const, 262, 61},	//337 KCalendarSystem::lastDayOfMonth(int, int) const
    {10, 1570, 194, 1, Smoke::mf_const, 262, 62},	//338 KCalendarSystem::firstDayOfMonth(const QDate&) const
    {10, 1961, 194, 1, Smoke::mf_const, 262, 63},	//339 KCalendarSystem::lastDayOfMonth(const QDate&) const
    {10, 2091, 235, 3, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 382, 64},	//340 KCalendarSystem::monthName(int, int, KCalendarSystem::MonthNameFormat) const [pure virtual]
    {10, 2091, 239, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 65},	//341 KCalendarSystem::monthName(const QDate&, KCalendarSystem::MonthNameFormat) const
    {10, 3281, 242, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 382, 66},	//342 KCalendarSystem::weekDayName(int, KCalendarSystem::WeekDayNameFormat) const [pure virtual]
    {10, 3281, 245, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 67},	//343 KCalendarSystem::weekDayName(const QDate&, KCalendarSystem::WeekDayNameFormat) const
    {10, 3336, 216, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 68},	//344 KCalendarSystem::yearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2096, 216, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 69},	//345 KCalendarSystem::monthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1290, 216, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 70},	//346 KCalendarSystem::dayString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3333, 216, 2, Smoke::mf_const, 382, 71},	//347 KCalendarSystem::yearInEraString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1284, 216, 2, Smoke::mf_const, 382, 72},	//348 KCalendarSystem::dayOfYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1280, 194, 1, Smoke::mf_const, 382, 73},	//349 KCalendarSystem::dayOfWeekString(const QDate&) const
    {10, 3290, 216, 2, Smoke::mf_const, 382, 74},	//350 KCalendarSystem::weekNumberString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 2106, 216, 2, Smoke::mf_const, 382, 75},	//351 KCalendarSystem::monthsInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 3298, 216, 2, Smoke::mf_const, 382, 76},	//352 KCalendarSystem::weeksInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1310, 216, 2, Smoke::mf_const, 382, 77},	//353 KCalendarSystem::daysInYearString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1300, 216, 2, Smoke::mf_const, 382, 78},	//354 KCalendarSystem::daysInMonthString(const QDate&, KCalendarSystem::StringFormat) const
    {10, 1305, 194, 1, Smoke::mf_const, 382, 79},	//355 KCalendarSystem::daysInWeekString(const QDate&) const
    {10, 3339, 248, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 80},	//356 KCalendarSystem::yearStringToInteger(const QString&, int&) const
    {10, 2099, 248, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 81},	//357 KCalendarSystem::monthStringToInteger(const QString&, int&) const
    {10, 1293, 248, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 82},	//358 KCalendarSystem::dayStringToInteger(const QString&, int&) const
    {10, 1586, 251, 2, Smoke::mf_const|Smoke::mf_virtual, 382, 83},	//359 KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    {10, 1586, 254, 3, Smoke::mf_const, 382, 84},	//360 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    {10, 1586, 258, 4, Smoke::mf_const, 382, 85},	//361 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    {10, 1586, 263, 4, Smoke::mf_const, 382, 86},	//362 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    {10, 2369, 268, 2, Smoke::mf_const|Smoke::mf_virtual, 262, 87},	//363 KCalendarSystem::readDate(const QString&, bool*) const
    {10, 2369, 271, 3, Smoke::mf_const|Smoke::mf_virtual, 262, 88},	//364 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {10, 2369, 275, 3, Smoke::mf_const|Smoke::mf_virtual, 262, 89},	//365 KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    {10, 2369, 279, 4, Smoke::mf_const, 262, 90},	//366 KCalendarSystem::readDate(const QString&, const QString&, bool*, KLocale::DateTimeFormatStandard) const
    {10, 2961, 0, 0, Smoke::mf_const, 678, 91},	//367 KCalendarSystem::shortYearWindowStartYear() const
    {10, 1046, 118, 1, Smoke::mf_const, 678, 92},	//368 KCalendarSystem::applyShortYearWindow(int) const
    {10, 3294, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 678, 93},	//369 KCalendarSystem::weekStartDay() const
    {10, 3286, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 678, 94},	//370 KCalendarSystem::weekDayOfPray() const [pure virtual]
    {10, 1845, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 95},	//371 KCalendarSystem::isLunar() const [pure virtual]
    {10, 1846, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 96},	//372 KCalendarSystem::isLunisolar() const [pure virtual]
    {10, 1869, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 97},	//373 KCalendarSystem::isSolar() const [pure virtual]
    {10, 1855, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 98},	//374 KCalendarSystem::isProleptic() const [pure virtual]
    {10, 1896, 284, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 99},	//375 KCalendarSystem::julianDayToDate(int, int&, int&, int&) const [pure virtual]
    {10, 1273, 289, 4, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 100},	//376 KCalendarSystem::dateToJulianDay(int, int, int, int&) const [pure virtual]
    {10, 1995, 0, 0, Smoke::mf_const|Smoke::mf_protected, 551, 101},	//377 KCalendarSystem::locale() const
    {10, 2785, 118, 1, Smoke::mf_protected, 0, 102},	//378 KCalendarSystem::setMaxMonthsInYear(int)
    {10, 2783, 118, 1, Smoke::mf_protected, 0, 103},	//379 KCalendarSystem::setMaxDaysInWeek(int)
    {10, 2681, 103, 1, Smoke::mf_protected, 0, 104},	//380 KCalendarSystem::setHasYear0(bool)
    {10, 300, 294, 3, Smoke::mf_ctor|Smoke::mf_protected, 25, 105},	//381 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>, const KLocale*)
    {10, 1215, 0, 0, Smoke::mf_static, 25, 106},	//382 KCalendarSystem::create()
    {10, 1215, 30, 1, Smoke::mf_static, 25, 107},	//383 KCalendarSystem::create(const QString&)
    {10, 1215, 298, 2, Smoke::mf_static, 25, 108},	//384 KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    {10, 1215, 301, 1, Smoke::mf_static, 25, 109},	//385 KCalendarSystem::create(KLocale::CalendarSystem)
    {10, 1215, 303, 2, Smoke::mf_static, 25, 110},	//386 KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    {10, 1105, 301, 1, Smoke::mf_static, 382, 111},	//387 KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    {10, 300, 0, 0, Smoke::mf_ctor, 25, 112},	//388 KCalendarSystem::KCalendarSystem()
    {10, 300, 306, 1, Smoke::mf_ctor, 25, 113},	//389 KCalendarSystem::KCalendarSystem(const KSharedPtr<KSharedConfig>)
    {10, 1437, 194, 1, Smoke::mf_const, 382, 114},	//390 KCalendarSystem::eraName(const QDate&) const
    {10, 1440, 194, 1, Smoke::mf_const, 382, 115},	//391 KCalendarSystem::eraYear(const QDate&) const
    {10, 3287, 194, 1, Smoke::mf_const, 678, 116},	//392 KCalendarSystem::weekNumber(const QDate&) const
    {10, 1573, 0, 0, Smoke::mf_const, 262, 117},	//393 KCalendarSystem::firstDayOfYear() const
    {10, 1964, 0, 0, Smoke::mf_const, 262, 118},	//394 KCalendarSystem::lastDayOfYear() const
    {10, 1570, 0, 0, Smoke::mf_const, 262, 119},	//395 KCalendarSystem::firstDayOfMonth() const
    {10, 1961, 0, 0, Smoke::mf_const, 262, 120},	//396 KCalendarSystem::lastDayOfMonth() const
    {10, 2091, 186, 2, Smoke::mf_const, 382, 121},	//397 KCalendarSystem::monthName(int, int) const
    {10, 2091, 194, 1, Smoke::mf_const, 382, 122},	//398 KCalendarSystem::monthName(const QDate&) const
    {10, 3281, 118, 1, Smoke::mf_const, 382, 123},	//399 KCalendarSystem::weekDayName(int) const
    {10, 3281, 194, 1, Smoke::mf_const, 382, 124},	//400 KCalendarSystem::weekDayName(const QDate&) const
    {10, 3336, 194, 1, Smoke::mf_const, 382, 125},	//401 KCalendarSystem::yearString(const QDate&) const
    {10, 2096, 194, 1, Smoke::mf_const, 382, 126},	//402 KCalendarSystem::monthString(const QDate&) const
    {10, 1290, 194, 1, Smoke::mf_const, 382, 127},	//403 KCalendarSystem::dayString(const QDate&) const
    {10, 3333, 194, 1, Smoke::mf_const, 382, 128},	//404 KCalendarSystem::yearInEraString(const QDate&) const
    {10, 1284, 194, 1, Smoke::mf_const, 382, 129},	//405 KCalendarSystem::dayOfYearString(const QDate&) const
    {10, 3290, 194, 1, Smoke::mf_const, 382, 130},	//406 KCalendarSystem::weekNumberString(const QDate&) const
    {10, 2106, 194, 1, Smoke::mf_const, 382, 131},	//407 KCalendarSystem::monthsInYearString(const QDate&) const
    {10, 3298, 194, 1, Smoke::mf_const, 382, 132},	//408 KCalendarSystem::weeksInYearString(const QDate&) const
    {10, 1310, 194, 1, Smoke::mf_const, 382, 133},	//409 KCalendarSystem::daysInYearString(const QDate&) const
    {10, 1300, 194, 1, Smoke::mf_const, 382, 134},	//410 KCalendarSystem::daysInMonthString(const QDate&) const
    {10, 1586, 194, 1, Smoke::mf_const, 382, 135},	//411 KCalendarSystem::formatDate(const QDate&) const
    {10, 1586, 308, 2, Smoke::mf_const, 382, 136},	//412 KCalendarSystem::formatDate(const QDate&, const QString&) const
    {10, 1586, 311, 3, Smoke::mf_const, 382, 137},	//413 KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    {10, 1586, 315, 2, Smoke::mf_const, 382, 138},	//414 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    {10, 1586, 318, 3, Smoke::mf_const, 382, 139},	//415 KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    {10, 2369, 30, 1, Smoke::mf_const, 262, 140},	//416 KCalendarSystem::readDate(const QString&) const
    {10, 2369, 322, 2, Smoke::mf_const, 262, 141},	//417 KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    {10, 2369, 95, 2, Smoke::mf_const, 262, 142},	//418 KCalendarSystem::readDate(const QString&, const QString&) const
    {10, 300, 325, 1, Smoke::mf_ctor|Smoke::mf_protected, 25, 143},	//419 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    {10, 300, 327, 2, Smoke::mf_ctor|Smoke::mf_protected, 25, 144},	//420 KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&, const KSharedPtr<KSharedConfig>)
    {10, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 145},	//421 KCalendarSystem::ShortFormat (enum)
    {10, 593, 0, 0, Smoke::mf_static|Smoke::mf_enum, 27, 146},	//422 KCalendarSystem::LongFormat (enum)
    {10, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 147},	//423 KCalendarSystem::ShortName (enum)
    {10, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 148},	//424 KCalendarSystem::LongName (enum)
    {10, 710, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 149},	//425 KCalendarSystem::ShortNamePossessive (enum)
    {10, 595, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 150},	//426 KCalendarSystem::LongNamePossessive (enum)
    {10, 707, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 151},	//427 KCalendarSystem::ShortDayName (enum)
    {10, 592, 0, 0, Smoke::mf_static|Smoke::mf_enum, 28, 152},	//428 KCalendarSystem::LongDayName (enum)
    {10, 3379, 0, 0, Smoke::mf_dtor, 0, 153 },	//429 KCalendarSystem::~KCalendarSystem()
    {12, 306, 330, 1, Smoke::mf_ctor|Smoke::mf_explicit, 30, 1},	//430 KCharMacroExpander::KCharMacroExpander(QChar)
    {12, 1486, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 2},	//431 KCharMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {12, 1472, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 3},	//432 KCharMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {12, 1474, 336, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 4},	//433 KCharMacroExpander::expandMacro(QChar, QStringList&) [pure virtual]
    {12, 306, 339, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 30, 5},	//434 KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    {12, 306, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 30, 6},	//435 KCharMacroExpander::KCharMacroExpander()
    {12, 3380, 0, 0, Smoke::mf_dtor, 0, 7 },	//436 KCharMacroExpander::~KCharMacroExpander()
    {13, 308, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 31, 1},	//437 KCharsets::KCharsets()
    {13, 1164, 30, 1, Smoke::mf_const, 392, 2},	//438 KCharsets::codecForName(const QString&) const
    {13, 1164, 341, 2, Smoke::mf_const, 392, 3},	//439 KCharsets::codecForName(const QString&, bool&) const
    {13, 1617, 30, 1, Smoke::mf_static, 250, 4},	//440 KCharsets::fromEntity(const QString&)
    {13, 1617, 248, 2, Smoke::mf_static, 250, 5},	//441 KCharsets::fromEntity(const QString&, int&)
    {13, 3130, 344, 1, Smoke::mf_static, 382, 6},	//442 KCharsets::toEntity(const QChar&)
    {13, 2471, 30, 1, Smoke::mf_static, 382, 7},	//443 KCharsets::resolveEntities(const QString&)
    {13, 1077, 0, 0, Smoke::mf_const, 387, 8},	//444 KCharsets::availableEncodingNames() const
    {13, 1360, 0, 0, Smoke::mf_const, 387, 9},	//445 KCharsets::descriptiveEncodingNames() const
    {13, 1421, 0, 0, Smoke::mf_const, 361, 10},	//446 KCharsets::encodingsByScript() const
    {13, 1958, 30, 1, Smoke::mf_const, 382, 11},	//447 KCharsets::languageForEncoding(const QString&) const
    {13, 1358, 30, 1, Smoke::mf_const, 382, 12},	//448 KCharsets::descriptionForEncoding(const QString&) const
    {13, 1417, 30, 1, Smoke::mf_const, 382, 13},	//449 KCharsets::encodingForName(const QString&) const
    {13, 308, 346, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 14},	//450 KCharsets::KCharsets(const KCharsets&)
    {13, 3381, 0, 0, Smoke::mf_dtor, 0, 15 },	//451 KCharsets::~KCharsets()
    {14, 1740, 348, 8, Smoke::mf_static, 0, 1},	//452 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1740, 357, 4, Smoke::mf_static, 0, 2},	//453 KCmdLineArgs::init(int, char**, const KAboutData*, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 1740, 362, 1, Smoke::mf_static, 0, 3},	//454 KCmdLineArgs::init(const KAboutData*)
    {14, 993, 364, 1, Smoke::mf_static, 0, 4},	//455 KCmdLineArgs::addStdCmdLineOptions(QFlags<KCmdLineArgs::StdCmdLineArg>)
    {14, 868, 366, 4, Smoke::mf_static, 0, 5},	//456 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&, const QByteArray&)
    {14, 2252, 32, 1, Smoke::mf_static, 32, 6},	//457 KCmdLineArgs::parsedArgs(const QByteArray&)
    {14, 1254, 0, 0, Smoke::mf_static, 382, 7},	//458 KCmdLineArgs::cwd()
    {14, 1043, 0, 0, Smoke::mf_static, 382, 8},	//459 KCmdLineArgs::appName()
    {14, 3227, 32, 1, Smoke::mf_static, 0, 9},	//460 KCmdLineArgs::usage(const QByteArray&)
    {14, 3229, 30, 1, Smoke::mf_static, 0, 10},	//461 KCmdLineArgs::usageError(const QString&)
    {14, 1406, 0, 0, Smoke::mf_static, 0, 11},	//462 KCmdLineArgs::enable_i18n()
    {14, 1654, 32, 1, Smoke::mf_const, 382, 12},	//463 KCmdLineArgs::getOption(const QByteArray&) const
    {14, 1656, 32, 1, Smoke::mf_const, 387, 13},	//464 KCmdLineArgs::getOptionList(const QByteArray&) const
    {14, 1866, 32, 1, Smoke::mf_const, 495, 14},	//465 KCmdLineArgs::isSet(const QByteArray&) const
    {14, 1208, 0, 0, Smoke::mf_const, 678, 15},	//466 KCmdLineArgs::count() const
    {14, 1049, 118, 1, Smoke::mf_const, 382, 16},	//467 KCmdLineArgs::arg(int) const
    {14, 3225, 118, 1, Smoke::mf_const, 222, 17},	//468 KCmdLineArgs::url(int) const
    {14, 2051, 32, 1, Smoke::mf_static, 222, 18},	//469 KCmdLineArgs::makeURL(const QByteArray&)
    {14, 2594, 32, 1, Smoke::mf_static, 0, 19},	//470 KCmdLineArgs::setCwd(const QByteArray&)
    {14, 1154, 0, 0, 0, 0, 20},	//471 KCmdLineArgs::clear()
    {14, 2469, 0, 0, Smoke::mf_static, 0, 21},	//472 KCmdLineArgs::reset()
    {14, 1990, 371, 1, Smoke::mf_static, 0, 22},	//473 KCmdLineArgs::loadAppArgs(QDataStream&)
    {14, 2493, 371, 1, Smoke::mf_static, 0, 23},	//474 KCmdLineArgs::saveAppArgs(QDataStream&)
    {14, 997, 0, 0, Smoke::mf_static, 0, 24},	//475 KCmdLineArgs::addTempFileOption()
    {14, 1872, 0, 0, Smoke::mf_static, 495, 25},	//476 KCmdLineArgs::isTempFileSet()
    {14, 2328, 0, 0, Smoke::mf_static, 679, 26},	//477 KCmdLineArgs::qtArgc()
    {14, 2329, 0, 0, Smoke::mf_static, 500, 27},	//478 KCmdLineArgs::qtArgv()
    {14, 1017, 0, 0, Smoke::mf_static, 387, 28},	//479 KCmdLineArgs::allArguments()
    {14, 841, 0, 0, Smoke::mf_static, 502, 29},	//480 KCmdLineArgs::aboutData()
    {14, 310, 373, 3, Smoke::mf_ctor|Smoke::mf_protected, 32, 30},	//481 KCmdLineArgs::KCmdLineArgs(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 310, 377, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 32, 31},	//482 KCmdLineArgs::KCmdLineArgs(const KCmdLineArgs&)
    {14, 1740, 379, 6, Smoke::mf_static, 0, 32},	//483 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&)
    {14, 1740, 386, 7, Smoke::mf_static, 0, 33},	//484 KCmdLineArgs::init(int, char**, const QByteArray&, const QByteArray&, const KLocalizedString&, const QByteArray&, const KLocalizedString&)
    {14, 1740, 394, 3, Smoke::mf_static, 0, 34},	//485 KCmdLineArgs::init(int, char**, const KAboutData*)
    {14, 993, 0, 0, Smoke::mf_static, 0, 35},	//486 KCmdLineArgs::addStdCmdLineOptions()
    {14, 868, 398, 1, Smoke::mf_static, 0, 36},	//487 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&)
    {14, 868, 400, 2, Smoke::mf_static, 0, 37},	//488 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&)
    {14, 868, 373, 3, Smoke::mf_static, 0, 38},	//489 KCmdLineArgs::addCmdLineOptions(const KCmdLineOptions&, const KLocalizedString&, const QByteArray&)
    {14, 2252, 0, 0, Smoke::mf_static, 32, 39},	//490 KCmdLineArgs::parsedArgs()
    {14, 3227, 0, 0, Smoke::mf_static, 0, 40},	//491 KCmdLineArgs::usage()
    {14, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 41},	//492 KCmdLineArgs::CmdLineArgQt (enum)
    {14, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 42},	//493 KCmdLineArgs::CmdLineArgKDE (enum)
    {14, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 43},	//494 KCmdLineArgs::CmdLineArgsMask (enum)
    {14, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 44},	//495 KCmdLineArgs::CmdLineArgNone (enum)
    {14, 696, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 45},	//496 KCmdLineArgs::Reserved (enum)
    {14, 3382, 0, 0, Smoke::mf_dtor, 0, 46 },	//497 KCmdLineArgs::~KCmdLineArgs()
    {15, 313, 0, 0, Smoke::mf_ctor, 35, 1},	//498 KCmdLineOptions::KCmdLineOptions()
    {15, 313, 398, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 35, 2},	//499 KCmdLineOptions::KCmdLineOptions(const KCmdLineOptions&)
    {15, 2205, 398, 1, 0, 34, 3},	//500 KCmdLineOptions::operator=(const KCmdLineOptions&)
    {15, 856, 403, 3, 0, 34, 4},	//501 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&, const QByteArray&)
    {15, 856, 398, 1, 0, 34, 5},	//502 KCmdLineOptions::add(const KCmdLineOptions&)
    {15, 856, 32, 1, 0, 34, 6},	//503 KCmdLineOptions::add(const QByteArray&)
    {15, 856, 407, 2, 0, 34, 7},	//504 KCmdLineOptions::add(const QByteArray&, const KLocalizedString&)
    {15, 3383, 0, 0, Smoke::mf_dtor, 0, 8 },	//505 KCmdLineOptions::~KCmdLineOptions()
    {16, 3252, 32, 1, Smoke::mf_static, 248, 1},	//506 KCodecs::uuencode(const QByteArray&)
    {16, 3249, 32, 1, Smoke::mf_static, 248, 2},	//507 KCodecs::uudecode(const QByteArray&)
    {16, 3249, 410, 2, Smoke::mf_static, 0, 3},	//508 KCodecs::uudecode(const QByteArray&, QByteArray&)
    {16, 2344, 410, 2, Smoke::mf_static, 0, 4},	//509 KCodecs::quotedPrintableDecode(const QByteArray&, QByteArray&)
    {16, 1321, 30, 1, Smoke::mf_static, 382, 5},	//510 KCodecs::decodeRFC2047String(const QString&)
    {16, 2344, 32, 1, Smoke::mf_static, 248, 6},	//511 KCodecs::quotedPrintableDecode(const QByteArray&)
    {16, 1083, 32, 1, Smoke::mf_static, 248, 7},	//512 KCodecs::base64Decode(const QByteArray&)
    {16, 2347, 413, 3, Smoke::mf_static, 0, 8},	//513 KCodecs::quotedPrintableEncode(const QByteArray&, QByteArray&, bool)
    {16, 1083, 410, 2, Smoke::mf_static, 0, 9},	//514 KCodecs::base64Decode(const QByteArray&, QByteArray&)
    {16, 3252, 410, 2, Smoke::mf_static, 0, 10},	//515 KCodecs::uuencode(const QByteArray&, QByteArray&)
    {16, 1087, 413, 3, Smoke::mf_static, 0, 11},	//516 KCodecs::base64Encode(const QByteArray&, QByteArray&, bool)
    {16, 1087, 410, 2, Smoke::mf_static, 0, 12},	//517 KCodecs::base64Encode(const QByteArray&, QByteArray&)
    {16, 2347, 417, 2, Smoke::mf_static, 248, 13},	//518 KCodecs::quotedPrintableEncode(const QByteArray&, bool)
    {16, 2347, 32, 1, Smoke::mf_static, 248, 14},	//519 KCodecs::quotedPrintableEncode(const QByteArray&)
    {16, 1087, 417, 2, Smoke::mf_static, 248, 15},	//520 KCodecs::base64Encode(const QByteArray&, bool)
    {16, 1087, 32, 1, Smoke::mf_static, 248, 16},	//521 KCodecs::base64Encode(const QByteArray&)
    {17, 315, 0, 0, Smoke::mf_ctor, 38, 1},	//522 KComponentData::KComponentData()
    {17, 315, 420, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 38, 2},	//523 KComponentData::KComponentData(const KComponentData&)
    {17, 2205, 420, 1, 0, 37, 3},	//524 KComponentData::operator=(const KComponentData&)
    {17, 2208, 420, 1, Smoke::mf_const, 495, 4},	//525 KComponentData::operator==(const KComponentData&) const
    {17, 2165, 420, 1, Smoke::mf_const, 495, 5},	//526 KComponentData::operator!=(const KComponentData&) const
    {17, 315, 422, 3, Smoke::mf_ctor, 38, 6},	//527 KComponentData::KComponentData(const QByteArray&, const QByteArray&, KComponentData::MainComponentRegistration)
    {17, 315, 426, 2, Smoke::mf_ctor, 38, 7},	//528 KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    {17, 315, 429, 2, Smoke::mf_ctor, 38, 8},	//529 KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    {17, 1879, 0, 0, Smoke::mf_const, 495, 9},	//530 KComponentData::isValid() const
    {17, 1386, 0, 0, Smoke::mf_const, 185, 10},	//531 KComponentData::dirs() const
    {17, 1178, 0, 0, Smoke::mf_const, 565, 11},	//532 KComponentData::config() const
    {17, 841, 0, 0, Smoke::mf_const, 502, 12},	//533 KComponentData::aboutData() const
    {17, 2527, 12, 1, 0, 0, 13},	//534 KComponentData::setAboutData(const KAboutData&)
    {17, 1174, 0, 0, Smoke::mf_const, 382, 14},	//535 KComponentData::componentName() const
    {17, 1124, 0, 0, Smoke::mf_const, 382, 15},	//536 KComponentData::catalogName() const
    {17, 2578, 30, 1, Smoke::mf_protected, 0, 16},	//537 KComponentData::setConfigName(const QString&)
    {17, 315, 32, 1, Smoke::mf_ctor, 38, 17},	//538 KComponentData::KComponentData(const QByteArray&)
    {17, 315, 432, 2, Smoke::mf_ctor, 38, 18},	//539 KComponentData::KComponentData(const QByteArray&, const QByteArray&)
    {17, 315, 12, 1, Smoke::mf_ctor, 38, 19},	//540 KComponentData::KComponentData(const KAboutData&)
    {17, 315, 362, 1, Smoke::mf_ctor, 38, 20},	//541 KComponentData::KComponentData(const KAboutData*)
    {17, 691, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 21},	//542 KComponentData::RegisterAsMainComponent (enum)
    {17, 714, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 22},	//543 KComponentData::SkipMainComponentRegistration (enum)
    {17, 3384, 0, 0, Smoke::mf_dtor, 0, 23 },	//544 KComponentData::~KComponentData()
    {18, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//545 KCompositeJob::metaObject() const
    {18, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//546 KCompositeJob::qt_metacast(const char*)
    {18, 3157, 124, 2, Smoke::mf_static, 382, 3},	//547 KCompositeJob::tr(const char*, const char*)
    {18, 3164, 124, 2, Smoke::mf_static, 382, 4},	//548 KCompositeJob::trUtf8(const char*, const char*)
    {18, 3157, 127, 3, Smoke::mf_static, 382, 5},	//549 KCompositeJob::tr(const char*, const char*, int)
    {18, 3164, 127, 3, Smoke::mf_static, 382, 6},	//550 KCompositeJob::trUtf8(const char*, const char*, int)
    {18, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//551 KCompositeJob::qt_metacall(QMetaObject::Call, int, void**)
    {18, 320, 146, 1, Smoke::mf_ctor, 40, 8},	//552 KCompositeJob::KCompositeJob(QObject*)
    {18, 995, 435, 1, Smoke::mf_protected|Smoke::mf_virtual, 495, 9},	//553 KCompositeJob::addSubjob(KJob*)
    {18, 2455, 435, 1, Smoke::mf_protected|Smoke::mf_virtual, 495, 10},	//554 KCompositeJob::removeSubjob(KJob*)
    {18, 1706, 0, 0, Smoke::mf_protected, 495, 11},	//555 KCompositeJob::hasSubjobs()
    {18, 3070, 0, 0, Smoke::mf_const|Smoke::mf_protected, 622, 12},	//556 KCompositeJob::subjobs() const
    {18, 1157, 0, 0, Smoke::mf_protected, 0, 13},	//557 KCompositeJob::clearSubjobs()
    {18, 2976, 435, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//558 KCompositeJob::slotResult(KJob*)
    {18, 2974, 437, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//559 KCompositeJob::slotInfoMessage(KJob*, const QString&, const QString&)
    {18, 320, 441, 2, Smoke::mf_ctor|Smoke::mf_protected, 40, 16},	//560 KCompositeJob::KCompositeJob(KCompositeJobPrivate&, QObject*)
    {18, 3157, 122, 1, Smoke::mf_static, 382, 17},	//561 KCompositeJob::tr(const char*)
    {18, 3164, 122, 1, Smoke::mf_static, 382, 18},	//562 KCompositeJob::trUtf8(const char*)
    {18, 320, 0, 0, Smoke::mf_ctor, 40, 19},	//563 KCompositeJob::KCompositeJob()
    {18, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 20},	//564 KCompositeJob::staticMetaObject() const
    {18, 3385, 0, 0, Smoke::mf_dtor, 0, 21 },	//565 KCompositeJob::~KCompositeJob()
    {20, 323, 444, 3, Smoke::mf_ctor, 42, 1},	//566 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 323, 448, 4, Smoke::mf_ctor, 42, 2},	//567 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {20, 323, 453, 3, Smoke::mf_ctor, 42, 3},	//568 KConfig::KConfig(const QString&, const QString&, const char*)
    {20, 1173, 0, 0, Smoke::mf_const, 512, 4},	//569 KConfig::componentData() const
    {20, 2109, 0, 0, Smoke::mf_const, 382, 5},	//570 KConfig::name() const
    {20, 3095, 0, 0, Smoke::mf_virtual, 0, 6},	//571 KConfig::sync()
    {20, 2054, 0, 0, Smoke::mf_virtual, 0, 7},	//572 KConfig::markAsClean()
    {20, 847, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 8},	//573 KConfig::accessMode() const
    {20, 1799, 103, 1, 0, 495, 9},	//574 KConfig::isConfigWritable(bool)
    {20, 1202, 457, 2, Smoke::mf_const, 42, 10},	//575 KConfig::copyTo(const QString&, KConfig*) const
    {20, 1140, 95, 2, 0, 0, 11},	//576 KConfig::checkUpdate(const QString&, const QString&)
    {20, 2462, 0, 0, 0, 0, 12},	//577 KConfig::reparseConfiguration()
    {20, 873, 141, 1, 0, 0, 13},	//578 KConfig::addConfigSources(const QStringList&)
    {20, 1995, 0, 0, Smoke::mf_const, 382, 14},	//579 KConfig::locale() const
    {20, 2719, 30, 1, 0, 495, 15},	//580 KConfig::setLocale(const QString&)
    {20, 2875, 103, 1, 0, 0, 16},	//581 KConfig::setReadDefaults(bool)
    {20, 2376, 0, 0, Smoke::mf_const, 495, 17},	//582 KConfig::readDefaults() const
    {20, 1832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 18},	//583 KConfig::isImmutable() const
    {20, 2671, 103, 1, 0, 0, 19},	//584 KConfig::setForceGlobal(bool)
    {20, 1580, 0, 0, Smoke::mf_const, 495, 20},	//585 KConfig::forceGlobal() const
    {20, 1666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 387, 21},	//586 KConfig::groupList() const
    {20, 1428, 30, 1, Smoke::mf_const, 367, 22},	//587 KConfig::entryMap(const QString&) const
    {20, 1680, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 495, 23},	//588 KConfig::hasGroupImpl(const QByteArray&) const
    {20, 1664, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 24},	//589 KConfig::groupImpl(const QByteArray&)
    {20, 1664, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 516, 25},	//590 KConfig::groupImpl(const QByteArray&) const
    {20, 1349, 460, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//591 KConfig::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {20, 1826, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 495, 27},	//592 KConfig::isGroupImmutableImpl(const QByteArray&) const
    {20, 323, 463, 1, Smoke::mf_ctor|Smoke::mf_protected, 42, 28},	//593 KConfig::KConfig(KConfigPrivate&)
    {20, 323, 0, 0, Smoke::mf_ctor, 42, 29},	//594 KConfig::KConfig()
    {20, 323, 30, 1, Smoke::mf_ctor, 42, 30},	//595 KConfig::KConfig(const QString&)
    {20, 323, 465, 2, Smoke::mf_ctor, 42, 31},	//596 KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {20, 323, 420, 1, Smoke::mf_ctor, 42, 32},	//597 KConfig::KConfig(const KComponentData&)
    {20, 323, 468, 2, Smoke::mf_ctor, 42, 33},	//598 KConfig::KConfig(const KComponentData&, const QString&)
    {20, 323, 471, 3, Smoke::mf_ctor, 42, 34},	//599 KConfig::KConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {20, 323, 95, 2, Smoke::mf_ctor, 42, 35},	//600 KConfig::KConfig(const QString&, const QString&)
    {20, 1202, 30, 1, Smoke::mf_const, 42, 36},	//601 KConfig::copyTo(const QString&) const
    {20, 1428, 0, 0, Smoke::mf_const, 367, 37},	//602 KConfig::entryMap() const
    {20, 1349, 32, 1, Smoke::mf_protected, 0, 38},	//603 KConfig::deleteGroupImpl(const QByteArray&)
    {20, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 39},	//604 KConfig::IncludeGlobals (enum)
    {20, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 40},	//605 KConfig::CascadeConfig (enum)
    {20, 712, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 41},	//606 KConfig::SimpleConfig (enum)
    {20, 614, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 42},	//607 KConfig::NoCascade (enum)
    {20, 618, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 43},	//608 KConfig::NoGlobals (enum)
    {20, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 44},	//609 KConfig::FullConfig (enum)
    {20, 3386, 0, 0, Smoke::mf_dtor, 0, 45 },	//610 KConfig::~KConfig()
    {21, 1666, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 387, 1},	//611 KConfigBase::groupList() const [pure virtual]
    {21, 1677, 30, 1, Smoke::mf_const, 495, 2},	//612 KConfigBase::hasGroup(const QString&) const
    {21, 1677, 122, 1, Smoke::mf_const, 495, 3},	//613 KConfigBase::hasGroup(const char*) const
    {21, 1677, 32, 1, Smoke::mf_const, 495, 4},	//614 KConfigBase::hasGroup(const QByteArray&) const
    {21, 1659, 32, 1, 0, 47, 5},	//615 KConfigBase::group(const QByteArray&)
    {21, 1659, 30, 1, 0, 47, 6},	//616 KConfigBase::group(const QString&)
    {21, 1659, 122, 1, 0, 47, 7},	//617 KConfigBase::group(const char*)
    {21, 1659, 32, 1, Smoke::mf_const, 516, 8},	//618 KConfigBase::group(const QByteArray&) const
    {21, 1659, 30, 1, Smoke::mf_const, 516, 9},	//619 KConfigBase::group(const QString&) const
    {21, 1659, 122, 1, Smoke::mf_const, 516, 10},	//620 KConfigBase::group(const char*) const
    {21, 1344, 460, 2, 0, 0, 11},	//621 KConfigBase::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1344, 475, 2, 0, 0, 12},	//622 KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 1344, 478, 2, 0, 0, 13},	//623 KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {21, 3095, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//624 KConfigBase::sync() [pure virtual]
    {21, 2054, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//625 KConfigBase::markAsClean() [pure virtual]
    {21, 847, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 45, 16},	//626 KConfigBase::accessMode() const [pure virtual]
    {21, 1832, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 17},	//627 KConfigBase::isImmutable() const [pure virtual]
    {21, 1823, 32, 1, Smoke::mf_const, 495, 18},	//628 KConfigBase::isGroupImmutable(const QByteArray&) const
    {21, 1823, 30, 1, Smoke::mf_const, 495, 19},	//629 KConfigBase::isGroupImmutable(const QString&) const
    {21, 1823, 122, 1, Smoke::mf_const, 495, 20},	//630 KConfigBase::isGroupImmutable(const char*) const
    {21, 331, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 44, 21},	//631 KConfigBase::KConfigBase()
    {21, 1680, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 22},	//632 KConfigBase::hasGroupImpl(const QByteArray&) const [pure virtual]
    {21, 1664, 32, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 47, 23},	//633 KConfigBase::groupImpl(const QByteArray&) [pure virtual]
    {21, 1664, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 516, 24},	//634 KConfigBase::groupImpl(const QByteArray&) const [pure virtual]
    {21, 1349, 460, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 25},	//635 KConfigBase::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>) [pure virtual]
    {21, 1826, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 26},	//636 KConfigBase::isGroupImmutableImpl(const QByteArray&) const [pure virtual]
    {21, 331, 481, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 44, 27},	//637 KConfigBase::KConfigBase(const KConfigBase&)
    {21, 1344, 32, 1, 0, 0, 28},	//638 KConfigBase::deleteGroup(const QByteArray&)
    {21, 1344, 30, 1, 0, 0, 29},	//639 KConfigBase::deleteGroup(const QString&)
    {21, 1344, 122, 1, 0, 0, 30},	//640 KConfigBase::deleteGroup(const char*)
    {21, 1349, 32, 1, Smoke::mf_protected, 0, 31},	//641 KConfigBase::deleteGroupImpl(const QByteArray&)
    {21, 654, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 32},	//642 KConfigBase::Persistent (enum)
    {21, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 33},	//643 KConfigBase::Global (enum)
    {21, 586, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 34},	//644 KConfigBase::Localized (enum)
    {21, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 46, 35},	//645 KConfigBase::Normal (enum)
    {21, 611, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 36},	//646 KConfigBase::NoAccess (enum)
    {21, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//647 KConfigBase::ReadOnly (enum)
    {21, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//648 KConfigBase::ReadWrite (enum)
    {21, 3387, 0, 0, Smoke::mf_dtor, 0, 39 },	//649 KConfigBase::~KConfigBase()
    {22, 333, 0, 0, Smoke::mf_ctor, 49, 1},	//650 KConfigGroup::KConfigGroup()
    {22, 333, 483, 2, Smoke::mf_ctor, 49, 2},	//651 KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    {22, 333, 486, 2, Smoke::mf_ctor, 49, 3},	//652 KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    {22, 333, 489, 2, Smoke::mf_ctor, 49, 4},	//653 KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    {22, 333, 492, 2, Smoke::mf_ctor, 49, 5},	//654 KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    {22, 333, 495, 2, Smoke::mf_ctor, 49, 6},	//655 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    {22, 333, 498, 2, Smoke::mf_ctor, 49, 7},	//656 KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    {22, 333, 501, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 8},	//657 KConfigGroup::KConfigGroup(const KConfigGroup&)
    {22, 2205, 501, 1, 0, 48, 9},	//658 KConfigGroup::operator=(const KConfigGroup&)
    {22, 1879, 0, 0, Smoke::mf_const, 495, 10},	//659 KConfigGroup::isValid() const
    {22, 2109, 0, 0, Smoke::mf_const, 382, 11},	//660 KConfigGroup::name() const
    {22, 1470, 0, 0, Smoke::mf_const, 495, 12},	//661 KConfigGroup::exists() const
    {22, 3095, 0, 0, Smoke::mf_virtual, 0, 13},	//662 KConfigGroup::sync()
    {22, 2054, 0, 0, Smoke::mf_virtual, 0, 14},	//663 KConfigGroup::markAsClean()
    {22, 847, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 45, 15},	//664 KConfigGroup::accessMode() const
    {22, 1178, 0, 0, 0, 42, 16},	//665 KConfigGroup::config()
    {22, 1178, 0, 0, Smoke::mf_const, 513, 17},	//666 KConfigGroup::config() const
    {22, 1129, 30, 1, 0, 0, 18},	//667 KConfigGroup::changeGroup(const QString&)
    {22, 1129, 122, 1, 0, 0, 19},	//668 KConfigGroup::changeGroup(const char*)
    {22, 1202, 503, 2, Smoke::mf_const, 0, 20},	//669 KConfigGroup::copyTo(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>) const
    {22, 2459, 503, 2, 0, 0, 21},	//670 KConfigGroup::reparent(KConfigBase*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2243, 0, 0, Smoke::mf_const, 47, 22},	//671 KConfigGroup::parent() const
    {22, 1666, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 387, 23},	//672 KConfigGroup::groupList() const
    {22, 1933, 0, 0, Smoke::mf_const, 387, 24},	//673 KConfigGroup::keyList() const
    {22, 1344, 506, 1, 0, 0, 25},	//674 KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1344, 460, 2, 0, 0, 26},	//675 KConfigGroup::deleteGroup(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1344, 475, 2, 0, 0, 27},	//676 KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1344, 478, 2, 0, 0, 28},	//677 KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 2379, 100, 2, Smoke::mf_const, 406, 29},	//678 KConfigGroup::readEntry(const QString&, const QVariant&) const
    {22, 2379, 508, 2, Smoke::mf_const, 406, 30},	//679 KConfigGroup::readEntry(const char*, const QVariant&) const
    {22, 2379, 95, 2, Smoke::mf_const, 382, 31},	//680 KConfigGroup::readEntry(const QString&, const QString&) const
    {22, 2379, 511, 2, Smoke::mf_const, 382, 32},	//681 KConfigGroup::readEntry(const char*, const QString&) const
    {22, 2379, 514, 2, Smoke::mf_const, 382, 33},	//682 KConfigGroup::readEntry(const QString&, const char*) const
    {22, 2379, 124, 2, Smoke::mf_const, 382, 34},	//683 KConfigGroup::readEntry(const char*, const char*) const
    {22, 2379, 517, 2, Smoke::mf_const, 362, 35},	//684 KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    {22, 2379, 520, 2, Smoke::mf_const, 362, 36},	//685 KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    {22, 2379, 523, 2, Smoke::mf_const, 387, 37},	//686 KConfigGroup::readEntry(const QString&, const QStringList&) const
    {22, 2379, 526, 2, Smoke::mf_const, 387, 38},	//687 KConfigGroup::readEntry(const char*, const QStringList&) const
    {22, 2416, 523, 2, Smoke::mf_const, 387, 39},	//688 KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    {22, 2416, 526, 2, Smoke::mf_const, 387, 40},	//689 KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    {22, 2407, 95, 2, Smoke::mf_const, 382, 41},	//690 KConfigGroup::readPathEntry(const QString&, const QString&) const
    {22, 2407, 511, 2, Smoke::mf_const, 382, 42},	//691 KConfigGroup::readPathEntry(const char*, const QString&) const
    {22, 2407, 523, 2, Smoke::mf_const, 387, 43},	//692 KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    {22, 2407, 526, 2, Smoke::mf_const, 387, 44},	//693 KConfigGroup::readPathEntry(const char*, const QStringList&) const
    {22, 2384, 95, 2, Smoke::mf_const, 382, 45},	//694 KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    {22, 2384, 511, 2, Smoke::mf_const, 382, 46},	//695 KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    {22, 3312, 529, 3, 0, 0, 47},	//696 KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 533, 3, 0, 0, 48},	//697 KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 537, 3, 0, 0, 49},	//698 KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 541, 3, 0, 0, 50},	//699 KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 545, 3, 0, 0, 51},	//700 KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 549, 3, 0, 0, 52},	//701 KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 553, 3, 0, 0, 53},	//702 KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 557, 3, 0, 0, 54},	//703 KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 561, 3, 0, 0, 55},	//704 KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 565, 3, 0, 0, 56},	//705 KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 569, 3, 0, 0, 57},	//706 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3312, 573, 3, 0, 0, 58},	//707 KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3326, 561, 3, 0, 0, 59},	//708 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3326, 565, 3, 0, 0, 60},	//709 KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3321, 537, 3, 0, 0, 61},	//710 KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3321, 541, 3, 0, 0, 62},	//711 KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3321, 561, 3, 0, 0, 63},	//712 KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 3321, 565, 3, 0, 0, 64},	//713 KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1341, 475, 2, 0, 0, 65},	//714 KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1341, 478, 2, 0, 0, 66},	//715 KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1685, 30, 1, Smoke::mf_const, 495, 67},	//716 KConfigGroup::hasKey(const QString&) const
    {22, 1685, 122, 1, Smoke::mf_const, 495, 68},	//717 KConfigGroup::hasKey(const char*) const
    {22, 1832, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 69},	//718 KConfigGroup::isImmutable() const
    {22, 1816, 30, 1, Smoke::mf_const, 495, 70},	//719 KConfigGroup::isEntryImmutable(const QString&) const
    {22, 1816, 122, 1, Smoke::mf_const, 495, 71},	//720 KConfigGroup::isEntryImmutable(const char*) const
    {22, 2485, 30, 1, 0, 0, 72},	//721 KConfigGroup::revertToDefault(const QString&)
    {22, 2485, 122, 1, 0, 0, 73},	//722 KConfigGroup::revertToDefault(const char*)
    {22, 1674, 30, 1, Smoke::mf_const, 495, 74},	//723 KConfigGroup::hasDefault(const QString&) const
    {22, 1674, 122, 1, Smoke::mf_const, 495, 75},	//724 KConfigGroup::hasDefault(const char*) const
    {22, 1428, 0, 0, Smoke::mf_const, 367, 76},	//725 KConfigGroup::entryMap() const
    {22, 1680, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 495, 77},	//726 KConfigGroup::hasGroupImpl(const QByteArray&) const
    {22, 1664, 32, 1, Smoke::mf_protected|Smoke::mf_virtual, 47, 78},	//727 KConfigGroup::groupImpl(const QByteArray&)
    {22, 1664, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 516, 79},	//728 KConfigGroup::groupImpl(const QByteArray&) const
    {22, 1349, 460, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 80},	//729 KConfigGroup::deleteGroupImpl(const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    {22, 1826, 32, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 495, 81},	//730 KConfigGroup::isGroupImmutableImpl(const QByteArray&) const
    {22, 1202, 577, 1, Smoke::mf_const, 0, 82},	//731 KConfigGroup::copyTo(KConfigBase*) const
    {22, 2459, 577, 1, 0, 0, 83},	//732 KConfigGroup::reparent(KConfigBase*)
    {22, 1344, 0, 0, 0, 0, 84},	//733 KConfigGroup::deleteGroup()
    {22, 1344, 32, 1, 0, 0, 85},	//734 KConfigGroup::deleteGroup(const QByteArray&)
    {22, 1344, 30, 1, 0, 0, 86},	//735 KConfigGroup::deleteGroup(const QString&)
    {22, 1344, 122, 1, 0, 0, 87},	//736 KConfigGroup::deleteGroup(const char*)
    {22, 2379, 30, 1, Smoke::mf_const, 382, 88},	//737 KConfigGroup::readEntry(const QString&) const
    {22, 2379, 122, 1, Smoke::mf_const, 382, 89},	//738 KConfigGroup::readEntry(const char*) const
    {22, 2416, 30, 1, Smoke::mf_const, 387, 90},	//739 KConfigGroup::readXdgListEntry(const QString&) const
    {22, 2416, 122, 1, Smoke::mf_const, 387, 91},	//740 KConfigGroup::readXdgListEntry(const char*) const
    {22, 2384, 30, 1, Smoke::mf_const, 382, 92},	//741 KConfigGroup::readEntryUntranslated(const QString&) const
    {22, 2384, 122, 1, Smoke::mf_const, 382, 93},	//742 KConfigGroup::readEntryUntranslated(const char*) const
    {22, 3312, 100, 2, 0, 0, 94},	//743 KConfigGroup::writeEntry(const QString&, const QVariant&)
    {22, 3312, 508, 2, 0, 0, 95},	//744 KConfigGroup::writeEntry(const char*, const QVariant&)
    {22, 3312, 95, 2, 0, 0, 96},	//745 KConfigGroup::writeEntry(const QString&, const QString&)
    {22, 3312, 511, 2, 0, 0, 97},	//746 KConfigGroup::writeEntry(const char*, const QString&)
    {22, 3312, 579, 2, 0, 0, 98},	//747 KConfigGroup::writeEntry(const QString&, const QByteArray&)
    {22, 3312, 582, 2, 0, 0, 99},	//748 KConfigGroup::writeEntry(const char*, const QByteArray&)
    {22, 3312, 514, 2, 0, 0, 100},	//749 KConfigGroup::writeEntry(const QString&, const char*)
    {22, 3312, 124, 2, 0, 0, 101},	//750 KConfigGroup::writeEntry(const char*, const char*)
    {22, 3312, 523, 2, 0, 0, 102},	//751 KConfigGroup::writeEntry(const QString&, const QStringList&)
    {22, 3312, 526, 2, 0, 0, 103},	//752 KConfigGroup::writeEntry(const char*, const QStringList&)
    {22, 3312, 517, 2, 0, 0, 104},	//753 KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    {22, 3312, 520, 2, 0, 0, 105},	//754 KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    {22, 3326, 523, 2, 0, 0, 106},	//755 KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    {22, 3326, 526, 2, 0, 0, 107},	//756 KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    {22, 3321, 95, 2, 0, 0, 108},	//757 KConfigGroup::writePathEntry(const QString&, const QString&)
    {22, 3321, 511, 2, 0, 0, 109},	//758 KConfigGroup::writePathEntry(const char*, const QString&)
    {22, 3321, 523, 2, 0, 0, 110},	//759 KConfigGroup::writePathEntry(const QString&, const QStringList&)
    {22, 3321, 526, 2, 0, 0, 111},	//760 KConfigGroup::writePathEntry(const char*, const QStringList&)
    {22, 1341, 30, 1, 0, 0, 112},	//761 KConfigGroup::deleteEntry(const QString&)
    {22, 1341, 122, 1, 0, 0, 113},	//762 KConfigGroup::deleteEntry(const char*)
    {22, 3388, 0, 0, Smoke::mf_dtor, 0, 114 },	//763 KConfigGroup::~KConfigGroup()
    {24, 337, 95, 2, Smoke::mf_ctor, 51, 1},	//764 KConfigSkeletonItem::KConfigSkeletonItem(const QString&, const QString&)
    {24, 2677, 30, 1, 0, 0, 2},	//765 KConfigSkeletonItem::setGroup(const QString&)
    {24, 1659, 0, 0, Smoke::mf_const, 382, 3},	//766 KConfigSkeletonItem::group() const
    {24, 2697, 30, 1, 0, 0, 4},	//767 KConfigSkeletonItem::setKey(const QString&)
    {24, 1932, 0, 0, Smoke::mf_const, 382, 5},	//768 KConfigSkeletonItem::key() const
    {24, 2809, 30, 1, 0, 0, 6},	//769 KConfigSkeletonItem::setName(const QString&)
    {24, 2109, 0, 0, Smoke::mf_const, 382, 7},	//770 KConfigSkeletonItem::name() const
    {24, 2699, 30, 1, 0, 0, 8},	//771 KConfigSkeletonItem::setLabel(const QString&)
    {24, 1951, 0, 0, Smoke::mf_const, 382, 9},	//772 KConfigSkeletonItem::label() const
    {24, 2922, 30, 1, 0, 0, 10},	//773 KConfigSkeletonItem::setToolTip(const QString&)
    {24, 3153, 0, 0, Smoke::mf_const, 382, 11},	//774 KConfigSkeletonItem::toolTip() const
    {24, 2948, 30, 1, 0, 0, 12},	//775 KConfigSkeletonItem::setWhatsThis(const QString&)
    {24, 3301, 0, 0, Smoke::mf_const, 382, 13},	//776 KConfigSkeletonItem::whatsThis() const
    {24, 2365, 585, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//777 KConfigSkeletonItem::readConfig(KConfig*) [pure virtual]
    {24, 3308, 585, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//778 KConfigSkeletonItem::writeConfig(KConfig*) [pure virtual]
    {24, 2374, 585, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//779 KConfigSkeletonItem::readDefault(KConfig*) [pure virtual]
    {24, 2869, 34, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//780 KConfigSkeletonItem::setProperty(const QVariant&) [pure virtual]
    {24, 1818, 34, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 18},	//781 KConfigSkeletonItem::isEqual(const QVariant&) const [pure virtual]
    {24, 2308, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 406, 19},	//782 KConfigSkeletonItem::property() const [pure virtual]
    {24, 2072, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 20},	//783 KConfigSkeletonItem::minValue() const
    {24, 2062, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 406, 21},	//784 KConfigSkeletonItem::maxValue() const
    {24, 2625, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 22},	//785 KConfigSkeletonItem::setDefault() [pure virtual]
    {24, 3092, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 23},	//786 KConfigSkeletonItem::swapDefault() [pure virtual]
    {24, 1832, 0, 0, Smoke::mf_const, 495, 24},	//787 KConfigSkeletonItem::isImmutable() const
    {24, 2391, 501, 1, Smoke::mf_protected, 0, 25},	//788 KConfigSkeletonItem::readImmutability(const KConfigGroup&)
    {24, 337, 587, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 51, 26},	//789 KConfigSkeletonItem::KConfigSkeletonItem(const KConfigSkeletonItem&)
    {24, 2018, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 27},	//790 KConfigSkeletonItem::mGroup() const
    {24, 2723, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//791 KConfigSkeletonItem::setMGroup(const QString&)
    {24, 2019, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 29},	//792 KConfigSkeletonItem::mKey() const
    {24, 2725, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//793 KConfigSkeletonItem::setMKey(const QString&)
    {24, 2020, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 31},	//794 KConfigSkeletonItem::mName() const
    {24, 2727, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//795 KConfigSkeletonItem::setMName(const QString&)
    {24, 3389, 0, 0, Smoke::mf_dtor, 0, 33 },	//796 KConfigSkeletonItem::~KConfigSkeletonItem()
    {25, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//797 KCoreConfigSkeleton::metaObject() const
    {25, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//798 KCoreConfigSkeleton::qt_metacast(const char*)
    {25, 3157, 124, 2, Smoke::mf_static, 382, 3},	//799 KCoreConfigSkeleton::tr(const char*, const char*)
    {25, 3164, 124, 2, Smoke::mf_static, 382, 4},	//800 KCoreConfigSkeleton::trUtf8(const char*, const char*)
    {25, 3157, 127, 3, Smoke::mf_static, 382, 5},	//801 KCoreConfigSkeleton::tr(const char*, const char*, int)
    {25, 3164, 127, 3, Smoke::mf_static, 382, 6},	//802 KCoreConfigSkeleton::trUtf8(const char*, const char*, int)
    {25, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//803 KCoreConfigSkeleton::qt_metacall(QMetaObject::Call, int, void**)
    {25, 340, 155, 2, Smoke::mf_ctor, 52, 8},	//804 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&, QObject*)
    {25, 340, 589, 2, Smoke::mf_ctor, 52, 9},	//805 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>, QObject*)
    {25, 2630, 0, 0, Smoke::mf_virtual, 0, 10},	//806 KCoreConfigSkeleton::setDefaults()
    {25, 2365, 0, 0, Smoke::mf_virtual, 0, 11},	//807 KCoreConfigSkeleton::readConfig()
    {25, 3308, 0, 0, Smoke::mf_virtual, 0, 12},	//808 KCoreConfigSkeleton::writeConfig()
    {25, 2590, 30, 1, 0, 0, 13},	//809 KCoreConfigSkeleton::setCurrentGroup(const QString&)
    {25, 1243, 0, 0, Smoke::mf_const, 382, 14},	//810 KCoreConfigSkeleton::currentGroup() const
    {25, 892, 592, 2, 0, 0, 15},	//811 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*, const QString&)
    {25, 947, 595, 4, 0, 69, 16},	//812 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&, const QString&)
    {25, 923, 595, 4, 0, 62, 17},	//813 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&, const QString&)
    {25, 927, 595, 4, 0, 63, 18},	//814 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&, const QString&)
    {25, 935, 600, 4, 0, 66, 19},	//815 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&, const QString&)
    {25, 895, 605, 4, 0, 53, 20},	//816 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool, const QString&)
    {25, 907, 610, 4, 0, 59, 21},	//817 KCoreConfigSkeleton::addItemInt(const QString&, int&, int, const QString&)
    {25, 955, 615, 4, 0, 72, 22},	//818 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int, const QString&)
    {25, 919, 620, 4, 0, 61, 23},	//819 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long, const QString&)
    {25, 911, 620, 4, 0, 61, 24},	//820 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long, const QString&)
    {25, 963, 625, 4, 0, 73, 25},	//821 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 959, 625, 4, 0, 73, 26},	//822 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long, const QString&)
    {25, 903, 630, 4, 0, 55, 27},	//823 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double, const QString&)
    {25, 939, 635, 4, 0, 67, 28},	//824 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&, const QString&)
    {25, 931, 640, 4, 0, 65, 29},	//825 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&, const QString&)
    {25, 943, 645, 4, 0, 68, 30},	//826 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&, const QString&)
    {25, 899, 650, 4, 0, 54, 31},	//827 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&, const QString&)
    {25, 951, 655, 4, 0, 71, 32},	//828 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&, const QString&)
    {25, 915, 660, 4, 0, 60, 33},	//829 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&, const QString&)
    {25, 1178, 0, 0, 0, 42, 34},	//830 KCoreConfigSkeleton::config()
    {25, 1178, 0, 0, Smoke::mf_const, 513, 35},	//831 KCoreConfigSkeleton::config() const
    {25, 2885, 665, 1, 0, 0, 36},	//832 KCoreConfigSkeleton::setSharedConfig(KSharedPtr<KSharedConfig>)
    {25, 1890, 0, 0, Smoke::mf_const, 340, 37},	//833 KCoreConfigSkeleton::items() const
    {25, 1832, 30, 1, 0, 495, 38},	//834 KCoreConfigSkeleton::isImmutable(const QString&)
    {25, 1832, 30, 1, Smoke::mf_const, 495, 39},	//835 KCoreConfigSkeleton::isImmutable(const QString&) const
    {25, 1558, 30, 1, 0, 51, 40},	//836 KCoreConfigSkeleton::findItem(const QString&)
    {25, 1558, 30, 1, Smoke::mf_const, 51, 41},	//837 KCoreConfigSkeleton::findItem(const QString&) const
    {25, 3232, 103, 1, Smoke::mf_virtual, 495, 42},	//838 KCoreConfigSkeleton::useDefaults(bool)
    {25, 1180, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//839 KCoreConfigSkeleton::configChanged()
    {25, 3243, 103, 1, Smoke::mf_protected|Smoke::mf_virtual, 495, 44},	//840 KCoreConfigSkeleton::usrUseDefaults(bool)
    {25, 3242, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//841 KCoreConfigSkeleton::usrSetDefaults()
    {25, 3241, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//842 KCoreConfigSkeleton::usrReadConfig()
    {25, 3245, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//843 KCoreConfigSkeleton::usrWriteConfig()
    {25, 3157, 122, 1, Smoke::mf_static, 382, 48},	//844 KCoreConfigSkeleton::tr(const char*)
    {25, 3164, 122, 1, Smoke::mf_static, 382, 49},	//845 KCoreConfigSkeleton::trUtf8(const char*)
    {25, 340, 0, 0, Smoke::mf_ctor, 52, 50},	//846 KCoreConfigSkeleton::KCoreConfigSkeleton()
    {25, 340, 30, 1, Smoke::mf_ctor, 52, 51},	//847 KCoreConfigSkeleton::KCoreConfigSkeleton(const QString&)
    {25, 340, 665, 1, Smoke::mf_ctor, 52, 52},	//848 KCoreConfigSkeleton::KCoreConfigSkeleton(KSharedPtr<KSharedConfig>)
    {25, 892, 667, 1, 0, 0, 53},	//849 KCoreConfigSkeleton::addItem(KConfigSkeletonItem*)
    {25, 947, 669, 2, 0, 69, 54},	//850 KCoreConfigSkeleton::addItemString(const QString&, QString&)
    {25, 947, 672, 3, 0, 69, 55},	//851 KCoreConfigSkeleton::addItemString(const QString&, QString&, const QString&)
    {25, 923, 669, 2, 0, 62, 56},	//852 KCoreConfigSkeleton::addItemPassword(const QString&, QString&)
    {25, 923, 672, 3, 0, 62, 57},	//853 KCoreConfigSkeleton::addItemPassword(const QString&, QString&, const QString&)
    {25, 927, 669, 2, 0, 63, 58},	//854 KCoreConfigSkeleton::addItemPath(const QString&, QString&)
    {25, 927, 672, 3, 0, 63, 59},	//855 KCoreConfigSkeleton::addItemPath(const QString&, QString&, const QString&)
    {25, 935, 676, 2, 0, 66, 60},	//856 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&)
    {25, 935, 679, 3, 0, 66, 61},	//857 KCoreConfigSkeleton::addItemProperty(const QString&, QVariant&, const QVariant&)
    {25, 895, 341, 2, 0, 53, 62},	//858 KCoreConfigSkeleton::addItemBool(const QString&, bool&)
    {25, 895, 683, 3, 0, 53, 63},	//859 KCoreConfigSkeleton::addItemBool(const QString&, bool&, bool)
    {25, 907, 248, 2, 0, 59, 64},	//860 KCoreConfigSkeleton::addItemInt(const QString&, int&)
    {25, 907, 687, 3, 0, 59, 65},	//861 KCoreConfigSkeleton::addItemInt(const QString&, int&, int)
    {25, 955, 691, 2, 0, 72, 66},	//862 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&)
    {25, 955, 694, 3, 0, 72, 67},	//863 KCoreConfigSkeleton::addItemUInt(const QString&, unsigned int&, unsigned int)
    {25, 919, 698, 2, 0, 61, 68},	//864 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&)
    {25, 919, 701, 3, 0, 61, 69},	//865 KCoreConfigSkeleton::addItemLongLong(const QString&, long long&, long long)
    {25, 911, 698, 2, 0, 61, 70},	//866 KCoreConfigSkeleton::addItemInt64(const QString&, long long&)
    {25, 911, 701, 3, 0, 61, 71},	//867 KCoreConfigSkeleton::addItemInt64(const QString&, long long&, long long)
    {25, 963, 705, 2, 0, 73, 72},	//868 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&)
    {25, 963, 708, 3, 0, 73, 73},	//869 KCoreConfigSkeleton::addItemULongLong(const QString&, unsigned long long&, unsigned long long)
    {25, 959, 705, 2, 0, 73, 74},	//870 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&)
    {25, 959, 708, 3, 0, 73, 75},	//871 KCoreConfigSkeleton::addItemUInt64(const QString&, unsigned long long&, unsigned long long)
    {25, 903, 712, 2, 0, 55, 76},	//872 KCoreConfigSkeleton::addItemDouble(const QString&, double&)
    {25, 903, 715, 3, 0, 55, 77},	//873 KCoreConfigSkeleton::addItemDouble(const QString&, double&, double)
    {25, 939, 719, 2, 0, 67, 78},	//874 KCoreConfigSkeleton::addItemRect(const QString&, QRect&)
    {25, 939, 722, 3, 0, 67, 79},	//875 KCoreConfigSkeleton::addItemRect(const QString&, QRect&, const QRect&)
    {25, 931, 726, 2, 0, 65, 80},	//876 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&)
    {25, 931, 729, 3, 0, 65, 81},	//877 KCoreConfigSkeleton::addItemPoint(const QString&, QPoint&, const QPoint&)
    {25, 943, 733, 2, 0, 68, 82},	//878 KCoreConfigSkeleton::addItemSize(const QString&, QSize&)
    {25, 943, 736, 3, 0, 68, 83},	//879 KCoreConfigSkeleton::addItemSize(const QString&, QSize&, const QSize&)
    {25, 899, 740, 2, 0, 54, 84},	//880 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&)
    {25, 899, 743, 3, 0, 54, 85},	//881 KCoreConfigSkeleton::addItemDateTime(const QString&, QDateTime&, const QDateTime&)
    {25, 951, 747, 2, 0, 71, 86},	//882 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&)
    {25, 951, 750, 3, 0, 71, 87},	//883 KCoreConfigSkeleton::addItemStringList(const QString&, QStringList&, const QStringList&)
    {25, 915, 754, 2, 0, 60, 88},	//884 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&)
    {25, 915, 757, 3, 0, 60, 89},	//885 KCoreConfigSkeleton::addItemIntList(const QString&, QList<int>&, const QList<int>&)
    {25, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 90},	//886 KCoreConfigSkeleton::staticMetaObject() const
    {25, 3390, 0, 0, Smoke::mf_dtor, 0, 91 },	//887 KCoreConfigSkeleton::~KCoreConfigSkeleton()
    {26, 189, 761, 4, Smoke::mf_ctor, 53, 1},	//888 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&, bool)
    {26, 2365, 585, 1, 0, 0, 2},	//889 KCoreConfigSkeleton::ItemBool::readConfig(KConfig*)
    {26, 2869, 34, 1, 0, 0, 3},	//890 KCoreConfigSkeleton::ItemBool::setProperty(const QVariant&)
    {26, 1818, 34, 1, Smoke::mf_const, 495, 4},	//891 KCoreConfigSkeleton::ItemBool::isEqual(const QVariant&) const
    {26, 2308, 0, 0, Smoke::mf_const, 406, 5},	//892 KCoreConfigSkeleton::ItemBool::property() const
    {26, 189, 766, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 6},	//893 KCoreConfigSkeleton::ItemBool::ItemBool(const KCoreConfigSkeleton::ItemBool&)
    {26, 189, 768, 3, Smoke::mf_ctor, 53, 7},	//894 KCoreConfigSkeleton::ItemBool::ItemBool(const QString&, const QString&, bool&)
    {26, 3354, 0, 0, Smoke::mf_dtor, 0, 8 },	//895 KCoreConfigSkeleton::ItemBool::~ItemBool()
    {27, 193, 772, 4, Smoke::mf_ctor, 54, 1},	//896 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&, const QDateTime&)
    {27, 2365, 585, 1, 0, 0, 2},	//897 KCoreConfigSkeleton::ItemDateTime::readConfig(KConfig*)
    {27, 2869, 34, 1, 0, 0, 3},	//898 KCoreConfigSkeleton::ItemDateTime::setProperty(const QVariant&)
    {27, 1818, 34, 1, Smoke::mf_const, 495, 4},	//899 KCoreConfigSkeleton::ItemDateTime::isEqual(const QVariant&) const
    {27, 2308, 0, 0, Smoke::mf_const, 406, 5},	//900 KCoreConfigSkeleton::ItemDateTime::property() const
    {27, 193, 777, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 54, 6},	//901 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const KCoreConfigSkeleton::ItemDateTime&)
    {27, 193, 779, 3, Smoke::mf_ctor, 54, 7},	//902 KCoreConfigSkeleton::ItemDateTime::ItemDateTime(const QString&, const QString&, QDateTime&)
    {27, 3355, 0, 0, Smoke::mf_dtor, 0, 8 },	//903 KCoreConfigSkeleton::ItemDateTime::~ItemDateTime()
    {28, 197, 783, 4, Smoke::mf_ctor, 55, 1},	//904 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&, double)
    {28, 2365, 585, 1, 0, 0, 2},	//905 KCoreConfigSkeleton::ItemDouble::readConfig(KConfig*)
    {28, 2869, 34, 1, 0, 0, 3},	//906 KCoreConfigSkeleton::ItemDouble::setProperty(const QVariant&)
    {28, 1818, 34, 1, Smoke::mf_const, 495, 4},	//907 KCoreConfigSkeleton::ItemDouble::isEqual(const QVariant&) const
    {28, 2308, 0, 0, Smoke::mf_const, 406, 5},	//908 KCoreConfigSkeleton::ItemDouble::property() const
    {28, 2072, 0, 0, Smoke::mf_const, 406, 6},	//909 KCoreConfigSkeleton::ItemDouble::minValue() const
    {28, 2062, 0, 0, Smoke::mf_const, 406, 7},	//910 KCoreConfigSkeleton::ItemDouble::maxValue() const
    {28, 2797, 788, 1, 0, 0, 8},	//911 KCoreConfigSkeleton::ItemDouble::setMinValue(double)
    {28, 2789, 788, 1, 0, 0, 9},	//912 KCoreConfigSkeleton::ItemDouble::setMaxValue(double)
    {28, 197, 790, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 55, 10},	//913 KCoreConfigSkeleton::ItemDouble::ItemDouble(const KCoreConfigSkeleton::ItemDouble&)
    {28, 197, 792, 3, Smoke::mf_ctor, 55, 11},	//914 KCoreConfigSkeleton::ItemDouble::ItemDouble(const QString&, const QString&, double&)
    {28, 3356, 0, 0, Smoke::mf_dtor, 0, 12 },	//915 KCoreConfigSkeleton::ItemDouble::~ItemDouble()
    {29, 201, 796, 5, Smoke::mf_ctor, 56, 1},	//916 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    {29, 201, 802, 5, Smoke::mf_ctor, 56, 2},	//917 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    {29, 1150, 0, 0, Smoke::mf_const, 342, 3},	//918 KCoreConfigSkeleton::ItemEnum::choices() const
    {29, 1151, 0, 0, Smoke::mf_const, 341, 4},	//919 KCoreConfigSkeleton::ItemEnum::choices2() const
    {29, 2365, 585, 1, 0, 0, 5},	//920 KCoreConfigSkeleton::ItemEnum::readConfig(KConfig*)
    {29, 3308, 585, 1, 0, 0, 6},	//921 KCoreConfigSkeleton::ItemEnum::writeConfig(KConfig*)
    {29, 201, 808, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 7},	//922 KCoreConfigSkeleton::ItemEnum::ItemEnum(const KCoreConfigSkeleton::ItemEnum&)
    {29, 201, 810, 4, Smoke::mf_ctor, 56, 8},	//923 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    {29, 201, 815, 4, Smoke::mf_ctor, 56, 9},	//924 KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    {29, 3357, 0, 0, Smoke::mf_dtor, 0, 10 },	//925 KCoreConfigSkeleton::ItemEnum::~ItemEnum()
    {30, 55, 0, 0, Smoke::mf_ctor, 57, 1},	//926 KCoreConfigSkeleton::ItemEnum::Choice::Choice()
    {30, 55, 820, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 57, 2},	//927 KCoreConfigSkeleton::ItemEnum::Choice::Choice(const KCoreConfigSkeleton::ItemEnum::Choice&)
    {30, 2109, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 3},	//928 KCoreConfigSkeleton::ItemEnum::Choice::name() const
    {30, 2809, 30, 1, Smoke::mf_attribute, 0, 4},	//929 KCoreConfigSkeleton::ItemEnum::Choice::setName(const QString&)
    {30, 1951, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 5},	//930 KCoreConfigSkeleton::ItemEnum::Choice::label() const
    {30, 2699, 30, 1, Smoke::mf_attribute, 0, 6},	//931 KCoreConfigSkeleton::ItemEnum::Choice::setLabel(const QString&)
    {30, 3301, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 7},	//932 KCoreConfigSkeleton::ItemEnum::Choice::whatsThis() const
    {30, 2948, 30, 1, Smoke::mf_attribute, 0, 8},	//933 KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis(const QString&)
    {30, 3351, 0, 0, Smoke::mf_dtor, 0, 9 },	//934 KCoreConfigSkeleton::ItemEnum::Choice::~Choice()
    {31, 57, 0, 0, Smoke::mf_ctor, 58, 1},	//935 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2()
    {31, 57, 822, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 58, 2},	//936 KCoreConfigSkeleton::ItemEnum::Choice2::Choice2(const KCoreConfigSkeleton::ItemEnum::Choice2&)
    {31, 2109, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 3},	//937 KCoreConfigSkeleton::ItemEnum::Choice2::name() const
    {31, 2809, 30, 1, Smoke::mf_attribute, 0, 4},	//938 KCoreConfigSkeleton::ItemEnum::Choice2::setName(const QString&)
    {31, 1951, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 5},	//939 KCoreConfigSkeleton::ItemEnum::Choice2::label() const
    {31, 2699, 30, 1, Smoke::mf_attribute, 0, 6},	//940 KCoreConfigSkeleton::ItemEnum::Choice2::setLabel(const QString&)
    {31, 3153, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 7},	//941 KCoreConfigSkeleton::ItemEnum::Choice2::toolTip() const
    {31, 2922, 30, 1, Smoke::mf_attribute, 0, 8},	//942 KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip(const QString&)
    {31, 3301, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 9},	//943 KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis() const
    {31, 2948, 30, 1, Smoke::mf_attribute, 0, 10},	//944 KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis(const QString&)
    {31, 3352, 0, 0, Smoke::mf_dtor, 0, 11 },	//945 KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2()
    {32, 205, 824, 4, Smoke::mf_ctor, 59, 1},	//946 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&, int)
    {32, 2365, 585, 1, 0, 0, 2},	//947 KCoreConfigSkeleton::ItemInt::readConfig(KConfig*)
    {32, 2869, 34, 1, 0, 0, 3},	//948 KCoreConfigSkeleton::ItemInt::setProperty(const QVariant&)
    {32, 1818, 34, 1, Smoke::mf_const, 495, 4},	//949 KCoreConfigSkeleton::ItemInt::isEqual(const QVariant&) const
    {32, 2308, 0, 0, Smoke::mf_const, 406, 5},	//950 KCoreConfigSkeleton::ItemInt::property() const
    {32, 2072, 0, 0, Smoke::mf_const, 406, 6},	//951 KCoreConfigSkeleton::ItemInt::minValue() const
    {32, 2062, 0, 0, Smoke::mf_const, 406, 7},	//952 KCoreConfigSkeleton::ItemInt::maxValue() const
    {32, 2797, 118, 1, 0, 0, 8},	//953 KCoreConfigSkeleton::ItemInt::setMinValue(int)
    {32, 2789, 118, 1, 0, 0, 9},	//954 KCoreConfigSkeleton::ItemInt::setMaxValue(int)
    {32, 205, 829, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 59, 10},	//955 KCoreConfigSkeleton::ItemInt::ItemInt(const KCoreConfigSkeleton::ItemInt&)
    {32, 205, 831, 3, Smoke::mf_ctor, 59, 11},	//956 KCoreConfigSkeleton::ItemInt::ItemInt(const QString&, const QString&, int&)
    {32, 3358, 0, 0, Smoke::mf_dtor, 0, 12 },	//957 KCoreConfigSkeleton::ItemInt::~ItemInt()
    {33, 209, 835, 4, Smoke::mf_ctor, 60, 1},	//958 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&, const QList<int>&)
    {33, 2365, 585, 1, 0, 0, 2},	//959 KCoreConfigSkeleton::ItemIntList::readConfig(KConfig*)
    {33, 2869, 34, 1, 0, 0, 3},	//960 KCoreConfigSkeleton::ItemIntList::setProperty(const QVariant&)
    {33, 1818, 34, 1, Smoke::mf_const, 495, 4},	//961 KCoreConfigSkeleton::ItemIntList::isEqual(const QVariant&) const
    {33, 2308, 0, 0, Smoke::mf_const, 406, 5},	//962 KCoreConfigSkeleton::ItemIntList::property() const
    {33, 209, 840, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 60, 6},	//963 KCoreConfigSkeleton::ItemIntList::ItemIntList(const KCoreConfigSkeleton::ItemIntList&)
    {33, 209, 842, 3, Smoke::mf_ctor, 60, 7},	//964 KCoreConfigSkeleton::ItemIntList::ItemIntList(const QString&, const QString&, QList<int>&)
    {33, 3359, 0, 0, Smoke::mf_dtor, 0, 8 },	//965 KCoreConfigSkeleton::ItemIntList::~ItemIntList()
    {34, 213, 846, 4, Smoke::mf_ctor, 61, 1},	//966 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&, long long)
    {34, 2365, 585, 1, 0, 0, 2},	//967 KCoreConfigSkeleton::ItemLongLong::readConfig(KConfig*)
    {34, 2869, 34, 1, 0, 0, 3},	//968 KCoreConfigSkeleton::ItemLongLong::setProperty(const QVariant&)
    {34, 1818, 34, 1, Smoke::mf_const, 495, 4},	//969 KCoreConfigSkeleton::ItemLongLong::isEqual(const QVariant&) const
    {34, 2308, 0, 0, Smoke::mf_const, 406, 5},	//970 KCoreConfigSkeleton::ItemLongLong::property() const
    {34, 2072, 0, 0, Smoke::mf_const, 406, 6},	//971 KCoreConfigSkeleton::ItemLongLong::minValue() const
    {34, 2062, 0, 0, Smoke::mf_const, 406, 7},	//972 KCoreConfigSkeleton::ItemLongLong::maxValue() const
    {34, 2797, 851, 1, 0, 0, 8},	//973 KCoreConfigSkeleton::ItemLongLong::setMinValue(long long)
    {34, 2789, 851, 1, 0, 0, 9},	//974 KCoreConfigSkeleton::ItemLongLong::setMaxValue(long long)
    {34, 213, 853, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 10},	//975 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const KCoreConfigSkeleton::ItemLongLong&)
    {34, 213, 855, 3, Smoke::mf_ctor, 61, 11},	//976 KCoreConfigSkeleton::ItemLongLong::ItemLongLong(const QString&, const QString&, long long&)
    {34, 3360, 0, 0, Smoke::mf_dtor, 0, 12 },	//977 KCoreConfigSkeleton::ItemLongLong::~ItemLongLong()
    {35, 217, 859, 4, Smoke::mf_ctor, 62, 1},	//978 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&, const QString&)
    {35, 217, 864, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 62, 2},	//979 KCoreConfigSkeleton::ItemPassword::ItemPassword(const KCoreConfigSkeleton::ItemPassword&)
    {35, 217, 866, 3, Smoke::mf_ctor, 62, 3},	//980 KCoreConfigSkeleton::ItemPassword::ItemPassword(const QString&, const QString&, QString&)
    {35, 3361, 0, 0, Smoke::mf_dtor, 0, 4 },	//981 KCoreConfigSkeleton::ItemPassword::~ItemPassword()
    {36, 221, 859, 4, Smoke::mf_ctor, 63, 1},	//982 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&, const QString&)
    {36, 221, 870, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 63, 2},	//983 KCoreConfigSkeleton::ItemPath::ItemPath(const KCoreConfigSkeleton::ItemPath&)
    {36, 221, 866, 3, Smoke::mf_ctor, 63, 3},	//984 KCoreConfigSkeleton::ItemPath::ItemPath(const QString&, const QString&, QString&)
    {36, 3362, 0, 0, Smoke::mf_dtor, 0, 4 },	//985 KCoreConfigSkeleton::ItemPath::~ItemPath()
    {37, 225, 872, 4, Smoke::mf_ctor, 64, 1},	//986 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&, const QStringList&)
    {37, 2365, 585, 1, 0, 0, 2},	//987 KCoreConfigSkeleton::ItemPathList::readConfig(KConfig*)
    {37, 3308, 585, 1, 0, 0, 3},	//988 KCoreConfigSkeleton::ItemPathList::writeConfig(KConfig*)
    {37, 225, 877, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 64, 4},	//989 KCoreConfigSkeleton::ItemPathList::ItemPathList(const KCoreConfigSkeleton::ItemPathList&)
    {37, 225, 879, 3, Smoke::mf_ctor, 64, 5},	//990 KCoreConfigSkeleton::ItemPathList::ItemPathList(const QString&, const QString&, QStringList&)
    {37, 3363, 0, 0, Smoke::mf_dtor, 0, 6 },	//991 KCoreConfigSkeleton::ItemPathList::~ItemPathList()
    {38, 229, 883, 4, Smoke::mf_ctor, 65, 1},	//992 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&, const QPoint&)
    {38, 2365, 585, 1, 0, 0, 2},	//993 KCoreConfigSkeleton::ItemPoint::readConfig(KConfig*)
    {38, 2869, 34, 1, 0, 0, 3},	//994 KCoreConfigSkeleton::ItemPoint::setProperty(const QVariant&)
    {38, 1818, 34, 1, Smoke::mf_const, 495, 4},	//995 KCoreConfigSkeleton::ItemPoint::isEqual(const QVariant&) const
    {38, 2308, 0, 0, Smoke::mf_const, 406, 5},	//996 KCoreConfigSkeleton::ItemPoint::property() const
    {38, 229, 888, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 6},	//997 KCoreConfigSkeleton::ItemPoint::ItemPoint(const KCoreConfigSkeleton::ItemPoint&)
    {38, 229, 890, 3, Smoke::mf_ctor, 65, 7},	//998 KCoreConfigSkeleton::ItemPoint::ItemPoint(const QString&, const QString&, QPoint&)
    {38, 3364, 0, 0, Smoke::mf_dtor, 0, 8 },	//999 KCoreConfigSkeleton::ItemPoint::~ItemPoint()
    {39, 233, 894, 4, Smoke::mf_ctor, 66, 1},	//1000 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&, const QVariant&)
    {39, 2365, 585, 1, 0, 0, 2},	//1001 KCoreConfigSkeleton::ItemProperty::readConfig(KConfig*)
    {39, 2869, 34, 1, 0, 0, 3},	//1002 KCoreConfigSkeleton::ItemProperty::setProperty(const QVariant&)
    {39, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1003 KCoreConfigSkeleton::ItemProperty::isEqual(const QVariant&) const
    {39, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1004 KCoreConfigSkeleton::ItemProperty::property() const
    {39, 233, 899, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 66, 6},	//1005 KCoreConfigSkeleton::ItemProperty::ItemProperty(const KCoreConfigSkeleton::ItemProperty&)
    {39, 233, 901, 3, Smoke::mf_ctor, 66, 7},	//1006 KCoreConfigSkeleton::ItemProperty::ItemProperty(const QString&, const QString&, QVariant&)
    {39, 3365, 0, 0, Smoke::mf_dtor, 0, 8 },	//1007 KCoreConfigSkeleton::ItemProperty::~ItemProperty()
    {40, 237, 905, 4, Smoke::mf_ctor, 67, 1},	//1008 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&, const QRect&)
    {40, 2365, 585, 1, 0, 0, 2},	//1009 KCoreConfigSkeleton::ItemRect::readConfig(KConfig*)
    {40, 2869, 34, 1, 0, 0, 3},	//1010 KCoreConfigSkeleton::ItemRect::setProperty(const QVariant&)
    {40, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1011 KCoreConfigSkeleton::ItemRect::isEqual(const QVariant&) const
    {40, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1012 KCoreConfigSkeleton::ItemRect::property() const
    {40, 237, 910, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 67, 6},	//1013 KCoreConfigSkeleton::ItemRect::ItemRect(const KCoreConfigSkeleton::ItemRect&)
    {40, 237, 912, 3, Smoke::mf_ctor, 67, 7},	//1014 KCoreConfigSkeleton::ItemRect::ItemRect(const QString&, const QString&, QRect&)
    {40, 3366, 0, 0, Smoke::mf_dtor, 0, 8 },	//1015 KCoreConfigSkeleton::ItemRect::~ItemRect()
    {41, 241, 916, 4, Smoke::mf_ctor, 68, 1},	//1016 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&, const QSize&)
    {41, 2365, 585, 1, 0, 0, 2},	//1017 KCoreConfigSkeleton::ItemSize::readConfig(KConfig*)
    {41, 2869, 34, 1, 0, 0, 3},	//1018 KCoreConfigSkeleton::ItemSize::setProperty(const QVariant&)
    {41, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1019 KCoreConfigSkeleton::ItemSize::isEqual(const QVariant&) const
    {41, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1020 KCoreConfigSkeleton::ItemSize::property() const
    {41, 241, 921, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 6},	//1021 KCoreConfigSkeleton::ItemSize::ItemSize(const KCoreConfigSkeleton::ItemSize&)
    {41, 241, 923, 3, Smoke::mf_ctor, 68, 7},	//1022 KCoreConfigSkeleton::ItemSize::ItemSize(const QString&, const QString&, QSize&)
    {41, 3367, 0, 0, Smoke::mf_dtor, 0, 8 },	//1023 KCoreConfigSkeleton::ItemSize::~ItemSize()
    {42, 245, 927, 5, Smoke::mf_ctor, 69, 1},	//1024 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&, KCoreConfigSkeleton::ItemString::Type)
    {42, 3308, 585, 1, 0, 0, 2},	//1025 KCoreConfigSkeleton::ItemString::writeConfig(KConfig*)
    {42, 2365, 585, 1, 0, 0, 3},	//1026 KCoreConfigSkeleton::ItemString::readConfig(KConfig*)
    {42, 2869, 34, 1, 0, 0, 4},	//1027 KCoreConfigSkeleton::ItemString::setProperty(const QVariant&)
    {42, 1818, 34, 1, Smoke::mf_const, 495, 5},	//1028 KCoreConfigSkeleton::ItemString::isEqual(const QVariant&) const
    {42, 2308, 0, 0, Smoke::mf_const, 406, 6},	//1029 KCoreConfigSkeleton::ItemString::property() const
    {42, 245, 933, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 69, 7},	//1030 KCoreConfigSkeleton::ItemString::ItemString(const KCoreConfigSkeleton::ItemString&)
    {42, 245, 866, 3, Smoke::mf_ctor, 69, 8},	//1031 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&)
    {42, 245, 859, 4, Smoke::mf_ctor, 69, 9},	//1032 KCoreConfigSkeleton::ItemString::ItemString(const QString&, const QString&, QString&, const QString&)
    {42, 628, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 10},	//1033 KCoreConfigSkeleton::ItemString::Normal (enum)
    {42, 650, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 11},	//1034 KCoreConfigSkeleton::ItemString::Password (enum)
    {42, 651, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 12},	//1035 KCoreConfigSkeleton::ItemString::Path (enum)
    {42, 3368, 0, 0, Smoke::mf_dtor, 0, 13 },	//1036 KCoreConfigSkeleton::ItemString::~ItemString()
    {43, 250, 872, 4, Smoke::mf_ctor, 71, 1},	//1037 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&, const QStringList&)
    {43, 2365, 585, 1, 0, 0, 2},	//1038 KCoreConfigSkeleton::ItemStringList::readConfig(KConfig*)
    {43, 2869, 34, 1, 0, 0, 3},	//1039 KCoreConfigSkeleton::ItemStringList::setProperty(const QVariant&)
    {43, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1040 KCoreConfigSkeleton::ItemStringList::isEqual(const QVariant&) const
    {43, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1041 KCoreConfigSkeleton::ItemStringList::property() const
    {43, 250, 935, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 6},	//1042 KCoreConfigSkeleton::ItemStringList::ItemStringList(const KCoreConfigSkeleton::ItemStringList&)
    {43, 250, 879, 3, Smoke::mf_ctor, 71, 7},	//1043 KCoreConfigSkeleton::ItemStringList::ItemStringList(const QString&, const QString&, QStringList&)
    {43, 3369, 0, 0, Smoke::mf_dtor, 0, 8 },	//1044 KCoreConfigSkeleton::ItemStringList::~ItemStringList()
    {44, 254, 937, 4, Smoke::mf_ctor, 72, 1},	//1045 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&, unsigned int)
    {44, 2365, 585, 1, 0, 0, 2},	//1046 KCoreConfigSkeleton::ItemUInt::readConfig(KConfig*)
    {44, 2869, 34, 1, 0, 0, 3},	//1047 KCoreConfigSkeleton::ItemUInt::setProperty(const QVariant&)
    {44, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1048 KCoreConfigSkeleton::ItemUInt::isEqual(const QVariant&) const
    {44, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1049 KCoreConfigSkeleton::ItemUInt::property() const
    {44, 2072, 0, 0, Smoke::mf_const, 406, 6},	//1050 KCoreConfigSkeleton::ItemUInt::minValue() const
    {44, 2062, 0, 0, Smoke::mf_const, 406, 7},	//1051 KCoreConfigSkeleton::ItemUInt::maxValue() const
    {44, 2797, 942, 1, 0, 0, 8},	//1052 KCoreConfigSkeleton::ItemUInt::setMinValue(unsigned int)
    {44, 2789, 942, 1, 0, 0, 9},	//1053 KCoreConfigSkeleton::ItemUInt::setMaxValue(unsigned int)
    {44, 254, 944, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 72, 10},	//1054 KCoreConfigSkeleton::ItemUInt::ItemUInt(const KCoreConfigSkeleton::ItemUInt&)
    {44, 254, 946, 3, Smoke::mf_ctor, 72, 11},	//1055 KCoreConfigSkeleton::ItemUInt::ItemUInt(const QString&, const QString&, unsigned int&)
    {44, 3370, 0, 0, Smoke::mf_dtor, 0, 12 },	//1056 KCoreConfigSkeleton::ItemUInt::~ItemUInt()
    {45, 258, 950, 4, Smoke::mf_ctor, 73, 1},	//1057 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&, unsigned long long)
    {45, 2365, 585, 1, 0, 0, 2},	//1058 KCoreConfigSkeleton::ItemULongLong::readConfig(KConfig*)
    {45, 2869, 34, 1, 0, 0, 3},	//1059 KCoreConfigSkeleton::ItemULongLong::setProperty(const QVariant&)
    {45, 1818, 34, 1, Smoke::mf_const, 495, 4},	//1060 KCoreConfigSkeleton::ItemULongLong::isEqual(const QVariant&) const
    {45, 2308, 0, 0, Smoke::mf_const, 406, 5},	//1061 KCoreConfigSkeleton::ItemULongLong::property() const
    {45, 2072, 0, 0, Smoke::mf_const, 406, 6},	//1062 KCoreConfigSkeleton::ItemULongLong::minValue() const
    {45, 2062, 0, 0, Smoke::mf_const, 406, 7},	//1063 KCoreConfigSkeleton::ItemULongLong::maxValue() const
    {45, 2797, 955, 1, 0, 0, 8},	//1064 KCoreConfigSkeleton::ItemULongLong::setMinValue(unsigned long long)
    {45, 2789, 955, 1, 0, 0, 9},	//1065 KCoreConfigSkeleton::ItemULongLong::setMaxValue(unsigned long long)
    {45, 258, 957, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 73, 10},	//1066 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const KCoreConfigSkeleton::ItemULongLong&)
    {45, 258, 959, 3, Smoke::mf_ctor, 73, 11},	//1067 KCoreConfigSkeleton::ItemULongLong::ItemULongLong(const QString&, const QString&, unsigned long long&)
    {45, 3371, 0, 0, Smoke::mf_dtor, 0, 12 },	//1068 KCoreConfigSkeleton::ItemULongLong::~ItemULongLong()
    {46, 262, 963, 4, Smoke::mf_ctor, 74, 1},	//1069 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&, const KUrl&)
    {46, 3308, 585, 1, 0, 0, 2},	//1070 KCoreConfigSkeleton::ItemUrl::writeConfig(KConfig*)
    {46, 2365, 585, 1, 0, 0, 3},	//1071 KCoreConfigSkeleton::ItemUrl::readConfig(KConfig*)
    {46, 2869, 34, 1, 0, 0, 4},	//1072 KCoreConfigSkeleton::ItemUrl::setProperty(const QVariant&)
    {46, 1818, 34, 1, Smoke::mf_const, 495, 5},	//1073 KCoreConfigSkeleton::ItemUrl::isEqual(const QVariant&) const
    {46, 2308, 0, 0, Smoke::mf_const, 406, 6},	//1074 KCoreConfigSkeleton::ItemUrl::property() const
    {46, 262, 968, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 74, 7},	//1075 KCoreConfigSkeleton::ItemUrl::ItemUrl(const KCoreConfigSkeleton::ItemUrl&)
    {46, 262, 970, 3, Smoke::mf_ctor, 74, 8},	//1076 KCoreConfigSkeleton::ItemUrl::ItemUrl(const QString&, const QString&, KUrl&)
    {46, 3372, 0, 0, Smoke::mf_dtor, 0, 9 },	//1077 KCoreConfigSkeleton::ItemUrl::~ItemUrl()
    {47, 266, 974, 4, Smoke::mf_ctor, 75, 1},	//1078 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&, const KUrl::List&)
    {47, 2365, 585, 1, 0, 0, 2},	//1079 KCoreConfigSkeleton::ItemUrlList::readConfig(KConfig*)
    {47, 3308, 585, 1, 0, 0, 3},	//1080 KCoreConfigSkeleton::ItemUrlList::writeConfig(KConfig*)
    {47, 2869, 34, 1, 0, 0, 4},	//1081 KCoreConfigSkeleton::ItemUrlList::setProperty(const QVariant&)
    {47, 1818, 34, 1, Smoke::mf_const, 495, 5},	//1082 KCoreConfigSkeleton::ItemUrlList::isEqual(const QVariant&) const
    {47, 2308, 0, 0, Smoke::mf_const, 406, 6},	//1083 KCoreConfigSkeleton::ItemUrlList::property() const
    {47, 266, 979, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 75, 7},	//1084 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const KCoreConfigSkeleton::ItemUrlList&)
    {47, 266, 981, 3, Smoke::mf_ctor, 75, 8},	//1085 KCoreConfigSkeleton::ItemUrlList::ItemUrlList(const QString&, const QString&, KUrl::List&)
    {47, 3373, 0, 0, Smoke::mf_dtor, 0, 9 },	//1086 KCoreConfigSkeleton::ItemUrlList::~ItemUrlList()
    {48, 345, 95, 2, Smoke::mf_ctor, 77, 1},	//1087 KCurrencyCode::KCurrencyCode(const QString&, const QString&)
    {48, 345, 985, 2, Smoke::mf_ctor, 77, 2},	//1088 KCurrencyCode::KCurrencyCode(const QFileInfo&, const QString&)
    {48, 345, 988, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 77, 3},	//1089 KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    {48, 2205, 988, 1, 0, 76, 4},	//1090 KCurrencyCode::operator=(const KCurrencyCode&)
    {48, 1887, 0, 0, Smoke::mf_const, 382, 5},	//1091 KCurrencyCode::isoCurrencyCode() const
    {48, 1888, 0, 0, Smoke::mf_const, 382, 6},	//1092 KCurrencyCode::isoCurrencyCodeNumeric() const
    {48, 2109, 0, 0, Smoke::mf_const, 382, 7},	//1093 KCurrencyCode::name() const
    {48, 1889, 0, 0, Smoke::mf_const, 382, 8},	//1094 KCurrencyCode::isoName() const
    {48, 3059, 0, 0, Smoke::mf_const, 78, 9},	//1095 KCurrencyCode::status() const
    {48, 1268, 0, 0, Smoke::mf_const, 262, 10},	//1096 KCurrencyCode::dateIntroduced() const
    {48, 1270, 0, 0, Smoke::mf_const, 262, 11},	//1097 KCurrencyCode::dateSuspended() const
    {48, 1275, 0, 0, Smoke::mf_const, 262, 12},	//1098 KCurrencyCode::dateWithdrawn() const
    {48, 3094, 0, 0, Smoke::mf_const, 387, 13},	//1099 KCurrencyCode::symbolList() const
    {48, 1339, 0, 0, Smoke::mf_const, 382, 14},	//1100 KCurrencyCode::defaultSymbol() const
    {48, 3204, 0, 0, Smoke::mf_const, 382, 15},	//1101 KCurrencyCode::unambiguousSymbol() const
    {48, 1707, 0, 0, Smoke::mf_const, 495, 16},	//1102 KCurrencyCode::hasSubunits() const
    {48, 1708, 0, 0, Smoke::mf_const, 495, 17},	//1103 KCurrencyCode::hasSubunitsInCirculation() const
    {48, 3083, 0, 0, Smoke::mf_const, 382, 18},	//1104 KCurrencyCode::subunitSymbol() const
    {48, 3084, 0, 0, Smoke::mf_const, 678, 19},	//1105 KCurrencyCode::subunitsPerUnit() const
    {48, 1316, 0, 0, Smoke::mf_const, 678, 20},	//1106 KCurrencyCode::decimalPlaces() const
    {48, 1209, 0, 0, Smoke::mf_const, 387, 21},	//1107 KCurrencyCode::countriesUsingCurrency() const
    {48, 1879, 0, 0, Smoke::mf_const, 495, 22},	//1108 KCurrencyCode::isValid() const
    {48, 1879, 990, 2, Smoke::mf_static, 495, 23},	//1109 KCurrencyCode::isValid(const QString&, QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1019, 993, 1, Smoke::mf_static, 387, 24},	//1110 KCurrencyCode::allCurrencyCodesList(QFlags<KCurrencyCode::CurrencyStatus>)
    {48, 1236, 95, 2, Smoke::mf_static, 382, 25},	//1111 KCurrencyCode::currencyCodeToName(const QString&, const QString&)
    {48, 345, 30, 1, Smoke::mf_ctor, 77, 26},	//1112 KCurrencyCode::KCurrencyCode(const QString&)
    {48, 345, 995, 1, Smoke::mf_ctor, 77, 27},	//1113 KCurrencyCode::KCurrencyCode(const QFileInfo&)
    {48, 1879, 30, 1, Smoke::mf_static, 495, 28},	//1114 KCurrencyCode::isValid(const QString&)
    {48, 1019, 0, 0, Smoke::mf_static, 387, 29},	//1115 KCurrencyCode::allCurrencyCodesList()
    {48, 1236, 30, 1, Smoke::mf_static, 382, 30},	//1116 KCurrencyCode::currencyCodeToName(const QString&)
    {48, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 31},	//1117 KCurrencyCode::ActiveCurrency (enum)
    {48, 740, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 32},	//1118 KCurrencyCode::SuspendedCurrency (enum)
    {48, 636, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 33},	//1119 KCurrencyCode::ObsoleteCurrency (enum)
    {48, 3391, 0, 0, Smoke::mf_dtor, 0, 34 },	//1120 KCurrencyCode::~KCurrencyCode()
    {49, 3263, 0, 0, Smoke::mf_static, 694, 1},	//1121 KDE::versionRelease()
    {49, 2075, 997, 2, Smoke::mf_static, 678, 2},	//1122 KDE::mkdir(const QString&, unsigned int)
    {49, 2152, 1000, 3, Smoke::mf_static, 678, 3},	//1123 KDE::open(const QString&, int, unsigned int)
    {49, 2152, 1004, 2, Smoke::mf_static, 678, 4},	//1124 KDE::open(const QString&, int)
    {49, 845, 1004, 2, Smoke::mf_static, 678, 5},	//1125 KDE::access(const QString&, int)
    {49, 3260, 0, 0, Smoke::mf_static, 694, 6},	//1126 KDE::version()
    {49, 3261, 0, 0, Smoke::mf_static, 694, 7},	//1127 KDE::versionMajor()
    {49, 3262, 0, 0, Smoke::mf_static, 694, 8},	//1128 KDE::versionMinor()
    {49, 3264, 0, 0, Smoke::mf_static, 663, 9},	//1129 KDE::versionString()
    {49, 1148, 997, 2, Smoke::mf_static, 678, 10},	//1130 KDE::chmod(const QString&, unsigned int)
    {49, 1578, 514, 2, Smoke::mf_static, 492, 11},	//1131 KDE::fopen(const QString&, const char*)
    {49, 2457, 95, 2, Smoke::mf_static, 678, 12},	//1132 KDE::rename(const QString&, const QString&)
    {50, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1133 KDEDModule::metaObject() const
    {50, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1134 KDEDModule::qt_metacast(const char*)
    {50, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1135 KDEDModule::tr(const char*, const char*)
    {50, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1136 KDEDModule::trUtf8(const char*, const char*)
    {50, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1137 KDEDModule::tr(const char*, const char*, int)
    {50, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1138 KDEDModule::trUtf8(const char*, const char*, int)
    {50, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1139 KDEDModule::qt_metacall(QMetaObject::Call, int, void**)
    {50, 350, 146, 1, Smoke::mf_ctor, 79, 8},	//1140 KDEDModule::KDEDModule(QObject*)
    {50, 2799, 30, 1, 0, 0, 9},	//1141 KDEDModule::setModuleName(const QString&)
    {50, 2082, 0, 0, Smoke::mf_const, 382, 10},	//1142 KDEDModule::moduleName() const
    {50, 2080, 1007, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//1143 KDEDModule::moduleDeleted(KDEDModule*)
    {50, 3302, 1009, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//1144 KDEDModule::windowRegistered(qlonglong)
    {50, 3304, 1009, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//1145 KDEDModule::windowUnregistered(qlonglong)
    {50, 2083, 1011, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//1146 KDEDModule::moduleRegistered(const QDBusObjectPath&)
    {50, 3157, 122, 1, Smoke::mf_static, 382, 15},	//1147 KDEDModule::tr(const char*)
    {50, 3164, 122, 1, Smoke::mf_static, 382, 16},	//1148 KDEDModule::trUtf8(const char*)
    {50, 350, 0, 0, Smoke::mf_ctor, 79, 17},	//1149 KDEDModule::KDEDModule()
    {50, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 18},	//1150 KDEDModule::staticMetaObject() const
    {50, 3392, 0, 0, Smoke::mf_dtor, 0, 19 },	//1151 KDEDModule::~KDEDModule()
    {51, 352, 0, 0, Smoke::mf_ctor, 80, 1},	//1152 KDEPluginVerificationData::KDEPluginVerificationData()
    {51, 352, 1013, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//1153 KDEPluginVerificationData::KDEPluginVerificationData(const KDEPluginVerificationData&)
    {51, 1257, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 692, 3},	//1154 KDEPluginVerificationData::dataVersion() const
    {51, 2600, 1015, 1, Smoke::mf_attribute, 0, 4},	//1155 KDEPluginVerificationData::setDataVersion(unsigned char)
    {51, 354, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 694, 5},	//1156 KDEPluginVerificationData::KDEVersion() const
    {51, 2693, 942, 1, Smoke::mf_attribute, 0, 6},	//1157 KDEPluginVerificationData::setKDEVersion(unsigned int)
    {51, 355, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 663, 7},	//1158 KDEPluginVerificationData::KDEVersionString() const
    {51, 2695, 122, 1, Smoke::mf_attribute, 0, 8},	//1159 KDEPluginVerificationData::setKDEVersionString(const char*)
    {51, 661, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 9},	//1160 KDEPluginVerificationData::PluginVerificationDataVersion (enum)
    {51, 3393, 0, 0, Smoke::mf_dtor, 0, 10 },	//1161 KDEPluginVerificationData::~KDEPluginVerificationData()
    {52, 356, 0, 0, Smoke::mf_ctor, 83, 1},	//1162 KDateTime::KDateTime()
    {52, 356, 1017, 2, Smoke::mf_ctor, 83, 2},	//1163 KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    {52, 356, 1020, 3, Smoke::mf_ctor, 83, 3},	//1164 KDateTime::KDateTime(const QDate&, const QTime&, const KDateTime::Spec&)
    {52, 356, 1024, 2, Smoke::mf_ctor, 83, 4},	//1165 KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    {52, 356, 1027, 1, Smoke::mf_ctor, 83, 5},	//1166 KDateTime::KDateTime(const QDateTime&)
    {52, 356, 1029, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 83, 6},	//1167 KDateTime::KDateTime(const KDateTime&)
    {52, 2205, 1029, 1, 0, 82, 7},	//1168 KDateTime::operator=(const KDateTime&)
    {52, 1849, 0, 0, Smoke::mf_const, 495, 8},	//1169 KDateTime::isNull() const
    {52, 1879, 0, 0, Smoke::mf_const, 495, 9},	//1170 KDateTime::isValid() const
    {52, 1803, 0, 0, Smoke::mf_const, 495, 10},	//1171 KDateTime::isDateOnly() const
    {52, 1263, 0, 0, Smoke::mf_const, 262, 11},	//1172 KDateTime::date() const
    {52, 3121, 0, 0, Smoke::mf_const, 399, 12},	//1173 KDateTime::time() const
    {52, 1271, 0, 0, Smoke::mf_const, 264, 13},	//1174 KDateTime::dateTime() const
    {52, 3126, 0, 0, Smoke::mf_const, 201, 14},	//1175 KDateTime::timeZone() const
    {52, 3123, 0, 0, Smoke::mf_const, 85, 15},	//1176 KDateTime::timeSpec() const
    {52, 3125, 0, 0, Smoke::mf_const, 88, 16},	//1177 KDateTime::timeType() const
    {52, 1843, 0, 0, Smoke::mf_const, 495, 17},	//1178 KDateTime::isLocalZone() const
    {52, 1798, 0, 0, Smoke::mf_const, 495, 18},	//1179 KDateTime::isClockTime() const
    {52, 1876, 0, 0, Smoke::mf_const, 495, 19},	//1180 KDateTime::isUtc() const
    {52, 1850, 0, 0, Smoke::mf_const, 495, 20},	//1181 KDateTime::isOffsetFromUtc() const
    {52, 3247, 0, 0, Smoke::mf_const, 678, 21},	//1182 KDateTime::utcOffset() const
    {52, 1861, 0, 0, Smoke::mf_const, 495, 22},	//1183 KDateTime::isSecondOccurrence() const
    {52, 3146, 0, 0, Smoke::mf_const, 81, 23},	//1184 KDateTime::toUtc() const
    {52, 3136, 0, 0, Smoke::mf_const, 81, 24},	//1185 KDateTime::toOffsetFromUtc() const
    {52, 3136, 118, 1, Smoke::mf_const, 81, 25},	//1186 KDateTime::toOffsetFromUtc(int) const
    {52, 3134, 0, 0, Smoke::mf_const, 81, 26},	//1187 KDateTime::toLocalZone() const
    {52, 3129, 0, 0, Smoke::mf_const, 81, 27},	//1188 KDateTime::toClockTime() const
    {52, 3148, 1031, 1, Smoke::mf_const, 81, 28},	//1189 KDateTime::toZone(const KTimeZone&) const
    {52, 3142, 1033, 1, Smoke::mf_const, 81, 29},	//1190 KDateTime::toTimeSpec(const KDateTime::Spec&) const
    {52, 3142, 1029, 1, Smoke::mf_const, 81, 30},	//1191 KDateTime::toTimeSpec(const KDateTime&) const
    {52, 3144, 0, 0, Smoke::mf_const, 694, 31},	//1192 KDateTime::toTime_t() const
    {52, 2920, 851, 1, 0, 0, 32},	//1193 KDateTime::setTime_t(long long)
    {52, 2615, 103, 1, 0, 0, 33},	//1194 KDateTime::setDateOnly(bool)
    {52, 2602, 194, 1, 0, 0, 34},	//1195 KDateTime::setDate(const QDate&)
    {52, 2914, 1035, 1, 0, 0, 35},	//1196 KDateTime::setTime(const QTime&)
    {52, 2617, 1027, 1, 0, 0, 36},	//1197 KDateTime::setDateTime(const QDateTime&)
    {52, 2918, 1033, 1, 0, 0, 37},	//1198 KDateTime::setTimeSpec(const KDateTime::Spec&)
    {52, 2879, 103, 1, 0, 0, 38},	//1199 KDateTime::setSecondOccurrence(bool)
    {52, 973, 851, 1, Smoke::mf_const, 81, 39},	//1200 KDateTime::addMSecs(long long) const
    {52, 991, 851, 1, Smoke::mf_const, 81, 40},	//1201 KDateTime::addSecs(long long) const
    {52, 885, 118, 1, Smoke::mf_const, 81, 41},	//1202 KDateTime::addDays(int) const
    {52, 975, 118, 1, Smoke::mf_const, 81, 42},	//1203 KDateTime::addMonths(int) const
    {52, 1012, 118, 1, Smoke::mf_const, 81, 43},	//1204 KDateTime::addYears(int) const
    {52, 2501, 1029, 1, Smoke::mf_const, 678, 44},	//1205 KDateTime::secsTo(const KDateTime&) const
    {52, 2503, 1029, 1, Smoke::mf_const, 684, 45},	//1206 KDateTime::secsTo_long(const KDateTime&) const
    {52, 1313, 1029, 1, Smoke::mf_const, 678, 46},	//1207 KDateTime::daysTo(const KDateTime&) const
    {52, 1245, 0, 0, Smoke::mf_static, 81, 47},	//1208 KDateTime::currentLocalDateTime()
    {52, 1249, 0, 0, Smoke::mf_static, 81, 48},	//1209 KDateTime::currentUtcDateTime()
    {52, 1241, 1033, 1, Smoke::mf_static, 81, 49},	//1210 KDateTime::currentDateTime(const KDateTime::Spec&)
    {52, 1244, 0, 0, Smoke::mf_static, 262, 50},	//1211 KDateTime::currentLocalDate()
    {52, 1246, 0, 0, Smoke::mf_static, 399, 51},	//1212 KDateTime::currentLocalTime()
    {52, 3138, 30, 1, Smoke::mf_const, 382, 52},	//1213 KDateTime::toString(const QString&) const
    {52, 3138, 1037, 1, Smoke::mf_const, 382, 53},	//1214 KDateTime::toString(KDateTime::TimeFormat) const
    {52, 1635, 1039, 3, Smoke::mf_static, 81, 54},	//1215 KDateTime::fromString(const QString&, KDateTime::TimeFormat, bool*)
    {52, 1635, 1043, 4, Smoke::mf_static, 81, 55},	//1216 KDateTime::fromString(const QString&, const QString&, const KTimeZones*, bool)
    {52, 2675, 1033, 1, Smoke::mf_static, 0, 56},	//1217 KDateTime::setFromStringDefault(const KDateTime::Spec&)
    {52, 2240, 0, 0, Smoke::mf_const, 495, 57},	//1218 KDateTime::outOfRange() const
    {52, 1171, 1029, 1, Smoke::mf_const, 84, 58},	//1219 KDateTime::compare(const KDateTime&) const
    {52, 2208, 1029, 1, Smoke::mf_const, 495, 59},	//1220 KDateTime::operator==(const KDateTime&) const
    {52, 2165, 1029, 1, Smoke::mf_const, 495, 60},	//1221 KDateTime::operator!=(const KDateTime&) const
    {52, 2187, 1029, 1, Smoke::mf_const, 495, 61},	//1222 KDateTime::operator<(const KDateTime&) const
    {52, 2199, 1029, 1, Smoke::mf_const, 495, 62},	//1223 KDateTime::operator<=(const KDateTime&) const
    {52, 2215, 1029, 1, Smoke::mf_const, 495, 63},	//1224 KDateTime::operator>(const KDateTime&) const
    {52, 2221, 1029, 1, Smoke::mf_const, 495, 64},	//1225 KDateTime::operator>=(const KDateTime&) const
    {52, 1366, 0, 0, 0, 0, 65},	//1226 KDateTime::detach()
    {52, 2895, 1029, 1, Smoke::mf_static, 0, 66},	//1227 KDateTime::setSimulatedSystemTime(const KDateTime&)
    {52, 2421, 0, 0, Smoke::mf_static, 81, 67},	//1228 KDateTime::realCurrentLocalDateTime()
    {52, 356, 194, 1, Smoke::mf_ctor, 83, 68},	//1229 KDateTime::KDateTime(const QDate&)
    {52, 356, 1048, 2, Smoke::mf_ctor, 83, 69},	//1230 KDateTime::KDateTime(const QDate&, const QTime&)
    {52, 3138, 0, 0, Smoke::mf_const, 382, 70},	//1231 KDateTime::toString() const
    {52, 1635, 30, 1, Smoke::mf_static, 81, 71},	//1232 KDateTime::fromString(const QString&)
    {52, 1635, 1051, 2, Smoke::mf_static, 81, 72},	//1233 KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    {52, 1635, 95, 2, Smoke::mf_static, 81, 73},	//1234 KDateTime::fromString(const QString&, const QString&)
    {52, 1635, 1054, 3, Smoke::mf_static, 81, 74},	//1235 KDateTime::fromString(const QString&, const QString&, const KTimeZones*)
    {52, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 75},	//1236 KDateTime::Invalid (enum)
    {52, 769, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 76},	//1237 KDateTime::UTC (enum)
    {52, 637, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 77},	//1238 KDateTime::OffsetFromUTC (enum)
    {52, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 78},	//1239 KDateTime::TimeZone (enum)
    {52, 585, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 79},	//1240 KDateTime::LocalZone (enum)
    {52, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 88, 80},	//1241 KDateTime::ClockTime (enum)
    {52, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 81},	//1242 KDateTime::ISODate (enum)
    {52, 681, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 82},	//1243 KDateTime::RFCDate (enum)
    {52, 682, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 83},	//1244 KDateTime::RFCDateDay (enum)
    {52, 678, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 84},	//1245 KDateTime::QtTextDate (enum)
    {52, 584, 0, 0, Smoke::mf_static|Smoke::mf_enum, 89, 85},	//1246 KDateTime::LocalDate (enum)
    {52, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//1247 KDateTime::Before (enum)
    {52, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//1248 KDateTime::AtStart (enum)
    {52, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//1249 KDateTime::Inside (enum)
    {52, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 89},	//1250 KDateTime::AtEnd (enum)
    {52, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 90},	//1251 KDateTime::After (enum)
    {52, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 91},	//1252 KDateTime::Equal (enum)
    {52, 648, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 92},	//1253 KDateTime::Outside (enum)
    {52, 735, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 93},	//1254 KDateTime::StartsAt (enum)
    {52, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 94},	//1255 KDateTime::EndsAt (enum)
    {52, 3394, 0, 0, Smoke::mf_dtor, 0, 95 },	//1256 KDateTime::~KDateTime()
    {53, 724, 0, 0, Smoke::mf_ctor, 87, 1},	//1257 KDateTime::Spec::Spec()
    {53, 724, 1031, 1, Smoke::mf_ctor, 87, 2},	//1258 KDateTime::Spec::Spec(const KTimeZone&)
    {53, 724, 1058, 2, Smoke::mf_ctor, 87, 3},	//1259 KDateTime::Spec::Spec(KDateTime::SpecType, int)
    {53, 724, 1033, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 4},	//1260 KDateTime::Spec::Spec(const KDateTime::Spec&)
    {53, 2205, 1033, 1, 0, 86, 5},	//1261 KDateTime::Spec::operator=(const KDateTime::Spec&)
    {53, 1879, 0, 0, Smoke::mf_const, 495, 6},	//1262 KDateTime::Spec::isValid() const
    {53, 3126, 0, 0, Smoke::mf_const, 201, 7},	//1263 KDateTime::Spec::timeZone() const
    {53, 3200, 0, 0, Smoke::mf_const, 88, 8},	//1264 KDateTime::Spec::type() const
    {53, 1843, 0, 0, Smoke::mf_const, 495, 9},	//1265 KDateTime::Spec::isLocalZone() const
    {53, 1798, 0, 0, Smoke::mf_const, 495, 10},	//1266 KDateTime::Spec::isClockTime() const
    {53, 1876, 0, 0, Smoke::mf_const, 495, 11},	//1267 KDateTime::Spec::isUtc() const
    {53, 1850, 0, 0, Smoke::mf_const, 495, 12},	//1268 KDateTime::Spec::isOffsetFromUtc() const
    {53, 3247, 0, 0, Smoke::mf_const, 678, 13},	//1269 KDateTime::Spec::utcOffset() const
    {53, 2930, 1058, 2, 0, 0, 14},	//1270 KDateTime::Spec::setType(KDateTime::SpecType, int)
    {53, 2930, 1031, 1, 0, 0, 15},	//1271 KDateTime::Spec::setType(const KTimeZone&)
    {53, 2208, 1033, 1, Smoke::mf_const, 495, 16},	//1272 KDateTime::Spec::operator==(const KDateTime::Spec&) const
    {53, 2165, 1033, 1, Smoke::mf_const, 495, 17},	//1273 KDateTime::Spec::operator!=(const KDateTime::Spec&) const
    {53, 1435, 1033, 1, Smoke::mf_const, 495, 18},	//1274 KDateTime::Spec::equivalentTo(const KDateTime::Spec&) const
    {53, 769, 0, 0, Smoke::mf_static, 85, 19},	//1275 KDateTime::Spec::UTC()
    {53, 59, 0, 0, Smoke::mf_static, 85, 20},	//1276 KDateTime::Spec::ClockTime()
    {53, 637, 118, 1, Smoke::mf_static, 85, 21},	//1277 KDateTime::Spec::OffsetFromUTC(int)
    {53, 585, 0, 0, Smoke::mf_static, 85, 22},	//1278 KDateTime::Spec::LocalZone()
    {53, 724, 1061, 1, Smoke::mf_ctor, 87, 23},	//1279 KDateTime::Spec::Spec(KDateTime::SpecType)
    {53, 2930, 1061, 1, 0, 0, 24},	//1280 KDateTime::Spec::setType(KDateTime::SpecType)
    {53, 3454, 0, 0, Smoke::mf_dtor, 0, 25 },	//1281 KDateTime::Spec::~Spec()
    {54, 360, 1063, 4, Smoke::mf_ctor|Smoke::mf_explicit, 90, 1},	//1282 KDebug::KDebug(QtMsgType, const char*, int, const char*)
    {54, 1694, 1068, 4, Smoke::mf_static, 495, 2},	//1283 KDebug::hasNullOutput(QtMsgType, bool, int, bool)
    {54, 1696, 118, 1, Smoke::mf_static, 495, 3},	//1284 KDebug::hasNullOutputQtDebugMsg(int)
    {54, 1696, 1073, 2, Smoke::mf_static, 495, 4},	//1285 KDebug::hasNullOutputQtDebugMsg(bool, int)
    {54, 2428, 417, 2, Smoke::mf_static, 678, 5},	//1286 KDebug::registerArea(const QByteArray&, bool)
    {54, 360, 1076, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 6},	//1287 KDebug::KDebug(const KDebug&)
    {54, 360, 1078, 1, Smoke::mf_ctor|Smoke::mf_explicit, 90, 7},	//1288 KDebug::KDebug(QtMsgType)
    {54, 360, 1080, 2, Smoke::mf_ctor|Smoke::mf_explicit, 90, 8},	//1289 KDebug::KDebug(QtMsgType, const char*)
    {54, 360, 1083, 3, Smoke::mf_ctor|Smoke::mf_explicit, 90, 9},	//1290 KDebug::KDebug(QtMsgType, const char*, int)
    {54, 1696, 0, 0, Smoke::mf_static, 495, 10},	//1291 KDebug::hasNullOutputQtDebugMsg()
    {54, 1696, 103, 1, Smoke::mf_static, 495, 11},	//1292 KDebug::hasNullOutputQtDebugMsg(bool)
    {54, 2428, 32, 1, Smoke::mf_static, 678, 12},	//1293 KDebug::registerArea(const QByteArray&)
    {54, 3395, 0, 0, Smoke::mf_dtor, 0, 13 },	//1294 KDebug::~KDebug()
    {55, 366, 0, 0, Smoke::mf_ctor, 91, 1},	//1295 KDebugTag::KDebugTag()
    {55, 366, 1087, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//1296 KDebugTag::KDebugTag(const KDebugTag&)
    {55, 3396, 0, 0, Smoke::mf_dtor, 0, 3 },	//1297 KDebugTag::~KDebugTag()
    {56, 368, 511, 2, Smoke::mf_ctor, 92, 1},	//1298 KDesktopFile::KDesktopFile(const char*, const QString&)
    {56, 368, 30, 1, Smoke::mf_ctor, 92, 2},	//1299 KDesktopFile::KDesktopFile(const QString&)
    {56, 1807, 30, 1, Smoke::mf_static, 495, 3},	//1300 KDesktopFile::isDesktopFile(const QString&)
    {56, 1785, 30, 1, Smoke::mf_static, 495, 4},	//1301 KDesktopFile::isAuthorizedDesktopFile(const QString&)
    {56, 2004, 30, 1, Smoke::mf_static, 382, 5},	//1302 KDesktopFile::locateLocal(const QString&)
    {56, 1365, 0, 0, Smoke::mf_const, 47, 6},	//1303 KDesktopFile::desktopGroup() const
    {56, 2414, 0, 0, Smoke::mf_const, 382, 7},	//1304 KDesktopFile::readType() const
    {56, 2390, 0, 0, Smoke::mf_const, 382, 8},	//1305 KDesktopFile::readIcon() const
    {56, 2402, 0, 0, Smoke::mf_const, 382, 9},	//1306 KDesktopFile::readName() const
    {56, 2364, 0, 0, Smoke::mf_const, 382, 10},	//1307 KDesktopFile::readComment() const
    {56, 2388, 0, 0, Smoke::mf_const, 382, 11},	//1308 KDesktopFile::readGenericName() const
    {56, 2406, 0, 0, Smoke::mf_const, 382, 12},	//1309 KDesktopFile::readPath() const
    {56, 2377, 0, 0, Smoke::mf_const, 382, 13},	//1310 KDesktopFile::readDevice() const
    {56, 2415, 0, 0, Smoke::mf_const, 382, 14},	//1311 KDesktopFile::readUrl() const
    {56, 2363, 0, 0, Smoke::mf_const, 387, 15},	//1312 KDesktopFile::readActions() const
    {56, 849, 30, 1, 0, 47, 16},	//1313 KDesktopFile::actionGroup(const QString&)
    {56, 849, 30, 1, Smoke::mf_const, 516, 17},	//1314 KDesktopFile::actionGroup(const QString&) const
    {56, 1669, 30, 1, Smoke::mf_const, 495, 18},	//1315 KDesktopFile::hasActionGroup(const QString&) const
    {56, 1687, 0, 0, Smoke::mf_const, 495, 19},	//1316 KDesktopFile::hasLinkType() const
    {56, 1671, 0, 0, Smoke::mf_const, 495, 20},	//1317 KDesktopFile::hasApplicationType() const
    {56, 1693, 0, 0, Smoke::mf_const, 495, 21},	//1318 KDesktopFile::hasMimeTypeType() const
    {56, 1676, 0, 0, Smoke::mf_const, 495, 22},	//1319 KDesktopFile::hasDeviceType() const
    {56, 3199, 0, 0, Smoke::mf_const, 495, 23},	//1320 KDesktopFile::tryExec() const
    {56, 2378, 0, 0, Smoke::mf_const, 382, 24},	//1321 KDesktopFile::readDocPath() const
    {56, 2980, 0, 0, Smoke::mf_const, 387, 25},	//1322 KDesktopFile::sortOrder() const
    {56, 2127, 0, 0, Smoke::mf_const, 495, 26},	//1323 KDesktopFile::noDisplay() const
    {56, 1202, 30, 1, Smoke::mf_const, 92, 27},	//1324 KDesktopFile::copyTo(const QString&) const
    {56, 1507, 0, 0, Smoke::mf_const, 382, 28},	//1325 KDesktopFile::fileName() const
    {56, 2477, 0, 0, Smoke::mf_const, 663, 29},	//1326 KDesktopFile::resource() const
    {56, 3397, 0, 0, Smoke::mf_dtor, 0, 30 },	//1327 KDesktopFile::~KDesktopFile()
    {57, 371, 0, 0, Smoke::mf_ctor, 93, 1},	//1328 KEncodingDetector::KEncodingDetector()
    {57, 371, 1089, 3, Smoke::mf_ctor, 93, 2},	//1329 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource, KEncodingDetector::AutoDetectScript)
    {57, 2644, 1093, 2, 0, 495, 3},	//1330 KEncodingDetector::setEncoding(const char*, KEncodingDetector::EncodingChoiceSource)
    {57, 1415, 0, 0, Smoke::mf_const, 663, 4},	//1331 KEncodingDetector::encoding() const
    {57, 3266, 0, 0, Smoke::mf_const, 495, 5},	//1332 KEncodingDetector::visuallyOrdered() const
    {57, 2548, 1096, 1, 0, 0, 6},	//1333 KEncodingDetector::setAutoDetectLanguage(KEncodingDetector::AutoDetectScript)
    {57, 1065, 0, 0, Smoke::mf_const, 94, 7},	//1334 KEncodingDetector::autoDetectLanguage() const
    {57, 1416, 0, 0, Smoke::mf_const, 95, 8},	//1335 KEncodingDetector::encodingChoiceSource() const
    {57, 1318, 1098, 2, 0, 382, 9},	//1336 KEncodingDetector::decode(const char*, int)
    {57, 1318, 32, 1, 0, 382, 10},	//1337 KEncodingDetector::decode(const QByteArray&)
    {57, 1323, 1098, 2, 0, 382, 11},	//1338 KEncodingDetector::decodeWithBuffering(const char*, int)
    {57, 1327, 0, 0, Smoke::mf_const, 495, 12},	//1339 KEncodingDetector::decodedInvalidCharacters() const
    {57, 2470, 0, 0, 0, 0, 13},	//1340 KEncodingDetector::resetDecoder()
    {57, 1577, 0, 0, 0, 382, 14},	//1341 KEncodingDetector::flush()
    {57, 2499, 30, 1, Smoke::mf_static, 94, 15},	//1342 KEncodingDetector::scriptForName(const QString&)
    {57, 2113, 1096, 1, Smoke::mf_static, 382, 16},	//1343 KEncodingDetector::nameForScript(KEncodingDetector::AutoDetectScript)
    {57, 1672, 1096, 1, Smoke::mf_static, 495, 17},	//1344 KEncodingDetector::hasAutoDetectionForScript(KEncodingDetector::AutoDetectScript)
    {57, 2295, 1101, 2, Smoke::mf_protected, 495, 18},	//1345 KEncodingDetector::processNull(char*, int)
    {57, 1449, 1098, 2, Smoke::mf_protected, 495, 19},	//1346 KEncodingDetector::errorsIfUtf8(const char*, int)
    {57, 1041, 1098, 2, Smoke::mf_protected, 495, 20},	//1347 KEncodingDetector::analyze(const char*, int)
    {57, 1328, 0, 0, Smoke::mf_protected, 394, 21},	//1348 KEncodingDetector::decoder()
    {57, 371, 1104, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 22},	//1349 KEncodingDetector::KEncodingDetector(const KEncodingDetector&)
    {57, 371, 1106, 2, Smoke::mf_ctor, 93, 23},	//1350 KEncodingDetector::KEncodingDetector(QTextCodec*, KEncodingDetector::EncodingChoiceSource)
    {57, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 24},	//1351 KEncodingDetector::DefaultEncoding (enum)
    {57, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 25},	//1352 KEncodingDetector::AutoDetectedEncoding (enum)
    {57, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 26},	//1353 KEncodingDetector::BOM (enum)
    {57, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 27},	//1354 KEncodingDetector::EncodingFromXMLHeader (enum)
    {57, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 28},	//1355 KEncodingDetector::EncodingFromMetaTag (enum)
    {57, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 29},	//1356 KEncodingDetector::EncodingFromHTTPHeader (enum)
    {57, 800, 0, 0, Smoke::mf_static|Smoke::mf_enum, 95, 30},	//1357 KEncodingDetector::UserChosenEncoding (enum)
    {57, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 31},	//1358 KEncodingDetector::None (enum)
    {57, 704, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 32},	//1359 KEncodingDetector::SemiautomaticDetection (enum)
    {57, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 33},	//1360 KEncodingDetector::Arabic (enum)
    {57, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 34},	//1361 KEncodingDetector::Baltic (enum)
    {57, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 35},	//1362 KEncodingDetector::CentralEuropean (enum)
    {57, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 36},	//1363 KEncodingDetector::ChineseSimplified (enum)
    {57, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 37},	//1364 KEncodingDetector::ChineseTraditional (enum)
    {57, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 38},	//1365 KEncodingDetector::Cyrillic (enum)
    {57, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 39},	//1366 KEncodingDetector::Greek (enum)
    {57, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 40},	//1367 KEncodingDetector::Hebrew (enum)
    {57, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 41},	//1368 KEncodingDetector::Japanese (enum)
    {57, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 42},	//1369 KEncodingDetector::Korean (enum)
    {57, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 43},	//1370 KEncodingDetector::NorthernSaami (enum)
    {57, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 44},	//1371 KEncodingDetector::SouthEasternEurope (enum)
    {57, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 45},	//1372 KEncodingDetector::Thai (enum)
    {57, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 46},	//1373 KEncodingDetector::Turkish (enum)
    {57, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 47},	//1374 KEncodingDetector::Unicode (enum)
    {57, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 94, 48},	//1375 KEncodingDetector::WesternEuropean (enum)
    {57, 3398, 0, 0, Smoke::mf_dtor, 0, 49 },	//1376 KEncodingDetector::~KEncodingDetector()
    {58, 375, 1109, 1, Smoke::mf_ctor, 96, 1},	//1377 KEncodingProber::KEncodingProber(KEncodingProber::ProberType)
    {58, 2469, 0, 0, 0, 0, 2},	//1378 KEncodingProber::reset()
    {58, 1500, 32, 1, 0, 97, 3},	//1379 KEncodingProber::feed(const QByteArray&)
    {58, 1500, 1098, 2, 0, 97, 4},	//1380 KEncodingProber::feed(const char*, int)
    {58, 3054, 0, 0, Smoke::mf_const, 97, 5},	//1381 KEncodingProber::state() const
    {58, 1420, 0, 0, Smoke::mf_const, 663, 6},	//1382 KEncodingProber::encodingName() const
    {58, 1415, 0, 0, Smoke::mf_const, 248, 7},	//1383 KEncodingProber::encoding() const
    {58, 1177, 0, 0, Smoke::mf_const, 677, 8},	//1384 KEncodingProber::confidence() const
    {58, 2292, 0, 0, Smoke::mf_const, 98, 9},	//1385 KEncodingProber::proberType() const
    {58, 2853, 1109, 1, 0, 0, 10},	//1386 KEncodingProber::setProberType(KEncodingProber::ProberType)
    {58, 2293, 30, 1, Smoke::mf_static, 98, 11},	//1387 KEncodingProber::proberTypeForName(const QString&)
    {58, 2111, 1109, 1, Smoke::mf_static, 382, 12},	//1388 KEncodingProber::nameForProberType(KEncodingProber::ProberType)
    {58, 375, 1111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 96, 13},	//1389 KEncodingProber::KEncodingProber(const KEncodingProber&)
    {58, 375, 0, 0, Smoke::mf_ctor, 96, 14},	//1390 KEncodingProber::KEncodingProber()
    {58, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 15},	//1391 KEncodingProber::FoundIt (enum)
    {58, 632, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 16},	//1392 KEncodingProber::NotMe (enum)
    {58, 664, 0, 0, Smoke::mf_static|Smoke::mf_enum, 97, 17},	//1393 KEncodingProber::Probing (enum)
    {58, 627, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 18},	//1394 KEncodingProber::None (enum)
    {58, 786, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 19},	//1395 KEncodingProber::Universal (enum)
    {58, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 20},	//1396 KEncodingProber::Arabic (enum)
    {58, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 21},	//1397 KEncodingProber::Baltic (enum)
    {58, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 22},	//1398 KEncodingProber::CentralEuropean (enum)
    {58, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 23},	//1399 KEncodingProber::ChineseSimplified (enum)
    {58, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 24},	//1400 KEncodingProber::ChineseTraditional (enum)
    {58, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 25},	//1401 KEncodingProber::Cyrillic (enum)
    {58, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 26},	//1402 KEncodingProber::Greek (enum)
    {58, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 27},	//1403 KEncodingProber::Hebrew (enum)
    {58, 272, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 28},	//1404 KEncodingProber::Japanese (enum)
    {58, 561, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 29},	//1405 KEncodingProber::Korean (enum)
    {58, 631, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 30},	//1406 KEncodingProber::NorthernSaami (enum)
    {58, 647, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 31},	//1407 KEncodingProber::Other (enum)
    {58, 723, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 32},	//1408 KEncodingProber::SouthEasternEurope (enum)
    {58, 749, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 33},	//1409 KEncodingProber::Thai (enum)
    {58, 767, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 34},	//1410 KEncodingProber::Turkish (enum)
    {58, 774, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 35},	//1411 KEncodingProber::Unicode (enum)
    {58, 806, 0, 0, Smoke::mf_static|Smoke::mf_enum, 98, 36},	//1412 KEncodingProber::WesternEuropean (enum)
    {58, 3399, 0, 0, Smoke::mf_dtor, 0, 37 },	//1413 KEncodingProber::~KEncodingProber()
    {59, 378, 0, 0, Smoke::mf_ctor, 99, 1},	//1414 KFilterBase::KFilterBase()
    {59, 2635, 1113, 2, 0, 0, 2},	//1415 KFilterBase::setDevice(QIODevice*, bool)
    {59, 1372, 0, 0, 0, 329, 3},	//1416 KFilterBase::device()
    {59, 1740, 118, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//1417 KFilterBase::init(int) [pure virtual]
    {59, 2077, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 678, 5},	//1418 KFilterBase::mode() const [pure virtual]
    {59, 3114, 0, 0, Smoke::mf_virtual, 0, 6},	//1419 KFilterBase::terminate()
    {59, 2469, 0, 0, Smoke::mf_virtual, 0, 7},	//1420 KFilterBase::reset()
    {59, 2389, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 8},	//1421 KFilterBase::readHeader() [pure virtual]
    {59, 3319, 32, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 9},	//1422 KFilterBase::writeHeader(const QByteArray&) [pure virtual]
    {59, 2827, 1116, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//1423 KFilterBase::setOutBuffer(char*, unsigned int) [pure virtual]
    {59, 2687, 1119, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//1424 KFilterBase::setInBuffer(const char*, unsigned int) [pure virtual]
    {59, 1730, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 12},	//1425 KFilterBase::inBufferEmpty() const
    {59, 1729, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 678, 13},	//1426 KFilterBase::inBufferAvailable() const [pure virtual]
    {59, 2239, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 14},	//1427 KFilterBase::outBufferFull() const
    {59, 2238, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 678, 15},	//1428 KFilterBase::outBufferAvailable() const [pure virtual]
    {59, 3205, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 16},	//1429 KFilterBase::uncompress() [pure virtual]
    {59, 1175, 103, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 101, 17},	//1430 KFilterBase::compress(bool) [pure virtual]
    {59, 2669, 1122, 1, 0, 0, 18},	//1431 KFilterBase::setFilterFlags(KFilterBase::FilterFlags)
    {59, 1510, 0, 0, Smoke::mf_const, 100, 19},	//1432 KFilterBase::filterFlags() const
    {59, 1554, 30, 1, Smoke::mf_static, 99, 20},	//1433 KFilterBase::findFilterByFileName(const QString&)
    {59, 1556, 30, 1, Smoke::mf_static, 99, 21},	//1434 KFilterBase::findFilterByMimeType(const QString&)
    {59, 2635, 1124, 1, 0, 0, 22},	//1435 KFilterBase::setDevice(QIODevice*)
    {59, 2027, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 329, 23},	//1436 KFilterBase::m_dev() const
    {59, 2741, 1124, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 24},	//1437 KFilterBase::setM_dev(QIODevice*)
    {59, 2021, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 25},	//1438 KFilterBase::m_bAutoDel() const
    {59, 2729, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 26},	//1439 KFilterBase::setM_bAutoDel(bool)
    {59, 639, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 27},	//1440 KFilterBase::Ok (enum)
    {59, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 28},	//1441 KFilterBase::End (enum)
    {59, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 101, 29},	//1442 KFilterBase::Error (enum)
    {59, 619, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 30},	//1443 KFilterBase::NoHeaders (enum)
    {59, 807, 0, 0, Smoke::mf_static|Smoke::mf_enum, 100, 31},	//1444 KFilterBase::WithHeaders (enum)
    {59, 3400, 0, 0, Smoke::mf_dtor, 0, 32 },	//1445 KFilterBase::~KFilterBase()
    {60, 2152, 150, 1, 0, 495, 1},	//1446 KFilterDev::open(QFlags<QIODevice::OpenModeFlag>)
    {60, 1159, 0, 0, 0, 0, 2},	//1447 KFilterDev::close()
    {60, 2823, 32, 1, 0, 0, 3},	//1448 KFilterDev::setOrigFileName(const QByteArray&)
    {60, 2897, 0, 0, 0, 0, 4},	//1449 KFilterDev::setSkipHeaders()
    {60, 2505, 851, 1, 0, 495, 5},	//1450 KFilterDev::seek(long long)
    {60, 1052, 0, 0, Smoke::mf_const, 495, 6},	//1451 KFilterDev::atEnd() const
    {60, 1375, 1126, 3, Smoke::mf_static, 329, 7},	//1452 KFilterDev::deviceForFile(const QString&, const QString&, bool)
    {60, 1372, 1130, 3, Smoke::mf_static, 329, 8},	//1453 KFilterDev::device(QIODevice*, const QString&, bool)
    {60, 2367, 1134, 2, Smoke::mf_protected, 684, 9},	//1454 KFilterDev::readData(char*, long long)
    {60, 3310, 1137, 2, Smoke::mf_protected, 684, 10},	//1455 KFilterDev::writeData(const char*, long long)
    {60, 1375, 30, 1, Smoke::mf_static, 329, 11},	//1456 KFilterDev::deviceForFile(const QString&)
    {60, 1375, 95, 2, Smoke::mf_static, 329, 12},	//1457 KFilterDev::deviceForFile(const QString&, const QString&)
    {60, 1372, 1140, 2, Smoke::mf_static, 329, 13},	//1458 KFilterDev::device(QIODevice*, const QString&)
    {60, 3401, 0, 0, Smoke::mf_dtor, 0, 14 },	//1459 KFilterDev::~KFilterDev()
    {61, 2046, 0, 0, Smoke::mf_static, 512, 1},	//1460 KGlobal::mainComponent()
    {61, 1386, 0, 0, Smoke::mf_static, 185, 2},	//1461 KGlobal::dirs()
    {61, 1133, 0, 0, Smoke::mf_static, 31, 3},	//1462 KGlobal::charsets()
    {61, 2531, 420, 1, Smoke::mf_static, 0, 4},	//1463 KGlobal::setActiveComponent(const KComponentData&)
    {61, 1689, 0, 0, Smoke::mf_static, 495, 5},	//1464 KGlobal::hasMainComponent()
    {61, 1751, 30, 1, Smoke::mf_static, 0, 6},	//1465 KGlobal::insertCatalog(const QString&)
    {61, 1542, 1143, 2, Smoke::mf_static, 374, 7},	//1466 KGlobal::findDirectChild_helper(const QObject*, const QMetaObject&)
    {61, 3057, 30, 1, Smoke::mf_static, 651, 8},	//1467 KGlobal::staticQString(const QString&)
    {61, 2427, 0, 0, Smoke::mf_static, 0, 9},	//1468 KGlobal::ref()
    {61, 2535, 103, 1, Smoke::mf_static, 0, 10},	//1469 KGlobal::setAllowQuit(bool)
    {61, 1353, 0, 0, Smoke::mf_static, 0, 11},	//1470 KGlobal::deref()
    {61, 1178, 0, 0, Smoke::mf_static, 181, 12},	//1471 KGlobal::config()
    {61, 1688, 0, 0, Smoke::mf_static, 495, 13},	//1472 KGlobal::hasLocale()
    {61, 3203, 0, 0, Smoke::mf_static, 694, 14},	//1473 KGlobal::umask()
    {61, 855, 0, 0, Smoke::mf_static, 36, 15},	//1474 KGlobal::activeComponent()
    {61, 2719, 1146, 2, Smoke::mf_static, 0, 16},	//1475 KGlobal::setLocale(KLocale*, KGlobal::CopyCatalogs)
    {61, 2719, 1149, 1, Smoke::mf_static, 0, 17},	//1476 KGlobal::setLocale(KLocale*)
    {61, 3057, 122, 1, Smoke::mf_static, 651, 18},	//1477 KGlobal::staticQString(const char*)
    {61, 1995, 0, 0, Smoke::mf_static, 117, 19},	//1478 KGlobal::locale()
    {61, 1120, 0, 0, Smoke::mf_static, 382, 20},	//1479 KGlobal::caption()
    {61, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 21},	//1480 KGlobal::DoCopyCatalogs (enum)
    {61, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 102, 22},	//1481 KGlobal::DontCopyCatalogs (enum)
    {62, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1482 KJob::metaObject() const
    {62, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1483 KJob::qt_metacast(const char*)
    {62, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1484 KJob::tr(const char*, const char*)
    {62, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1485 KJob::trUtf8(const char*, const char*)
    {62, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1486 KJob::tr(const char*, const char*, int)
    {62, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1487 KJob::trUtf8(const char*, const char*, int)
    {62, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1488 KJob::qt_metacall(QMetaObject::Call, int, void**)
    {62, 379, 146, 1, Smoke::mf_ctor, 103, 8},	//1489 KJob::KJob(QObject*)
    {62, 2934, 1151, 1, 0, 0, 9},	//1490 KJob::setUiDelegate(KJobUiDelegate*)
    {62, 3201, 0, 0, Smoke::mf_const, 109, 10},	//1491 KJob::uiDelegate() const
    {62, 1118, 0, 0, Smoke::mf_const, 279, 11},	//1492 KJob::capabilities() const
    {62, 1871, 0, 0, Smoke::mf_const, 495, 12},	//1493 KJob::isSuspended() const
    {62, 2998, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//1494 KJob::start() [pure virtual]
    {62, 1946, 1153, 1, Smoke::mf_slot, 495, 14},	//1495 KJob::kill(KJob::KillVerbosity)
    {62, 3089, 0, 0, Smoke::mf_slot, 495, 15},	//1496 KJob::suspend()
    {62, 2482, 0, 0, Smoke::mf_slot, 495, 16},	//1497 KJob::resume()
    {62, 1391, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 495, 17},	//1498 KJob::doKill()
    {62, 1393, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 495, 18},	//1499 KJob::doSuspend()
    {62, 1392, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 495, 19},	//1500 KJob::doResume()
    {62, 2566, 1155, 1, Smoke::mf_protected, 0, 20},	//1501 KJob::setCapabilities(QFlags<KJob::Capability>)
    {62, 1455, 0, 0, 0, 495, 21},	//1502 KJob::exec()
    {62, 1443, 0, 0, Smoke::mf_const, 678, 22},	//1503 KJob::error() const
    {62, 1448, 0, 0, Smoke::mf_const, 382, 23},	//1504 KJob::errorText() const
    {62, 1446, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 382, 24},	//1505 KJob::errorString() const
    {62, 2297, 1157, 1, Smoke::mf_const, 697, 25},	//1506 KJob::processedAmount(KJob::Unit) const
    {62, 3154, 1157, 1, Smoke::mf_const, 697, 26},	//1507 KJob::totalAmount(KJob::Unit) const
    {62, 2261, 0, 0, Smoke::mf_const, 696, 27},	//1508 KJob::percent() const
    {62, 2546, 103, 1, 0, 0, 28},	//1509 KJob::setAutoDelete(bool)
    {62, 1787, 0, 0, Smoke::mf_const, 495, 29},	//1510 KJob::isAutoDelete() const
    {62, 1354, 1159, 4, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1511 KJob::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {62, 1735, 437, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1512 KJob::infoMessage(KJob*, const QString&, const QString&)
    {62, 3274, 437, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1513 KJob::warning(KJob*, const QString&, const QString&)
    {62, 2650, 118, 1, Smoke::mf_protected, 0, 33},	//1514 KJob::setError(int)
    {62, 2656, 30, 1, Smoke::mf_protected, 0, 34},	//1515 KJob::setErrorText(const QString&)
    {62, 2855, 1164, 2, Smoke::mf_protected, 0, 35},	//1516 KJob::setProcessedAmount(KJob::Unit, unsigned long long)
    {62, 2924, 1164, 2, Smoke::mf_protected, 0, 36},	//1517 KJob::setTotalAmount(KJob::Unit, unsigned long long)
    {62, 2839, 1167, 1, Smoke::mf_protected, 0, 37},	//1518 KJob::setPercent(unsigned long)
    {62, 1403, 0, 0, Smoke::mf_protected, 0, 38},	//1519 KJob::emitResult()
    {62, 1401, 1169, 2, Smoke::mf_protected, 0, 39},	//1520 KJob::emitPercent(unsigned long long, unsigned long long)
    {62, 1404, 1167, 1, Smoke::mf_protected, 0, 40},	//1521 KJob::emitSpeed(unsigned long)
    {62, 379, 1172, 2, Smoke::mf_ctor|Smoke::mf_protected, 103, 41},	//1522 KJob::KJob(KJobPrivate&, QObject*)
    {62, 3157, 122, 1, Smoke::mf_static, 382, 42},	//1523 KJob::tr(const char*)
    {62, 3164, 122, 1, Smoke::mf_static, 382, 43},	//1524 KJob::trUtf8(const char*)
    {62, 379, 0, 0, Smoke::mf_ctor, 103, 44},	//1525 KJob::KJob()
    {62, 1946, 0, 0, Smoke::mf_slot, 495, 45},	//1526 KJob::kill()
    {62, 1354, 1175, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//1527 KJob::description(KJob*, const QString&)
    {62, 1354, 1178, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//1528 KJob::description(KJob*, const QString&, const QPair<QString,QString>&)
    {62, 1735, 1175, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//1529 KJob::infoMessage(KJob*, const QString&)
    {62, 3274, 1175, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//1530 KJob::warning(KJob*, const QString&)
    {62, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 50},	//1531 KJob::staticMetaObject() const
    {62, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 51},	//1532 KJob::Bytes (enum)
    {62, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 52},	//1533 KJob::Files (enum)
    {62, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 106, 53},	//1534 KJob::Directories (enum)
    {62, 613, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 54},	//1535 KJob::NoCapabilities (enum)
    {62, 559, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 55},	//1536 KJob::Killable (enum)
    {62, 739, 0, 0, Smoke::mf_static|Smoke::mf_enum, 104, 56},	//1537 KJob::Suspendable (enum)
    {62, 680, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 57},	//1538 KJob::Quietly (enum)
    {62, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 105, 58},	//1539 KJob::EmitResult (enum)
    {62, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 59},	//1540 KJob::NoError (enum)
    {62, 560, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 60},	//1541 KJob::KilledJobError (enum)
    {62, 801, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 61},	//1542 KJob::UserDefinedError (enum)
    {62, 3402, 0, 0, Smoke::mf_dtor, 0, 62 },	//1543 KJob::~KJob()
    {64, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1544 KJobTrackerInterface::metaObject() const
    {64, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1545 KJobTrackerInterface::qt_metacast(const char*)
    {64, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1546 KJobTrackerInterface::tr(const char*, const char*)
    {64, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1547 KJobTrackerInterface::trUtf8(const char*, const char*)
    {64, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1548 KJobTrackerInterface::tr(const char*, const char*, int)
    {64, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1549 KJobTrackerInterface::trUtf8(const char*, const char*, int)
    {64, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1550 KJobTrackerInterface::qt_metacall(QMetaObject::Call, int, void**)
    {64, 382, 146, 1, Smoke::mf_ctor, 108, 8},	//1551 KJobTrackerInterface::KJobTrackerInterface(QObject*)
    {64, 2431, 435, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 9},	//1552 KJobTrackerInterface::registerJob(KJob*)
    {64, 3211, 435, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 10},	//1553 KJobTrackerInterface::unregisterJob(KJob*)
    {64, 1567, 435, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//1554 KJobTrackerInterface::finished(KJob*)
    {64, 3090, 435, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//1555 KJobTrackerInterface::suspended(KJob*)
    {64, 2483, 435, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 13},	//1556 KJobTrackerInterface::resumed(KJob*)
    {64, 1354, 1159, 4, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 14},	//1557 KJobTrackerInterface::description(KJob*, const QString&, const QPair<QString,QString>&, const QPair<QString,QString>&)
    {64, 1735, 437, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1558 KJobTrackerInterface::infoMessage(KJob*, const QString&, const QString&)
    {64, 3274, 437, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//1559 KJobTrackerInterface::warning(KJob*, const QString&, const QString&)
    {64, 3154, 1182, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 17},	//1560 KJobTrackerInterface::totalAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2297, 1182, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 18},	//1561 KJobTrackerInterface::processedAmount(KJob*, KJob::Unit, qulonglong)
    {64, 2261, 1186, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//1562 KJobTrackerInterface::percent(KJob*, unsigned long)
    {64, 2982, 1186, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//1563 KJobTrackerInterface::speed(KJob*, unsigned long)
    {64, 3157, 122, 1, Smoke::mf_static, 382, 21},	//1564 KJobTrackerInterface::tr(const char*)
    {64, 3164, 122, 1, Smoke::mf_static, 382, 22},	//1565 KJobTrackerInterface::trUtf8(const char*)
    {64, 382, 0, 0, Smoke::mf_ctor, 108, 23},	//1566 KJobTrackerInterface::KJobTrackerInterface()
    {64, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 24},	//1567 KJobTrackerInterface::staticMetaObject() const
    {64, 3403, 0, 0, Smoke::mf_dtor, 0, 25 },	//1568 KJobTrackerInterface::~KJobTrackerInterface()
    {65, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1569 KJobUiDelegate::metaObject() const
    {65, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1570 KJobUiDelegate::qt_metacast(const char*)
    {65, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1571 KJobUiDelegate::tr(const char*, const char*)
    {65, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1572 KJobUiDelegate::trUtf8(const char*, const char*)
    {65, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1573 KJobUiDelegate::tr(const char*, const char*, int)
    {65, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1574 KJobUiDelegate::trUtf8(const char*, const char*, int)
    {65, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1575 KJobUiDelegate::qt_metacall(QMetaObject::Call, int, void**)
    {65, 384, 0, 0, Smoke::mf_ctor, 109, 8},	//1576 KJobUiDelegate::KJobUiDelegate()
    {65, 1891, 0, 0, Smoke::mf_protected, 103, 9},	//1577 KJobUiDelegate::job()
    {65, 2963, 0, 0, Smoke::mf_virtual, 0, 10},	//1578 KJobUiDelegate::showErrorMessage()
    {65, 2550, 103, 1, 0, 0, 11},	//1579 KJobUiDelegate::setAutoErrorHandlingEnabled(bool)
    {65, 1788, 0, 0, Smoke::mf_const, 495, 12},	//1580 KJobUiDelegate::isAutoErrorHandlingEnabled() const
    {65, 2554, 103, 1, 0, 0, 13},	//1581 KJobUiDelegate::setAutoWarningHandlingEnabled(bool)
    {65, 1789, 0, 0, Smoke::mf_const, 495, 14},	//1582 KJobUiDelegate::isAutoWarningHandlingEnabled() const
    {65, 2978, 437, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 15},	//1583 KJobUiDelegate::slotWarning(KJob*, const QString&, const QString&)
    {65, 3157, 122, 1, Smoke::mf_static, 382, 16},	//1584 KJobUiDelegate::tr(const char*)
    {65, 3164, 122, 1, Smoke::mf_static, 382, 17},	//1585 KJobUiDelegate::trUtf8(const char*)
    {65, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 18},	//1586 KJobUiDelegate::staticMetaObject() const
    {65, 3404, 0, 0, Smoke::mf_dtor, 0, 19 },	//1587 KJobUiDelegate::~KJobUiDelegate()
    {66, 2068, 0, 0, Smoke::mf_const, 636, 1},	//1588 KLibLoader::metaObject() const
    {66, 2332, 122, 1, 0, 701, 2},	//1589 KLibLoader::qt_metacast(const char*)
    {66, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1590 KLibLoader::tr(const char*, const char*)
    {66, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1591 KLibLoader::trUtf8(const char*, const char*)
    {66, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1592 KLibLoader::tr(const char*, const char*, int)
    {66, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1593 KLibLoader::trUtf8(const char*, const char*, int)
    {66, 2330, 131, 3, 0, 678, 7},	//1594 KLibLoader::qt_metacall(QMetaObject::Call, int, void**)
    {66, 1494, 1189, 2, 0, 150, 8},	//1595 KLibLoader::factory(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1975, 1189, 2, 0, 112, 9},	//1596 KLibLoader::library(const QString&, QFlags<QLibrary::LoadHint>)
    {66, 1967, 0, 0, Smoke::mf_const, 382, 10},	//1597 KLibLoader::lastErrorMessage() const
    {66, 3208, 30, 1, 0, 0, 11},	//1598 KLibLoader::unloadLibrary(const QString&)
    {66, 2507, 0, 0, Smoke::mf_static, 110, 12},	//1599 KLibLoader::self()
    {66, 1560, 1192, 2, Smoke::mf_static, 382, 13},	//1600 KLibLoader::findLibrary(const QString&, const KComponentData&)
    {66, 1446, 118, 1, Smoke::mf_static, 382, 14},	//1601 KLibLoader::errorString(int)
    {66, 3157, 122, 1, Smoke::mf_static, 382, 15},	//1602 KLibLoader::tr(const char*)
    {66, 3164, 122, 1, Smoke::mf_static, 382, 16},	//1603 KLibLoader::trUtf8(const char*)
    {66, 1494, 30, 1, 0, 150, 17},	//1604 KLibLoader::factory(const QString&)
    {66, 1975, 30, 1, 0, 112, 18},	//1605 KLibLoader::library(const QString&)
    {66, 1560, 30, 1, Smoke::mf_static, 382, 19},	//1606 KLibLoader::findLibrary(const QString&)
    {66, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 20},	//1607 KLibLoader::staticMetaObject() const
    {66, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 21},	//1608 KLibLoader::ErrNoLibrary (enum)
    {66, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 22},	//1609 KLibLoader::ErrNoFactory (enum)
    {66, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 23},	//1610 KLibLoader::ErrNoComponent (enum)
    {66, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 24},	//1611 KLibLoader::ErrServiceProvidesNoLibrary (enum)
    {66, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 111, 25},	//1612 KLibLoader::ErrNoServiceFound (enum)
    {67, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1613 KLibrary::metaObject() const
    {67, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1614 KLibrary::qt_metacast(const char*)
    {67, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1615 KLibrary::tr(const char*, const char*)
    {67, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1616 KLibrary::trUtf8(const char*, const char*)
    {67, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1617 KLibrary::tr(const char*, const char*, int)
    {67, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1618 KLibrary::trUtf8(const char*, const char*, int)
    {67, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1619 KLibrary::qt_metacall(QMetaObject::Call, int, void**)
    {67, 385, 146, 1, Smoke::mf_ctor, 112, 8},	//1620 KLibrary::KLibrary(QObject*)
    {67, 385, 1195, 3, Smoke::mf_ctor, 112, 9},	//1621 KLibrary::KLibrary(const QString&, const KComponentData&, QObject*)
    {67, 385, 1199, 4, Smoke::mf_ctor, 112, 10},	//1622 KLibrary::KLibrary(const QString&, int, const KComponentData&, QObject*)
    {67, 1494, 122, 1, 0, 150, 11},	//1623 KLibrary::factory(const char*)
    {67, 2475, 122, 1, 0, 701, 12},	//1624 KLibrary::resolveSymbol(const char*)
    {67, 2473, 122, 1, 0, 700, 13},	//1625 KLibrary::resolveFunction(const char*)
    {67, 2666, 1192, 2, 0, 0, 14},	//1626 KLibrary::setFileName(const QString&, const KComponentData&)
    {67, 3207, 0, 0, 0, 495, 15},	//1627 KLibrary::unload()
    {67, 3157, 122, 1, Smoke::mf_static, 382, 16},	//1628 KLibrary::tr(const char*)
    {67, 3164, 122, 1, Smoke::mf_static, 382, 17},	//1629 KLibrary::trUtf8(const char*)
    {67, 385, 0, 0, Smoke::mf_ctor, 112, 18},	//1630 KLibrary::KLibrary()
    {67, 385, 30, 1, Smoke::mf_ctor, 112, 19},	//1631 KLibrary::KLibrary(const QString&)
    {67, 385, 1192, 2, Smoke::mf_ctor, 112, 20},	//1632 KLibrary::KLibrary(const QString&, const KComponentData&)
    {67, 385, 1004, 2, Smoke::mf_ctor, 112, 21},	//1633 KLibrary::KLibrary(const QString&, int)
    {67, 385, 1204, 3, Smoke::mf_ctor, 112, 22},	//1634 KLibrary::KLibrary(const QString&, int, const KComponentData&)
    {67, 1494, 0, 0, 0, 150, 23},	//1635 KLibrary::factory()
    {67, 2666, 30, 1, 0, 0, 24},	//1636 KLibrary::setFileName(const QString&)
    {67, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 25},	//1637 KLibrary::staticMetaObject() const
    {67, 3405, 0, 0, Smoke::mf_dtor, 0, 26 },	//1638 KLibrary::~KLibrary()
    {68, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1639 KLocalSocket::metaObject() const
    {68, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1640 KLocalSocket::qt_metacast(const char*)
    {68, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1641 KLocalSocket::tr(const char*, const char*)
    {68, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1642 KLocalSocket::trUtf8(const char*, const char*)
    {68, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1643 KLocalSocket::tr(const char*, const char*, int)
    {68, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1644 KLocalSocket::trUtf8(const char*, const char*, int)
    {68, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1645 KLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {68, 393, 146, 1, Smoke::mf_ctor, 113, 8},	//1646 KLocalSocket::KLocalSocket(QObject*)
    {68, 1190, 1208, 2, 0, 0, 9},	//1647 KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {68, 1190, 1211, 3, 0, 0, 10},	//1648 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType, QFlags<QIODevice::OpenModeFlag>)
    {68, 1389, 0, 0, 0, 0, 11},	//1649 KLocalSocket::disconnectFromPath()
    {68, 1994, 0, 0, Smoke::mf_const, 114, 12},	//1650 KLocalSocket::localSocketType() const
    {68, 1993, 0, 0, Smoke::mf_const, 382, 13},	//1651 KLocalSocket::localPath() const
    {68, 2260, 0, 0, Smoke::mf_const, 382, 14},	//1652 KLocalSocket::peerPath() const
    {68, 1188, 1215, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 15},	//1653 KLocalSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {68, 1388, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 16},	//1654 KLocalSocket::disconnectFromHostImplementation()
    {68, 3157, 122, 1, Smoke::mf_static, 382, 17},	//1655 KLocalSocket::tr(const char*)
    {68, 3164, 122, 1, Smoke::mf_static, 382, 18},	//1656 KLocalSocket::trUtf8(const char*)
    {68, 393, 0, 0, Smoke::mf_ctor, 113, 19},	//1657 KLocalSocket::KLocalSocket()
    {68, 1190, 30, 1, 0, 0, 20},	//1658 KLocalSocket::connectToPath(const QString&)
    {68, 1190, 1219, 2, 0, 0, 21},	//1659 KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    {68, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 22},	//1660 KLocalSocket::staticMetaObject() const
    {68, 787, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 23},	//1661 KLocalSocket::UnixSocket (enum)
    {68, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 24},	//1662 KLocalSocket::AbstractUnixSocket (enum)
    {68, 790, 0, 0, Smoke::mf_static|Smoke::mf_enum, 114, 25},	//1663 KLocalSocket::UnknownLocalSocketType (enum)
    {68, 3406, 0, 0, Smoke::mf_dtor, 0, 26 },	//1664 KLocalSocket::~KLocalSocket()
    {69, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//1665 KLocalSocketServer::metaObject() const
    {69, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//1666 KLocalSocketServer::qt_metacast(const char*)
    {69, 3157, 124, 2, Smoke::mf_static, 382, 3},	//1667 KLocalSocketServer::tr(const char*, const char*)
    {69, 3164, 124, 2, Smoke::mf_static, 382, 4},	//1668 KLocalSocketServer::trUtf8(const char*, const char*)
    {69, 3157, 127, 3, Smoke::mf_static, 382, 5},	//1669 KLocalSocketServer::tr(const char*, const char*, int)
    {69, 3164, 127, 3, Smoke::mf_static, 382, 6},	//1670 KLocalSocketServer::trUtf8(const char*, const char*, int)
    {69, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//1671 KLocalSocketServer::qt_metacall(QMetaObject::Call, int, void**)
    {69, 395, 146, 1, Smoke::mf_ctor, 115, 8},	//1672 KLocalSocketServer::KLocalSocketServer(QObject*)
    {69, 1982, 1219, 2, 0, 495, 9},	//1673 KLocalSocketServer::listen(const QString&, KLocalSocket::LocalSocketType)
    {69, 1159, 0, 0, 0, 0, 10},	//1674 KLocalSocketServer::close()
    {69, 1840, 0, 0, Smoke::mf_const, 495, 11},	//1675 KLocalSocketServer::isListening() const
    {69, 2787, 118, 1, 0, 0, 12},	//1676 KLocalSocketServer::setMaxPendingConnections(int)
    {69, 2057, 0, 0, Smoke::mf_const, 678, 13},	//1677 KLocalSocketServer::maxPendingConnections() const
    {69, 1994, 0, 0, Smoke::mf_const, 114, 14},	//1678 KLocalSocketServer::localSocketType() const
    {69, 1993, 0, 0, Smoke::mf_const, 382, 15},	//1679 KLocalSocketServer::localPath() const
    {69, 3268, 1222, 2, 0, 495, 16},	//1680 KLocalSocketServer::waitForNewConnection(int, bool*)
    {69, 1701, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 17},	//1681 KLocalSocketServer::hasPendingConnections() const
    {69, 2126, 0, 0, Smoke::mf_virtual, 113, 18},	//1682 KLocalSocketServer::nextPendingConnection()
    {69, 2509, 0, 0, Smoke::mf_const, 244, 19},	//1683 KLocalSocketServer::serverError() const
    {69, 1446, 0, 0, Smoke::mf_const, 382, 20},	//1684 KLocalSocketServer::errorString() const
    {69, 1733, 118, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//1685 KLocalSocketServer::incomingConnection(int)
    {69, 2121, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//1686 KLocalSocketServer::newConnection()
    {69, 3157, 122, 1, Smoke::mf_static, 382, 23},	//1687 KLocalSocketServer::tr(const char*)
    {69, 3164, 122, 1, Smoke::mf_static, 382, 24},	//1688 KLocalSocketServer::trUtf8(const char*)
    {69, 395, 0, 0, Smoke::mf_ctor, 115, 25},	//1689 KLocalSocketServer::KLocalSocketServer()
    {69, 1982, 30, 1, 0, 495, 26},	//1690 KLocalSocketServer::listen(const QString&)
    {69, 3268, 0, 0, 0, 495, 27},	//1691 KLocalSocketServer::waitForNewConnection()
    {69, 3268, 118, 1, 0, 495, 28},	//1692 KLocalSocketServer::waitForNewConnection(int)
    {69, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 29},	//1693 KLocalSocketServer::staticMetaObject() const
    {69, 3407, 0, 0, Smoke::mf_dtor, 0, 30 },	//1694 KLocalSocketServer::~KLocalSocketServer()
    {70, 397, 298, 2, Smoke::mf_ctor, 117, 1},	//1695 KLocale::KLocale(const QString&, KSharedPtr<KSharedConfig>)
    {70, 397, 1225, 4, Smoke::mf_ctor, 117, 2},	//1696 KLocale::KLocale(const QString&, const QString&, const QString&, KConfig*)
    {70, 397, 1230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 117, 3},	//1697 KLocale::KLocale(const KLocale&)
    {70, 2205, 1230, 1, 0, 116, 4},	//1698 KLocale::operator=(const KLocale&)
    {70, 3193, 1232, 4, Smoke::mf_const, 0, 5},	//1699 KLocale::translateRawFrom(const char*, const char*, QString*, QString*) const
    {70, 3188, 1237, 3, Smoke::mf_const, 0, 6},	//1700 KLocale::translateRaw(const char*, QString*, QString*) const
    {70, 3193, 1241, 5, Smoke::mf_const, 0, 7},	//1701 KLocale::translateRawFrom(const char*, const char*, const char*, QString*, QString*) const
    {70, 3188, 1232, 4, Smoke::mf_const, 0, 8},	//1702 KLocale::translateRaw(const char*, const char*, QString*, QString*) const
    {70, 3193, 1247, 6, Smoke::mf_const, 0, 9},	//1703 KLocale::translateRawFrom(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3188, 1254, 5, Smoke::mf_const, 0, 10},	//1704 KLocale::translateRaw(const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3193, 1260, 7, Smoke::mf_const, 0, 11},	//1705 KLocale::translateRawFrom(const char*, const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 3188, 1247, 6, Smoke::mf_const, 0, 12},	//1706 KLocale::translateRaw(const char*, const char*, const char*, unsigned long, QString*, QString*) const
    {70, 2644, 118, 1, 0, 495, 13},	//1707 KLocale::setEncoding(int)
    {70, 1380, 1268, 2, Smoke::mf_const, 382, 14},	//1708 KLocale::digitSetToName(KLocale::DigitSet, bool) const
    {70, 1021, 0, 0, Smoke::mf_const, 344, 15},	//1709 KLocale::allDigitSetsList() const
    {70, 1317, 0, 0, Smoke::mf_const, 382, 16},	//1710 KLocale::decimalSymbol() const
    {70, 3118, 0, 0, Smoke::mf_const, 382, 17},	//1711 KLocale::thousandsSeparator() const
    {70, 1379, 0, 0, Smoke::mf_const, 127, 18},	//1712 KLocale::digitSet() const
    {70, 1234, 0, 0, Smoke::mf_const, 382, 19},	//1713 KLocale::currencyCode() const
    {70, 1233, 0, 0, Smoke::mf_const, 77, 20},	//1714 KLocale::currency() const
    {70, 1239, 0, 0, Smoke::mf_const, 382, 21},	//1715 KLocale::currencySymbol() const
    {70, 2086, 0, 0, Smoke::mf_const, 382, 22},	//1716 KLocale::monetaryDecimalSymbol() const
    {70, 2088, 0, 0, Smoke::mf_const, 382, 23},	//1717 KLocale::monetaryThousandsSeparator() const
    {70, 2281, 0, 0, Smoke::mf_const, 382, 24},	//1718 KLocale::positiveSign() const
    {70, 2120, 0, 0, Smoke::mf_const, 382, 25},	//1719 KLocale::negativeSign() const
    {70, 1614, 0, 0, Smoke::mf_const, 678, 26},	//1720 KLocale::fracDigits() const
    {70, 1316, 0, 0, Smoke::mf_const, 678, 27},	//1721 KLocale::decimalPlaces() const
    {70, 2085, 0, 0, Smoke::mf_const, 678, 28},	//1722 KLocale::monetaryDecimalPlaces() const
    {70, 2280, 0, 0, Smoke::mf_const, 495, 29},	//1723 KLocale::positivePrefixCurrencySymbol() const
    {70, 2119, 0, 0, Smoke::mf_const, 495, 30},	//1724 KLocale::negativePrefixCurrencySymbol() const
    {70, 2279, 0, 0, Smoke::mf_const, 131, 31},	//1725 KLocale::positiveMonetarySignPosition() const
    {70, 2118, 0, 0, Smoke::mf_const, 131, 32},	//1726 KLocale::negativeMonetarySignPosition() const
    {70, 2087, 0, 0, Smoke::mf_const, 127, 33},	//1727 KLocale::monetaryDigitSet() const
    {70, 1602, 1271, 3, Smoke::mf_const, 382, 34},	//1728 KLocale::formatMoney(double, const QString&, int) const
    {70, 1606, 1275, 2, Smoke::mf_const, 382, 35},	//1729 KLocale::formatNumber(double, int) const
    {70, 1606, 1278, 3, Smoke::mf_const, 382, 36},	//1730 KLocale::formatNumber(const QString&, bool, int) const
    {70, 1600, 1282, 1, Smoke::mf_const, 382, 37},	//1731 KLocale::formatLong(long) const
    {70, 1581, 788, 1, Smoke::mf_const, 382, 38},	//1732 KLocale::formatByteSize(double) const
    {70, 1581, 1284, 4, Smoke::mf_const, 382, 39},	//1733 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect, KLocale::BinarySizeUnits) const
    {70, 1095, 0, 0, Smoke::mf_const, 119, 40},	//1734 KLocale::binaryUnitDialect() const
    {70, 2558, 1289, 1, 0, 0, 41},	//1735 KLocale::setBinaryUnitDialect(KLocale::BinaryUnitDialect)
    {70, 1595, 1167, 1, Smoke::mf_const, 382, 42},	//1736 KLocale::formatDuration(unsigned long) const
    {70, 2287, 1167, 1, Smoke::mf_const, 382, 43},	//1737 KLocale::prettyFormatDuration(unsigned long) const
    {70, 2130, 0, 0, Smoke::mf_const, 495, 44},	//1738 KLocale::nounDeclension() const
    {70, 1586, 251, 2, Smoke::mf_const, 382, 45},	//1739 KLocale::formatDate(const QDate&, KLocale::DateFormat) const
    {70, 1591, 1291, 3, Smoke::mf_const, 382, 46},	//1740 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    {70, 1591, 1295, 3, Smoke::mf_const, 382, 47},	//1741 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    {70, 1269, 0, 0, Smoke::mf_const, 495, 48},	//1742 KLocale::dateMonthNamePossessive() const
    {70, 1610, 1299, 3, Smoke::mf_const, 382, 49},	//1743 KLocale::formatTime(const QTime&, bool, bool) const
    {70, 1597, 1303, 2, Smoke::mf_const, 382, 50},	//1744 KLocale::formatLocaleTime(const QTime&, QFlags<KLocale::TimeFormatOption>) const
    {70, 1272, 0, 0, Smoke::mf_const, 127, 51},	//1745 KLocale::dateTimeDigitSet() const
    {70, 3231, 0, 0, Smoke::mf_const, 495, 52},	//1746 KLocale::use12Clock() const
    {70, 1287, 1306, 2, Smoke::mf_const, 382, 53},	//1747 KLocale::dayPeriodText(const QTime&, KLocale::DateTimeComponentFormat) const
    {70, 3294, 0, 0, Smoke::mf_const, 678, 54},	//1748 KLocale::weekStartDay() const
    {70, 3307, 0, 0, Smoke::mf_const, 678, 55},	//1749 KLocale::workingWeekStartDay() const
    {70, 3306, 0, 0, Smoke::mf_const, 678, 56},	//1750 KLocale::workingWeekEndDay() const
    {70, 3286, 0, 0, Smoke::mf_const, 678, 57},	//1751 KLocale::weekDayOfPray() const
    {70, 1104, 0, 0, Smoke::mf_const, 507, 58},	//1752 KLocale::calendar() const
    {70, 1113, 0, 0, Smoke::mf_const, 382, 59},	//1753 KLocale::calendarType() const
    {70, 1108, 0, 0, Smoke::mf_const, 120, 60},	//1754 KLocale::calendarSystem() const
    {70, 2562, 30, 1, 0, 0, 61},	//1755 KLocale::setCalendar(const QString&)
    {70, 2564, 301, 1, 0, 0, 62},	//1756 KLocale::setCalendarSystem(KLocale::CalendarSystem)
    {70, 2944, 1309, 1, 0, 0, 63},	//1757 KLocale::setWeekNumberSystem(KLocale::WeekNumberSystem)
    {70, 3293, 0, 0, 0, 134, 64},	//1758 KLocale::weekNumberSystem()
    {70, 2399, 268, 2, Smoke::mf_const, 675, 65},	//1759 KLocale::readMoney(const QString&, bool*) const
    {70, 2403, 268, 2, Smoke::mf_const, 675, 66},	//1760 KLocale::readNumber(const QString&, bool*) const
    {70, 2369, 268, 2, Smoke::mf_const, 262, 67},	//1761 KLocale::readDate(const QString&, bool*) const
    {70, 2369, 275, 3, Smoke::mf_const, 262, 68},	//1762 KLocale::readDate(const QString&, const QString&, bool*) const
    {70, 2369, 271, 3, Smoke::mf_const, 262, 69},	//1763 KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    {70, 2410, 268, 2, Smoke::mf_const, 399, 70},	//1764 KLocale::readTime(const QString&, bool*) const
    {70, 2410, 1311, 3, Smoke::mf_const, 399, 71},	//1765 KLocale::readTime(const QString&, KLocale::ReadTimeFlags, bool*) const
    {70, 2394, 1315, 4, Smoke::mf_const, 399, 72},	//1766 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>, QFlags<KLocale::TimeProcessingOption>) const
    {70, 1955, 0, 0, Smoke::mf_const, 382, 73},	//1767 KLocale::language() const
    {70, 1210, 0, 0, Smoke::mf_const, 382, 74},	//1768 KLocale::country() const
    {70, 1214, 0, 0, Smoke::mf_const, 382, 75},	//1769 KLocale::countryDivisionCode() const
    {70, 1960, 0, 0, Smoke::mf_const, 387, 76},	//1770 KLocale::languageList() const
    {70, 1235, 0, 0, Smoke::mf_const, 387, 77},	//1771 KLocale::currencyCodeList() const
    {70, 1415, 0, 0, Smoke::mf_const, 592, 78},	//1772 KLocale::encoding() const
    {70, 1419, 0, 0, Smoke::mf_const, 678, 79},	//1773 KLocale::encodingMib() const
    {70, 1163, 0, 0, Smoke::mf_const, 392, 80},	//1774 KLocale::codecForEncoding() const
    {70, 1505, 0, 0, Smoke::mf_const, 678, 81},	//1775 KLocale::fileEncodingMib() const
    {70, 2607, 30, 1, 0, 0, 82},	//1776 KLocale::setDateFormat(const QString&)
    {70, 2609, 30, 1, 0, 0, 83},	//1777 KLocale::setDateFormatShort(const QString&)
    {70, 2613, 103, 1, 0, 0, 84},	//1778 KLocale::setDateMonthNamePossessive(bool)
    {70, 2916, 30, 1, 0, 0, 85},	//1779 KLocale::setTimeFormat(const QString&)
    {70, 2619, 1320, 1, 0, 0, 86},	//1780 KLocale::setDateTimeDigitSet(KLocale::DigitSet)
    {70, 2946, 118, 1, 0, 0, 87},	//1781 KLocale::setWeekStartDay(int)
    {70, 2952, 118, 1, 0, 0, 88},	//1782 KLocale::setWorkingWeekStartDay(int)
    {70, 2950, 118, 1, 0, 0, 89},	//1783 KLocale::setWorkingWeekEndDay(int)
    {70, 2942, 118, 1, 0, 0, 90},	//1784 KLocale::setWeekDayOfPray(int)
    {70, 1266, 0, 0, Smoke::mf_const, 382, 91},	//1785 KLocale::dateFormat() const
    {70, 1267, 0, 0, Smoke::mf_const, 382, 92},	//1786 KLocale::dateFormatShort() const
    {70, 3122, 0, 0, Smoke::mf_const, 382, 93},	//1787 KLocale::timeFormat() const
    {70, 2623, 30, 1, 0, 0, 94},	//1788 KLocale::setDecimalSymbol(const QString&)
    {70, 2912, 30, 1, 0, 0, 95},	//1789 KLocale::setThousandsSeparator(const QString&)
    {70, 2849, 30, 1, 0, 0, 96},	//1790 KLocale::setPositiveSign(const QString&)
    {70, 2815, 30, 1, 0, 0, 97},	//1791 KLocale::setNegativeSign(const QString&)
    {70, 2638, 1320, 1, 0, 0, 98},	//1792 KLocale::setDigitSet(KLocale::DigitSet)
    {70, 2845, 1322, 1, 0, 0, 99},	//1793 KLocale::setPositiveMonetarySignPosition(KLocale::SignPosition)
    {70, 2811, 1322, 1, 0, 0, 100},	//1794 KLocale::setNegativeMonetarySignPosition(KLocale::SignPosition)
    {70, 2847, 103, 1, 0, 0, 101},	//1795 KLocale::setPositivePrefixCurrencySymbol(bool)
    {70, 2813, 103, 1, 0, 0, 102},	//1796 KLocale::setNegativePrefixCurrencySymbol(bool)
    {70, 2673, 118, 1, 0, 0, 103},	//1797 KLocale::setFracDigits(int)
    {70, 2621, 118, 1, 0, 0, 104},	//1798 KLocale::setDecimalPlaces(int)
    {70, 2801, 118, 1, 0, 0, 105},	//1799 KLocale::setMonetaryDecimalPlaces(int)
    {70, 2807, 30, 1, 0, 0, 106},	//1800 KLocale::setMonetaryThousandsSeparator(const QString&)
    {70, 2803, 30, 1, 0, 0, 107},	//1801 KLocale::setMonetaryDecimalSymbol(const QString&)
    {70, 2586, 30, 1, 0, 0, 108},	//1802 KLocale::setCurrencyCode(const QString&)
    {70, 2588, 30, 1, 0, 0, 109},	//1803 KLocale::setCurrencySymbol(const QString&)
    {70, 2805, 1320, 1, 0, 0, 110},	//1804 KLocale::setMonetaryDigitSet(KLocale::DigitSet)
    {70, 2242, 0, 0, Smoke::mf_const, 678, 111},	//1805 KLocale::pageSize() const
    {70, 2831, 118, 1, 0, 0, 112},	//1806 KLocale::setPageSize(int)
    {70, 2063, 0, 0, Smoke::mf_const, 128, 113},	//1807 KLocale::measureSystem() const
    {70, 2791, 1324, 1, 0, 0, 114},	//1808 KLocale::setMeasureSystem(KLocale::MeasureSystem)
    {70, 1751, 30, 1, 0, 0, 115},	//1809 KLocale::insertCatalog(const QString&)
    {70, 2447, 30, 1, 0, 0, 116},	//1810 KLocale::removeCatalog(const QString&)
    {70, 2529, 30, 1, 0, 0, 117},	//1811 KLocale::setActiveCatalog(const QString&)
    {70, 3186, 1326, 3, Smoke::mf_const, 382, 118},	//1812 KLocale::translateQt(const char*, const char*, const char*) const
    {70, 1024, 0, 0, Smoke::mf_const, 387, 119},	//1813 KLocale::allLanguagesList() const
    {70, 1755, 0, 0, Smoke::mf_const, 387, 120},	//1814 KLocale::installedLanguages() const
    {70, 1956, 30, 1, Smoke::mf_const, 382, 121},	//1815 KLocale::languageCodeToName(const QString&) const
    {70, 1018, 0, 0, Smoke::mf_const, 387, 122},	//1816 KLocale::allCountriesList() const
    {70, 1212, 30, 1, Smoke::mf_const, 382, 123},	//1817 KLocale::countryCodeToName(const QString&) const
    {70, 2992, 1330, 5, Smoke::mf_static, 0, 124},	//1818 KLocale::splitLocale(const QString&, QString&, QString&, QString&, QString&)
    {70, 2779, 122, 1, Smoke::mf_static, 0, 125},	//1819 KLocale::setMainCatalog(const char*)
    {70, 1952, 514, 2, Smoke::mf_static, 382, 126},	//1820 KLocale::langLookup(const QString&, const char*)
    {70, 1332, 0, 0, Smoke::mf_static, 382, 127},	//1821 KLocale::defaultLanguage()
    {70, 1330, 0, 0, Smoke::mf_static, 382, 128},	//1822 KLocale::defaultCountry()
    {70, 1331, 0, 0, Smoke::mf_static, 382, 129},	//1823 KLocale::defaultCurrencyCode()
    {70, 3234, 0, 0, Smoke::mf_const, 495, 130},	//1824 KLocale::useTranscript() const
    {70, 1783, 30, 1, 0, 495, 131},	//1825 KLocale::isApplicationTranslatedInto(const QString&)
    {70, 1200, 1149, 1, 0, 0, 132},	//1826 KLocale::copyCatalogsTo(KLocale*)
    {70, 2582, 457, 2, 0, 495, 133},	//1827 KLocale::setCountry(const QString&, KConfig*)
    {70, 2584, 30, 1, 0, 495, 134},	//1828 KLocale::setCountryDivisionCode(const QString&)
    {70, 2701, 457, 2, 0, 495, 135},	//1829 KLocale::setLanguage(const QString&, KConfig*)
    {70, 2701, 141, 1, 0, 495, 136},	//1830 KLocale::setLanguage(const QStringList&)
    {70, 1996, 30, 1, Smoke::mf_const, 382, 137},	//1831 KLocale::localizedFilePath(const QString&) const
    {70, 2445, 30, 1, Smoke::mf_const, 382, 138},	//1832 KLocale::removeAcceleratorMarker(const QString&) const
    {70, 1197, 1336, 3, Smoke::mf_const, 382, 139},	//1833 KLocale::convertDigits(const QString&, KLocale::DigitSet, bool) const
    {70, 397, 30, 1, Smoke::mf_ctor, 117, 140},	//1834 KLocale::KLocale(const QString&)
    {70, 397, 95, 2, Smoke::mf_ctor, 117, 141},	//1835 KLocale::KLocale(const QString&, const QString&)
    {70, 397, 1340, 3, Smoke::mf_ctor, 117, 142},	//1836 KLocale::KLocale(const QString&, const QString&, const QString&)
    {70, 1380, 1320, 1, Smoke::mf_const, 382, 143},	//1837 KLocale::digitSetToName(KLocale::DigitSet) const
    {70, 1602, 788, 1, Smoke::mf_const, 382, 144},	//1838 KLocale::formatMoney(double) const
    {70, 1602, 1344, 2, Smoke::mf_const, 382, 145},	//1839 KLocale::formatMoney(double, const QString&) const
    {70, 1606, 788, 1, Smoke::mf_const, 382, 146},	//1840 KLocale::formatNumber(double) const
    {70, 1606, 30, 1, Smoke::mf_const, 382, 147},	//1841 KLocale::formatNumber(const QString&) const
    {70, 1606, 1347, 2, Smoke::mf_const, 382, 148},	//1842 KLocale::formatNumber(const QString&, bool) const
    {70, 1581, 1275, 2, Smoke::mf_const, 382, 149},	//1843 KLocale::formatByteSize(double, int) const
    {70, 1581, 1350, 3, Smoke::mf_const, 382, 150},	//1844 KLocale::formatByteSize(double, int, KLocale::BinaryUnitDialect) const
    {70, 1586, 194, 1, Smoke::mf_const, 382, 151},	//1845 KLocale::formatDate(const QDate&) const
    {70, 1591, 1027, 1, Smoke::mf_const, 382, 152},	//1846 KLocale::formatDateTime(const QDateTime&) const
    {70, 1591, 1354, 2, Smoke::mf_const, 382, 153},	//1847 KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    {70, 1591, 1029, 1, Smoke::mf_const, 382, 154},	//1848 KLocale::formatDateTime(const KDateTime&) const
    {70, 1591, 1357, 2, Smoke::mf_const, 382, 155},	//1849 KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    {70, 1610, 1035, 1, Smoke::mf_const, 382, 156},	//1850 KLocale::formatTime(const QTime&) const
    {70, 1610, 1360, 2, Smoke::mf_const, 382, 157},	//1851 KLocale::formatTime(const QTime&, bool) const
    {70, 1597, 1035, 1, Smoke::mf_const, 382, 158},	//1852 KLocale::formatLocaleTime(const QTime&) const
    {70, 1287, 1035, 1, Smoke::mf_const, 382, 159},	//1853 KLocale::dayPeriodText(const QTime&) const
    {70, 2399, 30, 1, Smoke::mf_const, 675, 160},	//1854 KLocale::readMoney(const QString&) const
    {70, 2403, 30, 1, Smoke::mf_const, 675, 161},	//1855 KLocale::readNumber(const QString&) const
    {70, 2369, 30, 1, Smoke::mf_const, 262, 162},	//1856 KLocale::readDate(const QString&) const
    {70, 2369, 95, 2, Smoke::mf_const, 262, 163},	//1857 KLocale::readDate(const QString&, const QString&) const
    {70, 2369, 322, 2, Smoke::mf_const, 262, 164},	//1858 KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    {70, 2410, 30, 1, Smoke::mf_const, 399, 165},	//1859 KLocale::readTime(const QString&) const
    {70, 2410, 1363, 2, Smoke::mf_const, 399, 166},	//1860 KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    {70, 2394, 30, 1, Smoke::mf_const, 399, 167},	//1861 KLocale::readLocaleTime(const QString&) const
    {70, 2394, 268, 2, Smoke::mf_const, 399, 168},	//1862 KLocale::readLocaleTime(const QString&, bool*) const
    {70, 2394, 1366, 3, Smoke::mf_const, 399, 169},	//1863 KLocale::readLocaleTime(const QString&, bool*, QFlags<KLocale::TimeFormatOption>) const
    {70, 1952, 30, 1, Smoke::mf_static, 382, 170},	//1864 KLocale::langLookup(const QString&)
    {70, 1197, 1370, 2, Smoke::mf_const, 382, 171},	//1865 KLocale::convertDigits(const QString&, KLocale::DigitSet) const
    {70, 649, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 172},	//1866 KLocale::ParensAround (enum)
    {70, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 173},	//1867 KLocale::BeforeQuantityMoney (enum)
    {70, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 174},	//1868 KLocale::AfterQuantityMoney (enum)
    {70, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 175},	//1869 KLocale::BeforeMoney (enum)
    {70, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 131, 176},	//1870 KLocale::AfterMoney (enum)
    {70, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 177},	//1871 KLocale::ArabicDigits (enum)
    {70, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 178},	//1872 KLocale::ArabicIndicDigits (enum)
    {70, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 179},	//1873 KLocale::EasternArabicIndicDigits (enum)
    {70, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 180},	//1874 KLocale::DevenagariDigits (enum)
    {70, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 181},	//1875 KLocale::BengaliDigits (enum)
    {70, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 182},	//1876 KLocale::GujaratiDigits (enum)
    {70, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 183},	//1877 KLocale::GurmukhiDigits (enum)
    {70, 554, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 184},	//1878 KLocale::KannadaDigits (enum)
    {70, 558, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 185},	//1879 KLocale::KhmerDigits (enum)
    {70, 598, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 186},	//1880 KLocale::MalayalamDigits (enum)
    {70, 646, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 187},	//1881 KLocale::OriyaDigits (enum)
    {70, 745, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 188},	//1882 KLocale::TamilDigits (enum)
    {70, 747, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 189},	//1883 KLocale::TeluguDigits (enum)
    {70, 751, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 190},	//1884 KLocale::ThaiDigits (enum)
    {70, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 191},	//1885 KLocale::DefaultBinaryUnits (enum)
    {70, 776, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 192},	//1886 KLocale::UnitByte (enum)
    {70, 779, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 193},	//1887 KLocale::UnitKiloByte (enum)
    {70, 781, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 194},	//1888 KLocale::UnitMegaByte (enum)
    {70, 778, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 195},	//1889 KLocale::UnitGigaByte (enum)
    {70, 783, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 196},	//1890 KLocale::UnitTeraByte (enum)
    {70, 782, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 197},	//1891 KLocale::UnitPetaByte (enum)
    {70, 777, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 198},	//1892 KLocale::UnitExaByte (enum)
    {70, 785, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 199},	//1893 KLocale::UnitZettaByte (enum)
    {70, 784, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 200},	//1894 KLocale::UnitYottaByte (enum)
    {70, 780, 0, 0, Smoke::mf_static|Smoke::mf_enum, 118, 201},	//1895 KLocale::UnitLastUnit (enum)
    {70, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 202},	//1896 KLocale::DefaultBinaryDialect (enum)
    {70, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 203},	//1897 KLocale::IECBinaryDialect (enum)
    {70, 270, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 204},	//1898 KLocale::JEDECBinaryDialect (enum)
    {70, 601, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 205},	//1899 KLocale::MetricBinaryDialect (enum)
    {70, 562, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 206},	//1900 KLocale::LastBinaryDialect (enum)
    {70, 673, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 207},	//1901 KLocale::QDateCalendar (enum)
    {70, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 208},	//1902 KLocale::CopticCalendar (enum)
    {70, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 209},	//1903 KLocale::EthiopianCalendar (enum)
    {70, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 210},	//1904 KLocale::GregorianCalendar (enum)
    {70, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 211},	//1905 KLocale::HebrewCalendar (enum)
    {70, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 212},	//1906 KLocale::IslamicCivilCalendar (enum)
    {70, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 213},	//1907 KLocale::IndianNationalCalendar (enum)
    {70, 271, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 214},	//1908 KLocale::JalaliCalendar (enum)
    {70, 273, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 215},	//1909 KLocale::JapaneseCalendar (enum)
    {70, 274, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 216},	//1910 KLocale::JulianCalendar (enum)
    {70, 603, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 217},	//1911 KLocale::MinguoCalendar (enum)
    {70, 750, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 218},	//1912 KLocale::ThaiCalendar (enum)
    {70, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 219},	//1913 KLocale::DefaultWeekNumber (enum)
    {70, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 134, 220},	//1914 KLocale::IsoWeekNumber (enum)
    {70, 555, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 221},	//1915 KLocale::KdeFormat (enum)
    {70, 663, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 222},	//1916 KLocale::PosixFormat (enum)
    {70, 775, 0, 0, Smoke::mf_static|Smoke::mf_enum, 125, 223},	//1917 KLocale::UnicodeFormat (enum)
    {70, 568, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 224},	//1918 KLocale::LiberalParsing (enum)
    {70, 817, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 225},	//1919 KLocale::Year (enum)
    {70, 819, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 226},	//1920 KLocale::YearName (enum)
    {70, 605, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 227},	//1921 KLocale::Month (enum)
    {70, 606, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 228},	//1922 KLocale::MonthName (enum)
    {70, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 229},	//1923 KLocale::Day (enum)
    {70, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 230},	//1924 KLocale::DayName (enum)
    {70, 275, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 231},	//1925 KLocale::JulianDay (enum)
    {70, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 232},	//1926 KLocale::EraName (enum)
    {70, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 233},	//1927 KLocale::EraYear (enum)
    {70, 818, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 234},	//1928 KLocale::YearInEra (enum)
    {70, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 235},	//1929 KLocale::DayOfYear (enum)
    {70, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 236},	//1930 KLocale::DayOfYearName (enum)
    {70, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 237},	//1931 KLocale::DayOfWeek (enum)
    {70, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 238},	//1932 KLocale::DayOfWeekName (enum)
    {70, 803, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 239},	//1933 KLocale::Week (enum)
    {70, 804, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 240},	//1934 KLocale::WeekYear (enum)
    {70, 607, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 241},	//1935 KLocale::MonthsInYear (enum)
    {70, 805, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 242},	//1936 KLocale::WeeksInYear (enum)
    {70, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 243},	//1937 KLocale::DaysInYear (enum)
    {70, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 244},	//1938 KLocale::DaysInMonth (enum)
    {70, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 245},	//1939 KLocale::DaysInWeek (enum)
    {70, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 246},	//1940 KLocale::Hour (enum)
    {70, 604, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 247},	//1941 KLocale::Minute (enum)
    {70, 702, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 248},	//1942 KLocale::Second (enum)
    {70, 602, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 249},	//1943 KLocale::Millisecond (enum)
    {70, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 250},	//1944 KLocale::DayPeriod (enum)
    {70, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 251},	//1945 KLocale::DayPeriodHour (enum)
    {70, 761, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 252},	//1946 KLocale::Timezone (enum)
    {70, 762, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 253},	//1947 KLocale::TimezoneName (enum)
    {70, 788, 0, 0, Smoke::mf_static|Smoke::mf_enum, 122, 254},	//1948 KLocale::UnixTime (enum)
    {70, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 255},	//1949 KLocale::DefaultComponentFormat (enum)
    {70, 711, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 256},	//1950 KLocale::ShortNumber (enum)
    {70, 596, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 257},	//1951 KLocale::LongNumber (enum)
    {70, 609, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 258},	//1952 KLocale::NarrowName (enum)
    {70, 709, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 259},	//1953 KLocale::ShortName (enum)
    {70, 594, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 260},	//1954 KLocale::LongName (enum)
    {70, 706, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 261},	//1955 KLocale::ShortDate (enum)
    {70, 591, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 262},	//1956 KLocale::LongDate (enum)
    {70, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 263},	//1957 KLocale::FancyShortDate (enum)
    {70, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 264},	//1958 KLocale::FancyLongDate (enum)
    {70, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 265},	//1959 KLocale::IsoDate (enum)
    {70, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 266},	//1960 KLocale::IsoWeekDate (enum)
    {70, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 121, 267},	//1961 KLocale::IsoOrdinalDate (enum)
    {70, 759, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 268},	//1962 KLocale::TimeZone (enum)
    {70, 703, 0, 0, Smoke::mf_static|Smoke::mf_enum, 124, 269},	//1963 KLocale::Seconds (enum)
    {70, 753, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 270},	//1964 KLocale::TimeDefault (enum)
    {70, 758, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 271},	//1965 KLocale::TimeWithoutSeconds (enum)
    {70, 757, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 272},	//1966 KLocale::TimeWithoutAmPm (enum)
    {70, 754, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 273},	//1967 KLocale::TimeDuration (enum)
    {70, 755, 0, 0, Smoke::mf_static|Smoke::mf_enum, 132, 274},	//1968 KLocale::TimeFoldHours (enum)
    {70, 630, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 275},	//1969 KLocale::NormalFormat (enum)
    {70, 708, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 276},	//1970 KLocale::ShortFormat (enum)
    {70, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 277},	//1971 KLocale::IsoFormat (enum)
    {70, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 278},	//1972 KLocale::IsoWeekFormat (enum)
    {70, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 129, 279},	//1973 KLocale::IsoOrdinalFormat (enum)
    {70, 808, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 280},	//1974 KLocale::WithSeconds (enum)
    {70, 809, 0, 0, Smoke::mf_static|Smoke::mf_enum, 130, 281},	//1975 KLocale::WithoutSeconds (enum)
    {70, 666, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 282},	//1976 KLocale::ProcessStrict (enum)
    {70, 665, 0, 0, Smoke::mf_static|Smoke::mf_enum, 133, 283},	//1977 KLocale::ProcessNonStrict (enum)
    {70, 600, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 284},	//1978 KLocale::Metric (enum)
    {70, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 128, 285},	//1979 KLocale::Imperial (enum)
    {70, 3408, 0, 0, Smoke::mf_dtor, 0, 286 },	//1980 KLocale::~KLocale()
    {71, 404, 0, 0, Smoke::mf_ctor, 137, 1},	//1981 KLocalizedString::KLocalizedString()
    {71, 404, 28, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 137, 2},	//1982 KLocalizedString::KLocalizedString(const KLocalizedString&)
    {71, 2205, 28, 1, 0, 136, 3},	//1983 KLocalizedString::operator=(const KLocalizedString&)
    {71, 3138, 0, 0, Smoke::mf_const, 382, 4},	//1984 KLocalizedString::toString() const
    {71, 3138, 30, 1, Smoke::mf_const, 382, 5},	//1985 KLocalizedString::toString(const QString&) const
    {71, 3138, 177, 1, Smoke::mf_const, 382, 6},	//1986 KLocalizedString::toString(const KLocale*) const
    {71, 3138, 1373, 2, Smoke::mf_const, 382, 7},	//1987 KLocalizedString::toString(const KLocale*, const QString&) const
    {71, 1815, 0, 0, Smoke::mf_const, 495, 8},	//1988 KLocalizedString::isEmpty() const
    {71, 3071, 1376, 4, Smoke::mf_const, 135, 9},	//1989 KLocalizedString::subs(int, int, int, const QChar&) const
    {71, 3071, 1381, 4, Smoke::mf_const, 135, 10},	//1990 KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    {71, 3071, 1386, 4, Smoke::mf_const, 135, 11},	//1991 KLocalizedString::subs(long, int, int, const QChar&) const
    {71, 3071, 1391, 4, Smoke::mf_const, 135, 12},	//1992 KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    {71, 3071, 1396, 4, Smoke::mf_const, 135, 13},	//1993 KLocalizedString::subs(long long, int, int, const QChar&) const
    {71, 3071, 1401, 4, Smoke::mf_const, 135, 14},	//1994 KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    {71, 3071, 1406, 5, Smoke::mf_const, 135, 15},	//1995 KLocalizedString::subs(double, int, char, int, const QChar&) const
    {71, 3071, 1412, 3, Smoke::mf_const, 135, 16},	//1996 KLocalizedString::subs(QChar, int, const QChar&) const
    {71, 3071, 1416, 3, Smoke::mf_const, 135, 17},	//1997 KLocalizedString::subs(const QString&, int, const QChar&) const
    {71, 1731, 95, 2, Smoke::mf_const, 135, 18},	//1998 KLocalizedString::inContext(const QString&, const QString&) const
    {71, 2128, 1420, 2, Smoke::mf_static, 0, 19},	//1999 KLocalizedString::notifyCatalogsUpdated(const QStringList&, const QList<KCatalogName>&)
    {71, 3071, 118, 1, Smoke::mf_const, 135, 20},	//2000 KLocalizedString::subs(int) const
    {71, 3071, 186, 2, Smoke::mf_const, 135, 21},	//2001 KLocalizedString::subs(int, int) const
    {71, 3071, 182, 3, Smoke::mf_const, 135, 22},	//2002 KLocalizedString::subs(int, int, int) const
    {71, 3071, 942, 1, Smoke::mf_const, 135, 23},	//2003 KLocalizedString::subs(unsigned int) const
    {71, 3071, 1423, 2, Smoke::mf_const, 135, 24},	//2004 KLocalizedString::subs(unsigned int, int) const
    {71, 3071, 1426, 3, Smoke::mf_const, 135, 25},	//2005 KLocalizedString::subs(unsigned int, int, int) const
    {71, 3071, 1282, 1, Smoke::mf_const, 135, 26},	//2006 KLocalizedString::subs(long) const
    {71, 3071, 1430, 2, Smoke::mf_const, 135, 27},	//2007 KLocalizedString::subs(long, int) const
    {71, 3071, 1433, 3, Smoke::mf_const, 135, 28},	//2008 KLocalizedString::subs(long, int, int) const
    {71, 3071, 1167, 1, Smoke::mf_const, 135, 29},	//2009 KLocalizedString::subs(unsigned long) const
    {71, 3071, 1437, 2, Smoke::mf_const, 135, 30},	//2010 KLocalizedString::subs(unsigned long, int) const
    {71, 3071, 1440, 3, Smoke::mf_const, 135, 31},	//2011 KLocalizedString::subs(unsigned long, int, int) const
    {71, 3071, 851, 1, Smoke::mf_const, 135, 32},	//2012 KLocalizedString::subs(long long) const
    {71, 3071, 1444, 2, Smoke::mf_const, 135, 33},	//2013 KLocalizedString::subs(long long, int) const
    {71, 3071, 1447, 3, Smoke::mf_const, 135, 34},	//2014 KLocalizedString::subs(long long, int, int) const
    {71, 3071, 955, 1, Smoke::mf_const, 135, 35},	//2015 KLocalizedString::subs(unsigned long long) const
    {71, 3071, 1451, 2, Smoke::mf_const, 135, 36},	//2016 KLocalizedString::subs(unsigned long long, int) const
    {71, 3071, 1454, 3, Smoke::mf_const, 135, 37},	//2017 KLocalizedString::subs(unsigned long long, int, int) const
    {71, 3071, 788, 1, Smoke::mf_const, 135, 38},	//2018 KLocalizedString::subs(double) const
    {71, 3071, 1275, 2, Smoke::mf_const, 135, 39},	//2019 KLocalizedString::subs(double, int) const
    {71, 3071, 1458, 3, Smoke::mf_const, 135, 40},	//2020 KLocalizedString::subs(double, int, char) const
    {71, 3071, 1462, 4, Smoke::mf_const, 135, 41},	//2021 KLocalizedString::subs(double, int, char, int) const
    {71, 3071, 330, 1, Smoke::mf_const, 135, 42},	//2022 KLocalizedString::subs(QChar) const
    {71, 3071, 1467, 2, Smoke::mf_const, 135, 43},	//2023 KLocalizedString::subs(QChar, int) const
    {71, 3071, 30, 1, Smoke::mf_const, 135, 44},	//2024 KLocalizedString::subs(const QString&) const
    {71, 3071, 1004, 2, Smoke::mf_const, 135, 45},	//2025 KLocalizedString::subs(const QString&, int) const
    {71, 3409, 0, 0, Smoke::mf_dtor, 0, 46 },	//2026 KLocalizedString::~KLocalizedString()
    {72, 406, 1192, 2, Smoke::mf_ctor, 138, 1},	//2027 KLockFile::KLockFile(const QString&, const KComponentData&)
    {72, 2011, 1470, 1, 0, 140, 2},	//2028 KLockFile::lock(QFlags<KLockFile::LockFlag>)
    {72, 1844, 0, 0, Smoke::mf_const, 495, 3},	//2029 KLockFile::isLocked() const
    {72, 3210, 0, 0, 0, 0, 4},	//2030 KLockFile::unlock()
    {72, 2997, 0, 0, Smoke::mf_const, 678, 5},	//2031 KLockFile::staleTime() const
    {72, 2900, 118, 1, 0, 0, 6},	//2032 KLockFile::setStaleTime(int)
    {72, 1650, 1472, 3, 0, 495, 7},	//2033 KLockFile::getLockInfo(int&, QString&, QString&)
    {72, 406, 1476, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 138, 8},	//2034 KLockFile::KLockFile(const KLockFile&)
    {72, 406, 30, 1, Smoke::mf_ctor, 138, 9},	//2035 KLockFile::KLockFile(const QString&)
    {72, 2011, 0, 0, 0, 140, 10},	//2036 KLockFile::lock()
    {72, 589, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 11},	//2037 KLockFile::LockOK (enum)
    {72, 588, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 12},	//2038 KLockFile::LockFail (enum)
    {72, 587, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 13},	//2039 KLockFile::LockError (enum)
    {72, 590, 0, 0, Smoke::mf_static|Smoke::mf_enum, 140, 14},	//2040 KLockFile::LockStale (enum)
    {72, 612, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 15},	//2041 KLockFile::NoBlockFlag (enum)
    {72, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 16},	//2042 KLockFile::ForceFlag (enum)
    {72, 3410, 0, 0, Smoke::mf_dtor, 0, 17 },	//2043 KLockFile::~KLockFile()
    {73, 410, 0, 0, Smoke::mf_ctor, 141, 1},	//2044 KMD5::KMD5()
    {73, 410, 1098, 2, Smoke::mf_ctor, 141, 2},	//2045 KMD5::KMD5(const char*, int)
    {73, 410, 32, 1, Smoke::mf_ctor, 141, 3},	//2046 KMD5::KMD5(const QByteArray&)
    {73, 3218, 1098, 2, 0, 0, 4},	//2047 KMD5::update(const char*, int)
    {73, 3218, 1478, 2, 0, 0, 5},	//2048 KMD5::update(const unsigned char*, int)
    {73, 3218, 32, 1, 0, 0, 6},	//2049 KMD5::update(const QByteArray&)
    {73, 3218, 1481, 1, 0, 495, 7},	//2050 KMD5::update(QIODevice&)
    {73, 2469, 0, 0, 0, 0, 8},	//2051 KMD5::reset()
    {73, 2354, 0, 0, 0, 670, 9},	//2052 KMD5::rawDigest()
    {73, 2354, 1483, 1, 0, 0, 10},	//2053 KMD5::rawDigest(unsigned char(&)[16])
    {73, 1713, 0, 0, 0, 248, 11},	//2054 KMD5::hexDigest()
    {73, 1713, 1485, 1, 0, 0, 12},	//2055 KMD5::hexDigest(QByteArray&)
    {73, 1086, 0, 0, 0, 248, 13},	//2056 KMD5::base64Digest()
    {73, 3257, 1487, 1, 0, 495, 14},	//2057 KMD5::verify(const unsigned char(&)[16])
    {73, 3257, 32, 1, 0, 495, 15},	//2058 KMD5::verify(const QByteArray&)
    {73, 3168, 1489, 1, Smoke::mf_protected, 0, 16},	//2059 KMD5::transform(const unsigned char[64])
    {73, 1511, 0, 0, Smoke::mf_protected, 0, 17},	//2060 KMD5::finalize()
    {73, 410, 122, 1, Smoke::mf_ctor, 141, 18},	//2061 KMD5::KMD5(const char*)
    {73, 3218, 122, 1, 0, 0, 19},	//2062 KMD5::update(const char*)
    {73, 3218, 1491, 1, 0, 0, 20},	//2063 KMD5::update(const unsigned char*)
    {73, 3411, 0, 0, Smoke::mf_dtor, 0, 21 },	//2064 KMD5::~KMD5()
    {74, 1477, 1493, 3, Smoke::mf_static, 382, 1},	//2065 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1477, 1497, 2, Smoke::mf_static, 382, 2},	//2066 KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    {74, 1481, 1500, 3, Smoke::mf_static, 382, 3},	//2067 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1481, 1504, 2, Smoke::mf_static, 382, 4},	//2068 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    {74, 1477, 1500, 3, Smoke::mf_static, 382, 5},	//2069 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    {74, 1477, 1504, 2, Smoke::mf_static, 382, 6},	//2070 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    {74, 1481, 1493, 3, Smoke::mf_static, 382, 7},	//2071 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    {74, 1481, 1497, 2, Smoke::mf_static, 382, 8},	//2072 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    {74, 1477, 1507, 3, Smoke::mf_static, 382, 9},	//2073 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1477, 1511, 2, Smoke::mf_static, 382, 10},	//2074 KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    {74, 1477, 1514, 3, Smoke::mf_static, 382, 11},	//2075 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1477, 1518, 2, Smoke::mf_static, 382, 12},	//2076 KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    {74, 1481, 1507, 3, Smoke::mf_static, 382, 13},	//2077 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    {74, 1481, 1511, 2, Smoke::mf_static, 382, 14},	//2078 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    {74, 1481, 1514, 3, Smoke::mf_static, 382, 15},	//2079 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    {74, 1481, 1518, 2, Smoke::mf_static, 382, 16},	//2080 KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    {75, 414, 330, 1, Smoke::mf_ctor, 142, 1},	//2081 KMacroExpanderBase::KMacroExpanderBase(QChar)
    {75, 1477, 1521, 1, 0, 0, 2},	//2082 KMacroExpanderBase::expandMacros(QString&)
    {75, 1481, 1523, 2, 0, 495, 3},	//2083 KMacroExpanderBase::expandMacrosShellQuote(QString&, int&)
    {75, 1481, 1521, 1, 0, 495, 4},	//2084 KMacroExpanderBase::expandMacrosShellQuote(QString&)
    {75, 2658, 330, 1, 0, 0, 5},	//2085 KMacroExpanderBase::setEscapeChar(QChar)
    {75, 1451, 0, 0, Smoke::mf_const, 250, 6},	//2086 KMacroExpanderBase::escapeChar() const
    {75, 1486, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 7},	//2087 KMacroExpanderBase::expandPlainMacro(const QString&, int, QStringList&)
    {75, 1472, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 8},	//2088 KMacroExpanderBase::expandEscapedMacro(const QString&, int, QStringList&)
    {75, 414, 1526, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 142, 9},	//2089 KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    {75, 414, 0, 0, Smoke::mf_ctor, 142, 10},	//2090 KMacroExpanderBase::KMacroExpanderBase()
    {75, 3412, 0, 0, Smoke::mf_dtor, 0, 11 },	//2091 KMacroExpanderBase::~KMacroExpanderBase()
    {76, 2065, 1528, 3, Smoke::mf_static, 0, 1},	//2092 KMessage::message(KMessage::MessageType, const QString&, const QString&)
    {76, 2065, 1532, 2, Smoke::mf_static, 0, 2},	//2093 KMessage::message(KMessage::MessageType, const QString&)
    {76, 2795, 1535, 1, Smoke::mf_static, 0, 3},	//2094 KMessage::setMessageHandler(KMessageHandler*)
    {76, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 4},	//2095 KMessage::Error (enum)
    {76, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 5},	//2096 KMessage::Information (enum)
    {76, 802, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 6},	//2097 KMessage::Warning (enum)
    {76, 720, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 7},	//2098 KMessage::Sorry (enum)
    {76, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 143, 8},	//2099 KMessage::Fatal (enum)
    {77, 2065, 1528, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//2100 KMessageHandler::message(KMessage::MessageType, const QString&, const QString&) [pure virtual]
    {77, 416, 0, 0, Smoke::mf_ctor, 144, 2},	//2101 KMessageHandler::KMessageHandler()
    {77, 416, 1537, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 3},	//2102 KMessageHandler::KMessageHandler(const KMessageHandler&)
    {77, 3413, 0, 0, Smoke::mf_dtor, 0, 4 },	//2103 KMessageHandler::~KMessageHandler()
    {78, 1724, 148, 1, Smoke::mf_const, 382, 1},	//2104 KMimeType::iconName(const KUrl&) const
    {78, 1726, 1539, 2, Smoke::mf_static, 382, 2},	//2105 KMimeType::iconNameForUrl(const KUrl&, unsigned int)
    {78, 1498, 148, 1, Smoke::mf_static, 382, 3},	//2106 KMimeType::favIconForUrl(const KUrl&)
    {78, 1169, 148, 1, Smoke::mf_const, 382, 4},	//2107 KMimeType::comment(const KUrl&) const
    {78, 2259, 0, 0, Smoke::mf_const, 387, 5},	//2108 KMimeType::patterns() const
    {78, 2069, 1542, 2, Smoke::mf_static, 177, 6},	//2109 KMimeType::mimeType(const QString&, KMimeType::FindByNameOption)
    {78, 1536, 1545, 5, Smoke::mf_static, 177, 7},	//2110 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool, int*)
    {78, 1531, 1551, 4, Smoke::mf_static, 177, 8},	//2111 KMimeType::findByPath(const QString&, unsigned int, bool, int*)
    {78, 1521, 1556, 2, Smoke::mf_static, 177, 9},	//2112 KMimeType::findByContent(const QByteArray&, int*)
    {78, 1527, 1559, 4, Smoke::mf_static, 177, 10},	//2113 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    {78, 1521, 1564, 2, Smoke::mf_static, 177, 11},	//2114 KMimeType::findByContent(QIODevice*, int*)
    {78, 1527, 1567, 4, Smoke::mf_static, 177, 12},	//2115 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    {78, 1524, 1572, 2, Smoke::mf_static, 177, 13},	//2116 KMimeType::findByFileContent(const QString&, int*)
    {78, 1791, 30, 1, Smoke::mf_static, 495, 14},	//2117 KMimeType::isBinaryData(const QString&)
    {78, 1793, 32, 1, Smoke::mf_static, 495, 15},	//2118 KMimeType::isBufferBinaryData(const QByteArray&)
    {78, 1025, 0, 0, Smoke::mf_static, 348, 16},	//2119 KMimeType::allMimeTypes()
    {78, 1334, 0, 0, Smoke::mf_static, 382, 17},	//2120 KMimeType::defaultMimeType()
    {78, 1335, 0, 0, Smoke::mf_static, 177, 18},	//2121 KMimeType::defaultMimeTypePtr()
    {78, 1804, 0, 0, Smoke::mf_const, 495, 19},	//2122 KMimeType::isDefault() const
    {78, 2245, 0, 0, Smoke::mf_const, 382, 20},	//2123 KMimeType::parentMimeType() const
    {78, 2246, 0, 0, Smoke::mf_const, 387, 21},	//2124 KMimeType::parentMimeTypes() const
    {78, 1026, 0, 0, Smoke::mf_const, 387, 22},	//2125 KMimeType::allParentMimeTypes() const
    {78, 1780, 30, 1, Smoke::mf_const, 495, 23},	//2126 KMimeType::is(const QString&) const
    {78, 3238, 0, 0, Smoke::mf_const, 382, 24},	//2127 KMimeType::userSpecifiedIconName() const
    {78, 2047, 0, 0, Smoke::mf_const, 382, 25},	//2128 KMimeType::mainExtension() const
    {78, 1490, 30, 1, Smoke::mf_static, 382, 26},	//2129 KMimeType::extractKnownExtension(const QString&)
    {78, 2055, 95, 2, Smoke::mf_static, 495, 27},	//2130 KMimeType::matchFileName(const QString&, const QString&)
    {78, 2958, 0, 0, Smoke::mf_static, 678, 28},	//2131 KMimeType::sharedMimeInfoVersion()
    {78, 418, 1575, 2, Smoke::mf_ctor|Smoke::mf_protected, 145, 29},	//2132 KMimeType::KMimeType(QDataStream&, int)
    {78, 418, 1340, 3, Smoke::mf_ctor|Smoke::mf_protected, 145, 30},	//2133 KMimeType::KMimeType(const QString&, const QString&, const QString&)
    {78, 418, 1578, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 31},	//2134 KMimeType::KMimeType(KMimeTypePrivate&)
    {78, 418, 1580, 3, Smoke::mf_ctor|Smoke::mf_protected, 145, 32},	//2135 KMimeType::KMimeType(KMimeTypePrivate&, const QString&, const QString&)
    {78, 1724, 0, 0, Smoke::mf_const, 382, 33},	//2136 KMimeType::iconName() const
    {78, 1726, 148, 1, Smoke::mf_static, 382, 34},	//2137 KMimeType::iconNameForUrl(const KUrl&)
    {78, 1169, 0, 0, Smoke::mf_const, 382, 35},	//2138 KMimeType::comment() const
    {78, 2069, 30, 1, Smoke::mf_static, 177, 36},	//2139 KMimeType::mimeType(const QString&)
    {78, 1536, 148, 1, Smoke::mf_static, 177, 37},	//2140 KMimeType::findByUrl(const KUrl&)
    {78, 1536, 1539, 2, Smoke::mf_static, 177, 38},	//2141 KMimeType::findByUrl(const KUrl&, unsigned int)
    {78, 1536, 1584, 3, Smoke::mf_static, 177, 39},	//2142 KMimeType::findByUrl(const KUrl&, unsigned int, bool)
    {78, 1536, 1588, 4, Smoke::mf_static, 177, 40},	//2143 KMimeType::findByUrl(const KUrl&, unsigned int, bool, bool)
    {78, 1531, 30, 1, Smoke::mf_static, 177, 41},	//2144 KMimeType::findByPath(const QString&)
    {78, 1531, 997, 2, Smoke::mf_static, 177, 42},	//2145 KMimeType::findByPath(const QString&, unsigned int)
    {78, 1531, 1593, 3, Smoke::mf_static, 177, 43},	//2146 KMimeType::findByPath(const QString&, unsigned int, bool)
    {78, 1521, 32, 1, Smoke::mf_static, 177, 44},	//2147 KMimeType::findByContent(const QByteArray&)
    {78, 1527, 579, 2, Smoke::mf_static, 177, 45},	//2148 KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    {78, 1527, 1597, 3, Smoke::mf_static, 177, 46},	//2149 KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    {78, 1521, 1124, 1, Smoke::mf_static, 177, 47},	//2150 KMimeType::findByContent(QIODevice*)
    {78, 1527, 1601, 2, Smoke::mf_static, 177, 48},	//2151 KMimeType::findByNameAndContent(const QString&, QIODevice*)
    {78, 1527, 1604, 3, Smoke::mf_static, 177, 49},	//2152 KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    {78, 1524, 30, 1, Smoke::mf_static, 177, 50},	//2153 KMimeType::findByFileContent(const QString&)
    {78, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 51},	//2154 KMimeType::DontResolveAlias (enum)
    {78, 698, 0, 0, Smoke::mf_static|Smoke::mf_enum, 146, 52},	//2155 KMimeType::ResolveAliases (enum)
    {78, 3414, 0, 0, Smoke::mf_dtor, 0, 53 },	//2156 KMimeType::~KMimeType()
    {80, 2334, 1340, 3, Smoke::mf_const, 349, 1},	//2157 KMimeTypeTrader::query(const QString&, const QString&, const QString&) const
    {80, 2284, 95, 2, 0, 178, 2},	//2158 KMimeTypeTrader::preferredService(const QString&, const QString&)
    {80, 2507, 0, 0, Smoke::mf_static, 148, 3},	//2159 KMimeTypeTrader::self()
    {80, 423, 1608, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//2160 KMimeTypeTrader::KMimeTypeTrader(const KMimeTypeTrader&)
    {80, 2334, 30, 1, Smoke::mf_const, 349, 5},	//2161 KMimeTypeTrader::query(const QString&) const
    {80, 2334, 95, 2, Smoke::mf_const, 349, 6},	//2162 KMimeTypeTrader::query(const QString&, const QString&) const
    {80, 2284, 30, 1, 0, 178, 7},	//2163 KMimeTypeTrader::preferredService(const QString&)
    {80, 3415, 0, 0, Smoke::mf_dtor, 0, 8 },	//2164 KMimeTypeTrader::~KMimeTypeTrader()
    {82, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//2165 KPluginFactory::metaObject() const
    {82, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//2166 KPluginFactory::qt_metacast(const char*)
    {82, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2167 KPluginFactory::tr(const char*, const char*)
    {82, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2168 KPluginFactory::trUtf8(const char*, const char*)
    {82, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2169 KPluginFactory::tr(const char*, const char*, int)
    {82, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2170 KPluginFactory::trUtf8(const char*, const char*, int)
    {82, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//2171 KPluginFactory::qt_metacall(QMetaObject::Call, int, void**)
    {82, 425, 1610, 3, Smoke::mf_ctor, 150, 8},	//2172 KPluginFactory::KPluginFactory(const char*, const char*, QObject*)
    {82, 425, 1614, 2, Smoke::mf_ctor, 150, 9},	//2173 KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    {82, 425, 1617, 2, Smoke::mf_ctor, 150, 10},	//2174 KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    {82, 425, 146, 1, Smoke::mf_ctor, 150, 11},	//2175 KPluginFactory::KPluginFactory(QObject*)
    {82, 1173, 0, 0, Smoke::mf_const, 36, 12},	//2176 KPluginFactory::componentData() const
    {82, 1215, 1620, 3, 0, 374, 13},	//2177 KPluginFactory::create(QObject*, const char*, const QStringList&)
    {82, 2136, 146, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//2178 KPluginFactory::objectCreated(QObject*)
    {82, 425, 1624, 2, Smoke::mf_ctor|Smoke::mf_protected, 150, 15},	//2179 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    {82, 3068, 141, 1, Smoke::mf_protected, 362, 16},	//2180 KPluginFactory::stringListToVariantList(const QStringList&)
    {82, 3255, 1627, 1, Smoke::mf_protected, 387, 17},	//2181 KPluginFactory::variantListToStringList(const QList<QVariant>&)
    {82, 2957, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//2182 KPluginFactory::setupTranslations()
    {82, 1225, 1620, 3, Smoke::mf_protected|Smoke::mf_virtual, 374, 19},	//2183 KPluginFactory::createObject(QObject*, const char*, const QStringList&)
    {82, 1227, 1629, 4, Smoke::mf_protected|Smoke::mf_virtual, 149, 20},	//2184 KPluginFactory::createPartObject(QWidget*, QObject*, const char*, const QStringList&)
    {82, 2574, 420, 1, Smoke::mf_protected, 0, 21},	//2185 KPluginFactory::setComponentData(const KComponentData&)
    {82, 1215, 1634, 5, Smoke::mf_protected|Smoke::mf_virtual, 374, 22},	//2186 KPluginFactory::create(const char*, QWidget*, QObject*, const QList<QVariant>&, const QString&)
    {82, 3157, 122, 1, Smoke::mf_static, 382, 23},	//2187 KPluginFactory::tr(const char*)
    {82, 3164, 122, 1, Smoke::mf_static, 382, 24},	//2188 KPluginFactory::trUtf8(const char*)
    {82, 425, 0, 0, Smoke::mf_ctor, 150, 25},	//2189 KPluginFactory::KPluginFactory()
    {82, 425, 122, 1, Smoke::mf_ctor, 150, 26},	//2190 KPluginFactory::KPluginFactory(const char*)
    {82, 425, 124, 2, Smoke::mf_ctor, 150, 27},	//2191 KPluginFactory::KPluginFactory(const char*, const char*)
    {82, 425, 12, 1, Smoke::mf_ctor, 150, 28},	//2192 KPluginFactory::KPluginFactory(const KAboutData&)
    {82, 425, 362, 1, Smoke::mf_ctor, 150, 29},	//2193 KPluginFactory::KPluginFactory(const KAboutData*)
    {82, 1215, 0, 0, 0, 374, 30},	//2194 KPluginFactory::create()
    {82, 1215, 146, 1, 0, 374, 31},	//2195 KPluginFactory::create(QObject*)
    {82, 1215, 1640, 2, 0, 374, 32},	//2196 KPluginFactory::create(QObject*, const char*)
    {82, 425, 1643, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 33},	//2197 KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    {82, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 34},	//2198 KPluginFactory::staticMetaObject() const
    {82, 3416, 0, 0, Smoke::mf_dtor, 0, 35 },	//2199 KPluginFactory::~KPluginFactory()
    {84, 431, 514, 2, Smoke::mf_ctor, 153, 1},	//2200 KPluginInfo::KPluginInfo(const QString&, const char*)
    {84, 431, 1645, 1, Smoke::mf_ctor, 153, 2},	//2201 KPluginInfo::KPluginInfo(const KSharedPtr<KService>)
    {84, 431, 0, 0, Smoke::mf_ctor, 153, 3},	//2202 KPluginInfo::KPluginInfo()
    {84, 1632, 1647, 2, Smoke::mf_static, 345, 4},	//2203 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&, const KConfigGroup&)
    {84, 1620, 1650, 2, Smoke::mf_static, 345, 5},	//2204 KPluginInfo::fromFiles(const QStringList&, const KConfigGroup&)
    {84, 1623, 1653, 2, Smoke::mf_static, 345, 6},	//2205 KPluginInfo::fromKPartsInstanceName(const QString&, const KConfigGroup&)
    {84, 1831, 0, 0, Smoke::mf_const, 495, 7},	//2206 KPluginInfo::isHidden() const
    {84, 2843, 103, 1, 0, 0, 8},	//2207 KPluginInfo::setPluginEnabled(bool)
    {84, 1853, 0, 0, Smoke::mf_const, 495, 9},	//2208 KPluginInfo::isPluginEnabled() const
    {84, 1854, 0, 0, Smoke::mf_const, 495, 10},	//2209 KPluginInfo::isPluginEnabledByDefault() const
    {84, 2308, 30, 1, Smoke::mf_const, 406, 11},	//2210 KPluginInfo::property(const QString&) const
    {84, 2109, 0, 0, Smoke::mf_const, 382, 12},	//2211 KPluginInfo::name() const
    {84, 1169, 0, 0, Smoke::mf_const, 382, 13},	//2212 KPluginInfo::comment() const
    {84, 1722, 0, 0, Smoke::mf_const, 382, 14},	//2213 KPluginInfo::icon() const
    {84, 1430, 0, 0, Smoke::mf_const, 382, 15},	//2214 KPluginInfo::entryPath() const
    {84, 1053, 0, 0, Smoke::mf_const, 382, 16},	//2215 KPluginInfo::author() const
    {84, 1399, 0, 0, Smoke::mf_const, 382, 17},	//2216 KPluginInfo::email() const
    {84, 1126, 0, 0, Smoke::mf_const, 382, 18},	//2217 KPluginInfo::category() const
    {84, 2272, 0, 0, Smoke::mf_const, 382, 19},	//2218 KPluginInfo::pluginName() const
    {84, 3260, 0, 0, Smoke::mf_const, 382, 20},	//2219 KPluginInfo::version() const
    {84, 3280, 0, 0, Smoke::mf_const, 382, 21},	//2220 KPluginInfo::website() const
    {84, 1978, 0, 0, Smoke::mf_const, 382, 22},	//2221 KPluginInfo::license() const
    {84, 1643, 0, 0, Smoke::mf_const, 7, 23},	//2222 KPluginInfo::fullLicense() const
    {84, 1352, 0, 0, Smoke::mf_const, 387, 24},	//2223 KPluginInfo::dependencies() const
    {84, 2510, 0, 0, Smoke::mf_const, 178, 25},	//2224 KPluginInfo::service() const
    {84, 1911, 0, 0, Smoke::mf_const, 349, 26},	//2225 KPluginInfo::kcmServices() const
    {84, 2576, 501, 1, 0, 0, 27},	//2226 KPluginInfo::setConfig(const KConfigGroup&)
    {84, 1178, 0, 0, Smoke::mf_const, 47, 28},	//2227 KPluginInfo::config() const
    {84, 2491, 1656, 1, 0, 0, 29},	//2228 KPluginInfo::save(KConfigGroup)
    {84, 1988, 501, 1, 0, 0, 30},	//2229 KPluginInfo::load(const KConfigGroup&)
    {84, 1340, 0, 0, 0, 0, 31},	//2230 KPluginInfo::defaults()
    {84, 1879, 0, 0, Smoke::mf_const, 495, 32},	//2231 KPluginInfo::isValid() const
    {84, 431, 1658, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 33},	//2232 KPluginInfo::KPluginInfo(const KPluginInfo&)
    {84, 2205, 1658, 1, 0, 152, 34},	//2233 KPluginInfo::operator=(const KPluginInfo&)
    {84, 2208, 1658, 1, Smoke::mf_const, 495, 35},	//2234 KPluginInfo::operator==(const KPluginInfo&) const
    {84, 2165, 1658, 1, Smoke::mf_const, 495, 36},	//2235 KPluginInfo::operator!=(const KPluginInfo&) const
    {84, 2187, 1658, 1, Smoke::mf_const, 495, 37},	//2236 KPluginInfo::operator<(const KPluginInfo&) const
    {84, 2215, 1658, 1, Smoke::mf_const, 495, 38},	//2237 KPluginInfo::operator>(const KPluginInfo&) const
    {84, 431, 30, 1, Smoke::mf_ctor, 153, 39},	//2238 KPluginInfo::KPluginInfo(const QString&)
    {84, 1632, 1660, 1, Smoke::mf_static, 345, 40},	//2239 KPluginInfo::fromServices(const QList<KSharedPtr<KService> >&)
    {84, 1620, 141, 1, Smoke::mf_static, 345, 41},	//2240 KPluginInfo::fromFiles(const QStringList&)
    {84, 1623, 30, 1, Smoke::mf_static, 345, 42},	//2241 KPluginInfo::fromKPartsInstanceName(const QString&)
    {84, 2491, 0, 0, 0, 0, 43},	//2242 KPluginInfo::save()
    {84, 1988, 0, 0, 0, 0, 44},	//2243 KPluginInfo::load()
    {84, 3417, 0, 0, Smoke::mf_dtor, 0, 45 },	//2244 KPluginInfo::~KPluginInfo()
    {85, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//2245 KPluginLoader::metaObject() const
    {85, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//2246 KPluginLoader::qt_metacast(const char*)
    {85, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2247 KPluginLoader::tr(const char*, const char*)
    {85, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2248 KPluginLoader::trUtf8(const char*, const char*)
    {85, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2249 KPluginLoader::tr(const char*, const char*, int)
    {85, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2250 KPluginLoader::trUtf8(const char*, const char*, int)
    {85, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//2251 KPluginLoader::qt_metacall(QMetaObject::Call, int, void**)
    {85, 436, 1195, 3, Smoke::mf_ctor, 154, 8},	//2252 KPluginLoader::KPluginLoader(const QString&, const KComponentData&, QObject*)
    {85, 436, 1662, 3, Smoke::mf_ctor, 154, 9},	//2253 KPluginLoader::KPluginLoader(const KService&, const KComponentData&, QObject*)
    {85, 1494, 0, 0, 0, 150, 10},	//2254 KPluginLoader::factory()
    {85, 2272, 0, 0, Smoke::mf_const, 382, 11},	//2255 KPluginLoader::pluginName() const
    {85, 2273, 0, 0, Smoke::mf_const, 694, 12},	//2256 KPluginLoader::pluginVersion() const
    {85, 1446, 0, 0, Smoke::mf_const, 382, 13},	//2257 KPluginLoader::errorString() const
    {85, 1841, 0, 0, Smoke::mf_const, 495, 14},	//2258 KPluginLoader::isLoaded() const
    {85, 1988, 0, 0, Smoke::mf_protected, 495, 15},	//2259 KPluginLoader::load()
    {85, 3157, 122, 1, Smoke::mf_static, 382, 16},	//2260 KPluginLoader::tr(const char*)
    {85, 3164, 122, 1, Smoke::mf_static, 382, 17},	//2261 KPluginLoader::trUtf8(const char*)
    {85, 436, 30, 1, Smoke::mf_ctor, 154, 18},	//2262 KPluginLoader::KPluginLoader(const QString&)
    {85, 436, 1192, 2, Smoke::mf_ctor, 154, 19},	//2263 KPluginLoader::KPluginLoader(const QString&, const KComponentData&)
    {85, 436, 1666, 1, Smoke::mf_ctor, 154, 20},	//2264 KPluginLoader::KPluginLoader(const KService&)
    {85, 436, 1668, 2, Smoke::mf_ctor, 154, 21},	//2265 KPluginLoader::KPluginLoader(const KService&, const KComponentData&)
    {85, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 22},	//2266 KPluginLoader::staticMetaObject() const
    {85, 3418, 0, 0, Smoke::mf_dtor, 0, 23 },	//2267 KPluginLoader::~KPluginLoader()
    {86, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//2268 KProcess::metaObject() const
    {86, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//2269 KProcess::qt_metacast(const char*)
    {86, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2270 KProcess::tr(const char*, const char*)
    {86, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2271 KProcess::trUtf8(const char*, const char*)
    {86, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2272 KProcess::tr(const char*, const char*, int)
    {86, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2273 KProcess::trUtf8(const char*, const char*, int)
    {86, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//2274 KProcess::qt_metacall(QMetaObject::Call, int, void**)
    {86, 443, 146, 1, Smoke::mf_ctor, 156, 8},	//2275 KProcess::KProcess(QObject*)
    {86, 2829, 1671, 1, 0, 0, 9},	//2276 KProcess::setOutputChannelMode(KProcess::OutputChannelMode)
    {86, 2241, 0, 0, Smoke::mf_const, 157, 10},	//2277 KProcess::outputChannelMode() const
    {86, 2817, 150, 1, 0, 0, 11},	//2278 KProcess::setNextOpenMode(QFlags<QIODevice::OpenModeFlag>)
    {86, 2647, 1126, 3, 0, 0, 12},	//2279 KProcess::setEnv(const QString&, const QString&, bool)
    {86, 3214, 30, 1, 0, 0, 13},	//2280 KProcess::unsetEnv(const QString&)
    {86, 1155, 0, 0, 0, 0, 14},	//2281 KProcess::clearEnvironment()
    {86, 2859, 523, 2, 0, 0, 15},	//2282 KProcess::setProgram(const QString&, const QStringList&)
    {86, 2859, 141, 1, 0, 0, 16},	//2283 KProcess::setProgram(const QStringList&)
    {86, 2193, 30, 1, 0, 155, 17},	//2284 KProcess::operator<<(const QString&)
    {86, 2193, 141, 1, 0, 155, 18},	//2285 KProcess::operator<<(const QStringList&)
    {86, 1156, 0, 0, 0, 0, 19},	//2286 KProcess::clearProgram()
    {86, 2887, 30, 1, 0, 0, 20},	//2287 KProcess::setShellCommand(const QString&)
    {86, 2301, 0, 0, Smoke::mf_const, 387, 21},	//2288 KProcess::program() const
    {86, 2998, 0, 0, 0, 0, 22},	//2289 KProcess::start()
    {86, 1460, 118, 1, 0, 678, 23},	//2290 KProcess::execute(int)
    {86, 1460, 1673, 3, Smoke::mf_static, 678, 24},	//2291 KProcess::execute(const QString&, const QStringList&, int)
    {86, 1460, 1677, 2, Smoke::mf_static, 678, 25},	//2292 KProcess::execute(const QStringList&, int)
    {86, 3000, 0, 0, 0, 678, 26},	//2293 KProcess::startDetached()
    {86, 3000, 523, 2, Smoke::mf_static, 678, 27},	//2294 KProcess::startDetached(const QString&, const QStringList&)
    {86, 3000, 141, 1, Smoke::mf_static, 678, 28},	//2295 KProcess::startDetached(const QStringList&)
    {86, 2270, 0, 0, Smoke::mf_const, 678, 29},	//2296 KProcess::pid() const
    {86, 443, 1680, 2, Smoke::mf_ctor|Smoke::mf_protected, 156, 30},	//2297 KProcess::KProcess(KProcessPrivate*, QObject*)
    {86, 3157, 122, 1, Smoke::mf_static, 382, 31},	//2298 KProcess::tr(const char*)
    {86, 3164, 122, 1, Smoke::mf_static, 382, 32},	//2299 KProcess::trUtf8(const char*)
    {86, 443, 0, 0, Smoke::mf_ctor, 156, 33},	//2300 KProcess::KProcess()
    {86, 2647, 95, 2, 0, 0, 34},	//2301 KProcess::setEnv(const QString&, const QString&)
    {86, 2859, 30, 1, 0, 0, 35},	//2302 KProcess::setProgram(const QString&)
    {86, 1460, 0, 0, 0, 678, 36},	//2303 KProcess::execute()
    {86, 1460, 30, 1, Smoke::mf_static, 678, 37},	//2304 KProcess::execute(const QString&)
    {86, 1460, 523, 2, Smoke::mf_static, 678, 38},	//2305 KProcess::execute(const QString&, const QStringList&)
    {86, 1460, 141, 1, Smoke::mf_static, 678, 39},	//2306 KProcess::execute(const QStringList&)
    {86, 3000, 30, 1, Smoke::mf_static, 678, 40},	//2307 KProcess::startDetached(const QString&)
    {86, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 41},	//2308 KProcess::staticMetaObject() const
    {86, 705, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 42},	//2309 KProcess::SeparateChannels (enum)
    {86, 599, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 43},	//2310 KProcess::MergedChannels (enum)
    {86, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 44},	//2311 KProcess::ForwardedChannels (enum)
    {86, 641, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 45},	//2312 KProcess::OnlyStdoutChannel (enum)
    {86, 640, 0, 0, Smoke::mf_static|Smoke::mf_enum, 157, 46},	//2313 KProcess::OnlyStderrChannel (enum)
    {86, 3419, 0, 0, Smoke::mf_dtor, 0, 47 },	//2314 KProcess::~KProcess()
    {88, 2319, 0, 0, Smoke::mf_static, 387, 1},	//2315 KProtocolInfo::protocols()
    {88, 1834, 148, 1, Smoke::mf_static, 495, 2},	//2316 KProtocolInfo::isKnownProtocol(const KUrl&)
    {88, 1834, 30, 1, Smoke::mf_static, 495, 3},	//2317 KProtocolInfo::isKnownProtocol(const QString&)
    {88, 1455, 30, 1, Smoke::mf_static, 382, 4},	//2318 KProtocolInfo::exec(const QString&)
    {88, 1488, 148, 1, Smoke::mf_static, 346, 5},	//2319 KProtocolInfo::extraFields(const KUrl&)
    {88, 1828, 148, 1, Smoke::mf_static, 495, 6},	//2320 KProtocolInfo::isHelperProtocol(const KUrl&)
    {88, 1828, 30, 1, Smoke::mf_static, 495, 7},	//2321 KProtocolInfo::isHelperProtocol(const QString&)
    {88, 1820, 148, 1, Smoke::mf_static, 495, 8},	//2322 KProtocolInfo::isFilterProtocol(const KUrl&)
    {88, 1820, 30, 1, Smoke::mf_static, 495, 9},	//2323 KProtocolInfo::isFilterProtocol(const QString&)
    {88, 1722, 30, 1, Smoke::mf_static, 382, 10},	//2324 KProtocolInfo::icon(const QString&)
    {88, 1178, 30, 1, Smoke::mf_static, 382, 11},	//2325 KProtocolInfo::config(const QString&)
    {88, 2058, 30, 1, Smoke::mf_static, 678, 12},	//2326 KProtocolInfo::maxSlaves(const QString&)
    {88, 2060, 30, 1, Smoke::mf_static, 678, 13},	//2327 KProtocolInfo::maxSlavesPerHost(const QString&)
    {88, 1370, 30, 1, Smoke::mf_static, 495, 14},	//2328 KProtocolInfo::determineMimetypeFromExtension(const QString&)
    {88, 1394, 30, 1, Smoke::mf_static, 382, 15},	//2329 KProtocolInfo::docPath(const QString&)
    {88, 2317, 30, 1, Smoke::mf_static, 382, 16},	//2330 KProtocolInfo::protocolClass(const QString&)
    {88, 2964, 30, 1, Smoke::mf_static, 495, 17},	//2331 KProtocolInfo::showFilePreview(const QString&)
    {88, 1118, 30, 1, Smoke::mf_static, 387, 18},	//2332 KProtocolInfo::capabilities(const QString&)
    {88, 2320, 30, 1, Smoke::mf_static, 382, 19},	//2333 KProtocolInfo::proxiedBy(const QString&)
    {88, 446, 1575, 2, Smoke::mf_ctor, 159, 20},	//2334 KProtocolInfo::KProtocolInfo(QDataStream&, int)
    {88, 1334, 0, 0, Smoke::mf_const, 382, 21},	//2335 KProtocolInfo::defaultMimeType() const
    {88, 1048, 0, 0, Smoke::mf_const, 387, 22},	//2336 KProtocolInfo::archiveMimeTypes() const
    {88, 1116, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 23},	//2337 KProtocolInfo::canRenameFromFile() const
    {88, 1117, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 24},	//2338 KProtocolInfo::canRenameToFile() const
    {88, 1114, 0, 0, Smoke::mf_const|Smoke::mf_protected, 495, 25},	//2339 KProtocolInfo::canDeleteRecursive() const
    {88, 1509, 0, 0, Smoke::mf_const|Smoke::mf_protected, 2, 26},	//2340 KProtocolInfo::fileNameUsedForCopying() const
    {88, 2035, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 27},	//2341 KProtocolInfo::m_name() const
    {88, 2757, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 28},	//2342 KProtocolInfo::setM_name(const QString&)
    {88, 2028, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 29},	//2343 KProtocolInfo::m_exec() const
    {88, 2743, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 30},	//2344 KProtocolInfo::setM_exec(const QString&)
    {88, 2030, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 164, 31},	//2345 KProtocolInfo::m_inputType() const
    {88, 2747, 1683, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 32},	//2346 KProtocolInfo::setM_inputType(KProtocolInfo::Type)
    {88, 2036, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 164, 33},	//2347 KProtocolInfo::m_outputType() const
    {88, 2759, 1683, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2348 KProtocolInfo::setM_outputType(KProtocolInfo::Type)
    {88, 2033, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 388, 35},	//2349 KProtocolInfo::m_listing() const
    {88, 2753, 141, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 36},	//2350 KProtocolInfo::setM_listing(const QStringList&)
    {88, 2032, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 37},	//2351 KProtocolInfo::m_isSourceProtocol() const
    {88, 2751, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 38},	//2352 KProtocolInfo::setM_isSourceProtocol(bool)
    {88, 2031, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 39},	//2353 KProtocolInfo::m_isHelperProtocol() const
    {88, 2749, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 40},	//2354 KProtocolInfo::setM_isHelperProtocol(bool)
    {88, 2040, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 41},	//2355 KProtocolInfo::m_supportsListing() const
    {88, 2767, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 42},	//2356 KProtocolInfo::setM_supportsListing(bool)
    {88, 2044, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 43},	//2357 KProtocolInfo::m_supportsReading() const
    {88, 2775, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 44},	//2358 KProtocolInfo::setM_supportsReading(bool)
    {88, 2045, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 45},	//2359 KProtocolInfo::m_supportsWriting() const
    {88, 2777, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 46},	//2360 KProtocolInfo::setM_supportsWriting(bool)
    {88, 2041, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 47},	//2361 KProtocolInfo::m_supportsMakeDir() const
    {88, 2769, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 48},	//2362 KProtocolInfo::setM_supportsMakeDir(bool)
    {88, 2038, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 49},	//2363 KProtocolInfo::m_supportsDeleting() const
    {88, 2763, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//2364 KProtocolInfo::setM_supportsDeleting(bool)
    {88, 2039, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 51},	//2365 KProtocolInfo::m_supportsLinking() const
    {88, 2765, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 52},	//2366 KProtocolInfo::setM_supportsLinking(bool)
    {88, 2042, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 53},	//2367 KProtocolInfo::m_supportsMoving() const
    {88, 2771, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 54},	//2368 KProtocolInfo::setM_supportsMoving(bool)
    {88, 2043, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 55},	//2369 KProtocolInfo::m_supportsOpening() const
    {88, 2773, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 56},	//2370 KProtocolInfo::setM_supportsOpening(bool)
    {88, 2025, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 57},	//2371 KProtocolInfo::m_defaultMimetype() const
    {88, 2737, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 58},	//2372 KProtocolInfo::setM_defaultMimetype(const QString&)
    {88, 2026, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 59},	//2373 KProtocolInfo::m_determineMimetypeFromExtension() const
    {88, 2739, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 60},	//2374 KProtocolInfo::setM_determineMimetypeFromExtension(bool)
    {88, 2029, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 61},	//2375 KProtocolInfo::m_icon() const
    {88, 2745, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 62},	//2376 KProtocolInfo::setM_icon(const QString&)
    {88, 2022, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 63},	//2377 KProtocolInfo::m_canCopyFromFile() const
    {88, 2731, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 64},	//2378 KProtocolInfo::setM_canCopyFromFile(bool)
    {88, 2023, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 495, 65},	//2379 KProtocolInfo::m_canCopyToFile() const
    {88, 2733, 103, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 66},	//2380 KProtocolInfo::setM_canCopyToFile(bool)
    {88, 2024, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 383, 67},	//2381 KProtocolInfo::m_config() const
    {88, 2735, 30, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 68},	//2382 KProtocolInfo::setM_config(const QString&)
    {88, 2034, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 678, 69},	//2383 KProtocolInfo::m_maxSlaves() const
    {88, 2755, 118, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 70},	//2384 KProtocolInfo::setM_maxSlaves(int)
    {88, 744, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 71},	//2385 KProtocolInfo::T_STREAM (enum)
    {88, 742, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 72},	//2386 KProtocolInfo::T_FILESYSTEM (enum)
    {88, 743, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 73},	//2387 KProtocolInfo::T_NONE (enum)
    {88, 741, 0, 0, Smoke::mf_static|Smoke::mf_enum, 164, 74},	//2388 KProtocolInfo::T_ERROR (enum)
    {88, 608, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 75},	//2389 KProtocolInfo::Name (enum)
    {88, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 76},	//2390 KProtocolInfo::FromUrl (enum)
    {88, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 163, 77},	//2391 KProtocolInfo::DisplayName (enum)
    {88, 3420, 0, 0, Smoke::mf_dtor, 0, 78 },	//2392 KProtocolInfo::~KProtocolInfo()
    {89, 130, 0, 0, Smoke::mf_ctor, 161, 1},	//2393 KProtocolInfo::ExtraField::ExtraField()
    {89, 130, 1685, 2, Smoke::mf_ctor, 161, 2},	//2394 KProtocolInfo::ExtraField::ExtraField(const QString&, KProtocolInfo::ExtraField::Type)
    {89, 130, 1688, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 161, 3},	//2395 KProtocolInfo::ExtraField::ExtraField(const KProtocolInfo::ExtraField&)
    {89, 2109, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 383, 4},	//2396 KProtocolInfo::ExtraField::name() const
    {89, 2809, 30, 1, Smoke::mf_attribute, 0, 5},	//2397 KProtocolInfo::ExtraField::setName(const QString&)
    {89, 3200, 0, 0, Smoke::mf_const|Smoke::mf_attribute, 162, 6},	//2398 KProtocolInfo::ExtraField::type() const
    {89, 2930, 1690, 1, Smoke::mf_attribute, 0, 7},	//2399 KProtocolInfo::ExtraField::setType(KProtocolInfo::ExtraField::Type)
    {89, 736, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 8},	//2400 KProtocolInfo::ExtraField::String (enum)
    {89, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 9},	//2401 KProtocolInfo::ExtraField::DateTime (enum)
    {89, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 162, 10},	//2402 KProtocolInfo::ExtraField::Invalid (enum)
    {89, 3353, 0, 0, Smoke::mf_dtor, 0, 11 },	//2403 KProtocolInfo::ExtraField::~ExtraField()
    {90, 2352, 118, 1, Smoke::mf_static, 382, 1},	//2404 KRandom::randomString(int)
    {90, 2351, 0, 0, Smoke::mf_static, 678, 2},	//2405 KRandom::random()
    {91, 448, 1282, 1, Smoke::mf_ctor, 166, 1},	//2406 KRandomSequence::KRandomSequence(long)
    {91, 448, 1692, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 166, 2},	//2407 KRandomSequence::KRandomSequence(const KRandomSequence&)
    {91, 2205, 1692, 1, 0, 165, 3},	//2408 KRandomSequence::operator=(const KRandomSequence&)
    {91, 2881, 1282, 1, 0, 0, 4},	//2409 KRandomSequence::setSeed(long)
    {91, 1649, 0, 0, 0, 675, 5},	//2410 KRandomSequence::getDouble()
    {91, 1652, 1167, 1, 0, 696, 6},	//2411 KRandomSequence::getLong(unsigned long)
    {91, 1646, 0, 0, 0, 495, 7},	//2412 KRandomSequence::getBool()
    {91, 2078, 118, 1, 0, 0, 8},	//2413 KRandomSequence::modulate(int)
    {91, 448, 0, 0, Smoke::mf_ctor, 166, 9},	//2414 KRandomSequence::KRandomSequence()
    {91, 2881, 0, 0, 0, 0, 10},	//2415 KRandomSequence::setSeed()
    {91, 3421, 0, 0, Smoke::mf_dtor, 0, 11 },	//2416 KRandomSequence::~KRandomSequence()
    {92, 470, 0, 0, Smoke::mf_ctor, 167, 1},	//2417 KSaveFile::KSaveFile()
    {92, 470, 1192, 2, Smoke::mf_ctor, 167, 2},	//2418 KSaveFile::KSaveFile(const QString&, const KComponentData&)
    {92, 2666, 30, 1, 0, 0, 3},	//2419 KSaveFile::setFileName(const QString&)
    {92, 1507, 0, 0, Smoke::mf_const, 382, 4},	//2420 KSaveFile::fileName() const
    {92, 1443, 0, 0, Smoke::mf_const, 272, 5},	//2421 KSaveFile::error() const
    {92, 1446, 0, 0, Smoke::mf_const, 382, 6},	//2422 KSaveFile::errorString() const
    {92, 2152, 150, 1, Smoke::mf_virtual, 495, 7},	//2423 KSaveFile::open(QFlags<QIODevice::OpenModeFlag>)
    {92, 840, 0, 0, 0, 0, 8},	//2424 KSaveFile::abort()
    {92, 1511, 0, 0, 0, 495, 9},	//2425 KSaveFile::finalize()
    {92, 1080, 95, 2, Smoke::mf_static, 495, 10},	//2426 KSaveFile::backupFile(const QString&, const QString&)
    {92, 2968, 1340, 3, Smoke::mf_static, 495, 11},	//2427 KSaveFile::simpleBackupFile(const QString&, const QString&, const QString&)
    {92, 2131, 1694, 4, Smoke::mf_static, 495, 12},	//2428 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&, const unsigned int)
    {92, 2356, 1340, 3, Smoke::mf_static, 495, 13},	//2429 KSaveFile::rcsBackupFile(const QString&, const QString&, const QString&)
    {92, 470, 30, 1, Smoke::mf_ctor, 167, 14},	//2430 KSaveFile::KSaveFile(const QString&)
    {92, 2152, 0, 0, 0, 495, 15},	//2431 KSaveFile::open()
    {92, 1080, 30, 1, Smoke::mf_static, 495, 16},	//2432 KSaveFile::backupFile(const QString&)
    {92, 2968, 30, 1, Smoke::mf_static, 495, 17},	//2433 KSaveFile::simpleBackupFile(const QString&)
    {92, 2968, 95, 2, Smoke::mf_static, 495, 18},	//2434 KSaveFile::simpleBackupFile(const QString&, const QString&)
    {92, 2131, 30, 1, Smoke::mf_static, 495, 19},	//2435 KSaveFile::numberedBackupFile(const QString&)
    {92, 2131, 95, 2, Smoke::mf_static, 495, 20},	//2436 KSaveFile::numberedBackupFile(const QString&, const QString&)
    {92, 2131, 1340, 3, Smoke::mf_static, 495, 21},	//2437 KSaveFile::numberedBackupFile(const QString&, const QString&, const QString&)
    {92, 2356, 30, 1, Smoke::mf_static, 495, 22},	//2438 KSaveFile::rcsBackupFile(const QString&)
    {92, 2356, 95, 2, Smoke::mf_static, 495, 23},	//2439 KSaveFile::rcsBackupFile(const QString&, const QString&)
    {92, 3422, 0, 0, Smoke::mf_dtor, 0, 24 },	//2440 KSaveFile::~KSaveFile()
    {93, 473, 1340, 3, Smoke::mf_ctor, 168, 1},	//2441 KService::KService(const QString&, const QString&, const QString&)
    {93, 473, 30, 1, Smoke::mf_ctor, 168, 2},	//2442 KService::KService(const QString&)
    {93, 473, 1699, 1, Smoke::mf_ctor, 168, 3},	//2443 KService::KService(const KDesktopFile*)
    {93, 473, 1575, 2, Smoke::mf_ctor, 168, 4},	//2444 KService::KService(QDataStream&, int)
    {93, 1782, 0, 0, Smoke::mf_const, 495, 5},	//2445 KService::isApplication() const
    {93, 3200, 0, 0, Smoke::mf_const, 382, 6},	//2446 KService::type() const
    {93, 1455, 0, 0, Smoke::mf_const, 382, 7},	//2447 KService::exec() const
    {93, 1975, 0, 0, Smoke::mf_const, 382, 8},	//2448 KService::library() const
    {93, 1722, 0, 0, Smoke::mf_const, 382, 9},	//2449 KService::icon() const
    {93, 3112, 0, 0, Smoke::mf_const, 495, 10},	//2450 KService::terminal() const
    {93, 3113, 0, 0, Smoke::mf_const, 382, 11},	//2451 KService::terminalOptions() const
    {93, 3082, 0, 0, Smoke::mf_const, 495, 12},	//2452 KService::substituteUid() const
    {93, 3239, 0, 0, Smoke::mf_const, 382, 13},	//2453 KService::username() const
    {93, 1364, 0, 0, Smoke::mf_const, 382, 14},	//2454 KService::desktopEntryPath() const
    {93, 1363, 0, 0, Smoke::mf_const, 382, 15},	//2455 KService::desktopEntryName() const
    {93, 2064, 0, 0, Smoke::mf_const, 382, 16},	//2456 KService::menuId() const
    {93, 3064, 0, 0, Smoke::mf_const, 382, 17},	//2457 KService::storageId() const
    {93, 1315, 0, 0, Smoke::mf_const, 169, 18},	//2458 KService::dbusStartupType() const
    {93, 2255, 0, 0, Smoke::mf_const, 382, 19},	//2459 KService::path() const
    {93, 1169, 0, 0, Smoke::mf_const, 382, 20},	//2460 KService::comment() const
    {93, 1645, 0, 0, Smoke::mf_const, 382, 21},	//2461 KService::genericName() const
    {93, 3216, 0, 0, Smoke::mf_const, 382, 22},	//2462 KService::untranslatedGenericName() const
    {93, 1934, 0, 0, Smoke::mf_const, 387, 23},	//2463 KService::keywords() const
    {93, 1125, 0, 0, Smoke::mf_const, 387, 24},	//2464 KService::categories() const
    {93, 2526, 0, 0, Smoke::mf_const, 387, 25},	//2465 KService::serviceTypes() const
    {93, 1703, 30, 1, Smoke::mf_const, 495, 26},	//2466 KService::hasServiceType(const QString&) const
    {93, 1690, 1701, 1, Smoke::mf_const, 495, 27},	//2467 KService::hasMimeType(const KServiceType*) const
    {93, 1690, 30, 1, Smoke::mf_const, 495, 28},	//2468 KService::hasMimeType(const QString&) const
    {93, 1035, 0, 0, Smoke::mf_const, 495, 29},	//2469 KService::allowAsDefault() const
    {93, 854, 0, 0, Smoke::mf_const, 347, 30},	//2470 KService::actions() const
    {93, 1037, 0, 0, Smoke::mf_const, 495, 31},	//2471 KService::allowMultipleFiles() const
    {93, 1748, 0, 0, Smoke::mf_const, 678, 32},	//2472 KService::initialPreference() const
    {93, 2127, 0, 0, Smoke::mf_const, 495, 33},	//2473 KService::noDisplay() const
    {93, 2966, 0, 0, Smoke::mf_const, 495, 34},	//2474 KService::showInKDE() const
    {93, 2244, 0, 0, Smoke::mf_const, 382, 35},	//2475 KService::parentApp() const
    {93, 2271, 0, 0, Smoke::mf_const, 382, 36},	//2476 KService::pluginKeyword() const
    {93, 1394, 0, 0, Smoke::mf_const, 382, 37},	//2477 KService::docPath() const
    {93, 2308, 1703, 2, Smoke::mf_const, 406, 38},	//2478 KService::property(const QString&, QVariant::Type) const
    {93, 2308, 30, 1, Smoke::mf_const, 406, 39},	//2479 KService::property(const QString&) const
    {93, 2004, 0, 0, Smoke::mf_const, 382, 40},	//2480 KService::locateLocal() const
    {93, 2793, 30, 1, 0, 0, 41},	//2481 KService::setMenuId(const QString&)
    {93, 2906, 103, 1, 0, 0, 42},	//2482 KService::setTerminal(bool)
    {93, 2908, 30, 1, 0, 0, 43},	//2483 KService::setTerminalOptions(const QString&)
    {93, 2517, 30, 1, Smoke::mf_static, 178, 44},	//2484 KService::serviceByName(const QString&)
    {93, 2513, 30, 1, Smoke::mf_static, 178, 45},	//2485 KService::serviceByDesktopPath(const QString&)
    {93, 2511, 30, 1, Smoke::mf_static, 178, 46},	//2486 KService::serviceByDesktopName(const QString&)
    {93, 2515, 30, 1, Smoke::mf_static, 178, 47},	//2487 KService::serviceByMenuId(const QString&)
    {93, 2519, 30, 1, Smoke::mf_static, 178, 48},	//2488 KService::serviceByStorageId(const QString&)
    {93, 1029, 0, 0, Smoke::mf_static, 349, 49},	//2489 KService::allServices()
    {93, 2122, 1706, 4, Smoke::mf_static, 382, 50},	//2490 KService::newServicePath(bool, const QString&, QString*, const QStringList*)
    {93, 836, 0, 0, Smoke::mf_protected, 410, 51},	//2491 KService::_k_accessServiceTypes()
    {93, 2122, 1711, 2, Smoke::mf_static, 382, 52},	//2492 KService::newServicePath(bool, const QString&)
    {93, 2122, 1714, 3, Smoke::mf_static, 382, 53},	//2493 KService::newServicePath(bool, const QString&, QString*)
    {93, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 54},	//2494 KService::DBusNone (enum)
    {93, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 55},	//2495 KService::DBusUnique (enum)
    {93, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 56},	//2496 KService::DBusMulti (enum)
    {93, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 57},	//2497 KService::DBusWait (enum)
    {93, 3423, 0, 0, Smoke::mf_dtor, 0, 58 },	//2498 KService::~KService()
    {94, 478, 1718, 5, Smoke::mf_ctor, 171, 1},	//2499 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&, bool)
    {94, 478, 0, 0, Smoke::mf_ctor, 171, 2},	//2500 KServiceAction::KServiceAction()
    {94, 478, 1724, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 171, 3},	//2501 KServiceAction::KServiceAction(const KServiceAction&)
    {94, 2205, 1724, 1, 0, 170, 4},	//2502 KServiceAction::operator=(const KServiceAction&)
    {94, 2596, 34, 1, 0, 0, 5},	//2503 KServiceAction::setData(const QVariant&)
    {94, 1255, 0, 0, Smoke::mf_const, 406, 6},	//2504 KServiceAction::data() const
    {94, 2109, 0, 0, Smoke::mf_const, 382, 7},	//2505 KServiceAction::name() const
    {94, 3117, 0, 0, Smoke::mf_const, 382, 8},	//2506 KServiceAction::text() const
    {94, 1722, 0, 0, Smoke::mf_const, 382, 9},	//2507 KServiceAction::icon() const
    {94, 1455, 0, 0, Smoke::mf_const, 382, 10},	//2508 KServiceAction::exec() const
    {94, 2127, 0, 0, Smoke::mf_const, 495, 11},	//2509 KServiceAction::noDisplay() const
    {94, 1862, 0, 0, Smoke::mf_const, 495, 12},	//2510 KServiceAction::isSeparator() const
    {94, 478, 1726, 4, Smoke::mf_ctor, 171, 13},	//2511 KServiceAction::KServiceAction(const QString&, const QString&, const QString&, const QString&)
    {94, 3424, 0, 0, Smoke::mf_dtor, 0, 14 },	//2512 KServiceAction::~KServiceAction()
    {95, 482, 30, 1, Smoke::mf_ctor, 172, 1},	//2513 KServiceGroup::KServiceGroup(const QString&)
    {95, 482, 95, 2, Smoke::mf_ctor, 172, 2},	//2514 KServiceGroup::KServiceGroup(const QString&, const QString&)
    {95, 482, 1731, 3, Smoke::mf_ctor, 172, 3},	//2515 KServiceGroup::KServiceGroup(QDataStream&, int, bool)
    {95, 2433, 0, 0, Smoke::mf_const, 382, 4},	//2516 KServiceGroup::relPath() const
    {95, 1120, 0, 0, Smoke::mf_const, 382, 5},	//2517 KServiceGroup::caption() const
    {95, 1722, 0, 0, Smoke::mf_const, 382, 6},	//2518 KServiceGroup::icon() const
    {95, 1169, 0, 0, Smoke::mf_const, 382, 7},	//2519 KServiceGroup::comment() const
    {95, 1144, 0, 0, Smoke::mf_const, 678, 8},	//2520 KServiceGroup::childCount() const
    {95, 2127, 0, 0, Smoke::mf_const, 495, 9},	//2521 KServiceGroup::noDisplay() const
    {95, 2962, 0, 0, Smoke::mf_const, 495, 10},	//2522 KServiceGroup::showEmptyMenu() const
    {95, 2891, 103, 1, 0, 0, 11},	//2523 KServiceGroup::setShowEmptyMenu(bool)
    {95, 2967, 0, 0, Smoke::mf_const, 495, 12},	//2524 KServiceGroup::showInlineHeader() const
    {95, 2893, 103, 1, 0, 0, 13},	//2525 KServiceGroup::setShowInlineHeader(bool)
    {95, 1749, 0, 0, Smoke::mf_const, 495, 14},	//2526 KServiceGroup::inlineAlias() const
    {95, 2689, 103, 1, 0, 0, 15},	//2527 KServiceGroup::setInlineAlias(bool)
    {95, 1036, 0, 0, Smoke::mf_const, 495, 16},	//2528 KServiceGroup::allowInline() const
    {95, 2533, 103, 1, 0, 0, 17},	//2529 KServiceGroup::setAllowInline(bool)
    {95, 1750, 0, 0, Smoke::mf_const, 678, 18},	//2530 KServiceGroup::inlineValue() const
    {95, 2691, 118, 1, 0, 0, 19},	//2531 KServiceGroup::setInlineValue(int)
    {95, 3088, 0, 0, Smoke::mf_const, 387, 20},	//2532 KServiceGroup::suppressGenericNames() const
    {95, 2707, 141, 1, 0, 0, 21},	//2533 KServiceGroup::setLayoutInfo(const QStringList&)
    {95, 1970, 0, 0, Smoke::mf_const, 387, 22},	//2534 KServiceGroup::layoutInfo() const
    {95, 1423, 1735, 4, 0, 353, 23},	//2535 KServiceGroup::entries(bool, bool, bool, bool)
    {95, 1423, 1740, 2, 0, 353, 24},	//2536 KServiceGroup::entries(bool, bool)
    {95, 1423, 103, 1, 0, 353, 25},	//2537 KServiceGroup::entries(bool)
    {95, 1662, 1743, 1, 0, 351, 26},	//2538 KServiceGroup::groupEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 2521, 1743, 1, 0, 349, 27},	//2539 KServiceGroup::serviceEntries(QFlags<KServiceGroup::EntriesOption>)
    {95, 1094, 0, 0, Smoke::mf_const, 382, 28},	//2540 KServiceGroup::baseGroupName() const
    {95, 1385, 0, 0, Smoke::mf_const, 382, 29},	//2541 KServiceGroup::directoryEntryPath() const
    {95, 1092, 30, 1, Smoke::mf_static, 179, 30},	//2542 KServiceGroup::baseGroup(const QString&)
    {95, 2487, 0, 0, Smoke::mf_static, 179, 31},	//2543 KServiceGroup::root()
    {95, 1659, 30, 1, Smoke::mf_static, 179, 32},	//2544 KServiceGroup::group(const QString&)
    {95, 1146, 30, 1, Smoke::mf_static, 179, 33},	//2545 KServiceGroup::childGroup(const QString&)
    {95, 888, 1745, 1, Smoke::mf_protected, 0, 34},	//2546 KServiceGroup::addEntry(const KSharedPtr<KSycocaEntry>&)
    {95, 1423, 1747, 3, 0, 353, 35},	//2547 KServiceGroup::entries(bool, bool, bool)
    {95, 1423, 0, 0, 0, 353, 36},	//2548 KServiceGroup::entries()
    {95, 1662, 0, 0, 0, 351, 37},	//2549 KServiceGroup::groupEntries()
    {95, 2521, 0, 0, 0, 349, 38},	//2550 KServiceGroup::serviceEntries()
    {95, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 39},	//2551 KServiceGroup::NoOptions (enum)
    {95, 722, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 40},	//2552 KServiceGroup::SortEntries (enum)
    {95, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 41},	//2553 KServiceGroup::ExcludeNoDisplay (enum)
    {95, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 42},	//2554 KServiceGroup::AllowSeparators (enum)
    {95, 721, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 43},	//2555 KServiceGroup::SortByGenericName (enum)
    {95, 3425, 0, 0, Smoke::mf_dtor, 0, 44 },	//2556 KServiceGroup::~KServiceGroup()
    {96, 486, 1751, 1, Smoke::mf_ctor, 174, 1},	//2557 KServiceType::KServiceType(KDesktopFile*)
    {96, 486, 1575, 2, Smoke::mf_ctor, 174, 2},	//2558 KServiceType::KServiceType(QDataStream&, int)
    {96, 1169, 0, 0, Smoke::mf_const, 382, 3},	//2559 KServiceType::comment() const
    {96, 1364, 0, 0, Smoke::mf_const, 382, 4},	//2560 KServiceType::desktopEntryPath() const
    {96, 1806, 0, 0, Smoke::mf_const, 495, 5},	//2561 KServiceType::isDerived() const
    {96, 2247, 0, 0, Smoke::mf_const, 382, 6},	//2562 KServiceType::parentServiceType() const
    {96, 1738, 30, 1, Smoke::mf_const, 495, 7},	//2563 KServiceType::inherits(const QString&) const
    {96, 2311, 30, 1, Smoke::mf_const, 408, 8},	//2564 KServiceType::propertyDef(const QString&) const
    {96, 2313, 0, 0, Smoke::mf_const, 387, 9},	//2565 KServiceType::propertyDefNames() const
    {96, 2314, 0, 0, Smoke::mf_const, 368, 10},	//2566 KServiceType::propertyDefs() const
    {96, 2248, 0, 0, 0, 180, 11},	//2567 KServiceType::parentType()
    {96, 2883, 118, 1, 0, 0, 12},	//2568 KServiceType::setServiceOffersOffset(int)
    {96, 2523, 0, 0, Smoke::mf_const, 678, 13},	//2569 KServiceType::serviceOffersOffset() const
    {96, 2524, 30, 1, Smoke::mf_static, 180, 14},	//2570 KServiceType::serviceType(const QString&)
    {96, 1028, 0, 0, Smoke::mf_static, 352, 15},	//2571 KServiceType::allServiceTypes()
    {96, 486, 1753, 1, Smoke::mf_ctor|Smoke::mf_protected, 174, 16},	//2572 KServiceType::KServiceType(KServiceTypePrivate&)
    {96, 486, 1755, 3, Smoke::mf_ctor|Smoke::mf_protected, 174, 17},	//2573 KServiceType::KServiceType(KServiceTypePrivate&, const QString&, const QString&)
    {96, 3426, 0, 0, Smoke::mf_dtor, 0, 18 },	//2574 KServiceType::~KServiceType()
    {98, 2334, 95, 2, Smoke::mf_const, 349, 1},	//2575 KServiceTypeTrader::query(const QString&, const QString&) const
    {98, 1336, 95, 2, Smoke::mf_const, 349, 2},	//2576 KServiceTypeTrader::defaultOffers(const QString&, const QString&) const
    {98, 2284, 30, 1, Smoke::mf_const, 178, 3},	//2577 KServiceTypeTrader::preferredService(const QString&) const
    {98, 2507, 0, 0, Smoke::mf_static, 176, 4},	//2578 KServiceTypeTrader::self()
    {98, 1044, 1759, 2, Smoke::mf_static, 0, 5},	//2579 KServiceTypeTrader::applyConstraints(QList<KSharedPtr<KService> >&, const QString&)
    {98, 2334, 30, 1, Smoke::mf_const, 349, 6},	//2580 KServiceTypeTrader::query(const QString&) const
    {98, 1336, 30, 1, Smoke::mf_const, 349, 7},	//2581 KServiceTypeTrader::defaultOffers(const QString&) const
    {98, 3427, 0, 0, Smoke::mf_dtor, 0, 8 },	//2582 KServiceTypeTrader::~KServiceTypeTrader()
    {99, 2156, 444, 3, Smoke::mf_static, 181, 1},	//2583 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2156, 448, 4, Smoke::mf_static, 181, 2},	//2584 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>, const char*)
    {99, 2156, 0, 0, Smoke::mf_static, 181, 3},	//2585 KSharedConfig::openConfig()
    {99, 2156, 30, 1, Smoke::mf_static, 181, 4},	//2586 KSharedConfig::openConfig(const QString&)
    {99, 2156, 465, 2, Smoke::mf_static, 181, 5},	//2587 KSharedConfig::openConfig(const QString&, QFlags<KConfig::OpenFlag>)
    {99, 2156, 420, 1, Smoke::mf_static, 181, 6},	//2588 KSharedConfig::openConfig(const KComponentData&)
    {99, 2156, 468, 2, Smoke::mf_static, 181, 7},	//2589 KSharedConfig::openConfig(const KComponentData&, const QString&)
    {99, 2156, 471, 3, Smoke::mf_static, 181, 8},	//2590 KSharedConfig::openConfig(const KComponentData&, const QString&, QFlags<KConfig::OpenFlag>)
    {99, 3428, 0, 0, Smoke::mf_dtor, 0, 9 },	//2591 KSharedConfig::~KSharedConfig()
    {100, 3119, 30, 1, Smoke::mf_static, 382, 1},	//2592 KShell::tildeExpand(const QString&)
    {100, 2988, 1762, 3, Smoke::mf_static, 387, 2},	//2593 KShell::splitArgs(const QString&, QFlags<KShell::Option>, KShell::Errors*)
    {100, 2988, 30, 1, Smoke::mf_static, 387, 3},	//2594 KShell::splitArgs(const QString&)
    {100, 2988, 1766, 2, Smoke::mf_static, 387, 4},	//2595 KShell::splitArgs(const QString&, QFlags<KShell::Option>)
    {100, 2342, 30, 1, Smoke::mf_static, 382, 5},	//2596 KShell::quoteArg(const QString&)
    {100, 1894, 141, 1, Smoke::mf_static, 382, 6},	//2597 KShell::joinArgs(const QStringList&)
    {100, 620, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 7},	//2598 KShell::NoOptions (enum)
    {100, 752, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 8},	//2599 KShell::TildeExpand (enum)
    {100, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 9},	//2600 KShell::AbortOnMeta (enum)
    {100, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 10},	//2601 KShell::NoError (enum)
    {100, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 11},	//2602 KShell::BadQuoting (enum)
    {100, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 12},	//2603 KShell::FoundMeta (enum)
    {101, 1182, 1769, 4, Smoke::mf_static, 391, 1},	//2604 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short, QObject*)
    {101, 1182, 1774, 3, Smoke::mf_static, 391, 2},	//2605 KSocketFactory::connectToHost(const QString&, const QString&, unsigned short)
    {101, 3096, 1778, 5, Smoke::mf_static, 391, 3},	//2606 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int, QObject*)
    {101, 3096, 1774, 3, Smoke::mf_static, 391, 4},	//2607 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short)
    {101, 3096, 1784, 4, Smoke::mf_static, 391, 5},	//2608 KSocketFactory::synchronousConnectToHost(const QString&, const QString&, unsigned short, int)
    {101, 1982, 1789, 4, Smoke::mf_static, 390, 6},	//2609 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short, QObject*)
    {101, 1982, 30, 1, Smoke::mf_static, 390, 7},	//2610 KSocketFactory::listen(const QString&)
    {101, 1982, 1794, 2, Smoke::mf_static, 390, 8},	//2611 KSocketFactory::listen(const QString&, const QHostAddress&)
    {101, 1982, 1797, 3, Smoke::mf_static, 390, 9},	//2612 KSocketFactory::listen(const QString&, const QHostAddress&, unsigned short)
    {101, 1260, 1801, 3, Smoke::mf_static, 402, 10},	//2613 KSocketFactory::datagramSocket(const QString&, const QString&, QObject*)
    {101, 1260, 95, 2, Smoke::mf_static, 402, 11},	//2614 KSocketFactory::datagramSocket(const QString&, const QString&)
    {101, 3096, 1805, 3, Smoke::mf_static, 391, 12},	//2615 KSocketFactory::synchronousConnectToHost(const QUrl&, int, QObject*)
    {101, 3096, 1809, 1, Smoke::mf_static, 391, 13},	//2616 KSocketFactory::synchronousConnectToHost(const QUrl&)
    {101, 3096, 1811, 2, Smoke::mf_static, 391, 14},	//2617 KSocketFactory::synchronousConnectToHost(const QUrl&, int)
    {101, 1182, 1814, 4, Smoke::mf_static, 0, 15},	//2618 KSocketFactory::connectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {101, 2322, 95, 2, Smoke::mf_static, 372, 16},	//2619 KSocketFactory::proxyForConnection(const QString&, const QString&)
    {101, 2324, 95, 2, Smoke::mf_static, 372, 17},	//2620 KSocketFactory::proxyForDatagram(const QString&, const QString&)
    {101, 1182, 1819, 2, Smoke::mf_static, 391, 18},	//2621 KSocketFactory::connectToHost(const QUrl&, QObject*)
    {101, 1182, 1809, 1, Smoke::mf_static, 391, 19},	//2622 KSocketFactory::connectToHost(const QUrl&)
    {101, 1182, 1822, 2, Smoke::mf_static, 0, 20},	//2623 KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    {101, 3096, 1825, 3, Smoke::mf_static, 0, 21},	//2624 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&, int)
    {101, 3096, 1822, 2, Smoke::mf_static, 0, 22},	//2625 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QUrl&)
    {101, 2326, 30, 1, Smoke::mf_static, 372, 23},	//2626 KSocketFactory::proxyForListening(const QString&)
    {101, 3096, 1829, 5, Smoke::mf_static, 0, 24},	//2627 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short, int)
    {101, 3096, 1814, 4, Smoke::mf_static, 0, 25},	//2628 KSocketFactory::synchronousConnectToHost(QTcpSocket*, const QString&, const QString&, unsigned short)
    {102, 490, 0, 0, Smoke::mf_ctor, 185, 1},	//2629 KStandardDirs::KStandardDirs()
    {102, 980, 30, 1, 0, 0, 2},	//2630 KStandardDirs::addPrefix(const QString&)
    {102, 1008, 30, 1, 0, 0, 3},	//2631 KStandardDirs::addXdgConfigPrefix(const QString&)
    {102, 1010, 30, 1, 0, 0, 4},	//2632 KStandardDirs::addXdgDataPrefix(const QString&)
    {102, 987, 1835, 3, 0, 495, 5},	//2633 KStandardDirs::addResourceType(const char*, const QString&, bool)
    {102, 987, 1839, 4, 0, 495, 6},	//2634 KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    {102, 987, 1844, 4, 0, 495, 7},	//2635 KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    {102, 984, 1835, 3, 0, 495, 8},	//2636 KStandardDirs::addResourceDir(const char*, const QString&, bool)
    {102, 1563, 511, 2, Smoke::mf_const, 382, 9},	//2637 KStandardDirs::findResource(const char*, const QString&) const
    {102, 1858, 511, 2, Smoke::mf_const, 495, 10},	//2638 KStandardDirs::isRestrictedResource(const char*, const QString&) const
    {102, 1101, 1849, 3, Smoke::mf_const, 694, 11},	//2639 KStandardDirs::calcResourceHash(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {102, 1544, 511, 2, Smoke::mf_const, 387, 12},	//2640 KStandardDirs::findDirs(const char*, const QString&) const
    {102, 1565, 511, 2, Smoke::mf_const, 382, 13},	//2641 KStandardDirs::findResourceDir(const char*, const QString&) const
    {102, 1516, 1849, 3, Smoke::mf_const, 387, 14},	//2642 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>) const
    {102, 1516, 1853, 4, Smoke::mf_const, 387, 15},	//2643 KStandardDirs::findAllResources(const char*, const QString&, QFlags<KStandardDirs::SearchOption>, QStringList&) const
    {102, 3107, 30, 1, Smoke::mf_static, 387, 16},	//2644 KStandardDirs::systemPaths(const QString&)
    {102, 1548, 1858, 3, Smoke::mf_static, 382, 17},	//2645 KStandardDirs::findExe(const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {102, 1512, 1862, 4, Smoke::mf_static, 678, 18},	//2646 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&, QFlags<KStandardDirs::SearchOption>)
    {102, 881, 585, 1, 0, 495, 19},	//2647 KStandardDirs::addCustomized(KConfig*)
    {102, 2478, 122, 1, Smoke::mf_const, 387, 20},	//2648 KStandardDirs::resourceDirs(const char*) const
    {102, 1032, 0, 0, Smoke::mf_const, 387, 21},	//2649 KStandardDirs::allTypes() const
    {102, 2495, 1835, 3, Smoke::mf_const, 382, 22},	//2650 KStandardDirs::saveLocation(const char*, const QString&, bool) const
    {102, 2434, 511, 2, 0, 382, 23},	//2651 KStandardDirs::relativeLocation(const char*, const QString&)
    {102, 2048, 1004, 2, Smoke::mf_static, 495, 24},	//2652 KStandardDirs::makeDir(const QString&, int)
    {102, 1914, 122, 1, Smoke::mf_static, 382, 25},	//2653 KStandardDirs::kde_default(const char*)
    {102, 1935, 0, 0, 0, 382, 26},	//2654 KStandardDirs::kfsstnd_prefixes()
    {102, 1936, 0, 0, 0, 382, 27},	//2655 KStandardDirs::kfsstnd_xdg_conf_prefixes()
    {102, 1937, 0, 0, 0, 382, 28},	//2656 KStandardDirs::kfsstnd_xdg_data_prefixes()
    {102, 1998, 0, 0, Smoke::mf_const, 382, 29},	//2657 KStandardDirs::localkdedir() const
    {102, 2000, 0, 0, Smoke::mf_const, 382, 30},	//2658 KStandardDirs::localxdgdatadir() const
    {102, 1999, 0, 0, Smoke::mf_const, 382, 31},	//2659 KStandardDirs::localxdgconfdir() const
    {102, 1753, 122, 1, Smoke::mf_static, 382, 32},	//2660 KStandardDirs::installPath(const char*)
    {102, 1470, 30, 1, Smoke::mf_static, 495, 33},	//2661 KStandardDirs::exists(const QString&)
    {102, 2425, 30, 1, Smoke::mf_static, 382, 34},	//2662 KStandardDirs::realPath(const QString&)
    {102, 2422, 30, 1, Smoke::mf_static, 382, 35},	//2663 KStandardDirs::realFilePath(const QString&)
    {102, 2001, 1867, 3, Smoke::mf_static, 382, 36},	//2664 KStandardDirs::locate(const char*, const QString&, const KComponentData&)
    {102, 2004, 1867, 3, Smoke::mf_static, 382, 37},	//2665 KStandardDirs::locateLocal(const char*, const QString&, const KComponentData&)
    {102, 2004, 1871, 4, Smoke::mf_static, 382, 38},	//2666 KStandardDirs::locateLocal(const char*, const QString&, bool, const KComponentData&)
    {102, 1134, 1004, 2, Smoke::mf_static, 495, 39},	//2667 KStandardDirs::checkAccess(const QString&, int)
    {102, 987, 511, 2, 0, 495, 40},	//2668 KStandardDirs::addResourceType(const char*, const QString&)
    {102, 987, 1876, 3, 0, 495, 41},	//2669 KStandardDirs::addResourceType(const char*, const char*, const QString&)
    {102, 987, 1326, 3, 0, 495, 42},	//2670 KStandardDirs::addResourceType(const char*, const char*, const char*)
    {102, 984, 511, 2, 0, 495, 43},	//2671 KStandardDirs::addResourceDir(const char*, const QString&)
    {102, 1858, 122, 1, Smoke::mf_const, 495, 44},	//2672 KStandardDirs::isRestrictedResource(const char*) const
    {102, 1101, 511, 2, Smoke::mf_const, 694, 45},	//2673 KStandardDirs::calcResourceHash(const char*, const QString&) const
    {102, 1516, 122, 1, Smoke::mf_const, 387, 46},	//2674 KStandardDirs::findAllResources(const char*) const
    {102, 1516, 511, 2, Smoke::mf_const, 387, 47},	//2675 KStandardDirs::findAllResources(const char*, const QString&) const
    {102, 3107, 0, 0, Smoke::mf_static, 387, 48},	//2676 KStandardDirs::systemPaths()
    {102, 1548, 30, 1, Smoke::mf_static, 382, 49},	//2677 KStandardDirs::findExe(const QString&)
    {102, 1548, 95, 2, Smoke::mf_static, 382, 50},	//2678 KStandardDirs::findExe(const QString&, const QString&)
    {102, 1512, 1880, 2, Smoke::mf_static, 678, 51},	//2679 KStandardDirs::findAllExe(QStringList&, const QString&)
    {102, 1512, 1883, 3, Smoke::mf_static, 678, 52},	//2680 KStandardDirs::findAllExe(QStringList&, const QString&, const QString&)
    {102, 2495, 122, 1, Smoke::mf_const, 382, 53},	//2681 KStandardDirs::saveLocation(const char*) const
    {102, 2495, 511, 2, Smoke::mf_const, 382, 54},	//2682 KStandardDirs::saveLocation(const char*, const QString&) const
    {102, 2048, 30, 1, Smoke::mf_static, 495, 55},	//2683 KStandardDirs::makeDir(const QString&)
    {102, 2001, 511, 2, Smoke::mf_static, 382, 56},	//2684 KStandardDirs::locate(const char*, const QString&)
    {102, 2004, 511, 2, Smoke::mf_static, 382, 57},	//2685 KStandardDirs::locateLocal(const char*, const QString&)
    {102, 2004, 1835, 3, Smoke::mf_static, 382, 58},	//2686 KStandardDirs::locateLocal(const char*, const QString&, bool)
    {102, 623, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 59},	//2687 KStandardDirs::NoSearchOptions (enum)
    {102, 690, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 60},	//2688 KStandardDirs::Recursive (enum)
    {102, 616, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 61},	//2689 KStandardDirs::NoDuplicates (enum)
    {102, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 62},	//2690 KStandardDirs::IgnoreExecBit (enum)
    {102, 3429, 0, 0, Smoke::mf_dtor, 0, 63 },	//2691 KStandardDirs::~KStandardDirs()
    {103, 2263, 1887, 3, Smoke::mf_static, 387, 1},	//2692 KStringHandler::perlSplit(const QChar&, const QString&, int)
    {103, 2263, 1891, 2, Smoke::mf_static, 387, 2},	//2693 KStringHandler::perlSplit(const QChar&, const QString&)
    {103, 2263, 1894, 3, Smoke::mf_static, 387, 3},	//2694 KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    {103, 2263, 1898, 2, Smoke::mf_static, 387, 4},	//2695 KStringHandler::perlSplit(const QRegExp&, const QString&)
    {103, 2138, 30, 1, Smoke::mf_static, 382, 5},	//2696 KStringHandler::obscure(const QString&)
    {103, 1121, 141, 1, Smoke::mf_static, 387, 6},	//2697 KStringHandler::capwords(const QStringList&)
    {103, 2115, 1901, 3, Smoke::mf_static, 678, 7},	//2698 KStringHandler::naturalCompare(const QString&, const QString&, Qt::CaseSensitivity)
    {103, 2115, 95, 2, Smoke::mf_static, 678, 8},	//2699 KStringHandler::naturalCompare(const QString&, const QString&)
    {103, 2015, 1004, 2, Smoke::mf_static, 382, 9},	//2700 KStringHandler::lsqueeze(const QString&, int)
    {103, 2015, 30, 1, Smoke::mf_static, 382, 10},	//2701 KStringHandler::lsqueeze(const QString&)
    {103, 2282, 30, 1, Smoke::mf_static, 382, 11},	//2702 KStringHandler::preProcessWrap(const QString&)
    {103, 2263, 1905, 3, Smoke::mf_static, 387, 12},	//2703 KStringHandler::perlSplit(const QString&, const QString&, int)
    {103, 2263, 95, 2, Smoke::mf_static, 387, 13},	//2704 KStringHandler::perlSplit(const QString&, const QString&)
    {103, 3109, 30, 1, Smoke::mf_static, 382, 14},	//2705 KStringHandler::tagUrls(const QString&)
    {103, 1230, 1004, 2, Smoke::mf_static, 382, 15},	//2706 KStringHandler::csqueeze(const QString&, int)
    {103, 1230, 30, 1, Smoke::mf_static, 382, 16},	//2707 KStringHandler::csqueeze(const QString&)
    {103, 1121, 30, 1, Smoke::mf_static, 382, 17},	//2708 KStringHandler::capwords(const QString&)
    {103, 1615, 122, 1, Smoke::mf_static, 382, 18},	//2709 KStringHandler::from8Bit(const char*)
    {103, 1877, 122, 1, Smoke::mf_static, 495, 19},	//2710 KStringHandler::isUtf8(const char*)
    {103, 2488, 1004, 2, Smoke::mf_static, 382, 20},	//2711 KStringHandler::rsqueeze(const QString&, int)
    {103, 2488, 30, 1, Smoke::mf_static, 382, 21},	//2712 KStringHandler::rsqueeze(const QString&)
    {104, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//2713 KSycoca::metaObject() const
    {104, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//2714 KSycoca::qt_metacast(const char*)
    {104, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2715 KSycoca::tr(const char*, const char*)
    {104, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2716 KSycoca::trUtf8(const char*, const char*)
    {104, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2717 KSycoca::tr(const char*, const char*, int)
    {104, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2718 KSycoca::trUtf8(const char*, const char*, int)
    {104, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//2719 KSycoca::qt_metacall(QMetaObject::Call, int, void**)
    {104, 491, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 187, 8},	//2720 KSycoca::KSycoca(bool)
    {104, 3260, 0, 0, Smoke::mf_static, 678, 9},	//2721 KSycoca::version()
    {104, 1790, 0, 0, Smoke::mf_static, 495, 10},	//2722 KSycoca::isAvailable()
    {104, 1546, 1909, 2, 0, 260, 11},	//2723 KSycoca::findEntry(int, KSycocaType&)
    {104, 1552, 1912, 1, 0, 260, 12},	//2724 KSycoca::findFactory(KSycocaFactoryId)
    {104, 1935, 0, 0, 0, 382, 13},	//2725 KSycoca::kfsstnd_prefixes()
    {104, 843, 1914, 1, Smoke::mf_static, 382, 14},	//2726 KSycoca::absoluteFilePath(DatabaseType)
    {104, 1955, 0, 0, 0, 382, 15},	//2727 KSycoca::language()
    {104, 3124, 0, 0, 0, 694, 16},	//2728 KSycoca::timeStamp()
    {104, 3224, 0, 0, 0, 694, 17},	//2729 KSycoca::updateSignature()
    {104, 1027, 0, 0, 0, 387, 18},	//2730 KSycoca::allResourceDirs()
    {104, 890, 1916, 1, 0, 0, 19},	//2731 KSycoca::addFactory(KSycocaFactory*)
    {104, 1795, 0, 0, Smoke::mf_virtual, 495, 20},	//2732 KSycoca::isBuilding()
    {104, 1387, 0, 0, Smoke::mf_static, 0, 21},	//2733 KSycoca::disableAutoRebuild()
    {104, 1796, 122, 1, Smoke::mf_static, 495, 22},	//2734 KSycoca::isChanged(const char*)
    {104, 1576, 0, 0, Smoke::mf_static, 0, 23},	//2735 KSycoca::flagError()
    {104, 2387, 0, 0, Smoke::mf_static, 495, 24},	//2736 KSycoca::readError()
    {104, 1258, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//2737 KSycoca::databaseChanged()
    {104, 1258, 141, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//2738 KSycoca::databaseChanged(const QStringList&)
    {104, 1493, 0, 0, Smoke::mf_protected, 193, 27},	//2739 KSycoca::factories()
    {104, 3067, 0, 0, Smoke::mf_protected, 261, 28},	//2740 KSycoca::stream()
    {104, 3157, 122, 1, Smoke::mf_static, 382, 29},	//2741 KSycoca::tr(const char*)
    {104, 3164, 122, 1, Smoke::mf_static, 382, 30},	//2742 KSycoca::trUtf8(const char*)
    {104, 843, 0, 0, Smoke::mf_static, 382, 31},	//2743 KSycoca::absoluteFilePath()
    {104, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 32},	//2744 KSycoca::staticMetaObject() const
    {104, 2037, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 260, 33},	//2745 KSycoca::m_str_deprecated() const
    {104, 2761, 1918, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 34},	//2746 KSycoca::setM_str_deprecated(QDataStream*)
    {104, 583, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 35},	//2747 KSycoca::LocalDatabase (enum)
    {104, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 36},	//2748 KSycoca::GlobalDatabase (enum)
    {104, 3430, 0, 0, Smoke::mf_dtor, 0, 37 },	//2749 KSycoca::~KSycoca()
    {105, 493, 0, 0, Smoke::mf_ctor, 189, 1},	//2750 KSycocaEntry::KSycocaEntry()
    {105, 1874, 1920, 1, Smoke::mf_const, 495, 2},	//2751 KSycocaEntry::isType(KSycocaType) const
    {105, 3093, 0, 0, Smoke::mf_const, 194, 3},	//2752 KSycocaEntry::sycocaType() const
    {105, 2360, 1922, 2, Smoke::mf_static, 0, 4},	//2753 KSycocaEntry::read(QDataStream&, QString&)
    {105, 2360, 1925, 2, Smoke::mf_static, 0, 5},	//2754 KSycocaEntry::read(QDataStream&, QStringList&)
    {105, 2109, 0, 0, Smoke::mf_const, 382, 6},	//2755 KSycocaEntry::name() const
    {105, 1430, 0, 0, Smoke::mf_const, 382, 7},	//2756 KSycocaEntry::entryPath() const
    {105, 3064, 0, 0, Smoke::mf_const, 382, 8},	//2757 KSycocaEntry::storageId() const
    {105, 1879, 0, 0, Smoke::mf_const, 495, 9},	//2758 KSycocaEntry::isValid() const
    {105, 1805, 0, 0, Smoke::mf_const, 495, 10},	//2759 KSycocaEntry::isDeleted() const
    {105, 2308, 30, 1, Smoke::mf_const, 406, 11},	//2760 KSycocaEntry::property(const QString&) const
    {105, 2315, 0, 0, Smoke::mf_const, 387, 12},	//2761 KSycocaEntry::propertyNames() const
    {105, 2631, 103, 1, 0, 0, 13},	//2762 KSycocaEntry::setDeleted(bool)
    {105, 1862, 0, 0, Smoke::mf_const, 495, 14},	//2763 KSycocaEntry::isSeparator() const
    {105, 2142, 0, 0, Smoke::mf_const, 678, 15},	//2764 KSycocaEntry::offset() const
    {105, 2491, 371, 1, 0, 0, 16},	//2765 KSycocaEntry::save(QDataStream&)
    {105, 493, 1928, 1, Smoke::mf_ctor|Smoke::mf_protected, 189, 17},	//2766 KSycocaEntry::KSycocaEntry(KSycocaEntryPrivate&)
    {105, 3431, 0, 0, Smoke::mf_dtor, 0, 18 },	//2767 KSycocaEntry::~KSycocaEntry()
    {109, 495, 1930, 6, Smoke::mf_ctor, 196, 1},	//2768 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {109, 495, 1937, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 196, 2},	//2769 KSystemTimeZone::KSystemTimeZone(const KSystemTimeZone&)
    {109, 495, 1939, 2, Smoke::mf_ctor, 196, 3},	//2770 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&)
    {109, 495, 1942, 3, Smoke::mf_ctor, 196, 4},	//2771 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&)
    {109, 495, 1946, 4, Smoke::mf_ctor, 196, 5},	//2772 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float)
    {109, 495, 1951, 5, Smoke::mf_ctor, 196, 6},	//2773 KSystemTimeZone::KSystemTimeZone(KSystemTimeZoneSource*, const QString&, const QString&, float, float)
    {109, 3432, 0, 0, Smoke::mf_dtor, 0, 7 },	//2774 KSystemTimeZone::~KSystemTimeZone()
    {110, 502, 1930, 6, Smoke::mf_ctor, 197, 1},	//2775 KSystemTimeZoneBackend::KSystemTimeZoneBackend(KSystemTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {110, 1158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 2},	//2776 KSystemTimeZoneBackend::clone() const
    {110, 3200, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 248, 3},	//2777 KSystemTimeZoneBackend::type() const
    {110, 2148, 1957, 3, Smoke::mf_const|Smoke::mf_virtual, 678, 4},	//2778 KSystemTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {110, 2145, 1961, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 5},	//2779 KSystemTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {110, 2142, 1964, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 6},	//2780 KSystemTimeZoneBackend::offset(const KTimeZone*, long int) const
    {110, 1812, 1961, 2, Smoke::mf_const|Smoke::mf_virtual, 495, 7},	//2781 KSystemTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {110, 1809, 1964, 2, Smoke::mf_const|Smoke::mf_virtual, 495, 8},	//2782 KSystemTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {110, 502, 1967, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 197, 9},	//2783 KSystemTimeZoneBackend::KSystemTimeZoneBackend(const KSystemTimeZoneBackend&)
    {110, 3433, 0, 0, Smoke::mf_dtor, 0, 10 },	//2784 KSystemTimeZoneBackend::~KSystemTimeZoneBackend()
    {111, 505, 0, 0, Smoke::mf_ctor, 198, 1},	//2785 KSystemTimeZoneSource::KSystemTimeZoneSource()
    {111, 2250, 1031, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 2},	//2786 KSystemTimeZoneSource::parse(const KTimeZone&) const
    {111, 3004, 0, 0, Smoke::mf_static, 0, 3},	//2787 KSystemTimeZoneSource::startParseBlock()
    {111, 1422, 0, 0, Smoke::mf_static, 0, 4},	//2788 KSystemTimeZoneSource::endParseBlock()
    {111, 505, 1969, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 198, 5},	//2789 KSystemTimeZoneSource::KSystemTimeZoneSource(const KSystemTimeZoneSource&)
    {111, 3434, 0, 0, Smoke::mf_dtor, 0, 6 },	//2790 KSystemTimeZoneSource::~KSystemTimeZoneSource()
    {112, 2068, 0, 0, Smoke::mf_const, 636, 1},	//2791 KSystemTimeZones::metaObject() const
    {112, 2332, 122, 1, 0, 701, 2},	//2792 KSystemTimeZones::qt_metacast(const char*)
    {112, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2793 KSystemTimeZones::tr(const char*, const char*)
    {112, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2794 KSystemTimeZones::trUtf8(const char*, const char*)
    {112, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2795 KSystemTimeZones::tr(const char*, const char*, int)
    {112, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2796 KSystemTimeZones::trUtf8(const char*, const char*, int)
    {112, 2330, 131, 3, 0, 678, 7},	//2797 KSystemTimeZones::qt_metacall(QMetaObject::Call, int, void**)
    {112, 3127, 0, 0, Smoke::mf_static, 217, 8},	//2798 KSystemTimeZones::timeZones()
    {112, 3346, 0, 0, Smoke::mf_static, 631, 9},	//2799 KSystemTimeZones::zones()
    {112, 3343, 30, 1, Smoke::mf_static, 201, 10},	//2800 KSystemTimeZones::zone(const QString&)
    {112, 2419, 30, 1, Smoke::mf_static, 201, 11},	//2801 KSystemTimeZones::readZone(const QString&)
    {112, 1992, 0, 0, Smoke::mf_static, 201, 12},	//2802 KSystemTimeZones::local()
    {112, 2424, 0, 0, Smoke::mf_static, 201, 13},	//2803 KSystemTimeZones::realLocalZone()
    {112, 2717, 1031, 1, Smoke::mf_static, 0, 14},	//2804 KSystemTimeZones::setLocalZone(const KTimeZone&)
    {112, 1868, 0, 0, Smoke::mf_static, 495, 15},	//2805 KSystemTimeZones::isSimulated()
    {112, 3345, 0, 0, Smoke::mf_static, 382, 16},	//2806 KSystemTimeZones::zoneinfoDir()
    {112, 1873, 0, 0, Smoke::mf_static, 495, 17},	//2807 KSystemTimeZones::isTimeZoneDaemonAvailable()
    {112, 3157, 122, 1, Smoke::mf_static, 382, 18},	//2808 KSystemTimeZones::tr(const char*)
    {112, 3164, 122, 1, Smoke::mf_static, 382, 19},	//2809 KSystemTimeZones::trUtf8(const char*)
    {112, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 20},	//2810 KSystemTimeZones::staticMetaObject() const
    {112, 3435, 0, 0, Smoke::mf_dtor, 0, 21 },	//2811 KSystemTimeZones::~KSystemTimeZones()
    {113, 507, 1004, 2, Smoke::mf_ctor, 199, 1},	//2812 KTempDir::KTempDir(const QString&, int)
    {113, 2552, 103, 1, 0, 0, 2},	//2813 KTempDir::setAutoRemove(bool)
    {113, 1066, 0, 0, Smoke::mf_const, 495, 3},	//2814 KTempDir::autoRemove() const
    {113, 3059, 0, 0, Smoke::mf_const, 678, 4},	//2815 KTempDir::status() const
    {113, 2109, 0, 0, Smoke::mf_const, 382, 5},	//2816 KTempDir::name() const
    {113, 3206, 0, 0, 0, 0, 6},	//2817 KTempDir::unlink()
    {113, 1470, 0, 0, Smoke::mf_const, 495, 7},	//2818 KTempDir::exists() const
    {113, 2449, 30, 1, Smoke::mf_static, 495, 8},	//2819 KTempDir::removeDir(const QString&)
    {113, 1215, 1004, 2, Smoke::mf_protected, 495, 9},	//2820 KTempDir::create(const QString&, int)
    {113, 507, 0, 0, Smoke::mf_ctor, 199, 10},	//2821 KTempDir::KTempDir()
    {113, 507, 30, 1, Smoke::mf_ctor, 199, 11},	//2822 KTempDir::KTempDir(const QString&)
    {113, 3436, 0, 0, Smoke::mf_dtor, 0, 12 },	//2823 KTempDir::~KTempDir()
    {114, 510, 420, 1, Smoke::mf_ctor, 200, 1},	//2824 KTemporaryFile::KTemporaryFile(const KComponentData&)
    {114, 2851, 30, 1, 0, 0, 2},	//2825 KTemporaryFile::setPrefix(const QString&)
    {114, 2904, 30, 1, 0, 0, 3},	//2826 KTemporaryFile::setSuffix(const QString&)
    {114, 510, 0, 0, Smoke::mf_ctor, 200, 4},	//2827 KTemporaryFile::KTemporaryFile()
    {114, 3437, 0, 0, Smoke::mf_dtor, 0, 5 },	//2828 KTemporaryFile::~KTemporaryFile()
    {115, 512, 0, 0, Smoke::mf_ctor, 203, 1},	//2829 KTimeZone::KTimeZone()
    {115, 512, 30, 1, Smoke::mf_ctor, 203, 2},	//2830 KTimeZone::KTimeZone(const QString&)
    {115, 512, 1031, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 203, 3},	//2831 KTimeZone::KTimeZone(const KTimeZone&)
    {115, 2205, 1031, 1, 0, 202, 4},	//2832 KTimeZone::operator=(const KTimeZone&)
    {115, 2208, 1031, 1, Smoke::mf_const, 495, 5},	//2833 KTimeZone::operator==(const KTimeZone&) const
    {115, 2165, 1031, 1, Smoke::mf_const, 495, 6},	//2834 KTimeZone::operator!=(const KTimeZone&) const
    {115, 3200, 0, 0, Smoke::mf_const, 248, 7},	//2835 KTimeZone::type() const
    {115, 1879, 0, 0, Smoke::mf_const, 495, 8},	//2836 KTimeZone::isValid() const
    {115, 2109, 0, 0, Smoke::mf_const, 382, 9},	//2837 KTimeZone::name() const
    {115, 1211, 0, 0, Smoke::mf_const, 382, 10},	//2838 KTimeZone::countryCode() const
    {115, 1969, 0, 0, Smoke::mf_const, 677, 11},	//2839 KTimeZone::latitude() const
    {115, 2014, 0, 0, Smoke::mf_const, 677, 12},	//2840 KTimeZone::longitude() const
    {115, 1169, 0, 0, Smoke::mf_const, 382, 13},	//2841 KTimeZone::comment() const
    {115, 839, 0, 0, Smoke::mf_const, 359, 14},	//2842 KTimeZone::abbreviations() const
    {115, 837, 1027, 1, Smoke::mf_const, 248, 15},	//2843 KTimeZone::abbreviation(const QDateTime&) const
    {115, 3248, 0, 0, Smoke::mf_const, 363, 16},	//2844 KTimeZone::utcOffsets() const
    {115, 1195, 1971, 2, Smoke::mf_const, 264, 17},	//2845 KTimeZone::convert(const KTimeZone&, const QDateTime&) const
    {115, 3146, 1027, 1, Smoke::mf_const, 264, 18},	//2846 KTimeZone::toUtc(const QDateTime&) const
    {115, 3150, 1974, 2, Smoke::mf_const, 264, 19},	//2847 KTimeZone::toZoneTime(const QDateTime&, bool*) const
    {115, 1247, 1977, 1, Smoke::mf_const, 678, 20},	//2848 KTimeZone::currentOffset(Qt::TimeSpec) const
    {115, 2148, 1979, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 21},	//2849 KTimeZone::offsetAtZoneTime(const QDateTime&, int*) const
    {115, 2145, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 22},	//2850 KTimeZone::offsetAtUtc(const QDateTime&) const
    {115, 2142, 1982, 1, Smoke::mf_const|Smoke::mf_virtual, 678, 23},	//2851 KTimeZone::offset(long int) const
    {115, 1812, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 24},	//2852 KTimeZone::isDstAtUtc(const QDateTime&) const
    {115, 1809, 1982, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 25},	//2853 KTimeZone::isDst(long int) const
    {115, 2269, 0, 0, Smoke::mf_const, 355, 26},	//2854 KTimeZone::phases() const
    {115, 1709, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 27},	//2855 KTimeZone::hasTransitions() const
    {115, 3182, 1984, 2, Smoke::mf_const, 356, 28},	//2856 KTimeZone::transitions(const QDateTime&, const QDateTime&) const
    {115, 3170, 1987, 3, Smoke::mf_const, 575, 29},	//2857 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {115, 3174, 1991, 3, Smoke::mf_const, 678, 30},	//2858 KTimeZone::transitionIndex(const QDateTime&, int*, bool*) const
    {115, 3178, 1995, 3, Smoke::mf_const, 360, 31},	//2859 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {115, 1973, 0, 0, Smoke::mf_const, 354, 32},	//2860 KTimeZone::leapSecondChanges() const
    {115, 2981, 0, 0, Smoke::mf_const, 216, 33},	//2861 KTimeZone::source() const
    {115, 2250, 0, 0, Smoke::mf_const, 495, 34},	//2862 KTimeZone::parse() const
    {115, 1255, 103, 1, Smoke::mf_const, 579, 35},	//2863 KTimeZone::data(bool) const
    {115, 3222, 1031, 1, 0, 495, 36},	//2864 KTimeZone::updateBase(const KTimeZone&)
    {115, 1641, 1982, 1, Smoke::mf_static, 264, 37},	//2865 KTimeZone::fromTime_t(long int)
    {115, 3144, 1027, 1, Smoke::mf_static, 683, 38},	//2866 KTimeZone::toTime_t(const QDateTime&)
    {115, 3246, 0, 0, Smoke::mf_static, 201, 39},	//2867 KTimeZone::utc()
    {115, 512, 1999, 1, Smoke::mf_ctor|Smoke::mf_protected, 203, 40},	//2868 KTimeZone::KTimeZone(KTimeZoneBackend*)
    {115, 2596, 2001, 2, Smoke::mf_protected, 0, 41},	//2869 KTimeZone::setData(KTimeZoneData*, KTimeZoneSource*)
    {115, 3150, 1027, 1, Smoke::mf_const, 264, 42},	//2870 KTimeZone::toZoneTime(const QDateTime&) const
    {115, 1247, 0, 0, Smoke::mf_const, 678, 43},	//2871 KTimeZone::currentOffset() const
    {115, 2148, 1027, 1, Smoke::mf_const, 678, 44},	//2872 KTimeZone::offsetAtZoneTime(const QDateTime&) const
    {115, 3182, 0, 0, Smoke::mf_const, 356, 45},	//2873 KTimeZone::transitions() const
    {115, 3182, 1027, 1, Smoke::mf_const, 356, 46},	//2874 KTimeZone::transitions(const QDateTime&) const
    {115, 3170, 1027, 1, Smoke::mf_const, 575, 47},	//2875 KTimeZone::transition(const QDateTime&) const
    {115, 3170, 2004, 2, Smoke::mf_const, 575, 48},	//2876 KTimeZone::transition(const QDateTime&, const KTimeZone::Transition**) const
    {115, 3174, 1027, 1, Smoke::mf_const, 678, 49},	//2877 KTimeZone::transitionIndex(const QDateTime&) const
    {115, 3174, 1979, 2, Smoke::mf_const, 678, 50},	//2878 KTimeZone::transitionIndex(const QDateTime&, int*) const
    {115, 3178, 2007, 1, Smoke::mf_const, 360, 51},	//2879 KTimeZone::transitionTimes(const KTimeZone::Phase&) const
    {115, 3178, 2009, 2, Smoke::mf_const, 360, 52},	//2880 KTimeZone::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {115, 1255, 0, 0, Smoke::mf_const, 579, 53},	//2881 KTimeZone::data() const
    {115, 2596, 2012, 1, Smoke::mf_protected, 0, 54},	//2882 KTimeZone::setData(KTimeZoneData*)
    {115, 179, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 666, 55},	//2883 KTimeZone::InvalidOffset() const
    {115, 180, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 668, 56},	//2884 KTimeZone::InvalidTime_t() const
    {115, 768, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 664, 57},	//2885 KTimeZone::UNKNOWN() const
    {115, 3438, 0, 0, Smoke::mf_dtor, 0, 58 },	//2886 KTimeZone::~KTimeZone()
    {116, 563, 0, 0, Smoke::mf_ctor, 206, 1},	//2887 KTimeZone::LeapSeconds::LeapSeconds()
    {116, 563, 2014, 3, Smoke::mf_ctor, 206, 2},	//2888 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int, const QString&)
    {116, 563, 2018, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 206, 3},	//2889 KTimeZone::LeapSeconds::LeapSeconds(const KTimeZone::LeapSeconds&)
    {116, 2205, 2018, 1, 0, 205, 4},	//2890 KTimeZone::LeapSeconds::operator=(const KTimeZone::LeapSeconds&)
    {116, 2187, 2018, 1, Smoke::mf_const, 495, 5},	//2891 KTimeZone::LeapSeconds::operator<(const KTimeZone::LeapSeconds&) const
    {116, 1879, 0, 0, Smoke::mf_const, 495, 6},	//2892 KTimeZone::LeapSeconds::isValid() const
    {116, 1271, 0, 0, Smoke::mf_const, 264, 7},	//2893 KTimeZone::LeapSeconds::dateTime() const
    {116, 1974, 0, 0, Smoke::mf_const, 678, 8},	//2894 KTimeZone::LeapSeconds::leapSeconds() const
    {116, 1169, 0, 0, Smoke::mf_const, 382, 9},	//2895 KTimeZone::LeapSeconds::comment() const
    {116, 563, 2020, 2, Smoke::mf_ctor, 206, 10},	//2896 KTimeZone::LeapSeconds::LeapSeconds(const QDateTime&, int)
    {116, 3451, 0, 0, Smoke::mf_dtor, 0, 11 },	//2897 KTimeZone::LeapSeconds::~LeapSeconds()
    {117, 655, 0, 0, Smoke::mf_ctor, 209, 1},	//2898 KTimeZone::Phase::Phase()
    {117, 655, 2023, 4, Smoke::mf_ctor, 209, 2},	//2899 KTimeZone::Phase::Phase(int, const QByteArray&, bool, const QString&)
    {117, 655, 2028, 4, Smoke::mf_ctor, 209, 3},	//2900 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool, const QString&)
    {117, 655, 2007, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 209, 4},	//2901 KTimeZone::Phase::Phase(const KTimeZone::Phase&)
    {117, 2205, 2007, 1, 0, 208, 5},	//2902 KTimeZone::Phase::operator=(const KTimeZone::Phase&)
    {117, 2208, 2007, 1, Smoke::mf_const, 495, 6},	//2903 KTimeZone::Phase::operator==(const KTimeZone::Phase&) const
    {117, 2165, 2007, 1, Smoke::mf_const, 495, 7},	//2904 KTimeZone::Phase::operator!=(const KTimeZone::Phase&) const
    {117, 3247, 0, 0, Smoke::mf_const, 678, 8},	//2905 KTimeZone::Phase::utcOffset() const
    {117, 839, 0, 0, Smoke::mf_const, 359, 9},	//2906 KTimeZone::Phase::abbreviations() const
    {117, 1809, 0, 0, Smoke::mf_const, 495, 10},	//2907 KTimeZone::Phase::isDst() const
    {117, 1169, 0, 0, Smoke::mf_const, 382, 11},	//2908 KTimeZone::Phase::comment() const
    {117, 655, 2033, 3, Smoke::mf_ctor, 209, 12},	//2909 KTimeZone::Phase::Phase(int, const QByteArray&, bool)
    {117, 655, 2037, 3, Smoke::mf_ctor, 209, 13},	//2910 KTimeZone::Phase::Phase(int, const QList<QByteArray>&, bool)
    {117, 3453, 0, 0, Smoke::mf_dtor, 0, 14 },	//2911 KTimeZone::Phase::~Phase()
    {118, 763, 0, 0, Smoke::mf_ctor, 211, 1},	//2912 KTimeZone::Transition::Transition()
    {118, 763, 2041, 2, Smoke::mf_ctor, 211, 2},	//2913 KTimeZone::Transition::Transition(const QDateTime&, const KTimeZone::Phase&)
    {118, 763, 2044, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 211, 3},	//2914 KTimeZone::Transition::Transition(const KTimeZone::Transition&)
    {118, 2205, 2044, 1, 0, 210, 4},	//2915 KTimeZone::Transition::operator=(const KTimeZone::Transition&)
    {118, 3121, 0, 0, Smoke::mf_const, 264, 5},	//2916 KTimeZone::Transition::time() const
    {118, 2268, 0, 0, Smoke::mf_const, 207, 6},	//2917 KTimeZone::Transition::phase() const
    {118, 2187, 2044, 1, Smoke::mf_const, 495, 7},	//2918 KTimeZone::Transition::operator<(const KTimeZone::Transition&) const
    {118, 3456, 0, 0, Smoke::mf_dtor, 0, 8 },	//2919 KTimeZone::Transition::~Transition()
    {119, 515, 0, 0, Smoke::mf_ctor, 213, 1},	//2920 KTimeZoneBackend::KTimeZoneBackend()
    {119, 515, 30, 1, Smoke::mf_ctor, 213, 2},	//2921 KTimeZoneBackend::KTimeZoneBackend(const QString&)
    {119, 515, 2046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 213, 3},	//2922 KTimeZoneBackend::KTimeZoneBackend(const KTimeZoneBackend&)
    {119, 2205, 2046, 1, 0, 212, 4},	//2923 KTimeZoneBackend::operator=(const KTimeZoneBackend&)
    {119, 1158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 5},	//2924 KTimeZoneBackend::clone() const
    {119, 3200, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 248, 6},	//2925 KTimeZoneBackend::type() const
    {119, 2148, 1957, 3, Smoke::mf_const|Smoke::mf_virtual, 678, 7},	//2926 KTimeZoneBackend::offsetAtZoneTime(const KTimeZone*, const QDateTime&, int*) const
    {119, 2145, 1961, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 8},	//2927 KTimeZoneBackend::offsetAtUtc(const KTimeZone*, const QDateTime&) const
    {119, 2142, 1964, 2, Smoke::mf_const|Smoke::mf_virtual, 678, 9},	//2928 KTimeZoneBackend::offset(const KTimeZone*, long int) const
    {119, 1812, 1961, 2, Smoke::mf_const|Smoke::mf_virtual, 495, 10},	//2929 KTimeZoneBackend::isDstAtUtc(const KTimeZone*, const QDateTime&) const
    {119, 1809, 1964, 2, Smoke::mf_const|Smoke::mf_virtual, 495, 11},	//2930 KTimeZoneBackend::isDst(const KTimeZone*, long int) const
    {119, 1709, 2048, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 12},	//2931 KTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {119, 515, 2050, 6, Smoke::mf_ctor|Smoke::mf_protected, 213, 13},	//2932 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {119, 515, 2057, 2, Smoke::mf_ctor|Smoke::mf_protected, 213, 14},	//2933 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&)
    {119, 515, 2060, 3, Smoke::mf_ctor|Smoke::mf_protected, 213, 15},	//2934 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&)
    {119, 515, 2064, 4, Smoke::mf_ctor|Smoke::mf_protected, 213, 16},	//2935 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float)
    {119, 515, 2069, 5, Smoke::mf_ctor|Smoke::mf_protected, 213, 17},	//2936 KTimeZoneBackend::KTimeZoneBackend(KTimeZoneSource*, const QString&, const QString&, float, float)
    {119, 3439, 0, 0, Smoke::mf_dtor, 0, 18 },	//2937 KTimeZoneBackend::~KTimeZoneBackend()
    {120, 523, 0, 0, Smoke::mf_ctor, 215, 1},	//2938 KTimeZoneData::KTimeZoneData()
    {120, 523, 2075, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 215, 2},	//2939 KTimeZoneData::KTimeZoneData(const KTimeZoneData&)
    {120, 2205, 2075, 1, 0, 214, 3},	//2940 KTimeZoneData::operator=(const KTimeZoneData&)
    {120, 1158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 215, 4},	//2941 KTimeZoneData::clone() const
    {120, 839, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 359, 5},	//2942 KTimeZoneData::abbreviations() const
    {120, 837, 1027, 1, Smoke::mf_const|Smoke::mf_virtual, 248, 6},	//2943 KTimeZoneData::abbreviation(const QDateTime&) const
    {120, 3248, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 363, 7},	//2944 KTimeZoneData::utcOffsets() const
    {120, 2291, 0, 0, Smoke::mf_const, 678, 8},	//2945 KTimeZoneData::previousUtcOffset() const
    {120, 2269, 0, 0, Smoke::mf_const, 355, 9},	//2946 KTimeZoneData::phases() const
    {120, 1709, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 10},	//2947 KTimeZoneData::hasTransitions() const
    {120, 3182, 1984, 2, Smoke::mf_const, 356, 11},	//2948 KTimeZoneData::transitions(const QDateTime&, const QDateTime&) const
    {120, 3170, 1987, 3, Smoke::mf_const, 575, 12},	//2949 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**, bool*) const
    {120, 3174, 1991, 3, Smoke::mf_const, 678, 13},	//2950 KTimeZoneData::transitionIndex(const QDateTime&, int*, bool*) const
    {120, 3178, 1995, 3, Smoke::mf_const, 360, 14},	//2951 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&, const QDateTime&) const
    {120, 1973, 0, 0, Smoke::mf_const, 354, 15},	//2952 KTimeZoneData::leapSecondChanges() const
    {120, 1971, 1027, 1, Smoke::mf_const, 204, 16},	//2953 KTimeZoneData::leapSecondChange(const QDateTime&) const
    {120, 2841, 2077, 2, Smoke::mf_protected, 0, 17},	//2954 KTimeZoneData::setPhases(const QList<KTimeZone::Phase>&, int)
    {120, 2926, 2080, 1, Smoke::mf_protected, 0, 18},	//2955 KTimeZoneData::setTransitions(const QList<KTimeZone::Transition>&)
    {120, 2709, 2082, 1, Smoke::mf_protected, 0, 19},	//2956 KTimeZoneData::setLeapSecondChanges(const QList<KTimeZone::LeapSeconds>&)
    {120, 3182, 0, 0, Smoke::mf_const, 356, 20},	//2957 KTimeZoneData::transitions() const
    {120, 3182, 1027, 1, Smoke::mf_const, 356, 21},	//2958 KTimeZoneData::transitions(const QDateTime&) const
    {120, 3170, 1027, 1, Smoke::mf_const, 575, 22},	//2959 KTimeZoneData::transition(const QDateTime&) const
    {120, 3170, 2004, 2, Smoke::mf_const, 575, 23},	//2960 KTimeZoneData::transition(const QDateTime&, const KTimeZone::Transition**) const
    {120, 3174, 1027, 1, Smoke::mf_const, 678, 24},	//2961 KTimeZoneData::transitionIndex(const QDateTime&) const
    {120, 3174, 1979, 2, Smoke::mf_const, 678, 25},	//2962 KTimeZoneData::transitionIndex(const QDateTime&, int*) const
    {120, 3178, 2007, 1, Smoke::mf_const, 360, 26},	//2963 KTimeZoneData::transitionTimes(const KTimeZone::Phase&) const
    {120, 3178, 2009, 2, Smoke::mf_const, 360, 27},	//2964 KTimeZoneData::transitionTimes(const KTimeZone::Phase&, const QDateTime&) const
    {120, 3440, 0, 0, Smoke::mf_dtor, 0, 28 },	//2965 KTimeZoneData::~KTimeZoneData()
    {121, 525, 0, 0, Smoke::mf_ctor, 216, 1},	//2966 KTimeZoneSource::KTimeZoneSource()
    {121, 2250, 1031, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 2},	//2967 KTimeZoneSource::parse(const KTimeZone&) const
    {121, 3235, 0, 0, Smoke::mf_const, 495, 3},	//2968 KTimeZoneSource::useZoneParse() const
    {121, 525, 103, 1, Smoke::mf_ctor|Smoke::mf_protected, 216, 4},	//2969 KTimeZoneSource::KTimeZoneSource(bool)
    {121, 525, 2084, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 216, 5},	//2970 KTimeZoneSource::KTimeZoneSource(const KTimeZoneSource&)
    {121, 3441, 0, 0, Smoke::mf_dtor, 0, 6 },	//2971 KTimeZoneSource::~KTimeZoneSource()
    {122, 528, 0, 0, Smoke::mf_ctor, 217, 1},	//2972 KTimeZones::KTimeZones()
    {122, 3343, 30, 1, Smoke::mf_const, 201, 2},	//2973 KTimeZones::zone(const QString&) const
    {122, 3346, 0, 0, Smoke::mf_const, 631, 3},	//2974 KTimeZones::zones() const
    {122, 856, 1031, 1, 0, 495, 4},	//2975 KTimeZones::add(const KTimeZone&)
    {122, 2442, 1031, 1, 0, 201, 5},	//2976 KTimeZones::remove(const KTimeZone&)
    {122, 2442, 30, 1, 0, 201, 6},	//2977 KTimeZones::remove(const QString&)
    {122, 1154, 0, 0, 0, 0, 7},	//2978 KTimeZones::clear()
    {122, 3442, 0, 0, Smoke::mf_dtor, 0, 8 },	//2979 KTimeZones::~KTimeZones()
    {123, 2068, 0, 0, Smoke::mf_const, 636, 1},	//2980 KToolInvocation::metaObject() const
    {123, 2332, 122, 1, 0, 701, 2},	//2981 KToolInvocation::qt_metacast(const char*)
    {123, 3157, 124, 2, Smoke::mf_static, 382, 3},	//2982 KToolInvocation::tr(const char*, const char*)
    {123, 3164, 124, 2, Smoke::mf_static, 382, 4},	//2983 KToolInvocation::trUtf8(const char*, const char*)
    {123, 3157, 127, 3, Smoke::mf_static, 382, 5},	//2984 KToolInvocation::tr(const char*, const char*, int)
    {123, 3164, 127, 3, Smoke::mf_static, 382, 6},	//2985 KToolInvocation::trUtf8(const char*, const char*, int)
    {123, 2330, 131, 3, 0, 678, 7},	//2986 KToolInvocation::qt_metacall(QMetaObject::Call, int, void**)
    {123, 2507, 0, 0, Smoke::mf_static, 218, 8},	//2987 KToolInvocation::self()
    {123, 1762, 2086, 3, Smoke::mf_static|Smoke::mf_slot, 0, 9},	//2988 KToolInvocation::invokeHelp(const QString&, const QString&, const QByteArray&)
    {123, 1766, 2086, 3, Smoke::mf_static|Smoke::mf_slot, 0, 10},	//2989 KToolInvocation::invokeMailer(const QString&, const QString&, const QByteArray&)
    {123, 1766, 2090, 3, Smoke::mf_static|Smoke::mf_slot, 0, 11},	//2990 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&, bool)
    {123, 1766, 2094, 8, Smoke::mf_static|Smoke::mf_slot, 0, 12},	//2991 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&, const QByteArray&)
    {123, 1759, 579, 2, Smoke::mf_static|Smoke::mf_slot, 0, 13},	//2992 KToolInvocation::invokeBrowser(const QString&, const QByteArray&)
    {123, 1776, 2086, 3, Smoke::mf_static|Smoke::mf_slot, 0, 14},	//2993 KToolInvocation::invokeTerminal(const QString&, const QString&, const QByteArray&)
    {123, 1948, 0, 0, Smoke::mf_static, 241, 15},	//2994 KToolInvocation::klauncher()
    {123, 3034, 2103, 7, Smoke::mf_static, 678, 16},	//2995 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3034, 2111, 7, Smoke::mf_static, 678, 17},	//2996 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3020, 2103, 7, Smoke::mf_static, 678, 18},	//2997 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3020, 2111, 7, Smoke::mf_static, 678, 19},	//2998 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3006, 2103, 7, Smoke::mf_static, 678, 20},	//2999 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 3006, 2111, 7, Smoke::mf_static, 678, 21},	//3000 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&, bool)
    {123, 1916, 2119, 5, Smoke::mf_static, 678, 22},	//3001 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {123, 1922, 2119, 5, Smoke::mf_static, 678, 23},	//3002 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*, const QByteArray&)
    {123, 1907, 2125, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3003 KToolInvocation::kapplication_hook(QStringList&, QByteArray&)
    {123, 3157, 122, 1, Smoke::mf_static, 382, 25},	//3004 KToolInvocation::tr(const char*)
    {123, 3164, 122, 1, Smoke::mf_static, 382, 26},	//3005 KToolInvocation::trUtf8(const char*)
    {123, 1762, 0, 0, Smoke::mf_static|Smoke::mf_slot, 0, 27},	//3006 KToolInvocation::invokeHelp()
    {123, 1762, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 28},	//3007 KToolInvocation::invokeHelp(const QString&)
    {123, 1762, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 29},	//3008 KToolInvocation::invokeHelp(const QString&, const QString&)
    {123, 1766, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 30},	//3009 KToolInvocation::invokeMailer(const QString&, const QString&)
    {123, 1766, 148, 1, Smoke::mf_static|Smoke::mf_slot, 0, 31},	//3010 KToolInvocation::invokeMailer(const KUrl&)
    {123, 1766, 2128, 2, Smoke::mf_static|Smoke::mf_slot, 0, 32},	//3011 KToolInvocation::invokeMailer(const KUrl&, const QByteArray&)
    {123, 1766, 2131, 5, Smoke::mf_static|Smoke::mf_slot, 0, 33},	//3012 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&)
    {123, 1766, 2137, 6, Smoke::mf_static|Smoke::mf_slot, 0, 34},	//3013 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&)
    {123, 1766, 2144, 7, Smoke::mf_static|Smoke::mf_slot, 0, 35},	//3014 KToolInvocation::invokeMailer(const QString&, const QString&, const QString&, const QString&, const QString&, const QString&, const QStringList&)
    {123, 1759, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 36},	//3015 KToolInvocation::invokeBrowser(const QString&)
    {123, 1776, 30, 1, Smoke::mf_static|Smoke::mf_slot, 0, 37},	//3016 KToolInvocation::invokeTerminal(const QString&)
    {123, 1776, 95, 2, Smoke::mf_static|Smoke::mf_slot, 0, 38},	//3017 KToolInvocation::invokeTerminal(const QString&, const QString&)
    {123, 3034, 95, 2, Smoke::mf_static, 678, 39},	//3018 KToolInvocation::startServiceByName(const QString&, const QString&)
    {123, 3034, 2152, 3, Smoke::mf_static, 678, 40},	//3019 KToolInvocation::startServiceByName(const QString&, const QString&, QString*)
    {123, 3034, 2156, 4, Smoke::mf_static, 678, 41},	//3020 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*)
    {123, 3034, 2161, 5, Smoke::mf_static, 678, 42},	//3021 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*)
    {123, 3034, 2167, 6, Smoke::mf_static, 678, 43},	//3022 KToolInvocation::startServiceByName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3034, 30, 1, Smoke::mf_static, 678, 44},	//3023 KToolInvocation::startServiceByName(const QString&)
    {123, 3034, 523, 2, Smoke::mf_static, 678, 45},	//3024 KToolInvocation::startServiceByName(const QString&, const QStringList&)
    {123, 3034, 2174, 3, Smoke::mf_static, 678, 46},	//3025 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*)
    {123, 3034, 2178, 4, Smoke::mf_static, 678, 47},	//3026 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*)
    {123, 3034, 2183, 5, Smoke::mf_static, 678, 48},	//3027 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3034, 2189, 6, Smoke::mf_static, 678, 49},	//3028 KToolInvocation::startServiceByName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 3020, 95, 2, Smoke::mf_static, 678, 50},	//3029 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&)
    {123, 3020, 2152, 3, Smoke::mf_static, 678, 51},	//3030 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*)
    {123, 3020, 2156, 4, Smoke::mf_static, 678, 52},	//3031 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*)
    {123, 3020, 2161, 5, Smoke::mf_static, 678, 53},	//3032 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*)
    {123, 3020, 2167, 6, Smoke::mf_static, 678, 54},	//3033 KToolInvocation::startServiceByDesktopPath(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3020, 30, 1, Smoke::mf_static, 678, 55},	//3034 KToolInvocation::startServiceByDesktopPath(const QString&)
    {123, 3020, 523, 2, Smoke::mf_static, 678, 56},	//3035 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&)
    {123, 3020, 2174, 3, Smoke::mf_static, 678, 57},	//3036 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*)
    {123, 3020, 2178, 4, Smoke::mf_static, 678, 58},	//3037 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*)
    {123, 3020, 2183, 5, Smoke::mf_static, 678, 59},	//3038 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3020, 2189, 6, Smoke::mf_static, 678, 60},	//3039 KToolInvocation::startServiceByDesktopPath(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 3006, 95, 2, Smoke::mf_static, 678, 61},	//3040 KToolInvocation::startServiceByDesktopName(const QString&, const QString&)
    {123, 3006, 2152, 3, Smoke::mf_static, 678, 62},	//3041 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*)
    {123, 3006, 2156, 4, Smoke::mf_static, 678, 63},	//3042 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*)
    {123, 3006, 2161, 5, Smoke::mf_static, 678, 64},	//3043 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*)
    {123, 3006, 2167, 6, Smoke::mf_static, 678, 65},	//3044 KToolInvocation::startServiceByDesktopName(const QString&, const QString&, QString*, QString*, int*, const QByteArray&)
    {123, 3006, 30, 1, Smoke::mf_static, 678, 66},	//3045 KToolInvocation::startServiceByDesktopName(const QString&)
    {123, 3006, 523, 2, Smoke::mf_static, 678, 67},	//3046 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&)
    {123, 3006, 2174, 3, Smoke::mf_static, 678, 68},	//3047 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*)
    {123, 3006, 2178, 4, Smoke::mf_static, 678, 69},	//3048 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*)
    {123, 3006, 2183, 5, Smoke::mf_static, 678, 70},	//3049 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*)
    {123, 3006, 2189, 6, Smoke::mf_static, 678, 71},	//3050 KToolInvocation::startServiceByDesktopName(const QString&, const QStringList&, QString*, QString*, int*, const QByteArray&)
    {123, 1916, 30, 1, Smoke::mf_static, 678, 72},	//3051 KToolInvocation::kdeinitExec(const QString&)
    {123, 1916, 523, 2, Smoke::mf_static, 678, 73},	//3052 KToolInvocation::kdeinitExec(const QString&, const QStringList&)
    {123, 1916, 2174, 3, Smoke::mf_static, 678, 74},	//3053 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*)
    {123, 1916, 2196, 4, Smoke::mf_static, 678, 75},	//3054 KToolInvocation::kdeinitExec(const QString&, const QStringList&, QString*, int*)
    {123, 1922, 30, 1, Smoke::mf_static, 678, 76},	//3055 KToolInvocation::kdeinitExecWait(const QString&)
    {123, 1922, 523, 2, Smoke::mf_static, 678, 77},	//3056 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&)
    {123, 1922, 2174, 3, Smoke::mf_static, 678, 78},	//3057 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*)
    {123, 1922, 2196, 4, Smoke::mf_static, 678, 79},	//3058 KToolInvocation::kdeinitExecWait(const QString&, const QStringList&, QString*, int*)
    {123, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 80},	//3059 KToolInvocation::staticMetaObject() const
    {123, 3443, 0, 0, Smoke::mf_dtor, 0, 81 },	//3060 KToolInvocation::~KToolInvocation()
    {124, 529, 2201, 6, Smoke::mf_ctor, 219, 1},	//3061 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {124, 529, 2208, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 219, 2},	//3062 KTzfileTimeZone::KTzfileTimeZone(const KTzfileTimeZone&)
    {124, 529, 2210, 2, Smoke::mf_ctor, 219, 3},	//3063 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&)
    {124, 529, 2213, 3, Smoke::mf_ctor, 219, 4},	//3064 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&)
    {124, 529, 2217, 4, Smoke::mf_ctor, 219, 5},	//3065 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float)
    {124, 529, 2222, 5, Smoke::mf_ctor, 219, 6},	//3066 KTzfileTimeZone::KTzfileTimeZone(KTzfileTimeZoneSource*, const QString&, const QString&, float, float)
    {124, 3444, 0, 0, Smoke::mf_dtor, 0, 7 },	//3067 KTzfileTimeZone::~KTzfileTimeZone()
    {125, 536, 2201, 6, Smoke::mf_ctor, 220, 1},	//3068 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(KTzfileTimeZoneSource*, const QString&, const QString&, float, float, const QString&)
    {125, 1158, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 213, 2},	//3069 KTzfileTimeZoneBackend::clone() const
    {125, 3200, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 248, 3},	//3070 KTzfileTimeZoneBackend::type() const
    {125, 1709, 2048, 1, Smoke::mf_const|Smoke::mf_virtual, 495, 4},	//3071 KTzfileTimeZoneBackend::hasTransitions(const KTimeZone*) const
    {125, 536, 2228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 220, 5},	//3072 KTzfileTimeZoneBackend::KTzfileTimeZoneBackend(const KTzfileTimeZoneBackend&)
    {125, 3445, 0, 0, Smoke::mf_dtor, 0, 6 },	//3073 KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend()
    {126, 539, 30, 1, Smoke::mf_ctor, 221, 1},	//3074 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const QString&)
    {126, 2010, 0, 0, Smoke::mf_const, 382, 2},	//3075 KTzfileTimeZoneSource::location() const
    {126, 2250, 1031, 1, Smoke::mf_const|Smoke::mf_virtual, 215, 3},	//3076 KTzfileTimeZoneSource::parse(const KTimeZone&) const
    {126, 539, 2230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 221, 4},	//3077 KTzfileTimeZoneSource::KTzfileTimeZoneSource(const KTzfileTimeZoneSource&)
    {126, 3446, 0, 0, Smoke::mf_dtor, 0, 5 },	//3078 KTzfileTimeZoneSource::~KTzfileTimeZoneSource()
    {127, 542, 0, 0, Smoke::mf_ctor, 224, 1},	//3079 KUrl::KUrl()
    {127, 542, 30, 1, Smoke::mf_ctor, 224, 2},	//3080 KUrl::KUrl(const QString&)
    {127, 542, 122, 1, Smoke::mf_ctor, 224, 3},	//3081 KUrl::KUrl(const char*)
    {127, 542, 32, 1, Smoke::mf_ctor, 224, 4},	//3082 KUrl::KUrl(const QByteArray&)
    {127, 542, 148, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 224, 5},	//3083 KUrl::KUrl(const KUrl&)
    {127, 542, 1809, 1, Smoke::mf_ctor, 224, 6},	//3084 KUrl::KUrl(const QUrl&)
    {127, 542, 152, 2, Smoke::mf_ctor, 224, 7},	//3085 KUrl::KUrl(const KUrl&, const QString&)
    {127, 2316, 0, 0, Smoke::mf_const, 382, 8},	//3086 KUrl::protocol() const
    {127, 2871, 30, 1, 0, 0, 9},	//3087 KUrl::setProtocol(const QString&)
    {127, 3236, 0, 0, Smoke::mf_const, 382, 10},	//3088 KUrl::user() const
    {127, 2936, 30, 1, 0, 0, 11},	//3089 KUrl::setUser(const QString&)
    {127, 1711, 0, 0, Smoke::mf_const, 495, 12},	//3090 KUrl::hasUser() const
    {127, 2254, 0, 0, Smoke::mf_const, 382, 13},	//3091 KUrl::pass() const
    {127, 2835, 30, 1, 0, 0, 14},	//3092 KUrl::setPass(const QString&)
    {127, 1699, 0, 0, Smoke::mf_const, 495, 15},	//3093 KUrl::hasPass() const
    {127, 1684, 0, 0, Smoke::mf_const, 495, 16},	//3094 KUrl::hasHost() const
    {127, 2255, 2232, 1, Smoke::mf_const, 382, 17},	//3095 KUrl::path(KUrl::AdjustPathOption) const
    {127, 3132, 2232, 1, Smoke::mf_const, 382, 18},	//3096 KUrl::toLocalFile(KUrl::AdjustPathOption) const
    {127, 2837, 30, 1, 0, 0, 19},	//3097 KUrl::setPath(const QString&)
    {127, 1700, 0, 0, Smoke::mf_const, 495, 20},	//3098 KUrl::hasPath() const
    {127, 1152, 2234, 1, 0, 0, 21},	//3099 KUrl::cleanPath(const KUrl::CleanPathOption&)
    {127, 1015, 2232, 1, 0, 0, 22},	//3100 KUrl::adjustPath(KUrl::AdjustPathOption)
    {127, 2642, 30, 1, 0, 0, 23},	//3101 KUrl::setEncodedPathAndQuery(const QString&)
    {127, 1412, 2236, 2, Smoke::mf_const, 382, 24},	//3102 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption, const QFlags<KUrl::EncodedPathAndQueryOption>&) const
    {127, 2873, 30, 1, 0, 0, 25},	//3103 KUrl::setQuery(const QString&)
    {127, 2334, 0, 0, Smoke::mf_const, 382, 26},	//3104 KUrl::query() const
    {127, 2427, 0, 0, Smoke::mf_const, 382, 27},	//3105 KUrl::ref() const
    {127, 2877, 30, 1, 0, 0, 28},	//3106 KUrl::setRef(const QString&)
    {127, 1702, 0, 0, Smoke::mf_const, 495, 29},	//3107 KUrl::hasRef() const
    {127, 1717, 0, 0, Smoke::mf_const, 382, 30},	//3108 KUrl::htmlRef() const
    {127, 1411, 0, 0, Smoke::mf_const, 382, 31},	//3109 KUrl::encodedHtmlRef() const
    {127, 2679, 30, 1, 0, 0, 32},	//3110 KUrl::setHTMLRef(const QString&)
    {127, 1682, 0, 0, Smoke::mf_const, 495, 33},	//3111 KUrl::hasHTMLRef() const
    {127, 1842, 0, 0, Smoke::mf_const, 495, 34},	//3112 KUrl::isLocalFile() const
    {127, 2664, 30, 1, 0, 0, 35},	//3113 KUrl::setFileEncoding(const QString&)
    {127, 1504, 0, 0, Smoke::mf_const, 382, 36},	//3114 KUrl::fileEncoding() const
    {127, 1705, 0, 0, Smoke::mf_const, 495, 37},	//3115 KUrl::hasSubUrl() const
    {127, 978, 30, 1, 0, 0, 38},	//3116 KUrl::addPath(const QString&)
    {127, 2340, 2239, 1, Smoke::mf_const, 367, 39},	//3117 KUrl::queryItems(const QFlags<KUrl::QueryItemsOption>&) const
    {127, 2338, 30, 1, Smoke::mf_const, 382, 40},	//3118 KUrl::queryItem(const QString&) const
    {127, 982, 95, 2, 0, 0, 41},	//3119 KUrl::addQueryItem(const QString&, const QString&)
    {127, 2666, 30, 1, 0, 0, 42},	//3120 KUrl::setFileName(const QString&)
    {127, 1507, 2241, 1, Smoke::mf_const, 382, 43},	//3121 KUrl::fileName(const QFlags<KUrl::DirectoryOption>&) const
    {127, 1383, 2241, 1, Smoke::mf_const, 382, 44},	//3122 KUrl::directory(const QFlags<KUrl::DirectoryOption>&) const
    {127, 2640, 30, 1, 0, 0, 45},	//3123 KUrl::setDirectory(const QString&)
    {127, 1127, 30, 1, 0, 495, 46},	//3124 KUrl::cd(const QString&)
    {127, 3225, 2232, 1, Smoke::mf_const, 382, 47},	//3125 KUrl::url(KUrl::AdjustPathOption) const
    {127, 2289, 2232, 1, Smoke::mf_const, 382, 48},	//3126 KUrl::prettyUrl(KUrl::AdjustPathOption) const
    {127, 2257, 0, 0, Smoke::mf_const, 382, 49},	//3127 KUrl::pathOrUrl() const
    {127, 2257, 2232, 1, Smoke::mf_const, 382, 50},	//3128 KUrl::pathOrUrl(KUrl::AdjustPathOption) const
    {127, 3135, 0, 0, Smoke::mf_const, 382, 51},	//3129 KUrl::toMimeDataString() const
    {127, 3217, 0, 0, Smoke::mf_const, 222, 52},	//3130 KUrl::upUrl() const
    {127, 2205, 148, 1, 0, 223, 53},	//3131 KUrl::operator=(const KUrl&)
    {127, 2205, 122, 1, 0, 223, 54},	//3132 KUrl::operator=(const char*)
    {127, 2205, 32, 1, 0, 223, 55},	//3133 KUrl::operator=(const QByteArray&)
    {127, 2205, 30, 1, 0, 223, 56},	//3134 KUrl::operator=(const QString&)
    {127, 2208, 148, 1, Smoke::mf_const, 495, 57},	//3135 KUrl::operator==(const KUrl&) const
    {127, 2208, 30, 1, Smoke::mf_const, 495, 58},	//3136 KUrl::operator==(const QString&) const
    {127, 2165, 148, 1, Smoke::mf_const, 495, 59},	//3137 KUrl::operator!=(const KUrl&) const
    {127, 2165, 30, 1, Smoke::mf_const, 495, 60},	//3138 KUrl::operator!=(const QString&) const
    {127, 2164, 0, 0, Smoke::mf_const, 406, 61},	//3139 KUrl::operator QVariant() const
    {127, 1160, 2243, 2, Smoke::mf_const, 495, 62},	//3140 KUrl::cmp(const KUrl&, bool) const
    {127, 1432, 2246, 2, Smoke::mf_const, 495, 63},	//3141 KUrl::equals(const KUrl&, const QFlags<KUrl::EqualsOption>&) const
    {127, 1851, 148, 1, Smoke::mf_const, 495, 64},	//3142 KUrl::isParentOf(const KUrl&) const
    {127, 2985, 30, 1, Smoke::mf_static, 230, 65},	//3143 KUrl::split(const QString&)
    {127, 2985, 148, 1, Smoke::mf_static, 230, 66},	//3144 KUrl::split(const KUrl&)
    {127, 1892, 2249, 1, Smoke::mf_static, 222, 67},	//3145 KUrl::join(const KUrl::List&)
    {127, 1628, 30, 1, Smoke::mf_static, 222, 68},	//3146 KUrl::fromPath(const QString&)
    {127, 1630, 30, 1, Smoke::mf_static, 222, 69},	//3147 KUrl::fromPathOrUrl(const QString&)
    {127, 1626, 32, 1, Smoke::mf_static, 222, 70},	//3148 KUrl::fromMimeDataByteArray(const QByteArray&)
    {127, 2274, 2251, 3, Smoke::mf_const, 0, 71},	//3149 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&, KUrl::MimeDataFlags) const
    {127, 1407, 30, 1, Smoke::mf_static, 382, 72},	//3150 KUrl::encode_string(const QString&)
    {127, 1409, 30, 1, Smoke::mf_static, 382, 73},	//3151 KUrl::encode_string_no_slash(const QString&)
    {127, 1325, 30, 1, Smoke::mf_static, 382, 74},	//3152 KUrl::decode_string(const QString&)
    {127, 1856, 30, 1, Smoke::mf_static, 495, 75},	//3153 KUrl::isRelativeUrl(const QString&)
    {127, 2439, 2255, 2, Smoke::mf_static, 382, 76},	//3154 KUrl::relativeUrl(const KUrl&, const KUrl&)
    {127, 2436, 275, 3, Smoke::mf_static, 382, 77},	//3155 KUrl::relativePath(const QString&, const QString&, bool*)
    {127, 2255, 0, 0, Smoke::mf_const, 382, 78},	//3156 KUrl::path() const
    {127, 3132, 0, 0, Smoke::mf_const, 382, 79},	//3157 KUrl::toLocalFile() const
    {127, 1152, 0, 0, 0, 0, 80},	//3158 KUrl::cleanPath()
    {127, 1412, 0, 0, Smoke::mf_const, 382, 81},	//3159 KUrl::encodedPathAndQuery() const
    {127, 1412, 2232, 1, Smoke::mf_const, 382, 82},	//3160 KUrl::encodedPathAndQuery(KUrl::AdjustPathOption) const
    {127, 2340, 0, 0, Smoke::mf_const, 367, 83},	//3161 KUrl::queryItems() const
    {127, 1507, 0, 0, Smoke::mf_const, 382, 84},	//3162 KUrl::fileName() const
    {127, 1383, 0, 0, Smoke::mf_const, 382, 85},	//3163 KUrl::directory() const
    {127, 3225, 0, 0, Smoke::mf_const, 382, 86},	//3164 KUrl::url() const
    {127, 2289, 0, 0, Smoke::mf_const, 382, 87},	//3165 KUrl::prettyUrl() const
    {127, 1160, 148, 1, Smoke::mf_const, 495, 88},	//3166 KUrl::cmp(const KUrl&) const
    {127, 1432, 148, 1, Smoke::mf_const, 495, 89},	//3167 KUrl::equals(const KUrl&) const
    {127, 2274, 2258, 1, Smoke::mf_const, 0, 90},	//3168 KUrl::populateMimeData(QMimeData*) const
    {127, 2274, 2260, 2, Smoke::mf_const, 0, 91},	//3169 KUrl::populateMimeData(QMimeData*, const QMap<QString,QString>&) const
    {127, 2436, 95, 2, Smoke::mf_static, 382, 92},	//3170 KUrl::relativePath(const QString&, const QString&)
    {127, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 93},	//3171 KUrl::DefaultMimeDataFlags (enum)
    {127, 626, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 94},	//3172 KUrl::NoTextExport (enum)
    {127, 694, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 95},	//3173 KUrl::RemoveTrailingSlash (enum)
    {127, 567, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 96},	//3174 KUrl::LeaveTrailingSlash (enum)
    {127, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 97},	//3175 KUrl::AddTrailingSlash (enum)
    {127, 713, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 98},	//3176 KUrl::SimplifyDirSeparators (enum)
    {127, 557, 0, 0, Smoke::mf_static|Smoke::mf_enum, 226, 99},	//3177 KUrl::KeepDirSeparators (enum)
    {127, 653, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 100},	//3178 KUrl::PermitEmptyPath (enum)
    {127, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 228, 101},	//3179 KUrl::AvoidEmptyPath (enum)
    {127, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 102},	//3180 KUrl::CaseInsensitiveKeys (enum)
    {127, 635, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 103},	//3181 KUrl::ObeyTrailingSlash (enum)
    {127, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 104},	//3182 KUrl::AppendTrailingSlash (enum)
    {127, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 227, 105},	//3183 KUrl::IgnoreTrailingSlash (enum)
    {127, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 106},	//3184 KUrl::CompareWithoutTrailingSlash (enum)
    {127, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 107},	//3185 KUrl::CompareWithoutFragment (enum)
    {127, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 229, 108},	//3186 KUrl::AllowEmptyPath (enum)
    {127, 3447, 0, 0, Smoke::mf_dtor, 0, 109 },	//3187 KUrl::~KUrl()
    {128, 546, 2263, 1, Smoke::mf_ctor, 235, 1},	//3188 KUser::KUser(KUser::UIDMode)
    {128, 546, 942, 1, Smoke::mf_ctor, 235, 2},	//3189 KUser::KUser(unsigned int)
    {128, 546, 30, 1, Smoke::mf_ctor, 235, 3},	//3190 KUser::KUser(const QString&)
    {128, 546, 122, 1, Smoke::mf_ctor, 235, 4},	//3191 KUser::KUser(const char*)
    {128, 546, 2265, 1, Smoke::mf_ctor, 235, 5},	//3192 KUser::KUser(const passwd*)
    {128, 546, 2267, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 235, 6},	//3193 KUser::KUser(const KUser&)
    {128, 2205, 2267, 1, 0, 234, 7},	//3194 KUser::operator=(const KUser&)
    {128, 2208, 2267, 1, Smoke::mf_const, 495, 8},	//3195 KUser::operator==(const KUser&) const
    {128, 2165, 2267, 1, Smoke::mf_const, 495, 9},	//3196 KUser::operator!=(const KUser&) const
    {128, 1879, 0, 0, Smoke::mf_const, 495, 10},	//3197 KUser::isValid() const
    {128, 3202, 0, 0, Smoke::mf_const, 694, 11},	//3198 KUser::uid() const
    {128, 1658, 0, 0, Smoke::mf_const, 694, 12},	//3199 KUser::gid() const
    {128, 1870, 0, 0, Smoke::mf_const, 495, 13},	//3200 KUser::isSuperUser() const
    {128, 2013, 0, 0, Smoke::mf_const, 382, 14},	//3201 KUser::loginName() const
    {128, 1644, 0, 0, Smoke::mf_const, 382, 15},	//3202 KUser::fullName() const
    {128, 1715, 0, 0, Smoke::mf_const, 382, 16},	//3203 KUser::homeDir() const
    {128, 1492, 0, 0, Smoke::mf_const, 382, 17},	//3204 KUser::faceIconPath() const
    {128, 2959, 0, 0, Smoke::mf_const, 382, 18},	//3205 KUser::shell() const
    {128, 1668, 0, 0, Smoke::mf_const, 358, 19},	//3206 KUser::groups() const
    {128, 1667, 0, 0, Smoke::mf_const, 387, 20},	//3207 KUser::groupNames() const
    {128, 2308, 2269, 1, Smoke::mf_const, 406, 21},	//3208 KUser::property(KUser::UserProperty) const
    {128, 1034, 0, 0, Smoke::mf_static, 357, 22},	//3209 KUser::allUsers()
    {128, 1033, 0, 0, Smoke::mf_static, 387, 23},	//3210 KUser::allUserNames()
    {128, 546, 0, 0, Smoke::mf_ctor, 235, 24},	//3211 KUser::KUser()
    {128, 796, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 25},	//3212 KUser::UseEffectiveUID (enum)
    {128, 797, 0, 0, Smoke::mf_static|Smoke::mf_enum, 236, 26},	//3213 KUser::UseRealUserID (enum)
    {128, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 27},	//3214 KUser::FullName (enum)
    {128, 700, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 28},	//3215 KUser::RoomNumber (enum)
    {128, 810, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 29},	//3216 KUser::WorkPhone (enum)
    {128, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 237, 30},	//3217 KUser::HomePhone (enum)
    {128, 3448, 0, 0, Smoke::mf_dtor, 0, 31 },	//3218 KUser::~KUser()
    {129, 549, 30, 1, Smoke::mf_ctor, 239, 1},	//3219 KUserGroup::KUserGroup(const QString&)
    {129, 549, 122, 1, Smoke::mf_ctor, 239, 2},	//3220 KUserGroup::KUserGroup(const char*)
    {129, 549, 2263, 1, Smoke::mf_ctor, 239, 3},	//3221 KUserGroup::KUserGroup(KUser::UIDMode)
    {129, 549, 942, 1, Smoke::mf_ctor, 239, 4},	//3222 KUserGroup::KUserGroup(unsigned int)
    {129, 549, 2271, 1, Smoke::mf_ctor, 239, 5},	//3223 KUserGroup::KUserGroup(const group*)
    {129, 549, 2273, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 239, 6},	//3224 KUserGroup::KUserGroup(const KUserGroup&)
    {129, 2205, 2273, 1, 0, 238, 7},	//3225 KUserGroup::operator=(const KUserGroup&)
    {129, 2208, 2273, 1, Smoke::mf_const, 495, 8},	//3226 KUserGroup::operator==(const KUserGroup&) const
    {129, 2165, 2273, 1, Smoke::mf_const, 495, 9},	//3227 KUserGroup::operator!=(const KUserGroup&) const
    {129, 1879, 0, 0, Smoke::mf_const, 495, 10},	//3228 KUserGroup::isValid() const
    {129, 1658, 0, 0, Smoke::mf_const, 694, 11},	//3229 KUserGroup::gid() const
    {129, 2109, 0, 0, Smoke::mf_const, 382, 12},	//3230 KUserGroup::name() const
    {129, 3240, 0, 0, Smoke::mf_const, 357, 13},	//3231 KUserGroup::users() const
    {129, 3237, 0, 0, Smoke::mf_const, 387, 14},	//3232 KUserGroup::userNames() const
    {129, 1023, 0, 0, Smoke::mf_static, 358, 15},	//3233 KUserGroup::allGroups()
    {129, 1022, 0, 0, Smoke::mf_static, 387, 16},	//3234 KUserGroup::allGroupNames()
    {129, 549, 0, 0, Smoke::mf_ctor, 239, 17},	//3235 KUserGroup::KUserGroup()
    {129, 3449, 0, 0, Smoke::mf_dtor, 0, 18 },	//3236 KUserGroup::~KUserGroup()
    {130, 552, 330, 1, Smoke::mf_ctor|Smoke::mf_explicit, 240, 1},	//3237 KWordMacroExpander::KWordMacroExpander(QChar)
    {130, 1486, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 2},	//3238 KWordMacroExpander::expandPlainMacro(const QString&, int, QStringList&)
    {130, 1472, 332, 3, Smoke::mf_protected|Smoke::mf_virtual, 678, 3},	//3239 KWordMacroExpander::expandEscapedMacro(const QString&, int, QStringList&)
    {130, 1474, 747, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 495, 4},	//3240 KWordMacroExpander::expandMacro(const QString&, QStringList&) [pure virtual]
    {130, 552, 2275, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 240, 5},	//3241 KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    {130, 552, 0, 0, Smoke::mf_ctor|Smoke::mf_explicit, 240, 6},	//3242 KWordMacroExpander::KWordMacroExpander()
    {130, 3450, 0, 0, Smoke::mf_dtor, 0, 7 },	//3243 KWordMacroExpander::~KWordMacroExpander()
    {131, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//3244 OrgKdeKLauncherInterface::metaObject() const
    {131, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//3245 OrgKdeKLauncherInterface::qt_metacast(const char*)
    {131, 3157, 124, 2, Smoke::mf_static, 382, 3},	//3246 OrgKdeKLauncherInterface::tr(const char*, const char*)
    {131, 3164, 124, 2, Smoke::mf_static, 382, 4},	//3247 OrgKdeKLauncherInterface::trUtf8(const char*, const char*)
    {131, 3157, 127, 3, Smoke::mf_static, 382, 5},	//3248 OrgKdeKLauncherInterface::tr(const char*, const char*, int)
    {131, 3164, 127, 3, Smoke::mf_static, 382, 6},	//3249 OrgKdeKLauncherInterface::trUtf8(const char*, const char*, int)
    {131, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//3250 OrgKdeKLauncherInterface::qt_metacall(QMetaObject::Call, int, void**)
    {131, 3055, 0, 0, Smoke::mf_static, 663, 8},	//3251 OrgKdeKLauncherInterface::staticInterfaceName()
    {131, 643, 2277, 4, Smoke::mf_ctor, 241, 9},	//3252 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&, QObject*)
    {131, 1067, 0, 0, Smoke::mf_slot, 257, 10},	//3253 OrgKdeKLauncherInterface::autoStart()
    {131, 1067, 118, 1, Smoke::mf_slot, 257, 11},	//3254 OrgKdeKLauncherInterface::autoStart(int)
    {131, 1457, 2282, 4, Smoke::mf_slot, 257, 12},	//3255 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&, const QStringList&, const QString&)
    {131, 1457, 523, 2, Smoke::mf_slot, 257, 13},	//3256 OrgKdeKLauncherInterface::exec_blind(const QString&, const QStringList&)
    {131, 1928, 2287, 7, Smoke::mf_slot, 256, 14},	//3257 OrgKdeKLauncherInterface::kdeinit_exec(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {131, 1930, 2287, 7, Smoke::mf_slot, 256, 15},	//3258 OrgKdeKLauncherInterface::kdeinit_exec_wait(const QString&, const QStringList&, const QStringList&, const QString&, QString&, QString&, int&)
    {131, 2462, 0, 0, Smoke::mf_slot, 257, 16},	//3259 OrgKdeKLauncherInterface::reparseConfiguration()
    {131, 2465, 95, 2, Smoke::mf_slot, 256, 17},	//3260 OrgKdeKLauncherInterface::requestHoldSlave(const QString&, const QString&)
    {131, 2467, 2295, 4, Smoke::mf_slot, 256, 18},	//3261 OrgKdeKLauncherInterface::requestSlave(const QString&, const QString&, const QString&, QString&)
    {131, 2705, 95, 2, Smoke::mf_slot, 257, 19},	//3262 OrgKdeKLauncherInterface::setLaunchEnv(const QString&, const QString&)
    {131, 3048, 2300, 8, Smoke::mf_slot, 256, 20},	//3263 OrgKdeKLauncherInterface::start_service_by_desktop_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3050, 2300, 8, Smoke::mf_slot, 256, 21},	//3264 OrgKdeKLauncherInterface::start_service_by_desktop_path(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3052, 2300, 8, Smoke::mf_slot, 256, 22},	//3265 OrgKdeKLauncherInterface::start_service_by_name(const QString&, const QStringList&, const QStringList&, const QString&, bool, QString&, QString&, int&)
    {131, 3272, 118, 1, Smoke::mf_slot, 257, 23},	//3266 OrgKdeKLauncherInterface::waitForSlave(int)
    {131, 1069, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3267 OrgKdeKLauncherInterface::autoStart0Done()
    {131, 1070, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3268 OrgKdeKLauncherInterface::autoStart1Done()
    {131, 1071, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//3269 OrgKdeKLauncherInterface::autoStart2Done()
    {131, 3157, 122, 1, Smoke::mf_static, 382, 27},	//3270 OrgKdeKLauncherInterface::tr(const char*)
    {131, 3164, 122, 1, Smoke::mf_static, 382, 28},	//3271 OrgKdeKLauncherInterface::trUtf8(const char*)
    {131, 643, 2309, 3, Smoke::mf_ctor, 241, 29},	//3272 OrgKdeKLauncherInterface::OrgKdeKLauncherInterface(const QString&, const QString&, const QDBusConnection&)
    {131, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 30},	//3273 OrgKdeKLauncherInterface::staticMetaObject() const
    {131, 3452, 0, 0, Smoke::mf_dtor, 0, 31 },	//3274 OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface()
    {133, 1099, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3275 QAbstractSocket::bytesAvailable() const
    {133, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3276 QAbstractSocket::bytesToWrite() const
    {133, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3277 QAbstractSocket::canReadLine() const
    {133, 1159, 0, 0, Smoke::mf_virtual, 0, 0},	//3278 QAbstractSocket::close()
    {133, 1863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3279 QAbstractSocket::isSequential() const
    {133, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3280 QAbstractSocket::atEnd() const
    {133, 3271, 118, 1, Smoke::mf_virtual, 495, 0},	//3281 QAbstractSocket::waitForReadyRead(int)
    {133, 3267, 118, 1, Smoke::mf_virtual, 495, 0},	//3282 QAbstractSocket::waitForBytesWritten(int)
    {133, 2367, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3283 QAbstractSocket::readData(char*, long long)
    {133, 2393, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3284 QAbstractSocket::readLineData(char*, long long)
    {133, 3310, 1137, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3285 QAbstractSocket::writeData(const char*, long long)
    {133, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 12},	//3286 QAbstractSocket::ConnectionRefusedError (enum)
    {133, 692, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 13},	//3287 QAbstractSocket::RemoteHostClosedError (enum)
    {133, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 14},	//3288 QAbstractSocket::HostNotFoundError (enum)
    {133, 716, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 15},	//3289 QAbstractSocket::SocketAccessError (enum)
    {133, 718, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 16},	//3290 QAbstractSocket::SocketResourceError (enum)
    {133, 719, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 17},	//3291 QAbstractSocket::SocketTimeoutError (enum)
    {133, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 18},	//3292 QAbstractSocket::DatagramTooLargeError (enum)
    {133, 610, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 19},	//3293 QAbstractSocket::NetworkError (enum)
    {133, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 20},	//3294 QAbstractSocket::AddressInUseError (enum)
    {133, 717, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 21},	//3295 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {133, 795, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 22},	//3296 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {133, 773, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 23},	//3297 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {133, 667, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 24},	//3298 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {133, 731, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 25},	//3299 QAbstractSocket::SslHandshakeFailedError (enum)
    {133, 669, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 26},	//3300 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {133, 668, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 27},	//3301 QAbstractSocket::ProxyConnectionClosedError (enum)
    {133, 670, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 28},	//3302 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {133, 671, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 29},	//3303 QAbstractSocket::ProxyNotFoundError (enum)
    {133, 672, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 30},	//3304 QAbstractSocket::ProxyProtocolError (enum)
    {133, 792, 0, 0, Smoke::mf_static|Smoke::mf_enum, 244, 31},	//3305 QAbstractSocket::UnknownSocketError (enum)
    {139, 1181, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3306 QDBusAbstractInterface::connectNotify(const char*)
    {139, 1390, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3307 QDBusAbstractInterface::disconnectNotify(const char*)
    {150, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 0},	//3308 QFile::metaObject() const
    {150, 2332, 122, 1, Smoke::mf_virtual, 701, 0},	//3309 QFile::qt_metacast(const char*)
    {150, 2330, 131, 3, Smoke::mf_virtual, 678, 0},	//3310 QFile::qt_metacall(QMetaObject::Call, int, void**)
    {150, 1863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3311 QFile::isSequential() const
    {150, 1159, 0, 0, Smoke::mf_virtual, 0, 0},	//3312 QFile::close()
    {150, 2972, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3313 QFile::size() const
    {150, 2278, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3314 QFile::pos() const
    {150, 2505, 851, 1, Smoke::mf_virtual, 495, 0},	//3315 QFile::seek(long long)
    {150, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3316 QFile::atEnd() const
    {150, 1506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 0},	//3317 QFile::fileEngine() const
    {150, 2367, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3318 QFile::readData(char*, long long)
    {150, 3310, 1137, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3319 QFile::writeData(const char*, long long)
    {150, 2393, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3320 QFile::readLineData(char*, long long)
    {150, 617, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 14},	//3321 QFile::NoError (enum)
    {150, 683, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 15},	//3322 QFile::ReadError (enum)
    {150, 811, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 16},	//3323 QFile::WriteError (enum)
    {150, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 17},	//3324 QFile::FatalError (enum)
    {150, 699, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 18},	//3325 QFile::ResourceError (enum)
    {150, 642, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 19},	//3326 QFile::OpenError (enum)
    {150, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 20},	//3327 QFile::AbortError (enum)
    {150, 756, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 21},	//3328 QFile::TimeOutError (enum)
    {150, 794, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 22},	//3329 QFile::UnspecifiedError (enum)
    {150, 693, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 23},	//3330 QFile::RemoveError (enum)
    {150, 695, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 24},	//3331 QFile::RenameError (enum)
    {150, 662, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 25},	//3332 QFile::PositionError (enum)
    {150, 697, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 26},	//3333 QFile::ResizeError (enum)
    {150, 652, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 27},	//3334 QFile::PermissionsError (enum)
    {150, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 28},	//3335 QFile::CopyError (enum)
    {150, 687, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 29},	//3336 QFile::ReadOwner (enum)
    {150, 815, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 30},	//3337 QFile::WriteOwner (enum)
    {150, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 31},	//3338 QFile::ExeOwner (enum)
    {150, 688, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 32},	//3339 QFile::ReadUser (enum)
    {150, 816, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 33},	//3340 QFile::WriteUser (enum)
    {150, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 34},	//3341 QFile::ExeUser (enum)
    {150, 684, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 35},	//3342 QFile::ReadGroup (enum)
    {150, 812, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 36},	//3343 QFile::WriteGroup (enum)
    {150, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 37},	//3344 QFile::ExeGroup (enum)
    {150, 686, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 38},	//3345 QFile::ReadOther (enum)
    {150, 814, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 39},	//3346 QFile::WriteOther (enum)
    {150, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 40},	//3347 QFile::ExeOther (enum)
    {152, 2193, 2313, 2, Smoke::mf_static, 259, 1},	//3348 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {152, 2221, 2316, 2, Smoke::mf_static, 495, 2},	//3349 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {152, 2233, 2319, 2, Smoke::mf_static, 332, 3},	//3350 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {152, 2233, 2322, 2, Smoke::mf_static, 332, 4},	//3351 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {152, 1940, 124, 2, Smoke::mf_static, 135, 5},	//3352 QGlobalSpace::ki18nc(const char*, const char*)
    {152, 2208, 2325, 2, Smoke::mf_static, 495, 6},	//3353 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {152, 2227, 2328, 2, Smoke::mf_static, 259, 7},	//3354 QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    {152, 2208, 2331, 2, Smoke::mf_static, 495, 8},	//3355 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {152, 2208, 2334, 2, Smoke::mf_static, 495, 9},	//3356 QGlobalSpace::operator==(const QSize&, const QSize&)
    {152, 2177, 582, 2, Smoke::mf_static, 592, 10},	//3357 QGlobalSpace::operator+(const char*, const QByteArray&)
    {152, 2233, 2337, 2, Smoke::mf_static, 300, 11},	//3358 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {152, 2208, 2340, 2, Smoke::mf_static, 495, 12},	//3359 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {152, 2227, 2343, 2, Smoke::mf_static, 259, 13},	//3360 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {152, 2221, 2346, 2, Smoke::mf_static, 495, 14},	//3361 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {152, 1942, 1326, 3, Smoke::mf_static, 135, 15},	//3362 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {152, 2233, 2349, 2, Smoke::mf_static, 332, 16},	//3363 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {152, 2208, 2352, 2, Smoke::mf_static, 495, 17},	//3364 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {152, 2215, 582, 2, Smoke::mf_static, 495, 18},	//3365 QGlobalSpace::operator>(const char*, const QByteArray&)
    {152, 1909, 124, 2, Smoke::mf_static, 678, 19},	//3366 QGlobalSpace::kasciistricmp(const char*, const char*)
    {152, 2233, 2355, 2, Smoke::mf_static, 332, 20},	//3367 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {152, 2208, 2358, 2, Smoke::mf_static, 495, 21},	//3368 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {152, 2208, 2361, 2, Smoke::mf_static, 495, 22},	//3369 QGlobalSpace::operator==(QChar, QChar)
    {152, 2208, 2364, 2, Smoke::mf_static, 495, 23},	//3370 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {152, 2233, 2367, 2, Smoke::mf_static, 322, 24},	//3371 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {152, 2193, 2370, 2, Smoke::mf_static, 254, 25},	//3372 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {152, 2193, 2373, 2, Smoke::mf_static, 254, 26},	//3373 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {152, 2187, 2361, 2, Smoke::mf_static, 495, 27},	//3374 QGlobalSpace::operator<(QChar, QChar)
    {152, 2221, 2361, 2, Smoke::mf_static, 495, 28},	//3375 QGlobalSpace::operator>=(QChar, QChar)
    {152, 2165, 2376, 2, Smoke::mf_static, 495, 29},	//3376 QGlobalSpace::operator!=(QString::Null, const QString&)
    {152, 2193, 2379, 2, Smoke::mf_static, 254, 30},	//3377 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {152, 2193, 2382, 2, Smoke::mf_static, 259, 31},	//3378 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {152, 2187, 582, 2, Smoke::mf_static, 495, 32},	//3379 QGlobalSpace::operator<(const char*, const QByteArray&)
    {152, 2233, 2385, 2, Smoke::mf_static, 321, 33},	//3380 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {152, 2233, 2388, 2, Smoke::mf_static, 303, 34},	//3381 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {152, 2215, 2361, 2, Smoke::mf_static, 495, 35},	//3382 QGlobalSpace::operator>(QChar, QChar)
    {152, 2233, 2391, 2, Smoke::mf_static, 291, 36},	//3383 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {152, 2193, 2394, 2, Smoke::mf_static, 254, 37},	//3384 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {152, 2233, 2397, 2, Smoke::mf_static, 324, 38},	//3385 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {152, 2174, 2400, 2, Smoke::mf_static, 648, 39},	//3386 QGlobalSpace::operator*(double, const QSizeF&)
    {152, 2233, 2403, 2, Smoke::mf_static, 289, 40},	//3387 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {152, 2233, 2406, 2, Smoke::mf_static, 332, 41},	//3388 QGlobalSpace::operator|(QDir::Filter, int)
    {152, 2165, 2316, 2, Smoke::mf_static, 495, 42},	//3389 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {152, 2182, 2409, 2, Smoke::mf_static, 639, 43},	//3390 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {152, 2227, 2412, 2, Smoke::mf_static, 595, 44},	//3391 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {152, 2193, 2415, 2, Smoke::mf_static, 259, 45},	//3392 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {152, 2233, 2418, 2, Smoke::mf_static, 332, 46},	//3393 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {152, 2233, 2421, 2, Smoke::mf_static, 320, 47},	//3394 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {152, 2233, 2424, 2, Smoke::mf_static, 276, 48},	//3395 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {152, 2193, 2427, 2, Smoke::mf_static, 254, 49},	//3396 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {152, 2165, 2331, 2, Smoke::mf_static, 495, 50},	//3397 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {152, 1720, 124, 2, Smoke::mf_static, 382, 51},	//3398 QGlobalSpace::i18nc(const char*, const char*)
    {152, 2233, 2430, 2, Smoke::mf_static, 307, 52},	//3399 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {152, 2233, 2433, 2, Smoke::mf_static, 332, 53},	//3400 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {152, 2233, 2436, 2, Smoke::mf_static, 332, 54},	//3401 QGlobalSpace::operator|(QFile::Permission, int)
    {152, 2185, 2439, 2, Smoke::mf_static, 639, 55},	//3402 QGlobalSpace::operator/(const QPoint&, double)
    {152, 2177, 2409, 2, Smoke::mf_static, 639, 56},	//3403 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {152, 2233, 2442, 2, Smoke::mf_static, 298, 57},	//3404 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {152, 2177, 579, 2, Smoke::mf_static, 650, 58},	//3405 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {152, 2182, 2445, 2, Smoke::mf_static, 648, 59},	//3406 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {152, 2165, 2346, 2, Smoke::mf_static, 495, 60},	//3407 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {152, 2233, 2448, 2, Smoke::mf_static, 332, 61},	//3408 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    {152, 2233, 2451, 2, Smoke::mf_static, 332, 62},	//3409 QGlobalSpace::operator|(KLockFile::LockFlag, int)
    {152, 2233, 2454, 2, Smoke::mf_static, 316, 63},	//3410 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {152, 2233, 2457, 2, Smoke::mf_static, 304, 64},	//3411 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {152, 2187, 511, 2, Smoke::mf_static, 495, 65},	//3412 QGlobalSpace::operator<(const char*, const QString&)
    {152, 2233, 2460, 2, Smoke::mf_static, 308, 66},	//3413 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {152, 2177, 2334, 2, Smoke::mf_static, 646, 67},	//3414 QGlobalSpace::operator+(const QSize&, const QSize&)
    {152, 2233, 2463, 2, Smoke::mf_static, 322, 68},	//3415 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {152, 2233, 2466, 2, Smoke::mf_static, 332, 69},	//3416 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {152, 2233, 2469, 2, Smoke::mf_static, 313, 70},	//3417 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {152, 2177, 2445, 2, Smoke::mf_static, 648, 71},	//3418 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {152, 2233, 2472, 2, Smoke::mf_static, 332, 72},	//3419 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {152, 2187, 2475, 2, Smoke::mf_static, 495, 73},	//3420 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {152, 2233, 2478, 2, Smoke::mf_static, 304, 74},	//3421 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {152, 2215, 2325, 2, Smoke::mf_static, 495, 75},	//3422 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {152, 2233, 2481, 2, Smoke::mf_static, 332, 76},	//3423 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {152, 2165, 2484, 2, Smoke::mf_static, 495, 77},	//3424 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {152, 2233, 2487, 2, Smoke::mf_static, 289, 78},	//3425 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {152, 2165, 2490, 2, Smoke::mf_static, 495, 79},	//3426 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {152, 2233, 2493, 2, Smoke::mf_static, 311, 80},	//3427 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {152, 2187, 2490, 2, Smoke::mf_static, 495, 81},	//3428 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {152, 2227, 2496, 2, Smoke::mf_static, 259, 82},	//3429 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {152, 2177, 2499, 2, Smoke::mf_static, 650, 83},	//3430 QGlobalSpace::operator+(const QString&, QChar)
    {152, 2165, 2502, 2, Smoke::mf_static, 495, 84},	//3431 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {152, 2177, 2346, 2, Smoke::mf_static, 592, 85},	//3432 QGlobalSpace::operator+(const QByteArray&, const char*)
    {152, 2233, 2505, 2, Smoke::mf_static, 286, 86},	//3433 QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    {152, 2233, 2508, 2, Smoke::mf_static, 306, 87},	//3434 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {152, 2177, 514, 2, Smoke::mf_static, 650, 88},	//3435 QGlobalSpace::operator+(const QString&, const char*)
    {152, 2215, 2475, 2, Smoke::mf_static, 495, 89},	//3436 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {152, 2233, 2511, 2, Smoke::mf_static, 319, 90},	//3437 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {152, 2177, 2514, 2, Smoke::mf_static, 650, 91},	//3438 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {152, 2233, 2517, 2, Smoke::mf_static, 321, 92},	//3439 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {152, 2199, 2346, 2, Smoke::mf_static, 495, 93},	//3440 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {152, 2208, 2520, 2, Smoke::mf_static, 495, 94},	//3441 QGlobalSpace::operator==(const QRect&, const QRect&)
    {152, 2233, 2523, 2, Smoke::mf_static, 299, 95},	//3442 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {152, 2231, 2526, 2, Smoke::mf_static, 245, 96},	//3443 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {152, 2215, 432, 2, Smoke::mf_static, 495, 97},	//3444 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {152, 2233, 2529, 2, Smoke::mf_static, 276, 98},	//3445 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {152, 2233, 2532, 2, Smoke::mf_static, 332, 99},	//3446 QGlobalSpace::operator|(KAutostart::Condition, int)
    {152, 2199, 2475, 2, Smoke::mf_static, 495, 100},	//3447 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {152, 2193, 2535, 2, Smoke::mf_static, 259, 101},	//3448 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {152, 2193, 2538, 2, Smoke::mf_static, 259, 102},	//3449 QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    {152, 2227, 2541, 2, Smoke::mf_static, 259, 103},	//3450 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {152, 2208, 2544, 2, Smoke::mf_static, 495, 104},	//3451 QGlobalSpace::operator==(QBool, QBool)
    {152, 2208, 2547, 2, Smoke::mf_static, 495, 105},	//3452 QGlobalSpace::operator==(const char*, const QStringRef&)
    {152, 2233, 2550, 2, Smoke::mf_static, 332, 106},	//3453 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {152, 2165, 511, 2, Smoke::mf_static, 495, 107},	//3454 QGlobalSpace::operator!=(const char*, const QString&)
    {152, 2199, 432, 2, Smoke::mf_static, 495, 108},	//3455 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {152, 2233, 2553, 2, Smoke::mf_static, 332, 109},	//3456 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {152, 2233, 2556, 2, Smoke::mf_static, 332, 110},	//3457 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {152, 2177, 2559, 2, Smoke::mf_static, 650, 111},	//3458 QGlobalSpace::operator+(QChar, const QString&)
    {152, 2233, 2562, 2, Smoke::mf_static, 332, 112},	//3459 QGlobalSpace::operator|(QString::SectionFlag, int)
    {152, 2233, 2565, 2, Smoke::mf_static, 280, 113},	//3460 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {152, 2233, 2568, 2, Smoke::mf_static, 332, 114},	//3461 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {152, 2227, 2571, 2, Smoke::mf_static, 259, 115},	//3462 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {152, 2233, 2574, 2, Smoke::mf_static, 286, 116},	//3463 QGlobalSpace::operator|(KShell::Option, KShell::Option)
    {152, 2165, 2577, 2, Smoke::mf_static, 495, 117},	//3464 QGlobalSpace::operator!=(const QString&, QString::Null)
    {152, 2233, 2580, 2, Smoke::mf_static, 332, 118},	//3465 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {152, 2233, 2583, 2, Smoke::mf_static, 306, 119},	//3466 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {152, 2177, 2586, 2, Smoke::mf_static, 650, 120},	//3467 QGlobalSpace::operator+(const QString&, char)
    {152, 2227, 2589, 2, Smoke::mf_static, 595, 121},	//3468 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {152, 2165, 2358, 2, Smoke::mf_static, 495, 122},	//3469 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {152, 2182, 2340, 2, Smoke::mf_static, 641, 123},	//3470 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {152, 2208, 2502, 2, Smoke::mf_static, 495, 124},	//3471 QGlobalSpace::operator==(QString::Null, QString::Null)
    {152, 2233, 2592, 2, Smoke::mf_static, 314, 125},	//3472 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {152, 2187, 432, 2, Smoke::mf_static, 495, 126},	//3473 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {152, 2233, 2595, 2, Smoke::mf_static, 324, 127},	//3474 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {152, 2193, 2598, 2, Smoke::mf_static, 254, 128},	//3475 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {152, 2193, 2601, 2, Smoke::mf_static, 254, 129},	//3476 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {152, 2233, 2604, 2, Smoke::mf_static, 318, 130},	//3477 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {152, 2233, 2607, 2, Smoke::mf_static, 290, 131},	//3478 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {152, 2177, 2340, 2, Smoke::mf_static, 641, 132},	//3479 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {152, 2233, 2610, 2, Smoke::mf_static, 309, 133},	//3480 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {152, 2208, 2445, 2, Smoke::mf_static, 495, 134},	//3481 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {152, 2182, 2613, 1, Smoke::mf_static, 639, 135},	//3482 QGlobalSpace::operator-(const QPoint&)
    {152, 2233, 2615, 2, Smoke::mf_static, 332, 136},	//3483 QGlobalSpace::operator|(Qt::DropAction, int)
    {152, 2193, 2618, 2, Smoke::mf_static, 259, 137},	//3484 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {152, 2233, 2621, 2, Smoke::mf_static, 332, 138},	//3485 QGlobalSpace::operator|(QDir::SortFlag, int)
    {152, 2208, 2624, 2, Smoke::mf_static, 495, 139},	//3486 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {152, 2233, 2627, 2, Smoke::mf_static, 295, 140},	//3487 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {152, 2165, 2445, 2, Smoke::mf_static, 495, 141},	//3488 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {152, 2233, 2630, 2, Smoke::mf_static, 332, 142},	//3489 QGlobalSpace::operator|(KJob::Capability, int)
    {152, 2233, 2633, 2, Smoke::mf_static, 317, 143},	//3490 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {152, 2233, 2636, 2, Smoke::mf_static, 290, 144},	//3491 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {152, 2233, 2639, 2, Smoke::mf_static, 310, 145},	//3492 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {152, 2227, 1925, 2, Smoke::mf_static, 259, 146},	//3493 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {152, 2233, 2642, 2, Smoke::mf_static, 287, 147},	//3494 QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    {152, 2233, 2645, 2, Smoke::mf_static, 332, 148},	//3495 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {152, 2233, 2648, 2, Smoke::mf_static, 277, 149},	//3496 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {152, 2193, 2651, 2, Smoke::mf_static, 254, 150},	//3497 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {152, 2208, 2490, 2, Smoke::mf_static, 495, 151},	//3498 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {152, 2215, 2316, 2, Smoke::mf_static, 495, 152},	//3499 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {152, 2227, 2654, 2, Smoke::mf_static, 259, 153},	//3500 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {152, 2165, 2340, 2, Smoke::mf_static, 495, 154},	//3501 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {152, 2233, 2657, 2, Smoke::mf_static, 300, 155},	//3502 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {152, 2233, 2660, 2, Smoke::mf_static, 281, 156},	//3503 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {152, 2177, 2663, 2, Smoke::mf_static, 650, 157},	//3504 QGlobalSpace::operator+(char, const QString&)
    {152, 2165, 2666, 2, Smoke::mf_static, 495, 158},	//3505 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2227, 2669, 2, Smoke::mf_static, 259, 159},	//3506 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {152, 2208, 2376, 2, Smoke::mf_static, 495, 160},	//3507 QGlobalSpace::operator==(QString::Null, const QString&)
    {152, 2208, 2484, 2, Smoke::mf_static, 495, 161},	//3508 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {152, 2177, 432, 2, Smoke::mf_static, 592, 162},	//3509 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {152, 2215, 511, 2, Smoke::mf_static, 495, 163},	//3510 QGlobalSpace::operator>(const char*, const QString&)
    {152, 2193, 2672, 2, Smoke::mf_static, 259, 164},	//3511 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {152, 2193, 2675, 2, Smoke::mf_static, 259, 165},	//3512 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {152, 2233, 2678, 2, Smoke::mf_static, 305, 166},	//3513 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {152, 2233, 2681, 2, Smoke::mf_static, 295, 167},	//3514 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {152, 2185, 2684, 2, Smoke::mf_static, 641, 168},	//3515 QGlobalSpace::operator/(const QPointF&, double)
    {152, 2165, 2687, 2, Smoke::mf_static, 495, 169},	//3516 QGlobalSpace::operator!=(bool, QBool)
    {152, 2208, 2475, 2, Smoke::mf_static, 495, 170},	//3517 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {152, 1718, 122, 1, Smoke::mf_static, 382, 171},	//3518 QGlobalSpace::i18n(const char*)
    {152, 2227, 2690, 2, Smoke::mf_static, 595, 172},	//3519 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {152, 2227, 2693, 2, Smoke::mf_static, 259, 173},	//3520 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {152, 2227, 2696, 2, Smoke::mf_static, 259, 174},	//3521 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {152, 2193, 2699, 2, Smoke::mf_static, 259, 175},	//3522 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {152, 2233, 2702, 2, Smoke::mf_static, 332, 176},	//3523 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {152, 2227, 2705, 2, Smoke::mf_static, 259, 177},	//3524 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {152, 2233, 2708, 2, Smoke::mf_static, 282, 178},	//3525 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {152, 2233, 2711, 2, Smoke::mf_static, 332, 179},	//3526 QGlobalSpace::operator|(Qt::MouseButton, int)
    {152, 2233, 2714, 2, Smoke::mf_static, 277, 180},	//3527 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {152, 2182, 2717, 1, Smoke::mf_static, 641, 181},	//3528 QGlobalSpace::operator-(const QPointF&)
    {152, 2233, 2719, 2, Smoke::mf_static, 282, 182},	//3529 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {152, 2233, 2722, 2, Smoke::mf_static, 332, 183},	//3530 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {152, 2208, 2687, 2, Smoke::mf_static, 495, 184},	//3531 QGlobalSpace::operator==(bool, QBool)
    {152, 2233, 2725, 2, Smoke::mf_static, 294, 185},	//3532 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {152, 2172, 2526, 2, Smoke::mf_static, 245, 186},	//3533 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {152, 2221, 582, 2, Smoke::mf_static, 495, 187},	//3534 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {152, 2233, 2728, 2, Smoke::mf_static, 319, 188},	//3535 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {152, 2233, 2731, 2, Smoke::mf_static, 332, 189},	//3536 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {152, 2165, 2734, 2, Smoke::mf_static, 495, 190},	//3537 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {152, 2193, 2737, 2, Smoke::mf_static, 254, 191},	//3538 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {152, 2233, 2740, 2, Smoke::mf_static, 313, 192},	//3539 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {152, 2165, 582, 2, Smoke::mf_static, 495, 193},	//3540 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {152, 2165, 2409, 2, Smoke::mf_static, 495, 194},	//3541 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {152, 2187, 2325, 2, Smoke::mf_static, 495, 195},	//3542 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {152, 2208, 2734, 2, Smoke::mf_static, 495, 196},	//3543 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {152, 2193, 2743, 2, Smoke::mf_static, 259, 197},	//3544 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {152, 2177, 2746, 2, Smoke::mf_static, 592, 198},	//3545 QGlobalSpace::operator+(const QByteArray&, char)
    {152, 2233, 2749, 2, Smoke::mf_static, 283, 199},	//3546 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {152, 1904, 0, 0, Smoke::mf_static, 0, 200},	//3547 QGlobalSpace::kClearDebugConfig()
    {152, 2233, 2752, 2, Smoke::mf_static, 298, 201},	//3548 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {152, 2233, 2755, 2, Smoke::mf_static, 296, 202},	//3549 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {152, 2227, 2758, 2, Smoke::mf_static, 259, 203},	//3550 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {152, 2185, 2761, 2, Smoke::mf_static, 648, 204},	//3551 QGlobalSpace::operator/(const QSizeF&, double)
    {152, 2221, 2475, 2, Smoke::mf_static, 495, 205},	//3552 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {152, 2193, 2764, 2, Smoke::mf_static, 259, 206},	//3553 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {152, 2208, 2409, 2, Smoke::mf_static, 495, 207},	//3554 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {152, 2199, 582, 2, Smoke::mf_static, 495, 208},	//3555 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {152, 2199, 2316, 2, Smoke::mf_static, 495, 209},	//3556 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {152, 2193, 2767, 2, Smoke::mf_static, 259, 210},	//3557 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {152, 1898, 2770, 1, Smoke::mf_static, 499, 211},	//3558 QGlobalSpace::kAsciiToLower(char*)
    {152, 2227, 1922, 2, Smoke::mf_static, 259, 212},	//3559 QGlobalSpace::operator>>(QDataStream&, QString&)
    {152, 2227, 2772, 2, Smoke::mf_static, 595, 213},	//3560 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {152, 2227, 2775, 2, Smoke::mf_static, 595, 214},	//3561 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {152, 2233, 2778, 2, Smoke::mf_static, 291, 215},	//3562 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {152, 2233, 2781, 2, Smoke::mf_static, 332, 216},	//3563 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {152, 2233, 2784, 2, Smoke::mf_static, 278, 217},	//3564 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    {152, 2208, 2577, 2, Smoke::mf_static, 495, 218},	//3565 QGlobalSpace::operator==(const QString&, QString::Null)
    {152, 2193, 2787, 2, Smoke::mf_static, 395, 219},	//3566 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {152, 2187, 2346, 2, Smoke::mf_static, 495, 220},	//3567 QGlobalSpace::operator<(const QByteArray&, const char*)
    {152, 2227, 2790, 2, Smoke::mf_static, 595, 221},	//3568 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {152, 2233, 2793, 2, Smoke::mf_static, 279, 222},	//3569 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {152, 2233, 2796, 2, Smoke::mf_static, 284, 223},	//3570 QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    {152, 2233, 2799, 2, Smoke::mf_static, 299, 224},	//3571 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {152, 2233, 2802, 2, Smoke::mf_static, 274, 225},	//3572 QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    {152, 2193, 2805, 2, Smoke::mf_static, 395, 226},	//3573 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {152, 2165, 2361, 2, Smoke::mf_static, 495, 227},	//3574 QGlobalSpace::operator!=(QChar, QChar)
    {152, 2233, 2808, 2, Smoke::mf_static, 312, 228},	//3575 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {152, 2233, 2811, 2, Smoke::mf_static, 294, 229},	//3576 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {152, 2208, 2814, 2, Smoke::mf_static, 495, 230},	//3577 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {152, 2227, 2817, 2, Smoke::mf_static, 259, 231},	//3578 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {152, 2199, 511, 2, Smoke::mf_static, 495, 232},	//3579 QGlobalSpace::operator<=(const char*, const QString&)
    {152, 2165, 2547, 2, Smoke::mf_static, 495, 233},	//3580 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {152, 2233, 2820, 2, Smoke::mf_static, 288, 234},	//3581 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {152, 2193, 2823, 2, Smoke::mf_static, 254, 235},	//3582 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {152, 2165, 2826, 2, Smoke::mf_static, 495, 236},	//3583 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {152, 2227, 2829, 2, Smoke::mf_static, 595, 237},	//3584 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {152, 2199, 2325, 2, Smoke::mf_static, 495, 238},	//3585 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {152, 2233, 2832, 2, Smoke::mf_static, 275, 239},	//3586 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    {152, 2233, 2835, 2, Smoke::mf_static, 332, 240},	//3587 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {152, 2227, 2787, 2, Smoke::mf_static, 395, 241},	//3588 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {152, 2177, 2838, 2, Smoke::mf_static, 592, 242},	//3589 QGlobalSpace::operator+(char, const QByteArray&)
    {152, 2208, 582, 2, Smoke::mf_static, 495, 243},	//3590 QGlobalSpace::operator==(const char*, const QByteArray&)
    {152, 2193, 2841, 2, Smoke::mf_static, 259, 244},	//3591 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {152, 2227, 2844, 2, Smoke::mf_static, 595, 245},	//3592 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {152, 2182, 2334, 2, Smoke::mf_static, 646, 246},	//3593 QGlobalSpace::operator-(const QSize&, const QSize&)
    {152, 2227, 2847, 2, Smoke::mf_static, 595, 247},	//3594 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {152, 2177, 511, 2, Smoke::mf_static, 650, 248},	//3595 QGlobalSpace::operator+(const char*, const QString&)
    {152, 2233, 2850, 2, Smoke::mf_static, 332, 249},	//3596 QGlobalSpace::operator|(Qt::WindowState, int)
    {152, 2227, 2853, 2, Smoke::mf_static, 259, 250},	//3597 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {152, 2233, 2856, 2, Smoke::mf_static, 274, 251},	//3598 QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    {152, 2233, 2859, 2, Smoke::mf_static, 279, 252},	//3599 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {152, 2233, 2862, 2, Smoke::mf_static, 292, 253},	//3600 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {152, 2165, 2624, 2, Smoke::mf_static, 495, 254},	//3601 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {152, 2233, 2865, 2, Smoke::mf_static, 316, 255},	//3602 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {152, 2174, 2868, 2, Smoke::mf_static, 641, 256},	//3603 QGlobalSpace::operator*(double, const QPointF&)
    {152, 2227, 2871, 2, Smoke::mf_static, 259, 257},	//3604 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {152, 2233, 2874, 2, Smoke::mf_static, 311, 258},	//3605 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {152, 2208, 2316, 2, Smoke::mf_static, 495, 259},	//3606 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {152, 2174, 2877, 2, Smoke::mf_static, 646, 260},	//3607 QGlobalSpace::operator*(const QSize&, double)
    {152, 2233, 2880, 2, Smoke::mf_static, 296, 261},	//3608 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {152, 2174, 2883, 2, Smoke::mf_static, 639, 262},	//3609 QGlobalSpace::operator*(double, const QPoint&)
    {152, 2193, 2886, 2, Smoke::mf_static, 259, 263},	//3610 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {152, 2233, 2889, 2, Smoke::mf_static, 332, 264},	//3611 QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    {152, 2233, 2892, 2, Smoke::mf_static, 332, 265},	//3612 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {152, 2233, 2895, 2, Smoke::mf_static, 301, 266},	//3613 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {152, 2233, 2898, 2, Smoke::mf_static, 310, 267},	//3614 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {152, 2233, 2901, 2, Smoke::mf_static, 297, 268},	//3615 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {152, 2208, 2904, 2, Smoke::mf_static, 495, 269},	//3616 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {152, 2233, 2907, 2, Smoke::mf_static, 302, 270},	//3617 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {152, 2233, 2910, 2, Smoke::mf_static, 332, 271},	//3618 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {152, 2233, 2913, 2, Smoke::mf_static, 278, 272},	//3619 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    {152, 2233, 2916, 2, Smoke::mf_static, 314, 273},	//3620 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {152, 2227, 2919, 2, Smoke::mf_static, 595, 274},	//3621 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {152, 2221, 432, 2, Smoke::mf_static, 495, 275},	//3622 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {152, 1900, 2770, 1, Smoke::mf_static, 499, 276},	//3623 QGlobalSpace::kAsciiToUpper(char*)
    {152, 2233, 2922, 2, Smoke::mf_static, 320, 277},	//3624 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {152, 1902, 118, 1, Smoke::mf_static, 382, 278},	//3625 QGlobalSpace::kBacktrace(int)
    {152, 1902, 0, 0, Smoke::mf_static, 382, 279},	//3626 QGlobalSpace::kBacktrace()
    {152, 2233, 2925, 2, Smoke::mf_static, 332, 280},	//3627 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {152, 2233, 2928, 2, Smoke::mf_static, 308, 281},	//3628 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {152, 2233, 2931, 2, Smoke::mf_static, 332, 282},	//3629 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {152, 2233, 2934, 2, Smoke::mf_static, 323, 283},	//3630 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {152, 2233, 2937, 2, Smoke::mf_static, 293, 284},	//3631 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {152, 2193, 2940, 2, Smoke::mf_static, 259, 285},	//3632 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {152, 2193, 2943, 2, Smoke::mf_static, 259, 286},	//3633 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {152, 2193, 2946, 2, Smoke::mf_static, 259, 287},	//3634 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {152, 1912, 118, 1, Smoke::mf_static, 382, 288},	//3635 QGlobalSpace::kdBacktrace(int)
    {152, 1912, 0, 0, Smoke::mf_static, 382, 289},	//3636 QGlobalSpace::kdBacktrace()
    {152, 2227, 2949, 2, Smoke::mf_static, 595, 290},	//3637 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {152, 2233, 2952, 2, Smoke::mf_static, 297, 291},	//3638 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {152, 2165, 2520, 2, Smoke::mf_static, 495, 292},	//3639 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {152, 2233, 2955, 2, Smoke::mf_static, 332, 293},	//3640 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {152, 2233, 2958, 2, Smoke::mf_static, 280, 294},	//3641 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {152, 2233, 2961, 2, Smoke::mf_static, 332, 295},	//3642 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {152, 2208, 432, 2, Smoke::mf_static, 495, 296},	//3643 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {152, 2227, 2964, 2, Smoke::mf_static, 259, 297},	//3644 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {152, 2193, 2967, 2, Smoke::mf_static, 259, 298},	//3645 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {152, 2233, 2970, 2, Smoke::mf_static, 275, 299},	//3646 QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    {152, 2233, 2526, 2, Smoke::mf_static, 245, 300},	//3647 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {152, 2193, 2973, 2, Smoke::mf_static, 259, 301},	//3648 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {152, 2233, 2976, 2, Smoke::mf_static, 332, 302},	//3649 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {152, 2193, 2979, 2, Smoke::mf_static, 259, 303},	//3650 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {152, 2199, 2361, 2, Smoke::mf_static, 495, 304},	//3651 QGlobalSpace::operator<=(QChar, QChar)
    {152, 2227, 2982, 2, Smoke::mf_static, 595, 305},	//3652 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {152, 2233, 2985, 2, Smoke::mf_static, 323, 306},	//3653 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {152, 2233, 2988, 2, Smoke::mf_static, 284, 307},	//3654 QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    {152, 2165, 2904, 2, Smoke::mf_static, 495, 308},	//3655 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {152, 2233, 2991, 2, Smoke::mf_static, 315, 309},	//3656 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {152, 2227, 2994, 2, Smoke::mf_static, 259, 310},	//3657 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {152, 2233, 2997, 2, Smoke::mf_static, 288, 311},	//3658 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {152, 2227, 3000, 2, Smoke::mf_static, 259, 312},	//3659 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {152, 2233, 3003, 2, Smoke::mf_static, 332, 313},	//3660 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {152, 2185, 2877, 2, Smoke::mf_static, 646, 314},	//3661 QGlobalSpace::operator/(const QSize&, double)
    {152, 2233, 3006, 2, Smoke::mf_static, 292, 315},	//3662 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {152, 2193, 3009, 2, Smoke::mf_static, 254, 316},	//3663 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {152, 2208, 3012, 2, Smoke::mf_static, 495, 317},	//3664 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {152, 3161, 124, 2, Smoke::mf_static, 382, 318},	//3665 QGlobalSpace::tr2i18n(const char*, const char*)
    {152, 3161, 122, 1, Smoke::mf_static, 382, 319},	//3666 QGlobalSpace::tr2i18n(const char*)
    {152, 2227, 3015, 2, Smoke::mf_static, 259, 320},	//3667 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {152, 2233, 3018, 2, Smoke::mf_static, 332, 321},	//3668 QGlobalSpace::operator|(Qt::Orientation, int)
    {152, 2165, 2325, 2, Smoke::mf_static, 495, 322},	//3669 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {152, 2174, 2439, 2, Smoke::mf_static, 639, 323},	//3670 QGlobalSpace::operator*(const QPoint&, double)
    {152, 2233, 3021, 2, Smoke::mf_static, 312, 324},	//3671 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {152, 2233, 3024, 2, Smoke::mf_static, 301, 325},	//3672 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {152, 2208, 2666, 2, Smoke::mf_static, 495, 326},	//3673 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2208, 2346, 2, Smoke::mf_static, 495, 327},	//3674 QGlobalSpace::operator==(const QByteArray&, const char*)
    {152, 2174, 2761, 2, Smoke::mf_static, 648, 328},	//3675 QGlobalSpace::operator*(const QSizeF&, double)
    {152, 2208, 2826, 2, Smoke::mf_static, 495, 329},	//3676 QGlobalSpace::operator==(const QStringRef&, const char*)
    {152, 2233, 3027, 2, Smoke::mf_static, 283, 330},	//3677 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {152, 2233, 3030, 2, Smoke::mf_static, 332, 331},	//3678 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {152, 2174, 3033, 2, Smoke::mf_static, 646, 332},	//3679 QGlobalSpace::operator*(double, const QSize&)
    {152, 2193, 3036, 2, Smoke::mf_static, 254, 333},	//3680 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {152, 2187, 2316, 2, Smoke::mf_static, 495, 334},	//3681 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {152, 2233, 3039, 2, Smoke::mf_static, 332, 335},	//3682 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {152, 2165, 3042, 2, Smoke::mf_static, 495, 336},	//3683 QGlobalSpace::operator!=(QBool, bool)
    {152, 2165, 2334, 2, Smoke::mf_static, 495, 337},	//3684 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {152, 2227, 3045, 2, Smoke::mf_static, 259, 338},	//3685 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {152, 2165, 2475, 2, Smoke::mf_static, 495, 339},	//3686 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {152, 2233, 3048, 2, Smoke::mf_static, 307, 340},	//3687 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {152, 2233, 3051, 2, Smoke::mf_static, 332, 341},	//3688 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {152, 2174, 2684, 2, Smoke::mf_static, 641, 342},	//3689 QGlobalSpace::operator*(const QPointF&, double)
    {152, 2233, 3054, 2, Smoke::mf_static, 318, 343},	//3690 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {152, 2233, 3057, 2, Smoke::mf_static, 287, 344},	//3691 QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    {152, 2187, 2666, 2, Smoke::mf_static, 495, 345},	//3692 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {152, 2165, 2352, 2, Smoke::mf_static, 495, 346},	//3693 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {152, 2193, 3060, 2, Smoke::mf_static, 259, 347},	//3694 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {152, 2233, 3063, 2, Smoke::mf_static, 315, 348},	//3695 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {152, 2193, 3066, 2, Smoke::mf_static, 259, 349},	//3696 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {152, 2233, 3069, 2, Smoke::mf_static, 302, 350},	//3697 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {152, 2233, 3072, 2, Smoke::mf_static, 332, 351},	//3698 QGlobalSpace::operator|(Qt::WindowType, int)
    {152, 2233, 3075, 2, Smoke::mf_static, 281, 352},	//3699 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {152, 1905, 118, 1, Smoke::mf_static, 382, 353},	//3700 QGlobalSpace::kRealBacktrace(int)
    {152, 2227, 3078, 2, Smoke::mf_static, 259, 354},	//3701 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {152, 2193, 3081, 2, Smoke::mf_static, 259, 355},	//3702 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {152, 2233, 3084, 2, Smoke::mf_static, 317, 356},	//3703 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {152, 2233, 3087, 2, Smoke::mf_static, 332, 357},	//3704 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {152, 2233, 3090, 2, Smoke::mf_static, 309, 358},	//3705 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {152, 2208, 3042, 2, Smoke::mf_static, 495, 359},	//3706 QGlobalSpace::operator==(QBool, bool)
    {152, 2227, 3093, 2, Smoke::mf_static, 259, 360},	//3707 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {152, 2227, 3096, 2, Smoke::mf_static, 259, 361},	//3708 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {152, 2193, 3099, 2, Smoke::mf_static, 259, 362},	//3709 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {152, 2193, 3102, 2, Smoke::mf_static, 259, 363},	//3710 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {152, 2233, 3105, 2, Smoke::mf_static, 303, 364},	//3711 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {152, 2208, 511, 2, Smoke::mf_static, 495, 365},	//3712 QGlobalSpace::operator==(const char*, const QString&)
    {152, 2233, 3108, 2, Smoke::mf_static, 332, 366},	//3713 QGlobalSpace::operator|(KShell::Option, int)
    {152, 1944, 124, 2, Smoke::mf_static, 135, 367},	//3714 QGlobalSpace::ki18np(const char*, const char*)
    {152, 2233, 3111, 2, Smoke::mf_static, 305, 368},	//3715 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {152, 2177, 95, 2, Smoke::mf_static, 650, 369},	//3716 QGlobalSpace::operator+(const QString&, const QString&)
    {152, 2165, 2544, 2, Smoke::mf_static, 495, 370},	//3717 QGlobalSpace::operator!=(QBool, QBool)
    {152, 2233, 3114, 2, Smoke::mf_static, 293, 371},	//3718 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {152, 2221, 511, 2, Smoke::mf_static, 495, 372},	//3719 QGlobalSpace::operator>=(const char*, const QString&)
    {152, 2233, 3117, 2, Smoke::mf_static, 332, 373},	//3720 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {152, 2221, 2325, 2, Smoke::mf_static, 495, 374},	//3721 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {152, 2215, 2346, 2, Smoke::mf_static, 495, 375},	//3722 QGlobalSpace::operator>(const QByteArray&, const char*)
    {152, 2227, 3120, 2, Smoke::mf_static, 259, 376},	//3723 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {152, 1938, 122, 1, Smoke::mf_static, 135, 377},	//3724 QGlobalSpace::ki18n(const char*)
    {152, 2233, 3123, 2, Smoke::mf_static, 332, 378},	//3725 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {152, 2165, 432, 2, Smoke::mf_static, 495, 379},	//3726 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {152, 2193, 3126, 2, Smoke::mf_static, 254, 380},	//3727 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {152, 2233, 3129, 2, Smoke::mf_static, 332, 381},	//3728 QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    {152, 2227, 3132, 2, Smoke::mf_static, 259, 382},	//3729 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {152, 2193, 3135, 2, Smoke::mf_static, 259, 383},	//3730 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {152, 830, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 384},	//3731 QGlobalSpace::_ISupper (enum)
    {152, 826, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 385},	//3732 QGlobalSpace::_ISlower (enum)
    {152, 821, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 386},	//3733 QGlobalSpace::_ISalpha (enum)
    {152, 824, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 387},	//3734 QGlobalSpace::_ISdigit (enum)
    {152, 831, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 388},	//3735 QGlobalSpace::_ISxdigit (enum)
    {152, 829, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 389},	//3736 QGlobalSpace::_ISspace (enum)
    {152, 827, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 390},	//3737 QGlobalSpace::_ISprint (enum)
    {152, 825, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 391},	//3738 QGlobalSpace::_ISgraph (enum)
    {152, 822, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 392},	//3739 QGlobalSpace::_ISblank (enum)
    {152, 823, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 393},	//3740 QGlobalSpace::_IScntrl (enum)
    {152, 828, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 394},	//3741 QGlobalSpace::_ISpunct (enum)
    {152, 820, 0, 0, Smoke::mf_static|Smoke::mf_enum, 682, 395},	//3742 QGlobalSpace::_ISalnum (enum)
    {152, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 396},	//3743 QGlobalSpace::ITIMER_REAL (enum)
    {152, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 397},	//3744 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {152, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 494, 398},	//3745 QGlobalSpace::ITIMER_PROF (enum)
    {152, 675, 0, 0, Smoke::mf_static|Smoke::mf_enum, 486, 399},	//3746 QGlobalSpace::QtDebugMsg (enum)
    {152, 679, 0, 0, Smoke::mf_static|Smoke::mf_enum, 486, 400},	//3747 QGlobalSpace::QtWarningMsg (enum)
    {152, 674, 0, 0, Smoke::mf_static|Smoke::mf_enum, 486, 401},	//3748 QGlobalSpace::QtCriticalMsg (enum)
    {152, 676, 0, 0, Smoke::mf_static|Smoke::mf_enum, 486, 402},	//3749 QGlobalSpace::QtFatalMsg (enum)
    {152, 677, 0, 0, Smoke::mf_static|Smoke::mf_enum, 486, 403},	//3750 QGlobalSpace::QtSystemMsg (enum)
    {152, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 404},	//3751 QGlobalSpace::KST_KSycocaEntry (enum)
    {152, 462, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 405},	//3752 QGlobalSpace::KST_KService (enum)
    {152, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 406},	//3753 QGlobalSpace::KST_KServiceType (enum)
    {152, 457, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 407},	//3754 QGlobalSpace::KST_KMimeType (enum)
    {152, 454, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 408},	//3755 QGlobalSpace::KST_KFolderMimeType (enum)
    {152, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 409},	//3756 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {152, 458, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 410},	//3757 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {152, 464, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 411},	//3758 QGlobalSpace::KST_KServiceGroup (enum)
    {152, 456, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 412},	//3759 QGlobalSpace::KST_KImageIOFormat (enum)
    {152, 460, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 413},	//3760 QGlobalSpace::KST_KProtocolInfo (enum)
    {152, 466, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 414},	//3761 QGlobalSpace::KST_KServiceSeparator (enum)
    {152, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 415},	//3762 QGlobalSpace::KST_KCustom (enum)
    {152, 463, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 416},	//3763 QGlobalSpace::KST_KServiceFactory (enum)
    {152, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 417},	//3764 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {152, 465, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 418},	//3765 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {152, 455, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 419},	//3766 QGlobalSpace::KST_KImageIO (enum)
    {152, 461, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 420},	//3767 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {152, 459, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 421},	//3768 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {152, 451, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 422},	//3769 QGlobalSpace::KST_CTimeInfo (enum)
    {152, 834, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 423},	//3770 QGlobalSpace::__codecvt_ok (enum)
    {152, 835, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 424},	//3771 QGlobalSpace::__codecvt_partial (enum)
    {152, 832, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 425},	//3772 QGlobalSpace::__codecvt_error (enum)
    {152, 833, 0, 0, Smoke::mf_static|Smoke::mf_enum, 493, 426},	//3773 QGlobalSpace::__codecvt_noconv (enum)
    {155, 2152, 150, 1, Smoke::mf_virtual, 495, 0},	//3774 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {155, 2278, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3775 QIODevice::pos() const
    {155, 2972, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3776 QIODevice::size() const
    {155, 2505, 851, 1, Smoke::mf_virtual, 495, 0},	//3777 QIODevice::seek(long long)
    {155, 2469, 0, 0, Smoke::mf_virtual, 495, 0},	//3778 QIODevice::reset()
    {155, 1099, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3779 QIODevice::bytesAvailable() const
    {155, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3780 QIODevice::bytesToWrite() const
    {155, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3781 QIODevice::canReadLine() const
    {155, 3271, 118, 1, Smoke::mf_virtual, 495, 0},	//3782 QIODevice::waitForReadyRead(int)
    {155, 3267, 118, 1, Smoke::mf_virtual, 495, 0},	//3783 QIODevice::waitForBytesWritten(int)
    {155, 2393, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3784 QIODevice::readLineData(char*, long long)
    {155, 633, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 12},	//3785 QIODevice::NotOpen (enum)
    {155, 685, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 13},	//3786 QIODevice::ReadOnly (enum)
    {155, 813, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 14},	//3787 QIODevice::WriteOnly (enum)
    {155, 689, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 15},	//3788 QIODevice::ReadWrite (enum)
    {155, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 16},	//3789 QIODevice::Append (enum)
    {155, 766, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 17},	//3790 QIODevice::Truncate (enum)
    {155, 748, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 18},	//3791 QIODevice::Text (enum)
    {155, 771, 0, 0, Smoke::mf_static|Smoke::mf_enum, 331, 19},	//3792 QIODevice::Unbuffered (enum)
    {166, 1452, 3138, 1, Smoke::mf_virtual, 495, 0},	//3793 QObject::event(QEvent*)
    {166, 1453, 3140, 2, Smoke::mf_virtual, 495, 0},	//3794 QObject::eventFilter(QObject*, QEvent*)
    {166, 3128, 3143, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3795 QObject::timerEvent(QTimerEvent*)
    {166, 1145, 3145, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3796 QObject::childEvent(QChildEvent*)
    {166, 1253, 3138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3797 QObject::customEvent(QEvent*)
    {166, 1181, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3798 QObject::connectNotify(const char*)
    {166, 1390, 122, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3799 QObject::disconnectNotify(const char*)
    {170, 3271, 118, 1, Smoke::mf_virtual, 495, 0},	//3800 QProcess::waitForReadyRead(int)
    {170, 3267, 118, 1, Smoke::mf_virtual, 495, 0},	//3801 QProcess::waitForBytesWritten(int)
    {170, 1099, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3802 QProcess::bytesAvailable() const
    {170, 1100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 684, 0},	//3803 QProcess::bytesToWrite() const
    {170, 1863, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3804 QProcess::isSequential() const
    {170, 1115, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3805 QProcess::canReadLine() const
    {170, 1159, 0, 0, Smoke::mf_virtual, 0, 0},	//3806 QProcess::close()
    {170, 1052, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 495, 0},	//3807 QProcess::atEnd() const
    {170, 2956, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3808 QProcess::setupChildProcess()
    {170, 2367, 1134, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3809 QProcess::readData(char*, long long)
    {170, 3310, 1137, 2, Smoke::mf_protected|Smoke::mf_virtual, 684, 0},	//3810 QProcess::writeData(const char*, long long)
    {181, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 0},	//3811 QTemporaryFile::metaObject() const
    {181, 2332, 122, 1, Smoke::mf_virtual, 701, 0},	//3812 QTemporaryFile::qt_metacast(const char*)
    {181, 2330, 131, 3, Smoke::mf_virtual, 678, 0},	//3813 QTemporaryFile::qt_metacall(QMetaObject::Call, int, void**)
    {181, 1506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 242, 0},	//3814 QTemporaryFile::fileEngine() const
    {181, 2152, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 495, 0},	//3815 QTemporaryFile::open(QFlags<QIODevice::OpenModeFlag>)
    {194, 1333, 0, 0, Smoke::mf_static, 382, 1},	//3816 Sonnet::defaultLanguageName()
    {194, 1368, 30, 1, Smoke::mf_static, 382, 2},	//3817 Sonnet::detectLanguage(const QString&)
    {195, 2068, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 636, 1},	//3818 Sonnet::BackgroundChecker::metaObject() const
    {195, 2332, 122, 1, Smoke::mf_virtual, 701, 2},	//3819 Sonnet::BackgroundChecker::qt_metacast(const char*)
    {195, 3157, 124, 2, Smoke::mf_static, 382, 3},	//3820 Sonnet::BackgroundChecker::tr(const char*, const char*)
    {195, 3164, 124, 2, Smoke::mf_static, 382, 4},	//3821 Sonnet::BackgroundChecker::trUtf8(const char*, const char*)
    {195, 3157, 127, 3, Smoke::mf_static, 382, 5},	//3822 Sonnet::BackgroundChecker::tr(const char*, const char*, int)
    {195, 3164, 127, 3, Smoke::mf_static, 382, 6},	//3823 Sonnet::BackgroundChecker::trUtf8(const char*, const char*, int)
    {195, 2330, 131, 3, Smoke::mf_virtual, 678, 7},	//3824 Sonnet::BackgroundChecker::qt_metacall(QMetaObject::Call, int, void**)
    {195, 34, 146, 1, Smoke::mf_ctor, 487, 8},	//3825 Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    {195, 34, 3147, 2, Smoke::mf_ctor, 487, 9},	//3826 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&, QObject*)
    {195, 2910, 30, 1, 0, 0, 10},	//3827 Sonnet::BackgroundChecker::setText(const QString&)
    {195, 3117, 0, 0, Smoke::mf_const, 382, 11},	//3828 Sonnet::BackgroundChecker::text() const
    {195, 1240, 0, 0, Smoke::mf_const, 382, 12},	//3829 Sonnet::BackgroundChecker::currentContext() const
    {195, 2984, 0, 0, Smoke::mf_const, 488, 13},	//3830 Sonnet::BackgroundChecker::speller() const
    {195, 2898, 3150, 1, 0, 0, 14},	//3831 Sonnet::BackgroundChecker::setSpeller(const Sonnet::Speller&)
    {195, 1142, 30, 1, 0, 495, 15},	//3832 Sonnet::BackgroundChecker::checkWord(const QString&)
    {195, 3086, 30, 1, Smoke::mf_const, 387, 16},	//3833 Sonnet::BackgroundChecker::suggest(const QString&) const
    {195, 1006, 30, 1, 0, 495, 17},	//3834 Sonnet::BackgroundChecker::addWordToPersonal(const QString&)
    {195, 2480, 585, 1, 0, 0, 18},	//3835 Sonnet::BackgroundChecker::restore(KConfig*)
    {195, 2998, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 19},	//3836 Sonnet::BackgroundChecker::start()
    {195, 3062, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 20},	//3837 Sonnet::BackgroundChecker::stop()
    {195, 2463, 3152, 3, Smoke::mf_slot, 0, 21},	//3838 Sonnet::BackgroundChecker::replace(int, const QString&, const QString&)
    {195, 1131, 30, 1, Smoke::mf_slot, 0, 22},	//3839 Sonnet::BackgroundChecker::changeLanguage(const QString&)
    {195, 1194, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 23},	//3840 Sonnet::BackgroundChecker::continueChecking()
    {195, 2073, 1004, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//3841 Sonnet::BackgroundChecker::misspelling(const QString&, int)
    {195, 1396, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//3842 Sonnet::BackgroundChecker::done()
    {195, 1503, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 382, 26},	//3843 Sonnet::BackgroundChecker::fetchMoreText()
    {195, 1569, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 27},	//3844 Sonnet::BackgroundChecker::finishedCurrentFeed()
    {195, 2973, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 28},	//3845 Sonnet::BackgroundChecker::slotEngineDone()
    {195, 3157, 122, 1, Smoke::mf_static, 382, 29},	//3846 Sonnet::BackgroundChecker::tr(const char*)
    {195, 3164, 122, 1, Smoke::mf_static, 382, 30},	//3847 Sonnet::BackgroundChecker::trUtf8(const char*)
    {195, 34, 0, 0, Smoke::mf_ctor, 487, 31},	//3848 Sonnet::BackgroundChecker::BackgroundChecker()
    {195, 34, 3150, 1, Smoke::mf_ctor, 487, 32},	//3849 Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    {195, 3056, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 635, 33},	//3850 Sonnet::BackgroundChecker::staticMetaObject() const
    {195, 3350, 0, 0, Smoke::mf_dtor, 0, 34 },	//3851 Sonnet::BackgroundChecker::~BackgroundChecker()
    {196, 728, 30, 1, Smoke::mf_ctor, 490, 1},	//3852 Sonnet::Speller::Speller(const QString&)
    {196, 728, 3150, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 490, 2},	//3853 Sonnet::Speller::Speller(const Sonnet::Speller&)
    {196, 2205, 3150, 1, 0, 489, 3},	//3854 Sonnet::Speller::operator=(const Sonnet::Speller&)
    {196, 1879, 0, 0, Smoke::mf_const, 495, 4},	//3855 Sonnet::Speller::isValid() const
    {196, 2701, 30, 1, 0, 0, 5},	//3856 Sonnet::Speller::setLanguage(const QString&)
    {196, 1955, 0, 0, Smoke::mf_const, 382, 6},	//3857 Sonnet::Speller::language() const
    {196, 1801, 30, 1, Smoke::mf_const, 495, 7},	//3858 Sonnet::Speller::isCorrect(const QString&) const
    {196, 1847, 30, 1, Smoke::mf_const, 495, 8},	//3859 Sonnet::Speller::isMisspelled(const QString&) const
    {196, 3086, 30, 1, Smoke::mf_const, 387, 9},	//3860 Sonnet::Speller::suggest(const QString&) const
    {196, 1138, 747, 2, Smoke::mf_const, 495, 10},	//3861 Sonnet::Speller::checkAndSuggest(const QString&, QStringList&) const
    {196, 3065, 95, 2, 0, 495, 11},	//3862 Sonnet::Speller::storeReplacement(const QString&, const QString&)
    {196, 1002, 30, 1, 0, 495, 12},	//3863 Sonnet::Speller::addToPersonal(const QString&)
    {196, 1004, 30, 1, 0, 495, 13},	//3864 Sonnet::Speller::addToSession(const QString&)
    {196, 2491, 585, 1, 0, 0, 14},	//3865 Sonnet::Speller::save(KConfig*)
    {196, 2480, 585, 1, 0, 0, 15},	//3866 Sonnet::Speller::restore(KConfig*)
    {196, 1075, 0, 0, Smoke::mf_const, 387, 16},	//3867 Sonnet::Speller::availableBackends() const
    {196, 1079, 0, 0, Smoke::mf_const, 387, 17},	//3868 Sonnet::Speller::availableLanguages() const
    {196, 1078, 0, 0, Smoke::mf_const, 387, 18},	//3869 Sonnet::Speller::availableLanguageNames() const
    {196, 1076, 0, 0, Smoke::mf_const, 367, 19},	//3870 Sonnet::Speller::availableDictionaries() const
    {196, 2628, 30, 1, 0, 0, 20},	//3871 Sonnet::Speller::setDefaultLanguage(const QString&)
    {196, 1332, 0, 0, Smoke::mf_const, 382, 21},	//3872 Sonnet::Speller::defaultLanguage() const
    {196, 2626, 30, 1, 0, 0, 22},	//3873 Sonnet::Speller::setDefaultClient(const QString&)
    {196, 1329, 0, 0, Smoke::mf_const, 382, 23},	//3874 Sonnet::Speller::defaultClient() const
    {196, 2543, 3156, 2, 0, 0, 24},	//3875 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute, bool)
    {196, 3115, 3159, 1, Smoke::mf_const, 495, 25},	//3876 Sonnet::Speller::testAttribute(Sonnet::Speller::Attribute) const
    {196, 728, 0, 0, Smoke::mf_ctor, 490, 26},	//3877 Sonnet::Speller::Speller()
    {196, 2543, 3159, 1, 0, 0, 27},	//3878 Sonnet::Speller::setAttribute(Sonnet::Speller::Attribute)
    {196, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 28},	//3879 Sonnet::Speller::CheckUppercase (enum)
    {196, 715, 0, 0, Smoke::mf_static|Smoke::mf_enum, 491, 29},	//3880 Sonnet::Speller::SkipRunTogether (enum)
    {196, 3455, 0, 0, Smoke::mf_dtor, 0, 30 },	//3881 Sonnet::Speller::~Speller()
    {199, 1949, 0, 0, Smoke::mf_ctor, 681, 1},	//3882 kndbgstream::kndbgstream()
    {199, 1949, 3161, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 681, 2},	//3883 kndbgstream::kndbgstream(const kndbgstream&)
    {199, 3457, 0, 0, Smoke::mf_dtor, 0, 3 },	//3884 kndbgstream::~kndbgstream()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1846,  // KLocale::formatDateTime(const QDateTime&) const
    1848,  // KLocale::formatDateTime(const KDateTime&) const
    0,
    1847,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat) const
    1849,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat) const
    0,
    1740,  // KLocale::formatDateTime(const QDateTime&, KLocale::DateFormat, bool) const
    1741,  // KLocale::formatDateTime(const KDateTime&, KLocale::DateFormat, QFlags<KLocale::DateTimeFormatOption>) const
    0,
    1840,  // KLocale::formatNumber(double) const
    1841,  // KLocale::formatNumber(const QString&) const
    0,
    1729,  // KLocale::formatNumber(double, int) const
    1842,  // KLocale::formatNumber(const QString&, bool) const
    0,
    1761,  // KLocale::readDate(const QString&, bool*) const
    1857,  // KLocale::readDate(const QString&, const QString&) const
    1858,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags) const
    0,
    1762,  // KLocale::readDate(const QString&, const QString&, bool*) const
    1763,  // KLocale::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    0,
    1764,  // KLocale::readTime(const QString&, bool*) const
    1860,  // KLocale::readTime(const QString&, KLocale::ReadTimeFlags) const
    0,
    3389,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    3424,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    3426,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    3431,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    3469,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    3488,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    3501,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    3505,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    3537,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    3541,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    3574,  // QGlobalSpace::operator!=(QChar, QChar)
    3601,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    3639,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    3655,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    3684,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    3686,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    3717,  // QGlobalSpace::operator!=(QBool, QBool)
    3726,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    3376,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    3397,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    3407,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    3583,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    3683,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    3464,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    3516,  // QGlobalSpace::operator!=(bool, QBool)
    3540,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    3580,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    3669,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    3693,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    3607,  // QGlobalSpace::operator*(const QSize&, double)
    3670,  // QGlobalSpace::operator*(const QPoint&, double)
    3675,  // QGlobalSpace::operator*(const QSizeF&, double)
    3689,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    3386,  // QGlobalSpace::operator*(double, const QSizeF&)
    3603,  // QGlobalSpace::operator*(double, const QPointF&)
    3609,  // QGlobalSpace::operator*(double, const QPoint&)
    3679,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    3403,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    3414,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    3418,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    3479,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    3509,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    3432,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    3438,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    3458,  // QGlobalSpace::operator+(QChar, const QString&)
    3545,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    3357,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    3405,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    3430,  // QGlobalSpace::operator+(const QString&, QChar)
    3589,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    3435,  // QGlobalSpace::operator+(const QString&, const char*)
    3467,  // QGlobalSpace::operator+(const QString&, char)
    3504,  // QGlobalSpace::operator+(char, const QString&)
    3595,  // QGlobalSpace::operator+(const char*, const QString&)
    3716,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    3482,  // QGlobalSpace::operator-(const QPoint&)
    3528,  // QGlobalSpace::operator-(const QPointF&)
    0,
    3390,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    3406,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    3470,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    3593,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    3402,  // QGlobalSpace::operator/(const QPoint&, double)
    3515,  // QGlobalSpace::operator/(const QPointF&, double)
    3551,  // QGlobalSpace::operator/(const QSizeF&, double)
    3661,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    3374,  // QGlobalSpace::operator<(QChar, QChar)
    3420,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    3428,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    3473,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    3681,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    3692,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3379,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    3542,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    3348,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    3372,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    3373,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    3378,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    3384,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    3392,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    3396,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    3448,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    3449,  // QGlobalSpace::operator<<(QDataStream&, const KProtocolInfo::ExtraField&)
    3475,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    3476,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    3484,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    3497,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    3512,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    3522,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    3538,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    3553,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    3557,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    3566,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    3573,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    3591,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    3610,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    3632,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    3633,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    3634,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    3645,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    3648,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    3650,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    3663,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    3680,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    3696,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    3702,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    3709,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    3710,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    3727,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    3730,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    3511,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    3694,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    3377,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    3544,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    3582,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    3447,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    3455,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    3556,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    3651,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    3555,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    3585,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    3356,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    3359,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    3368,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    3369,  // QGlobalSpace::operator==(QChar, QChar)
    3370,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    3441,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    3451,  // QGlobalSpace::operator==(QBool, QBool)
    3471,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    3481,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    3486,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    3498,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    3508,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    3517,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    3543,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    3554,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    3606,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    3616,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    3643,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    3664,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    3673,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    3355,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    3507,  // QGlobalSpace::operator==(QString::Null, const QString&)
    3674,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    3676,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    3706,  // QGlobalSpace::operator==(QBool, bool)
    0,
    3353,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    3364,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    3452,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    3531,  // QGlobalSpace::operator==(bool, QBool)
    3565,  // QGlobalSpace::operator==(const QString&, QString::Null)
    3577,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    3590,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    3382,  // QGlobalSpace::operator>(QChar, QChar)
    3436,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    3444,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    3499,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    3365,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    3422,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    3349,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    3375,  // QGlobalSpace::operator>=(QChar, QChar)
    3552,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    3622,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    3534,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    3721,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    3354,  // QGlobalSpace::operator>>(QDataStream&, KProtocolInfo::ExtraField&)
    3360,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    3391,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    3429,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    3450,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    3462,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    3468,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    3500,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    3506,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    3519,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    3520,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    3521,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    3524,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    3550,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    3560,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    3561,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    3568,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    3578,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    3584,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    3588,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    3592,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    3594,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    3597,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    3604,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    3621,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    3637,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    3644,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    3652,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    3657,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    3667,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    3685,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    3701,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    3707,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    3708,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    3723,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    3729,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    3559,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    3659,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    3350,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    3351,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    3358,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    3363,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    3367,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    3371,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    3380,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    3381,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    3383,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    3385,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    3387,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    3388,  // QGlobalSpace::operator|(QDir::Filter, int)
    3393,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    3394,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    3395,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    3399,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    3400,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    3401,  // QGlobalSpace::operator|(QFile::Permission, int)
    3404,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    3408,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, int)
    3409,  // QGlobalSpace::operator|(KLockFile::LockFlag, int)
    3410,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    3411,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    3413,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    3415,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    3416,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    3417,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    3419,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    3421,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    3423,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    3425,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    3427,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    3433,  // QGlobalSpace::operator|(KShell::Option, QFlags<KShell::Option>)
    3434,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    3437,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    3439,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    3442,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    3445,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    3446,  // QGlobalSpace::operator|(KAutostart::Condition, int)
    3453,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    3456,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    3457,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    3459,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    3460,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    3461,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    3463,  // QGlobalSpace::operator|(KShell::Option, KShell::Option)
    3465,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    3466,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    3472,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    3474,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    3477,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    3478,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    3480,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    3483,  // QGlobalSpace::operator|(Qt::DropAction, int)
    3485,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    3487,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    3489,  // QGlobalSpace::operator|(KJob::Capability, int)
    3490,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    3491,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    3492,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    3494,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, QFlags<KStandardDirs::SearchOption>)
    3495,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    3496,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    3502,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    3503,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    3513,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    3514,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    3523,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    3525,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    3526,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    3527,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    3529,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    3530,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    3532,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    3535,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    3536,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    3539,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    3546,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    3548,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    3549,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    3562,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    3563,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    3564,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, KCurrencyCode::CurrencyStatus)
    3569,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    3570,  // QGlobalSpace::operator|(KLockFile::LockFlag, QFlags<KLockFile::LockFlag>)
    3571,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    3572,  // QGlobalSpace::operator|(KAutostart::Condition, QFlags<KAutostart::Condition>)
    3575,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    3576,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    3581,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    3586,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, QFlags<KCmdLineArgs::StdCmdLineArg>)
    3587,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    3596,  // QGlobalSpace::operator|(Qt::WindowState, int)
    3598,  // QGlobalSpace::operator|(KAutostart::Condition, KAutostart::Condition)
    3599,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    3600,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    3602,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    3605,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    3608,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    3611,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, int)
    3612,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    3613,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    3614,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    3615,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    3617,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    3618,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    3619,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, QFlags<KCurrencyCode::CurrencyStatus>)
    3620,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    3624,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    3627,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    3628,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    3629,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    3630,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    3631,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    3638,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    3640,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    3641,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    3642,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    3646,  // QGlobalSpace::operator|(KCmdLineArgs::StdCmdLineArg, KCmdLineArgs::StdCmdLineArg)
    3649,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    3653,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    3654,  // QGlobalSpace::operator|(KLockFile::LockFlag, KLockFile::LockFlag)
    3656,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    3658,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    3660,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    3662,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    3668,  // QGlobalSpace::operator|(Qt::Orientation, int)
    3671,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    3672,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    3677,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    3678,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    3682,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    3687,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    3688,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    3690,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    3691,  // QGlobalSpace::operator|(KStandardDirs::SearchOption, KStandardDirs::SearchOption)
    3695,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    3697,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    3698,  // QGlobalSpace::operator|(Qt::WindowType, int)
    3699,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    3703,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    3704,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    3705,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    3711,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    3713,  // QGlobalSpace::operator|(KShell::Option, int)
    3715,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    3718,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    3720,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    3725,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    3728,  // QGlobalSpace::operator|(KCurrencyCode::CurrencyStatus, int)
    0,
    3237,  // KWordMacroExpander::KWordMacroExpander(QChar)
    3241,  // KWordMacroExpander::KWordMacroExpander(const KWordMacroExpander&)
    0,
    218,  // KAutoSaveFile::KAutoSaveFile(QObject*)
    227,  // KAutoSaveFile::KAutoSaveFile(const KUrl&)
    0,
    430,  // KCharMacroExpander::KCharMacroExpander(QChar)
    434,  // KCharMacroExpander::KCharMacroExpander(const KCharMacroExpander&)
    0,
    2066,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&)
    2070,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&)
    2074,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&)
    2076,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&)
    0,
    2065,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QString>&, QChar)
    2069,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QStringList>&, QChar)
    2073,  // KMacroExpander::expandMacros(const QString&, const QHash<QChar,QString>&, QChar)
    2075,  // KMacroExpander::expandMacros(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    2068,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&)
    2072,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&)
    2078,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&)
    2080,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&)
    0,
    2067,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QStringList>&, QChar)
    2071,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QString>&, QChar)
    2077,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QChar,QString>&, QChar)
    2079,  // KMacroExpander::expandMacrosShellQuote(const QString&, const QHash<QString,QStringList>&, QChar)
    0,
    651,  // KConfigGroup::KConfigGroup(KConfigBase*, const QString&)
    652,  // KConfigGroup::KConfigGroup(KConfigBase*, const char*)
    653,  // KConfigGroup::KConfigGroup(const KConfigBase*, const QString&)
    654,  // KConfigGroup::KConfigGroup(const KConfigBase*, const char*)
    0,
    655,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const QString&)
    656,  // KConfigGroup::KConfigGroup(const KSharedPtr<KSharedConfig>&, const char*)
    0,
    667,  // KConfigGroup::changeGroup(const QString&)
    668,  // KConfigGroup::changeGroup(const char*)
    0,
    665,  // KConfigGroup::config()
    666,  // KConfigGroup::config() const
    0,
    761,  // KConfigGroup::deleteEntry(const QString&)
    762,  // KConfigGroup::deleteEntry(const char*)
    0,
    714,  // KConfigGroup::deleteEntry(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    715,  // KConfigGroup::deleteEntry(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    674,  // KConfigGroup::deleteGroup(QFlags<KConfigBase::WriteConfigFlag>)
    735,  // KConfigGroup::deleteGroup(const QString&)
    736,  // KConfigGroup::deleteGroup(const char*)
    0,
    676,  // KConfigGroup::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    677,  // KConfigGroup::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    727,  // KConfigGroup::groupImpl(const QByteArray&)
    728,  // KConfigGroup::groupImpl(const QByteArray&) const
    0,
    723,  // KConfigGroup::hasDefault(const QString&) const
    724,  // KConfigGroup::hasDefault(const char*) const
    0,
    716,  // KConfigGroup::hasKey(const QString&) const
    717,  // KConfigGroup::hasKey(const char*) const
    0,
    719,  // KConfigGroup::isEntryImmutable(const QString&) const
    720,  // KConfigGroup::isEntryImmutable(const char*) const
    0,
    737,  // KConfigGroup::readEntry(const QString&) const
    738,  // KConfigGroup::readEntry(const char*) const
    0,
    678,  // KConfigGroup::readEntry(const QString&, const QVariant&) const
    679,  // KConfigGroup::readEntry(const char*, const QVariant&) const
    0,
    680,  // KConfigGroup::readEntry(const QString&, const QString&) const
    681,  // KConfigGroup::readEntry(const char*, const QString&) const
    682,  // KConfigGroup::readEntry(const QString&, const char*) const
    683,  // KConfigGroup::readEntry(const char*, const char*) const
    0,
    684,  // KConfigGroup::readEntry(const QString&, const QList<QVariant>&) const
    685,  // KConfigGroup::readEntry(const char*, const QList<QVariant>&) const
    686,  // KConfigGroup::readEntry(const QString&, const QStringList&) const
    687,  // KConfigGroup::readEntry(const char*, const QStringList&) const
    0,
    741,  // KConfigGroup::readEntryUntranslated(const QString&) const
    742,  // KConfigGroup::readEntryUntranslated(const char*) const
    0,
    694,  // KConfigGroup::readEntryUntranslated(const QString&, const QString&) const
    695,  // KConfigGroup::readEntryUntranslated(const char*, const QString&) const
    0,
    690,  // KConfigGroup::readPathEntry(const QString&, const QString&) const
    691,  // KConfigGroup::readPathEntry(const char*, const QString&) const
    0,
    692,  // KConfigGroup::readPathEntry(const QString&, const QStringList&) const
    693,  // KConfigGroup::readPathEntry(const char*, const QStringList&) const
    0,
    739,  // KConfigGroup::readXdgListEntry(const QString&) const
    740,  // KConfigGroup::readXdgListEntry(const char*) const
    0,
    688,  // KConfigGroup::readXdgListEntry(const QString&, const QStringList&) const
    689,  // KConfigGroup::readXdgListEntry(const char*, const QStringList&) const
    0,
    721,  // KConfigGroup::revertToDefault(const QString&)
    722,  // KConfigGroup::revertToDefault(const char*)
    0,
    743,  // KConfigGroup::writeEntry(const QString&, const QVariant&)
    744,  // KConfigGroup::writeEntry(const char*, const QVariant&)
    747,  // KConfigGroup::writeEntry(const QString&, const QByteArray&)
    748,  // KConfigGroup::writeEntry(const char*, const QByteArray&)
    0,
    696,  // KConfigGroup::writeEntry(const QString&, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    697,  // KConfigGroup::writeEntry(const char*, const QVariant&, QFlags<KConfigBase::WriteConfigFlag>)
    700,  // KConfigGroup::writeEntry(const QString&, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    701,  // KConfigGroup::writeEntry(const char*, const QByteArray&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    745,  // KConfigGroup::writeEntry(const QString&, const QString&)
    746,  // KConfigGroup::writeEntry(const char*, const QString&)
    749,  // KConfigGroup::writeEntry(const QString&, const char*)
    750,  // KConfigGroup::writeEntry(const char*, const char*)
    0,
    698,  // KConfigGroup::writeEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    699,  // KConfigGroup::writeEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    702,  // KConfigGroup::writeEntry(const QString&, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    703,  // KConfigGroup::writeEntry(const char*, const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    751,  // KConfigGroup::writeEntry(const QString&, const QStringList&)
    752,  // KConfigGroup::writeEntry(const char*, const QStringList&)
    753,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&)
    754,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&)
    0,
    704,  // KConfigGroup::writeEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    705,  // KConfigGroup::writeEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    706,  // KConfigGroup::writeEntry(const QString&, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    707,  // KConfigGroup::writeEntry(const char*, const QList<QVariant>&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    757,  // KConfigGroup::writePathEntry(const QString&, const QString&)
    758,  // KConfigGroup::writePathEntry(const char*, const QString&)
    0,
    710,  // KConfigGroup::writePathEntry(const QString&, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    711,  // KConfigGroup::writePathEntry(const char*, const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    759,  // KConfigGroup::writePathEntry(const QString&, const QStringList&)
    760,  // KConfigGroup::writePathEntry(const char*, const QStringList&)
    0,
    712,  // KConfigGroup::writePathEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    713,  // KConfigGroup::writePathEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    755,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&)
    756,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&)
    0,
    708,  // KConfigGroup::writeXdgListEntry(const QString&, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    709,  // KConfigGroup::writeXdgListEntry(const char*, const QStringList&, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    830,  // KCoreConfigSkeleton::config()
    831,  // KCoreConfigSkeleton::config() const
    0,
    836,  // KCoreConfigSkeleton::findItem(const QString&)
    837,  // KCoreConfigSkeleton::findItem(const QString&) const
    0,
    834,  // KCoreConfigSkeleton::isImmutable(const QString&)
    835,  // KCoreConfigSkeleton::isImmutable(const QString&) const
    0,
    2049,  // KMD5::update(const QByteArray&)
    2050,  // KMD5::update(QIODevice&)
    0,
    2062,  // KMD5::update(const char*)
    2063,  // KMD5::update(const unsigned char*)
    0,
    2047,  // KMD5::update(const char*, int)
    2048,  // KMD5::update(const unsigned char*, int)
    0,
    1089,  // KCurrencyCode::KCurrencyCode(const KCurrencyCode&)
    1113,  // KCurrencyCode::KCurrencyCode(const QFileInfo&)
    0,
    1166,  // KDateTime::KDateTime(const QDateTime&)
    1167,  // KDateTime::KDateTime(const KDateTime&)
    1229,  // KDateTime::KDateTime(const QDate&)
    0,
    1163,  // KDateTime::KDateTime(const QDate&, const KDateTime::Spec&)
    1165,  // KDateTime::KDateTime(const QDateTime&, const KDateTime::Spec&)
    1230,  // KDateTime::KDateTime(const QDate&, const QTime&)
    0,
    1233,  // KDateTime::fromString(const QString&, KDateTime::TimeFormat)
    1234,  // KDateTime::fromString(const QString&, const QString&)
    0,
    1213,  // KDateTime::toString(const QString&) const
    1214,  // KDateTime::toString(KDateTime::TimeFormat) const
    0,
    1190,  // KDateTime::toTimeSpec(const KDateTime::Spec&) const
    1191,  // KDateTime::toTimeSpec(const KDateTime&) const
    0,
    923,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&)
    924,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&)
    0,
    916,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice>&, int)
    917,  // KCoreConfigSkeleton::ItemEnum::ItemEnum(const QString&, const QString&, int&, const QList<KCoreConfigSkeleton::ItemEnum::Choice2>&, int)
    0,
    2000,  // KLocalizedString::subs(int) const
    2003,  // KLocalizedString::subs(unsigned int) const
    2006,  // KLocalizedString::subs(long) const
    2009,  // KLocalizedString::subs(unsigned long) const
    2012,  // KLocalizedString::subs(long long) const
    2015,  // KLocalizedString::subs(unsigned long long) const
    2018,  // KLocalizedString::subs(double) const
    2024,  // KLocalizedString::subs(const QString&) const
    0,
    2001,  // KLocalizedString::subs(int, int) const
    2004,  // KLocalizedString::subs(unsigned int, int) const
    2007,  // KLocalizedString::subs(long, int) const
    2010,  // KLocalizedString::subs(unsigned long, int) const
    2013,  // KLocalizedString::subs(long long, int) const
    2016,  // KLocalizedString::subs(unsigned long long, int) const
    2019,  // KLocalizedString::subs(double, int) const
    2025,  // KLocalizedString::subs(const QString&, int) const
    0,
    2002,  // KLocalizedString::subs(int, int, int) const
    2005,  // KLocalizedString::subs(unsigned int, int, int) const
    2008,  // KLocalizedString::subs(long, int, int) const
    2011,  // KLocalizedString::subs(unsigned long, int, int) const
    2014,  // KLocalizedString::subs(long long, int, int) const
    2017,  // KLocalizedString::subs(unsigned long long, int, int) const
    2020,  // KLocalizedString::subs(double, int, char) const
    0,
    1989,  // KLocalizedString::subs(int, int, int, const QChar&) const
    1990,  // KLocalizedString::subs(unsigned int, int, int, const QChar&) const
    1991,  // KLocalizedString::subs(long, int, int, const QChar&) const
    1992,  // KLocalizedString::subs(unsigned long, int, int, const QChar&) const
    1993,  // KLocalizedString::subs(long long, int, int, const QChar&) const
    1994,  // KLocalizedString::subs(unsigned long long, int, int, const QChar&) const
    0,
    1467,  // KGlobal::staticQString(const QString&)
    1477,  // KGlobal::staticQString(const char*)
    0,
    1284,  // KDebug::hasNullOutputQtDebugMsg(int)
    1292,  // KDebug::hasNullOutputQtDebugMsg(bool)
    0,
    3825,  // Sonnet::BackgroundChecker::BackgroundChecker(QObject*)
    3849,  // Sonnet::BackgroundChecker::BackgroundChecker(const Sonnet::Speller&)
    0,
    2147,  // KMimeType::findByContent(const QByteArray&)
    2150,  // KMimeType::findByContent(QIODevice*)
    0,
    2112,  // KMimeType::findByContent(const QByteArray&, int*)
    2114,  // KMimeType::findByContent(QIODevice*, int*)
    0,
    2148,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&)
    2151,  // KMimeType::findByNameAndContent(const QString&, QIODevice*)
    0,
    2149,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int)
    2152,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int)
    0,
    2113,  // KMimeType::findByNameAndContent(const QString&, const QByteArray&, unsigned int, int*)
    2115,  // KMimeType::findByNameAndContent(const QString&, QIODevice*, unsigned int, int*)
    0,
    593,  // KConfig::KConfig(KConfigPrivate&)
    597,  // KConfig::KConfig(const KComponentData&)
    0,
    596,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>)
    600,  // KConfig::KConfig(const QString&, const QString&)
    0,
    566,  // KConfig::KConfig(const QString&, QFlags<KConfig::OpenFlag>, const char*)
    568,  // KConfig::KConfig(const QString&, const QString&, const char*)
    0,
    589,  // KConfig::groupImpl(const QByteArray&)
    590,  // KConfig::groupImpl(const QByteArray&) const
    0,
    2175,  // KPluginFactory::KPluginFactory(QObject*)
    2192,  // KPluginFactory::KPluginFactory(const KAboutData&)
    2193,  // KPluginFactory::KPluginFactory(const KAboutData*)
    2197,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&)
    0,
    2173,  // KPluginFactory::KPluginFactory(const KAboutData&, QObject*)
    2174,  // KPluginFactory::KPluginFactory(const KAboutData*, QObject*)
    2179,  // KPluginFactory::KPluginFactory(KPluginFactoryPrivate&, QObject*)
    0,
    502,  // KCmdLineOptions::add(const KCmdLineOptions&)
    503,  // KCmdLineOptions::add(const QByteArray&)
    0,
    639,  // KConfigBase::deleteGroup(const QString&)
    640,  // KConfigBase::deleteGroup(const char*)
    0,
    622,  // KConfigBase::deleteGroup(const QString&, QFlags<KConfigBase::WriteConfigFlag>)
    623,  // KConfigBase::deleteGroup(const char*, QFlags<KConfigBase::WriteConfigFlag>)
    0,
    615,  // KConfigBase::group(const QByteArray&)
    618,  // KConfigBase::group(const QByteArray&) const
    0,
    616,  // KConfigBase::group(const QString&)
    617,  // KConfigBase::group(const char*)
    619,  // KConfigBase::group(const QString&) const
    620,  // KConfigBase::group(const char*) const
    0,
    633,  // KConfigBase::groupImpl(const QByteArray&)
    634,  // KConfigBase::groupImpl(const QByteArray&) const
    0,
    612,  // KConfigBase::hasGroup(const QString&) const
    613,  // KConfigBase::hasGroup(const char*) const
    0,
    629,  // KConfigBase::isGroupImmutable(const QString&) const
    630,  // KConfigBase::isGroupImmutable(const char*) const
    0,
    2621,  // KSocketFactory::connectToHost(const QUrl&, QObject*)
    2623,  // KSocketFactory::connectToHost(QTcpSocket*, const QUrl&)
    0,
    2290,  // KProcess::execute(int)
    2304,  // KProcess::execute(const QString&)
    0,
    2633,  // KStandardDirs::addResourceType(const char*, const QString&, bool)
    2669,  // KStandardDirs::addResourceType(const char*, const char*, const QString&)
    2670,  // KStandardDirs::addResourceType(const char*, const char*, const char*)
    0,
    2634,  // KStandardDirs::addResourceType(const char*, const char*, const QString&, bool)
    2635,  // KStandardDirs::addResourceType(const char*, const char*, const char*, bool)
    0,
    1313,  // KDesktopFile::actionGroup(const QString&)
    1314,  // KDesktopFile::actionGroup(const QString&) const
    0,
    2081,  // KMacroExpanderBase::KMacroExpanderBase(QChar)
    2089,  // KMacroExpanderBase::KMacroExpanderBase(const KMacroExpanderBase&)
    0,
    523,  // KComponentData::KComponentData(const KComponentData&)
    538,  // KComponentData::KComponentData(const QByteArray&)
    540,  // KComponentData::KComponentData(const KAboutData&)
    541,  // KComponentData::KComponentData(const KAboutData*)
    0,
    528,  // KComponentData::KComponentData(const KAboutData&, KComponentData::MainComponentRegistration)
    529,  // KComponentData::KComponentData(const KAboutData*, KComponentData::MainComponentRegistration)
    0,
    147,  // KAuth::ActionReply::ActionReply(KAuth::ActionReply::Type)
    148,  // KAuth::ActionReply::ActionReply(int)
    0,
    2557,  // KServiceType::KServiceType(KDesktopFile*)
    2572,  // KServiceType::KServiceType(KServiceTypePrivate&)
    0,
    3223,  // KUserGroup::KUserGroup(const group*)
    3224,  // KUserGroup::KUserGroup(const KUserGroup&)
    0,
    3219,  // KUserGroup::KUserGroup(const QString&)
    3220,  // KUserGroup::KUserGroup(const char*)
    3221,  // KUserGroup::KUserGroup(KUser::UIDMode)
    3222,  // KUserGroup::KUserGroup(unsigned int)
    0,
    3082,  // KUrl::KUrl(const QByteArray&)
    3083,  // KUrl::KUrl(const KUrl&)
    3084,  // KUrl::KUrl(const QUrl&)
    0,
    3080,  // KUrl::KUrl(const QString&)
    3081,  // KUrl::KUrl(const char*)
    0,
    3131,  // KUrl::operator=(const KUrl&)
    3133,  // KUrl::operator=(const QByteArray&)
    0,
    3132,  // KUrl::operator=(const char*)
    3134,  // KUrl::operator=(const QString&)
    0,
    286,  // KCalendarSystem::KCalendarSystem(const KLocale*)
    419,  // KCalendarSystem::KCalendarSystem(KCalendarSystemPrivate&)
    0,
    283,  // KCalendarSystem::calendarLabel(const QString&)
    387,  // KCalendarSystem::calendarLabel(KLocale::CalendarSystem)
    0,
    383,  // KCalendarSystem::create(const QString&)
    385,  // KCalendarSystem::create(KLocale::CalendarSystem)
    0,
    277,  // KCalendarSystem::create(const QString&, const KLocale*)
    279,  // KCalendarSystem::create(KLocale::CalendarSystem, const KLocale*)
    0,
    384,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>)
    386,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>)
    0,
    278,  // KCalendarSystem::create(const QString&, KSharedPtr<KSharedConfig>, const KLocale*)
    280,  // KCalendarSystem::create(KLocale::CalendarSystem, KSharedPtr<KSharedConfig>, const KLocale*)
    0,
    359,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateFormat) const
    412,  // KCalendarSystem::formatDate(const QDate&, const QString&) const
    414,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent) const
    0,
    360,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DateTimeFormatStandard) const
    413,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet) const
    415,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat) const
    0,
    361,  // KCalendarSystem::formatDate(const QDate&, const QString&, KLocale::DigitSet, KLocale::DateTimeFormatStandard) const
    362,  // KCalendarSystem::formatDate(const QDate&, KLocale::DateTimeComponent, KLocale::DateTimeComponentFormat, KLocale::WeekNumberSystem) const
    0,
    363,  // KCalendarSystem::readDate(const QString&, bool*) const
    417,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags) const
    418,  // KCalendarSystem::readDate(const QString&, const QString&) const
    0,
    364,  // KCalendarSystem::readDate(const QString&, KLocale::ReadDateFlags, bool*) const
    365,  // KCalendarSystem::readDate(const QString&, const QString&, bool*) const
    0,
    1258,  // KDateTime::Spec::Spec(const KTimeZone&)
    1260,  // KDateTime::Spec::Spec(const KDateTime::Spec&)
    0,
    1647,  // KLocalSocket::connectToPath(const QString&, QFlags<QIODevice::OpenModeFlag>)
    1659,  // KLocalSocket::connectToPath(const QString&, KLocalSocket::LocalSocketType)
    0,
    2693,  // KStringHandler::perlSplit(const QChar&, const QString&)
    2695,  // KStringHandler::perlSplit(const QRegExp&, const QString&)
    0,
    2692,  // KStringHandler::perlSplit(const QChar&, const QString&, int)
    2694,  // KStringHandler::perlSplit(const QRegExp&, const QString&, int)
    0,
    2831,  // KTimeZone::KTimeZone(const KTimeZone&)
    2868,  // KTimeZone::KTimeZone(KTimeZoneBackend*)
    0,
    3192,  // KUser::KUser(const passwd*)
    3193,  // KUser::KUser(const KUser&)
    0,
    3188,  // KUser::KUser(KUser::UIDMode)
    3189,  // KUser::KUser(unsigned int)
    3190,  // KUser::KUser(const QString&)
    3191,  // KUser::KUser(const char*)
    0,
    96,  // KAboutPerson::KAboutPerson(const KAboutPerson&)
    103,  // KAboutPerson::KAboutPerson(const KLocalizedString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 145, 85},	// KAboutData::FullName
    {1, 277, 2},	// KAboutData::KAboutData#
    {1, 278, 59},	// KAboutData::KAboutData####
    {1, 279, 60},	// KAboutData::KAboutData#####
    {1, 280, 61},	// KAboutData::KAboutData#####$
    {1, 281, 62},	// KAboutData::KAboutData#####$#
    {1, 282, 63},	// KAboutData::KAboutData#####$##
    {1, 283, 64},	// KAboutData::KAboutData#####$###
    {1, 284, 1},	// KAboutData::KAboutData#####$####
    {1, 569, 79},	// KAboutData::License_Artistic
    {1, 570, 78},	// KAboutData::License_BSD
    {1, 571, 71},	// KAboutData::License_Custom
    {1, 572, 72},	// KAboutData::License_File
    {1, 573, 74},	// KAboutData::License_GPL
    {1, 574, 75},	// KAboutData::License_GPL_V2
    {1, 575, 82},	// KAboutData::License_GPL_V3
    {1, 576, 76},	// KAboutData::License_LGPL
    {1, 577, 77},	// KAboutData::License_LGPL_V2
    {1, 578, 83},	// KAboutData::License_LGPL_V3
    {1, 579, 80},	// KAboutData::License_QPL
    {1, 580, 81},	// KAboutData::License_QPL_V1_0
    {1, 581, 73},	// KAboutData::License_Unknown
    {1, 709, 84},	// KAboutData::ShortName
    {1, 842, 48},	// KAboutData::aboutTranslationTeam
    {1, 863, 65},	// KAboutData::addAuthor#
    {1, 864, 66},	// KAboutData::addAuthor##
    {1, 865, 67},	// KAboutData::addAuthor###
    {1, 866, 4},	// KAboutData::addAuthor####
    {1, 867, 5},	// KAboutData::addAuthor#####
    {1, 876, 68},	// KAboutData::addCredit#
    {1, 877, 69},	// KAboutData::addCredit##
    {1, 878, 70},	// KAboutData::addCredit###
    {1, 879, 6},	// KAboutData::addCredit####
    {1, 880, 7},	// KAboutData::addCredit#####
    {1, 968, 22},	// KAboutData::addLicense$
    {1, 970, 10},	// KAboutData::addLicenseText#
    {1, 972, 12},	// KAboutData::addLicenseTextFile$
    {1, 1043, 29},	// KAboutData::appName
    {1, 1064, 45},	// KAboutData::authors
    {1, 1096, 43},	// KAboutData::bugAddress
    {1, 1124, 41},	// KAboutData::catalogName
    {1, 1207, 53},	// KAboutData::copyrightStatement
    {1, 1229, 46},	// KAboutData::credits
    {1, 1250, 54},	// KAboutData::customAuthorPlainText
    {1, 1251, 55},	// KAboutData::customAuthorRichText
    {1, 1252, 56},	// KAboutData::customAuthorTextEnabled
    {1, 1716, 42},	// KAboutData::homepage
    {1, 1756, 44},	// KAboutData::internalBugAddress
    {1, 1757, 33},	// KAboutData::internalProgramName
    {1, 1758, 39},	// KAboutData::internalVersion
    {1, 1978, 50},	// KAboutData::license
    {1, 1980, 51},	// KAboutData::licenseName$
    {1, 1981, 52},	// KAboutData::licenses
    {1, 2140, 37},	// KAboutData::ocsProviderUrl
    {1, 2206, 3},	// KAboutData::operator=#
    {1, 2236, 32},	// KAboutData::organizationDomain
    {1, 2237, 49},	// KAboutData::otherText
    {1, 2300, 30},	// KAboutData::productName
    {1, 2302, 35},	// KAboutData::programIconName
    {1, 2303, 36},	// KAboutData::programLogo
    {1, 2304, 31},	// KAboutData::programName
    {1, 2540, 13},	// KAboutData::setAppName#
    {1, 2561, 26},	// KAboutData::setBugAddress#
    {1, 2569, 20},	// KAboutData::setCatalogName#
    {1, 2581, 23},	// KAboutData::setCopyrightStatement#
    {1, 2593, 57},	// KAboutData::setCustomAuthorText##
    {1, 2686, 25},	// KAboutData::setHomepage#
    {1, 2712, 21},	// KAboutData::setLicense$
    {1, 2714, 9},	// KAboutData::setLicenseText#
    {1, 2716, 11},	// KAboutData::setLicenseTextFile$
    {1, 2820, 17},	// KAboutData::setOcsProvider#
    {1, 2822, 27},	// KAboutData::setOrganizationDomain#
    {1, 2826, 24},	// KAboutData::setOtherText#
    {1, 2858, 28},	// KAboutData::setProductName#
    {1, 2864, 15},	// KAboutData::setProgramIconName$
    {1, 2866, 16},	// KAboutData::setProgramLogo#
    {1, 2868, 14},	// KAboutData::setProgramName#
    {1, 2890, 19},	// KAboutData::setShortDescription#
    {1, 2929, 8},	// KAboutData::setTranslator##
    {1, 2939, 18},	// KAboutData::setVersion#
    {1, 2960, 40},	// KAboutData::shortDescription
    {1, 3185, 34},	// KAboutData::translateInternalProgramName
    {1, 3198, 47},	// KAboutData::translators
    {1, 3213, 58},	// KAboutData::unsetCustomAuthorText
    {1, 3260, 38},	// KAboutData::version
    {1, 3374, 86},	// KAboutData::~KAboutData
    {2, 286, 87},	// KAboutLicense::KAboutLicense#
    {2, 1098, 92},	// KAboutLicense::byKeyword$
    {2, 1932, 91},	// KAboutLicense::key
    {2, 2110, 90},	// KAboutLicense::name$
    {2, 2206, 88},	// KAboutLicense::operator=#
    {2, 3117, 89},	// KAboutLicense::text
    {2, 3375, 93},	// KAboutLicense::~KAboutLicense
    {3, 288, -821},	// KAboutPerson::KAboutPerson#
    {3, 289, 104},	// KAboutPerson::KAboutPerson##
    {3, 290, 105},	// KAboutPerson::KAboutPerson###
    {3, 291, 94},	// KAboutPerson::KAboutPerson####
    {3, 292, 95},	// KAboutPerson::KAboutPerson#####
    {3, 1400, 100},	// KAboutPerson::emailAddress
    {3, 2109, 98},	// KAboutPerson::name
    {3, 2141, 102},	// KAboutPerson::ocsUsername
    {3, 2206, 97},	// KAboutPerson::operator=#
    {3, 3111, 99},	// KAboutPerson::task
    {3, 3279, 101},	// KAboutPerson::webAddress
    {3, 3376, 106},	// KAboutPerson::~KAboutPerson
    {4, 4, 107},	// KAuth::Action::Action
    {4, 5, 108},	// KAuth::Action::Action#
    {4, 6, 109},	// KAuth::Action::Action$
    {4, 7, 110},	// KAuth::Action::Action$$
    {4, 27, 143},	// KAuth::Action::AuthRequired
    {4, 30, 142},	// KAuth::Action::Authorized
    {4, 100, 139},	// KAuth::Action::Denied
    {4, 123, 140},	// KAuth::Action::Error
    {4, 176, 141},	// KAuth::Action::Invalid
    {4, 798, 144},	// KAuth::Action::UserCancelled
    {4, 861, 125},	// KAuth::Action::addArgument$#
    {4, 1051, 124},	// KAuth::Action::arguments
    {4, 1054, 126},	// KAuth::Action::authorize
    {4, 1367, 117},	// KAuth::Action::details
    {4, 1398, 127},	// KAuth::Action::earlyAuthorize
    {4, 1460, 129},	// KAuth::Action::execute
    {4, 1461, 130},	// KAuth::Action::execute$
    {4, 1467, 133},	// KAuth::Action::executeActions??$
    {4, 1468, 134},	// KAuth::Action::executeActions??$#
    {4, 1469, 132},	// KAuth::Action::executesAsync
    {4, 1683, 121},	// KAuth::Action::hasHelper
    {4, 1712, 119},	// KAuth::Action::helperID
    {4, 1879, 118},	// KAuth::Action::isValid
    {4, 2109, 114},	// KAuth::Action::name
    {4, 2166, 113},	// KAuth::Action::operator!=#
    {4, 2206, 111},	// KAuth::Action::operator=#
    {4, 2209, 112},	// KAuth::Action::operator==#
    {4, 2249, 138},	// KAuth::Action::parentWidget
    {4, 2542, 123},	// KAuth::Action::setArguments?
    {4, 2634, 116},	// KAuth::Action::setDetails$
    {4, 2663, 131},	// KAuth::Action::setExecutesAsync$
    {4, 2684, 120},	// KAuth::Action::setHelperID$
    {4, 2810, 115},	// KAuth::Action::setName$
    {4, 2834, 137},	// KAuth::Action::setParentWidget#
    {4, 3059, 128},	// KAuth::Action::status
    {4, 3062, 135},	// KAuth::Action::stop
    {4, 3063, 136},	// KAuth::Action::stop$
    {4, 3277, 122},	// KAuth::Action::watcher
    {4, 3347, 145},	// KAuth::Action::~Action
    {5, 8, 146},	// KAuth::ActionReply::ActionReply
    {5, 9, 149},	// KAuth::ActionReply::ActionReply#
    {5, 10, -735},	// KAuth::ActionReply::ActionReply$
    {5, 28, 181},	// KAuth::ActionReply::AuthorizationDenied
    {5, 29, 170},	// KAuth::ActionReply::AuthorizationDeniedReply
    {5, 75, 184},	// KAuth::ActionReply::DBusError
    {5, 76, 173},	// KAuth::ActionReply::DBusErrorReply
    {5, 154, 183},	// KAuth::ActionReply::HelperBusy
    {5, 155, 172},	// KAuth::ActionReply::HelperBusyReply
    {5, 156, 175},	// KAuth::ActionReply::HelperError
    {5, 157, 166},	// KAuth::ActionReply::HelperErrorReply
    {5, 177, 180},	// KAuth::ActionReply::InvalidAction
    {5, 178, 169},	// KAuth::ActionReply::InvalidActionReply
    {5, 293, 174},	// KAuth::ActionReply::KAuthError
    {5, 617, 177},	// KAuth::ActionReply::NoError
    {5, 621, 178},	// KAuth::ActionReply::NoResponder
    {5, 622, 167},	// KAuth::ActionReply::NoResponderReply
    {5, 624, 179},	// KAuth::ActionReply::NoSuchAction
    {5, 625, 168},	// KAuth::ActionReply::NoSuchActionReply
    {5, 737, 176},	// KAuth::ActionReply::Success
    {5, 738, 165},	// KAuth::ActionReply::SuccessReply
    {5, 798, 182},	// KAuth::ActionReply::UserCancelled
    {5, 799, 171},	// KAuth::ActionReply::UserCancelledReply
    {5, 884, 152},	// KAuth::ActionReply::addData$#
    {5, 1255, 151},	// KAuth::ActionReply::data
    {5, 1362, 161},	// KAuth::ActionReply::deserialize#
    {5, 1444, 156},	// KAuth::ActionReply::errorCode
    {5, 1445, 158},	// KAuth::ActionReply::errorDescription
    {5, 1497, 155},	// KAuth::ActionReply::failed
    {5, 2166, 164},	// KAuth::ActionReply::operator!=#
    {5, 2206, 162},	// KAuth::ActionReply::operator=#
    {5, 2209, 163},	// KAuth::ActionReply::operator==#
    {5, 2508, 160},	// KAuth::ActionReply::serialized
    {5, 2599, 150},	// KAuth::ActionReply::setData?
    {5, 2653, 157},	// KAuth::ActionReply::setErrorCode$
    {5, 2655, 159},	// KAuth::ActionReply::setErrorDescription$
    {5, 3085, 154},	// KAuth::ActionReply::succeeded
    {5, 3200, 153},	// KAuth::ActionReply::type
    {5, 3348, 185},	// KAuth::ActionReply::~ActionReply
    {6, 848, 194},	// KAuth::ActionWatcher::action
    {6, 852, 196},	// KAuth::ActionWatcher::actionPerformed#
    {6, 853, 195},	// KAuth::ActionWatcher::actionStarted
    {6, 2068, 186},	// KAuth::ActionWatcher::metaObject
    {6, 2306, 197},	// KAuth::ActionWatcher::progressStep$
    {6, 2307, 198},	// KAuth::ActionWatcher::progressStep?
    {6, 2331, 192},	// KAuth::ActionWatcher::qt_metacall$$?
    {6, 2333, 187},	// KAuth::ActionWatcher::qt_metacast$
    {6, 3056, 202},	// KAuth::ActionWatcher::staticMetaObject
    {6, 3061, 199},	// KAuth::ActionWatcher::statusChanged$
    {6, 3158, 200},	// KAuth::ActionWatcher::tr$
    {6, 3159, 188},	// KAuth::ActionWatcher::tr$$
    {6, 3160, 190},	// KAuth::ActionWatcher::tr$$$
    {6, 3165, 201},	// KAuth::ActionWatcher::trUtf8$
    {6, 3166, 189},	// KAuth::ActionWatcher::trUtf8$$
    {6, 3167, 191},	// KAuth::ActionWatcher::trUtf8$$$
    {6, 3278, 193},	// KAuth::ActionWatcher::watcher$
    {6, 3349, 203},	// KAuth::ActionWatcher::~ActionWatcher
    {7, 1039, 208},	// KAuthorized::allowUrlAction$##
    {7, 1055, 205},	// KAuthorized::authorize$
    {7, 1057, 209},	// KAuthorized::authorizeControlModule$
    {7, 1059, 206},	// KAuthorized::authorizeControlModules?
    {7, 1061, 207},	// KAuthorized::authorizeKAction$
    {7, 1063, 204},	// KAuthorized::authorizeUrlAction$##
    {8, 294, 228},	// KAutoSaveFile::KAutoSaveFile
    {8, 295, -410},	// KAutoSaveFile::KAutoSaveFile#
    {8, 296, 217},	// KAutoSaveFile::KAutoSaveFile##
    {8, 1030, 230},	// KAutoSaveFile::allStaleFiles
    {8, 1031, 224},	// KAutoSaveFile::allStaleFiles$
    {8, 2053, 219},	// KAutoSaveFile::managedFile
    {8, 2068, 210},	// KAutoSaveFile::metaObject
    {8, 2153, 222},	// KAutoSaveFile::open$
    {8, 2331, 216},	// KAutoSaveFile::qt_metacall$$?
    {8, 2333, 211},	// KAutoSaveFile::qt_metacast$
    {8, 2441, 221},	// KAutoSaveFile::releaseLock
    {8, 2782, 220},	// KAutoSaveFile::setManagedFile#
    {8, 2995, 229},	// KAutoSaveFile::staleFiles#
    {8, 2996, 223},	// KAutoSaveFile::staleFiles#$
    {8, 3056, 231},	// KAutoSaveFile::staticMetaObject
    {8, 3158, 225},	// KAutoSaveFile::tr$
    {8, 3159, 212},	// KAutoSaveFile::tr$$
    {8, 3160, 214},	// KAutoSaveFile::tr$$$
    {8, 3165, 226},	// KAutoSaveFile::trUtf8$
    {8, 3166, 213},	// KAutoSaveFile::trUtf8$$
    {8, 3167, 215},	// KAutoSaveFile::trUtf8$$$
    {8, 3377, 232},	// KAutoSaveFile::~KAutoSaveFile
    {9, 21, 275},	// KAutostart::Applications
    {9, 39, 273},	// KAutostart::BaseDesktop
    {9, 49, 272},	// KAutostart::CheckAll
    {9, 50, 270},	// KAutostart::CheckCommand
    {9, 51, 271},	// KAutostart::CheckCondition
    {9, 101, 274},	// KAutostart::DesktopServices
    {9, 297, 264},	// KAutostart::KAutostart
    {9, 298, 265},	// KAutostart::KAutostart$
    {9, 299, 240},	// KAutostart::KAutostart$#
    {9, 615, 269},	// KAutostart::NoConditions
    {9, 999, 254},	// KAutostart::addToAllowedEnvironments$
    {9, 1001, 258},	// KAutostart::addToExcludedEnvironments$
    {9, 1040, 252},	// KAutostart::allowedEnvironments
    {9, 1072, 266},	// KAutostart::autostarts
    {9, 1073, 267},	// KAutostart::autostarts$
    {9, 1074, 242},	// KAutostart::autostarts$$
    {9, 1137, 261},	// KAutostart::checkAllowedEnvironment$
    {9, 1167, 243},	// KAutostart::command
    {9, 1168, 248},	// KAutostart::commandToCheck
    {9, 1454, 256},	// KAutostart::excludedEnvironments
    {9, 1865, 247},	// KAutostart::isServiceRegistered$
    {9, 2068, 233},	// KAutostart::metaObject
    {9, 2331, 239},	// KAutostart::qt_metacall$$?
    {9, 2333, 234},	// KAutostart::qt_metacast$
    {9, 2452, 255},	// KAutostart::removeFromAllowedEnvironments$
    {9, 2454, 259},	// KAutostart::removeFromExcludedEnvironments$
    {9, 2538, 253},	// KAutostart::setAllowedEnvironments?
    {9, 2557, 241},	// KAutostart::setAutostarts$
    {9, 2571, 244},	// KAutostart::setCommand$
    {9, 2573, 249},	// KAutostart::setCommandToCheck$
    {9, 2661, 257},	// KAutostart::setExcludedEnvironments?
    {9, 2903, 251},	// KAutostart::setStartPhase$
    {9, 2941, 246},	// KAutostart::setVisibleName$
    {9, 2999, 260},	// KAutostart::startAfter
    {9, 3005, 250},	// KAutostart::startPhase
    {9, 3056, 268},	// KAutostart::staticMetaObject
    {9, 3158, 262},	// KAutostart::tr$
    {9, 3159, 235},	// KAutostart::tr$$
    {9, 3160, 237},	// KAutostart::tr$$$
    {9, 3165, 263},	// KAutostart::trUtf8$
    {9, 3166, 236},	// KAutostart::trUtf8$$
    {9, 3167, 238},	// KAutostart::trUtf8$$$
    {9, 3265, 245},	// KAutostart::visibleName
    {9, 3378, 276},	// KAutostart::~KAutostart
    {10, 300, 388},	// KCalendarSystem::KCalendarSystem
    {10, 301, -762},	// KCalendarSystem::KCalendarSystem#
    {10, 302, 420},	// KCalendarSystem::KCalendarSystem#?
    {10, 303, 381},	// KCalendarSystem::KCalendarSystem#?#
    {10, 304, 389},	// KCalendarSystem::KCalendarSystem?
    {10, 305, 287},	// KCalendarSystem::KCalendarSystem?#
    {10, 592, 428},	// KCalendarSystem::LongDayName
    {10, 593, 422},	// KCalendarSystem::LongFormat
    {10, 594, 424},	// KCalendarSystem::LongName
    {10, 595, 426},	// KCalendarSystem::LongNamePossessive
    {10, 707, 427},	// KCalendarSystem::ShortDayName
    {10, 708, 421},	// KCalendarSystem::ShortFormat
    {10, 709, 423},	// KCalendarSystem::ShortName
    {10, 710, 425},	// KCalendarSystem::ShortNamePossessive
    {10, 886, 313},	// KCalendarSystem::addDays#$
    {10, 976, 312},	// KCalendarSystem::addMonths#$
    {10, 1013, 311},	// KCalendarSystem::addYears#$
    {10, 1047, 368},	// KCalendarSystem::applyShortYearWindow$
    {10, 1105, 290},	// KCalendarSystem::calendarLabel
    {10, 1106, -765},	// KCalendarSystem::calendarLabel$
    {10, 1107, 284},	// KCalendarSystem::calendarLabel$#
    {10, 1108, 289},	// KCalendarSystem::calendarSystem
    {10, 1110, 285},	// KCalendarSystem::calendarSystemForCalendarType$
    {10, 1111, 281},	// KCalendarSystem::calendarSystems
    {10, 1112, 282},	// KCalendarSystem::calendarSystemsList
    {10, 1113, 288},	// KCalendarSystem::calendarType
    {10, 1215, 382},	// KCalendarSystem::create
    {10, 1219, -768},	// KCalendarSystem::create$
    {10, 1220, -771},	// KCalendarSystem::create$#
    {10, 1223, -774},	// KCalendarSystem::create$?
    {10, 1224, -777},	// KCalendarSystem::create$?#
    {10, 1265, 314},	// KCalendarSystem::dateDifference##$$$$
    {10, 1274, 376},	// KCalendarSystem::dateToJulianDay$$$$
    {10, 1277, 307},	// KCalendarSystem::day#
    {10, 1279, 328},	// KCalendarSystem::dayOfWeek#
    {10, 1281, 349},	// KCalendarSystem::dayOfWeekString#
    {10, 1283, 327},	// KCalendarSystem::dayOfYear#
    {10, 1285, 405},	// KCalendarSystem::dayOfYearString#
    {10, 1286, 348},	// KCalendarSystem::dayOfYearString#$
    {10, 1291, 403},	// KCalendarSystem::dayString#
    {10, 1292, 346},	// KCalendarSystem::dayString#$
    {10, 1294, 358},	// KCalendarSystem::dayStringToInteger$$
    {10, 1296, 317},	// KCalendarSystem::daysDifference##
    {10, 1298, 324},	// KCalendarSystem::daysInMonth#
    {10, 1299, 325},	// KCalendarSystem::daysInMonth$$
    {10, 1301, 410},	// KCalendarSystem::daysInMonthString#
    {10, 1302, 354},	// KCalendarSystem::daysInMonthString#$
    {10, 1304, 326},	// KCalendarSystem::daysInWeek#
    {10, 1306, 355},	// KCalendarSystem::daysInWeekString#
    {10, 1308, 322},	// KCalendarSystem::daysInYear#
    {10, 1309, 323},	// KCalendarSystem::daysInYear$
    {10, 1311, 409},	// KCalendarSystem::daysInYearString#
    {10, 1312, 353},	// KCalendarSystem::daysInYearString#$
    {10, 1397, 292},	// KCalendarSystem::earliestValidDate
    {10, 1431, 291},	// KCalendarSystem::epoch
    {10, 1438, 390},	// KCalendarSystem::eraName#
    {10, 1439, 308},	// KCalendarSystem::eraName#$
    {10, 1441, 391},	// KCalendarSystem::eraYear#
    {10, 1442, 309},	// KCalendarSystem::eraYear#$
    {10, 1570, 395},	// KCalendarSystem::firstDayOfMonth
    {10, 1571, 338},	// KCalendarSystem::firstDayOfMonth#
    {10, 1572, 336},	// KCalendarSystem::firstDayOfMonth$$
    {10, 1573, 393},	// KCalendarSystem::firstDayOfYear
    {10, 1574, 334},	// KCalendarSystem::firstDayOfYear#
    {10, 1575, 332},	// KCalendarSystem::firstDayOfYear$
    {10, 1587, 411},	// KCalendarSystem::formatDate#
    {10, 1588, -780},	// KCalendarSystem::formatDate#$
    {10, 1589, -784},	// KCalendarSystem::formatDate#$$
    {10, 1590, -788},	// KCalendarSystem::formatDate#$$$
    {10, 1648, 304},	// KCalendarSystem::getDate#$$$
    {10, 1838, 331},	// KCalendarSystem::isLeapYear#
    {10, 1839, 330},	// KCalendarSystem::isLeapYear$
    {10, 1845, 371},	// KCalendarSystem::isLunar
    {10, 1846, 372},	// KCalendarSystem::isLunisolar
    {10, 1855, 374},	// KCalendarSystem::isProleptic
    {10, 1869, 373},	// KCalendarSystem::isSolar
    {10, 1880, 298},	// KCalendarSystem::isValid#
    {10, 1882, 295},	// KCalendarSystem::isValid$$
    {10, 1883, 294},	// KCalendarSystem::isValid$$$
    {10, 1884, 296},	// KCalendarSystem::isValid$$$$
    {10, 1886, 297},	// KCalendarSystem::isValidIsoWeekDate$$$
    {10, 1897, 375},	// KCalendarSystem::julianDayToDate$$$$
    {10, 1961, 396},	// KCalendarSystem::lastDayOfMonth
    {10, 1962, 339},	// KCalendarSystem::lastDayOfMonth#
    {10, 1963, 337},	// KCalendarSystem::lastDayOfMonth$$
    {10, 1964, 394},	// KCalendarSystem::lastDayOfYear
    {10, 1965, 335},	// KCalendarSystem::lastDayOfYear#
    {10, 1966, 333},	// KCalendarSystem::lastDayOfYear$
    {10, 1968, 293},	// KCalendarSystem::latestValidDate
    {10, 1995, 377},	// KCalendarSystem::locale
    {10, 2090, 306},	// KCalendarSystem::month#
    {10, 2092, 398},	// KCalendarSystem::monthName#
    {10, 2093, 341},	// KCalendarSystem::monthName#$
    {10, 2094, 397},	// KCalendarSystem::monthName$$
    {10, 2095, 340},	// KCalendarSystem::monthName$$$
    {10, 2097, 402},	// KCalendarSystem::monthString#
    {10, 2098, 345},	// KCalendarSystem::monthString#$
    {10, 2100, 357},	// KCalendarSystem::monthStringToInteger$$
    {10, 2102, 316},	// KCalendarSystem::monthsDifference##
    {10, 2104, 318},	// KCalendarSystem::monthsInYear#
    {10, 2105, 319},	// KCalendarSystem::monthsInYear$
    {10, 2107, 407},	// KCalendarSystem::monthsInYearString#
    {10, 2108, 351},	// KCalendarSystem::monthsInYearString#$
    {10, 2370, 416},	// KCalendarSystem::readDate$
    {10, 2371, -791},	// KCalendarSystem::readDate$$
    {10, 2372, -795},	// KCalendarSystem::readDate$$$
    {10, 2373, 366},	// KCalendarSystem::readDate$$$$
    {10, 2604, 300},	// KCalendarSystem::setDate#$$
    {10, 2605, 299},	// KCalendarSystem::setDate#$$$
    {10, 2606, 301},	// KCalendarSystem::setDate#$$$$
    {10, 2612, 302},	// KCalendarSystem::setDateIsoWeek#$$$
    {10, 2682, 380},	// KCalendarSystem::setHasYear0$
    {10, 2784, 379},	// KCalendarSystem::setMaxDaysInWeek$
    {10, 2786, 378},	// KCalendarSystem::setMaxMonthsInYear$
    {10, 2955, 303},	// KCalendarSystem::setYMD#$$$
    {10, 2961, 367},	// KCalendarSystem::shortYearWindowStartYear
    {10, 3282, 400},	// KCalendarSystem::weekDayName#
    {10, 3283, 343},	// KCalendarSystem::weekDayName#$
    {10, 3284, 399},	// KCalendarSystem::weekDayName$
    {10, 3285, 342},	// KCalendarSystem::weekDayName$$
    {10, 3286, 370},	// KCalendarSystem::weekDayOfPray
    {10, 3288, 392},	// KCalendarSystem::weekNumber#
    {10, 3289, 329},	// KCalendarSystem::weekNumber#$
    {10, 3291, 406},	// KCalendarSystem::weekNumberString#
    {10, 3292, 350},	// KCalendarSystem::weekNumberString#$
    {10, 3294, 369},	// KCalendarSystem::weekStartDay
    {10, 3296, 320},	// KCalendarSystem::weeksInYear#
    {10, 3297, 321},	// KCalendarSystem::weeksInYear$
    {10, 3299, 408},	// KCalendarSystem::weeksInYearString#
    {10, 3300, 352},	// KCalendarSystem::weeksInYearString#$
    {10, 3330, 305},	// KCalendarSystem::year#
    {10, 3332, 310},	// KCalendarSystem::yearInEra#
    {10, 3334, 404},	// KCalendarSystem::yearInEraString#
    {10, 3335, 347},	// KCalendarSystem::yearInEraString#$
    {10, 3337, 401},	// KCalendarSystem::yearString#
    {10, 3338, 344},	// KCalendarSystem::yearString#$
    {10, 3340, 356},	// KCalendarSystem::yearStringToInteger$$
    {10, 3342, 315},	// KCalendarSystem::yearsDifference##
    {10, 3379, 429},	// KCalendarSystem::~KCalendarSystem
    {12, 306, 435},	// KCharMacroExpander::KCharMacroExpander
    {12, 307, -413},	// KCharMacroExpander::KCharMacroExpander#
    {12, 1473, 432},	// KCharMacroExpander::expandEscapedMacro$$?
    {12, 1475, 433},	// KCharMacroExpander::expandMacro#?
    {12, 1487, 431},	// KCharMacroExpander::expandPlainMacro$$?
    {12, 3380, 436},	// KCharMacroExpander::~KCharMacroExpander
    {13, 308, 437},	// KCharsets::KCharsets
    {13, 309, 450},	// KCharsets::KCharsets#
    {13, 1077, 444},	// KCharsets::availableEncodingNames
    {13, 1165, 438},	// KCharsets::codecForName$
    {13, 1166, 439},	// KCharsets::codecForName$$
    {13, 1359, 448},	// KCharsets::descriptionForEncoding$
    {13, 1360, 445},	// KCharsets::descriptiveEncodingNames
    {13, 1418, 449},	// KCharsets::encodingForName$
    {13, 1421, 446},	// KCharsets::encodingsByScript
    {13, 1618, 440},	// KCharsets::fromEntity$
    {13, 1619, 441},	// KCharsets::fromEntity$$
    {13, 1959, 447},	// KCharsets::languageForEncoding$
    {13, 2472, 443},	// KCharsets::resolveEntities$
    {13, 3131, 442},	// KCharsets::toEntity#
    {13, 3381, 451},	// KCharsets::~KCharsets
    {14, 61, 493},	// KCmdLineArgs::CmdLineArgKDE
    {14, 62, 495},	// KCmdLineArgs::CmdLineArgNone
    {14, 63, 492},	// KCmdLineArgs::CmdLineArgQt
    {14, 64, 494},	// KCmdLineArgs::CmdLineArgsMask
    {14, 311, 482},	// KCmdLineArgs::KCmdLineArgs#
    {14, 312, 481},	// KCmdLineArgs::KCmdLineArgs###
    {14, 696, 496},	// KCmdLineArgs::Reserved
    {14, 841, 480},	// KCmdLineArgs::aboutData
    {14, 869, 487},	// KCmdLineArgs::addCmdLineOptions#
    {14, 870, 488},	// KCmdLineArgs::addCmdLineOptions##
    {14, 871, 489},	// KCmdLineArgs::addCmdLineOptions###
    {14, 872, 456},	// KCmdLineArgs::addCmdLineOptions####
    {14, 993, 486},	// KCmdLineArgs::addStdCmdLineOptions
    {14, 994, 455},	// KCmdLineArgs::addStdCmdLineOptions$
    {14, 997, 475},	// KCmdLineArgs::addTempFileOption
    {14, 1017, 479},	// KCmdLineArgs::allArguments
    {14, 1043, 459},	// KCmdLineArgs::appName
    {14, 1050, 467},	// KCmdLineArgs::arg$
    {14, 1154, 471},	// KCmdLineArgs::clear
    {14, 1208, 466},	// KCmdLineArgs::count
    {14, 1254, 458},	// KCmdLineArgs::cwd
    {14, 1406, 462},	// KCmdLineArgs::enable_i18n
    {14, 1655, 463},	// KCmdLineArgs::getOption#
    {14, 1657, 464},	// KCmdLineArgs::getOptionList#
    {14, 1741, 454},	// KCmdLineArgs::init#
    {14, 1743, 485},	// KCmdLineArgs::init$?#
    {14, 1744, 483},	// KCmdLineArgs::init$?####
    {14, 1745, 484},	// KCmdLineArgs::init$?#####
    {14, 1746, 452},	// KCmdLineArgs::init$?#####$
    {14, 1747, 453},	// KCmdLineArgs::init$?#$
    {14, 1867, 465},	// KCmdLineArgs::isSet#
    {14, 1872, 476},	// KCmdLineArgs::isTempFileSet
    {14, 1991, 473},	// KCmdLineArgs::loadAppArgs#
    {14, 2052, 469},	// KCmdLineArgs::makeURL#
    {14, 2252, 490},	// KCmdLineArgs::parsedArgs
    {14, 2253, 457},	// KCmdLineArgs::parsedArgs#
    {14, 2328, 477},	// KCmdLineArgs::qtArgc
    {14, 2329, 478},	// KCmdLineArgs::qtArgv
    {14, 2469, 472},	// KCmdLineArgs::reset
    {14, 2494, 474},	// KCmdLineArgs::saveAppArgs#
    {14, 2595, 470},	// KCmdLineArgs::setCwd#
    {14, 3226, 468},	// KCmdLineArgs::url$
    {14, 3227, 491},	// KCmdLineArgs::usage
    {14, 3228, 460},	// KCmdLineArgs::usage#
    {14, 3230, 461},	// KCmdLineArgs::usageError$
    {14, 3382, 497},	// KCmdLineArgs::~KCmdLineArgs
    {15, 313, 498},	// KCmdLineOptions::KCmdLineOptions
    {15, 314, 499},	// KCmdLineOptions::KCmdLineOptions#
    {15, 857, -682},	// KCmdLineOptions::add#
    {15, 858, 504},	// KCmdLineOptions::add##
    {15, 859, 501},	// KCmdLineOptions::add###
    {15, 2206, 500},	// KCmdLineOptions::operator=#
    {15, 3383, 505},	// KCmdLineOptions::~KCmdLineOptions
    {16, 1084, 512},	// KCodecs::base64Decode#
    {16, 1085, 514},	// KCodecs::base64Decode##
    {16, 1088, 521},	// KCodecs::base64Encode#
    {16, 1089, 517},	// KCodecs::base64Encode##
    {16, 1090, 516},	// KCodecs::base64Encode##$
    {16, 1091, 520},	// KCodecs::base64Encode#$
    {16, 1322, 510},	// KCodecs::decodeRFC2047String$
    {16, 2345, 511},	// KCodecs::quotedPrintableDecode#
    {16, 2346, 509},	// KCodecs::quotedPrintableDecode##
    {16, 2348, 519},	// KCodecs::quotedPrintableEncode#
    {16, 2349, 513},	// KCodecs::quotedPrintableEncode##$
    {16, 2350, 518},	// KCodecs::quotedPrintableEncode#$
    {16, 3250, 507},	// KCodecs::uudecode#
    {16, 3251, 508},	// KCodecs::uudecode##
    {16, 3253, 506},	// KCodecs::uuencode#
    {16, 3254, 515},	// KCodecs::uuencode##
    {17, 315, 522},	// KComponentData::KComponentData
    {17, 316, -727},	// KComponentData::KComponentData#
    {17, 317, 539},	// KComponentData::KComponentData##
    {17, 318, 527},	// KComponentData::KComponentData##$
    {17, 319, -732},	// KComponentData::KComponentData#$
    {17, 691, 542},	// KComponentData::RegisterAsMainComponent
    {17, 714, 543},	// KComponentData::SkipMainComponentRegistration
    {17, 841, 533},	// KComponentData::aboutData
    {17, 1124, 536},	// KComponentData::catalogName
    {17, 1174, 535},	// KComponentData::componentName
    {17, 1178, 532},	// KComponentData::config
    {17, 1386, 531},	// KComponentData::dirs
    {17, 1879, 530},	// KComponentData::isValid
    {17, 2166, 526},	// KComponentData::operator!=#
    {17, 2206, 524},	// KComponentData::operator=#
    {17, 2209, 525},	// KComponentData::operator==#
    {17, 2528, 534},	// KComponentData::setAboutData#
    {17, 2579, 537},	// KComponentData::setConfigName$
    {17, 3384, 544},	// KComponentData::~KComponentData
    {18, 320, 563},	// KCompositeJob::KCompositeJob
    {18, 321, 552},	// KCompositeJob::KCompositeJob#
    {18, 322, 560},	// KCompositeJob::KCompositeJob##
    {18, 996, 553},	// KCompositeJob::addSubjob#
    {18, 1157, 557},	// KCompositeJob::clearSubjobs
    {18, 1706, 555},	// KCompositeJob::hasSubjobs
    {18, 2068, 545},	// KCompositeJob::metaObject
    {18, 2331, 551},	// KCompositeJob::qt_metacall$$?
    {18, 2333, 546},	// KCompositeJob::qt_metacast$
    {18, 2456, 554},	// KCompositeJob::removeSubjob#
    {18, 2975, 559},	// KCompositeJob::slotInfoMessage#$$
    {18, 2977, 558},	// KCompositeJob::slotResult#
    {18, 3056, 564},	// KCompositeJob::staticMetaObject
    {18, 3070, 556},	// KCompositeJob::subjobs
    {18, 3158, 561},	// KCompositeJob::tr$
    {18, 3159, 547},	// KCompositeJob::tr$$
    {18, 3160, 549},	// KCompositeJob::tr$$$
    {18, 3165, 562},	// KCompositeJob::trUtf8$
    {18, 3166, 548},	// KCompositeJob::trUtf8$$
    {18, 3167, 550},	// KCompositeJob::trUtf8$$$
    {18, 3385, 565},	// KCompositeJob::~KCompositeJob
    {20, 46, 605},	// KConfig::CascadeConfig
    {20, 144, 609},	// KConfig::FullConfig
    {20, 172, 604},	// KConfig::IncludeGlobals
    {20, 323, 594},	// KConfig::KConfig
    {20, 324, -661},	// KConfig::KConfig#
    {20, 325, 598},	// KConfig::KConfig#$
    {20, 326, 599},	// KConfig::KConfig#$$
    {20, 327, 567},	// KConfig::KConfig#$$$
    {20, 328, 595},	// KConfig::KConfig$
    {20, 329, -664},	// KConfig::KConfig$$
    {20, 330, -667},	// KConfig::KConfig$$$
    {20, 614, 607},	// KConfig::NoCascade
    {20, 618, 608},	// KConfig::NoGlobals
    {20, 712, 606},	// KConfig::SimpleConfig
    {20, 847, 573},	// KConfig::accessMode
    {20, 874, 578},	// KConfig::addConfigSources?
    {20, 1141, 576},	// KConfig::checkUpdate$$
    {20, 1173, 569},	// KConfig::componentData
    {20, 1205, 601},	// KConfig::copyTo$
    {20, 1206, 575},	// KConfig::copyTo$#
    {20, 1350, 603},	// KConfig::deleteGroupImpl#
    {20, 1351, 591},	// KConfig::deleteGroupImpl#$
    {20, 1428, 602},	// KConfig::entryMap
    {20, 1429, 587},	// KConfig::entryMap$
    {20, 1580, 585},	// KConfig::forceGlobal
    {20, 1665, -670},	// KConfig::groupImpl#
    {20, 1666, 586},	// KConfig::groupList
    {20, 1681, 588},	// KConfig::hasGroupImpl#
    {20, 1800, 574},	// KConfig::isConfigWritable$
    {20, 1827, 592},	// KConfig::isGroupImmutableImpl#
    {20, 1832, 583},	// KConfig::isImmutable
    {20, 1995, 579},	// KConfig::locale
    {20, 2054, 572},	// KConfig::markAsClean
    {20, 2109, 570},	// KConfig::name
    {20, 2376, 582},	// KConfig::readDefaults
    {20, 2462, 577},	// KConfig::reparseConfiguration
    {20, 2672, 584},	// KConfig::setForceGlobal$
    {20, 2722, 580},	// KConfig::setLocale$
    {20, 2876, 581},	// KConfig::setReadDefaults$
    {20, 3095, 571},	// KConfig::sync
    {20, 3386, 610},	// KConfig::~KConfig
    {21, 146, 643},	// KConfigBase::Global
    {21, 331, 631},	// KConfigBase::KConfigBase
    {21, 332, 637},	// KConfigBase::KConfigBase#
    {21, 586, 644},	// KConfigBase::Localized
    {21, 611, 646},	// KConfigBase::NoAccess
    {21, 628, 645},	// KConfigBase::Normal
    {21, 654, 642},	// KConfigBase::Persistent
    {21, 685, 647},	// KConfigBase::ReadOnly
    {21, 689, 648},	// KConfigBase::ReadWrite
    {21, 847, 626},	// KConfigBase::accessMode
    {21, 1345, 638},	// KConfigBase::deleteGroup#
    {21, 1346, 621},	// KConfigBase::deleteGroup#$
    {21, 1347, -685},	// KConfigBase::deleteGroup$
    {21, 1348, -688},	// KConfigBase::deleteGroup$$
    {21, 1350, 641},	// KConfigBase::deleteGroupImpl#
    {21, 1351, 635},	// KConfigBase::deleteGroupImpl#$
    {21, 1660, -691},	// KConfigBase::group#
    {21, 1661, -694},	// KConfigBase::group$
    {21, 1665, -699},	// KConfigBase::groupImpl#
    {21, 1666, 611},	// KConfigBase::groupList
    {21, 1678, 614},	// KConfigBase::hasGroup#
    {21, 1679, -702},	// KConfigBase::hasGroup$
    {21, 1681, 632},	// KConfigBase::hasGroupImpl#
    {21, 1824, 628},	// KConfigBase::isGroupImmutable#
    {21, 1825, -705},	// KConfigBase::isGroupImmutable$
    {21, 1827, 636},	// KConfigBase::isGroupImmutableImpl#
    {21, 1832, 627},	// KConfigBase::isImmutable
    {21, 2054, 625},	// KConfigBase::markAsClean
    {21, 3095, 624},	// KConfigBase::sync
    {21, 3387, 649},	// KConfigBase::~KConfigBase
    {22, 333, 650},	// KConfigGroup::KConfigGroup
    {22, 334, 657},	// KConfigGroup::KConfigGroup#
    {22, 335, -436},	// KConfigGroup::KConfigGroup#$
    {22, 336, -441},	// KConfigGroup::KConfigGroup?$
    {22, 847, 664},	// KConfigGroup::accessMode
    {22, 1130, -444},	// KConfigGroup::changeGroup$
    {22, 1178, -447},	// KConfigGroup::config
    {22, 1203, 731},	// KConfigGroup::copyTo#
    {22, 1204, 669},	// KConfigGroup::copyTo#$
    {22, 1342, -450},	// KConfigGroup::deleteEntry$
    {22, 1343, -453},	// KConfigGroup::deleteEntry$$
    {22, 1344, 733},	// KConfigGroup::deleteGroup
    {22, 1345, 734},	// KConfigGroup::deleteGroup#
    {22, 1346, 675},	// KConfigGroup::deleteGroup#$
    {22, 1347, -456},	// KConfigGroup::deleteGroup$
    {22, 1348, -460},	// KConfigGroup::deleteGroup$$
    {22, 1351, 729},	// KConfigGroup::deleteGroupImpl#$
    {22, 1428, 725},	// KConfigGroup::entryMap
    {22, 1470, 661},	// KConfigGroup::exists
    {22, 1665, -463},	// KConfigGroup::groupImpl#
    {22, 1666, 672},	// KConfigGroup::groupList
    {22, 1675, -466},	// KConfigGroup::hasDefault$
    {22, 1681, 726},	// KConfigGroup::hasGroupImpl#
    {22, 1686, -469},	// KConfigGroup::hasKey$
    {22, 1817, -472},	// KConfigGroup::isEntryImmutable$
    {22, 1827, 730},	// KConfigGroup::isGroupImmutableImpl#
    {22, 1832, 718},	// KConfigGroup::isImmutable
    {22, 1879, 659},	// KConfigGroup::isValid
    {22, 1933, 673},	// KConfigGroup::keyList
    {22, 2054, 663},	// KConfigGroup::markAsClean
    {22, 2109, 660},	// KConfigGroup::name
    {22, 2206, 658},	// KConfigGroup::operator=#
    {22, 2243, 671},	// KConfigGroup::parent
    {22, 2380, -475},	// KConfigGroup::readEntry$
    {22, 2381, -478},	// KConfigGroup::readEntry$#
    {22, 2382, -481},	// KConfigGroup::readEntry$$
    {22, 2383, -486},	// KConfigGroup::readEntry$?
    {22, 2385, -491},	// KConfigGroup::readEntryUntranslated$
    {22, 2386, -494},	// KConfigGroup::readEntryUntranslated$$
    {22, 2408, -497},	// KConfigGroup::readPathEntry$$
    {22, 2409, -500},	// KConfigGroup::readPathEntry$?
    {22, 2417, -503},	// KConfigGroup::readXdgListEntry$
    {22, 2418, -506},	// KConfigGroup::readXdgListEntry$?
    {22, 2460, 732},	// KConfigGroup::reparent#
    {22, 2461, 670},	// KConfigGroup::reparent#$
    {22, 2486, -509},	// KConfigGroup::revertToDefault$
    {22, 3095, 662},	// KConfigGroup::sync
    {22, 3313, -512},	// KConfigGroup::writeEntry$#
    {22, 3314, -517},	// KConfigGroup::writeEntry$#$
    {22, 3315, -522},	// KConfigGroup::writeEntry$$
    {22, 3316, -527},	// KConfigGroup::writeEntry$$$
    {22, 3317, -532},	// KConfigGroup::writeEntry$?
    {22, 3318, -537},	// KConfigGroup::writeEntry$?$
    {22, 3322, -542},	// KConfigGroup::writePathEntry$$
    {22, 3323, -545},	// KConfigGroup::writePathEntry$$$
    {22, 3324, -548},	// KConfigGroup::writePathEntry$?
    {22, 3325, -551},	// KConfigGroup::writePathEntry$?$
    {22, 3327, -554},	// KConfigGroup::writeXdgListEntry$?
    {22, 3328, -557},	// KConfigGroup::writeXdgListEntry$?$
    {22, 3388, 763},	// KConfigGroup::~KConfigGroup
    {24, 338, 789},	// KConfigSkeletonItem::KConfigSkeletonItem#
    {24, 339, 764},	// KConfigSkeletonItem::KConfigSkeletonItem$$
    {24, 1659, 766},	// KConfigSkeletonItem::group
    {24, 1819, 781},	// KConfigSkeletonItem::isEqual#
    {24, 1832, 787},	// KConfigSkeletonItem::isImmutable
    {24, 1932, 768},	// KConfigSkeletonItem::key
    {24, 1951, 772},	// KConfigSkeletonItem::label
    {24, 2018, 790},	// KConfigSkeletonItem::mGroup
    {24, 2019, 792},	// KConfigSkeletonItem::mKey
    {24, 2020, 794},	// KConfigSkeletonItem::mName
    {24, 2062, 784},	// KConfigSkeletonItem::maxValue
    {24, 2072, 783},	// KConfigSkeletonItem::minValue
    {24, 2109, 770},	// KConfigSkeletonItem::name
    {24, 2308, 782},	// KConfigSkeletonItem::property
    {24, 2366, 777},	// KConfigSkeletonItem::readConfig#
    {24, 2375, 779},	// KConfigSkeletonItem::readDefault#
    {24, 2392, 788},	// KConfigSkeletonItem::readImmutability#
    {24, 2625, 785},	// KConfigSkeletonItem::setDefault
    {24, 2678, 765},	// KConfigSkeletonItem::setGroup$
    {24, 2698, 767},	// KConfigSkeletonItem::setKey$
    {24, 2700, 771},	// KConfigSkeletonItem::setLabel$
    {24, 2724, 791},	// KConfigSkeletonItem::setMGroup$
    {24, 2726, 793},	// KConfigSkeletonItem::setMKey$
    {24, 2728, 795},	// KConfigSkeletonItem::setMName$
    {24, 2810, 769},	// KConfigSkeletonItem::setName$
    {24, 2870, 780},	// KConfigSkeletonItem::setProperty#
    {24, 2923, 773},	// KConfigSkeletonItem::setToolTip$
    {24, 2949, 775},	// KConfigSkeletonItem::setWhatsThis$
    {24, 3092, 786},	// KConfigSkeletonItem::swapDefault
    {24, 3153, 774},	// KConfigSkeletonItem::toolTip
    {24, 3301, 776},	// KConfigSkeletonItem::whatsThis
    {24, 3309, 778},	// KConfigSkeletonItem::writeConfig#
    {24, 3389, 796},	// KConfigSkeletonItem::~KConfigSkeletonItem
    {25, 340, 846},	// KCoreConfigSkeleton::KCoreConfigSkeleton
    {25, 341, 847},	// KCoreConfigSkeleton::KCoreConfigSkeleton$
    {25, 342, 804},	// KCoreConfigSkeleton::KCoreConfigSkeleton$#
    {25, 343, 848},	// KCoreConfigSkeleton::KCoreConfigSkeleton?
    {25, 344, 805},	// KCoreConfigSkeleton::KCoreConfigSkeleton?#
    {25, 893, 849},	// KCoreConfigSkeleton::addItem#
    {25, 894, 811},	// KCoreConfigSkeleton::addItem#$
    {25, 896, 858},	// KCoreConfigSkeleton::addItemBool$$
    {25, 897, 859},	// KCoreConfigSkeleton::addItemBool$$$
    {25, 898, 816},	// KCoreConfigSkeleton::addItemBool$$$$
    {25, 900, 880},	// KCoreConfigSkeleton::addItemDateTime$#
    {25, 901, 881},	// KCoreConfigSkeleton::addItemDateTime$##
    {25, 902, 827},	// KCoreConfigSkeleton::addItemDateTime$##$
    {25, 904, 872},	// KCoreConfigSkeleton::addItemDouble$$
    {25, 905, 873},	// KCoreConfigSkeleton::addItemDouble$$$
    {25, 906, 823},	// KCoreConfigSkeleton::addItemDouble$$$$
    {25, 908, 860},	// KCoreConfigSkeleton::addItemInt$$
    {25, 909, 861},	// KCoreConfigSkeleton::addItemInt$$$
    {25, 910, 817},	// KCoreConfigSkeleton::addItemInt$$$$
    {25, 912, 866},	// KCoreConfigSkeleton::addItemInt64$$
    {25, 913, 867},	// KCoreConfigSkeleton::addItemInt64$$$
    {25, 914, 820},	// KCoreConfigSkeleton::addItemInt64$$$$
    {25, 916, 884},	// KCoreConfigSkeleton::addItemIntList$?
    {25, 917, 885},	// KCoreConfigSkeleton::addItemIntList$??
    {25, 918, 829},	// KCoreConfigSkeleton::addItemIntList$??$
    {25, 920, 864},	// KCoreConfigSkeleton::addItemLongLong$$
    {25, 921, 865},	// KCoreConfigSkeleton::addItemLongLong$$$
    {25, 922, 819},	// KCoreConfigSkeleton::addItemLongLong$$$$
    {25, 924, 852},	// KCoreConfigSkeleton::addItemPassword$$
    {25, 925, 853},	// KCoreConfigSkeleton::addItemPassword$$$
    {25, 926, 813},	// KCoreConfigSkeleton::addItemPassword$$$$
    {25, 928, 854},	// KCoreConfigSkeleton::addItemPath$$
    {25, 929, 855},	// KCoreConfigSkeleton::addItemPath$$$
    {25, 930, 814},	// KCoreConfigSkeleton::addItemPath$$$$
    {25, 932, 876},	// KCoreConfigSkeleton::addItemPoint$#
    {25, 933, 877},	// KCoreConfigSkeleton::addItemPoint$##
    {25, 934, 825},	// KCoreConfigSkeleton::addItemPoint$##$
    {25, 936, 856},	// KCoreConfigSkeleton::addItemProperty$#
    {25, 937, 857},	// KCoreConfigSkeleton::addItemProperty$##
    {25, 938, 815},	// KCoreConfigSkeleton::addItemProperty$##$
    {25, 940, 874},	// KCoreConfigSkeleton::addItemRect$#
    {25, 941, 875},	// KCoreConfigSkeleton::addItemRect$##
    {25, 942, 824},	// KCoreConfigSkeleton::addItemRect$##$
    {25, 944, 878},	// KCoreConfigSkeleton::addItemSize$#
    {25, 945, 879},	// KCoreConfigSkeleton::addItemSize$##
    {25, 946, 826},	// KCoreConfigSkeleton::addItemSize$##$
    {25, 948, 850},	// KCoreConfigSkeleton::addItemString$$
    {25, 949, 851},	// KCoreConfigSkeleton::addItemString$$$
    {25, 950, 812},	// KCoreConfigSkeleton::addItemString$$$$
    {25, 952, 882},	// KCoreConfigSkeleton::addItemStringList$?
    {25, 953, 883},	// KCoreConfigSkeleton::addItemStringList$??
    {25, 954, 828},	// KCoreConfigSkeleton::addItemStringList$??$
    {25, 956, 862},	// KCoreConfigSkeleton::addItemUInt$$
    {25, 957, 863},	// KCoreConfigSkeleton::addItemUInt$$$
    {25, 958, 818},	// KCoreConfigSkeleton::addItemUInt$$$$
    {25, 960, 870},	// KCoreConfigSkeleton::addItemUInt64$$
    {25, 961, 871},	// KCoreConfigSkeleton::addItemUInt64$$$
    {25, 962, 822},	// KCoreConfigSkeleton::addItemUInt64$$$$
    {25, 964, 868},	// KCoreConfigSkeleton::addItemULongLong$$
    {25, 965, 869},	// KCoreConfigSkeleton::addItemULongLong$$$
    {25, 966, 821},	// KCoreConfigSkeleton::addItemULongLong$$$$
    {25, 1178, -560},	// KCoreConfigSkeleton::config
    {25, 1180, 839},	// KCoreConfigSkeleton::configChanged
    {25, 1243, 810},	// KCoreConfigSkeleton::currentGroup
    {25, 1559, -563},	// KCoreConfigSkeleton::findItem$
    {25, 1833, -566},	// KCoreConfigSkeleton::isImmutable$
    {25, 1890, 833},	// KCoreConfigSkeleton::items
    {25, 2068, 797},	// KCoreConfigSkeleton::metaObject
    {25, 2331, 803},	// KCoreConfigSkeleton::qt_metacall$$?
    {25, 2333, 798},	// KCoreConfigSkeleton::qt_metacast$
    {25, 2365, 807},	// KCoreConfigSkeleton::readConfig
    {25, 2591, 809},	// KCoreConfigSkeleton::setCurrentGroup$
    {25, 2630, 806},	// KCoreConfigSkeleton::setDefaults
    {25, 2886, 832},	// KCoreConfigSkeleton::setSharedConfig?
    {25, 3056, 886},	// KCoreConfigSkeleton::staticMetaObject
    {25, 3158, 844},	// KCoreConfigSkeleton::tr$
    {25, 3159, 799},	// KCoreConfigSkeleton::tr$$
    {25, 3160, 801},	// KCoreConfigSkeleton::tr$$$
    {25, 3165, 845},	// KCoreConfigSkeleton::trUtf8$
    {25, 3166, 800},	// KCoreConfigSkeleton::trUtf8$$
    {25, 3167, 802},	// KCoreConfigSkeleton::trUtf8$$$
    {25, 3233, 838},	// KCoreConfigSkeleton::useDefaults$
    {25, 3241, 842},	// KCoreConfigSkeleton::usrReadConfig
    {25, 3242, 841},	// KCoreConfigSkeleton::usrSetDefaults
    {25, 3244, 840},	// KCoreConfigSkeleton::usrUseDefaults$
    {25, 3245, 843},	// KCoreConfigSkeleton::usrWriteConfig
    {25, 3308, 808},	// KCoreConfigSkeleton::writeConfig
    {25, 3390, 887},	// KCoreConfigSkeleton::~KCoreConfigSkeleton
    {26, 190, 893},	// KCoreConfigSkeleton::ItemBool::ItemBool#
    {26, 191, 894},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$
    {26, 192, 888},	// KCoreConfigSkeleton::ItemBool::ItemBool$$$$
    {26, 1819, 891},	// KCoreConfigSkeleton::ItemBool::isEqual#
    {26, 2308, 892},	// KCoreConfigSkeleton::ItemBool::property
    {26, 2366, 889},	// KCoreConfigSkeleton::ItemBool::readConfig#
    {26, 2870, 890},	// KCoreConfigSkeleton::ItemBool::setProperty#
    {26, 3354, 895},	// KCoreConfigSkeleton::ItemBool::~ItemBool
    {27, 194, 901},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime#
    {27, 195, 902},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$#
    {27, 196, 896},	// KCoreConfigSkeleton::ItemDateTime::ItemDateTime$$##
    {27, 1819, 899},	// KCoreConfigSkeleton::ItemDateTime::isEqual#
    {27, 2308, 900},	// KCoreConfigSkeleton::ItemDateTime::property
    {27, 2366, 897},	// KCoreConfigSkeleton::ItemDateTime::readConfig#
    {27, 2870, 898},	// KCoreConfigSkeleton::ItemDateTime::setProperty#
    {27, 3355, 903},	// KCoreConfigSkeleton::ItemDateTime::~ItemDateTime
    {28, 198, 913},	// KCoreConfigSkeleton::ItemDouble::ItemDouble#
    {28, 199, 914},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$
    {28, 200, 904},	// KCoreConfigSkeleton::ItemDouble::ItemDouble$$$$
    {28, 1819, 907},	// KCoreConfigSkeleton::ItemDouble::isEqual#
    {28, 2062, 910},	// KCoreConfigSkeleton::ItemDouble::maxValue
    {28, 2072, 909},	// KCoreConfigSkeleton::ItemDouble::minValue
    {28, 2308, 908},	// KCoreConfigSkeleton::ItemDouble::property
    {28, 2366, 905},	// KCoreConfigSkeleton::ItemDouble::readConfig#
    {28, 2790, 912},	// KCoreConfigSkeleton::ItemDouble::setMaxValue$
    {28, 2798, 911},	// KCoreConfigSkeleton::ItemDouble::setMinValue$
    {28, 2870, 906},	// KCoreConfigSkeleton::ItemDouble::setProperty#
    {28, 3356, 915},	// KCoreConfigSkeleton::ItemDouble::~ItemDouble
    {29, 202, 922},	// KCoreConfigSkeleton::ItemEnum::ItemEnum#
    {29, 203, -598},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?
    {29, 204, -601},	// KCoreConfigSkeleton::ItemEnum::ItemEnum$$$?$
    {29, 1150, 918},	// KCoreConfigSkeleton::ItemEnum::choices
    {29, 1151, 919},	// KCoreConfigSkeleton::ItemEnum::choices2
    {29, 2366, 920},	// KCoreConfigSkeleton::ItemEnum::readConfig#
    {29, 3309, 921},	// KCoreConfigSkeleton::ItemEnum::writeConfig#
    {29, 3357, 925},	// KCoreConfigSkeleton::ItemEnum::~ItemEnum
    {30, 55, 926},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice
    {30, 56, 927},	// KCoreConfigSkeleton::ItemEnum::Choice::Choice#
    {30, 1951, 930},	// KCoreConfigSkeleton::ItemEnum::Choice::label
    {30, 2109, 928},	// KCoreConfigSkeleton::ItemEnum::Choice::name
    {30, 2700, 931},	// KCoreConfigSkeleton::ItemEnum::Choice::setLabel$
    {30, 2810, 929},	// KCoreConfigSkeleton::ItemEnum::Choice::setName$
    {30, 2949, 933},	// KCoreConfigSkeleton::ItemEnum::Choice::setWhatsThis$
    {30, 3301, 932},	// KCoreConfigSkeleton::ItemEnum::Choice::whatsThis
    {30, 3351, 934},	// KCoreConfigSkeleton::ItemEnum::Choice::~Choice
    {31, 57, 935},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2
    {31, 58, 936},	// KCoreConfigSkeleton::ItemEnum::Choice2::Choice2#
    {31, 1951, 939},	// KCoreConfigSkeleton::ItemEnum::Choice2::label
    {31, 2109, 937},	// KCoreConfigSkeleton::ItemEnum::Choice2::name
    {31, 2700, 940},	// KCoreConfigSkeleton::ItemEnum::Choice2::setLabel$
    {31, 2810, 938},	// KCoreConfigSkeleton::ItemEnum::Choice2::setName$
    {31, 2923, 942},	// KCoreConfigSkeleton::ItemEnum::Choice2::setToolTip$
    {31, 2949, 944},	// KCoreConfigSkeleton::ItemEnum::Choice2::setWhatsThis$
    {31, 3153, 941},	// KCoreConfigSkeleton::ItemEnum::Choice2::toolTip
    {31, 3301, 943},	// KCoreConfigSkeleton::ItemEnum::Choice2::whatsThis
    {31, 3352, 945},	// KCoreConfigSkeleton::ItemEnum::Choice2::~Choice2
    {32, 206, 955},	// KCoreConfigSkeleton::ItemInt::ItemInt#
    {32, 207, 956},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$
    {32, 208, 946},	// KCoreConfigSkeleton::ItemInt::ItemInt$$$$
    {32, 1819, 949},	// KCoreConfigSkeleton::ItemInt::isEqual#
    {32, 2062, 952},	// KCoreConfigSkeleton::ItemInt::maxValue
    {32, 2072, 951},	// KCoreConfigSkeleton::ItemInt::minValue
    {32, 2308, 950},	// KCoreConfigSkeleton::ItemInt::property
    {32, 2366, 947},	// KCoreConfigSkeleton::ItemInt::readConfig#
    {32, 2790, 954},	// KCoreConfigSkeleton::ItemInt::setMaxValue$
    {32, 2798, 953},	// KCoreConfigSkeleton::ItemInt::setMinValue$
    {32, 2870, 948},	// KCoreConfigSkeleton::ItemInt::setProperty#
    {32, 3358, 957},	// KCoreConfigSkeleton::ItemInt::~ItemInt
    {33, 210, 963},	// KCoreConfigSkeleton::ItemIntList::ItemIntList#
    {33, 211, 964},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$?
    {33, 212, 958},	// KCoreConfigSkeleton::ItemIntList::ItemIntList$$??
    {33, 1819, 961},	// KCoreConfigSkeleton::ItemIntList::isEqual#
    {33, 2308, 962},	// KCoreConfigSkeleton::ItemIntList::property
    {33, 2366, 959},	// KCoreConfigSkeleton::ItemIntList::readConfig#
    {33, 2870, 960},	// KCoreConfigSkeleton::ItemIntList::setProperty#
    {33, 3359, 965},	// KCoreConfigSkeleton::ItemIntList::~ItemIntList
    {34, 214, 975},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong#
    {34, 215, 976},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$
    {34, 216, 966},	// KCoreConfigSkeleton::ItemLongLong::ItemLongLong$$$$
    {34, 1819, 969},	// KCoreConfigSkeleton::ItemLongLong::isEqual#
    {34, 2062, 972},	// KCoreConfigSkeleton::ItemLongLong::maxValue
    {34, 2072, 971},	// KCoreConfigSkeleton::ItemLongLong::minValue
    {34, 2308, 970},	// KCoreConfigSkeleton::ItemLongLong::property
    {34, 2366, 967},	// KCoreConfigSkeleton::ItemLongLong::readConfig#
    {34, 2790, 974},	// KCoreConfigSkeleton::ItemLongLong::setMaxValue$
    {34, 2798, 973},	// KCoreConfigSkeleton::ItemLongLong::setMinValue$
    {34, 2870, 968},	// KCoreConfigSkeleton::ItemLongLong::setProperty#
    {34, 3360, 977},	// KCoreConfigSkeleton::ItemLongLong::~ItemLongLong
    {35, 218, 979},	// KCoreConfigSkeleton::ItemPassword::ItemPassword#
    {35, 219, 980},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$
    {35, 220, 978},	// KCoreConfigSkeleton::ItemPassword::ItemPassword$$$$
    {35, 3361, 981},	// KCoreConfigSkeleton::ItemPassword::~ItemPassword
    {36, 222, 983},	// KCoreConfigSkeleton::ItemPath::ItemPath#
    {36, 223, 984},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$
    {36, 224, 982},	// KCoreConfigSkeleton::ItemPath::ItemPath$$$$
    {36, 3362, 985},	// KCoreConfigSkeleton::ItemPath::~ItemPath
    {37, 226, 989},	// KCoreConfigSkeleton::ItemPathList::ItemPathList#
    {37, 227, 990},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$?
    {37, 228, 986},	// KCoreConfigSkeleton::ItemPathList::ItemPathList$$??
    {37, 2366, 987},	// KCoreConfigSkeleton::ItemPathList::readConfig#
    {37, 3309, 988},	// KCoreConfigSkeleton::ItemPathList::writeConfig#
    {37, 3363, 991},	// KCoreConfigSkeleton::ItemPathList::~ItemPathList
    {38, 230, 997},	// KCoreConfigSkeleton::ItemPoint::ItemPoint#
    {38, 231, 998},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$#
    {38, 232, 992},	// KCoreConfigSkeleton::ItemPoint::ItemPoint$$##
    {38, 1819, 995},	// KCoreConfigSkeleton::ItemPoint::isEqual#
    {38, 2308, 996},	// KCoreConfigSkeleton::ItemPoint::property
    {38, 2366, 993},	// KCoreConfigSkeleton::ItemPoint::readConfig#
    {38, 2870, 994},	// KCoreConfigSkeleton::ItemPoint::setProperty#
    {38, 3364, 999},	// KCoreConfigSkeleton::ItemPoint::~ItemPoint
    {39, 234, 1005},	// KCoreConfigSkeleton::ItemProperty::ItemProperty#
    {39, 235, 1006},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$#
    {39, 236, 1000},	// KCoreConfigSkeleton::ItemProperty::ItemProperty$$##
    {39, 1819, 1003},	// KCoreConfigSkeleton::ItemProperty::isEqual#
    {39, 2308, 1004},	// KCoreConfigSkeleton::ItemProperty::property
    {39, 2366, 1001},	// KCoreConfigSkeleton::ItemProperty::readConfig#
    {39, 2870, 1002},	// KCoreConfigSkeleton::ItemProperty::setProperty#
    {39, 3365, 1007},	// KCoreConfigSkeleton::ItemProperty::~ItemProperty
    {40, 238, 1013},	// KCoreConfigSkeleton::ItemRect::ItemRect#
    {40, 239, 1014},	// KCoreConfigSkeleton::ItemRect::ItemRect$$#
    {40, 240, 1008},	// KCoreConfigSkeleton::ItemRect::ItemRect$$##
    {40, 1819, 1011},	// KCoreConfigSkeleton::ItemRect::isEqual#
    {40, 2308, 1012},	// KCoreConfigSkeleton::ItemRect::property
    {40, 2366, 1009},	// KCoreConfigSkeleton::ItemRect::readConfig#
    {40, 2870, 1010},	// KCoreConfigSkeleton::ItemRect::setProperty#
    {40, 3366, 1015},	// KCoreConfigSkeleton::ItemRect::~ItemRect
    {41, 242, 1021},	// KCoreConfigSkeleton::ItemSize::ItemSize#
    {41, 243, 1022},	// KCoreConfigSkeleton::ItemSize::ItemSize$$#
    {41, 244, 1016},	// KCoreConfigSkeleton::ItemSize::ItemSize$$##
    {41, 1819, 1019},	// KCoreConfigSkeleton::ItemSize::isEqual#
    {41, 2308, 1020},	// KCoreConfigSkeleton::ItemSize::property
    {41, 2366, 1017},	// KCoreConfigSkeleton::ItemSize::readConfig#
    {41, 2870, 1018},	// KCoreConfigSkeleton::ItemSize::setProperty#
    {41, 3367, 1023},	// KCoreConfigSkeleton::ItemSize::~ItemSize
    {42, 246, 1030},	// KCoreConfigSkeleton::ItemString::ItemString#
    {42, 247, 1031},	// KCoreConfigSkeleton::ItemString::ItemString$$$
    {42, 248, 1032},	// KCoreConfigSkeleton::ItemString::ItemString$$$$
    {42, 249, 1024},	// KCoreConfigSkeleton::ItemString::ItemString$$$$$
    {42, 628, 1033},	// KCoreConfigSkeleton::ItemString::Normal
    {42, 650, 1034},	// KCoreConfigSkeleton::ItemString::Password
    {42, 651, 1035},	// KCoreConfigSkeleton::ItemString::Path
    {42, 1819, 1028},	// KCoreConfigSkeleton::ItemString::isEqual#
    {42, 2308, 1029},	// KCoreConfigSkeleton::ItemString::property
    {42, 2366, 1026},	// KCoreConfigSkeleton::ItemString::readConfig#
    {42, 2870, 1027},	// KCoreConfigSkeleton::ItemString::setProperty#
    {42, 3309, 1025},	// KCoreConfigSkeleton::ItemString::writeConfig#
    {42, 3368, 1036},	// KCoreConfigSkeleton::ItemString::~ItemString
    {43, 251, 1042},	// KCoreConfigSkeleton::ItemStringList::ItemStringList#
    {43, 252, 1043},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$?
    {43, 253, 1037},	// KCoreConfigSkeleton::ItemStringList::ItemStringList$$??
    {43, 1819, 1040},	// KCoreConfigSkeleton::ItemStringList::isEqual#
    {43, 2308, 1041},	// KCoreConfigSkeleton::ItemStringList::property
    {43, 2366, 1038},	// KCoreConfigSkeleton::ItemStringList::readConfig#
    {43, 2870, 1039},	// KCoreConfigSkeleton::ItemStringList::setProperty#
    {43, 3369, 1044},	// KCoreConfigSkeleton::ItemStringList::~ItemStringList
    {44, 255, 1054},	// KCoreConfigSkeleton::ItemUInt::ItemUInt#
    {44, 256, 1055},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$
    {44, 257, 1045},	// KCoreConfigSkeleton::ItemUInt::ItemUInt$$$$
    {44, 1819, 1048},	// KCoreConfigSkeleton::ItemUInt::isEqual#
    {44, 2062, 1051},	// KCoreConfigSkeleton::ItemUInt::maxValue
    {44, 2072, 1050},	// KCoreConfigSkeleton::ItemUInt::minValue
    {44, 2308, 1049},	// KCoreConfigSkeleton::ItemUInt::property
    {44, 2366, 1046},	// KCoreConfigSkeleton::ItemUInt::readConfig#
    {44, 2790, 1053},	// KCoreConfigSkeleton::ItemUInt::setMaxValue$
    {44, 2798, 1052},	// KCoreConfigSkeleton::ItemUInt::setMinValue$
    {44, 2870, 1047},	// KCoreConfigSkeleton::ItemUInt::setProperty#
    {44, 3370, 1056},	// KCoreConfigSkeleton::ItemUInt::~ItemUInt
    {45, 259, 1066},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong#
    {45, 260, 1067},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$
    {45, 261, 1057},	// KCoreConfigSkeleton::ItemULongLong::ItemULongLong$$$$
    {45, 1819, 1060},	// KCoreConfigSkeleton::ItemULongLong::isEqual#
    {45, 2062, 1063},	// KCoreConfigSkeleton::ItemULongLong::maxValue
    {45, 2072, 1062},	// KCoreConfigSkeleton::ItemULongLong::minValue
    {45, 2308, 1061},	// KCoreConfigSkeleton::ItemULongLong::property
    {45, 2366, 1058},	// KCoreConfigSkeleton::ItemULongLong::readConfig#
    {45, 2790, 1065},	// KCoreConfigSkeleton::ItemULongLong::setMaxValue$
    {45, 2798, 1064},	// KCoreConfigSkeleton::ItemULongLong::setMinValue$
    {45, 2870, 1059},	// KCoreConfigSkeleton::ItemULongLong::setProperty#
    {45, 3371, 1068},	// KCoreConfigSkeleton::ItemULongLong::~ItemULongLong
    {46, 263, 1075},	// KCoreConfigSkeleton::ItemUrl::ItemUrl#
    {46, 264, 1076},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$#
    {46, 265, 1069},	// KCoreConfigSkeleton::ItemUrl::ItemUrl$$##
    {46, 1819, 1073},	// KCoreConfigSkeleton::ItemUrl::isEqual#
    {46, 2308, 1074},	// KCoreConfigSkeleton::ItemUrl::property
    {46, 2366, 1071},	// KCoreConfigSkeleton::ItemUrl::readConfig#
    {46, 2870, 1072},	// KCoreConfigSkeleton::ItemUrl::setProperty#
    {46, 3309, 1070},	// KCoreConfigSkeleton::ItemUrl::writeConfig#
    {46, 3372, 1077},	// KCoreConfigSkeleton::ItemUrl::~ItemUrl
    {47, 267, 1084},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList#
    {47, 268, 1085},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$?
    {47, 269, 1078},	// KCoreConfigSkeleton::ItemUrlList::ItemUrlList$$??
    {47, 1819, 1082},	// KCoreConfigSkeleton::ItemUrlList::isEqual#
    {47, 2308, 1083},	// KCoreConfigSkeleton::ItemUrlList::property
    {47, 2366, 1079},	// KCoreConfigSkeleton::ItemUrlList::readConfig#
    {47, 2870, 1081},	// KCoreConfigSkeleton::ItemUrlList::setProperty#
    {47, 3309, 1080},	// KCoreConfigSkeleton::ItemUrlList::writeConfig#
    {47, 3373, 1086},	// KCoreConfigSkeleton::ItemUrlList::~ItemUrlList
    {48, 11, 1117},	// KCurrencyCode::ActiveCurrency
    {48, 346, -578},	// KCurrencyCode::KCurrencyCode#
    {48, 347, 1088},	// KCurrencyCode::KCurrencyCode#$
    {48, 348, 1112},	// KCurrencyCode::KCurrencyCode$
    {48, 349, 1087},	// KCurrencyCode::KCurrencyCode$$
    {48, 636, 1119},	// KCurrencyCode::ObsoleteCurrency
    {48, 740, 1118},	// KCurrencyCode::SuspendedCurrency
    {48, 1019, 1115},	// KCurrencyCode::allCurrencyCodesList
    {48, 1020, 1110},	// KCurrencyCode::allCurrencyCodesList$
    {48, 1209, 1107},	// KCurrencyCode::countriesUsingCurrency
    {48, 1237, 1116},	// KCurrencyCode::currencyCodeToName$
    {48, 1238, 1111},	// KCurrencyCode::currencyCodeToName$$
    {48, 1268, 1096},	// KCurrencyCode::dateIntroduced
    {48, 1270, 1097},	// KCurrencyCode::dateSuspended
    {48, 1275, 1098},	// KCurrencyCode::dateWithdrawn
    {48, 1316, 1106},	// KCurrencyCode::decimalPlaces
    {48, 1339, 1100},	// KCurrencyCode::defaultSymbol
    {48, 1707, 1102},	// KCurrencyCode::hasSubunits
    {48, 1708, 1103},	// KCurrencyCode::hasSubunitsInCirculation
    {48, 1879, 1108},	// KCurrencyCode::isValid
    {48, 1881, 1114},	// KCurrencyCode::isValid$
    {48, 1882, 1109},	// KCurrencyCode::isValid$$
    {48, 1887, 1091},	// KCurrencyCode::isoCurrencyCode
    {48, 1888, 1092},	// KCurrencyCode::isoCurrencyCodeNumeric
    {48, 1889, 1094},	// KCurrencyCode::isoName
    {48, 2109, 1093},	// KCurrencyCode::name
    {48, 2206, 1090},	// KCurrencyCode::operator=#
    {48, 3059, 1095},	// KCurrencyCode::status
    {48, 3083, 1104},	// KCurrencyCode::subunitSymbol
    {48, 3084, 1105},	// KCurrencyCode::subunitsPerUnit
    {48, 3094, 1099},	// KCurrencyCode::symbolList
    {48, 3204, 1101},	// KCurrencyCode::unambiguousSymbol
    {48, 3391, 1120},	// KCurrencyCode::~KCurrencyCode
    {49, 846, 1125},	// KDE::access$$
    {49, 1149, 1130},	// KDE::chmod$$
    {49, 1579, 1131},	// KDE::fopen$$
    {49, 2076, 1122},	// KDE::mkdir$$
    {49, 2154, 1124},	// KDE::open$$
    {49, 2155, 1123},	// KDE::open$$$
    {49, 2458, 1132},	// KDE::rename$$
    {49, 3260, 1126},	// KDE::version
    {49, 3261, 1127},	// KDE::versionMajor
    {49, 3262, 1128},	// KDE::versionMinor
    {49, 3263, 1121},	// KDE::versionRelease
    {49, 3264, 1129},	// KDE::versionString
    {50, 350, 1149},	// KDEDModule::KDEDModule
    {50, 351, 1140},	// KDEDModule::KDEDModule#
    {50, 2068, 1133},	// KDEDModule::metaObject
    {50, 2081, 1143},	// KDEDModule::moduleDeleted#
    {50, 2082, 1142},	// KDEDModule::moduleName
    {50, 2084, 1146},	// KDEDModule::moduleRegistered#
    {50, 2331, 1139},	// KDEDModule::qt_metacall$$?
    {50, 2333, 1134},	// KDEDModule::qt_metacast$
    {50, 2800, 1141},	// KDEDModule::setModuleName$
    {50, 3056, 1150},	// KDEDModule::staticMetaObject
    {50, 3158, 1147},	// KDEDModule::tr$
    {50, 3159, 1135},	// KDEDModule::tr$$
    {50, 3160, 1137},	// KDEDModule::tr$$$
    {50, 3165, 1148},	// KDEDModule::trUtf8$
    {50, 3166, 1136},	// KDEDModule::trUtf8$$
    {50, 3167, 1138},	// KDEDModule::trUtf8$$$
    {50, 3303, 1144},	// KDEDModule::windowRegistered$
    {50, 3305, 1145},	// KDEDModule::windowUnregistered$
    {50, 3392, 1151},	// KDEDModule::~KDEDModule
    {51, 352, 1152},	// KDEPluginVerificationData::KDEPluginVerificationData
    {51, 353, 1153},	// KDEPluginVerificationData::KDEPluginVerificationData#
    {51, 354, 1156},	// KDEPluginVerificationData::KDEVersion
    {51, 355, 1158},	// KDEPluginVerificationData::KDEVersionString
    {51, 661, 1160},	// KDEPluginVerificationData::PluginVerificationDataVersion
    {51, 1257, 1154},	// KDEPluginVerificationData::dataVersion
    {51, 2601, 1155},	// KDEPluginVerificationData::setDataVersion$
    {51, 2694, 1157},	// KDEPluginVerificationData::setKDEVersion$
    {51, 2696, 1159},	// KDEPluginVerificationData::setKDEVersionString$
    {51, 3393, 1161},	// KDEPluginVerificationData::~KDEPluginVerificationData
    {52, 14, 1251},	// KDateTime::After
    {52, 25, 1250},	// KDateTime::AtEnd
    {52, 26, 1248},	// KDateTime::AtStart
    {52, 40, 1247},	// KDateTime::Before
    {52, 59, 1241},	// KDateTime::ClockTime
    {52, 114, 1255},	// KDateTime::EndsAt
    {52, 115, 1252},	// KDateTime::Equal
    {52, 165, 1242},	// KDateTime::ISODate
    {52, 175, 1249},	// KDateTime::Inside
    {52, 176, 1236},	// KDateTime::Invalid
    {52, 356, 1162},	// KDateTime::KDateTime
    {52, 357, -581},	// KDateTime::KDateTime#
    {52, 358, -585},	// KDateTime::KDateTime##
    {52, 359, 1164},	// KDateTime::KDateTime###
    {52, 584, 1246},	// KDateTime::LocalDate
    {52, 585, 1240},	// KDateTime::LocalZone
    {52, 637, 1238},	// KDateTime::OffsetFromUTC
    {52, 648, 1253},	// KDateTime::Outside
    {52, 678, 1245},	// KDateTime::QtTextDate
    {52, 681, 1243},	// KDateTime::RFCDate
    {52, 682, 1244},	// KDateTime::RFCDateDay
    {52, 735, 1254},	// KDateTime::StartsAt
    {52, 759, 1239},	// KDateTime::TimeZone
    {52, 769, 1237},	// KDateTime::UTC
    {52, 887, 1202},	// KDateTime::addDays$
    {52, 974, 1200},	// KDateTime::addMSecs$
    {52, 977, 1203},	// KDateTime::addMonths$
    {52, 992, 1201},	// KDateTime::addSecs$
    {52, 1014, 1204},	// KDateTime::addYears$
    {52, 1172, 1219},	// KDateTime::compare#
    {52, 1242, 1210},	// KDateTime::currentDateTime#
    {52, 1244, 1211},	// KDateTime::currentLocalDate
    {52, 1245, 1208},	// KDateTime::currentLocalDateTime
    {52, 1246, 1212},	// KDateTime::currentLocalTime
    {52, 1249, 1209},	// KDateTime::currentUtcDateTime
    {52, 1263, 1172},	// KDateTime::date
    {52, 1271, 1174},	// KDateTime::dateTime
    {52, 1314, 1207},	// KDateTime::daysTo#
    {52, 1366, 1226},	// KDateTime::detach
    {52, 1636, 1232},	// KDateTime::fromString$
    {52, 1637, -589},	// KDateTime::fromString$$
    {52, 1638, 1235},	// KDateTime::fromString$$#
    {52, 1639, 1216},	// KDateTime::fromString$$#$
    {52, 1640, 1215},	// KDateTime::fromString$$$
    {52, 1798, 1179},	// KDateTime::isClockTime
    {52, 1803, 1171},	// KDateTime::isDateOnly
    {52, 1843, 1178},	// KDateTime::isLocalZone
    {52, 1849, 1169},	// KDateTime::isNull
    {52, 1850, 1181},	// KDateTime::isOffsetFromUtc
    {52, 1861, 1183},	// KDateTime::isSecondOccurrence
    {52, 1876, 1180},	// KDateTime::isUtc
    {52, 1879, 1170},	// KDateTime::isValid
    {52, 2166, 1221},	// KDateTime::operator!=#
    {52, 2188, 1222},	// KDateTime::operator<#
    {52, 2200, 1223},	// KDateTime::operator<=#
    {52, 2206, 1168},	// KDateTime::operator=#
    {52, 2209, 1220},	// KDateTime::operator==#
    {52, 2216, 1224},	// KDateTime::operator>#
    {52, 2222, 1225},	// KDateTime::operator>=#
    {52, 2240, 1218},	// KDateTime::outOfRange
    {52, 2421, 1228},	// KDateTime::realCurrentLocalDateTime
    {52, 2502, 1205},	// KDateTime::secsTo#
    {52, 2504, 1206},	// KDateTime::secsTo_long#
    {52, 2603, 1195},	// KDateTime::setDate#
    {52, 2616, 1194},	// KDateTime::setDateOnly$
    {52, 2618, 1197},	// KDateTime::setDateTime#
    {52, 2676, 1217},	// KDateTime::setFromStringDefault#
    {52, 2880, 1199},	// KDateTime::setSecondOccurrence$
    {52, 2896, 1227},	// KDateTime::setSimulatedSystemTime#
    {52, 2915, 1196},	// KDateTime::setTime#
    {52, 2919, 1198},	// KDateTime::setTimeSpec#
    {52, 2921, 1193},	// KDateTime::setTime_t$
    {52, 3121, 1173},	// KDateTime::time
    {52, 3123, 1176},	// KDateTime::timeSpec
    {52, 3125, 1177},	// KDateTime::timeType
    {52, 3126, 1175},	// KDateTime::timeZone
    {52, 3129, 1188},	// KDateTime::toClockTime
    {52, 3134, 1187},	// KDateTime::toLocalZone
    {52, 3136, 1185},	// KDateTime::toOffsetFromUtc
    {52, 3137, 1186},	// KDateTime::toOffsetFromUtc$
    {52, 3138, 1231},	// KDateTime::toString
    {52, 3141, -592},	// KDateTime::toString$
    {52, 3143, -595},	// KDateTime::toTimeSpec#
    {52, 3144, 1192},	// KDateTime::toTime_t
    {52, 3146, 1184},	// KDateTime::toUtc
    {52, 3149, 1189},	// KDateTime::toZone#
    {52, 3247, 1182},	// KDateTime::utcOffset
    {52, 3394, 1256},	// KDateTime::~KDateTime
    {53, 59, 1276},	// KDateTime::Spec::ClockTime
    {53, 585, 1278},	// KDateTime::Spec::LocalZone
    {53, 638, 1277},	// KDateTime::Spec::OffsetFromUTC$
    {53, 724, 1257},	// KDateTime::Spec::Spec
    {53, 725, -798},	// KDateTime::Spec::Spec#
    {53, 726, 1279},	// KDateTime::Spec::Spec$
    {53, 727, 1259},	// KDateTime::Spec::Spec$$
    {53, 769, 1275},	// KDateTime::Spec::UTC
    {53, 1436, 1274},	// KDateTime::Spec::equivalentTo#
    {53, 1798, 1266},	// KDateTime::Spec::isClockTime
    {53, 1843, 1265},	// KDateTime::Spec::isLocalZone
    {53, 1850, 1268},	// KDateTime::Spec::isOffsetFromUtc
    {53, 1876, 1267},	// KDateTime::Spec::isUtc
    {53, 1879, 1262},	// KDateTime::Spec::isValid
    {53, 2166, 1273},	// KDateTime::Spec::operator!=#
    {53, 2206, 1261},	// KDateTime::Spec::operator=#
    {53, 2209, 1272},	// KDateTime::Spec::operator==#
    {53, 2931, 1271},	// KDateTime::Spec::setType#
    {53, 2932, 1280},	// KDateTime::Spec::setType$
    {53, 2933, 1270},	// KDateTime::Spec::setType$$
    {53, 3126, 1263},	// KDateTime::Spec::timeZone
    {53, 3200, 1264},	// KDateTime::Spec::type
    {53, 3247, 1269},	// KDateTime::Spec::utcOffset
    {53, 3454, 1281},	// KDateTime::Spec::~Spec
    {54, 361, 1287},	// KDebug::KDebug#
    {54, 362, 1288},	// KDebug::KDebug$
    {54, 363, 1289},	// KDebug::KDebug$$
    {54, 364, 1290},	// KDebug::KDebug$$$
    {54, 365, 1282},	// KDebug::KDebug$$$$
    {54, 1695, 1283},	// KDebug::hasNullOutput$$$$
    {54, 1696, 1291},	// KDebug::hasNullOutputQtDebugMsg
    {54, 1697, -640},	// KDebug::hasNullOutputQtDebugMsg$
    {54, 1698, 1285},	// KDebug::hasNullOutputQtDebugMsg$$
    {54, 2429, 1293},	// KDebug::registerArea#
    {54, 2430, 1286},	// KDebug::registerArea#$
    {54, 3395, 1294},	// KDebug::~KDebug
    {55, 366, 1295},	// KDebugTag::KDebugTag
    {55, 367, 1296},	// KDebugTag::KDebugTag#
    {55, 3396, 1297},	// KDebugTag::~KDebugTag
    {56, 369, 1299},	// KDesktopFile::KDesktopFile$
    {56, 370, 1298},	// KDesktopFile::KDesktopFile$$
    {56, 850, -721},	// KDesktopFile::actionGroup$
    {56, 1205, 1324},	// KDesktopFile::copyTo$
    {56, 1365, 1303},	// KDesktopFile::desktopGroup
    {56, 1507, 1325},	// KDesktopFile::fileName
    {56, 1670, 1315},	// KDesktopFile::hasActionGroup$
    {56, 1671, 1317},	// KDesktopFile::hasApplicationType
    {56, 1676, 1319},	// KDesktopFile::hasDeviceType
    {56, 1687, 1316},	// KDesktopFile::hasLinkType
    {56, 1693, 1318},	// KDesktopFile::hasMimeTypeType
    {56, 1786, 1301},	// KDesktopFile::isAuthorizedDesktopFile$
    {56, 1808, 1300},	// KDesktopFile::isDesktopFile$
    {56, 2005, 1302},	// KDesktopFile::locateLocal$
    {56, 2127, 1323},	// KDesktopFile::noDisplay
    {56, 2363, 1312},	// KDesktopFile::readActions
    {56, 2364, 1307},	// KDesktopFile::readComment
    {56, 2377, 1310},	// KDesktopFile::readDevice
    {56, 2378, 1321},	// KDesktopFile::readDocPath
    {56, 2388, 1308},	// KDesktopFile::readGenericName
    {56, 2390, 1305},	// KDesktopFile::readIcon
    {56, 2402, 1306},	// KDesktopFile::readName
    {56, 2406, 1309},	// KDesktopFile::readPath
    {56, 2414, 1304},	// KDesktopFile::readType
    {56, 2415, 1311},	// KDesktopFile::readUrl
    {56, 2477, 1326},	// KDesktopFile::resource
    {56, 2980, 1322},	// KDesktopFile::sortOrder
    {56, 3199, 1320},	// KDesktopFile::tryExec
    {56, 3397, 1327},	// KDesktopFile::~KDesktopFile
    {57, 22, 1360},	// KEncodingDetector::Arabic
    {57, 31, 1352},	// KEncodingDetector::AutoDetectedEncoding
    {57, 33, 1353},	// KEncodingDetector::BOM
    {57, 38, 1361},	// KEncodingDetector::Baltic
    {57, 48, 1362},	// KEncodingDetector::CentralEuropean
    {57, 53, 1363},	// KEncodingDetector::ChineseSimplified
    {57, 54, 1364},	// KEncodingDetector::ChineseTraditional
    {57, 74, 1365},	// KEncodingDetector::Cyrillic
    {57, 97, 1351},	// KEncodingDetector::DefaultEncoding
    {57, 110, 1356},	// KEncodingDetector::EncodingFromHTTPHeader
    {57, 111, 1355},	// KEncodingDetector::EncodingFromMetaTag
    {57, 112, 1354},	// KEncodingDetector::EncodingFromXMLHeader
    {57, 148, 1366},	// KEncodingDetector::Greek
    {57, 152, 1367},	// KEncodingDetector::Hebrew
    {57, 272, 1368},	// KEncodingDetector::Japanese
    {57, 371, 1328},	// KEncodingDetector::KEncodingDetector
    {57, 372, 1349},	// KEncodingDetector::KEncodingDetector#
    {57, 373, 1350},	// KEncodingDetector::KEncodingDetector#$
    {57, 374, 1329},	// KEncodingDetector::KEncodingDetector#$$
    {57, 561, 1369},	// KEncodingDetector::Korean
    {57, 627, 1358},	// KEncodingDetector::None
    {57, 631, 1370},	// KEncodingDetector::NorthernSaami
    {57, 704, 1359},	// KEncodingDetector::SemiautomaticDetection
    {57, 723, 1371},	// KEncodingDetector::SouthEasternEurope
    {57, 749, 1372},	// KEncodingDetector::Thai
    {57, 767, 1373},	// KEncodingDetector::Turkish
    {57, 774, 1374},	// KEncodingDetector::Unicode
    {57, 800, 1357},	// KEncodingDetector::UserChosenEncoding
    {57, 806, 1375},	// KEncodingDetector::WesternEuropean
    {57, 1042, 1347},	// KEncodingDetector::analyze$$
    {57, 1065, 1334},	// KEncodingDetector::autoDetectLanguage
    {57, 1319, 1337},	// KEncodingDetector::decode#
    {57, 1320, 1336},	// KEncodingDetector::decode$$
    {57, 1324, 1338},	// KEncodingDetector::decodeWithBuffering$$
    {57, 1327, 1339},	// KEncodingDetector::decodedInvalidCharacters
    {57, 1328, 1348},	// KEncodingDetector::decoder
    {57, 1415, 1331},	// KEncodingDetector::encoding
    {57, 1416, 1335},	// KEncodingDetector::encodingChoiceSource
    {57, 1450, 1346},	// KEncodingDetector::errorsIfUtf8$$
    {57, 1577, 1341},	// KEncodingDetector::flush
    {57, 1673, 1344},	// KEncodingDetector::hasAutoDetectionForScript$
    {57, 2114, 1343},	// KEncodingDetector::nameForScript$
    {57, 2296, 1345},	// KEncodingDetector::processNull$$
    {57, 2470, 1340},	// KEncodingDetector::resetDecoder
    {57, 2500, 1342},	// KEncodingDetector::scriptForName$
    {57, 2549, 1333},	// KEncodingDetector::setAutoDetectLanguage$
    {57, 2646, 1330},	// KEncodingDetector::setEncoding$$
    {57, 3266, 1332},	// KEncodingDetector::visuallyOrdered
    {57, 3398, 1376},	// KEncodingDetector::~KEncodingDetector
    {58, 22, 1396},	// KEncodingProber::Arabic
    {58, 38, 1397},	// KEncodingProber::Baltic
    {58, 48, 1398},	// KEncodingProber::CentralEuropean
    {58, 53, 1399},	// KEncodingProber::ChineseSimplified
    {58, 54, 1400},	// KEncodingProber::ChineseTraditional
    {58, 74, 1401},	// KEncodingProber::Cyrillic
    {58, 141, 1391},	// KEncodingProber::FoundIt
    {58, 148, 1402},	// KEncodingProber::Greek
    {58, 152, 1403},	// KEncodingProber::Hebrew
    {58, 272, 1404},	// KEncodingProber::Japanese
    {58, 375, 1390},	// KEncodingProber::KEncodingProber
    {58, 376, 1389},	// KEncodingProber::KEncodingProber#
    {58, 377, 1377},	// KEncodingProber::KEncodingProber$
    {58, 561, 1405},	// KEncodingProber::Korean
    {58, 627, 1394},	// KEncodingProber::None
    {58, 631, 1406},	// KEncodingProber::NorthernSaami
    {58, 632, 1392},	// KEncodingProber::NotMe
    {58, 647, 1407},	// KEncodingProber::Other
    {58, 664, 1393},	// KEncodingProber::Probing
    {58, 723, 1408},	// KEncodingProber::SouthEasternEurope
    {58, 749, 1409},	// KEncodingProber::Thai
    {58, 767, 1410},	// KEncodingProber::Turkish
    {58, 774, 1411},	// KEncodingProber::Unicode
    {58, 786, 1395},	// KEncodingProber::Universal
    {58, 806, 1412},	// KEncodingProber::WesternEuropean
    {58, 1177, 1384},	// KEncodingProber::confidence
    {58, 1415, 1383},	// KEncodingProber::encoding
    {58, 1420, 1382},	// KEncodingProber::encodingName
    {58, 1501, 1379},	// KEncodingProber::feed#
    {58, 1502, 1380},	// KEncodingProber::feed$$
    {58, 2112, 1388},	// KEncodingProber::nameForProberType$
    {58, 2292, 1385},	// KEncodingProber::proberType
    {58, 2294, 1387},	// KEncodingProber::proberTypeForName$
    {58, 2469, 1378},	// KEncodingProber::reset
    {58, 2854, 1386},	// KEncodingProber::setProberType$
    {58, 3054, 1381},	// KEncodingProber::state
    {58, 3399, 1413},	// KEncodingProber::~KEncodingProber
    {59, 113, 1441},	// KFilterBase::End
    {59, 123, 1442},	// KFilterBase::Error
    {59, 378, 1414},	// KFilterBase::KFilterBase
    {59, 619, 1443},	// KFilterBase::NoHeaders
    {59, 639, 1440},	// KFilterBase::Ok
    {59, 807, 1444},	// KFilterBase::WithHeaders
    {59, 1176, 1430},	// KFilterBase::compress$
    {59, 1372, 1416},	// KFilterBase::device
    {59, 1510, 1432},	// KFilterBase::filterFlags
    {59, 1555, 1433},	// KFilterBase::findFilterByFileName$
    {59, 1557, 1434},	// KFilterBase::findFilterByMimeType$
    {59, 1729, 1426},	// KFilterBase::inBufferAvailable
    {59, 1730, 1425},	// KFilterBase::inBufferEmpty
    {59, 1742, 1417},	// KFilterBase::init$
    {59, 2021, 1438},	// KFilterBase::m_bAutoDel
    {59, 2027, 1436},	// KFilterBase::m_dev
    {59, 2077, 1418},	// KFilterBase::mode
    {59, 2238, 1428},	// KFilterBase::outBufferAvailable
    {59, 2239, 1427},	// KFilterBase::outBufferFull
    {59, 2389, 1421},	// KFilterBase::readHeader
    {59, 2469, 1420},	// KFilterBase::reset
    {59, 2636, 1435},	// KFilterBase::setDevice#
    {59, 2637, 1415},	// KFilterBase::setDevice#$
    {59, 2670, 1431},	// KFilterBase::setFilterFlags$
    {59, 2688, 1424},	// KFilterBase::setInBuffer$$
    {59, 2730, 1439},	// KFilterBase::setM_bAutoDel$
    {59, 2742, 1437},	// KFilterBase::setM_dev#
    {59, 2828, 1423},	// KFilterBase::setOutBuffer$$
    {59, 3114, 1419},	// KFilterBase::terminate
    {59, 3205, 1429},	// KFilterBase::uncompress
    {59, 3320, 1422},	// KFilterBase::writeHeader#
    {59, 3400, 1445},	// KFilterBase::~KFilterBase
    {60, 1052, 1451},	// KFilterDev::atEnd
    {60, 1159, 1447},	// KFilterDev::close
    {60, 1373, 1458},	// KFilterDev::device#$
    {60, 1374, 1453},	// KFilterDev::device#$$
    {60, 1376, 1456},	// KFilterDev::deviceForFile$
    {60, 1377, 1457},	// KFilterDev::deviceForFile$$
    {60, 1378, 1452},	// KFilterDev::deviceForFile$$$
    {60, 2153, 1446},	// KFilterDev::open$
    {60, 2368, 1454},	// KFilterDev::readData$$
    {60, 2506, 1450},	// KFilterDev::seek$
    {60, 2824, 1448},	// KFilterDev::setOrigFileName#
    {60, 2897, 1449},	// KFilterDev::setSkipHeaders
    {60, 3311, 1455},	// KFilterDev::writeData$$
    {60, 3401, 1459},	// KFilterDev::~KFilterDev
    {61, 105, 1480},	// KGlobal::DoCopyCatalogs
    {61, 106, 1481},	// KGlobal::DontCopyCatalogs
    {61, 855, 1474},	// KGlobal::activeComponent
    {61, 1120, 1479},	// KGlobal::caption
    {61, 1133, 1462},	// KGlobal::charsets
    {61, 1178, 1471},	// KGlobal::config
    {61, 1353, 1470},	// KGlobal::deref
    {61, 1386, 1461},	// KGlobal::dirs
    {61, 1543, 1466},	// KGlobal::findDirectChild_helper##
    {61, 1688, 1472},	// KGlobal::hasLocale
    {61, 1689, 1464},	// KGlobal::hasMainComponent
    {61, 1752, 1465},	// KGlobal::insertCatalog$
    {61, 1995, 1478},	// KGlobal::locale
    {61, 2046, 1460},	// KGlobal::mainComponent
    {61, 2427, 1468},	// KGlobal::ref
    {61, 2532, 1463},	// KGlobal::setActiveComponent#
    {61, 2536, 1469},	// KGlobal::setAllowQuit$
    {61, 2720, 1476},	// KGlobal::setLocale#
    {61, 2721, 1475},	// KGlobal::setLocale#$
    {61, 3058, -637},	// KGlobal::staticQString$
    {61, 3203, 1473},	// KGlobal::umask
    {62, 45, 1532},	// KJob::Bytes
    {62, 103, 1534},	// KJob::Directories
    {62, 109, 1539},	// KJob::EmitResult
    {62, 138, 1533},	// KJob::Files
    {62, 379, 1525},	// KJob::KJob
    {62, 380, 1489},	// KJob::KJob#
    {62, 381, 1522},	// KJob::KJob##
    {62, 559, 1536},	// KJob::Killable
    {62, 560, 1541},	// KJob::KilledJobError
    {62, 613, 1535},	// KJob::NoCapabilities
    {62, 617, 1540},	// KJob::NoError
    {62, 680, 1538},	// KJob::Quietly
    {62, 739, 1537},	// KJob::Suspendable
    {62, 801, 1542},	// KJob::UserDefinedError
    {62, 1118, 1492},	// KJob::capabilities
    {62, 1355, 1527},	// KJob::description#$
    {62, 1356, 1528},	// KJob::description#$?
    {62, 1357, 1511},	// KJob::description#$??
    {62, 1391, 1498},	// KJob::doKill
    {62, 1392, 1500},	// KJob::doResume
    {62, 1393, 1499},	// KJob::doSuspend
    {62, 1402, 1520},	// KJob::emitPercent$$
    {62, 1403, 1519},	// KJob::emitResult
    {62, 1405, 1521},	// KJob::emitSpeed$
    {62, 1443, 1503},	// KJob::error
    {62, 1446, 1505},	// KJob::errorString
    {62, 1448, 1504},	// KJob::errorText
    {62, 1455, 1502},	// KJob::exec
    {62, 1736, 1529},	// KJob::infoMessage#$
    {62, 1737, 1512},	// KJob::infoMessage#$$
    {62, 1787, 1510},	// KJob::isAutoDelete
    {62, 1871, 1493},	// KJob::isSuspended
    {62, 1946, 1526},	// KJob::kill
    {62, 1947, 1495},	// KJob::kill$
    {62, 2068, 1482},	// KJob::metaObject
    {62, 2261, 1508},	// KJob::percent
    {62, 2299, 1506},	// KJob::processedAmount$
    {62, 2331, 1488},	// KJob::qt_metacall$$?
    {62, 2333, 1483},	// KJob::qt_metacast$
    {62, 2482, 1497},	// KJob::resume
    {62, 2547, 1509},	// KJob::setAutoDelete$
    {62, 2567, 1501},	// KJob::setCapabilities$
    {62, 2651, 1514},	// KJob::setError$
    {62, 2657, 1515},	// KJob::setErrorText$
    {62, 2840, 1518},	// KJob::setPercent$
    {62, 2856, 1516},	// KJob::setProcessedAmount$$
    {62, 2925, 1517},	// KJob::setTotalAmount$$
    {62, 2935, 1490},	// KJob::setUiDelegate#
    {62, 2998, 1494},	// KJob::start
    {62, 3056, 1531},	// KJob::staticMetaObject
    {62, 3089, 1496},	// KJob::suspend
    {62, 3156, 1507},	// KJob::totalAmount$
    {62, 3158, 1523},	// KJob::tr$
    {62, 3159, 1484},	// KJob::tr$$
    {62, 3160, 1486},	// KJob::tr$$$
    {62, 3165, 1524},	// KJob::trUtf8$
    {62, 3166, 1485},	// KJob::trUtf8$$
    {62, 3167, 1487},	// KJob::trUtf8$$$
    {62, 3201, 1491},	// KJob::uiDelegate
    {62, 3275, 1530},	// KJob::warning#$
    {62, 3276, 1513},	// KJob::warning#$$
    {62, 3402, 1543},	// KJob::~KJob
    {64, 382, 1566},	// KJobTrackerInterface::KJobTrackerInterface
    {64, 383, 1551},	// KJobTrackerInterface::KJobTrackerInterface#
    {64, 1357, 1557},	// KJobTrackerInterface::description#$??
    {64, 1568, 1554},	// KJobTrackerInterface::finished#
    {64, 1737, 1558},	// KJobTrackerInterface::infoMessage#$$
    {64, 2068, 1544},	// KJobTrackerInterface::metaObject
    {64, 2262, 1562},	// KJobTrackerInterface::percent#$
    {64, 2298, 1561},	// KJobTrackerInterface::processedAmount#$$
    {64, 2331, 1550},	// KJobTrackerInterface::qt_metacall$$?
    {64, 2333, 1545},	// KJobTrackerInterface::qt_metacast$
    {64, 2432, 1552},	// KJobTrackerInterface::registerJob#
    {64, 2484, 1556},	// KJobTrackerInterface::resumed#
    {64, 2983, 1563},	// KJobTrackerInterface::speed#$
    {64, 3056, 1567},	// KJobTrackerInterface::staticMetaObject
    {64, 3091, 1555},	// KJobTrackerInterface::suspended#
    {64, 3155, 1560},	// KJobTrackerInterface::totalAmount#$$
    {64, 3158, 1564},	// KJobTrackerInterface::tr$
    {64, 3159, 1546},	// KJobTrackerInterface::tr$$
    {64, 3160, 1548},	// KJobTrackerInterface::tr$$$
    {64, 3165, 1565},	// KJobTrackerInterface::trUtf8$
    {64, 3166, 1547},	// KJobTrackerInterface::trUtf8$$
    {64, 3167, 1549},	// KJobTrackerInterface::trUtf8$$$
    {64, 3212, 1553},	// KJobTrackerInterface::unregisterJob#
    {64, 3276, 1559},	// KJobTrackerInterface::warning#$$
    {64, 3403, 1568},	// KJobTrackerInterface::~KJobTrackerInterface
    {65, 384, 1576},	// KJobUiDelegate::KJobUiDelegate
    {65, 1788, 1580},	// KJobUiDelegate::isAutoErrorHandlingEnabled
    {65, 1789, 1582},	// KJobUiDelegate::isAutoWarningHandlingEnabled
    {65, 1891, 1577},	// KJobUiDelegate::job
    {65, 2068, 1569},	// KJobUiDelegate::metaObject
    {65, 2331, 1575},	// KJobUiDelegate::qt_metacall$$?
    {65, 2333, 1570},	// KJobUiDelegate::qt_metacast$
    {65, 2551, 1579},	// KJobUiDelegate::setAutoErrorHandlingEnabled$
    {65, 2555, 1581},	// KJobUiDelegate::setAutoWarningHandlingEnabled$
    {65, 2963, 1578},	// KJobUiDelegate::showErrorMessage
    {65, 2979, 1583},	// KJobUiDelegate::slotWarning#$$
    {65, 3056, 1586},	// KJobUiDelegate::staticMetaObject
    {65, 3158, 1584},	// KJobUiDelegate::tr$
    {65, 3159, 1571},	// KJobUiDelegate::tr$$
    {65, 3160, 1573},	// KJobUiDelegate::tr$$$
    {65, 3165, 1585},	// KJobUiDelegate::trUtf8$
    {65, 3166, 1572},	// KJobUiDelegate::trUtf8$$
    {65, 3167, 1574},	// KJobUiDelegate::trUtf8$$$
    {65, 3404, 1587},	// KJobUiDelegate::~KJobUiDelegate
    {66, 118, 1610},	// KLibLoader::ErrNoComponent
    {66, 119, 1609},	// KLibLoader::ErrNoFactory
    {66, 120, 1608},	// KLibLoader::ErrNoLibrary
    {66, 121, 1612},	// KLibLoader::ErrNoServiceFound
    {66, 122, 1611},	// KLibLoader::ErrServiceProvidesNoLibrary
    {66, 1447, 1601},	// KLibLoader::errorString$
    {66, 1495, 1604},	// KLibLoader::factory$
    {66, 1496, 1595},	// KLibLoader::factory$$
    {66, 1561, 1606},	// KLibLoader::findLibrary$
    {66, 1562, 1600},	// KLibLoader::findLibrary$#
    {66, 1967, 1597},	// KLibLoader::lastErrorMessage
    {66, 1976, 1605},	// KLibLoader::library$
    {66, 1977, 1596},	// KLibLoader::library$$
    {66, 2068, 1588},	// KLibLoader::metaObject
    {66, 2331, 1594},	// KLibLoader::qt_metacall$$?
    {66, 2333, 1589},	// KLibLoader::qt_metacast$
    {66, 2507, 1599},	// KLibLoader::self
    {66, 3056, 1607},	// KLibLoader::staticMetaObject
    {66, 3158, 1602},	// KLibLoader::tr$
    {66, 3159, 1590},	// KLibLoader::tr$$
    {66, 3160, 1592},	// KLibLoader::tr$$$
    {66, 3165, 1603},	// KLibLoader::trUtf8$
    {66, 3166, 1591},	// KLibLoader::trUtf8$$
    {66, 3167, 1593},	// KLibLoader::trUtf8$$$
    {66, 3209, 1598},	// KLibLoader::unloadLibrary$
    {67, 385, 1630},	// KLibrary::KLibrary
    {67, 386, 1620},	// KLibrary::KLibrary#
    {67, 387, 1631},	// KLibrary::KLibrary$
    {67, 388, 1632},	// KLibrary::KLibrary$#
    {67, 389, 1621},	// KLibrary::KLibrary$##
    {67, 390, 1633},	// KLibrary::KLibrary$$
    {67, 391, 1634},	// KLibrary::KLibrary$$#
    {67, 392, 1622},	// KLibrary::KLibrary$$##
    {67, 1494, 1635},	// KLibrary::factory
    {67, 1495, 1623},	// KLibrary::factory$
    {67, 2068, 1613},	// KLibrary::metaObject
    {67, 2331, 1619},	// KLibrary::qt_metacall$$?
    {67, 2333, 1614},	// KLibrary::qt_metacast$
    {67, 2474, 1625},	// KLibrary::resolveFunction$
    {67, 2476, 1624},	// KLibrary::resolveSymbol$
    {67, 2667, 1636},	// KLibrary::setFileName$
    {67, 2668, 1626},	// KLibrary::setFileName$#
    {67, 3056, 1637},	// KLibrary::staticMetaObject
    {67, 3158, 1628},	// KLibrary::tr$
    {67, 3159, 1615},	// KLibrary::tr$$
    {67, 3160, 1617},	// KLibrary::tr$$$
    {67, 3165, 1629},	// KLibrary::trUtf8$
    {67, 3166, 1616},	// KLibrary::trUtf8$$
    {67, 3167, 1618},	// KLibrary::trUtf8$$$
    {67, 3207, 1627},	// KLibrary::unload
    {67, 3405, 1638},	// KLibrary::~KLibrary
    {68, 3, 1662},	// KLocalSocket::AbstractUnixSocket
    {68, 393, 1657},	// KLocalSocket::KLocalSocket
    {68, 394, 1646},	// KLocalSocket::KLocalSocket#
    {68, 787, 1661},	// KLocalSocket::UnixSocket
    {68, 790, 1663},	// KLocalSocket::UnknownLocalSocketType
    {68, 1189, 1653},	// KLocalSocket::connectToHostImplementation$$$
    {68, 1191, 1658},	// KLocalSocket::connectToPath$
    {68, 1192, -801},	// KLocalSocket::connectToPath$$
    {68, 1193, 1648},	// KLocalSocket::connectToPath$$$
    {68, 1388, 1654},	// KLocalSocket::disconnectFromHostImplementation
    {68, 1389, 1649},	// KLocalSocket::disconnectFromPath
    {68, 1993, 1651},	// KLocalSocket::localPath
    {68, 1994, 1650},	// KLocalSocket::localSocketType
    {68, 2068, 1639},	// KLocalSocket::metaObject
    {68, 2260, 1652},	// KLocalSocket::peerPath
    {68, 2331, 1645},	// KLocalSocket::qt_metacall$$?
    {68, 2333, 1640},	// KLocalSocket::qt_metacast$
    {68, 3056, 1660},	// KLocalSocket::staticMetaObject
    {68, 3158, 1655},	// KLocalSocket::tr$
    {68, 3159, 1641},	// KLocalSocket::tr$$
    {68, 3160, 1643},	// KLocalSocket::tr$$$
    {68, 3165, 1656},	// KLocalSocket::trUtf8$
    {68, 3166, 1642},	// KLocalSocket::trUtf8$$
    {68, 3167, 1644},	// KLocalSocket::trUtf8$$$
    {68, 3406, 1664},	// KLocalSocket::~KLocalSocket
    {69, 395, 1689},	// KLocalSocketServer::KLocalSocketServer
    {69, 396, 1672},	// KLocalSocketServer::KLocalSocketServer#
    {69, 1159, 1674},	// KLocalSocketServer::close
    {69, 1446, 1684},	// KLocalSocketServer::errorString
    {69, 1701, 1681},	// KLocalSocketServer::hasPendingConnections
    {69, 1734, 1685},	// KLocalSocketServer::incomingConnection$
    {69, 1840, 1675},	// KLocalSocketServer::isListening
    {69, 1983, 1690},	// KLocalSocketServer::listen$
    {69, 1987, 1673},	// KLocalSocketServer::listen$$
    {69, 1993, 1679},	// KLocalSocketServer::localPath
    {69, 1994, 1678},	// KLocalSocketServer::localSocketType
    {69, 2057, 1677},	// KLocalSocketServer::maxPendingConnections
    {69, 2068, 1665},	// KLocalSocketServer::metaObject
    {69, 2121, 1686},	// KLocalSocketServer::newConnection
    {69, 2126, 1682},	// KLocalSocketServer::nextPendingConnection
    {69, 2331, 1671},	// KLocalSocketServer::qt_metacall$$?
    {69, 2333, 1666},	// KLocalSocketServer::qt_metacast$
    {69, 2509, 1683},	// KLocalSocketServer::serverError
    {69, 2788, 1676},	// KLocalSocketServer::setMaxPendingConnections$
    {69, 3056, 1693},	// KLocalSocketServer::staticMetaObject
    {69, 3158, 1687},	// KLocalSocketServer::tr$
    {69, 3159, 1667},	// KLocalSocketServer::tr$$
    {69, 3160, 1669},	// KLocalSocketServer::tr$$$
    {69, 3165, 1688},	// KLocalSocketServer::trUtf8$
    {69, 3166, 1668},	// KLocalSocketServer::trUtf8$$
    {69, 3167, 1670},	// KLocalSocketServer::trUtf8$$$
    {69, 3268, 1691},	// KLocalSocketServer::waitForNewConnection
    {69, 3269, 1692},	// KLocalSocketServer::waitForNewConnection$
    {69, 3270, 1680},	// KLocalSocketServer::waitForNewConnection$$
    {69, 3407, 1694},	// KLocalSocketServer::~KLocalSocketServer
    {70, 15, 1870},	// KLocale::AfterMoney
    {70, 16, 1868},	// KLocale::AfterQuantityMoney
    {70, 23, 1871},	// KLocale::ArabicDigits
    {70, 24, 1872},	// KLocale::ArabicIndicDigits
    {70, 41, 1869},	// KLocale::BeforeMoney
    {70, 42, 1867},	// KLocale::BeforeQuantityMoney
    {70, 43, 1875},	// KLocale::BengaliDigits
    {70, 70, 1902},	// KLocale::CopticCalendar
    {70, 83, 1923},	// KLocale::Day
    {70, 84, 1924},	// KLocale::DayName
    {70, 85, 1931},	// KLocale::DayOfWeek
    {70, 86, 1932},	// KLocale::DayOfWeekName
    {70, 87, 1929},	// KLocale::DayOfYear
    {70, 88, 1930},	// KLocale::DayOfYearName
    {70, 89, 1944},	// KLocale::DayPeriod
    {70, 90, 1945},	// KLocale::DayPeriodHour
    {70, 91, 1938},	// KLocale::DaysInMonth
    {70, 92, 1939},	// KLocale::DaysInWeek
    {70, 93, 1937},	// KLocale::DaysInYear
    {70, 94, 1896},	// KLocale::DefaultBinaryDialect
    {70, 95, 1885},	// KLocale::DefaultBinaryUnits
    {70, 96, 1949},	// KLocale::DefaultComponentFormat
    {70, 99, 1913},	// KLocale::DefaultWeekNumber
    {70, 102, 1874},	// KLocale::DevenagariDigits
    {70, 108, 1873},	// KLocale::EasternArabicIndicDigits
    {70, 116, 1926},	// KLocale::EraName
    {70, 117, 1927},	// KLocale::EraYear
    {70, 124, 1903},	// KLocale::EthiopianCalendar
    {70, 134, 1958},	// KLocale::FancyLongDate
    {70, 135, 1957},	// KLocale::FancyShortDate
    {70, 149, 1904},	// KLocale::GregorianCalendar
    {70, 150, 1876},	// KLocale::GujaratiDigits
    {70, 151, 1877},	// KLocale::GurmukhiDigits
    {70, 153, 1905},	// KLocale::HebrewCalendar
    {70, 161, 1940},	// KLocale::Hour
    {70, 162, 1897},	// KLocale::IECBinaryDialect
    {70, 171, 1979},	// KLocale::Imperial
    {70, 173, 1907},	// KLocale::IndianNationalCalendar
    {70, 181, 1906},	// KLocale::IslamicCivilCalendar
    {70, 182, 1959},	// KLocale::IsoDate
    {70, 183, 1971},	// KLocale::IsoFormat
    {70, 184, 1961},	// KLocale::IsoOrdinalDate
    {70, 185, 1973},	// KLocale::IsoOrdinalFormat
    {70, 186, 1960},	// KLocale::IsoWeekDate
    {70, 187, 1972},	// KLocale::IsoWeekFormat
    {70, 188, 1914},	// KLocale::IsoWeekNumber
    {70, 270, 1898},	// KLocale::JEDECBinaryDialect
    {70, 271, 1908},	// KLocale::JalaliCalendar
    {70, 273, 1909},	// KLocale::JapaneseCalendar
    {70, 274, 1910},	// KLocale::JulianCalendar
    {70, 275, 1925},	// KLocale::JulianDay
    {70, 398, 1697},	// KLocale::KLocale#
    {70, 399, 1834},	// KLocale::KLocale$
    {70, 400, 1835},	// KLocale::KLocale$$
    {70, 401, 1836},	// KLocale::KLocale$$$
    {70, 402, 1696},	// KLocale::KLocale$$$#
    {70, 403, 1695},	// KLocale::KLocale$?
    {70, 554, 1878},	// KLocale::KannadaDigits
    {70, 555, 1915},	// KLocale::KdeFormat
    {70, 558, 1879},	// KLocale::KhmerDigits
    {70, 562, 1900},	// KLocale::LastBinaryDialect
    {70, 568, 1918},	// KLocale::LiberalParsing
    {70, 591, 1956},	// KLocale::LongDate
    {70, 594, 1954},	// KLocale::LongName
    {70, 596, 1951},	// KLocale::LongNumber
    {70, 598, 1880},	// KLocale::MalayalamDigits
    {70, 600, 1978},	// KLocale::Metric
    {70, 601, 1899},	// KLocale::MetricBinaryDialect
    {70, 602, 1943},	// KLocale::Millisecond
    {70, 603, 1911},	// KLocale::MinguoCalendar
    {70, 604, 1941},	// KLocale::Minute
    {70, 605, 1921},	// KLocale::Month
    {70, 606, 1922},	// KLocale::MonthName
    {70, 607, 1935},	// KLocale::MonthsInYear
    {70, 609, 1952},	// KLocale::NarrowName
    {70, 630, 1969},	// KLocale::NormalFormat
    {70, 646, 1881},	// KLocale::OriyaDigits
    {70, 649, 1866},	// KLocale::ParensAround
    {70, 663, 1916},	// KLocale::PosixFormat
    {70, 665, 1977},	// KLocale::ProcessNonStrict
    {70, 666, 1976},	// KLocale::ProcessStrict
    {70, 673, 1901},	// KLocale::QDateCalendar
    {70, 702, 1942},	// KLocale::Second
    {70, 703, 1963},	// KLocale::Seconds
    {70, 706, 1955},	// KLocale::ShortDate
    {70, 708, 1970},	// KLocale::ShortFormat
    {70, 709, 1953},	// KLocale::ShortName
    {70, 711, 1950},	// KLocale::ShortNumber
    {70, 745, 1882},	// KLocale::TamilDigits
    {70, 747, 1883},	// KLocale::TeluguDigits
    {70, 750, 1912},	// KLocale::ThaiCalendar
    {70, 751, 1884},	// KLocale::ThaiDigits
    {70, 753, 1964},	// KLocale::TimeDefault
    {70, 754, 1967},	// KLocale::TimeDuration
    {70, 755, 1968},	// KLocale::TimeFoldHours
    {70, 757, 1966},	// KLocale::TimeWithoutAmPm
    {70, 758, 1965},	// KLocale::TimeWithoutSeconds
    {70, 759, 1962},	// KLocale::TimeZone
    {70, 761, 1946},	// KLocale::Timezone
    {70, 762, 1947},	// KLocale::TimezoneName
    {70, 775, 1917},	// KLocale::UnicodeFormat
    {70, 776, 1886},	// KLocale::UnitByte
    {70, 777, 1892},	// KLocale::UnitExaByte
    {70, 778, 1889},	// KLocale::UnitGigaByte
    {70, 779, 1887},	// KLocale::UnitKiloByte
    {70, 780, 1895},	// KLocale::UnitLastUnit
    {70, 781, 1888},	// KLocale::UnitMegaByte
    {70, 782, 1891},	// KLocale::UnitPetaByte
    {70, 783, 1890},	// KLocale::UnitTeraByte
    {70, 784, 1894},	// KLocale::UnitYottaByte
    {70, 785, 1893},	// KLocale::UnitZettaByte
    {70, 788, 1948},	// KLocale::UnixTime
    {70, 803, 1933},	// KLocale::Week
    {70, 804, 1934},	// KLocale::WeekYear
    {70, 805, 1936},	// KLocale::WeeksInYear
    {70, 808, 1974},	// KLocale::WithSeconds
    {70, 809, 1975},	// KLocale::WithoutSeconds
    {70, 817, 1919},	// KLocale::Year
    {70, 818, 1928},	// KLocale::YearInEra
    {70, 819, 1920},	// KLocale::YearName
    {70, 1018, 1816},	// KLocale::allCountriesList
    {70, 1021, 1709},	// KLocale::allDigitSetsList
    {70, 1024, 1813},	// KLocale::allLanguagesList
    {70, 1095, 1734},	// KLocale::binaryUnitDialect
    {70, 1104, 1752},	// KLocale::calendar
    {70, 1108, 1754},	// KLocale::calendarSystem
    {70, 1113, 1753},	// KLocale::calendarType
    {70, 1163, 1774},	// KLocale::codecForEncoding
    {70, 1198, 1865},	// KLocale::convertDigits$$
    {70, 1199, 1833},	// KLocale::convertDigits$$$
    {70, 1201, 1826},	// KLocale::copyCatalogsTo#
    {70, 1210, 1768},	// KLocale::country
    {70, 1213, 1817},	// KLocale::countryCodeToName$
    {70, 1214, 1769},	// KLocale::countryDivisionCode
    {70, 1233, 1714},	// KLocale::currency
    {70, 1234, 1713},	// KLocale::currencyCode
    {70, 1235, 1771},	// KLocale::currencyCodeList
    {70, 1239, 1715},	// KLocale::currencySymbol
    {70, 1266, 1785},	// KLocale::dateFormat
    {70, 1267, 1786},	// KLocale::dateFormatShort
    {70, 1269, 1742},	// KLocale::dateMonthNamePossessive
    {70, 1272, 1745},	// KLocale::dateTimeDigitSet
    {70, 1288, 1853},	// KLocale::dayPeriodText#
    {70, 1289, 1747},	// KLocale::dayPeriodText#$
    {70, 1316, 1721},	// KLocale::decimalPlaces
    {70, 1317, 1710},	// KLocale::decimalSymbol
    {70, 1330, 1822},	// KLocale::defaultCountry
    {70, 1331, 1823},	// KLocale::defaultCurrencyCode
    {70, 1332, 1821},	// KLocale::defaultLanguage
    {70, 1379, 1712},	// KLocale::digitSet
    {70, 1381, 1837},	// KLocale::digitSetToName$
    {70, 1382, 1708},	// KLocale::digitSetToName$$
    {70, 1415, 1772},	// KLocale::encoding
    {70, 1419, 1773},	// KLocale::encodingMib
    {70, 1505, 1775},	// KLocale::fileEncodingMib
    {70, 1582, 1732},	// KLocale::formatByteSize$
    {70, 1583, 1843},	// KLocale::formatByteSize$$
    {70, 1584, 1844},	// KLocale::formatByteSize$$$
    {70, 1585, 1733},	// KLocale::formatByteSize$$$$
    {70, 1587, 1845},	// KLocale::formatDate#
    {70, 1588, 1739},	// KLocale::formatDate#$
    {70, 1592, -1},	// KLocale::formatDateTime#
    {70, 1593, -4},	// KLocale::formatDateTime#$
    {70, 1594, -7},	// KLocale::formatDateTime#$$
    {70, 1596, 1736},	// KLocale::formatDuration$
    {70, 1598, 1852},	// KLocale::formatLocaleTime#
    {70, 1599, 1744},	// KLocale::formatLocaleTime#$
    {70, 1601, 1731},	// KLocale::formatLong$
    {70, 1603, 1838},	// KLocale::formatMoney$
    {70, 1604, 1839},	// KLocale::formatMoney$$
    {70, 1605, 1728},	// KLocale::formatMoney$$$
    {70, 1607, -10},	// KLocale::formatNumber$
    {70, 1608, -13},	// KLocale::formatNumber$$
    {70, 1609, 1730},	// KLocale::formatNumber$$$
    {70, 1611, 1850},	// KLocale::formatTime#
    {70, 1612, 1851},	// KLocale::formatTime#$
    {70, 1613, 1743},	// KLocale::formatTime#$$
    {70, 1614, 1720},	// KLocale::fracDigits
    {70, 1752, 1809},	// KLocale::insertCatalog$
    {70, 1755, 1814},	// KLocale::installedLanguages
    {70, 1784, 1825},	// KLocale::isApplicationTranslatedInto$
    {70, 1953, 1864},	// KLocale::langLookup$
    {70, 1954, 1820},	// KLocale::langLookup$$
    {70, 1955, 1767},	// KLocale::language
    {70, 1957, 1815},	// KLocale::languageCodeToName$
    {70, 1960, 1770},	// KLocale::languageList
    {70, 1997, 1831},	// KLocale::localizedFilePath$
    {70, 2063, 1807},	// KLocale::measureSystem
    {70, 2085, 1722},	// KLocale::monetaryDecimalPlaces
    {70, 2086, 1716},	// KLocale::monetaryDecimalSymbol
    {70, 2087, 1727},	// KLocale::monetaryDigitSet
    {70, 2088, 1717},	// KLocale::monetaryThousandsSeparator
    {70, 2118, 1726},	// KLocale::negativeMonetarySignPosition
    {70, 2119, 1724},	// KLocale::negativePrefixCurrencySymbol
    {70, 2120, 1719},	// KLocale::negativeSign
    {70, 2130, 1738},	// KLocale::nounDeclension
    {70, 2206, 1698},	// KLocale::operator=#
    {70, 2242, 1805},	// KLocale::pageSize
    {70, 2279, 1725},	// KLocale::positiveMonetarySignPosition
    {70, 2280, 1723},	// KLocale::positivePrefixCurrencySymbol
    {70, 2281, 1718},	// KLocale::positiveSign
    {70, 2288, 1737},	// KLocale::prettyFormatDuration$
    {70, 2370, 1856},	// KLocale::readDate$
    {70, 2371, -16},	// KLocale::readDate$$
    {70, 2372, -20},	// KLocale::readDate$$$
    {70, 2395, 1861},	// KLocale::readLocaleTime$
    {70, 2396, 1862},	// KLocale::readLocaleTime$$
    {70, 2397, 1863},	// KLocale::readLocaleTime$$$
    {70, 2398, 1766},	// KLocale::readLocaleTime$$$$
    {70, 2400, 1854},	// KLocale::readMoney$
    {70, 2401, 1759},	// KLocale::readMoney$$
    {70, 2404, 1855},	// KLocale::readNumber$
    {70, 2405, 1760},	// KLocale::readNumber$$
    {70, 2411, 1859},	// KLocale::readTime$
    {70, 2412, -23},	// KLocale::readTime$$
    {70, 2413, 1765},	// KLocale::readTime$$$
    {70, 2446, 1832},	// KLocale::removeAcceleratorMarker$
    {70, 2448, 1810},	// KLocale::removeCatalog$
    {70, 2530, 1811},	// KLocale::setActiveCatalog$
    {70, 2559, 1735},	// KLocale::setBinaryUnitDialect$
    {70, 2563, 1755},	// KLocale::setCalendar$
    {70, 2565, 1756},	// KLocale::setCalendarSystem$
    {70, 2583, 1827},	// KLocale::setCountry$#
    {70, 2585, 1828},	// KLocale::setCountryDivisionCode$
    {70, 2587, 1802},	// KLocale::setCurrencyCode$
    {70, 2589, 1803},	// KLocale::setCurrencySymbol$
    {70, 2608, 1776},	// KLocale::setDateFormat$
    {70, 2610, 1777},	// KLocale::setDateFormatShort$
    {70, 2614, 1778},	// KLocale::setDateMonthNamePossessive$
    {70, 2620, 1780},	// KLocale::setDateTimeDigitSet$
    {70, 2622, 1798},	// KLocale::setDecimalPlaces$
    {70, 2624, 1788},	// KLocale::setDecimalSymbol$
    {70, 2639, 1792},	// KLocale::setDigitSet$
    {70, 2645, 1707},	// KLocale::setEncoding$
    {70, 2674, 1797},	// KLocale::setFracDigits$
    {70, 2703, 1829},	// KLocale::setLanguage$#
    {70, 2704, 1830},	// KLocale::setLanguage?
    {70, 2780, 1819},	// KLocale::setMainCatalog$
    {70, 2792, 1808},	// KLocale::setMeasureSystem$
    {70, 2802, 1799},	// KLocale::setMonetaryDecimalPlaces$
    {70, 2804, 1801},	// KLocale::setMonetaryDecimalSymbol$
    {70, 2806, 1804},	// KLocale::setMonetaryDigitSet$
    {70, 2808, 1800},	// KLocale::setMonetaryThousandsSeparator$
    {70, 2812, 1794},	// KLocale::setNegativeMonetarySignPosition$
    {70, 2814, 1796},	// KLocale::setNegativePrefixCurrencySymbol$
    {70, 2816, 1791},	// KLocale::setNegativeSign$
    {70, 2832, 1806},	// KLocale::setPageSize$
    {70, 2846, 1793},	// KLocale::setPositiveMonetarySignPosition$
    {70, 2848, 1795},	// KLocale::setPositivePrefixCurrencySymbol$
    {70, 2850, 1790},	// KLocale::setPositiveSign$
    {70, 2913, 1789},	// KLocale::setThousandsSeparator$
    {70, 2917, 1779},	// KLocale::setTimeFormat$
    {70, 2943, 1784},	// KLocale::setWeekDayOfPray$
    {70, 2945, 1757},	// KLocale::setWeekNumberSystem$
    {70, 2947, 1781},	// KLocale::setWeekStartDay$
    {70, 2951, 1783},	// KLocale::setWorkingWeekEndDay$
    {70, 2953, 1782},	// KLocale::setWorkingWeekStartDay$
    {70, 2993, 1818},	// KLocale::splitLocale$$$$$
    {70, 3118, 1711},	// KLocale::thousandsSeparator
    {70, 3122, 1787},	// KLocale::timeFormat
    {70, 3187, 1812},	// KLocale::translateQt$$$
    {70, 3189, 1700},	// KLocale::translateRaw$$$
    {70, 3190, 1702},	// KLocale::translateRaw$$$$
    {70, 3191, 1704},	// KLocale::translateRaw$$$$$
    {70, 3192, 1706},	// KLocale::translateRaw$$$$$$
    {70, 3194, 1699},	// KLocale::translateRawFrom$$$$
    {70, 3195, 1701},	// KLocale::translateRawFrom$$$$$
    {70, 3196, 1703},	// KLocale::translateRawFrom$$$$$$
    {70, 3197, 1705},	// KLocale::translateRawFrom$$$$$$$
    {70, 3231, 1746},	// KLocale::use12Clock
    {70, 3234, 1824},	// KLocale::useTranscript
    {70, 3286, 1751},	// KLocale::weekDayOfPray
    {70, 3293, 1758},	// KLocale::weekNumberSystem
    {70, 3294, 1748},	// KLocale::weekStartDay
    {70, 3306, 1750},	// KLocale::workingWeekEndDay
    {70, 3307, 1749},	// KLocale::workingWeekStartDay
    {70, 3408, 1980},	// KLocale::~KLocale
    {71, 404, 1981},	// KLocalizedString::KLocalizedString
    {71, 405, 1982},	// KLocalizedString::KLocalizedString#
    {71, 1732, 1998},	// KLocalizedString::inContext$$
    {71, 1815, 1988},	// KLocalizedString::isEmpty
    {71, 2129, 1999},	// KLocalizedString::notifyCatalogsUpdated??
    {71, 2206, 1983},	// KLocalizedString::operator=#
    {71, 3072, 2022},	// KLocalizedString::subs#
    {71, 3073, 2023},	// KLocalizedString::subs#$
    {71, 3074, 1996},	// KLocalizedString::subs#$#
    {71, 3075, -604},	// KLocalizedString::subs$
    {71, 3076, -613},	// KLocalizedString::subs$$
    {71, 3077, 1997},	// KLocalizedString::subs$$#
    {71, 3078, -622},	// KLocalizedString::subs$$$
    {71, 3079, -630},	// KLocalizedString::subs$$$#
    {71, 3080, 2021},	// KLocalizedString::subs$$$$
    {71, 3081, 1995},	// KLocalizedString::subs$$$$#
    {71, 3138, 1984},	// KLocalizedString::toString
    {71, 3139, 1986},	// KLocalizedString::toString#
    {71, 3140, 1987},	// KLocalizedString::toString#$
    {71, 3141, 1985},	// KLocalizedString::toString$
    {71, 3409, 2026},	// KLocalizedString::~KLocalizedString
    {72, 139, 2042},	// KLockFile::ForceFlag
    {72, 407, 2034},	// KLockFile::KLockFile#
    {72, 408, 2035},	// KLockFile::KLockFile$
    {72, 409, 2027},	// KLockFile::KLockFile$#
    {72, 587, 2039},	// KLockFile::LockError
    {72, 588, 2038},	// KLockFile::LockFail
    {72, 589, 2037},	// KLockFile::LockOK
    {72, 590, 2040},	// KLockFile::LockStale
    {72, 612, 2041},	// KLockFile::NoBlockFlag
    {72, 1651, 2033},	// KLockFile::getLockInfo$$$
    {72, 1844, 2029},	// KLockFile::isLocked
    {72, 2011, 2036},	// KLockFile::lock
    {72, 2012, 2028},	// KLockFile::lock$
    {72, 2901, 2032},	// KLockFile::setStaleTime$
    {72, 2997, 2031},	// KLockFile::staleTime
    {72, 3210, 2030},	// KLockFile::unlock
    {72, 3410, 2043},	// KLockFile::~KLockFile
    {73, 410, 2044},	// KMD5::KMD5
    {73, 411, 2046},	// KMD5::KMD5#
    {73, 412, 2061},	// KMD5::KMD5$
    {73, 413, 2045},	// KMD5::KMD5$$
    {73, 1086, 2056},	// KMD5::base64Digest
    {73, 1511, 2060},	// KMD5::finalize
    {73, 1713, 2054},	// KMD5::hexDigest
    {73, 1714, 2055},	// KMD5::hexDigest#
    {73, 2354, 2052},	// KMD5::rawDigest
    {73, 2355, 2053},	// KMD5::rawDigest$
    {73, 2469, 2051},	// KMD5::reset
    {73, 3169, 2059},	// KMD5::transform$
    {73, 3219, -569},	// KMD5::update#
    {73, 3220, -572},	// KMD5::update$
    {73, 3221, -575},	// KMD5::update$$
    {73, 3258, 2058},	// KMD5::verify#
    {73, 3259, 2057},	// KMD5::verify$
    {73, 3411, 2064},	// KMD5::~KMD5
    {74, 1479, -416},	// KMacroExpander::expandMacros$?
    {74, 1480, -421},	// KMacroExpander::expandMacros$?#
    {74, 1484, -426},	// KMacroExpander::expandMacrosShellQuote$?
    {74, 1485, -431},	// KMacroExpander::expandMacrosShellQuote$?#
    {75, 414, 2090},	// KMacroExpanderBase::KMacroExpanderBase
    {75, 415, -724},	// KMacroExpanderBase::KMacroExpanderBase#
    {75, 1451, 2086},	// KMacroExpanderBase::escapeChar
    {75, 1473, 2088},	// KMacroExpanderBase::expandEscapedMacro$$?
    {75, 1478, 2082},	// KMacroExpanderBase::expandMacros$
    {75, 1482, 2084},	// KMacroExpanderBase::expandMacrosShellQuote$
    {75, 1483, 2083},	// KMacroExpanderBase::expandMacrosShellQuote$$
    {75, 1487, 2087},	// KMacroExpanderBase::expandPlainMacro$$?
    {75, 2659, 2085},	// KMacroExpanderBase::setEscapeChar#
    {75, 3412, 2091},	// KMacroExpanderBase::~KMacroExpanderBase
    {76, 123, 2095},	// KMessage::Error
    {76, 136, 2099},	// KMessage::Fatal
    {76, 174, 2096},	// KMessage::Information
    {76, 720, 2098},	// KMessage::Sorry
    {76, 802, 2097},	// KMessage::Warning
    {76, 2066, 2093},	// KMessage::message$$
    {76, 2067, 2092},	// KMessage::message$$$
    {76, 2796, 2094},	// KMessage::setMessageHandler#
    {77, 416, 2101},	// KMessageHandler::KMessageHandler
    {77, 417, 2102},	// KMessageHandler::KMessageHandler#
    {77, 2067, 2100},	// KMessageHandler::message$$$
    {77, 3413, 2103},	// KMessageHandler::~KMessageHandler
    {78, 107, 2154},	// KMimeType::DontResolveAlias
    {78, 419, 2134},	// KMimeType::KMimeType#
    {78, 420, 2132},	// KMimeType::KMimeType#$
    {78, 421, 2135},	// KMimeType::KMimeType#$$
    {78, 422, 2133},	// KMimeType::KMimeType$$$
    {78, 698, 2155},	// KMimeType::ResolveAliases
    {78, 1025, 2119},	// KMimeType::allMimeTypes
    {78, 1026, 2125},	// KMimeType::allParentMimeTypes
    {78, 1169, 2138},	// KMimeType::comment
    {78, 1170, 2107},	// KMimeType::comment#
    {78, 1334, 2120},	// KMimeType::defaultMimeType
    {78, 1335, 2121},	// KMimeType::defaultMimeTypePtr
    {78, 1491, 2129},	// KMimeType::extractKnownExtension$
    {78, 1499, 2106},	// KMimeType::favIconForUrl#
    {78, 1522, -646},	// KMimeType::findByContent#
    {78, 1523, -649},	// KMimeType::findByContent#$
    {78, 1525, 2153},	// KMimeType::findByFileContent$
    {78, 1526, 2116},	// KMimeType::findByFileContent$$
    {78, 1528, -652},	// KMimeType::findByNameAndContent$#
    {78, 1529, -655},	// KMimeType::findByNameAndContent$#$
    {78, 1530, -658},	// KMimeType::findByNameAndContent$#$$
    {78, 1532, 2144},	// KMimeType::findByPath$
    {78, 1533, 2145},	// KMimeType::findByPath$$
    {78, 1534, 2146},	// KMimeType::findByPath$$$
    {78, 1535, 2111},	// KMimeType::findByPath$$$$
    {78, 1537, 2140},	// KMimeType::findByUrl#
    {78, 1538, 2141},	// KMimeType::findByUrl#$
    {78, 1539, 2142},	// KMimeType::findByUrl#$$
    {78, 1540, 2143},	// KMimeType::findByUrl#$$$
    {78, 1541, 2110},	// KMimeType::findByUrl#$$$$
    {78, 1724, 2136},	// KMimeType::iconName
    {78, 1725, 2104},	// KMimeType::iconName#
    {78, 1727, 2137},	// KMimeType::iconNameForUrl#
    {78, 1728, 2105},	// KMimeType::iconNameForUrl#$
    {78, 1781, 2126},	// KMimeType::is$
    {78, 1792, 2117},	// KMimeType::isBinaryData$
    {78, 1794, 2118},	// KMimeType::isBufferBinaryData#
    {78, 1804, 2122},	// KMimeType::isDefault
    {78, 2047, 2128},	// KMimeType::mainExtension
    {78, 2056, 2130},	// KMimeType::matchFileName$$
    {78, 2070, 2139},	// KMimeType::mimeType$
    {78, 2071, 2109},	// KMimeType::mimeType$$
    {78, 2245, 2123},	// KMimeType::parentMimeType
    {78, 2246, 2124},	// KMimeType::parentMimeTypes
    {78, 2259, 2108},	// KMimeType::patterns
    {78, 2958, 2131},	// KMimeType::sharedMimeInfoVersion
    {78, 3238, 2127},	// KMimeType::userSpecifiedIconName
    {78, 3414, 2156},	// KMimeType::~KMimeType
    {80, 424, 2160},	// KMimeTypeTrader::KMimeTypeTrader#
    {80, 2285, 2163},	// KMimeTypeTrader::preferredService$
    {80, 2286, 2158},	// KMimeTypeTrader::preferredService$$
    {80, 2335, 2161},	// KMimeTypeTrader::query$
    {80, 2336, 2162},	// KMimeTypeTrader::query$$
    {80, 2337, 2157},	// KMimeTypeTrader::query$$$
    {80, 2507, 2159},	// KMimeTypeTrader::self
    {80, 3415, 2164},	// KMimeTypeTrader::~KMimeTypeTrader
    {82, 425, 2189},	// KPluginFactory::KPluginFactory
    {82, 426, -673},	// KPluginFactory::KPluginFactory#
    {82, 427, -678},	// KPluginFactory::KPluginFactory##
    {82, 428, 2190},	// KPluginFactory::KPluginFactory$
    {82, 429, 2191},	// KPluginFactory::KPluginFactory$$
    {82, 430, 2172},	// KPluginFactory::KPluginFactory$$#
    {82, 1173, 2176},	// KPluginFactory::componentData
    {82, 1215, 2194},	// KPluginFactory::create
    {82, 1216, 2195},	// KPluginFactory::create#
    {82, 1217, 2196},	// KPluginFactory::create#$
    {82, 1218, 2177},	// KPluginFactory::create#$?
    {82, 1221, 2186},	// KPluginFactory::create$##?$
    {82, 1226, 2183},	// KPluginFactory::createObject#$?
    {82, 1228, 2184},	// KPluginFactory::createPartObject##$?
    {82, 2068, 2165},	// KPluginFactory::metaObject
    {82, 2137, 2178},	// KPluginFactory::objectCreated#
    {82, 2331, 2171},	// KPluginFactory::qt_metacall$$?
    {82, 2333, 2166},	// KPluginFactory::qt_metacast$
    {82, 2575, 2185},	// KPluginFactory::setComponentData#
    {82, 2957, 2182},	// KPluginFactory::setupTranslations
    {82, 3056, 2198},	// KPluginFactory::staticMetaObject
    {82, 3069, 2180},	// KPluginFactory::stringListToVariantList?
    {82, 3158, 2187},	// KPluginFactory::tr$
    {82, 3159, 2167},	// KPluginFactory::tr$$
    {82, 3160, 2169},	// KPluginFactory::tr$$$
    {82, 3165, 2188},	// KPluginFactory::trUtf8$
    {82, 3166, 2168},	// KPluginFactory::trUtf8$$
    {82, 3167, 2170},	// KPluginFactory::trUtf8$$$
    {82, 3256, 2181},	// KPluginFactory::variantListToStringList?
    {82, 3416, 2199},	// KPluginFactory::~KPluginFactory
    {84, 431, 2202},	// KPluginInfo::KPluginInfo
    {84, 432, 2232},	// KPluginInfo::KPluginInfo#
    {84, 433, 2238},	// KPluginInfo::KPluginInfo$
    {84, 434, 2200},	// KPluginInfo::KPluginInfo$$
    {84, 435, 2201},	// KPluginInfo::KPluginInfo?
    {84, 1053, 2215},	// KPluginInfo::author
    {84, 1126, 2217},	// KPluginInfo::category
    {84, 1169, 2212},	// KPluginInfo::comment
    {84, 1178, 2227},	// KPluginInfo::config
    {84, 1340, 2230},	// KPluginInfo::defaults
    {84, 1352, 2223},	// KPluginInfo::dependencies
    {84, 1399, 2216},	// KPluginInfo::email
    {84, 1430, 2214},	// KPluginInfo::entryPath
    {84, 1621, 2240},	// KPluginInfo::fromFiles?
    {84, 1622, 2204},	// KPluginInfo::fromFiles?#
    {84, 1624, 2241},	// KPluginInfo::fromKPartsInstanceName$
    {84, 1625, 2205},	// KPluginInfo::fromKPartsInstanceName$#
    {84, 1633, 2239},	// KPluginInfo::fromServices?
    {84, 1634, 2203},	// KPluginInfo::fromServices?#
    {84, 1643, 2222},	// KPluginInfo::fullLicense
    {84, 1722, 2213},	// KPluginInfo::icon
    {84, 1831, 2206},	// KPluginInfo::isHidden
    {84, 1853, 2208},	// KPluginInfo::isPluginEnabled
    {84, 1854, 2209},	// KPluginInfo::isPluginEnabledByDefault
    {84, 1879, 2231},	// KPluginInfo::isValid
    {84, 1911, 2225},	// KPluginInfo::kcmServices
    {84, 1978, 2221},	// KPluginInfo::license
    {84, 1988, 2243},	// KPluginInfo::load
    {84, 1989, 2229},	// KPluginInfo::load#
    {84, 2109, 2211},	// KPluginInfo::name
    {84, 2166, 2235},	// KPluginInfo::operator!=#
    {84, 2188, 2236},	// KPluginInfo::operator<#
    {84, 2206, 2233},	// KPluginInfo::operator=#
    {84, 2209, 2234},	// KPluginInfo::operator==#
    {84, 2216, 2237},	// KPluginInfo::operator>#
    {84, 2272, 2218},	// KPluginInfo::pluginName
    {84, 2309, 2210},	// KPluginInfo::property$
    {84, 2491, 2242},	// KPluginInfo::save
    {84, 2492, 2228},	// KPluginInfo::save#
    {84, 2510, 2224},	// KPluginInfo::service
    {84, 2577, 2226},	// KPluginInfo::setConfig#
    {84, 2844, 2207},	// KPluginInfo::setPluginEnabled$
    {84, 3260, 2219},	// KPluginInfo::version
    {84, 3280, 2220},	// KPluginInfo::website
    {84, 3417, 2244},	// KPluginInfo::~KPluginInfo
    {85, 437, 2264},	// KPluginLoader::KPluginLoader#
    {85, 438, 2265},	// KPluginLoader::KPluginLoader##
    {85, 439, 2253},	// KPluginLoader::KPluginLoader###
    {85, 440, 2262},	// KPluginLoader::KPluginLoader$
    {85, 441, 2263},	// KPluginLoader::KPluginLoader$#
    {85, 442, 2252},	// KPluginLoader::KPluginLoader$##
    {85, 1446, 2257},	// KPluginLoader::errorString
    {85, 1494, 2254},	// KPluginLoader::factory
    {85, 1841, 2258},	// KPluginLoader::isLoaded
    {85, 1988, 2259},	// KPluginLoader::load
    {85, 2068, 2245},	// KPluginLoader::metaObject
    {85, 2272, 2255},	// KPluginLoader::pluginName
    {85, 2273, 2256},	// KPluginLoader::pluginVersion
    {85, 2331, 2251},	// KPluginLoader::qt_metacall$$?
    {85, 2333, 2246},	// KPluginLoader::qt_metacast$
    {85, 3056, 2266},	// KPluginLoader::staticMetaObject
    {85, 3158, 2260},	// KPluginLoader::tr$
    {85, 3159, 2247},	// KPluginLoader::tr$$
    {85, 3160, 2249},	// KPluginLoader::tr$$$
    {85, 3165, 2261},	// KPluginLoader::trUtf8$
    {85, 3166, 2248},	// KPluginLoader::trUtf8$$
    {85, 3167, 2250},	// KPluginLoader::trUtf8$$$
    {85, 3418, 2267},	// KPluginLoader::~KPluginLoader
    {86, 140, 2311},	// KProcess::ForwardedChannels
    {86, 443, 2300},	// KProcess::KProcess
    {86, 444, 2275},	// KProcess::KProcess#
    {86, 445, 2297},	// KProcess::KProcess##
    {86, 599, 2310},	// KProcess::MergedChannels
    {86, 640, 2313},	// KProcess::OnlyStderrChannel
    {86, 641, 2312},	// KProcess::OnlyStdoutChannel
    {86, 705, 2309},	// KProcess::SeparateChannels
    {86, 1155, 2281},	// KProcess::clearEnvironment
    {86, 1156, 2286},	// KProcess::clearProgram
    {86, 1460, 2303},	// KProcess::execute
    {86, 1461, -711},	// KProcess::execute$
    {86, 1462, 2305},	// KProcess::execute$?
    {86, 1463, 2291},	// KProcess::execute$?$
    {86, 1464, 2306},	// KProcess::execute?
    {86, 1465, 2292},	// KProcess::execute?$
    {86, 2068, 2268},	// KProcess::metaObject
    {86, 2197, 2284},	// KProcess::operator<<$
    {86, 2198, 2285},	// KProcess::operator<<?
    {86, 2241, 2277},	// KProcess::outputChannelMode
    {86, 2270, 2296},	// KProcess::pid
    {86, 2301, 2288},	// KProcess::program
    {86, 2331, 2274},	// KProcess::qt_metacall$$?
    {86, 2333, 2269},	// KProcess::qt_metacast$
    {86, 2648, 2301},	// KProcess::setEnv$$
    {86, 2649, 2279},	// KProcess::setEnv$$$
    {86, 2818, 2278},	// KProcess::setNextOpenMode$
    {86, 2830, 2276},	// KProcess::setOutputChannelMode$
    {86, 2860, 2302},	// KProcess::setProgram$
    {86, 2861, 2282},	// KProcess::setProgram$?
    {86, 2862, 2283},	// KProcess::setProgram?
    {86, 2888, 2287},	// KProcess::setShellCommand$
    {86, 2998, 2289},	// KProcess::start
    {86, 3000, 2293},	// KProcess::startDetached
    {86, 3001, 2307},	// KProcess::startDetached$
    {86, 3002, 2294},	// KProcess::startDetached$?
    {86, 3003, 2295},	// KProcess::startDetached?
    {86, 3056, 2308},	// KProcess::staticMetaObject
    {86, 3158, 2298},	// KProcess::tr$
    {86, 3159, 2270},	// KProcess::tr$$
    {86, 3160, 2272},	// KProcess::tr$$$
    {86, 3165, 2299},	// KProcess::trUtf8$
    {86, 3166, 2271},	// KProcess::trUtf8$$
    {86, 3167, 2273},	// KProcess::trUtf8$$$
    {86, 3215, 2280},	// KProcess::unsetEnv$
    {86, 3419, 2314},	// KProcess::~KProcess
    {88, 104, 2391},	// KProtocolInfo::DisplayName
    {88, 143, 2390},	// KProtocolInfo::FromUrl
    {88, 447, 2334},	// KProtocolInfo::KProtocolInfo#$
    {88, 608, 2389},	// KProtocolInfo::Name
    {88, 741, 2388},	// KProtocolInfo::T_ERROR
    {88, 742, 2386},	// KProtocolInfo::T_FILESYSTEM
    {88, 743, 2387},	// KProtocolInfo::T_NONE
    {88, 744, 2385},	// KProtocolInfo::T_STREAM
    {88, 1048, 2336},	// KProtocolInfo::archiveMimeTypes
    {88, 1114, 2339},	// KProtocolInfo::canDeleteRecursive
    {88, 1116, 2337},	// KProtocolInfo::canRenameFromFile
    {88, 1117, 2338},	// KProtocolInfo::canRenameToFile
    {88, 1119, 2332},	// KProtocolInfo::capabilities$
    {88, 1179, 2325},	// KProtocolInfo::config$
    {88, 1334, 2335},	// KProtocolInfo::defaultMimeType
    {88, 1371, 2328},	// KProtocolInfo::determineMimetypeFromExtension$
    {88, 1395, 2329},	// KProtocolInfo::docPath$
    {88, 1456, 2318},	// KProtocolInfo::exec$
    {88, 1489, 2319},	// KProtocolInfo::extraFields#
    {88, 1509, 2340},	// KProtocolInfo::fileNameUsedForCopying
    {88, 1723, 2324},	// KProtocolInfo::icon$
    {88, 1821, 2322},	// KProtocolInfo::isFilterProtocol#
    {88, 1822, 2323},	// KProtocolInfo::isFilterProtocol$
    {88, 1829, 2320},	// KProtocolInfo::isHelperProtocol#
    {88, 1830, 2321},	// KProtocolInfo::isHelperProtocol$
    {88, 1835, 2316},	// KProtocolInfo::isKnownProtocol#
    {88, 1836, 2317},	// KProtocolInfo::isKnownProtocol$
    {88, 2022, 2377},	// KProtocolInfo::m_canCopyFromFile
    {88, 2023, 2379},	// KProtocolInfo::m_canCopyToFile
    {88, 2024, 2381},	// KProtocolInfo::m_config
    {88, 2025, 2371},	// KProtocolInfo::m_defaultMimetype
    {88, 2026, 2373},	// KProtocolInfo::m_determineMimetypeFromExtension
    {88, 2028, 2343},	// KProtocolInfo::m_exec
    {88, 2029, 2375},	// KProtocolInfo::m_icon
    {88, 2030, 2345},	// KProtocolInfo::m_inputType
    {88, 2031, 2353},	// KProtocolInfo::m_isHelperProtocol
    {88, 2032, 2351},	// KProtocolInfo::m_isSourceProtocol
    {88, 2033, 2349},	// KProtocolInfo::m_listing
    {88, 2034, 2383},	// KProtocolInfo::m_maxSlaves
    {88, 2035, 2341},	// KProtocolInfo::m_name
    {88, 2036, 2347},	// KProtocolInfo::m_outputType
    {88, 2038, 2363},	// KProtocolInfo::m_supportsDeleting
    {88, 2039, 2365},	// KProtocolInfo::m_supportsLinking
    {88, 2040, 2355},	// KProtocolInfo::m_supportsListing
    {88, 2041, 2361},	// KProtocolInfo::m_supportsMakeDir
    {88, 2042, 2367},	// KProtocolInfo::m_supportsMoving
    {88, 2043, 2369},	// KProtocolInfo::m_supportsOpening
    {88, 2044, 2357},	// KProtocolInfo::m_supportsReading
    {88, 2045, 2359},	// KProtocolInfo::m_supportsWriting
    {88, 2059, 2326},	// KProtocolInfo::maxSlaves$
    {88, 2061, 2327},	// KProtocolInfo::maxSlavesPerHost$
    {88, 2318, 2330},	// KProtocolInfo::protocolClass$
    {88, 2319, 2315},	// KProtocolInfo::protocols
    {88, 2321, 2333},	// KProtocolInfo::proxiedBy$
    {88, 2732, 2378},	// KProtocolInfo::setM_canCopyFromFile$
    {88, 2734, 2380},	// KProtocolInfo::setM_canCopyToFile$
    {88, 2736, 2382},	// KProtocolInfo::setM_config$
    {88, 2738, 2372},	// KProtocolInfo::setM_defaultMimetype$
    {88, 2740, 2374},	// KProtocolInfo::setM_determineMimetypeFromExtension$
    {88, 2744, 2344},	// KProtocolInfo::setM_exec$
    {88, 2746, 2376},	// KProtocolInfo::setM_icon$
    {88, 2748, 2346},	// KProtocolInfo::setM_inputType$
    {88, 2750, 2354},	// KProtocolInfo::setM_isHelperProtocol$
    {88, 2752, 2352},	// KProtocolInfo::setM_isSourceProtocol$
    {88, 2754, 2350},	// KProtocolInfo::setM_listing?
    {88, 2756, 2384},	// KProtocolInfo::setM_maxSlaves$
    {88, 2758, 2342},	// KProtocolInfo::setM_name$
    {88, 2760, 2348},	// KProtocolInfo::setM_outputType$
    {88, 2764, 2364},	// KProtocolInfo::setM_supportsDeleting$
    {88, 2766, 2366},	// KProtocolInfo::setM_supportsLinking$
    {88, 2768, 2356},	// KProtocolInfo::setM_supportsListing$
    {88, 2770, 2362},	// KProtocolInfo::setM_supportsMakeDir$
    {88, 2772, 2368},	// KProtocolInfo::setM_supportsMoving$
    {88, 2774, 2370},	// KProtocolInfo::setM_supportsOpening$
    {88, 2776, 2358},	// KProtocolInfo::setM_supportsReading$
    {88, 2778, 2360},	// KProtocolInfo::setM_supportsWriting$
    {88, 2965, 2331},	// KProtocolInfo::showFilePreview$
    {88, 3420, 2392},	// KProtocolInfo::~KProtocolInfo
    {89, 82, 2401},	// KProtocolInfo::ExtraField::DateTime
    {89, 130, 2393},	// KProtocolInfo::ExtraField::ExtraField
    {89, 131, 2395},	// KProtocolInfo::ExtraField::ExtraField#
    {89, 132, 2394},	// KProtocolInfo::ExtraField::ExtraField$$
    {89, 176, 2402},	// KProtocolInfo::ExtraField::Invalid
    {89, 736, 2400},	// KProtocolInfo::ExtraField::String
    {89, 2109, 2396},	// KProtocolInfo::ExtraField::name
    {89, 2810, 2397},	// KProtocolInfo::ExtraField::setName$
    {89, 2932, 2399},	// KProtocolInfo::ExtraField::setType$
    {89, 3200, 2398},	// KProtocolInfo::ExtraField::type
    {89, 3353, 2403},	// KProtocolInfo::ExtraField::~ExtraField
    {90, 2351, 2405},	// KRandom::random
    {90, 2353, 2404},	// KRandom::randomString$
    {91, 448, 2414},	// KRandomSequence::KRandomSequence
    {91, 449, 2407},	// KRandomSequence::KRandomSequence#
    {91, 450, 2406},	// KRandomSequence::KRandomSequence$
    {91, 1646, 2412},	// KRandomSequence::getBool
    {91, 1649, 2410},	// KRandomSequence::getDouble
    {91, 1653, 2411},	// KRandomSequence::getLong$
    {91, 2079, 2413},	// KRandomSequence::modulate$
    {91, 2206, 2408},	// KRandomSequence::operator=#
    {91, 2881, 2415},	// KRandomSequence::setSeed
    {91, 2882, 2409},	// KRandomSequence::setSeed$
    {91, 3421, 2416},	// KRandomSequence::~KRandomSequence
    {92, 470, 2417},	// KSaveFile::KSaveFile
    {92, 471, 2430},	// KSaveFile::KSaveFile$
    {92, 472, 2418},	// KSaveFile::KSaveFile$#
    {92, 840, 2424},	// KSaveFile::abort
    {92, 1081, 2432},	// KSaveFile::backupFile$
    {92, 1082, 2426},	// KSaveFile::backupFile$$
    {92, 1443, 2421},	// KSaveFile::error
    {92, 1446, 2422},	// KSaveFile::errorString
    {92, 1507, 2420},	// KSaveFile::fileName
    {92, 1511, 2425},	// KSaveFile::finalize
    {92, 2132, 2435},	// KSaveFile::numberedBackupFile$
    {92, 2133, 2436},	// KSaveFile::numberedBackupFile$$
    {92, 2134, 2437},	// KSaveFile::numberedBackupFile$$$
    {92, 2135, 2428},	// KSaveFile::numberedBackupFile$$$$
    {92, 2152, 2431},	// KSaveFile::open
    {92, 2153, 2423},	// KSaveFile::open$
    {92, 2357, 2438},	// KSaveFile::rcsBackupFile$
    {92, 2358, 2439},	// KSaveFile::rcsBackupFile$$
    {92, 2359, 2429},	// KSaveFile::rcsBackupFile$$$
    {92, 2667, 2419},	// KSaveFile::setFileName$
    {92, 2969, 2433},	// KSaveFile::simpleBackupFile$
    {92, 2970, 2434},	// KSaveFile::simpleBackupFile$$
    {92, 2971, 2427},	// KSaveFile::simpleBackupFile$$$
    {92, 3422, 2440},	// KSaveFile::~KSaveFile
    {93, 77, 2496},	// KService::DBusMulti
    {93, 78, 2494},	// KService::DBusNone
    {93, 79, 2495},	// KService::DBusUnique
    {93, 80, 2497},	// KService::DBusWait
    {93, 474, 2443},	// KService::KService#
    {93, 475, 2444},	// KService::KService#$
    {93, 476, 2442},	// KService::KService$
    {93, 477, 2441},	// KService::KService$$$
    {93, 836, 2491},	// KService::_k_accessServiceTypes
    {93, 854, 2470},	// KService::actions
    {93, 1029, 2489},	// KService::allServices
    {93, 1035, 2469},	// KService::allowAsDefault
    {93, 1037, 2471},	// KService::allowMultipleFiles
    {93, 1125, 2464},	// KService::categories
    {93, 1169, 2460},	// KService::comment
    {93, 1315, 2458},	// KService::dbusStartupType
    {93, 1363, 2455},	// KService::desktopEntryName
    {93, 1364, 2454},	// KService::desktopEntryPath
    {93, 1394, 2477},	// KService::docPath
    {93, 1455, 2447},	// KService::exec
    {93, 1645, 2461},	// KService::genericName
    {93, 1691, 2467},	// KService::hasMimeType#
    {93, 1692, 2468},	// KService::hasMimeType$
    {93, 1704, 2466},	// KService::hasServiceType$
    {93, 1722, 2449},	// KService::icon
    {93, 1748, 2472},	// KService::initialPreference
    {93, 1782, 2445},	// KService::isApplication
    {93, 1934, 2463},	// KService::keywords
    {93, 1975, 2448},	// KService::library
    {93, 2004, 2480},	// KService::locateLocal
    {93, 2064, 2456},	// KService::menuId
    {93, 2123, 2492},	// KService::newServicePath$$
    {93, 2124, 2493},	// KService::newServicePath$$$
    {93, 2125, 2490},	// KService::newServicePath$$$?
    {93, 2127, 2473},	// KService::noDisplay
    {93, 2244, 2475},	// KService::parentApp
    {93, 2255, 2459},	// KService::path
    {93, 2271, 2476},	// KService::pluginKeyword
    {93, 2309, 2479},	// KService::property$
    {93, 2310, 2478},	// KService::property$$
    {93, 2512, 2486},	// KService::serviceByDesktopName$
    {93, 2514, 2485},	// KService::serviceByDesktopPath$
    {93, 2516, 2487},	// KService::serviceByMenuId$
    {93, 2518, 2484},	// KService::serviceByName$
    {93, 2520, 2488},	// KService::serviceByStorageId$
    {93, 2526, 2465},	// KService::serviceTypes
    {93, 2794, 2481},	// KService::setMenuId$
    {93, 2907, 2482},	// KService::setTerminal$
    {93, 2909, 2483},	// KService::setTerminalOptions$
    {93, 2966, 2474},	// KService::showInKDE
    {93, 3064, 2457},	// KService::storageId
    {93, 3082, 2452},	// KService::substituteUid
    {93, 3112, 2450},	// KService::terminal
    {93, 3113, 2451},	// KService::terminalOptions
    {93, 3200, 2446},	// KService::type
    {93, 3216, 2462},	// KService::untranslatedGenericName
    {93, 3239, 2453},	// KService::username
    {93, 3423, 2498},	// KService::~KService
    {94, 478, 2500},	// KServiceAction::KServiceAction
    {94, 479, 2501},	// KServiceAction::KServiceAction#
    {94, 480, 2511},	// KServiceAction::KServiceAction$$$$
    {94, 481, 2499},	// KServiceAction::KServiceAction$$$$$
    {94, 1255, 2504},	// KServiceAction::data
    {94, 1455, 2508},	// KServiceAction::exec
    {94, 1722, 2507},	// KServiceAction::icon
    {94, 1862, 2510},	// KServiceAction::isSeparator
    {94, 2109, 2505},	// KServiceAction::name
    {94, 2127, 2509},	// KServiceAction::noDisplay
    {94, 2206, 2502},	// KServiceAction::operator=#
    {94, 2597, 2503},	// KServiceAction::setData#
    {94, 3117, 2506},	// KServiceAction::text
    {94, 3424, 2512},	// KServiceAction::~KServiceAction
    {95, 18, 2554},	// KServiceGroup::AllowSeparators
    {95, 125, 2553},	// KServiceGroup::ExcludeNoDisplay
    {95, 483, 2515},	// KServiceGroup::KServiceGroup#$$
    {95, 484, 2513},	// KServiceGroup::KServiceGroup$
    {95, 485, 2514},	// KServiceGroup::KServiceGroup$$
    {95, 620, 2551},	// KServiceGroup::NoOptions
    {95, 721, 2555},	// KServiceGroup::SortByGenericName
    {95, 722, 2552},	// KServiceGroup::SortEntries
    {95, 889, 2546},	// KServiceGroup::addEntry?
    {95, 1036, 2528},	// KServiceGroup::allowInline
    {95, 1093, 2542},	// KServiceGroup::baseGroup$
    {95, 1094, 2540},	// KServiceGroup::baseGroupName
    {95, 1120, 2517},	// KServiceGroup::caption
    {95, 1144, 2520},	// KServiceGroup::childCount
    {95, 1147, 2545},	// KServiceGroup::childGroup$
    {95, 1169, 2519},	// KServiceGroup::comment
    {95, 1385, 2541},	// KServiceGroup::directoryEntryPath
    {95, 1423, 2548},	// KServiceGroup::entries
    {95, 1424, 2537},	// KServiceGroup::entries$
    {95, 1425, 2536},	// KServiceGroup::entries$$
    {95, 1426, 2547},	// KServiceGroup::entries$$$
    {95, 1427, 2535},	// KServiceGroup::entries$$$$
    {95, 1661, 2544},	// KServiceGroup::group$
    {95, 1662, 2549},	// KServiceGroup::groupEntries
    {95, 1663, 2538},	// KServiceGroup::groupEntries$
    {95, 1722, 2518},	// KServiceGroup::icon
    {95, 1749, 2526},	// KServiceGroup::inlineAlias
    {95, 1750, 2530},	// KServiceGroup::inlineValue
    {95, 1970, 2534},	// KServiceGroup::layoutInfo
    {95, 2127, 2521},	// KServiceGroup::noDisplay
    {95, 2433, 2516},	// KServiceGroup::relPath
    {95, 2487, 2543},	// KServiceGroup::root
    {95, 2521, 2550},	// KServiceGroup::serviceEntries
    {95, 2522, 2539},	// KServiceGroup::serviceEntries$
    {95, 2534, 2529},	// KServiceGroup::setAllowInline$
    {95, 2690, 2527},	// KServiceGroup::setInlineAlias$
    {95, 2692, 2531},	// KServiceGroup::setInlineValue$
    {95, 2708, 2533},	// KServiceGroup::setLayoutInfo?
    {95, 2892, 2523},	// KServiceGroup::setShowEmptyMenu$
    {95, 2894, 2525},	// KServiceGroup::setShowInlineHeader$
    {95, 2962, 2522},	// KServiceGroup::showEmptyMenu
    {95, 2967, 2524},	// KServiceGroup::showInlineHeader
    {95, 3088, 2532},	// KServiceGroup::suppressGenericNames
    {95, 3425, 2556},	// KServiceGroup::~KServiceGroup
    {96, 487, -738},	// KServiceType::KServiceType#
    {96, 488, 2558},	// KServiceType::KServiceType#$
    {96, 489, 2573},	// KServiceType::KServiceType#$$
    {96, 1028, 2571},	// KServiceType::allServiceTypes
    {96, 1169, 2559},	// KServiceType::comment
    {96, 1364, 2560},	// KServiceType::desktopEntryPath
    {96, 1739, 2563},	// KServiceType::inherits$
    {96, 1806, 2561},	// KServiceType::isDerived
    {96, 2247, 2562},	// KServiceType::parentServiceType
    {96, 2248, 2567},	// KServiceType::parentType
    {96, 2312, 2564},	// KServiceType::propertyDef$
    {96, 2313, 2565},	// KServiceType::propertyDefNames
    {96, 2314, 2566},	// KServiceType::propertyDefs
    {96, 2523, 2569},	// KServiceType::serviceOffersOffset
    {96, 2525, 2570},	// KServiceType::serviceType$
    {96, 2884, 2568},	// KServiceType::setServiceOffersOffset$
    {96, 3426, 2574},	// KServiceType::~KServiceType
    {98, 1045, 2579},	// KServiceTypeTrader::applyConstraints?$
    {98, 1337, 2581},	// KServiceTypeTrader::defaultOffers$
    {98, 1338, 2576},	// KServiceTypeTrader::defaultOffers$$
    {98, 2285, 2577},	// KServiceTypeTrader::preferredService$
    {98, 2335, 2580},	// KServiceTypeTrader::query$
    {98, 2336, 2575},	// KServiceTypeTrader::query$$
    {98, 2507, 2578},	// KServiceTypeTrader::self
    {98, 3427, 2582},	// KServiceTypeTrader::~KServiceTypeTrader
    {99, 2156, 2585},	// KSharedConfig::openConfig
    {99, 2157, 2588},	// KSharedConfig::openConfig#
    {99, 2158, 2589},	// KSharedConfig::openConfig#$
    {99, 2159, 2590},	// KSharedConfig::openConfig#$$
    {99, 2160, 2584},	// KSharedConfig::openConfig#$$$
    {99, 2161, 2586},	// KSharedConfig::openConfig$
    {99, 2162, 2587},	// KSharedConfig::openConfig$$
    {99, 2163, 2583},	// KSharedConfig::openConfig$$$
    {99, 3428, 2591},	// KSharedConfig::~KSharedConfig
    {100, 2, 2600},	// KShell::AbortOnMeta
    {100, 37, 2602},	// KShell::BadQuoting
    {100, 142, 2603},	// KShell::FoundMeta
    {100, 617, 2601},	// KShell::NoError
    {100, 620, 2598},	// KShell::NoOptions
    {100, 752, 2599},	// KShell::TildeExpand
    {100, 1895, 2597},	// KShell::joinArgs?
    {100, 2343, 2596},	// KShell::quoteArg$
    {100, 2989, 2594},	// KShell::splitArgs$
    {100, 2990, 2595},	// KShell::splitArgs$$
    {100, 2991, 2593},	// KShell::splitArgs$$$
    {100, 3120, 2592},	// KShell::tildeExpand$
    {101, 1183, 2622},	// KSocketFactory::connectToHost#
    {101, 1184, -708},	// KSocketFactory::connectToHost##
    {101, 1185, 2618},	// KSocketFactory::connectToHost#$$$
    {101, 1186, 2605},	// KSocketFactory::connectToHost$$$
    {101, 1187, 2604},	// KSocketFactory::connectToHost$$$#
    {101, 1261, 2614},	// KSocketFactory::datagramSocket$$
    {101, 1262, 2613},	// KSocketFactory::datagramSocket$$#
    {101, 1983, 2610},	// KSocketFactory::listen$
    {101, 1984, 2611},	// KSocketFactory::listen$#
    {101, 1985, 2612},	// KSocketFactory::listen$#$
    {101, 1986, 2609},	// KSocketFactory::listen$#$#
    {101, 2323, 2619},	// KSocketFactory::proxyForConnection$$
    {101, 2325, 2620},	// KSocketFactory::proxyForDatagram$$
    {101, 2327, 2626},	// KSocketFactory::proxyForListening$
    {101, 3097, 2616},	// KSocketFactory::synchronousConnectToHost#
    {101, 3098, 2625},	// KSocketFactory::synchronousConnectToHost##
    {101, 3099, 2624},	// KSocketFactory::synchronousConnectToHost##$
    {101, 3100, 2617},	// KSocketFactory::synchronousConnectToHost#$
    {101, 3101, 2615},	// KSocketFactory::synchronousConnectToHost#$#
    {101, 3102, 2628},	// KSocketFactory::synchronousConnectToHost#$$$
    {101, 3103, 2627},	// KSocketFactory::synchronousConnectToHost#$$$$
    {101, 3104, 2607},	// KSocketFactory::synchronousConnectToHost$$$
    {101, 3105, 2608},	// KSocketFactory::synchronousConnectToHost$$$$
    {101, 3106, 2606},	// KSocketFactory::synchronousConnectToHost$$$$#
    {102, 169, 2690},	// KStandardDirs::IgnoreExecBit
    {102, 490, 2629},	// KStandardDirs::KStandardDirs
    {102, 616, 2689},	// KStandardDirs::NoDuplicates
    {102, 623, 2687},	// KStandardDirs::NoSearchOptions
    {102, 690, 2688},	// KStandardDirs::Recursive
    {102, 882, 2647},	// KStandardDirs::addCustomized#
    {102, 981, 2630},	// KStandardDirs::addPrefix$
    {102, 985, 2671},	// KStandardDirs::addResourceDir$$
    {102, 986, 2636},	// KStandardDirs::addResourceDir$$$
    {102, 988, 2668},	// KStandardDirs::addResourceType$$
    {102, 989, -714},	// KStandardDirs::addResourceType$$$
    {102, 990, -718},	// KStandardDirs::addResourceType$$$$
    {102, 1009, 2631},	// KStandardDirs::addXdgConfigPrefix$
    {102, 1011, 2632},	// KStandardDirs::addXdgDataPrefix$
    {102, 1032, 2649},	// KStandardDirs::allTypes
    {102, 1102, 2673},	// KStandardDirs::calcResourceHash$$
    {102, 1103, 2639},	// KStandardDirs::calcResourceHash$$$
    {102, 1135, 2667},	// KStandardDirs::checkAccess$$
    {102, 1471, 2661},	// KStandardDirs::exists$
    {102, 1513, 2679},	// KStandardDirs::findAllExe?$
    {102, 1514, 2680},	// KStandardDirs::findAllExe?$$
    {102, 1515, 2646},	// KStandardDirs::findAllExe?$$$
    {102, 1517, 2674},	// KStandardDirs::findAllResources$
    {102, 1518, 2675},	// KStandardDirs::findAllResources$$
    {102, 1519, 2642},	// KStandardDirs::findAllResources$$$
    {102, 1520, 2643},	// KStandardDirs::findAllResources$$$?
    {102, 1545, 2640},	// KStandardDirs::findDirs$$
    {102, 1549, 2677},	// KStandardDirs::findExe$
    {102, 1550, 2678},	// KStandardDirs::findExe$$
    {102, 1551, 2645},	// KStandardDirs::findExe$$$
    {102, 1564, 2637},	// KStandardDirs::findResource$$
    {102, 1566, 2641},	// KStandardDirs::findResourceDir$$
    {102, 1754, 2660},	// KStandardDirs::installPath$
    {102, 1859, 2672},	// KStandardDirs::isRestrictedResource$
    {102, 1860, 2638},	// KStandardDirs::isRestrictedResource$$
    {102, 1915, 2653},	// KStandardDirs::kde_default$
    {102, 1935, 2654},	// KStandardDirs::kfsstnd_prefixes
    {102, 1936, 2655},	// KStandardDirs::kfsstnd_xdg_conf_prefixes
    {102, 1937, 2656},	// KStandardDirs::kfsstnd_xdg_data_prefixes
    {102, 1998, 2657},	// KStandardDirs::localkdedir
    {102, 1999, 2659},	// KStandardDirs::localxdgconfdir
    {102, 2000, 2658},	// KStandardDirs::localxdgdatadir
    {102, 2002, 2684},	// KStandardDirs::locate$$
    {102, 2003, 2664},	// KStandardDirs::locate$$#
    {102, 2006, 2685},	// KStandardDirs::locateLocal$$
    {102, 2007, 2665},	// KStandardDirs::locateLocal$$#
    {102, 2008, 2686},	// KStandardDirs::locateLocal$$$
    {102, 2009, 2666},	// KStandardDirs::locateLocal$$$#
    {102, 2049, 2683},	// KStandardDirs::makeDir$
    {102, 2050, 2652},	// KStandardDirs::makeDir$$
    {102, 2423, 2663},	// KStandardDirs::realFilePath$
    {102, 2426, 2662},	// KStandardDirs::realPath$
    {102, 2435, 2651},	// KStandardDirs::relativeLocation$$
    {102, 2479, 2648},	// KStandardDirs::resourceDirs$
    {102, 2496, 2681},	// KStandardDirs::saveLocation$
    {102, 2497, 2682},	// KStandardDirs::saveLocation$$
    {102, 2498, 2650},	// KStandardDirs::saveLocation$$$
    {102, 3107, 2676},	// KStandardDirs::systemPaths
    {102, 3108, 2644},	// KStandardDirs::systemPaths$
    {102, 3429, 2691},	// KStandardDirs::~KStandardDirs
    {103, 1122, 2708},	// KStringHandler::capwords$
    {103, 1123, 2697},	// KStringHandler::capwords?
    {103, 1231, 2707},	// KStringHandler::csqueeze$
    {103, 1232, 2706},	// KStringHandler::csqueeze$$
    {103, 1616, 2709},	// KStringHandler::from8Bit$
    {103, 1878, 2710},	// KStringHandler::isUtf8$
    {103, 2016, 2701},	// KStringHandler::lsqueeze$
    {103, 2017, 2700},	// KStringHandler::lsqueeze$$
    {103, 2116, 2699},	// KStringHandler::naturalCompare$$
    {103, 2117, 2698},	// KStringHandler::naturalCompare$$$
    {103, 2139, 2696},	// KStringHandler::obscure$
    {103, 2264, -804},	// KStringHandler::perlSplit#$
    {103, 2265, -807},	// KStringHandler::perlSplit#$$
    {103, 2266, 2704},	// KStringHandler::perlSplit$$
    {103, 2267, 2703},	// KStringHandler::perlSplit$$$
    {103, 2283, 2702},	// KStringHandler::preProcessWrap$
    {103, 2489, 2712},	// KStringHandler::rsqueeze$
    {103, 2490, 2711},	// KStringHandler::rsqueeze$$
    {103, 3110, 2705},	// KStringHandler::tagUrls$
    {104, 147, 2748},	// KSycoca::GlobalDatabase
    {104, 492, 2720},	// KSycoca::KSycoca$
    {104, 583, 2747},	// KSycoca::LocalDatabase
    {104, 843, 2743},	// KSycoca::absoluteFilePath
    {104, 844, 2726},	// KSycoca::absoluteFilePath?
    {104, 891, 2731},	// KSycoca::addFactory#
    {104, 1027, 2730},	// KSycoca::allResourceDirs
    {104, 1258, 2737},	// KSycoca::databaseChanged
    {104, 1259, 2738},	// KSycoca::databaseChanged?
    {104, 1387, 2733},	// KSycoca::disableAutoRebuild
    {104, 1493, 2739},	// KSycoca::factories
    {104, 1547, 2723},	// KSycoca::findEntry$$
    {104, 1553, 2724},	// KSycoca::findFactory$
    {104, 1576, 2735},	// KSycoca::flagError
    {104, 1790, 2722},	// KSycoca::isAvailable
    {104, 1795, 2732},	// KSycoca::isBuilding
    {104, 1797, 2734},	// KSycoca::isChanged$
    {104, 1935, 2725},	// KSycoca::kfsstnd_prefixes
    {104, 1955, 2727},	// KSycoca::language
    {104, 2037, 2745},	// KSycoca::m_str_deprecated
    {104, 2068, 2713},	// KSycoca::metaObject
    {104, 2331, 2719},	// KSycoca::qt_metacall$$?
    {104, 2333, 2714},	// KSycoca::qt_metacast$
    {104, 2387, 2736},	// KSycoca::readError
    {104, 2762, 2746},	// KSycoca::setM_str_deprecated#
    {104, 3056, 2744},	// KSycoca::staticMetaObject
    {104, 3067, 2740},	// KSycoca::stream
    {104, 3124, 2728},	// KSycoca::timeStamp
    {104, 3158, 2741},	// KSycoca::tr$
    {104, 3159, 2715},	// KSycoca::tr$$
    {104, 3160, 2717},	// KSycoca::tr$$$
    {104, 3165, 2742},	// KSycoca::trUtf8$
    {104, 3166, 2716},	// KSycoca::trUtf8$$
    {104, 3167, 2718},	// KSycoca::trUtf8$$$
    {104, 3224, 2729},	// KSycoca::updateSignature
    {104, 3260, 2721},	// KSycoca::version
    {104, 3430, 2749},	// KSycoca::~KSycoca
    {105, 493, 2750},	// KSycocaEntry::KSycocaEntry
    {105, 494, 2766},	// KSycocaEntry::KSycocaEntry#
    {105, 1430, 2756},	// KSycocaEntry::entryPath
    {105, 1805, 2759},	// KSycocaEntry::isDeleted
    {105, 1862, 2763},	// KSycocaEntry::isSeparator
    {105, 1875, 2751},	// KSycocaEntry::isType$
    {105, 1879, 2758},	// KSycocaEntry::isValid
    {105, 2109, 2755},	// KSycocaEntry::name
    {105, 2142, 2764},	// KSycocaEntry::offset
    {105, 2309, 2760},	// KSycocaEntry::property$
    {105, 2315, 2761},	// KSycocaEntry::propertyNames
    {105, 2361, 2753},	// KSycocaEntry::read#$
    {105, 2362, 2754},	// KSycocaEntry::read#?
    {105, 2492, 2765},	// KSycocaEntry::save#
    {105, 2632, 2762},	// KSycocaEntry::setDeleted$
    {105, 3064, 2757},	// KSycocaEntry::storageId
    {105, 3093, 2752},	// KSycocaEntry::sycocaType
    {105, 3431, 2767},	// KSycocaEntry::~KSycocaEntry
    {109, 496, 2769},	// KSystemTimeZone::KSystemTimeZone#
    {109, 497, 2770},	// KSystemTimeZone::KSystemTimeZone#$
    {109, 498, 2771},	// KSystemTimeZone::KSystemTimeZone#$$
    {109, 499, 2772},	// KSystemTimeZone::KSystemTimeZone#$$$
    {109, 500, 2773},	// KSystemTimeZone::KSystemTimeZone#$$$$
    {109, 501, 2768},	// KSystemTimeZone::KSystemTimeZone#$$$$$
    {109, 3432, 2774},	// KSystemTimeZone::~KSystemTimeZone
    {110, 503, 2783},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#
    {110, 504, 2775},	// KSystemTimeZoneBackend::KSystemTimeZoneBackend#$$$$$
    {110, 1158, 2776},	// KSystemTimeZoneBackend::clone
    {110, 1810, 2782},	// KSystemTimeZoneBackend::isDst#$
    {110, 1814, 2781},	// KSystemTimeZoneBackend::isDstAtUtc##
    {110, 2143, 2780},	// KSystemTimeZoneBackend::offset#$
    {110, 2147, 2779},	// KSystemTimeZoneBackend::offsetAtUtc##
    {110, 2150, 2778},	// KSystemTimeZoneBackend::offsetAtZoneTime##$
    {110, 3200, 2777},	// KSystemTimeZoneBackend::type
    {110, 3433, 2784},	// KSystemTimeZoneBackend::~KSystemTimeZoneBackend
    {111, 505, 2785},	// KSystemTimeZoneSource::KSystemTimeZoneSource
    {111, 506, 2789},	// KSystemTimeZoneSource::KSystemTimeZoneSource#
    {111, 1422, 2788},	// KSystemTimeZoneSource::endParseBlock
    {111, 2251, 2786},	// KSystemTimeZoneSource::parse#
    {111, 3004, 2787},	// KSystemTimeZoneSource::startParseBlock
    {111, 3434, 2790},	// KSystemTimeZoneSource::~KSystemTimeZoneSource
    {112, 1868, 2805},	// KSystemTimeZones::isSimulated
    {112, 1873, 2807},	// KSystemTimeZones::isTimeZoneDaemonAvailable
    {112, 1992, 2802},	// KSystemTimeZones::local
    {112, 2068, 2791},	// KSystemTimeZones::metaObject
    {112, 2331, 2797},	// KSystemTimeZones::qt_metacall$$?
    {112, 2333, 2792},	// KSystemTimeZones::qt_metacast$
    {112, 2420, 2801},	// KSystemTimeZones::readZone$
    {112, 2424, 2803},	// KSystemTimeZones::realLocalZone
    {112, 2718, 2804},	// KSystemTimeZones::setLocalZone#
    {112, 3056, 2810},	// KSystemTimeZones::staticMetaObject
    {112, 3127, 2798},	// KSystemTimeZones::timeZones
    {112, 3158, 2808},	// KSystemTimeZones::tr$
    {112, 3159, 2793},	// KSystemTimeZones::tr$$
    {112, 3160, 2795},	// KSystemTimeZones::tr$$$
    {112, 3165, 2809},	// KSystemTimeZones::trUtf8$
    {112, 3166, 2794},	// KSystemTimeZones::trUtf8$$
    {112, 3167, 2796},	// KSystemTimeZones::trUtf8$$$
    {112, 3344, 2800},	// KSystemTimeZones::zone$
    {112, 3345, 2806},	// KSystemTimeZones::zoneinfoDir
    {112, 3346, 2799},	// KSystemTimeZones::zones
    {112, 3435, 2811},	// KSystemTimeZones::~KSystemTimeZones
    {113, 507, 2821},	// KTempDir::KTempDir
    {113, 508, 2822},	// KTempDir::KTempDir$
    {113, 509, 2812},	// KTempDir::KTempDir$$
    {113, 1066, 2814},	// KTempDir::autoRemove
    {113, 1222, 2820},	// KTempDir::create$$
    {113, 1470, 2818},	// KTempDir::exists
    {113, 2109, 2816},	// KTempDir::name
    {113, 2450, 2819},	// KTempDir::removeDir$
    {113, 2553, 2813},	// KTempDir::setAutoRemove$
    {113, 3059, 2815},	// KTempDir::status
    {113, 3206, 2817},	// KTempDir::unlink
    {113, 3436, 2823},	// KTempDir::~KTempDir
    {114, 510, 2827},	// KTemporaryFile::KTemporaryFile
    {114, 511, 2824},	// KTemporaryFile::KTemporaryFile#
    {114, 2852, 2825},	// KTemporaryFile::setPrefix$
    {114, 2905, 2826},	// KTemporaryFile::setSuffix$
    {114, 3437, 2828},	// KTemporaryFile::~KTemporaryFile
    {115, 179, 2883},	// KTimeZone::InvalidOffset
    {115, 180, 2884},	// KTimeZone::InvalidTime_t
    {115, 512, 2829},	// KTimeZone::KTimeZone
    {115, 513, -810},	// KTimeZone::KTimeZone#
    {115, 514, 2830},	// KTimeZone::KTimeZone$
    {115, 768, 2885},	// KTimeZone::UNKNOWN
    {115, 838, 2843},	// KTimeZone::abbreviation#
    {115, 839, 2842},	// KTimeZone::abbreviations
    {115, 1169, 2841},	// KTimeZone::comment
    {115, 1196, 2845},	// KTimeZone::convert##
    {115, 1211, 2838},	// KTimeZone::countryCode
    {115, 1247, 2871},	// KTimeZone::currentOffset
    {115, 1248, 2848},	// KTimeZone::currentOffset$
    {115, 1255, 2881},	// KTimeZone::data
    {115, 1256, 2863},	// KTimeZone::data$
    {115, 1642, 2865},	// KTimeZone::fromTime_t$
    {115, 1709, 2855},	// KTimeZone::hasTransitions
    {115, 1811, 2853},	// KTimeZone::isDst$
    {115, 1813, 2852},	// KTimeZone::isDstAtUtc#
    {115, 1879, 2836},	// KTimeZone::isValid
    {115, 1969, 2839},	// KTimeZone::latitude
    {115, 1973, 2860},	// KTimeZone::leapSecondChanges
    {115, 2014, 2840},	// KTimeZone::longitude
    {115, 2109, 2837},	// KTimeZone::name
    {115, 2144, 2851},	// KTimeZone::offset$
    {115, 2146, 2850},	// KTimeZone::offsetAtUtc#
    {115, 2149, 2872},	// KTimeZone::offsetAtZoneTime#
    {115, 2151, 2849},	// KTimeZone::offsetAtZoneTime#$
    {115, 2166, 2834},	// KTimeZone::operator!=#
    {115, 2206, 2832},	// KTimeZone::operator=#
    {115, 2209, 2833},	// KTimeZone::operator==#
    {115, 2250, 2862},	// KTimeZone::parse
    {115, 2269, 2854},	// KTimeZone::phases
    {115, 2597, 2882},	// KTimeZone::setData#
    {115, 2598, 2869},	// KTimeZone::setData##
    {115, 2981, 2861},	// KTimeZone::source
    {115, 3145, 2866},	// KTimeZone::toTime_t#
    {115, 3147, 2846},	// KTimeZone::toUtc#
    {115, 3151, 2870},	// KTimeZone::toZoneTime#
    {115, 3152, 2847},	// KTimeZone::toZoneTime#$
    {115, 3171, 2875},	// KTimeZone::transition#
    {115, 3172, 2876},	// KTimeZone::transition#?
    {115, 3173, 2857},	// KTimeZone::transition#?$
    {115, 3175, 2877},	// KTimeZone::transitionIndex#
    {115, 3176, 2878},	// KTimeZone::transitionIndex#$
    {115, 3177, 2858},	// KTimeZone::transitionIndex#$$
    {115, 3179, 2879},	// KTimeZone::transitionTimes#
    {115, 3180, 2880},	// KTimeZone::transitionTimes##
    {115, 3181, 2859},	// KTimeZone::transitionTimes###
    {115, 3182, 2873},	// KTimeZone::transitions
    {115, 3183, 2874},	// KTimeZone::transitions#
    {115, 3184, 2856},	// KTimeZone::transitions##
    {115, 3200, 2835},	// KTimeZone::type
    {115, 3223, 2864},	// KTimeZone::updateBase#
    {115, 3246, 2867},	// KTimeZone::utc
    {115, 3248, 2844},	// KTimeZone::utcOffsets
    {115, 3438, 2886},	// KTimeZone::~KTimeZone
    {116, 563, 2887},	// KTimeZone::LeapSeconds::LeapSeconds
    {116, 564, 2889},	// KTimeZone::LeapSeconds::LeapSeconds#
    {116, 565, 2896},	// KTimeZone::LeapSeconds::LeapSeconds#$
    {116, 566, 2888},	// KTimeZone::LeapSeconds::LeapSeconds#$$
    {116, 1169, 2895},	// KTimeZone::LeapSeconds::comment
    {116, 1271, 2893},	// KTimeZone::LeapSeconds::dateTime
    {116, 1879, 2892},	// KTimeZone::LeapSeconds::isValid
    {116, 1974, 2894},	// KTimeZone::LeapSeconds::leapSeconds
    {116, 2188, 2891},	// KTimeZone::LeapSeconds::operator<#
    {116, 2206, 2890},	// KTimeZone::LeapSeconds::operator=#
    {116, 3451, 2897},	// KTimeZone::LeapSeconds::~LeapSeconds
    {117, 655, 2898},	// KTimeZone::Phase::Phase
    {117, 656, 2901},	// KTimeZone::Phase::Phase#
    {117, 657, 2909},	// KTimeZone::Phase::Phase$#$
    {117, 658, 2899},	// KTimeZone::Phase::Phase$#$$
    {117, 659, 2910},	// KTimeZone::Phase::Phase$?$
    {117, 660, 2900},	// KTimeZone::Phase::Phase$?$$
    {117, 839, 2906},	// KTimeZone::Phase::abbreviations
    {117, 1169, 2908},	// KTimeZone::Phase::comment
    {117, 1809, 2907},	// KTimeZone::Phase::isDst
    {117, 2166, 2904},	// KTimeZone::Phase::operator!=#
    {117, 2206, 2902},	// KTimeZone::Phase::operator=#
    {117, 2209, 2903},	// KTimeZone::Phase::operator==#
    {117, 3247, 2905},	// KTimeZone::Phase::utcOffset
    {117, 3453, 2911},	// KTimeZone::Phase::~Phase
    {118, 763, 2912},	// KTimeZone::Transition::Transition
    {118, 764, 2914},	// KTimeZone::Transition::Transition#
    {118, 765, 2913},	// KTimeZone::Transition::Transition##
    {118, 2188, 2918},	// KTimeZone::Transition::operator<#
    {118, 2206, 2915},	// KTimeZone::Transition::operator=#
    {118, 2268, 2917},	// KTimeZone::Transition::phase
    {118, 3121, 2916},	// KTimeZone::Transition::time
    {118, 3456, 2919},	// KTimeZone::Transition::~Transition
    {119, 515, 2920},	// KTimeZoneBackend::KTimeZoneBackend
    {119, 516, 2922},	// KTimeZoneBackend::KTimeZoneBackend#
    {119, 517, 2933},	// KTimeZoneBackend::KTimeZoneBackend#$
    {119, 518, 2934},	// KTimeZoneBackend::KTimeZoneBackend#$$
    {119, 519, 2935},	// KTimeZoneBackend::KTimeZoneBackend#$$$
    {119, 520, 2936},	// KTimeZoneBackend::KTimeZoneBackend#$$$$
    {119, 521, 2932},	// KTimeZoneBackend::KTimeZoneBackend#$$$$$
    {119, 522, 2921},	// KTimeZoneBackend::KTimeZoneBackend$
    {119, 1158, 2924},	// KTimeZoneBackend::clone
    {119, 1710, 2931},	// KTimeZoneBackend::hasTransitions#
    {119, 1810, 2930},	// KTimeZoneBackend::isDst#$
    {119, 1814, 2929},	// KTimeZoneBackend::isDstAtUtc##
    {119, 2143, 2928},	// KTimeZoneBackend::offset#$
    {119, 2147, 2927},	// KTimeZoneBackend::offsetAtUtc##
    {119, 2150, 2926},	// KTimeZoneBackend::offsetAtZoneTime##$
    {119, 2206, 2923},	// KTimeZoneBackend::operator=#
    {119, 3200, 2925},	// KTimeZoneBackend::type
    {119, 3439, 2937},	// KTimeZoneBackend::~KTimeZoneBackend
    {120, 523, 2938},	// KTimeZoneData::KTimeZoneData
    {120, 524, 2939},	// KTimeZoneData::KTimeZoneData#
    {120, 838, 2943},	// KTimeZoneData::abbreviation#
    {120, 839, 2942},	// KTimeZoneData::abbreviations
    {120, 1158, 2941},	// KTimeZoneData::clone
    {120, 1709, 2947},	// KTimeZoneData::hasTransitions
    {120, 1972, 2953},	// KTimeZoneData::leapSecondChange#
    {120, 1973, 2952},	// KTimeZoneData::leapSecondChanges
    {120, 2206, 2940},	// KTimeZoneData::operator=#
    {120, 2269, 2946},	// KTimeZoneData::phases
    {120, 2291, 2945},	// KTimeZoneData::previousUtcOffset
    {120, 2710, 2956},	// KTimeZoneData::setLeapSecondChanges?
    {120, 2842, 2954},	// KTimeZoneData::setPhases?$
    {120, 2927, 2955},	// KTimeZoneData::setTransitions?
    {120, 3171, 2959},	// KTimeZoneData::transition#
    {120, 3172, 2960},	// KTimeZoneData::transition#?
    {120, 3173, 2949},	// KTimeZoneData::transition#?$
    {120, 3175, 2961},	// KTimeZoneData::transitionIndex#
    {120, 3176, 2962},	// KTimeZoneData::transitionIndex#$
    {120, 3177, 2950},	// KTimeZoneData::transitionIndex#$$
    {120, 3179, 2963},	// KTimeZoneData::transitionTimes#
    {120, 3180, 2964},	// KTimeZoneData::transitionTimes##
    {120, 3181, 2951},	// KTimeZoneData::transitionTimes###
    {120, 3182, 2957},	// KTimeZoneData::transitions
    {120, 3183, 2958},	// KTimeZoneData::transitions#
    {120, 3184, 2948},	// KTimeZoneData::transitions##
    {120, 3248, 2944},	// KTimeZoneData::utcOffsets
    {120, 3440, 2965},	// KTimeZoneData::~KTimeZoneData
    {121, 525, 2966},	// KTimeZoneSource::KTimeZoneSource
    {121, 526, 2970},	// KTimeZoneSource::KTimeZoneSource#
    {121, 527, 2969},	// KTimeZoneSource::KTimeZoneSource$
    {121, 2251, 2967},	// KTimeZoneSource::parse#
    {121, 3235, 2968},	// KTimeZoneSource::useZoneParse
    {121, 3441, 2971},	// KTimeZoneSource::~KTimeZoneSource
    {122, 528, 2972},	// KTimeZones::KTimeZones
    {122, 857, 2975},	// KTimeZones::add#
    {122, 1154, 2978},	// KTimeZones::clear
    {122, 2443, 2976},	// KTimeZones::remove#
    {122, 2444, 2977},	// KTimeZones::remove$
    {122, 3344, 2973},	// KTimeZones::zone$
    {122, 3346, 2974},	// KTimeZones::zones
    {122, 3442, 2979},	// KTimeZones::~KTimeZones
    {123, 1760, 3015},	// KToolInvocation::invokeBrowser$
    {123, 1761, 2992},	// KToolInvocation::invokeBrowser$#
    {123, 1762, 3006},	// KToolInvocation::invokeHelp
    {123, 1763, 3007},	// KToolInvocation::invokeHelp$
    {123, 1764, 3008},	// KToolInvocation::invokeHelp$$
    {123, 1765, 2988},	// KToolInvocation::invokeHelp$$#
    {123, 1767, 3010},	// KToolInvocation::invokeMailer#
    {123, 1768, 3011},	// KToolInvocation::invokeMailer##
    {123, 1769, 2990},	// KToolInvocation::invokeMailer##$
    {123, 1770, 3009},	// KToolInvocation::invokeMailer$$
    {123, 1771, 2989},	// KToolInvocation::invokeMailer$$#
    {123, 1772, 3012},	// KToolInvocation::invokeMailer$$$$$
    {123, 1773, 3013},	// KToolInvocation::invokeMailer$$$$$$
    {123, 1774, 3014},	// KToolInvocation::invokeMailer$$$$$$?
    {123, 1775, 2991},	// KToolInvocation::invokeMailer$$$$$$?#
    {123, 1777, 3016},	// KToolInvocation::invokeTerminal$
    {123, 1778, 3017},	// KToolInvocation::invokeTerminal$$
    {123, 1779, 2993},	// KToolInvocation::invokeTerminal$$#
    {123, 1908, 3003},	// KToolInvocation::kapplication_hook?#
    {123, 1917, 3051},	// KToolInvocation::kdeinitExec$
    {123, 1918, 3052},	// KToolInvocation::kdeinitExec$?
    {123, 1919, 3053},	// KToolInvocation::kdeinitExec$?$
    {123, 1920, 3054},	// KToolInvocation::kdeinitExec$?$$
    {123, 1921, 3001},	// KToolInvocation::kdeinitExec$?$$#
    {123, 1923, 3055},	// KToolInvocation::kdeinitExecWait$
    {123, 1924, 3056},	// KToolInvocation::kdeinitExecWait$?
    {123, 1925, 3057},	// KToolInvocation::kdeinitExecWait$?$
    {123, 1926, 3058},	// KToolInvocation::kdeinitExecWait$?$$
    {123, 1927, 3002},	// KToolInvocation::kdeinitExecWait$?$$#
    {123, 1948, 2994},	// KToolInvocation::klauncher
    {123, 2068, 2980},	// KToolInvocation::metaObject
    {123, 2331, 2986},	// KToolInvocation::qt_metacall$$?
    {123, 2333, 2981},	// KToolInvocation::qt_metacast$
    {123, 2507, 2987},	// KToolInvocation::self
    {123, 3007, 3045},	// KToolInvocation::startServiceByDesktopName$
    {123, 3008, 3040},	// KToolInvocation::startServiceByDesktopName$$
    {123, 3009, 3041},	// KToolInvocation::startServiceByDesktopName$$$
    {123, 3010, 3042},	// KToolInvocation::startServiceByDesktopName$$$$
    {123, 3011, 3043},	// KToolInvocation::startServiceByDesktopName$$$$$
    {123, 3012, 3044},	// KToolInvocation::startServiceByDesktopName$$$$$#
    {123, 3013, 2999},	// KToolInvocation::startServiceByDesktopName$$$$$#$
    {123, 3014, 3046},	// KToolInvocation::startServiceByDesktopName$?
    {123, 3015, 3047},	// KToolInvocation::startServiceByDesktopName$?$
    {123, 3016, 3048},	// KToolInvocation::startServiceByDesktopName$?$$
    {123, 3017, 3049},	// KToolInvocation::startServiceByDesktopName$?$$$
    {123, 3018, 3050},	// KToolInvocation::startServiceByDesktopName$?$$$#
    {123, 3019, 3000},	// KToolInvocation::startServiceByDesktopName$?$$$#$
    {123, 3021, 3034},	// KToolInvocation::startServiceByDesktopPath$
    {123, 3022, 3029},	// KToolInvocation::startServiceByDesktopPath$$
    {123, 3023, 3030},	// KToolInvocation::startServiceByDesktopPath$$$
    {123, 3024, 3031},	// KToolInvocation::startServiceByDesktopPath$$$$
    {123, 3025, 3032},	// KToolInvocation::startServiceByDesktopPath$$$$$
    {123, 3026, 3033},	// KToolInvocation::startServiceByDesktopPath$$$$$#
    {123, 3027, 2997},	// KToolInvocation::startServiceByDesktopPath$$$$$#$
    {123, 3028, 3035},	// KToolInvocation::startServiceByDesktopPath$?
    {123, 3029, 3036},	// KToolInvocation::startServiceByDesktopPath$?$
    {123, 3030, 3037},	// KToolInvocation::startServiceByDesktopPath$?$$
    {123, 3031, 3038},	// KToolInvocation::startServiceByDesktopPath$?$$$
    {123, 3032, 3039},	// KToolInvocation::startServiceByDesktopPath$?$$$#
    {123, 3033, 2998},	// KToolInvocation::startServiceByDesktopPath$?$$$#$
    {123, 3035, 3023},	// KToolInvocation::startServiceByName$
    {123, 3036, 3018},	// KToolInvocation::startServiceByName$$
    {123, 3037, 3019},	// KToolInvocation::startServiceByName$$$
    {123, 3038, 3020},	// KToolInvocation::startServiceByName$$$$
    {123, 3039, 3021},	// KToolInvocation::startServiceByName$$$$$
    {123, 3040, 3022},	// KToolInvocation::startServiceByName$$$$$#
    {123, 3041, 2995},	// KToolInvocation::startServiceByName$$$$$#$
    {123, 3042, 3024},	// KToolInvocation::startServiceByName$?
    {123, 3043, 3025},	// KToolInvocation::startServiceByName$?$
    {123, 3044, 3026},	// KToolInvocation::startServiceByName$?$$
    {123, 3045, 3027},	// KToolInvocation::startServiceByName$?$$$
    {123, 3046, 3028},	// KToolInvocation::startServiceByName$?$$$#
    {123, 3047, 2996},	// KToolInvocation::startServiceByName$?$$$#$
    {123, 3056, 3059},	// KToolInvocation::staticMetaObject
    {123, 3158, 3004},	// KToolInvocation::tr$
    {123, 3159, 2982},	// KToolInvocation::tr$$
    {123, 3160, 2984},	// KToolInvocation::tr$$$
    {123, 3165, 3005},	// KToolInvocation::trUtf8$
    {123, 3166, 2983},	// KToolInvocation::trUtf8$$
    {123, 3167, 2985},	// KToolInvocation::trUtf8$$$
    {123, 3443, 3060},	// KToolInvocation::~KToolInvocation
    {124, 530, 3062},	// KTzfileTimeZone::KTzfileTimeZone#
    {124, 531, 3063},	// KTzfileTimeZone::KTzfileTimeZone#$
    {124, 532, 3064},	// KTzfileTimeZone::KTzfileTimeZone#$$
    {124, 533, 3065},	// KTzfileTimeZone::KTzfileTimeZone#$$$
    {124, 534, 3066},	// KTzfileTimeZone::KTzfileTimeZone#$$$$
    {124, 535, 3061},	// KTzfileTimeZone::KTzfileTimeZone#$$$$$
    {124, 3444, 3067},	// KTzfileTimeZone::~KTzfileTimeZone
    {125, 537, 3072},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#
    {125, 538, 3068},	// KTzfileTimeZoneBackend::KTzfileTimeZoneBackend#$$$$$
    {125, 1158, 3069},	// KTzfileTimeZoneBackend::clone
    {125, 1710, 3071},	// KTzfileTimeZoneBackend::hasTransitions#
    {125, 3200, 3070},	// KTzfileTimeZoneBackend::type
    {125, 3445, 3073},	// KTzfileTimeZoneBackend::~KTzfileTimeZoneBackend
    {126, 540, 3077},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource#
    {126, 541, 3074},	// KTzfileTimeZoneSource::KTzfileTimeZoneSource$
    {126, 2010, 3075},	// KTzfileTimeZoneSource::location
    {126, 2251, 3076},	// KTzfileTimeZoneSource::parse#
    {126, 3446, 3078},	// KTzfileTimeZoneSource::~KTzfileTimeZoneSource
    {127, 12, 3175},	// KUrl::AddTrailingSlash
    {127, 17, 3186},	// KUrl::AllowEmptyPath
    {127, 20, 3182},	// KUrl::AppendTrailingSlash
    {127, 32, 3179},	// KUrl::AvoidEmptyPath
    {127, 47, 3180},	// KUrl::CaseInsensitiveKeys
    {127, 65, 3185},	// KUrl::CompareWithoutFragment
    {127, 66, 3184},	// KUrl::CompareWithoutTrailingSlash
    {127, 98, 3171},	// KUrl::DefaultMimeDataFlags
    {127, 170, 3183},	// KUrl::IgnoreTrailingSlash
    {127, 542, 3079},	// KUrl::KUrl
    {127, 543, -749},	// KUrl::KUrl#
    {127, 544, 3085},	// KUrl::KUrl#$
    {127, 545, -753},	// KUrl::KUrl$
    {127, 557, 3177},	// KUrl::KeepDirSeparators
    {127, 567, 3174},	// KUrl::LeaveTrailingSlash
    {127, 626, 3172},	// KUrl::NoTextExport
    {127, 635, 3181},	// KUrl::ObeyTrailingSlash
    {127, 653, 3178},	// KUrl::PermitEmptyPath
    {127, 694, 3173},	// KUrl::RemoveTrailingSlash
    {127, 713, 3176},	// KUrl::SimplifyDirSeparators
    {127, 979, 3116},	// KUrl::addPath$
    {127, 983, 3119},	// KUrl::addQueryItem$$
    {127, 1016, 3100},	// KUrl::adjustPath$
    {127, 1128, 3124},	// KUrl::cd$
    {127, 1152, 3158},	// KUrl::cleanPath
    {127, 1153, 3099},	// KUrl::cleanPath$
    {127, 1161, 3166},	// KUrl::cmp#
    {127, 1162, 3140},	// KUrl::cmp#$
    {127, 1326, 3152},	// KUrl::decode_string$
    {127, 1383, 3163},	// KUrl::directory
    {127, 1384, 3122},	// KUrl::directory#
    {127, 1408, 3150},	// KUrl::encode_string$
    {127, 1410, 3151},	// KUrl::encode_string_no_slash$
    {127, 1411, 3109},	// KUrl::encodedHtmlRef
    {127, 1412, 3159},	// KUrl::encodedPathAndQuery
    {127, 1413, 3160},	// KUrl::encodedPathAndQuery$
    {127, 1414, 3102},	// KUrl::encodedPathAndQuery$#
    {127, 1433, 3167},	// KUrl::equals#
    {127, 1434, 3141},	// KUrl::equals##
    {127, 1504, 3114},	// KUrl::fileEncoding
    {127, 1507, 3162},	// KUrl::fileName
    {127, 1508, 3121},	// KUrl::fileName#
    {127, 1627, 3148},	// KUrl::fromMimeDataByteArray#
    {127, 1629, 3146},	// KUrl::fromPath$
    {127, 1631, 3147},	// KUrl::fromPathOrUrl$
    {127, 1682, 3111},	// KUrl::hasHTMLRef
    {127, 1684, 3094},	// KUrl::hasHost
    {127, 1699, 3093},	// KUrl::hasPass
    {127, 1700, 3098},	// KUrl::hasPath
    {127, 1702, 3107},	// KUrl::hasRef
    {127, 1705, 3115},	// KUrl::hasSubUrl
    {127, 1711, 3090},	// KUrl::hasUser
    {127, 1717, 3108},	// KUrl::htmlRef
    {127, 1842, 3112},	// KUrl::isLocalFile
    {127, 1852, 3142},	// KUrl::isParentOf#
    {127, 1857, 3153},	// KUrl::isRelativeUrl$
    {127, 1893, 3145},	// KUrl::join?
    {127, 2164, 3139},	// KUrl::operator QVariant
    {127, 2166, 3137},	// KUrl::operator!=#
    {127, 2169, 3138},	// KUrl::operator!=$
    {127, 2206, -756},	// KUrl::operator=#
    {127, 2207, -759},	// KUrl::operator=$
    {127, 2209, 3135},	// KUrl::operator==#
    {127, 2212, 3136},	// KUrl::operator==$
    {127, 2254, 3091},	// KUrl::pass
    {127, 2255, 3156},	// KUrl::path
    {127, 2256, 3095},	// KUrl::path$
    {127, 2257, 3127},	// KUrl::pathOrUrl
    {127, 2258, 3128},	// KUrl::pathOrUrl$
    {127, 2275, 3168},	// KUrl::populateMimeData#
    {127, 2276, 3169},	// KUrl::populateMimeData#?
    {127, 2277, 3149},	// KUrl::populateMimeData#?$
    {127, 2289, 3165},	// KUrl::prettyUrl
    {127, 2290, 3126},	// KUrl::prettyUrl$
    {127, 2316, 3086},	// KUrl::protocol
    {127, 2334, 3104},	// KUrl::query
    {127, 2339, 3118},	// KUrl::queryItem$
    {127, 2340, 3161},	// KUrl::queryItems
    {127, 2341, 3117},	// KUrl::queryItems#
    {127, 2427, 3105},	// KUrl::ref
    {127, 2437, 3170},	// KUrl::relativePath$$
    {127, 2438, 3155},	// KUrl::relativePath$$$
    {127, 2440, 3154},	// KUrl::relativeUrl##
    {127, 2641, 3123},	// KUrl::setDirectory$
    {127, 2643, 3101},	// KUrl::setEncodedPathAndQuery$
    {127, 2665, 3113},	// KUrl::setFileEncoding$
    {127, 2667, 3120},	// KUrl::setFileName$
    {127, 2680, 3110},	// KUrl::setHTMLRef$
    {127, 2836, 3092},	// KUrl::setPass$
    {127, 2838, 3097},	// KUrl::setPath$
    {127, 2872, 3087},	// KUrl::setProtocol$
    {127, 2874, 3103},	// KUrl::setQuery$
    {127, 2878, 3106},	// KUrl::setRef$
    {127, 2937, 3089},	// KUrl::setUser$
    {127, 2986, 3144},	// KUrl::split#
    {127, 2987, 3143},	// KUrl::split$
    {127, 3132, 3157},	// KUrl::toLocalFile
    {127, 3133, 3096},	// KUrl::toLocalFile$
    {127, 3135, 3129},	// KUrl::toMimeDataString
    {127, 3217, 3130},	// KUrl::upUrl
    {127, 3225, 3164},	// KUrl::url
    {127, 3226, 3125},	// KUrl::url$
    {127, 3236, 3088},	// KUrl::user
    {127, 3447, 3187},	// KUrl::~KUrl
    {128, 145, 3214},	// KUser::FullName
    {128, 158, 3217},	// KUser::HomePhone
    {128, 546, 3211},	// KUser::KUser
    {128, 547, -813},	// KUser::KUser#
    {128, 548, -816},	// KUser::KUser$
    {128, 700, 3215},	// KUser::RoomNumber
    {128, 796, 3212},	// KUser::UseEffectiveUID
    {128, 797, 3213},	// KUser::UseRealUserID
    {128, 810, 3216},	// KUser::WorkPhone
    {128, 1033, 3210},	// KUser::allUserNames
    {128, 1034, 3209},	// KUser::allUsers
    {128, 1492, 3204},	// KUser::faceIconPath
    {128, 1644, 3202},	// KUser::fullName
    {128, 1658, 3199},	// KUser::gid
    {128, 1667, 3207},	// KUser::groupNames
    {128, 1668, 3206},	// KUser::groups
    {128, 1715, 3203},	// KUser::homeDir
    {128, 1870, 3200},	// KUser::isSuperUser
    {128, 1879, 3197},	// KUser::isValid
    {128, 2013, 3201},	// KUser::loginName
    {128, 2166, 3196},	// KUser::operator!=#
    {128, 2206, 3194},	// KUser::operator=#
    {128, 2209, 3195},	// KUser::operator==#
    {128, 2309, 3208},	// KUser::property$
    {128, 2959, 3205},	// KUser::shell
    {128, 3202, 3198},	// KUser::uid
    {128, 3448, 3218},	// KUser::~KUser
    {129, 549, 3235},	// KUserGroup::KUserGroup
    {129, 550, -741},	// KUserGroup::KUserGroup#
    {129, 551, -744},	// KUserGroup::KUserGroup$
    {129, 1022, 3234},	// KUserGroup::allGroupNames
    {129, 1023, 3233},	// KUserGroup::allGroups
    {129, 1658, 3229},	// KUserGroup::gid
    {129, 1879, 3228},	// KUserGroup::isValid
    {129, 2109, 3230},	// KUserGroup::name
    {129, 2166, 3227},	// KUserGroup::operator!=#
    {129, 2206, 3225},	// KUserGroup::operator=#
    {129, 2209, 3226},	// KUserGroup::operator==#
    {129, 3237, 3232},	// KUserGroup::userNames
    {129, 3240, 3231},	// KUserGroup::users
    {129, 3449, 3236},	// KUserGroup::~KUserGroup
    {130, 552, 3242},	// KWordMacroExpander::KWordMacroExpander
    {130, 553, -407},	// KWordMacroExpander::KWordMacroExpander#
    {130, 1473, 3239},	// KWordMacroExpander::expandEscapedMacro$$?
    {130, 1476, 3240},	// KWordMacroExpander::expandMacro$?
    {130, 1487, 3238},	// KWordMacroExpander::expandPlainMacro$$?
    {130, 3450, 3243},	// KWordMacroExpander::~KWordMacroExpander
    {131, 644, 3272},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$#
    {131, 645, 3252},	// OrgKdeKLauncherInterface::OrgKdeKLauncherInterface$$##
    {131, 1067, 3253},	// OrgKdeKLauncherInterface::autoStart
    {131, 1068, 3254},	// OrgKdeKLauncherInterface::autoStart$
    {131, 1069, 3267},	// OrgKdeKLauncherInterface::autoStart0Done
    {131, 1070, 3268},	// OrgKdeKLauncherInterface::autoStart1Done
    {131, 1071, 3269},	// OrgKdeKLauncherInterface::autoStart2Done
    {131, 1458, 3256},	// OrgKdeKLauncherInterface::exec_blind$?
    {131, 1459, 3255},	// OrgKdeKLauncherInterface::exec_blind$??$
    {131, 1929, 3257},	// OrgKdeKLauncherInterface::kdeinit_exec$??$$$$
    {131, 1931, 3258},	// OrgKdeKLauncherInterface::kdeinit_exec_wait$??$$$$
    {131, 2068, 3244},	// OrgKdeKLauncherInterface::metaObject
    {131, 2331, 3250},	// OrgKdeKLauncherInterface::qt_metacall$$?
    {131, 2333, 3245},	// OrgKdeKLauncherInterface::qt_metacast$
    {131, 2462, 3259},	// OrgKdeKLauncherInterface::reparseConfiguration
    {131, 2466, 3260},	// OrgKdeKLauncherInterface::requestHoldSlave$$
    {131, 2468, 3261},	// OrgKdeKLauncherInterface::requestSlave$$$$
    {131, 2706, 3262},	// OrgKdeKLauncherInterface::setLaunchEnv$$
    {131, 3049, 3263},	// OrgKdeKLauncherInterface::start_service_by_desktop_name$??$$$$$
    {131, 3051, 3264},	// OrgKdeKLauncherInterface::start_service_by_desktop_path$??$$$$$
    {131, 3053, 3265},	// OrgKdeKLauncherInterface::start_service_by_name$??$$$$$
    {131, 3055, 3251},	// OrgKdeKLauncherInterface::staticInterfaceName
    {131, 3056, 3273},	// OrgKdeKLauncherInterface::staticMetaObject
    {131, 3158, 3270},	// OrgKdeKLauncherInterface::tr$
    {131, 3159, 3246},	// OrgKdeKLauncherInterface::tr$$
    {131, 3160, 3248},	// OrgKdeKLauncherInterface::tr$$$
    {131, 3165, 3271},	// OrgKdeKLauncherInterface::trUtf8$
    {131, 3166, 3247},	// OrgKdeKLauncherInterface::trUtf8$$
    {131, 3167, 3249},	// OrgKdeKLauncherInterface::trUtf8$$$
    {131, 3273, 3266},	// OrgKdeKLauncherInterface::waitForSlave$
    {131, 3452, 3274},	// OrgKdeKLauncherInterface::~OrgKdeKLauncherInterface
    {152, 166, 3745},	// QGlobalSpace::ITIMER_PROF
    {152, 167, 3743},	// QGlobalSpace::ITIMER_REAL
    {152, 168, 3744},	// QGlobalSpace::ITIMER_VIRTUAL
    {152, 451, 3769},	// QGlobalSpace::KST_CTimeInfo
    {152, 452, 3762},	// QGlobalSpace::KST_KCustom
    {152, 453, 3756},	// QGlobalSpace::KST_KDEDesktopMimeType
    {152, 454, 3755},	// QGlobalSpace::KST_KFolderMimeType
    {152, 455, 3766},	// QGlobalSpace::KST_KImageIO
    {152, 456, 3759},	// QGlobalSpace::KST_KImageIOFormat
    {152, 457, 3754},	// QGlobalSpace::KST_KMimeType
    {152, 458, 3757},	// QGlobalSpace::KST_KMimeTypeEntry
    {152, 459, 3768},	// QGlobalSpace::KST_KMimeTypeFactory
    {152, 460, 3760},	// QGlobalSpace::KST_KProtocolInfo
    {152, 461, 3767},	// QGlobalSpace::KST_KProtocolInfoFactory
    {152, 462, 3752},	// QGlobalSpace::KST_KService
    {152, 463, 3763},	// QGlobalSpace::KST_KServiceFactory
    {152, 464, 3758},	// QGlobalSpace::KST_KServiceGroup
    {152, 465, 3765},	// QGlobalSpace::KST_KServiceGroupFactory
    {152, 466, 3761},	// QGlobalSpace::KST_KServiceSeparator
    {152, 467, 3753},	// QGlobalSpace::KST_KServiceType
    {152, 468, 3764},	// QGlobalSpace::KST_KServiceTypeFactory
    {152, 469, 3751},	// QGlobalSpace::KST_KSycocaEntry
    {152, 674, 3748},	// QGlobalSpace::QtCriticalMsg
    {152, 675, 3746},	// QGlobalSpace::QtDebugMsg
    {152, 676, 3749},	// QGlobalSpace::QtFatalMsg
    {152, 677, 3750},	// QGlobalSpace::QtSystemMsg
    {152, 679, 3747},	// QGlobalSpace::QtWarningMsg
    {152, 820, 3742},	// QGlobalSpace::_ISalnum
    {152, 821, 3733},	// QGlobalSpace::_ISalpha
    {152, 822, 3739},	// QGlobalSpace::_ISblank
    {152, 823, 3740},	// QGlobalSpace::_IScntrl
    {152, 824, 3734},	// QGlobalSpace::_ISdigit
    {152, 825, 3738},	// QGlobalSpace::_ISgraph
    {152, 826, 3732},	// QGlobalSpace::_ISlower
    {152, 827, 3737},	// QGlobalSpace::_ISprint
    {152, 828, 3741},	// QGlobalSpace::_ISpunct
    {152, 829, 3736},	// QGlobalSpace::_ISspace
    {152, 830, 3731},	// QGlobalSpace::_ISupper
    {152, 831, 3735},	// QGlobalSpace::_ISxdigit
    {152, 832, 3772},	// QGlobalSpace::__codecvt_error
    {152, 833, 3773},	// QGlobalSpace::__codecvt_noconv
    {152, 834, 3770},	// QGlobalSpace::__codecvt_ok
    {152, 835, 3771},	// QGlobalSpace::__codecvt_partial
    {152, 1719, 3518},	// QGlobalSpace::i18n$
    {152, 1721, 3398},	// QGlobalSpace::i18nc$$
    {152, 1899, 3558},	// QGlobalSpace::kAsciiToLower$
    {152, 1901, 3623},	// QGlobalSpace::kAsciiToUpper$
    {152, 1902, 3626},	// QGlobalSpace::kBacktrace
    {152, 1903, 3625},	// QGlobalSpace::kBacktrace$
    {152, 1904, 3547},	// QGlobalSpace::kClearDebugConfig
    {152, 1906, 3700},	// QGlobalSpace::kRealBacktrace$
    {152, 1910, 3366},	// QGlobalSpace::kasciistricmp$$
    {152, 1912, 3636},	// QGlobalSpace::kdBacktrace
    {152, 1913, 3635},	// QGlobalSpace::kdBacktrace$
    {152, 1939, 3724},	// QGlobalSpace::ki18n$
    {152, 1941, 3352},	// QGlobalSpace::ki18nc$$
    {152, 1943, 3362},	// QGlobalSpace::ki18ncp$$$
    {152, 1945, 3714},	// QGlobalSpace::ki18np$$
    {152, 2167, -26},	// QGlobalSpace::operator!=##
    {152, 2168, -45},	// QGlobalSpace::operator!=#$
    {152, 2170, -51},	// QGlobalSpace::operator!=$#
    {152, 2171, 3454},	// QGlobalSpace::operator!=$$
    {152, 2173, 3533},	// QGlobalSpace::operator&##
    {152, 2175, -58},	// QGlobalSpace::operator*#$
    {152, 2176, -63},	// QGlobalSpace::operator*$#
    {152, 2178, -68},	// QGlobalSpace::operator+##
    {152, 2179, -74},	// QGlobalSpace::operator+#$
    {152, 2180, -79},	// QGlobalSpace::operator+$#
    {152, 2181, -84},	// QGlobalSpace::operator+$$
    {152, 2183, -90},	// QGlobalSpace::operator-#
    {152, 2184, -93},	// QGlobalSpace::operator-##
    {152, 2186, -98},	// QGlobalSpace::operator/#$
    {152, 2189, -103},	// QGlobalSpace::operator<##
    {152, 2190, 3567},	// QGlobalSpace::operator<#$
    {152, 2191, -110},	// QGlobalSpace::operator<$#
    {152, 2192, 3412},	// QGlobalSpace::operator<$$
    {152, 2194, -113},	// QGlobalSpace::operator<<##
    {152, 2195, -150},	// QGlobalSpace::operator<<#$
    {152, 2196, -153},	// QGlobalSpace::operator<<#?
    {152, 2201, -157},	// QGlobalSpace::operator<=##
    {152, 2202, 3440},	// QGlobalSpace::operator<=#$
    {152, 2203, -162},	// QGlobalSpace::operator<=$#
    {152, 2204, 3579},	// QGlobalSpace::operator<=$$
    {152, 2210, -165},	// QGlobalSpace::operator==##
    {152, 2211, -186},	// QGlobalSpace::operator==#$
    {152, 2213, -192},	// QGlobalSpace::operator==$#
    {152, 2214, 3712},	// QGlobalSpace::operator==$$
    {152, 2217, -200},	// QGlobalSpace::operator>##
    {152, 2218, 3722},	// QGlobalSpace::operator>#$
    {152, 2219, -205},	// QGlobalSpace::operator>$#
    {152, 2220, 3510},	// QGlobalSpace::operator>$$
    {152, 2223, -208},	// QGlobalSpace::operator>=##
    {152, 2224, 3361},	// QGlobalSpace::operator>=#$
    {152, 2225, -213},	// QGlobalSpace::operator>=$#
    {152, 2226, 3719},	// QGlobalSpace::operator>=$$
    {152, 2228, -216},	// QGlobalSpace::operator>>##
    {152, 2229, -253},	// QGlobalSpace::operator>>#$
    {152, 2230, 3493},	// QGlobalSpace::operator>>#?
    {152, 2232, 3443},	// QGlobalSpace::operator^##
    {152, 2234, 3647},	// QGlobalSpace::operator|##
    {152, 2235, -256},	// QGlobalSpace::operator|$$
    {152, 3162, 3666},	// QGlobalSpace::tr2i18n$
    {152, 3163, 3665},	// QGlobalSpace::tr2i18n$$
    {194, 1333, 3816},	// Sonnet::defaultLanguageName
    {194, 1369, 3817},	// Sonnet::detectLanguage$
    {195, 34, 3848},	// Sonnet::BackgroundChecker::BackgroundChecker
    {195, 35, -643},	// Sonnet::BackgroundChecker::BackgroundChecker#
    {195, 36, 3826},	// Sonnet::BackgroundChecker::BackgroundChecker##
    {195, 1007, 3834},	// Sonnet::BackgroundChecker::addWordToPersonal$
    {195, 1132, 3839},	// Sonnet::BackgroundChecker::changeLanguage$
    {195, 1143, 3832},	// Sonnet::BackgroundChecker::checkWord$
    {195, 1194, 3840},	// Sonnet::BackgroundChecker::continueChecking
    {195, 1240, 3829},	// Sonnet::BackgroundChecker::currentContext
    {195, 1396, 3842},	// Sonnet::BackgroundChecker::done
    {195, 1503, 3843},	// Sonnet::BackgroundChecker::fetchMoreText
    {195, 1569, 3844},	// Sonnet::BackgroundChecker::finishedCurrentFeed
    {195, 2068, 3818},	// Sonnet::BackgroundChecker::metaObject
    {195, 2074, 3841},	// Sonnet::BackgroundChecker::misspelling$$
    {195, 2331, 3824},	// Sonnet::BackgroundChecker::qt_metacall$$?
    {195, 2333, 3819},	// Sonnet::BackgroundChecker::qt_metacast$
    {195, 2464, 3838},	// Sonnet::BackgroundChecker::replace$$$
    {195, 2481, 3835},	// Sonnet::BackgroundChecker::restore#
    {195, 2899, 3831},	// Sonnet::BackgroundChecker::setSpeller#
    {195, 2911, 3827},	// Sonnet::BackgroundChecker::setText$
    {195, 2973, 3845},	// Sonnet::BackgroundChecker::slotEngineDone
    {195, 2984, 3830},	// Sonnet::BackgroundChecker::speller
    {195, 2998, 3836},	// Sonnet::BackgroundChecker::start
    {195, 3056, 3850},	// Sonnet::BackgroundChecker::staticMetaObject
    {195, 3062, 3837},	// Sonnet::BackgroundChecker::stop
    {195, 3087, 3833},	// Sonnet::BackgroundChecker::suggest$
    {195, 3117, 3828},	// Sonnet::BackgroundChecker::text
    {195, 3158, 3846},	// Sonnet::BackgroundChecker::tr$
    {195, 3159, 3820},	// Sonnet::BackgroundChecker::tr$$
    {195, 3160, 3822},	// Sonnet::BackgroundChecker::tr$$$
    {195, 3165, 3847},	// Sonnet::BackgroundChecker::trUtf8$
    {195, 3166, 3821},	// Sonnet::BackgroundChecker::trUtf8$$
    {195, 3167, 3823},	// Sonnet::BackgroundChecker::trUtf8$$$
    {195, 3350, 3851},	// Sonnet::BackgroundChecker::~BackgroundChecker
    {196, 52, 3879},	// Sonnet::Speller::CheckUppercase
    {196, 715, 3880},	// Sonnet::Speller::SkipRunTogether
    {196, 728, 3877},	// Sonnet::Speller::Speller
    {196, 729, 3853},	// Sonnet::Speller::Speller#
    {196, 730, 3852},	// Sonnet::Speller::Speller$
    {196, 1003, 3863},	// Sonnet::Speller::addToPersonal$
    {196, 1005, 3864},	// Sonnet::Speller::addToSession$
    {196, 1075, 3867},	// Sonnet::Speller::availableBackends
    {196, 1076, 3870},	// Sonnet::Speller::availableDictionaries
    {196, 1078, 3869},	// Sonnet::Speller::availableLanguageNames
    {196, 1079, 3868},	// Sonnet::Speller::availableLanguages
    {196, 1139, 3861},	// Sonnet::Speller::checkAndSuggest$?
    {196, 1329, 3874},	// Sonnet::Speller::defaultClient
    {196, 1332, 3872},	// Sonnet::Speller::defaultLanguage
    {196, 1802, 3858},	// Sonnet::Speller::isCorrect$
    {196, 1848, 3859},	// Sonnet::Speller::isMisspelled$
    {196, 1879, 3855},	// Sonnet::Speller::isValid
    {196, 1955, 3857},	// Sonnet::Speller::language
    {196, 2206, 3854},	// Sonnet::Speller::operator=#
    {196, 2481, 3866},	// Sonnet::Speller::restore#
    {196, 2492, 3865},	// Sonnet::Speller::save#
    {196, 2544, 3878},	// Sonnet::Speller::setAttribute$
    {196, 2545, 3875},	// Sonnet::Speller::setAttribute$$
    {196, 2627, 3873},	// Sonnet::Speller::setDefaultClient$
    {196, 2629, 3871},	// Sonnet::Speller::setDefaultLanguage$
    {196, 2702, 3856},	// Sonnet::Speller::setLanguage$
    {196, 3066, 3862},	// Sonnet::Speller::storeReplacement$$
    {196, 3087, 3860},	// Sonnet::Speller::suggest$
    {196, 3116, 3876},	// Sonnet::Speller::testAttribute$
    {196, 3455, 3881},	// Sonnet::Speller::~Speller
    {199, 1949, 3882},	// kndbgstream::kndbgstream
    {199, 1950, 3883},	// kndbgstream::kndbgstream#
    {199, 3457, 3884},	// kndbgstream::~kndbgstream
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();
SMOKE_IMPORT void init_qtdbus_Smoke();

static bool initialized = false;
Smoke *kdecore_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kdecore_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    init_qtdbus_Smoke();
    if (initialized) return;
    kdecore_Smoke = new Smoke(
        "kdecore",
        __smokekdecore::classes, 202,
        __smokekdecore::methods, 3885,
        __smokekdecore::methodMaps, 3255,
        __smokekdecore::methodNames, 3457,
        __smokekdecore::types, 703,
        __smokekdecore::inheritanceList,
        __smokekdecore::argumentList,
        __smokekdecore::ambiguousMethodList,
        __smokekdecore::cast );
    initialized = true;
}

void delete_kdecore_Smoke() { delete kdecore_Smoke; }

}
