#include <kfile_includes.h>

#include <smoke.h>
#include <kfile_smoke.h>

namespace __smokekfile {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KACL
      switch(to) {
        case 1: return (void*)(KACL*)xptr;
        default: return xptr;
      }
    case 2:   //KAbstractFileWidget
      switch(to) {
        case 2: return (void*)(KAbstractFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(KAbstractFileWidget*)xptr;
        default: return xptr;
      }
    case 3:   //KAbstractViewAdapter
      switch(to) {
        case 3: return (void*)(KAbstractViewAdapter*)xptr;
        default: return xptr;
      }
    case 4:   //KActionCollection
      switch(to) {
        case 4: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 5:   //KBookmark
      switch(to) {
        case 5: return (void*)(KBookmark*)xptr;
        default: return xptr;
      }
    case 6:   //KCategorizedSortFilterProxyModel
      switch(to) {
        case 122: return (void*)(QSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 101: return (void*)(QObject*)(KCategorizedSortFilterProxyModel*)xptr;
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 7:   //KCharsets
      switch(to) {
        case 7: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 8:   //KComboBox
      switch(to) {
        case 54: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 139: return (void*)(QWidget*)(KComboBox*)xptr;
        case 101: return (void*)(QObject*)(KComboBox*)xptr;
        case 10: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 8: return (void*)(KComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 9:   //KCompletion
      switch(to) {
        case 101: return (void*)(QObject*)(KCompletion*)xptr;
        case 9: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 10:   //KCompletionBase
      switch(to) {
        case 10: return (void*)(KCompletionBase*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 11:   //KComponentData
      switch(to) {
        case 11: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 12:   //KConfigGroup
      switch(to) {
        case 12: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 13:   //KDialog
      switch(to) {
        case 64: return (void*)(QDialog*)(KDialog*)xptr;
        case 139: return (void*)(QWidget*)(KDialog*)xptr;
        case 101: return (void*)(QObject*)(KDialog*)xptr;
        case 13: return (void*)(KDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 14:   //KDirLister
      switch(to) {
        case 101: return (void*)(QObject*)(KDirLister*)xptr;
        case 14: return (void*)(KDirLister*)xptr;
        default: return xptr;
      }
    case 15:   //KDirOperator
      switch(to) {
        case 139: return (void*)(QWidget*)(KDirOperator*)xptr;
        case 101: return (void*)(QObject*)(KDirOperator*)xptr;
        case 15: return (void*)(KDirOperator*)xptr;
        default: return xptr;
      }
    case 16:   //KDirSelectDialog
      switch(to) {
        case 13: return (void*)(KDialog*)(KDirSelectDialog*)xptr;
        case 64: return (void*)(QDialog*)(KDirSelectDialog*)xptr;
        case 139: return (void*)(QWidget*)(KDirSelectDialog*)xptr;
        case 101: return (void*)(QObject*)(KDirSelectDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)xptr;
        default: return xptr;
      }
    case 17:   //KDirSortFilterProxyModel
      switch(to) {
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 122: return (void*)(QSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(KDirSortFilterProxyModel*)xptr;
        case 101: return (void*)(QObject*)(KDirSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 18:   //KFile
      switch(to) {
        case 18: return (void*)(KFile*)xptr;
        default: return xptr;
      }
    case 19:   //KFileFilterCombo
      switch(to) {
        case 8: return (void*)(KComboBox*)(KFileFilterCombo*)xptr;
        case 54: return (void*)(QComboBox*)(KFileFilterCombo*)xptr;
        case 139: return (void*)(QWidget*)(KFileFilterCombo*)xptr;
        case 101: return (void*)(QObject*)(KFileFilterCombo*)xptr;
        case 10: return (void*)(KCompletionBase*)(KFileFilterCombo*)xptr;
        case 19: return (void*)(KFileFilterCombo*)xptr;
        default: return xptr;
      }
    case 20:   //KFileItem
      switch(to) {
        case 20: return (void*)(KFileItem*)xptr;
        default: return xptr;
      }
    case 21:   //KFileItemList
      switch(to) {
        case 21: return (void*)(KFileItemList*)xptr;
        default: return xptr;
      }
    case 22:   //KFilePlacesModel
      switch(to) {
        case 40: return (void*)(QAbstractItemModel*)(KFilePlacesModel*)xptr;
        case 101: return (void*)(QObject*)(KFilePlacesModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)xptr;
        default: return xptr;
      }
    case 23:   //KFilePlacesView
      switch(to) {
        case 91: return (void*)(QListView*)(KFilePlacesView*)xptr;
        case 41: return (void*)(QAbstractItemView*)(KFilePlacesView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(KFilePlacesView*)xptr;
        case 75: return (void*)(QFrame*)(KFilePlacesView*)xptr;
        case 139: return (void*)(QWidget*)(KFilePlacesView*)xptr;
        case 101: return (void*)(QObject*)(KFilePlacesView*)xptr;
        case 23: return (void*)(KFilePlacesView*)xptr;
        default: return xptr;
      }
    case 24:   //KFilePreviewGenerator
      switch(to) {
        case 101: return (void*)(QObject*)(KFilePreviewGenerator*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)xptr;
        default: return xptr;
      }
    case 25:   //KFileTreeView
      switch(to) {
        case 133: return (void*)(QTreeView*)(KFileTreeView*)xptr;
        case 41: return (void*)(QAbstractItemView*)(KFileTreeView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(KFileTreeView*)xptr;
        case 75: return (void*)(QFrame*)(KFileTreeView*)xptr;
        case 139: return (void*)(QWidget*)(KFileTreeView*)xptr;
        case 101: return (void*)(QObject*)(KFileTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)xptr;
        default: return xptr;
      }
    case 26:   //KFileWidget
      switch(to) {
        case 139: return (void*)(QWidget*)(KFileWidget*)xptr;
        case 101: return (void*)(QObject*)(KFileWidget*)xptr;
        case 2: return (void*)(KAbstractFileWidget*)(KFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)xptr;
        default: return xptr;
      }
    case 27:   //KIO::CopyJob
      switch(to) {
        case 27: return (void*)(KIO::CopyJob*)xptr;
        default: return xptr;
      }
    case 28:   //KIO::DeleteJob
      switch(to) {
        case 28: return (void*)(KIO::DeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //KIO::UDSEntry
      switch(to) {
        case 29: return (void*)(KIO::UDSEntry*)xptr;
        default: return xptr;
      }
    case 30:   //KIcon
      switch(to) {
        case 79: return (void*)(QIcon*)(KIcon*)xptr;
        case 30: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 31:   //KJobTrackerInterface
      switch(to) {
        case 31: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 32:   //KLocale
      switch(to) {
        case 32: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 33:   //KPreviewWidgetBase
      switch(to) {
        case 33: return (void*)(KPreviewWidgetBase*)xptr;
        default: return xptr;
      }
    case 34:   //KPushButton
      switch(to) {
        case 34: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 35:   //KStandardDirs
      switch(to) {
        case 35: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 36:   //KToolBar
      switch(to) {
        case 36: return (void*)(KToolBar*)xptr;
        default: return xptr;
      }
    case 37:   //KUrl
      switch(to) {
        case 134: return (void*)(QUrl*)(KUrl*)xptr;
        case 37: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 38:   //KUrlComboBox
      switch(to) {
        case 38: return (void*)(KUrlComboBox*)xptr;
        default: return xptr;
      }
    case 39:   //KUrlNavigator
      switch(to) {
        case 139: return (void*)(QWidget*)(KUrlNavigator*)xptr;
        case 101: return (void*)(QObject*)(KUrlNavigator*)xptr;
        case 39: return (void*)(KUrlNavigator*)xptr;
        default: return xptr;
      }
    case 40:   //QAbstractItemModel
      switch(to) {
        case 101: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 41:   //QAbstractItemView
      switch(to) {
        case 43: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 75: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 139: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 101: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 41: return (void*)(QAbstractItemView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractItemView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 42:   //QAbstractProxyModel
      switch(to) {
        case 40: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 101: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 42: return (void*)(QAbstractProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 43:   //QAbstractScrollArea
      switch(to) {
        case 75: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 139: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 101: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractScrollArea*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 44:   //QAction
      switch(to) {
        case 101: return (void*)(QObject*)(QAction*)xptr;
        case 44: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 45:   //QActionEvent
      switch(to) {
        case 45: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QBitArray
      switch(to) {
        case 46: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 47:   //QBool
      switch(to) {
        case 47: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 48:   //QBrush
      switch(to) {
        case 48: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 49:   //QByteArray
      switch(to) {
        case 49: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 50:   //QChar
      switch(to) {
        case 50: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 51:   //QChildEvent
      switch(to) {
        case 71: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 51: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QCloseEvent
      switch(to) {
        case 52: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QColor
      switch(to) {
        case 53: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 54:   //QComboBox
      switch(to) {
        case 139: return (void*)(QWidget*)(QComboBox*)xptr;
        case 101: return (void*)(QObject*)(QComboBox*)xptr;
        case 54: return (void*)(QComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 55:   //QContextMenuEvent
      switch(to) {
        case 55: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QCursor
      switch(to) {
        case 56: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 57:   //QDBusArgument
      switch(to) {
        case 57: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 58:   //QDBusObjectPath
      switch(to) {
        case 58: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 59:   //QDBusSignature
      switch(to) {
        case 59: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 60:   //QDBusVariant
      switch(to) {
        case 136: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 60: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 61:   //QDataStream
      switch(to) {
        case 61: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 62:   //QDate
      switch(to) {
        case 62: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 63:   //QDateTime
      switch(to) {
        case 63: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 64:   //QDialog
      switch(to) {
        case 139: return (void*)(QWidget*)(QDialog*)xptr;
        case 101: return (void*)(QObject*)(QDialog*)xptr;
        case 64: return (void*)(QDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 65:   //QDomNode
      switch(to) {
        case 65: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 66:   //QDragEnterEvent
      switch(to) {
        case 66: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QDragLeaveEvent
      switch(to) {
        case 67: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QDragMoveEvent
      switch(to) {
        case 68: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QDropEvent
      switch(to) {
        case 69: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QEasingCurve
      switch(to) {
        case 70: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 71:   //QEvent
      switch(to) {
        case 71: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QFileInfo
      switch(to) {
        case 72: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 73:   //QFocusEvent
      switch(to) {
        case 73: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QFont
      switch(to) {
        case 74: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 75:   //QFrame
      switch(to) {
        case 139: return (void*)(QWidget*)(QFrame*)xptr;
        case 101: return (void*)(QObject*)(QFrame*)xptr;
        case 75: return (void*)(QFrame*)xptr;
        case 25: return (void*)(KFileTreeView*)(QFrame*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 77:   //QHashDummyValue
      switch(to) {
        case 77: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 78:   //QHideEvent
      switch(to) {
        case 78: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 79:   //QIcon
      switch(to) {
        case 79: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 80:   //QImage
      switch(to) {
        case 80: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 81:   //QIncompatibleFlag
      switch(to) {
        case 81: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 82:   //QInputMethodEvent
      switch(to) {
        case 82: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 83:   //QItemSelection
      switch(to) {
        case 83: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 84:   //QItemSelectionModel
      switch(to) {
        case 101: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 84: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 85:   //QKeyEvent
      switch(to) {
        case 85: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 86:   //QKeySequence
      switch(to) {
        case 86: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 87:   //QLatin1String
      switch(to) {
        case 87: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 88:   //QLine
      switch(to) {
        case 88: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 89:   //QLineEdit
      switch(to) {
        case 89: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 90:   //QLineF
      switch(to) {
        case 90: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 91:   //QListView
      switch(to) {
        case 41: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 75: return (void*)(QFrame*)(QListView*)xptr;
        case 139: return (void*)(QWidget*)(QListView*)xptr;
        case 101: return (void*)(QObject*)(QListView*)xptr;
        case 91: return (void*)(QListView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QListView*)xptr;
        default: return xptr;
      }
    case 92:   //QLocale
      switch(to) {
        case 92: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 93:   //QMargins
      switch(to) {
        case 93: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 94:   //QMatrix
      switch(to) {
        case 94: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 95:   //QMenu
      switch(to) {
        case 95: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 96:   //QMetaObject
      switch(to) {
        case 96: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 97:   //QMimeData
      switch(to) {
        case 101: return (void*)(QObject*)(QMimeData*)xptr;
        case 97: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 98:   //QModelIndex
      switch(to) {
        case 98: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 99:   //QMouseEvent
      switch(to) {
        case 99: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 100:   //QMoveEvent
      switch(to) {
        case 100: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 101:   //QObject
      switch(to) {
        case 101: return (void*)(QObject*)xptr;
        case 26: return (void*)(KFileWidget*)(QObject*)xptr;
        case 39: return (void*)(KUrlNavigator*)(QObject*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QObject*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QObject*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QObject*)xptr;
        case 25: return (void*)(KFileTreeView*)(QObject*)xptr;
        case 15: return (void*)(KDirOperator*)(QObject*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QObject*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QObject*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)(QObject*)xptr;
        default: return xptr;
      }
    case 102:   //QPaintEngine
      switch(to) {
        case 102: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 103:   //QPaintEvent
      switch(to) {
        case 103: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 104:   //QPainter
      switch(to) {
        case 104: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 105:   //QPainterPath
      switch(to) {
        case 105: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 106:   //QPalette
      switch(to) {
        case 106: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 107:   //QPixmap
      switch(to) {
        case 107: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 108:   //QPoint
      switch(to) {
        case 108: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 109:   //QPointF
      switch(to) {
        case 109: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 110:   //QPolygon
      switch(to) {
        case 110: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 111:   //QPolygonF
      switch(to) {
        case 111: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 112:   //QProgressBar
      switch(to) {
        case 112: return (void*)(QProgressBar*)xptr;
        default: return xptr;
      }
    case 113:   //QRect
      switch(to) {
        case 113: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 114:   //QRectF
      switch(to) {
        case 114: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 115:   //QRegExp
      switch(to) {
        case 115: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 116:   //QRegion
      switch(to) {
        case 116: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 117:   //QResizeEvent
      switch(to) {
        case 117: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 118:   //QShowEvent
      switch(to) {
        case 118: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 119:   //QSize
      switch(to) {
        case 119: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 120:   //QSizeF
      switch(to) {
        case 120: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 121:   //QSizePolicy
      switch(to) {
        case 121: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 122:   //QSortFilterProxyModel
      switch(to) {
        case 42: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 40: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 101: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 122: return (void*)(QSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 123:   //QString::Null
      switch(to) {
        case 123: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 124:   //QStringRef
      switch(to) {
        case 124: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 125:   //QStyle
      switch(to) {
        case 101: return (void*)(QObject*)(QStyle*)xptr;
        case 125: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 126:   //QStyleOptionViewItem
      switch(to) {
        case 126: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 127:   //QTabletEvent
      switch(to) {
        case 127: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 128:   //QTextStream
      switch(to) {
        case 128: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 129:   //QTextStreamManipulator
      switch(to) {
        case 129: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 130:   //QTime
      switch(to) {
        case 130: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 131:   //QTimerEvent
      switch(to) {
        case 71: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 131: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 132:   //QTransform
      switch(to) {
        case 132: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 133:   //QTreeView
      switch(to) {
        case 41: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 43: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 75: return (void*)(QFrame*)(QTreeView*)xptr;
        case 139: return (void*)(QWidget*)(QTreeView*)xptr;
        case 101: return (void*)(QObject*)(QTreeView*)xptr;
        case 133: return (void*)(QTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 134:   //QUrl
      switch(to) {
        case 134: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 135:   //QUuid
      switch(to) {
        case 135: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 136:   //QVariant
      switch(to) {
        case 136: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 137:   //QVariantComparisonHelper
      switch(to) {
        case 137: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 138:   //QWheelEvent
      switch(to) {
        case 138: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 139:   //QWidget
      switch(to) {
        case 101: return (void*)(QObject*)(QWidget*)xptr;
        case 139: return (void*)(QWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(QWidget*)xptr;
        case 39: return (void*)(KUrlNavigator*)(QWidget*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QWidget*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QWidget*)xptr;
        case 25: return (void*)(KFileTreeView*)(QWidget*)xptr;
        case 15: return (void*)(KDirOperator*)(QWidget*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 140:   //Solid::Device
      switch(to) {
        case 140: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    case 141:   //std::bidirectional_iterator_tag
      switch(to) {
        case 141: return (void*)(std::bidirectional_iterator_tag*)xptr;
        default: return xptr;
      }
    case 142:   //std::random_access_iterator_tag
      switch(to) {
        case 142: return (void*)(std::random_access_iterator_tag*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    139, 0,	// 1: QWidget
    13, 0,	// 3: KDialog
    6, 0,	// 5: KCategorizedSortFilterProxyModel
    8, 0,	// 7: KComboBox
    40, 0,	// 9: QAbstractItemModel
    91, 0,	// 11: QListView
    101, 0,	// 13: QObject
    133, 0,	// 15: QTreeView
    139, 2, 0,	// 17: QWidget, KAbstractFileWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilePlacesModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAbstractFileWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDirOperator(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAbstractFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirOperator(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSelectDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSortFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileFilterCombo(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePreviewGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrlNavigator(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KACL", true, 0, 0, 0, 0, 0 },	//1
    { "KAbstractFileWidget", false, 0, xcall_KAbstractFileWidget, xenum_KAbstractFileWidget, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAbstractFileWidget) },	//2
    { "KAbstractViewAdapter", true, 0, 0, 0, 0, 0 },	//3
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//4
    { "KBookmark", true, 0, 0, 0, 0, 0 },	//5
    { "KCategorizedSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//6
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//7
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//8
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//9
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//10
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//11
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//12
    { "KDialog", true, 0, 0, 0, 0, 0 },	//13
    { "KDirLister", true, 0, 0, 0, 0, 0 },	//14
    { "KDirOperator", false, 1, xcall_KDirOperator, xenum_KDirOperator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirOperator) },	//15
    { "KDirSelectDialog", false, 3, xcall_KDirSelectDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSelectDialog) },	//16
    { "KDirSortFilterProxyModel", false, 5, xcall_KDirSortFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSortFilterProxyModel) },	//17
    { "KFile", false, 0, xcall_KFile, xenum_KFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KFile) },	//18
    { "KFileFilterCombo", false, 7, xcall_KFileFilterCombo, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileFilterCombo) },	//19
    { "KFileItem", true, 0, 0, 0, 0, 0 },	//20
    { "KFileItemList", true, 0, 0, 0, 0, 0 },	//21
    { "KFilePlacesModel", false, 9, xcall_KFilePlacesModel, xenum_KFilePlacesModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesModel) },	//22
    { "KFilePlacesView", false, 11, xcall_KFilePlacesView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesView) },	//23
    { "KFilePreviewGenerator", false, 13, xcall_KFilePreviewGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePreviewGenerator) },	//24
    { "KFileTreeView", false, 15, xcall_KFileTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileTreeView) },	//25
    { "KFileWidget", false, 17, xcall_KFileWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileWidget) },	//26
    { "KIO::CopyJob", true, 0, 0, 0, 0, 0 },	//27
    { "KIO::DeleteJob", true, 0, 0, 0, 0, 0 },	//28
    { "KIO::UDSEntry", true, 0, 0, 0, 0, 0 },	//29
    { "KIcon", true, 0, 0, 0, 0, 0 },	//30
    { "KJobTrackerInterface", true, 0, 0, 0, 0, 0 },	//31
    { "KLocale", true, 0, 0, 0, 0, 0 },	//32
    { "KPreviewWidgetBase", true, 0, 0, 0, 0, 0 },	//33
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//34
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//35
    { "KToolBar", true, 0, 0, 0, 0, 0 },	//36
    { "KUrl", true, 0, 0, 0, 0, 0 },	//37
    { "KUrlComboBox", true, 0, 0, 0, 0, 0 },	//38
    { "KUrlNavigator", false, 1, xcall_KUrlNavigator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KUrlNavigator) },	//39
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//40
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//41
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//42
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//43
    { "QAction", true, 0, 0, 0, 0, 0 },	//44
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//46
    { "QBool", true, 0, 0, 0, 0, 0 },	//47
    { "QBrush", true, 0, 0, 0, 0, 0 },	//48
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//49
    { "QChar", true, 0, 0, 0, 0, 0 },	//50
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QColor", true, 0, 0, 0, 0, 0 },	//53
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//54
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QCursor", true, 0, 0, 0, 0, 0 },	//56
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//57
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//58
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//59
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//60
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//61
    { "QDate", true, 0, 0, 0, 0, 0 },	//62
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//63
    { "QDialog", true, 0, 0, 0, 0, 0 },	//64
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//65
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//70
    { "QEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//72
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QFont", true, 0, 0, 0, 0, 0 },	//74
    { "QFrame", true, 0, 0, 0, 0, 0 },	//75
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//76
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//77
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//78
    { "QIcon", true, 0, 0, 0, 0, 0 },	//79
    { "QImage", true, 0, 0, 0, 0, 0 },	//80
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//81
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//82
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//83
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//84
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//85
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//86
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//87
    { "QLine", true, 0, 0, 0, 0, 0 },	//88
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//89
    { "QLineF", true, 0, 0, 0, 0, 0 },	//90
    { "QListView", true, 0, 0, 0, 0, 0 },	//91
    { "QLocale", true, 0, 0, 0, 0, 0 },	//92
    { "QMargins", true, 0, 0, 0, 0, 0 },	//93
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//94
    { "QMenu", true, 0, 0, 0, 0, 0 },	//95
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//96
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//97
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//98
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//99
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//100
    { "QObject", true, 0, 0, 0, 0, 0 },	//101
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//102
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//103
    { "QPainter", true, 0, 0, 0, 0, 0 },	//104
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//105
    { "QPalette", true, 0, 0, 0, 0, 0 },	//106
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//107
    { "QPoint", true, 0, 0, 0, 0, 0 },	//108
    { "QPointF", true, 0, 0, 0, 0, 0 },	//109
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//110
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//111
    { "QProgressBar", true, 0, 0, 0, 0, 0 },	//112
    { "QRect", true, 0, 0, 0, 0, 0 },	//113
    { "QRectF", true, 0, 0, 0, 0, 0 },	//114
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//115
    { "QRegion", true, 0, 0, 0, 0, 0 },	//116
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//117
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//118
    { "QSize", true, 0, 0, 0, 0, 0 },	//119
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//120
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//121
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//122
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//123
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//124
    { "QStyle", true, 0, 0, 0, 0, 0 },	//125
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//126
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//127
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//128
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//129
    { "QTime", true, 0, 0, 0, 0, 0 },	//130
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//131
    { "QTransform", true, 0, 0, 0, 0, 0 },	//132
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//133
    { "QUrl", true, 0, 0, 0, 0, 0 },	//134
    { "QUuid", true, 0, 0, 0, 0, 0 },	//135
    { "QVariant", true, 0, 0, 0, 0, 0 },	//136
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//137
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//138
    { "QWidget", true, 0, 0, 0, 0, 0 },	//139
    { "Solid::Device", true, 0, 0, 0, 0, 0 },	//140
    { "std::bidirectional_iterator_tag", true, 0, 0, 0, 0, 0 },	//141
    { "std::random_access_iterator_tag", true, 0, 0, 0, 0, 0 },	//142
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KACL&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "KAbstractFileWidget*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KAbstractFileWidget::OperationMode", 2, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KAbstractViewAdapter*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAction::ShortcutType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KActionCollection*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KBookmark", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KCharsets*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCompletion*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 0, Smoke::t_voidp|Smoke::tf_stack },	//10
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "KConfigGroup*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KDialog::ButtonCode", 13, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KDialog::CaptionFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//16
    { "KDirLister*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KDirLister::OpenUrlFlag", 14, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KDirOperator*", 15, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KDirOperator::ActionType", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KDirSelectDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KDirSortFilterProxyModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KFile*", 18, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KFile::FileView", 18, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KFile::Mode", 18, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KFile::SelectionMode", 18, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KFileFilterCombo*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KFileItem&", 20, Smoke::t_class|Smoke::tf_ref },	//28
    { "KFileItemList", 21, Smoke::t_class|Smoke::tf_stack },	//29
    { "KFileMetaInfo::What", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "KFilePlacesModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KFilePlacesModel::AdditionalRoles", 22, Smoke::t_enum|Smoke::tf_stack },	//32
    { "KFilePlacesView*", 23, Smoke::t_class|Smoke::tf_ptr },	//33
    { "KFilePreviewGenerator*", 24, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KFileTreeView*", 25, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KFileWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "KGlobalSettings::ActivateOption", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KGlobalSettings::GraphicEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KIO::CacheControl", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KIO::Command", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KIO::CopyJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KIO::DeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KIO::Error", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref },	//46
    { "KIcon", 30, Smoke::t_class|Smoke::tf_stack },	//47
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//49
    { "KJob::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "KJobTrackerInterface*", 31, Smoke::t_class|Smoke::tf_ptr },	//51
    { "KLocale*", 32, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KPreviewWidgetBase*", 33, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KPushButton*", 34, Smoke::t_class|Smoke::tf_ptr },	//54
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//55
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//56
    { "KStandardDirs*", 35, Smoke::t_class|Smoke::tf_ptr },	//57
    { "KSycocaFactoryId", 76, Smoke::t_enum|Smoke::tf_stack },	//58
    { "KSycocaType", 76, Smoke::t_enum|Smoke::tf_stack },	//59
    { "KToolBar*", 36, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KUrl", 37, Smoke::t_class|Smoke::tf_stack },	//61
    { "KUrl::CleanPathOption", 37, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KUrl::DirectoryOption", 37, Smoke::t_enum|Smoke::tf_stack },	//63
    { "KUrl::EncodedPathAndQueryOption", 37, Smoke::t_enum|Smoke::tf_stack },	//64
    { "KUrl::EqualsOption", 37, Smoke::t_enum|Smoke::tf_stack },	//65
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "KUrl::QueryItemsOption", 37, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KUrlComboBox*", 38, Smoke::t_class|Smoke::tf_ptr },	//68
    { "KUrlNavigator*", 39, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QAbstractItemModel*", 40, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractItemView*", 41, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QAbstractItemView::CursorAction", 41, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QAbstractItemView::EditTrigger", 41, Smoke::t_enum|Smoke::tf_stack },	//75
    { "QAbstractItemView::ScrollHint", 41, Smoke::t_enum|Smoke::tf_stack },	//76
    { "QAbstractProxyModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//77
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QAction*", 44, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QActionEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QBitArray", 46, Smoke::t_class|Smoke::tf_stack },	//81
    { "QBitArray&", 46, Smoke::t_class|Smoke::tf_ref },	//82
    { "QBool", 47, Smoke::t_class|Smoke::tf_stack },	//83
    { "QBrush&", 48, Smoke::t_class|Smoke::tf_ref },	//84
    { "QByteArray", 49, Smoke::t_class|Smoke::tf_stack },	//85
    { "QByteArray&", 49, Smoke::t_class|Smoke::tf_ref },	//86
    { "QChar", 50, Smoke::t_class|Smoke::tf_stack },	//87
    { "QChar&", 50, Smoke::t_class|Smoke::tf_ref },	//88
    { "QChildEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QCloseEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QColor&", 53, Smoke::t_class|Smoke::tf_ref },	//91
    { "QContextMenuEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QCursor&", 56, Smoke::t_class|Smoke::tf_ref },	//93
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "QDBusArgument&", 57, Smoke::t_class|Smoke::tf_ref },	//95
    { "QDBusConnection::RegisterOption", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QDataStream&", 61, Smoke::t_class|Smoke::tf_ref },	//98
    { "QDate&", 62, Smoke::t_class|Smoke::tf_ref },	//99
    { "QDateTime&", 63, Smoke::t_class|Smoke::tf_ref },	//100
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QDragEnterEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QDragLeaveEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QDragMoveEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QDropEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//107
    { "QEasingCurve&", 70, Smoke::t_class|Smoke::tf_ref },	//108
    { "QEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "QFlags<KAction::ShortcutType>", 0, Smoke::t_uint|Smoke::tf_stack },	//112
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//113
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//114
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<KDirLister::OpenUrlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<KFile::Mode>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KFileMetaInfo::What>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KGlobalSettings::ActivateOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KGlobalSettings::GraphicEffect>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//138
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//139
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//140
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//141
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//142
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//143
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//144
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//145
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//146
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//147
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//148
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//149
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//150
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//151
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//152
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//158
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//159
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//160
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//161
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//162
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//163
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//164
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//166
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//168
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//169
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//170
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//171
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//172
    { "QFocusEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QFont&", 74, Smoke::t_class|Smoke::tf_ref },	//174
    { "QHideEvent*", 78, Smoke::t_class|Smoke::tf_ptr },	//175
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QIcon&", 79, Smoke::t_class|Smoke::tf_ref },	//177
    { "QImage&", 80, Smoke::t_class|Smoke::tf_ref },	//178
    { "QIncompatibleFlag", 81, Smoke::t_class|Smoke::tf_stack },	//179
    { "QInputMethodEvent*", 82, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QItemSelection", 83, Smoke::t_class|Smoke::tf_stack },	//181
    { "QItemSelectionModel*", 84, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QItemSelectionModel::SelectionFlag", 84, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QKeyEvent*", 85, Smoke::t_class|Smoke::tf_ptr },	//184
    { "QKeySequence&", 86, Smoke::t_class|Smoke::tf_ref },	//185
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QLine", 88, Smoke::t_class|Smoke::tf_stack },	//187
    { "QLine&", 88, Smoke::t_class|Smoke::tf_ref },	//188
    { "QLineEdit*", 89, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QLineF", 90, Smoke::t_class|Smoke::tf_stack },	//190
    { "QLineF&", 90, Smoke::t_class|Smoke::tf_ref },	//191
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//192
    { "QLocale&", 92, Smoke::t_class|Smoke::tf_ref },	//193
    { "QLocale::NumberOption", 92, Smoke::t_enum|Smoke::tf_stack },	//194
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//195
    { "QMatrix&", 94, Smoke::t_class|Smoke::tf_ref },	//196
    { "QMenu*", 95, Smoke::t_class|Smoke::tf_ptr },	//197
    { "QMetaObject::Call", 96, Smoke::t_enum|Smoke::tf_stack },	//198
    { "QMimeData*", 97, Smoke::t_class|Smoke::tf_ptr },	//199
    { "QModelIndex", 98, Smoke::t_class|Smoke::tf_stack },	//200
    { "QMouseEvent*", 99, Smoke::t_class|Smoke::tf_ptr },	//201
    { "QMoveEvent*", 100, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QObject*", 101, Smoke::t_class|Smoke::tf_ptr },	//203
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "QPaintEngine*", 102, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QPaintEvent*", 103, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QPainter*", 104, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QPainterPath", 105, Smoke::t_class|Smoke::tf_stack },	//208
    { "QPainterPath&", 105, Smoke::t_class|Smoke::tf_ref },	//209
    { "QPalette&", 106, Smoke::t_class|Smoke::tf_ref },	//210
    { "QPixmap", 107, Smoke::t_class|Smoke::tf_stack },	//211
    { "QPixmap&", 107, Smoke::t_class|Smoke::tf_ref },	//212
    { "QPoint", 108, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPoint&", 108, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPointF", 109, Smoke::t_class|Smoke::tf_stack },	//215
    { "QPointF&", 109, Smoke::t_class|Smoke::tf_ref },	//216
    { "QPolygon", 110, Smoke::t_class|Smoke::tf_stack },	//217
    { "QPolygon&", 110, Smoke::t_class|Smoke::tf_ref },	//218
    { "QPolygonF", 111, Smoke::t_class|Smoke::tf_stack },	//219
    { "QPolygonF&", 111, Smoke::t_class|Smoke::tf_ref },	//220
    { "QProgressBar*", 112, Smoke::t_class|Smoke::tf_ptr },	//221
    { "QRect", 113, Smoke::t_class|Smoke::tf_stack },	//222
    { "QRect&", 113, Smoke::t_class|Smoke::tf_ref },	//223
    { "QRectF&", 114, Smoke::t_class|Smoke::tf_ref },	//224
    { "QRegExp&", 115, Smoke::t_class|Smoke::tf_ref },	//225
    { "QRegion", 116, Smoke::t_class|Smoke::tf_stack },	//226
    { "QRegion&", 116, Smoke::t_class|Smoke::tf_ref },	//227
    { "QResizeEvent*", 117, Smoke::t_class|Smoke::tf_ptr },	//228
    { "QShowEvent*", 118, Smoke::t_class|Smoke::tf_ptr },	//229
    { "QSize", 119, Smoke::t_class|Smoke::tf_stack },	//230
    { "QSize&", 119, Smoke::t_class|Smoke::tf_ref },	//231
    { "QSizeF&", 120, Smoke::t_class|Smoke::tf_ref },	//232
    { "QSizePolicy&", 121, Smoke::t_class|Smoke::tf_ref },	//233
    { "QSizePolicy::ControlType", 121, Smoke::t_enum|Smoke::tf_stack },	//234
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//235
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//236
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//237
    { "QString::Null", 123, Smoke::t_class|Smoke::tf_stack },	//238
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "QStyle&", 125, Smoke::t_class|Smoke::tf_ref },	//243
    { "QStyle::StateFlag", 125, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStyle::SubControl", 125, Smoke::t_enum|Smoke::tf_stack },	//245
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionViewItem", 126, Smoke::t_class|Smoke::tf_stack },	//251
    { "QStyleOptionViewItem::Position", 126, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QTabletEvent*", 127, Smoke::t_class|Smoke::tf_ptr },	//254
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QTextStream&", 128, Smoke::t_class|Smoke::tf_ref },	//256
    { "QTextStream&(*)(QTextStream&)", 128, Smoke::t_class|Smoke::tf_ref },	//257
    { "QTextStream::NumberFlag", 128, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTextStreamManipulator", 129, Smoke::t_class|Smoke::tf_stack },	//259
    { "QTime", 130, Smoke::t_class|Smoke::tf_stack },	//260
    { "QTime&", 130, Smoke::t_class|Smoke::tf_ref },	//261
    { "QTimerEvent*", 131, Smoke::t_class|Smoke::tf_ptr },	//262
    { "QTransform", 132, Smoke::t_class|Smoke::tf_stack },	//263
    { "QTransform&", 132, Smoke::t_class|Smoke::tf_ref },	//264
    { "QUrl&", 134, Smoke::t_class|Smoke::tf_ref },	//265
    { "QUrl::FormattingOption", 134, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QUuid&", 135, Smoke::t_class|Smoke::tf_ref },	//267
    { "QVariant", 136, Smoke::t_class|Smoke::tf_stack },	//268
    { "QVariant&", 136, Smoke::t_class|Smoke::tf_ref },	//269
    { "QVariant::Type&", 136, Smoke::t_enum|Smoke::tf_ref },	//270
    { "QWheelEvent*", 138, Smoke::t_class|Smoke::tf_ptr },	//271
    { "QWidget*", 139, Smoke::t_class|Smoke::tf_ptr },	//272
    { "QWidget::RenderFlag", 139, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//346
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "QtMsgType", 76, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Solid::Device", 140, Smoke::t_class|Smoke::tf_stack },	//349
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//350
    { "__codecvt_result", 76, Smoke::t_enum|Smoke::tf_stack },	//351
    { "__itimer_which", 76, Smoke::t_enum|Smoke::tf_stack },	//352
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//353
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//354
    { "const KACL&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const KAbstractFileWidget&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const KComponentData&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//358
    { "const KFile&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const KFile::FileView&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const KFileItem&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//361
    { "const KFileItemList&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//363
    { "const KUrl&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const KUrl*", 37, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//365
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QBitArray&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QBrush&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//368
    { "const QByteArray", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//369
    { "const QByteArray&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QChar&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//371
    { "const QColor&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QCursor&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QDBusArgument&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QDBusObjectPath&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QDBusSignature&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QDBusVariant&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QDate&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QDateTime&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const QDomNode&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QEasingCurve&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QEvent*", 71, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//382
    { "const QFileInfo&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QFlags<QDir::SortFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QFont&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QHashDummyValue&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QIcon&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QImage&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QItemSelection&", 83, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QKeySequence&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QLatin1String&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QLine&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//392
    { "const QLineF&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QLocale&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QMargins&", 93, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QMatrix&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QMetaObject&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QMetaObject*", 96, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//402
    { "const QMimeData*", 97, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//403
    { "const QModelIndex&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QObject*", 101, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QPainterPath&", 105, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QPalette&", 106, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QPixmap&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QPoint", 108, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//409
    { "const QPoint&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QPointF", 109, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//411
    { "const QPointF&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QPolygon&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QPolygonF&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QRect&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QRectF&", 114, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QRegExp&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QRegion&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QSize", 119, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//419
    { "const QSize&", 119, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QSizeF", 120, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//421
    { "const QSizeF&", 120, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QSizePolicy&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//424
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//426
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QStringRef&", 124, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QStyleOptionViewItem&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//429
    { "const QTime&", 130, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QTransform&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QUrl&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QUuid&", 135, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//433
    { "const QVariant&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QVariant::Type", 136, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QVariantComparisonHelper&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//437
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//438
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//439
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//440
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//441
    { "std::bidirectional_iterator_tag", 141, Smoke::t_class|Smoke::tf_stack },	//442
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//443
    { "std::random_access_iterator_tag", 142, Smoke::t_class|Smoke::tf_stack },	//444
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//445
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//446
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//447
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//448
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//449
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//450
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    364, 353, 0,	//1  const KUrl&, bool
    425, 0,	//4  const QString&
    3, 0,	//6  KAbstractFileWidget::OperationMode
    353, 0,	//8  bool
    426, 425, 0,	//10  const QStringList&, const QString&
    53, 0,	//13  KPreviewWidgetBase*
    118, 0,	//15  QFlags<KFile::Mode>
    272, 0,	//17  QWidget*
    425, 272, 0,	//19  const QString&, QWidget*
    440, 448, 0,	//22  int, void*
    356, 0,	//25  const KAbstractFileWidget&
    364, 0,	//27  const KUrl&
    426, 0,	//29  const QStringList&
    440, 327, 0,	//31  int, Qt::SortOrder
    404, 404, 0,	//34  const QModelIndex&, const QModelIndex&
    189, 0,	//37  QLineEdit*
    426, 353, 0,	//39  const QStringList&, bool
    425, 353, 0,	//42  const QString&, bool
    446, 353, 353, 0,	//45  unsigned long, bool, bool
    271, 0,	//49  QWheelEvent*
    9, 353, 0,	//51  KCompletion*, bool
    39, 0,	//54  KGlobalSettings::Completion
    90, 0,	//56  QCloseEvent*
    184, 0,	//58  QKeyEvent*
    440, 0,	//60  int
    437, 0,	//62  const char*
    437, 437, 0,	//64  const char*, const char*
    437, 437, 440, 0,	//67  const char*, const char*, int
    198, 440, 449, 0,	//71  QMetaObject::Call, int, void**
    364, 272, 0,	//75  const KUrl&, QWidget*
    361, 0,	//78  const KFileItem&
    362, 0,	//80  const KFileItemList&
    73, 0,	//82  QAbstractItemView*
    24, 0,	//84  KFile::FileView
    134, 0,	//86  QFlags<QDir::SortFlag>
    13, 0,	//88  KConfigGroup&
    358, 0,	//90  const KConfigGroup&
    362, 272, 353, 353, 0,	//92  const KFileItemList&, QWidget*, bool, bool
    445, 0,	//97  unsigned int
    252, 0,	//99  QStyleOptionViewItem::Position
    272, 24, 0,	//101  QWidget*, KFile::FileView
    17, 0,	//104  KDirLister*
    228, 0,	//106  QResizeEvent*
    361, 410, 0,	//108  const KFileItem&, const QPoint&
    109, 0,	//111  QEvent*
    203, 109, 0,	//113  QObject*, QEvent*
    440, 440, 0,	//116  int, int
    361, 107, 366, 0,	//119  const KFileItem&, QDropEvent*, const KUrl::List&
    361, 197, 0,	//123  const KFileItem&, QMenu*
    362, 272, 0,	//126  const KFileItemList&, QWidget*
    362, 272, 353, 0,	//129  const KFileItemList&, QWidget*, bool
    364, 353, 272, 0,	//133  const KUrl&, bool, QWidget*
    364, 353, 272, 425, 0,	//137  const KUrl&, bool, QWidget*, const QString&
    175, 0,	//142  QHideEvent*
    203, 0,	//144  QObject*
    404, 0,	//146  const QModelIndex&
    383, 0,	//148  const QFileInfo&
    384, 0,	//150  const QFlags<QDir::SortFlag>&
    360, 0,	//152  const KFile::FileView&
    359, 0,	//154  const KFile&
    425, 364, 425, 425, 0,	//156  const QString&, const KUrl&, const QString&, const QString&
    425, 364, 425, 425, 404, 0,	//161  const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&
    404, 425, 364, 425, 425, 0,	//167  const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&
    404, 353, 0,	//173  const QModelIndex&, bool
    404, 440, 0,	//176  const QModelIndex&, int
    440, 440, 404, 0,	//179  int, int, const QModelIndex&
    394, 0,	//183  const QList<QModelIndex>&
    403, 295, 440, 440, 404, 0,	//185  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    425, 364, 0,	//191  const QString&, const KUrl&
    425, 364, 425, 0,	//194  const QString&, const KUrl&, const QString&
    404, 425, 364, 0,	//198  const QModelIndex&, const QString&, const KUrl&
    404, 425, 364, 425, 0,	//202  const QModelIndex&, const QString&, const KUrl&, const QString&
    72, 0,	//207  QAbstractItemModel*
    92, 0,	//209  QContextMenuEvent*
    229, 0,	//211  QShowEvent*
    104, 0,	//213  QDragEnterEvent*
    105, 0,	//215  QDragLeaveEvent*
    106, 0,	//217  QDragMoveEvent*
    107, 0,	//219  QDropEvent*
    206, 0,	//221  QPaintEvent*
    404, 440, 440, 0,	//223  const QModelIndex&, int, int
    364, 107, 272, 0,	//227  const KUrl&, QDropEvent*, QWidget*
    4, 77, 0,	//231  KAbstractViewAdapter*, QAbstractProxyModel*
    364, 236, 0,	//234  const KUrl&, QString&
    364, 236, 236, 0,	//237  const KUrl&, QString&, QString&
    31, 364, 272, 0,	//241  KFilePlacesModel*, const KUrl&, QWidget*
    370, 0,	//245  const QByteArray&
    364, 107, 0,	//247  const KUrl&, QDropEvent*
    366, 364, 0,	//250  const KUrl::List&, const KUrl&
    201, 0,	//253  QMouseEvent*
    404, 434, 440, 0,	//255  const QModelIndex&, const QVariant&, int
    440, 319, 440, 0,	//259  int, Qt::Orientation, int
    440, 319, 434, 440, 0,	//263  int, Qt::Orientation, const QVariant&, int
    404, 398, 0,	//268  const QModelIndex&, const QMap<int,QVariant>&
    404, 440, 434, 440, 164, 0,	//271  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    182, 0,	//277  QItemSelectionModel*
    307, 0,	//279  Qt::InputMethodQuery
    272, 71, 0,	//281  QWidget*, QAbstractItemDelegate::EndEditHint
    404, 75, 109, 0,	//284  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    404, 382, 0,	//288  const QModelIndex&, const QEvent*
    158, 0,	//291  QFlags<Qt::DropAction>
    173, 0,	//293  QFocusEvent*
    180, 0,	//295  QInputMethodEvent*
    428, 428, 0,	//297  const QStringRef&, const QStringRef&
    255, 440, 0,	//300  QTextCodec::ConversionFlag, int
    304, 440, 0,	//303  Qt::ImageConversionFlag, int
    437, 391, 0,	//306  const char*, const QLatin1String&
    98, 177, 0,	//309  QDataStream&, QIcon&
    412, 400, 0,	//312  const QPointF&, const QMatrix&
    428, 425, 0,	//315  const QStringRef&, const QString&
    420, 420, 0,	//318  const QSize&, const QSize&
    98, 390, 0,	//321  QDataStream&, const QKeySequence&
    437, 370, 0,	//324  const char*, const QByteArray&
    246, 246, 0,	//327  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    111, 137, 0,	//330  QFile::Permission, QFlags<QFile::Permission>
    98, 28, 0,	//333  QDataStream&, KFileItem&
    412, 412, 0,	//336  const QPointF&, const QPointF&
    98, 414, 0,	//339  QDataStream&, const QPolygonF&
    98, 232, 0,	//342  QDataStream&, QSizeF&
    370, 437, 0,	//345  const QByteArray&, const char*
    98, 355, 0,	//348  QDataStream&, const KACL&
    425, 428, 0,	//351  const QString&, const QStringRef&
    49, 0,	//354  KIconLoader::Group&
    65, 440, 0,	//356  KUrl::EqualsOption, int
    98, 418, 0,	//359  QDataStream&, const QRegion&
    245, 145, 0,	//362  QStyle::SubControl, QFlags<QStyle::SubControl>
    428, 391, 0,	//365  const QStringRef&, const QLatin1String&
    87, 87, 0,	//368  QChar, QChar
    377, 377, 0,	//371  const QDBusVariant&, const QDBusVariant&
    337, 337, 0,	//374  Qt::TouchPointState, Qt::TouchPointState
    95, 393, 0,	//377  QDBusArgument&, const QLineF&
    95, 412, 0,	//380  QDBusArgument&, const QPointF&
    273, 440, 0,	//383  QWidget::RenderFlag, int
    98, 407, 0,	//386  QDataStream&, const QPalette&
    98, 91, 0,	//389  QDataStream&, QColor&
    238, 425, 0,	//392  QString::Null, const QString&
    95, 395, 0,	//395  QDBusArgument&, const QList<QVariant>&
    273, 155, 0,	//398  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    334, 334, 0,	//401  Qt::ToolBarArea, Qt::ToolBarArea
    15, 115, 0,	//404  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    194, 194, 0,	//407  QLocale::NumberOption, QLocale::NumberOption
    65, 65, 0,	//410  KUrl::EqualsOption, KUrl::EqualsOption
    95, 416, 0,	//413  QDBusArgument&, const QRectF&
    344, 344, 0,	//416  Qt::WindowType, Qt::WindowType
    439, 422, 0,	//419  double, const QSizeF&
    63, 63, 0,	//422  KUrl::DirectoryOption, KUrl::DirectoryOption
    101, 440, 0,	//425  QDir::Filter, int
    245, 245, 0,	//428  QStyle::SubControl, QStyle::SubControl
    256, 380, 0,	//431  QTextStream&, const QDomNode&
    410, 410, 0,	//434  const QPoint&, const QPoint&
    374, 191, 0,	//437  const QDBusArgument&, QLineF&
    98, 416, 0,	//440  QDataStream&, const QRectF&
    312, 440, 0,	//443  Qt::KeyboardModifier, int
    331, 167, 0,	//446  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    431, 439, 0,	//449  const QTransform&, double
    75, 129, 0,	//452  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    11, 113, 0,	//455  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    38, 120, 0,	//458  KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>
    95, 379, 0,	//461  QDBusArgument&, const QDateTime&
    258, 153, 0,	//464  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    266, 440, 0,	//467  QUrl::FormattingOption, int
    111, 440, 0,	//470  QFile::Permission, int
    410, 439, 0,	//473  const QPoint&, double
    98, 431, 0,	//476  QDataStream&, const QTransform&
    103, 135, 0,	//479  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    425, 370, 0,	//482  const QString&, const QByteArray&
    422, 422, 0,	//485  const QSizeF&, const QSizeF&
    98, 408, 0,	//488  QDataStream&, const QPixmap&
    312, 163, 0,	//491  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    437, 425, 0,	//494  const char*, const QString&
    266, 266, 0,	//497  QUrl::FormattingOption, QUrl::FormattingOption
    337, 169, 0,	//500  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    63, 440, 0,	//503  KUrl::DirectoryOption, int
    304, 304, 0,	//506  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    75, 75, 0,	//509  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    194, 440, 0,	//512  QLocale::NumberOption, int
    391, 391, 0,	//515  const QLatin1String&, const QLatin1String&
    391, 428, 0,	//518  const QLatin1String&, const QStringRef&
    63, 124, 0,	//521  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    376, 376, 0,	//524  const QDBusSignature&, const QDBusSignature&
    295, 295, 0,	//527  Qt::DropAction, Qt::DropAction
    98, 193, 0,	//530  QDataStream&, QLocale&
    425, 87, 0,	//533  const QString&, QChar
    238, 238, 0,	//536  QString::Null, QString::Null
    247, 147, 0,	//539  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    255, 255, 0,	//542  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    425, 437, 0,	//545  const QString&, const char*
    319, 319, 0,	//548  Qt::Orientation, Qt::Orientation
    98, 373, 0,	//551  QDataStream&, const QCursor&
    98, 210, 0,	//554  QDataStream&, QPalette&
    370, 425, 0,	//557  const QByteArray&, const QString&
    334, 168, 0,	//560  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    415, 415, 0,	//563  const QRect&, const QRect&
    110, 136, 0,	//566  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    367, 367, 0,	//569  const QBitArray&, const QBitArray&
    370, 370, 0,	//572  const QByteArray&, const QByteArray&
    11, 11, 0,	//575  KConfig::OpenFlag, KConfig::OpenFlag
    16, 116, 0,	//578  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    30, 30, 0,	//581  KFileMetaInfo::What, KFileMetaInfo::What
    98, 400, 0,	//584  QDataStream&, const QMatrix&
    98, 396, 0,	//587  QDataStream&, const QLocale&
    253, 151, 0,	//590  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    98, 100, 0,	//593  QDataStream&, QDateTime&
    83, 83, 0,	//596  QBool, QBool
    437, 428, 0,	//599  const char*, const QStringRef&
    334, 440, 0,	//602  Qt::ToolBarArea, int
    392, 431, 0,	//605  const QLine&, const QTransform&
    306, 440, 0,	//608  Qt::InputMethodHint, int
    87, 425, 0,	//611  QChar, const QString&
    248, 148, 0,	//614  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    239, 440, 0,	//617  QString::SectionFlag, int
    186, 440, 0,	//620  QLibrary::LoadHint, int
    98, 265, 0,	//623  QDataStream&, QUrl&
    425, 238, 0,	//626  const QString&, QString::Null
    98, 84, 0,	//629  QDataStream&, QBrush&
    70, 440, 0,	//632  QAbstractFileEngine::FileFlag, int
    255, 152, 0,	//635  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    425, 354, 0,	//638  const QString&, char
    374, 99, 0,	//641  const QDBusArgument&, QDate&
    406, 400, 0,	//644  const QPainterPath&, const QMatrix&
    40, 40, 0,	//647  KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect
    306, 161, 0,	//650  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    98, 233, 0,	//653  QDataStream&, QSizePolicy&
    344, 171, 0,	//656  Qt::WindowType, QFlags<Qt::WindowType>
    95, 430, 0,	//659  QDBusArgument&, const QTime&
    95, 392, 0,	//662  QDBusArgument&, const QLine&
    317, 317, 0,	//665  Qt::MouseButton, Qt::MouseButton
    64, 125, 0,	//668  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    418, 400, 0,	//671  const QRegion&, const QMatrix&
    274, 274, 0,	//674  Qt::AlignmentFlag, Qt::AlignmentFlag
    410, 0,	//677  const QPoint&
    295, 440, 0,	//679  Qt::DropAction, int
    98, 46, 0,	//682  QDataStream&, KIO::UDSEntry&
    98, 430, 0,	//685  QDataStream&, const QTime&
    102, 440, 0,	//688  QDir::SortFlag, int
    399, 399, 0,	//691  const QMargins&, const QMargins&
    97, 132, 0,	//694  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    98, 406, 0,	//697  QDataStream&, const QPainterPath&
    25, 118, 0,	//700  KFile::Mode, QFlags<KFile::Mode>
    50, 440, 0,	//703  KJob::Capability, int
    315, 315, 0,	//706  Qt::MatchFlag, Qt::MatchFlag
    64, 64, 0,	//709  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    293, 157, 0,	//712  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    98, 241, 0,	//715  QDataStream&, QStringList&
    249, 249, 0,	//718  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    183, 139, 0,	//721  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    293, 440, 0,	//724  Qt::DockWidgetArea, int
    25, 25, 0,	//727  KFile::Mode, KFile::Mode
    12, 12, 0,	//730  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    98, 368, 0,	//733  QDataStream&, const QBrush&
    95, 415, 0,	//736  QDBusArgument&, const QRect&
    18, 18, 0,	//739  KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag
    98, 191, 0,	//742  QDataStream&, QLineF&
    98, 388, 0,	//745  QDataStream&, const QImage&
    111, 111, 0,	//748  QFile::Permission, QFile::Permission
    38, 38, 0,	//751  KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption
    354, 425, 0,	//754  char, const QString&
    375, 375, 0,	//757  const QDBusObjectPath&, const QDBusObjectPath&
    98, 231, 0,	//760  QDataStream&, QSize&
    98, 185, 0,	//763  QDataStream&, QKeySequence&
    248, 248, 0,	//766  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    98, 387, 0,	//769  QDataStream&, const QIcon&
    98, 425, 0,	//772  QDataStream&, const QString&
    98, 379, 0,	//775  QDataStream&, const QDateTime&
    239, 239, 0,	//778  QString::SectionFlag, QString::SectionFlag
    97, 97, 0,	//781  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    247, 247, 0,	//784  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    412, 439, 0,	//787  const QPointF&, double
    353, 83, 0,	//790  bool, QBool
    183, 183, 0,	//793  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    374, 216, 0,	//796  const QDBusArgument&, QPointF&
    249, 149, 0,	//799  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    98, 361, 0,	//802  QDataStream&, const KFileItem&
    248, 440, 0,	//805  QStyleOptionTab::CornerWidget, int
    98, 410, 0,	//808  QDataStream&, const QPoint&
    98, 269, 0,	//811  QDataStream&, QVariant&
    317, 440, 0,	//814  Qt::MouseButton, int
    98, 178, 0,	//817  QDataStream&, QImage&
    49, 440, 0,	//820  KIconLoader::Group&, int
    12, 114, 0,	//823  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    412, 0,	//826  const QPointF&
    12, 440, 0,	//828  KConfigBase::WriteConfigFlag, int
    96, 131, 0,	//831  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    16, 440, 0,	//834  KDialog::CaptionFlag, int
    414, 400, 0,	//837  const QPolygonF&, const QMatrix&
    319, 166, 0,	//840  Qt::Orientation, QFlags<Qt::Orientation>
    110, 440, 0,	//843  QEventLoop::ProcessEventsFlag, int
    416, 416, 0,	//846  const QRectF&, const QRectF&
    95, 420, 0,	//849  QDBusArgument&, const QSize&
    98, 264, 0,	//852  QDataStream&, QTransform&
    304, 160, 0,	//855  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    16, 16, 0,	//858  KDialog::CaptionFlag, KDialog::CaptionFlag
    98, 426, 0,	//861  QDataStream&, const QStringList&
    370, 354, 0,	//864  const QByteArray&, char
    103, 103, 0,	//867  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    101, 133, 0,	//870  QDir::Filter, QFlags<QDir::Filter>
    98, 214, 0,	//873  QDataStream&, QPoint&
    422, 439, 0,	//876  const QSizeF&, double
    98, 378, 0,	//879  QDataStream&, const QDate&
    253, 440, 0,	//882  QStyleOptionViewItemV2::ViewItemFeature, int
    234, 234, 0,	//885  QSizePolicy::ControlType, QSizePolicy::ControlType
    98, 392, 0,	//888  QDataStream&, const QLine&
    98, 196, 0,	//891  QDataStream&, QMatrix&
    98, 236, 0,	//894  QDataStream&, QString&
    244, 244, 0,	//897  QStyle::StateFlag, QStyle::StateFlag
    18, 117, 0,	//900  KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>
    374, 100, 0,	//903  const QDBusArgument&, QDateTime&
    247, 440, 0,	//906  QStyleOptionFrameV2::FrameFeature, int
    374, 224, 0,	//909  const QDBusArgument&, QRectF&
    65, 126, 0,	//912  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    393, 400, 0,	//915  const QLineF&, const QMatrix&
    309, 440, 0,	//918  Qt::ItemFlag, int
    256, 257, 0,	//921  QTextStream&, QTextStream&(*)(QTextStream&)
    374, 261, 0,	//924  const QDBusArgument&, QTime&
    50, 50, 0,	//927  KJob::Capability, KJob::Capability
    110, 110, 0,	//930  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    256, 259, 0,	//933  QTextStream&, QTextStreamManipulator
    300, 159, 0,	//936  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    250, 440, 0,	//939  QStyleOptionToolButton::ToolButtonFeature, int
    96, 96, 0,	//942  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    234, 142, 0,	//945  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    273, 273, 0,	//948  QWidget::RenderFlag, QWidget::RenderFlag
    98, 82, 0,	//951  QDataStream&, QBitArray&
    98, 218, 0,	//954  QDataStream&, QPolygon&
    15, 15, 0,	//957  KDialog::ButtonCode, KDialog::ButtonCode
    98, 227, 0,	//960  QDataStream&, QRegion&
    78, 78, 0,	//963  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    98, 423, 0,	//966  QDataStream&, const QSizePolicy&
    62, 62, 0,	//969  KUrl::CleanPathOption, KUrl::CleanPathOption
    250, 250, 0,	//972  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    95, 397, 0,	//975  QDBusArgument&, const QMap<QString,QVariant>&
    410, 431, 0,	//978  const QPoint&, const QTransform&
    428, 437, 0,	//981  const QStringRef&, const char*
    374, 214, 0,	//984  const QDBusArgument&, QPoint&
    300, 440, 0,	//987  Qt::GestureFlag, int
    354, 370, 0,	//990  char, const QByteArray&
    244, 440, 0,	//993  QStyle::StateFlag, int
    98, 434, 0,	//996  QDataStream&, const QVariant&
    374, 232, 0,	//999  const QDBusArgument&, QSizeF&
    250, 150, 0,	//1002  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    374, 231, 0,	//1005  const QDBusArgument&, QSize&
    343, 440, 0,	//1008  Qt::WindowState, int
    98, 261, 0,	//1011  QDataStream&, QTime&
    50, 122, 0,	//1014  KJob::Capability, QFlags<KJob::Capability>
    67, 67, 0,	//1017  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    15, 440, 0,	//1020  KDialog::ButtonCode, int
    98, 212, 0,	//1023  QDataStream&, QPixmap&
    312, 312, 0,	//1026  Qt::KeyboardModifier, Qt::KeyboardModifier
    439, 412, 0,	//1029  double, const QPointF&
    98, 108, 0,	//1032  QDataStream&, QEasingCurve&
    418, 431, 0,	//1035  const QRegion&, const QTransform&
    295, 158, 0,	//1038  Qt::DropAction, QFlags<Qt::DropAction>
    420, 439, 0,	//1041  const QSize&, double
    406, 431, 0,	//1044  const QPainterPath&, const QTransform&
    101, 101, 0,	//1047  QDir::Filter, QDir::Filter
    414, 431, 0,	//1050  const QPolygonF&, const QTransform&
    439, 410, 0,	//1053  double, const QPoint&
    98, 393, 0,	//1056  QDataStream&, const QLineF&
    11, 440, 0,	//1059  KConfig::OpenFlag, int
    18, 440, 0,	//1062  KDirLister::OpenUrlFlag, int
    176, 176, 0,	//1065  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    5, 112, 0,	//1068  KAction::ShortcutType, QFlags<KAction::ShortcutType>
    293, 293, 0,	//1071  Qt::DockWidgetArea, Qt::DockWidgetArea
    5, 440, 0,	//1074  KAction::ShortcutType, int
    102, 134, 0,	//1077  QDir::SortFlag, QFlags<QDir::SortFlag>
    40, 440, 0,	//1080  KGlobalSettings::GraphicEffect, int
    40, 121, 0,	//1083  KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>
    30, 440, 0,	//1086  KFileMetaInfo::What, int
    434, 436, 0,	//1089  const QVariant&, const QVariantComparisonHelper&
    186, 186, 0,	//1092  QLibrary::LoadHint, QLibrary::LoadHint
    103, 440, 0,	//1095  QDirIterator::IteratorFlag, int
    306, 306, 0,	//1098  Qt::InputMethodHint, Qt::InputMethodHint
    374, 223, 0,	//1101  const QDBusArgument&, QRect&
    98, 209, 0,	//1104  QDataStream&, QPainterPath&
    331, 331, 0,	//1107  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    337, 440, 0,	//1110  Qt::TouchPointState, int
    266, 154, 0,	//1113  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    78, 440, 0,	//1116  QAbstractSpinBox::StepEnabledFlag, int
    234, 440, 0,	//1119  QSizePolicy::ControlType, int
    331, 440, 0,	//1122  Qt::TextInteractionFlag, int
    343, 343, 0,	//1125  Qt::WindowState, Qt::WindowState
    70, 128, 0,	//1128  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    98, 372, 0,	//1131  QDataStream&, const QColor&
    98, 370, 0,	//1134  QDataStream&, const QByteArray&
    392, 400, 0,	//1137  const QLine&, const QMatrix&
    98, 381, 0,	//1140  QDataStream&, const QEasingCurve&
    98, 432, 0,	//1143  QDataStream&, const QUrl&
    374, 269, 0,	//1146  const QDBusArgument&, QVariant&
    102, 102, 0,	//1149  QDir::SortFlag, QDir::SortFlag
    258, 440, 0,	//1152  QTextStream::NumberFlag, int
    98, 223, 0,	//1155  QDataStream&, QRect&
    98, 420, 0,	//1158  QDataStream&, const QSize&
    98, 371, 0,	//1161  QDataStream&, const QChar&
    244, 144, 0,	//1164  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    274, 440, 0,	//1167  Qt::AlignmentFlag, int
    25, 440, 0,	//1170  KFile::Mode, int
    98, 417, 0,	//1173  QDataStream&, const QRegExp&
    374, 188, 0,	//1176  const QDBusArgument&, QLine&
    343, 170, 0,	//1179  Qt::WindowState, QFlags<Qt::WindowState>
    309, 309, 0,	//1182  Qt::ItemFlag, Qt::ItemFlag
    98, 174, 0,	//1185  QDataStream&, QFont&
    98, 267, 0,	//1188  QDataStream&, QUuid&
    98, 220, 0,	//1191  QDataStream&, QPolygonF&
    38, 440, 0,	//1194  KGlobalSettings::ActivateOption, int
    249, 440, 0,	//1197  QStyleOptionToolBar::ToolBarFeature, int
    62, 123, 0,	//1200  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    98, 270, 0,	//1203  QDataStream&, QVariant::Type&
    62, 440, 0,	//1206  KUrl::CleanPathOption, int
    75, 440, 0,	//1209  QAbstractItemView::EditTrigger, int
    67, 127, 0,	//1212  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    410, 400, 0,	//1215  const QPoint&, const QMatrix&
    95, 378, 0,	//1218  QDBusArgument&, const QDate&
    386, 386, 0,	//1221  const QHashDummyValue&, const QHashDummyValue&
    98, 216, 0,	//1224  QDataStream&, QPointF&
    253, 253, 0,	//1227  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    319, 440, 0,	//1230  Qt::Orientation, int
    300, 300, 0,	//1233  Qt::GestureFlag, Qt::GestureFlag
    176, 138, 0,	//1236  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    98, 385, 0,	//1239  QDataStream&, const QFont&
    98, 363, 0,	//1242  QDataStream&, const KIO::UDSEntry&
    413, 431, 0,	//1245  const QPolygon&, const QTransform&
    96, 440, 0,	//1248  QDBusConnection::RegisterOption, int
    439, 420, 0,	//1251  double, const QSize&
    98, 1, 0,	//1254  QDataStream&, KACL&
    183, 440, 0,	//1257  QItemSelectionModel::SelectionFlag, int
    95, 422, 0,	//1260  QDBusArgument&, const QSizeF&
    64, 440, 0,	//1263  KUrl::EncodedPathAndQueryOption, int
    83, 353, 0,	//1266  QBool, bool
    98, 188, 0,	//1269  QDataStream&, QLine&
    245, 440, 0,	//1272  QStyle::SubControl, int
    258, 258, 0,	//1275  QTextStream::NumberFlag, QTextStream::NumberFlag
    393, 431, 0,	//1278  const QLineF&, const QTransform&
    67, 440, 0,	//1281  KUrl::QueryItemsOption, int
    317, 165, 0,	//1284  Qt::MouseButton, QFlags<Qt::MouseButton>
    98, 435, 0,	//1287  QDataStream&, const QVariant::Type
    309, 162, 0,	//1290  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    412, 431, 0,	//1293  const QPointF&, const QTransform&
    98, 433, 0,	//1296  QDataStream&, const QUuid&
    186, 140, 0,	//1299  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    344, 440, 0,	//1302  Qt::WindowType, int
    246, 440, 0,	//1305  QStyleOptionButton::ButtonFeature, int
    98, 224, 0,	//1308  QDataStream&, QRectF&
    246, 146, 0,	//1311  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    98, 93, 0,	//1314  QDataStream&, QCursor&
    98, 415, 0,	//1317  QDataStream&, const QRect&
    315, 164, 0,	//1320  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    97, 440, 0,	//1323  QDBusServiceWatcher::WatchModeFlag, int
    274, 156, 0,	//1326  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    98, 88, 0,	//1329  QDataStream&, QChar&
    98, 225, 0,	//1332  QDataStream&, QRegExp&
    98, 412, 0,	//1335  QDataStream&, const QPointF&
    98, 422, 0,	//1338  QDataStream&, const QSizeF&
    194, 141, 0,	//1341  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    5, 5, 0,	//1344  KAction::ShortcutType, KAction::ShortcutType
    239, 143, 0,	//1347  QString::SectionFlag, QFlags<QString::SectionFlag>
    425, 425, 0,	//1350  const QString&, const QString&
    70, 70, 0,	//1353  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    30, 119, 0,	//1356  KFileMetaInfo::What, QFlags<KFileMetaInfo::What>
    176, 440, 0,	//1359  QIODevice::OpenModeFlag, int
    78, 130, 0,	//1362  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    98, 86, 0,	//1365  QDataStream&, QByteArray&
    413, 400, 0,	//1368  const QPolygon&, const QMatrix&
    315, 440, 0,	//1371  Qt::MatchFlag, int
    98, 413, 0,	//1374  QDataStream&, const QPolygon&
    95, 410, 0,	//1377  QDBusArgument&, const QPoint&
    98, 99, 0,	//1380  QDataStream&, QDate&
    98, 367, 0,	//1383  QDataStream&, const QBitArray&
    404, 76, 0,	//1386  const QModelIndex&, QAbstractItemView::ScrollHint
    262, 0,	//1389  QTimerEvent*
    74, 163, 0,	//1391  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    415, 139, 0,	//1394  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    389, 0,	//1397  const QItemSelection&
    389, 389, 0,	//1399  const QItemSelection&, const QItemSelection&
    89, 0,	//1402  QChildEvent*
    440, 404, 0,	//1404  int, const QModelIndex&
    207, 429, 404, 0,	//1407  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    207, 415, 404, 0,	//1411  QPainter*, const QRect&, const QModelIndex&
    202, 0,	//1415  QMoveEvent*
    254, 0,	//1417  QTabletEvent*
    80, 0,	//1419  QActionEvent*
    350, 0,	//1421  _XEvent*
    204, 0,	//1423  QPaintDevice::PaintDeviceMetric
    243, 0,	//1425  QStyle&
    407, 0,	//1427  const QPalette&
    385, 0,	//1429  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "Adjust",	//3
    "AdjustToContents",	//4
    "AdjustToContentsOnFirstShow",	//5
    "AdjustToMinimumContentsLength",	//6
    "AdjustToMinimumContentsLengthWithIcon",	//7
    "AllActions",	//8
    "AllEditTriggers",	//9
    "AnimatingState",	//10
    "AnyKeyPressed",	//11
    "AppNameCaption",	//12
    "Apply",	//13
    "Batched",	//14
    "BelowItem",	//15
    "Box",	//16
    "Cancel",	//17
    "CapacityBarRecommendedRole",	//18
    "CategoryDisplayRole",	//19
    "CategorySortRole",	//20
    "Close",	//21
    "CollapsingState",	//22
    "ContiguousSelection",	//23
    "CurrentChanged",	//24
    "Default",	//25
    "DelayedPopup",	//26
    "Detail",	//27
    "DetailTree",	//28
    "Details",	//29
    "Directory",	//30
    "DoubleClicked",	//31
    "DragDrop",	//32
    "DragOnly",	//33
    "DragSelectingState",	//34
    "DraggingState",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "DropOnly",	//38
    "EditKeyPressed",	//39
    "EditingState",	//40
    "EnsureVisible",	//41
    "ExistingOnly",	//42
    "ExpandingState",	//43
    "Extended",	//44
    "ExtendedSelection",	//45
    "File",	//46
    "FileActions",	//47
    "FileViewMax",	//48
    "Files",	//49
    "Fixed",	//50
    "FixedDeviceRole",	//51
    "Free",	//52
    "HIGCompliantCaption",	//53
    "HLine",	//54
    "Help",	//55
    "HiddenRole",	//56
    "ITIMER_PROF",	//57
    "ITIMER_REAL",	//58
    "ITIMER_VIRTUAL",	//59
    "IconMode",	//60
    "IgnoreMask",	//61
    "InsertAfterCurrent",	//62
    "InsertAlphabetically",	//63
    "InsertAtBottom",	//64
    "InsertAtCurrent",	//65
    "InsertAtTop",	//66
    "InsertBeforeCurrent",	//67
    "InstantPopup",	//68
    "InternalMove",	//69
    "KAbstractFileWidget",	//70
    "KAbstractFileWidget#",	//71
    "KDirOperator",	//72
    "KDirOperator#",	//73
    "KDirOperator##",	//74
    "KDirSelectDialog",	//75
    "KDirSelectDialog#",	//76
    "KDirSelectDialog#$",	//77
    "KDirSelectDialog#$#",	//78
    "KDirSortFilterProxyModel",	//79
    "KDirSortFilterProxyModel#",	//80
    "KFile",	//81
    "KFile#",	//82
    "KFileFilterCombo",	//83
    "KFileFilterCombo#",	//84
    "KFilePlacesModel",	//85
    "KFilePlacesModel#",	//86
    "KFilePlacesView",	//87
    "KFilePlacesView#",	//88
    "KFilePreviewGenerator",	//89
    "KFilePreviewGenerator#",	//90
    "KFilePreviewGenerator##",	//91
    "KFileTreeView",	//92
    "KFileTreeView#",	//93
    "KFileWidget",	//94
    "KFileWidget##",	//95
    "KST_CTimeInfo",	//96
    "KST_KCustom",	//97
    "KST_KDEDesktopMimeType",	//98
    "KST_KFolderMimeType",	//99
    "KST_KImageIO",	//100
    "KST_KImageIOFormat",	//101
    "KST_KMimeType",	//102
    "KST_KMimeTypeEntry",	//103
    "KST_KMimeTypeFactory",	//104
    "KST_KProtocolInfo",	//105
    "KST_KProtocolInfoFactory",	//106
    "KST_KService",	//107
    "KST_KServiceFactory",	//108
    "KST_KServiceGroup",	//109
    "KST_KServiceGroupFactory",	//110
    "KST_KServiceSeparator",	//111
    "KST_KServiceType",	//112
    "KST_KServiceTypeFactory",	//113
    "KST_KSycocaEntry",	//114
    "KUrlNavigator",	//115
    "KUrlNavigator#",	//116
    "KUrlNavigator###",	//117
    "LeftToRight",	//118
    "ListMode",	//119
    "LocalOnly",	//120
    "ModeMax",	//121
    "ModifiedCaption",	//122
    "MoveDown",	//123
    "MoveEnd",	//124
    "MoveHome",	//125
    "MoveLeft",	//126
    "MoveNext",	//127
    "MovePageDown",	//128
    "MovePageUp",	//129
    "MovePrevious",	//130
    "MoveRight",	//131
    "MoveUp",	//132
    "Multi",	//133
    "MultiSelection",	//134
    "NavActions",	//135
    "NextCompletionMatch",	//136
    "No",	//137
    "NoCaptionFlags",	//138
    "NoDefault",	//139
    "NoDragDrop",	//140
    "NoEditTriggers",	//141
    "NoFrame",	//142
    "NoInsert",	//143
    "NoSelection",	//144
    "NoState",	//145
    "None",	//146
    "Ok",	//147
    "OnItem",	//148
    "OnViewport",	//149
    "Opening",	//150
    "Other",	//151
    "Panel",	//152
    "Plain",	//153
    "PositionAtBottom",	//154
    "PositionAtCenter",	//155
    "PositionAtTop",	//156
    "PrevCompletionMatch",	//157
    "PreviewContents",	//158
    "PreviewInfo",	//159
    "QtCriticalMsg",	//160
    "QtDebugMsg",	//161
    "QtFatalMsg",	//162
    "QtSystemMsg",	//163
    "QtWarningMsg",	//164
    "Raised",	//165
    "Rejected",	//166
    "Reset",	//167
    "Saving",	//168
    "ScrollPerItem",	//169
    "ScrollPerPixel",	//170
    "SelectColumns",	//171
    "SelectItems",	//172
    "SelectRows",	//173
    "SelectedClicked",	//174
    "SeparateDirs",	//175
    "SetupNeededRole",	//176
    "Shadow_Mask",	//177
    "Shape_Mask",	//178
    "Simple",	//179
    "Single",	//180
    "SinglePass",	//181
    "SingleSelection",	//182
    "Snap",	//183
    "SortActions",	//184
    "Static",	//185
    "StyledPanel",	//186
    "SubstringCompletion",	//187
    "Sunken",	//188
    "TextCompletion",	//189
    "TopToBottom",	//190
    "Tree",	//191
    "Try",	//192
    "UrlRole",	//193
    "User1",	//194
    "User2",	//195
    "User3",	//196
    "VLine",	//197
    "ViewActions",	//198
    "WinPanel",	//199
    "Yes",	//200
    "_ISalnum",	//201
    "_ISalpha",	//202
    "_ISblank",	//203
    "_IScntrl",	//204
    "_ISdigit",	//205
    "_ISgraph",	//206
    "_ISlower",	//207
    "_ISprint",	//208
    "_ISpunct",	//209
    "_ISspace",	//210
    "_ISupper",	//211
    "_ISxdigit",	//212
    "__codecvt_error",	//213
    "__codecvt_noconv",	//214
    "__codecvt_ok",	//215
    "__codecvt_partial",	//216
    "accept",	//217
    "accepted",	//218
    "actionCollection",	//219
    "actionEvent",	//220
    "activated",	//221
    "activated#",	//222
    "activatedMenu",	//223
    "activatedMenu##",	//224
    "addPlace",	//225
    "addPlace$#",	//226
    "addPlace$#$",	//227
    "addPlace$#$$",	//228
    "addPlace$#$$#",	//229
    "back",	//230
    "baseUrl",	//231
    "bookmarkForIndex",	//232
    "bookmarkForIndex#",	//233
    "buddy",	//234
    "canFetchMore",	//235
    "canFetchMore#",	//236
    "cancelButton",	//237
    "cancelPreviews",	//238
    "cdUp",	//239
    "changeEvent",	//240
    "changeEvent#",	//241
    "checkPreviewSupport",	//242
    "childEvent",	//243
    "clearFilter",	//244
    "clearHistory",	//245
    "close",	//246
    "closeEditor",	//247
    "closeEvent",	//248
    "closestItem",	//249
    "closestItem#",	//250
    "columnCount",	//251
    "columnCount#",	//252
    "commitData",	//253
    "compareCategories",	//254
    "completion",	//255
    "completion$",	//256
    "completionObject",	//257
    "connectNotify",	//258
    "contextMenuAboutToShow",	//259
    "contextMenuAboutToShow##",	//260
    "contextMenuEvent",	//261
    "contextMenuEvent#",	//262
    "create",	//263
    "createView",	//264
    "createView#$",	//265
    "currentChanged",	//266
    "currentChanged#",	//267
    "currentFilter",	//268
    "currentFilterMimeType",	//269
    "currentIconSizeChanged",	//270
    "currentIconSizeChanged$",	//271
    "currentMimeFilter",	//272
    "currentUrl",	//273
    "customEvent",	//274
    "customProtocols",	//275
    "data",	//276
    "data#$",	//277
    "dataChanged",	//278
    "dataChanged##",	//279
    "decorationPosition",	//280
    "defaultFilter",	//281
    "del",	//282
    "del#",	//283
    "del##",	//284
    "del##$",	//285
    "del##$$",	//286
    "deleteSelected",	//287
    "devType",	//288
    "deviceForIndex",	//289
    "deviceForIndex#",	//290
    "dirActivated",	//291
    "dirActivated#",	//292
    "dirCompletionObject",	//293
    "dirHighlighting",	//294
    "dirLister",	//295
    "dirOnlyMode",	//296
    "dirOnlyMode$",	//297
    "dirOperator",	//298
    "disconnectNotify",	//299
    "doItemsLayout",	//300
    "done",	//301
    "dragEnterEvent",	//302
    "dragEnterEvent#",	//303
    "dragLeaveEvent",	//304
    "dragLeaveEvent#",	//305
    "dragMoveEvent",	//306
    "dragMoveEvent#",	//307
    "drawBranches",	//308
    "drawRow",	//309
    "dropEvent",	//310
    "dropEvent#",	//311
    "dropMimeData",	//312
    "dropMimeData#$$$#",	//313
    "dropped",	//314
    "dropped##?",	//315
    "edit",	//316
    "editPlace",	//317
    "editPlace#$#",	//318
    "editPlace#$#$",	//319
    "editPlace#$#$$",	//320
    "editableStateChanged",	//321
    "editableStateChanged$",	//322
    "editor",	//323
    "editorDestroyed",	//324
    "ejectActionForIndex",	//325
    "ejectActionForIndex#",	//326
    "enabledChange",	//327
    "enabledPlugins",	//328
    "enterEvent",	//329
    "errorMessage",	//330
    "errorMessage$",	//331
    "event",	//332
    "eventFilter",	//333
    "eventFilter##",	//334
    "fetchMore",	//335
    "fileHighlighted",	//336
    "fileHighlighted#",	//337
    "fileHighlighted$",	//338
    "fileSelected",	//339
    "fileSelected#",	//340
    "fileSelected$",	//341
    "filterAcceptsColumn",	//342
    "filterAcceptsRow",	//343
    "filterChanged",	//344
    "filterChanged$",	//345
    "filterWidget",	//346
    "filters",	//347
    "finishedLoading",	//348
    "flags",	//349
    "flags#",	//350
    "focusInEvent",	//351
    "focusNextPrevChild",	//352
    "focusOutEvent",	//353
    "fontChange",	//354
    "forward",	//355
    "getStartUrl",	//356
    "getStartUrl#$",	//357
    "getStartUrl#$$",	//358
    "goBack",	//359
    "goForward",	//360
    "goHome",	//361
    "goUp",	//362
    "hasChildren",	//363
    "hasChildren#",	//364
    "headerData",	//365
    "heightForWidth",	//366
    "hiddenCount",	//367
    "hideEvent",	//368
    "hideEvent#",	//369
    "hidePopup",	//370
    "highlightFile",	//371
    "highlightFile#",	//372
    "historyChanged",	//373
    "historyIndex",	//374
    "historySize",	//375
    "historyUrl",	//376
    "historyUrl$",	//377
    "home",	//378
    "homeUrl",	//379
    "horizontalOffset",	//380
    "horizontalScrollbarAction",	//381
    "horizontalScrollbarValueChanged",	//382
    "icon",	//383
    "icon#",	//384
    "iconsZoom",	//385
    "index",	//386
    "index$$",	//387
    "index$$#",	//388
    "indexAt",	//389
    "inputMethodEvent",	//390
    "inputMethodQuery",	//391
    "insertColumns",	//392
    "insertRows",	//393
    "isActive",	//394
    "isAutoResizeItemsEnabled",	//395
    "isDefaultView",	//396
    "isDefaultView$",	//397
    "isDetailTreeView",	//398
    "isDetailTreeView$",	//399
    "isDetailView",	//400
    "isDetailView$",	//401
    "isDevice",	//402
    "isDevice#",	//403
    "isDropOnPlaceEnabled",	//404
    "isHidden",	//405
    "isHidden#",	//406
    "isIndexHidden",	//407
    "isInlinePreviewShown",	//408
    "isMimeFilter",	//409
    "isPlacesSelectorVisible",	//410
    "isPreviewContents",	//411
    "isPreviewContents$",	//412
    "isPreviewInfo",	//413
    "isPreviewInfo$",	//414
    "isPreviewShown",	//415
    "isRoot",	//416
    "isSaving",	//417
    "isSelected",	//418
    "isSelected#",	//419
    "isSeparateDirs",	//420
    "isSeparateDirs$",	//421
    "isSimpleView",	//422
    "isSimpleView$",	//423
    "isSortByDate",	//424
    "isSortByDate#",	//425
    "isSortByName",	//426
    "isSortByName#",	//427
    "isSortBySize",	//428
    "isSortBySize#",	//429
    "isSortByType",	//430
    "isSortByType#",	//431
    "isSortCaseInsensitive",	//432
    "isSortCaseInsensitive#",	//433
    "isSortDirsFirst",	//434
    "isSortDirsFirst#",	//435
    "isTreeView",	//436
    "isTreeView$",	//437
    "isUrlEditable",	//438
    "itemData",	//439
    "keepsLocation",	//440
    "keyPressEvent",	//441
    "keyPressEvent#",	//442
    "keyReleaseEvent",	//443
    "keyReleaseEvent#",	//444
    "keyboardSearch",	//445
    "languageChange",	//446
    "leaveEvent",	//447
    "lessThan",	//448
    "localOnly",	//449
    "locationEdit",	//450
    "locationState",	//451
    "locationState$",	//452
    "locationUrl",	//453
    "locationUrl$",	//454
    "makeCompletion",	//455
    "makeCompletion$",	//456
    "makeDirCompletion",	//457
    "makeDirCompletion$",	//458
    "mapFromSource",	//459
    "mapSelectionFromSource",	//460
    "mapSelectionToSource",	//461
    "mapToSource",	//462
    "match",	//463
    "metaObject",	//464
    "metric",	//465
    "mimeData",	//466
    "mimeData?",	//467
    "mimeFilter",	//468
    "mimeTypes",	//469
    "minimumSizeHint",	//470
    "mkdir",	//471
    "mkdir$",	//472
    "mkdir$$",	//473
    "mode",	//474
    "mouseDoubleClickEvent",	//475
    "mouseMoveEvent",	//476
    "mousePressEvent",	//477
    "mouseReleaseEvent",	//478
    "mouseReleaseEvent#",	//479
    "moveCursor",	//480
    "moveEvent",	//481
    "nameFilter",	//482
    "newFileMenuSupportedMimeTypes",	//483
    "numDirs",	//484
    "numFiles",	//485
    "okButton",	//486
    "onlyDoubleClickSelectsFiles",	//487
    "operationMode",	//488
    "operator!=",	//489
    "operator!=##",	//490
    "operator!=#$",	//491
    "operator!=$#",	//492
    "operator!=$$",	//493
    "operator&",	//494
    "operator&##",	//495
    "operator*",	//496
    "operator*##",	//497
    "operator*#$",	//498
    "operator*$#",	//499
    "operator+",	//500
    "operator+##",	//501
    "operator+#$",	//502
    "operator+$#",	//503
    "operator+$$",	//504
    "operator++",	//505
    "operator++$",	//506
    "operator++$$",	//507
    "operator-",	//508
    "operator-#",	//509
    "operator-##",	//510
    "operator-#$",	//511
    "operator/",	//512
    "operator/#$",	//513
    "operator<",	//514
    "operator<##",	//515
    "operator<#$",	//516
    "operator<$#",	//517
    "operator<$$",	//518
    "operator<<",	//519
    "operator<<##",	//520
    "operator<<#$",	//521
    "operator<<#?",	//522
    "operator<=",	//523
    "operator<=##",	//524
    "operator<=#$",	//525
    "operator<=$#",	//526
    "operator<=$$",	//527
    "operator==",	//528
    "operator==##",	//529
    "operator==#$",	//530
    "operator==$#",	//531
    "operator==$$",	//532
    "operator>",	//533
    "operator>##",	//534
    "operator>#$",	//535
    "operator>$#",	//536
    "operator>$$",	//537
    "operator>=",	//538
    "operator>=##",	//539
    "operator>=#$",	//540
    "operator>=$#",	//541
    "operator>=$$",	//542
    "operator>>",	//543
    "operator>>##",	//544
    "operator>>#$",	//545
    "operator>>#?",	//546
    "operator^",	//547
    "operator^##",	//548
    "operator|",	//549
    "operator|##",	//550
    "operator|$$",	//551
    "paintEngine",	//552
    "paintEvent",	//553
    "paintEvent#",	//554
    "paletteChange",	//555
    "parent",	//556
    "parent#",	//557
    "pathChanged",	//558
    "pointsForPermissions",	//559
    "pointsForPermissions#",	//560
    "prepareCompletionObjects",	//561
    "previewGenerator",	//562
    "progressBar",	//563
    "qt_metacall",	//564
    "qt_metacall$$?",	//565
    "qt_metacast",	//566
    "qt_metacast$",	//567
    "readConfig",	//568
    "readConfig#",	//569
    "reject",	//570
    "removeColumns",	//571
    "removePlace",	//572
    "removePlace#",	//573
    "removeRows",	//574
    "requestActivation",	//575
    "requestEject",	//576
    "requestEject#",	//577
    "requestSetup",	//578
    "requestSetup#",	//579
    "requestTeardown",	//580
    "requestTeardown#",	//581
    "rereadDir",	//582
    "reset",	//583
    "resetCursor",	//584
    "resizeEvent",	//585
    "resizeEvent#",	//586
    "returnPressed",	//587
    "revert",	//588
    "rootUrl",	//589
    "rowCount",	//590
    "rowCount#",	//591
    "rowsAboutToBeRemoved",	//592
    "rowsInserted",	//593
    "rowsInserted#$$",	//594
    "saveLocationState",	//595
    "saveLocationState#",	//596
    "savePosition",	//597
    "savePosition$$",	//598
    "saveRootUrl",	//599
    "saveRootUrl#",	//600
    "savedPosition",	//601
    "savedRootUrl",	//602
    "scrollContentsBy",	//603
    "scrollTo",	//604
    "selectAll",	//605
    "selectDir",	//606
    "selectDir#",	//607
    "selectDirectory",	//608
    "selectDirectory#",	//609
    "selectDirectory#$",	//610
    "selectDirectory#$#",	//611
    "selectDirectory#$#$",	//612
    "selectFile",	//613
    "selectFile#",	//614
    "selectedFile",	//615
    "selectedFiles",	//616
    "selectedIndexes",	//617
    "selectedItems",	//618
    "selectedUrl",	//619
    "selectedUrls",	//620
    "selectionChanged",	//621
    "selectionCommand",	//622
    "setAcceptDrops",	//623
    "setAcceptDrops$",	//624
    "setActive",	//625
    "setActive$",	//626
    "setAutoCompletion",	//627
    "setAutoResizeItemsEnabled",	//628
    "setAutoResizeItemsEnabled$",	//629
    "setCaption",	//630
    "setCompletedItems",	//631
    "setCompletedText",	//632
    "setCompletionMode",	//633
    "setCompletionObject",	//634
    "setConfirmOverwrite",	//635
    "setConfirmOverwrite$",	//636
    "setContextMenuEnabled",	//637
    "setCurrentFilter",	//638
    "setCurrentFilter$",	//639
    "setCurrentItem",	//640
    "setCurrentItem#",	//641
    "setCurrentItem$",	//642
    "setCurrentItems",	//643
    "setCurrentItems#",	//644
    "setCurrentItems?",	//645
    "setCurrentUrl",	//646
    "setCurrentUrl#",	//647
    "setCustomProtocols",	//648
    "setCustomProtocols?",	//649
    "setCustomWidget",	//650
    "setCustomWidget#",	//651
    "setCustomWidget$#",	//652
    "setData",	//653
    "setDecorationPosition",	//654
    "setDecorationPosition$",	//655
    "setDefaultFilter",	//656
    "setDefaultFilter$",	//657
    "setDirLister",	//658
    "setDirLister#",	//659
    "setDirOnlyMode",	//660
    "setDirOnlyMode$",	//661
    "setDropOnPlaceEnabled",	//662
    "setDropOnPlaceEnabled$",	//663
    "setDropOptions",	//664
    "setDropOptions$",	//665
    "setEnableDirHighlighting",	//666
    "setEnableDirHighlighting$",	//667
    "setEnabledPlugins",	//668
    "setEnabledPlugins?",	//669
    "setFilter",	//670
    "setFilter$",	//671
    "setFocus",	//672
    "setHandleSignals",	//673
    "setHeaderData",	//674
    "setHomeUrl",	//675
    "setHomeUrl#",	//676
    "setHomeUrl$",	//677
    "setIconsZoom",	//678
    "setIconsZoom$",	//679
    "setInlinePreviewShown",	//680
    "setInlinePreviewShown$",	//681
    "setIsSaving",	//682
    "setIsSaving$",	//683
    "setItemData",	//684
    "setKeepLocation",	//685
    "setKeepLocation$",	//686
    "setLineEdit",	//687
    "setLocationLabel",	//688
    "setLocationLabel$",	//689
    "setLocationUrl",	//690
    "setLocationUrl#",	//691
    "setMimeFilter",	//692
    "setMimeFilter?",	//693
    "setMimeFilter?$",	//694
    "setMode",	//695
    "setMode$",	//696
    "setModel",	//697
    "setModel#",	//698
    "setNameFilter",	//699
    "setNameFilter$",	//700
    "setNewFileMenuSupportedMimeTypes",	//701
    "setNewFileMenuSupportedMimeTypes?",	//702
    "setOnlyDoubleClickSelectsFiles",	//703
    "setOnlyDoubleClickSelectsFiles$",	//704
    "setOperationMode",	//705
    "setOperationMode$",	//706
    "setPlaceHidden",	//707
    "setPlaceHidden#$",	//708
    "setPlacesSelectorVisible",	//709
    "setPlacesSelectorVisible$",	//710
    "setPlainCaption",	//711
    "setPreviewShown",	//712
    "setPreviewShown$",	//713
    "setPreviewWidget",	//714
    "setPreviewWidget#",	//715
    "setRootIndex",	//716
    "setRootUrl",	//717
    "setRootUrl#",	//718
    "setSelection",	//719
    "setSelection$",	//720
    "setSelectionModel",	//721
    "setShowAll",	//722
    "setShowAll$",	//723
    "setShowFullPath",	//724
    "setShowFullPath$",	//725
    "setShowHiddenFiles",	//726
    "setShowHiddenFiles$",	//727
    "setSortFoldersFirst",	//728
    "setSortFoldersFirst$",	//729
    "setSorting",	//730
    "setSorting$",	//731
    "setSourceModel",	//732
    "setStartDir",	//733
    "setStartDir#",	//734
    "setUrl",	//735
    "setUrl#",	//736
    "setUrl#$",	//737
    "setUrlEditable",	//738
    "setUrlEditable$",	//739
    "setView",	//740
    "setView#",	//741
    "setView$",	//742
    "setViewConfig",	//743
    "setViewConfig#",	//744
    "setVisible",	//745
    "setupActions",	//746
    "setupDone",	//747
    "setupDone#$",	//748
    "setupMenu",	//749
    "setupMenu$",	//750
    "setupNeeded",	//751
    "setupNeeded#",	//752
    "showEvent",	//753
    "showEvent#",	//754
    "showFullPath",	//755
    "showHiddenFiles",	//756
    "showPopup",	//757
    "showsAllTypes",	//758
    "sizeHint",	//759
    "sizeHintForColumn",	//760
    "sizeHintForRow",	//761
    "slotButtonClicked",	//762
    "slotCancel",	//763
    "slotCompletionMatch",	//764
    "slotCompletionMatch$",	//765
    "slotOk",	//766
    "sort",	//767
    "sortByDate",	//768
    "sortByName",	//769
    "sortBySize",	//770
    "sortByType",	//771
    "sortFoldersFirst",	//772
    "sortReversed",	//773
    "sorting",	//774
    "span",	//775
    "startDir",	//776
    "startDrag",	//777
    "staticMetaObject",	//778
    "styleChange",	//779
    "subSortLessThan",	//780
    "subSortLessThan##",	//781
    "submit",	//782
    "supportedDropActions",	//783
    "tabRequested",	//784
    "tabRequested#",	//785
    "tabletEvent",	//786
    "teardownActionForIndex",	//787
    "teardownActionForIndex#",	//788
    "text",	//789
    "text#",	//790
    "timerEvent",	//791
    "toggleDirsFirst",	//792
    "toggleIgnoreCase",	//793
    "toolBar",	//794
    "tr",	//795
    "tr$",	//796
    "tr$$",	//797
    "tr$$$",	//798
    "trUtf8",	//799
    "trUtf8$",	//800
    "trUtf8$$",	//801
    "trUtf8$$$",	//802
    "trash",	//803
    "trash##",	//804
    "trash##$",	//805
    "trash##$$",	//806
    "trashSelected",	//807
    "uncommittedUrl",	//808
    "updateDir",	//809
    "updateEditorData",	//810
    "updateEditorGeometries",	//811
    "updateGeometries",	//812
    "updateIcons",	//813
    "updateInformation",	//814
    "updateInformation$$",	//815
    "updatePreviews",	//816
    "updateSelectionDependentActions",	//817
    "updateSortActions",	//818
    "updateViewActions",	//819
    "url",	//820
    "url#",	//821
    "url$",	//822
    "urlAboutToBeChanged",	//823
    "urlAboutToBeChanged#",	//824
    "urlChanged",	//825
    "urlChanged#",	//826
    "urlEntered",	//827
    "urlEntered#",	//828
    "urlsDropped",	//829
    "urlsDropped##",	//830
    "urlsDropped###",	//831
    "urlsDropped?#",	//832
    "verticalOffset",	//833
    "verticalScrollbarAction",	//834
    "verticalScrollbarValueChanged",	//835
    "view",	//836
    "viewChanged",	//837
    "viewChanged#",	//838
    "viewConfigGroup",	//839
    "viewOptions",	//840
    "viewportEvent",	//841
    "virtual_hook",	//842
    "virtual_hook$$",	//843
    "visualRect",	//844
    "visualRegionForSelection",	//845
    "wheelEvent",	//846
    "windowActivationChange",	//847
    "writeConfig",	//848
    "writeConfig#",	//849
    "x11Event",	//850
    "~KAbstractFileWidget",	//851
    "~KDirOperator",	//852
    "~KDirSelectDialog",	//853
    "~KDirSortFilterProxyModel",	//854
    "~KFile",	//855
    "~KFileFilterCombo",	//856
    "~KFilePlacesModel",	//857
    "~KFilePlacesView",	//858
    "~KFilePreviewGenerator",	//859
    "~KFileTreeView",	//860
    "~KFileWidget",	//861
    "~KUrlNavigator",	//862
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 619, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 61, 1},	//1 KAbstractFileWidget::selectedUrl() const [pure virtual]
    {2, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 66, 2},	//2 KAbstractFileWidget::selectedUrls() const [pure virtual]
    {2, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 61, 3},	//3 KAbstractFileWidget::baseUrl() const [pure virtual]
    {2, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//4 KAbstractFileWidget::selectedFile() const [pure virtual]
    {2, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 5},	//5 KAbstractFileWidget::selectedFiles() const [pure virtual]
    {2, 735, 1, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//6 KAbstractFileWidget::setUrl(const KUrl&, bool) [pure virtual]
    {2, 719, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//7 KAbstractFileWidget::setSelection(const QString&) [pure virtual]
    {2, 705, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//8 KAbstractFileWidget::setOperationMode(KAbstractFileWidget::OperationMode) [pure virtual]
    {2, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 3, 9},	//9 KAbstractFileWidget::operationMode() const [pure virtual]
    {2, 685, 8, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//10 KAbstractFileWidget::setKeepLocation(bool) [pure virtual]
    {2, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 353, 11},	//11 KAbstractFileWidget::keepsLocation() const [pure virtual]
    {2, 670, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//12 KAbstractFileWidget::setFilter(const QString&) [pure virtual]
    {2, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 13},	//13 KAbstractFileWidget::currentFilter() const [pure virtual]
    {2, 269, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 55, 14},	//14 KAbstractFileWidget::currentFilterMimeType() [pure virtual]
    {2, 692, 10, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//15 KAbstractFileWidget::setMimeFilter(const QStringList&, const QString&) [pure virtual]
    {2, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 16},	//16 KAbstractFileWidget::currentMimeFilter() const [pure virtual]
    {2, 244, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//17 KAbstractFileWidget::clearFilter() [pure virtual]
    {2, 714, 13, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 18},	//18 KAbstractFileWidget::setPreviewWidget(KPreviewWidgetBase*) [pure virtual]
    {2, 695, 15, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//19 KAbstractFileWidget::setMode(QFlags<KFile::Mode>) [pure virtual]
    {2, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 118, 20},	//20 KAbstractFileWidget::mode() const [pure virtual]
    {2, 688, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//21 KAbstractFileWidget::setLocationLabel(const QString&) [pure virtual]
    {2, 794, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 60, 22},	//22 KAbstractFileWidget::toolBar() const [pure virtual]
    {2, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 23},	//23 KAbstractFileWidget::okButton() const [pure virtual]
    {2, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 54, 24},	//24 KAbstractFileWidget::cancelButton() const [pure virtual]
    {2, 450, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 68, 25},	//25 KAbstractFileWidget::locationEdit() const [pure virtual]
    {2, 346, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 26},	//26 KAbstractFileWidget::filterWidget() const [pure virtual]
    {2, 219, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 27},	//27 KAbstractFileWidget::actionCollection() const [pure virtual]
    {2, 650, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//28 KAbstractFileWidget::setCustomWidget(QWidget*) [pure virtual]
    {2, 650, 19, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//29 KAbstractFileWidget::setCustomWidget(const QString&, QWidget*) [pure virtual]
    {2, 766, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//30 KAbstractFileWidget::slotOk() [pure virtual]
    {2, 217, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 31},	//31 KAbstractFileWidget::accept() [pure virtual]
    {2, 763, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//32 KAbstractFileWidget::slotCancel() [pure virtual]
    {2, 842, 22, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//33 KAbstractFileWidget::virtual_hook(int, void*) [pure virtual]
    {2, 635, 8, 1, 0, 0, 34},	//34 KAbstractFileWidget::setConfirmOverwrite(bool)
    {2, 680, 8, 1, 0, 0, 35},	//35 KAbstractFileWidget::setInlinePreviewShown(bool)
    {2, 70, 0, 0, Smoke::mf_ctor, 2, 36},	//36 KAbstractFileWidget::KAbstractFileWidget()
    {2, 70, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 37},	//37 KAbstractFileWidget::KAbstractFileWidget(const KAbstractFileWidget&)
    {2, 735, 27, 1, 0, 0, 38},	//38 KAbstractFileWidget::setUrl(const KUrl&)
    {2, 692, 29, 1, 0, 0, 39},	//39 KAbstractFileWidget::setMimeFilter(const QStringList&)
    {2, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 40},	//40 KAbstractFileWidget::Other (enum)
    {2, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 41},	//41 KAbstractFileWidget::Opening (enum)
    {2, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 42},	//42 KAbstractFileWidget::Saving (enum)
    {2, 851, 0, 0, Smoke::mf_dtor, 0, 43 },	//43 KAbstractFileWidget::~KAbstractFileWidget()
    {6, 767, 31, 2, Smoke::mf_virtual, 0, 0},	//44 KCategorizedSortFilterProxyModel::sort(int, Qt::SortOrder)
    {6, 448, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//45 KCategorizedSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {6, 254, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//46 KCategorizedSortFilterProxyModel::compareCategories(const QModelIndex&, const QModelIndex&) const
    {8, 627, 8, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//47 KComboBox::setAutoCompletion(bool)
    {8, 637, 8, 1, Smoke::mf_virtual, 0, 0},	//48 KComboBox::setContextMenuEnabled(bool)
    {8, 687, 37, 1, Smoke::mf_virtual, 0, 0},	//49 KComboBox::setLineEdit(QLineEdit*)
    {8, 632, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 KComboBox::setCompletedText(const QString&)
    {8, 631, 39, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//51 KComboBox::setCompletedItems(const QStringList&, bool)
    {8, 455, 4, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//52 KComboBox::makeCompletion(const QString&)
    {8, 632, 42, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 KComboBox::setCompletedText(const QString&, bool)
    {8, 263, 45, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 KComboBox::create(unsigned long, bool, bool)
    {8, 846, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 KComboBox::wheelEvent(QWheelEvent*)
    {8, 470, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 230, 0},	//56 KComboBox::minimumSizeHint() const
    {10, 634, 51, 2, Smoke::mf_virtual, 0, 0},	//57 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {10, 673, 8, 1, Smoke::mf_virtual, 0, 0},	//58 KCompletionBase::setHandleSignals(bool)
    {10, 633, 54, 1, Smoke::mf_virtual, 0, 0},	//59 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {10, 842, 22, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 KCompletionBase::virtual_hook(int, void*)
    {13, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//61 KDialog::sizeHint() const
    {13, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//62 KDialog::minimumSizeHint() const
    {13, 630, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//63 KDialog::setCaption(const QString&)
    {13, 630, 42, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//64 KDialog::setCaption(const QString&, bool)
    {13, 711, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//65 KDialog::setPlainCaption(const QString&)
    {13, 248, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 KDialog::closeEvent(QCloseEvent*)
    {13, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 KDialog::keyPressEvent(QKeyEvent*)
    {13, 762, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//68 KDialog::slotButtonClicked(int)
    {13, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 9},	//69 KDialog::None (enum)
    {13, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 10},	//70 KDialog::Help (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 11},	//71 KDialog::Default (enum)
    {13, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 12},	//72 KDialog::Ok (enum)
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 13},	//73 KDialog::Apply (enum)
    {13, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//74 KDialog::Try (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//75 KDialog::Cancel (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//76 KDialog::Close (enum)
    {13, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//77 KDialog::No (enum)
    {13, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 18},	//78 KDialog::Yes (enum)
    {13, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 19},	//79 KDialog::Reset (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 20},	//80 KDialog::Details (enum)
    {13, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 21},	//81 KDialog::User1 (enum)
    {13, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 22},	//82 KDialog::User2 (enum)
    {13, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 23},	//83 KDialog::User3 (enum)
    {13, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 24},	//84 KDialog::NoDefault (enum)
    {13, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 25},	//85 KDialog::NoCaptionFlags (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 26},	//86 KDialog::AppNameCaption (enum)
    {13, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 27},	//87 KDialog::ModifiedCaption (enum)
    {13, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//88 KDialog::HIGCompliantCaption (enum)
    {15, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//89 KDirOperator::metaObject() const
    {15, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//90 KDirOperator::qt_metacast(const char*)
    {15, 795, 64, 2, Smoke::mf_static, 235, 3},	//91 KDirOperator::tr(const char*, const char*)
    {15, 799, 64, 2, Smoke::mf_static, 235, 4},	//92 KDirOperator::trUtf8(const char*, const char*)
    {15, 795, 67, 3, Smoke::mf_static, 235, 5},	//93 KDirOperator::tr(const char*, const char*, int)
    {15, 799, 67, 3, Smoke::mf_static, 235, 6},	//94 KDirOperator::trUtf8(const char*, const char*, int)
    {15, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//95 KDirOperator::qt_metacall(QMetaObject::Call, int, void**)
    {15, 72, 75, 2, Smoke::mf_ctor, 19, 8},	//96 KDirOperator::KDirOperator(const KUrl&, QWidget*)
    {15, 726, 8, 1, Smoke::mf_virtual, 0, 9},	//97 KDirOperator::setShowHiddenFiles(bool)
    {15, 756, 0, 0, Smoke::mf_const, 353, 10},	//98 KDirOperator::showHiddenFiles() const
    {15, 246, 0, 0, 0, 0, 11},	//99 KDirOperator::close()
    {15, 699, 4, 1, 0, 0, 12},	//100 KDirOperator::setNameFilter(const QString&)
    {15, 482, 0, 0, Smoke::mf_const, 235, 13},	//101 KDirOperator::nameFilter() const
    {15, 692, 29, 1, 0, 0, 14},	//102 KDirOperator::setMimeFilter(const QStringList&)
    {15, 468, 0, 0, Smoke::mf_const, 240, 15},	//103 KDirOperator::mimeFilter() const
    {15, 701, 29, 1, 0, 0, 16},	//104 KDirOperator::setNewFileMenuSupportedMimeTypes(const QStringList&)
    {15, 483, 0, 0, Smoke::mf_const, 240, 17},	//105 KDirOperator::newFileMenuSupportedMimeTypes() const
    {15, 244, 0, 0, 0, 0, 18},	//106 KDirOperator::clearFilter()
    {15, 820, 0, 0, Smoke::mf_const, 61, 19},	//107 KDirOperator::url() const
    {15, 735, 1, 2, Smoke::mf_virtual, 0, 20},	//108 KDirOperator::setUrl(const KUrl&, bool)
    {15, 640, 4, 1, 0, 0, 21},	//109 KDirOperator::setCurrentItem(const QString&)
    {15, 640, 78, 1, 0, 0, 22},	//110 KDirOperator::setCurrentItem(const KFileItem&)
    {15, 643, 29, 1, 0, 0, 23},	//111 KDirOperator::setCurrentItems(const QStringList&)
    {15, 643, 80, 1, 0, 0, 24},	//112 KDirOperator::setCurrentItems(const KFileItemList&)
    {15, 740, 82, 1, Smoke::mf_virtual, 0, 25},	//113 KDirOperator::setView(QAbstractItemView*)
    {15, 836, 0, 0, Smoke::mf_const, 73, 26},	//114 KDirOperator::view() const
    {15, 740, 84, 1, Smoke::mf_virtual, 0, 27},	//115 KDirOperator::setView(KFile::FileView)
    {15, 730, 86, 1, 0, 0, 28},	//116 KDirOperator::setSorting(QFlags<QDir::SortFlag>)
    {15, 774, 0, 0, Smoke::mf_const, 134, 29},	//117 KDirOperator::sorting() const
    {15, 416, 0, 0, Smoke::mf_const, 353, 30},	//118 KDirOperator::isRoot() const
    {15, 295, 0, 0, Smoke::mf_const, 17, 31},	//119 KDirOperator::dirLister() const
    {15, 563, 0, 0, Smoke::mf_const, 221, 32},	//120 KDirOperator::progressBar() const
    {15, 695, 15, 1, Smoke::mf_virtual, 0, 33},	//121 KDirOperator::setMode(QFlags<KFile::Mode>)
    {15, 474, 0, 0, Smoke::mf_const, 118, 34},	//122 KDirOperator::mode() const
    {15, 714, 13, 1, Smoke::mf_virtual, 0, 35},	//123 KDirOperator::setPreviewWidget(KPreviewWidgetBase*)
    {15, 618, 0, 0, Smoke::mf_const, 29, 36},	//124 KDirOperator::selectedItems() const
    {15, 418, 78, 1, Smoke::mf_const, 353, 37},	//125 KDirOperator::isSelected(const KFileItem&) const
    {15, 484, 0, 0, Smoke::mf_const, 440, 38},	//126 KDirOperator::numDirs() const
    {15, 485, 0, 0, Smoke::mf_const, 440, 39},	//127 KDirOperator::numFiles() const
    {15, 257, 0, 0, Smoke::mf_const, 9, 40},	//128 KDirOperator::completionObject() const
    {15, 293, 0, 0, Smoke::mf_const, 9, 41},	//129 KDirOperator::dirCompletionObject() const
    {15, 219, 0, 0, Smoke::mf_const, 6, 42},	//130 KDirOperator::actionCollection() const
    {15, 743, 88, 1, Smoke::mf_virtual, 0, 43},	//131 KDirOperator::setViewConfig(KConfigGroup&)
    {15, 839, 0, 0, Smoke::mf_const, 14, 44},	//132 KDirOperator::viewConfigGroup() const
    {15, 568, 90, 1, Smoke::mf_virtual, 0, 45},	//133 KDirOperator::readConfig(const KConfigGroup&)
    {15, 848, 88, 1, Smoke::mf_virtual, 0, 46},	//134 KDirOperator::writeConfig(KConfigGroup&)
    {15, 703, 8, 1, 0, 0, 47},	//135 KDirOperator::setOnlyDoubleClickSelectsFiles(bool)
    {15, 487, 0, 0, Smoke::mf_const, 353, 48},	//136 KDirOperator::onlyDoubleClickSelectsFiles() const
    {15, 471, 42, 2, Smoke::mf_virtual, 353, 49},	//137 KDirOperator::mkdir(const QString&, bool)
    {15, 282, 92, 4, Smoke::mf_virtual, 44, 50},	//138 KDirOperator::del(const KFileItemList&, QWidget*, bool, bool)
    {15, 245, 0, 0, 0, 0, 51},	//139 KDirOperator::clearHistory()
    {15, 666, 8, 1, Smoke::mf_virtual, 0, 52},	//140 KDirOperator::setEnableDirHighlighting(bool)
    {15, 294, 0, 0, Smoke::mf_const, 353, 53},	//141 KDirOperator::dirHighlighting() const
    {15, 296, 0, 0, Smoke::mf_const, 353, 54},	//142 KDirOperator::dirOnlyMode() const
    {15, 296, 97, 1, Smoke::mf_static, 353, 55},	//143 KDirOperator::dirOnlyMode(unsigned int)
    {15, 749, 60, 1, 0, 0, 56},	//144 KDirOperator::setupMenu(int)
    {15, 623, 8, 1, Smoke::mf_virtual, 0, 57},	//145 KDirOperator::setAcceptDrops(bool)
    {15, 664, 60, 1, Smoke::mf_virtual, 0, 58},	//146 KDirOperator::setDropOptions(int)
    {15, 803, 92, 4, Smoke::mf_virtual, 43, 59},	//147 KDirOperator::trash(const KFileItemList&, QWidget*, bool, bool)
    {15, 562, 0, 0, Smoke::mf_const, 34, 60},	//148 KDirOperator::previewGenerator() const
    {15, 680, 8, 1, 0, 0, 61},	//149 KDirOperator::setInlinePreviewShown(bool)
    {15, 280, 0, 0, Smoke::mf_const, 252, 62},	//150 KDirOperator::decorationPosition() const
    {15, 654, 99, 1, 0, 0, 63},	//151 KDirOperator::setDecorationPosition(QStyleOptionViewItem::Position)
    {15, 408, 0, 0, Smoke::mf_const, 353, 64},	//152 KDirOperator::isInlinePreviewShown() const
    {15, 385, 0, 0, Smoke::mf_const, 440, 65},	//153 KDirOperator::iconsZoom() const
    {15, 682, 8, 1, 0, 0, 66},	//154 KDirOperator::setIsSaving(bool)
    {15, 417, 0, 0, Smoke::mf_const, 353, 67},	//155 KDirOperator::isSaving() const
    {15, 264, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 73, 68},	//156 KDirOperator::createView(QWidget*, KFile::FileView)
    {15, 658, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//157 KDirOperator::setDirLister(KDirLister*)
    {15, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//158 KDirOperator::resizeEvent(QResizeEvent*)
    {15, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//159 KDirOperator::keyPressEvent(QKeyEvent*)
    {15, 746, 0, 0, Smoke::mf_protected, 0, 72},	//160 KDirOperator::setupActions()
    {15, 818, 0, 0, Smoke::mf_protected, 0, 73},	//161 KDirOperator::updateSortActions()
    {15, 819, 0, 0, Smoke::mf_protected, 0, 74},	//162 KDirOperator::updateViewActions()
    {15, 749, 0, 0, Smoke::mf_protected, 0, 75},	//163 KDirOperator::setupMenu()
    {15, 561, 0, 0, Smoke::mf_protected, 0, 76},	//164 KDirOperator::prepareCompletionObjects()
    {15, 242, 0, 0, Smoke::mf_protected, 353, 77},	//165 KDirOperator::checkPreviewSupport()
    {15, 223, 108, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//166 KDirOperator::activatedMenu(const KFileItem&, const QPoint&)
    {15, 240, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//167 KDirOperator::changeEvent(QEvent*)
    {15, 333, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 353, 80},	//168 KDirOperator::eventFilter(QObject*, QEvent*)
    {15, 230, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 81},	//169 KDirOperator::back()
    {15, 355, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 82},	//170 KDirOperator::forward()
    {15, 378, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 83},	//171 KDirOperator::home()
    {15, 239, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 84},	//172 KDirOperator::cdUp()
    {15, 809, 0, 0, Smoke::mf_slot, 0, 85},	//173 KDirOperator::updateDir()
    {15, 582, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 86},	//174 KDirOperator::rereadDir()
    {15, 471, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 87},	//175 KDirOperator::mkdir()
    {15, 287, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 88},	//176 KDirOperator::deleteSelected()
    {15, 817, 0, 0, Smoke::mf_slot, 0, 89},	//177 KDirOperator::updateSelectionDependentActions()
    {15, 455, 4, 1, Smoke::mf_slot, 235, 90},	//178 KDirOperator::makeCompletion(const QString&)
    {15, 457, 4, 1, Smoke::mf_slot, 235, 91},	//179 KDirOperator::makeDirCompletion(const QString&)
    {15, 807, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//180 KDirOperator::trashSelected()
    {15, 678, 60, 1, Smoke::mf_slot, 0, 93},	//181 KDirOperator::setIconsZoom(int)
    {15, 584, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 94},	//182 KDirOperator::resetCursor()
    {15, 558, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 95},	//183 KDirOperator::pathChanged()
    {15, 606, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 96},	//184 KDirOperator::selectDir(const KFileItem&)
    {15, 613, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 97},	//185 KDirOperator::selectFile(const KFileItem&)
    {15, 371, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 98},	//186 KDirOperator::highlightFile(const KFileItem&)
    {15, 769, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 99},	//187 KDirOperator::sortByName()
    {15, 770, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 100},	//188 KDirOperator::sortBySize()
    {15, 768, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 101},	//189 KDirOperator::sortByDate()
    {15, 771, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 102},	//190 KDirOperator::sortByType()
    {15, 773, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 103},	//191 KDirOperator::sortReversed()
    {15, 792, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 104},	//192 KDirOperator::toggleDirsFirst()
    {15, 793, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 105},	//193 KDirOperator::toggleIgnoreCase()
    {15, 764, 4, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 106},	//194 KDirOperator::slotCompletionMatch(const QString&)
    {15, 827, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//195 KDirOperator::urlEntered(const KUrl&)
    {15, 814, 116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//196 KDirOperator::updateInformation(int, int)
    {15, 255, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//197 KDirOperator::completion(const QString&)
    {15, 348, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//198 KDirOperator::finishedLoading()
    {15, 837, 82, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//199 KDirOperator::viewChanged(QAbstractItemView*)
    {15, 336, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//200 KDirOperator::fileHighlighted(const KFileItem&)
    {15, 291, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//201 KDirOperator::dirActivated(const KFileItem&)
    {15, 339, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//202 KDirOperator::fileSelected(const KFileItem&)
    {15, 314, 119, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//203 KDirOperator::dropped(const KFileItem&, QDropEvent*, const KUrl::List&)
    {15, 259, 123, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//204 KDirOperator::contextMenuAboutToShow(const KFileItem&, QMenu*)
    {15, 270, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//205 KDirOperator::currentIconSizeChanged(int)
    {15, 795, 62, 1, Smoke::mf_static, 235, 118},	//206 KDirOperator::tr(const char*)
    {15, 799, 62, 1, Smoke::mf_static, 235, 119},	//207 KDirOperator::trUtf8(const char*)
    {15, 72, 0, 0, Smoke::mf_ctor, 19, 120},	//208 KDirOperator::KDirOperator()
    {15, 72, 27, 1, Smoke::mf_ctor, 19, 121},	//209 KDirOperator::KDirOperator(const KUrl&)
    {15, 471, 4, 1, 0, 353, 122},	//210 KDirOperator::mkdir(const QString&)
    {15, 282, 80, 1, 0, 44, 123},	//211 KDirOperator::del(const KFileItemList&)
    {15, 282, 126, 2, 0, 44, 124},	//212 KDirOperator::del(const KFileItemList&, QWidget*)
    {15, 282, 129, 3, 0, 44, 125},	//213 KDirOperator::del(const KFileItemList&, QWidget*, bool)
    {15, 803, 126, 2, 0, 43, 126},	//214 KDirOperator::trash(const KFileItemList&, QWidget*)
    {15, 803, 129, 3, 0, 43, 127},	//215 KDirOperator::trash(const KFileItemList&, QWidget*, bool)
    {15, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 128},	//216 KDirOperator::staticMetaObject() const
    {15, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 129},	//217 KDirOperator::SortActions (enum)
    {15, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 130},	//218 KDirOperator::ViewActions (enum)
    {15, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 131},	//219 KDirOperator::NavActions (enum)
    {15, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 132},	//220 KDirOperator::FileActions (enum)
    {15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 133},	//221 KDirOperator::AllActions (enum)
    {15, 852, 0, 0, Smoke::mf_dtor, 0, 134 },	//222 KDirOperator::~KDirOperator()
    {16, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//223 KDirSelectDialog::metaObject() const
    {16, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//224 KDirSelectDialog::qt_metacast(const char*)
    {16, 795, 64, 2, Smoke::mf_static, 235, 3},	//225 KDirSelectDialog::tr(const char*, const char*)
    {16, 799, 64, 2, Smoke::mf_static, 235, 4},	//226 KDirSelectDialog::trUtf8(const char*, const char*)
    {16, 795, 67, 3, Smoke::mf_static, 235, 5},	//227 KDirSelectDialog::tr(const char*, const char*, int)
    {16, 799, 67, 3, Smoke::mf_static, 235, 6},	//228 KDirSelectDialog::trUtf8(const char*, const char*, int)
    {16, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//229 KDirSelectDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 133, 3, Smoke::mf_ctor, 21, 8},	//230 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool, QWidget*)
    {16, 820, 0, 0, Smoke::mf_const, 61, 9},	//231 KDirSelectDialog::url() const
    {16, 836, 0, 0, Smoke::mf_const, 73, 10},	//232 KDirSelectDialog::view() const
    {16, 449, 0, 0, Smoke::mf_const, 353, 11},	//233 KDirSelectDialog::localOnly() const
    {16, 608, 137, 4, Smoke::mf_static, 61, 12},	//234 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*, const QString&)
    {16, 776, 0, 0, Smoke::mf_const, 61, 13},	//235 KDirSelectDialog::startDir() const
    {16, 646, 27, 1, Smoke::mf_slot, 0, 14},	//236 KDirSelectDialog::setCurrentUrl(const KUrl&)
    {16, 217, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//237 KDirSelectDialog::accept()
    {16, 368, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//238 KDirSelectDialog::hideEvent(QHideEvent*)
    {16, 795, 62, 1, Smoke::mf_static, 235, 17},	//239 KDirSelectDialog::tr(const char*)
    {16, 799, 62, 1, Smoke::mf_static, 235, 18},	//240 KDirSelectDialog::trUtf8(const char*)
    {16, 75, 0, 0, Smoke::mf_ctor, 21, 19},	//241 KDirSelectDialog::KDirSelectDialog()
    {16, 75, 27, 1, Smoke::mf_ctor, 21, 20},	//242 KDirSelectDialog::KDirSelectDialog(const KUrl&)
    {16, 75, 1, 2, Smoke::mf_ctor, 21, 21},	//243 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool)
    {16, 608, 0, 0, Smoke::mf_static, 61, 22},	//244 KDirSelectDialog::selectDirectory()
    {16, 608, 27, 1, Smoke::mf_static, 61, 23},	//245 KDirSelectDialog::selectDirectory(const KUrl&)
    {16, 608, 1, 2, Smoke::mf_static, 61, 24},	//246 KDirSelectDialog::selectDirectory(const KUrl&, bool)
    {16, 608, 133, 3, Smoke::mf_static, 61, 25},	//247 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*)
    {16, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 26},	//248 KDirSelectDialog::staticMetaObject() const
    {16, 853, 0, 0, Smoke::mf_dtor, 0, 27 },	//249 KDirSelectDialog::~KDirSelectDialog()
    {17, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//250 KDirSortFilterProxyModel::metaObject() const
    {17, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//251 KDirSortFilterProxyModel::qt_metacast(const char*)
    {17, 795, 64, 2, Smoke::mf_static, 235, 3},	//252 KDirSortFilterProxyModel::tr(const char*, const char*)
    {17, 799, 64, 2, Smoke::mf_static, 235, 4},	//253 KDirSortFilterProxyModel::trUtf8(const char*, const char*)
    {17, 795, 67, 3, Smoke::mf_static, 235, 5},	//254 KDirSortFilterProxyModel::tr(const char*, const char*, int)
    {17, 799, 67, 3, Smoke::mf_static, 235, 6},	//255 KDirSortFilterProxyModel::trUtf8(const char*, const char*, int)
    {17, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//256 KDirSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 79, 144, 1, Smoke::mf_ctor, 22, 8},	//257 KDirSortFilterProxyModel::KDirSortFilterProxyModel(QObject*)
    {17, 363, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 353, 9},	//258 KDirSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {17, 235, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 353, 10},	//259 KDirSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {17, 559, 148, 1, Smoke::mf_static, 440, 11},	//260 KDirSortFilterProxyModel::pointsForPermissions(const QFileInfo&)
    {17, 728, 8, 1, 0, 0, 12},	//261 KDirSortFilterProxyModel::setSortFoldersFirst(bool)
    {17, 772, 0, 0, Smoke::mf_const, 353, 13},	//262 KDirSortFilterProxyModel::sortFoldersFirst() const
    {17, 780, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 14},	//263 KDirSortFilterProxyModel::subSortLessThan(const QModelIndex&, const QModelIndex&) const
    {17, 795, 62, 1, Smoke::mf_static, 235, 15},	//264 KDirSortFilterProxyModel::tr(const char*)
    {17, 799, 62, 1, Smoke::mf_static, 235, 16},	//265 KDirSortFilterProxyModel::trUtf8(const char*)
    {17, 79, 0, 0, Smoke::mf_ctor, 22, 17},	//266 KDirSortFilterProxyModel::KDirSortFilterProxyModel()
    {17, 363, 0, 0, Smoke::mf_const, 353, 18},	//267 KDirSortFilterProxyModel::hasChildren() const
    {17, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 19},	//268 KDirSortFilterProxyModel::staticMetaObject() const
    {17, 854, 0, 0, Smoke::mf_dtor, 0, 20 },	//269 KDirSortFilterProxyModel::~KDirSortFilterProxyModel()
    {18, 426, 150, 1, Smoke::mf_static, 353, 1},	//270 KFile::isSortByName(const QFlags<QDir::SortFlag>&)
    {18, 428, 150, 1, Smoke::mf_static, 353, 2},	//271 KFile::isSortBySize(const QFlags<QDir::SortFlag>&)
    {18, 424, 150, 1, Smoke::mf_static, 353, 3},	//272 KFile::isSortByDate(const QFlags<QDir::SortFlag>&)
    {18, 430, 150, 1, Smoke::mf_static, 353, 4},	//273 KFile::isSortByType(const QFlags<QDir::SortFlag>&)
    {18, 434, 150, 1, Smoke::mf_static, 353, 5},	//274 KFile::isSortDirsFirst(const QFlags<QDir::SortFlag>&)
    {18, 432, 150, 1, Smoke::mf_static, 353, 6},	//275 KFile::isSortCaseInsensitive(const QFlags<QDir::SortFlag>&)
    {18, 396, 152, 1, Smoke::mf_static, 353, 7},	//276 KFile::isDefaultView(const KFile::FileView&)
    {18, 422, 152, 1, Smoke::mf_static, 353, 8},	//277 KFile::isSimpleView(const KFile::FileView&)
    {18, 400, 152, 1, Smoke::mf_static, 353, 9},	//278 KFile::isDetailView(const KFile::FileView&)
    {18, 420, 152, 1, Smoke::mf_static, 353, 10},	//279 KFile::isSeparateDirs(const KFile::FileView&)
    {18, 411, 152, 1, Smoke::mf_static, 353, 11},	//280 KFile::isPreviewContents(const KFile::FileView&)
    {18, 413, 152, 1, Smoke::mf_static, 353, 12},	//281 KFile::isPreviewInfo(const KFile::FileView&)
    {18, 436, 152, 1, Smoke::mf_static, 353, 13},	//282 KFile::isTreeView(const KFile::FileView&)
    {18, 398, 152, 1, Smoke::mf_static, 353, 14},	//283 KFile::isDetailTreeView(const KFile::FileView&)
    {18, 81, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 15},	//284 KFile::KFile(const KFile&)
    {18, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 16},	//285 KFile::staticMetaObject() const
    {18, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 17},	//286 KFile::File (enum)
    {18, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 18},	//287 KFile::Directory (enum)
    {18, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 19},	//288 KFile::Files (enum)
    {18, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 20},	//289 KFile::ExistingOnly (enum)
    {18, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//290 KFile::LocalOnly (enum)
    {18, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//291 KFile::ModeMax (enum)
    {18, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//292 KFile::Default (enum)
    {18, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//293 KFile::Simple (enum)
    {18, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//294 KFile::Detail (enum)
    {18, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//295 KFile::SeparateDirs (enum)
    {18, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//296 KFile::PreviewContents (enum)
    {18, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//297 KFile::PreviewInfo (enum)
    {18, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 29},	//298 KFile::Tree (enum)
    {18, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//299 KFile::DetailTree (enum)
    {18, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//300 KFile::FileViewMax (enum)
    {18, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//301 KFile::Single (enum)
    {18, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 33},	//302 KFile::Multi (enum)
    {18, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 34},	//303 KFile::Extended (enum)
    {18, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 35},	//304 KFile::NoSelection (enum)
    {18, 855, 0, 0, Smoke::mf_dtor, 0, 36 },	//305 KFile::~KFile()
    {19, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//306 KFileFilterCombo::metaObject() const
    {19, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//307 KFileFilterCombo::qt_metacast(const char*)
    {19, 795, 64, 2, Smoke::mf_static, 235, 3},	//308 KFileFilterCombo::tr(const char*, const char*)
    {19, 799, 64, 2, Smoke::mf_static, 235, 4},	//309 KFileFilterCombo::trUtf8(const char*, const char*)
    {19, 795, 67, 3, Smoke::mf_static, 235, 5},	//310 KFileFilterCombo::tr(const char*, const char*, int)
    {19, 799, 67, 3, Smoke::mf_static, 235, 6},	//311 KFileFilterCombo::trUtf8(const char*, const char*, int)
    {19, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//312 KFileFilterCombo::qt_metacall(QMetaObject::Call, int, void**)
    {19, 83, 17, 1, Smoke::mf_ctor, 27, 8},	//313 KFileFilterCombo::KFileFilterCombo(QWidget*)
    {19, 670, 4, 1, 0, 0, 9},	//314 KFileFilterCombo::setFilter(const QString&)
    {19, 268, 0, 0, Smoke::mf_const, 235, 10},	//315 KFileFilterCombo::currentFilter() const
    {19, 638, 4, 1, 0, 0, 11},	//316 KFileFilterCombo::setCurrentFilter(const QString&)
    {19, 692, 10, 2, 0, 0, 12},	//317 KFileFilterCombo::setMimeFilter(const QStringList&, const QString&)
    {19, 758, 0, 0, Smoke::mf_const, 353, 13},	//318 KFileFilterCombo::showsAllTypes() const
    {19, 656, 4, 1, 0, 0, 14},	//319 KFileFilterCombo::setDefaultFilter(const QString&)
    {19, 281, 0, 0, Smoke::mf_const, 235, 15},	//320 KFileFilterCombo::defaultFilter() const
    {19, 347, 0, 0, Smoke::mf_const, 240, 16},	//321 KFileFilterCombo::filters() const
    {19, 409, 0, 0, Smoke::mf_const, 353, 17},	//322 KFileFilterCombo::isMimeFilter() const
    {19, 333, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 353, 18},	//323 KFileFilterCombo::eventFilter(QObject*, QEvent*)
    {19, 344, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//324 KFileFilterCombo::filterChanged()
    {19, 795, 62, 1, Smoke::mf_static, 235, 20},	//325 KFileFilterCombo::tr(const char*)
    {19, 799, 62, 1, Smoke::mf_static, 235, 21},	//326 KFileFilterCombo::trUtf8(const char*)
    {19, 83, 0, 0, Smoke::mf_ctor, 27, 22},	//327 KFileFilterCombo::KFileFilterCombo()
    {19, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 23},	//328 KFileFilterCombo::staticMetaObject() const
    {19, 856, 0, 0, Smoke::mf_dtor, 0, 24 },	//329 KFileFilterCombo::~KFileFilterCombo()
    {22, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//330 KFilePlacesModel::metaObject() const
    {22, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//331 KFilePlacesModel::qt_metacast(const char*)
    {22, 795, 64, 2, Smoke::mf_static, 235, 3},	//332 KFilePlacesModel::tr(const char*, const char*)
    {22, 799, 64, 2, Smoke::mf_static, 235, 4},	//333 KFilePlacesModel::trUtf8(const char*, const char*)
    {22, 795, 67, 3, Smoke::mf_static, 235, 5},	//334 KFilePlacesModel::tr(const char*, const char*, int)
    {22, 799, 67, 3, Smoke::mf_static, 235, 6},	//335 KFilePlacesModel::trUtf8(const char*, const char*, int)
    {22, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//336 KFilePlacesModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 85, 144, 1, Smoke::mf_ctor, 31, 8},	//337 KFilePlacesModel::KFilePlacesModel(QObject*)
    {22, 820, 146, 1, Smoke::mf_const, 61, 9},	//338 KFilePlacesModel::url(const QModelIndex&) const
    {22, 751, 146, 1, Smoke::mf_const, 353, 10},	//339 KFilePlacesModel::setupNeeded(const QModelIndex&) const
    {22, 383, 146, 1, Smoke::mf_const, 47, 11},	//340 KFilePlacesModel::icon(const QModelIndex&) const
    {22, 789, 146, 1, Smoke::mf_const, 235, 12},	//341 KFilePlacesModel::text(const QModelIndex&) const
    {22, 405, 146, 1, Smoke::mf_const, 353, 13},	//342 KFilePlacesModel::isHidden(const QModelIndex&) const
    {22, 402, 146, 1, Smoke::mf_const, 353, 14},	//343 KFilePlacesModel::isDevice(const QModelIndex&) const
    {22, 289, 146, 1, Smoke::mf_const, 349, 15},	//344 KFilePlacesModel::deviceForIndex(const QModelIndex&) const
    {22, 232, 146, 1, Smoke::mf_const, 7, 16},	//345 KFilePlacesModel::bookmarkForIndex(const QModelIndex&) const
    {22, 787, 146, 1, Smoke::mf_const, 79, 17},	//346 KFilePlacesModel::teardownActionForIndex(const QModelIndex&) const
    {22, 325, 146, 1, Smoke::mf_const, 79, 18},	//347 KFilePlacesModel::ejectActionForIndex(const QModelIndex&) const
    {22, 580, 146, 1, 0, 0, 19},	//348 KFilePlacesModel::requestTeardown(const QModelIndex&)
    {22, 576, 146, 1, 0, 0, 20},	//349 KFilePlacesModel::requestEject(const QModelIndex&)
    {22, 578, 146, 1, 0, 0, 21},	//350 KFilePlacesModel::requestSetup(const QModelIndex&)
    {22, 225, 156, 4, 0, 0, 22},	//351 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&)
    {22, 225, 161, 5, 0, 0, 23},	//352 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&)
    {22, 317, 167, 5, 0, 0, 24},	//353 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&)
    {22, 572, 146, 1, Smoke::mf_const, 0, 25},	//354 KFilePlacesModel::removePlace(const QModelIndex&) const
    {22, 707, 173, 2, 0, 0, 26},	//355 KFilePlacesModel::setPlaceHidden(const QModelIndex&, bool)
    {22, 367, 0, 0, Smoke::mf_const, 440, 27},	//356 KFilePlacesModel::hiddenCount() const
    {22, 276, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 268, 28},	//357 KFilePlacesModel::data(const QModelIndex&, int) const
    {22, 386, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 200, 29},	//358 KFilePlacesModel::index(int, int, const QModelIndex&) const
    {22, 556, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 30},	//359 KFilePlacesModel::parent(const QModelIndex&) const
    {22, 590, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 31},	//360 KFilePlacesModel::rowCount(const QModelIndex&) const
    {22, 251, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 32},	//361 KFilePlacesModel::columnCount(const QModelIndex&) const
    {22, 249, 27, 1, Smoke::mf_const, 200, 33},	//362 KFilePlacesModel::closestItem(const KUrl&) const
    {22, 783, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 34},	//363 KFilePlacesModel::supportedDropActions() const
    {22, 349, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 35},	//364 KFilePlacesModel::flags(const QModelIndex&) const
    {22, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 36},	//365 KFilePlacesModel::mimeTypes() const
    {22, 466, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 37},	//366 KFilePlacesModel::mimeData(const QList<QModelIndex>&) const
    {22, 312, 185, 5, Smoke::mf_virtual, 353, 38},	//367 KFilePlacesModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 330, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//368 KFilePlacesModel::errorMessage(const QString&)
    {22, 747, 173, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//369 KFilePlacesModel::setupDone(const QModelIndex&, bool)
    {22, 795, 62, 1, Smoke::mf_static, 235, 41},	//370 KFilePlacesModel::tr(const char*)
    {22, 799, 62, 1, Smoke::mf_static, 235, 42},	//371 KFilePlacesModel::trUtf8(const char*)
    {22, 85, 0, 0, Smoke::mf_ctor, 31, 43},	//372 KFilePlacesModel::KFilePlacesModel()
    {22, 225, 191, 2, 0, 0, 44},	//373 KFilePlacesModel::addPlace(const QString&, const KUrl&)
    {22, 225, 194, 3, 0, 0, 45},	//374 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&)
    {22, 317, 198, 3, 0, 0, 46},	//375 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&)
    {22, 317, 202, 4, 0, 0, 47},	//376 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&)
    {22, 386, 116, 2, Smoke::mf_const, 200, 48},	//377 KFilePlacesModel::index(int, int) const
    {22, 590, 0, 0, Smoke::mf_const, 440, 49},	//378 KFilePlacesModel::rowCount() const
    {22, 251, 0, 0, Smoke::mf_const, 440, 50},	//379 KFilePlacesModel::columnCount() const
    {22, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 51},	//380 KFilePlacesModel::staticMetaObject() const
    {22, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 52},	//381 KFilePlacesModel::UrlRole (enum)
    {22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 53},	//382 KFilePlacesModel::HiddenRole (enum)
    {22, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 54},	//383 KFilePlacesModel::SetupNeededRole (enum)
    {22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 55},	//384 KFilePlacesModel::FixedDeviceRole (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 56},	//385 KFilePlacesModel::CapacityBarRecommendedRole (enum)
    {22, 857, 0, 0, Smoke::mf_dtor, 0, 57 },	//386 KFilePlacesModel::~KFilePlacesModel()
    {23, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//387 KFilePlacesView::metaObject() const
    {23, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//388 KFilePlacesView::qt_metacast(const char*)
    {23, 795, 64, 2, Smoke::mf_static, 235, 3},	//389 KFilePlacesView::tr(const char*, const char*)
    {23, 799, 64, 2, Smoke::mf_static, 235, 4},	//390 KFilePlacesView::trUtf8(const char*, const char*)
    {23, 795, 67, 3, Smoke::mf_static, 235, 5},	//391 KFilePlacesView::tr(const char*, const char*, int)
    {23, 799, 67, 3, Smoke::mf_static, 235, 6},	//392 KFilePlacesView::trUtf8(const char*, const char*, int)
    {23, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//393 KFilePlacesView::qt_metacall(QMetaObject::Call, int, void**)
    {23, 87, 17, 1, Smoke::mf_ctor, 33, 8},	//394 KFilePlacesView::KFilePlacesView(QWidget*)
    {23, 662, 8, 1, 0, 0, 9},	//395 KFilePlacesView::setDropOnPlaceEnabled(bool)
    {23, 404, 0, 0, Smoke::mf_const, 353, 10},	//396 KFilePlacesView::isDropOnPlaceEnabled() const
    {23, 628, 8, 1, 0, 0, 11},	//397 KFilePlacesView::setAutoResizeItemsEnabled(bool)
    {23, 395, 0, 0, Smoke::mf_const, 353, 12},	//398 KFilePlacesView::isAutoResizeItemsEnabled() const
    {23, 735, 27, 1, Smoke::mf_slot, 0, 13},	//399 KFilePlacesView::setUrl(const KUrl&)
    {23, 722, 8, 1, Smoke::mf_slot, 0, 14},	//400 KFilePlacesView::setShowAll(bool)
    {23, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_slot, 230, 15},	//401 KFilePlacesView::sizeHint() const
    {23, 697, 207, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//402 KFilePlacesView::setModel(QAbstractItemModel*)
    {23, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//403 KFilePlacesView::keyPressEvent(QKeyEvent*)
    {23, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//404 KFilePlacesView::contextMenuEvent(QContextMenuEvent*)
    {23, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//405 KFilePlacesView::resizeEvent(QResizeEvent*)
    {23, 753, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//406 KFilePlacesView::showEvent(QShowEvent*)
    {23, 368, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//407 KFilePlacesView::hideEvent(QHideEvent*)
    {23, 302, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//408 KFilePlacesView::dragEnterEvent(QDragEnterEvent*)
    {23, 304, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//409 KFilePlacesView::dragLeaveEvent(QDragLeaveEvent*)
    {23, 306, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//410 KFilePlacesView::dragMoveEvent(QDragMoveEvent*)
    {23, 310, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//411 KFilePlacesView::dropEvent(QDropEvent*)
    {23, 553, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//412 KFilePlacesView::paintEvent(QPaintEvent*)
    {23, 593, 223, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//413 KFilePlacesView::rowsInserted(const QModelIndex&, int, int)
    {23, 278, 34, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//414 KFilePlacesView::dataChanged(const QModelIndex&, const QModelIndex&)
    {23, 825, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//415 KFilePlacesView::urlChanged(const KUrl&)
    {23, 829, 227, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//416 KFilePlacesView::urlsDropped(const KUrl&, QDropEvent*, QWidget*)
    {23, 795, 62, 1, Smoke::mf_static, 235, 31},	//417 KFilePlacesView::tr(const char*)
    {23, 799, 62, 1, Smoke::mf_static, 235, 32},	//418 KFilePlacesView::trUtf8(const char*)
    {23, 87, 0, 0, Smoke::mf_ctor, 33, 33},	//419 KFilePlacesView::KFilePlacesView()
    {23, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 34},	//420 KFilePlacesView::staticMetaObject() const
    {23, 858, 0, 0, Smoke::mf_dtor, 0, 35 },	//421 KFilePlacesView::~KFilePlacesView()
    {24, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//422 KFilePreviewGenerator::metaObject() const
    {24, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//423 KFilePreviewGenerator::qt_metacast(const char*)
    {24, 795, 64, 2, Smoke::mf_static, 235, 3},	//424 KFilePreviewGenerator::tr(const char*, const char*)
    {24, 799, 64, 2, Smoke::mf_static, 235, 4},	//425 KFilePreviewGenerator::trUtf8(const char*, const char*)
    {24, 795, 67, 3, Smoke::mf_static, 235, 5},	//426 KFilePreviewGenerator::tr(const char*, const char*, int)
    {24, 799, 67, 3, Smoke::mf_static, 235, 6},	//427 KFilePreviewGenerator::trUtf8(const char*, const char*, int)
    {24, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//428 KFilePreviewGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {24, 89, 82, 1, Smoke::mf_ctor, 34, 8},	//429 KFilePreviewGenerator::KFilePreviewGenerator(QAbstractItemView*)
    {24, 89, 231, 2, Smoke::mf_ctor, 34, 9},	//430 KFilePreviewGenerator::KFilePreviewGenerator(KAbstractViewAdapter*, QAbstractProxyModel*)
    {24, 712, 8, 1, 0, 0, 10},	//431 KFilePreviewGenerator::setPreviewShown(bool)
    {24, 415, 0, 0, Smoke::mf_const, 353, 11},	//432 KFilePreviewGenerator::isPreviewShown() const
    {24, 816, 0, 0, 0, 0, 12},	//433 KFilePreviewGenerator::updatePreviews()
    {24, 813, 0, 0, 0, 0, 13},	//434 KFilePreviewGenerator::updateIcons()
    {24, 238, 0, 0, 0, 0, 14},	//435 KFilePreviewGenerator::cancelPreviews()
    {24, 668, 29, 1, 0, 0, 15},	//436 KFilePreviewGenerator::setEnabledPlugins(const QStringList&)
    {24, 328, 0, 0, Smoke::mf_const, 240, 16},	//437 KFilePreviewGenerator::enabledPlugins() const
    {24, 795, 62, 1, Smoke::mf_static, 235, 17},	//438 KFilePreviewGenerator::tr(const char*)
    {24, 799, 62, 1, Smoke::mf_static, 235, 18},	//439 KFilePreviewGenerator::trUtf8(const char*)
    {24, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 19},	//440 KFilePreviewGenerator::staticMetaObject() const
    {24, 859, 0, 0, Smoke::mf_dtor, 0, 20 },	//441 KFilePreviewGenerator::~KFilePreviewGenerator()
    {25, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//442 KFileTreeView::metaObject() const
    {25, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//443 KFileTreeView::qt_metacast(const char*)
    {25, 795, 64, 2, Smoke::mf_static, 235, 3},	//444 KFileTreeView::tr(const char*, const char*)
    {25, 799, 64, 2, Smoke::mf_static, 235, 4},	//445 KFileTreeView::trUtf8(const char*, const char*)
    {25, 795, 67, 3, Smoke::mf_static, 235, 5},	//446 KFileTreeView::tr(const char*, const char*, int)
    {25, 799, 67, 3, Smoke::mf_static, 235, 6},	//447 KFileTreeView::trUtf8(const char*, const char*, int)
    {25, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//448 KFileTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {25, 92, 17, 1, Smoke::mf_ctor, 35, 8},	//449 KFileTreeView::KFileTreeView(QWidget*)
    {25, 273, 0, 0, Smoke::mf_const, 61, 9},	//450 KFileTreeView::currentUrl() const
    {25, 619, 0, 0, Smoke::mf_const, 61, 10},	//451 KFileTreeView::selectedUrl() const
    {25, 620, 0, 0, Smoke::mf_const, 66, 11},	//452 KFileTreeView::selectedUrls() const
    {25, 589, 0, 0, Smoke::mf_const, 61, 12},	//453 KFileTreeView::rootUrl() const
    {25, 756, 0, 0, Smoke::mf_const, 353, 13},	//454 KFileTreeView::showHiddenFiles() const
    {25, 660, 8, 1, Smoke::mf_slot, 0, 14},	//455 KFileTreeView::setDirOnlyMode(bool)
    {25, 726, 8, 1, Smoke::mf_slot, 0, 15},	//456 KFileTreeView::setShowHiddenFiles(bool)
    {25, 646, 27, 1, Smoke::mf_slot, 0, 16},	//457 KFileTreeView::setCurrentUrl(const KUrl&)
    {25, 717, 27, 1, Smoke::mf_slot, 0, 17},	//458 KFileTreeView::setRootUrl(const KUrl&)
    {25, 221, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//459 KFileTreeView::activated(const KUrl&)
    {25, 266, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//460 KFileTreeView::currentChanged(const KUrl&)
    {25, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//461 KFileTreeView::contextMenuEvent(QContextMenuEvent*)
    {25, 795, 62, 1, Smoke::mf_static, 235, 21},	//462 KFileTreeView::tr(const char*)
    {25, 799, 62, 1, Smoke::mf_static, 235, 22},	//463 KFileTreeView::trUtf8(const char*)
    {25, 92, 0, 0, Smoke::mf_ctor, 35, 23},	//464 KFileTreeView::KFileTreeView()
    {25, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 24},	//465 KFileTreeView::staticMetaObject() const
    {25, 860, 0, 0, Smoke::mf_dtor, 0, 25 },	//466 KFileTreeView::~KFileTreeView()
    {26, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//467 KFileWidget::metaObject() const
    {26, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//468 KFileWidget::qt_metacast(const char*)
    {26, 795, 64, 2, Smoke::mf_static, 235, 3},	//469 KFileWidget::tr(const char*, const char*)
    {26, 799, 64, 2, Smoke::mf_static, 235, 4},	//470 KFileWidget::trUtf8(const char*, const char*)
    {26, 795, 67, 3, Smoke::mf_static, 235, 5},	//471 KFileWidget::tr(const char*, const char*, int)
    {26, 799, 67, 3, Smoke::mf_static, 235, 6},	//472 KFileWidget::trUtf8(const char*, const char*, int)
    {26, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//473 KFileWidget::qt_metacall(QMetaObject::Call, int, void**)
    {26, 94, 75, 2, Smoke::mf_ctor, 36, 8},	//474 KFileWidget::KFileWidget(const KUrl&, QWidget*)
    {26, 619, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 61, 9},	//475 KFileWidget::selectedUrl() const
    {26, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 66, 10},	//476 KFileWidget::selectedUrls() const
    {26, 231, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 61, 11},	//477 KFileWidget::baseUrl() const
    {26, 615, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 12},	//478 KFileWidget::selectedFile() const
    {26, 616, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 13},	//479 KFileWidget::selectedFiles() const
    {26, 735, 1, 2, Smoke::mf_virtual, 0, 14},	//480 KFileWidget::setUrl(const KUrl&, bool)
    {26, 719, 4, 1, Smoke::mf_virtual, 0, 15},	//481 KFileWidget::setSelection(const QString&)
    {26, 705, 6, 1, Smoke::mf_virtual, 0, 16},	//482 KFileWidget::setOperationMode(KAbstractFileWidget::OperationMode)
    {26, 488, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 17},	//483 KFileWidget::operationMode() const
    {26, 685, 8, 1, Smoke::mf_virtual, 0, 18},	//484 KFileWidget::setKeepLocation(bool)
    {26, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 353, 19},	//485 KFileWidget::keepsLocation() const
    {26, 670, 4, 1, Smoke::mf_virtual, 0, 20},	//486 KFileWidget::setFilter(const QString&)
    {26, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 21},	//487 KFileWidget::currentFilter() const
    {26, 269, 0, 0, Smoke::mf_virtual, 55, 22},	//488 KFileWidget::currentFilterMimeType()
    {26, 692, 10, 2, Smoke::mf_virtual, 0, 23},	//489 KFileWidget::setMimeFilter(const QStringList&, const QString&)
    {26, 272, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 24},	//490 KFileWidget::currentMimeFilter() const
    {26, 244, 0, 0, Smoke::mf_virtual, 0, 25},	//491 KFileWidget::clearFilter()
    {26, 714, 13, 1, Smoke::mf_virtual, 0, 26},	//492 KFileWidget::setPreviewWidget(KPreviewWidgetBase*)
    {26, 695, 15, 1, Smoke::mf_virtual, 0, 27},	//493 KFileWidget::setMode(QFlags<KFile::Mode>)
    {26, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 118, 28},	//494 KFileWidget::mode() const
    {26, 688, 4, 1, Smoke::mf_virtual, 0, 29},	//495 KFileWidget::setLocationLabel(const QString&)
    {26, 794, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 60, 30},	//496 KFileWidget::toolBar() const
    {26, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 31},	//497 KFileWidget::okButton() const
    {26, 237, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 54, 32},	//498 KFileWidget::cancelButton() const
    {26, 450, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 68, 33},	//499 KFileWidget::locationEdit() const
    {26, 346, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 34},	//500 KFileWidget::filterWidget() const
    {26, 219, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 35},	//501 KFileWidget::actionCollection() const
    {26, 356, 234, 2, Smoke::mf_static, 61, 36},	//502 KFileWidget::getStartUrl(const KUrl&, QString&)
    {26, 356, 237, 3, Smoke::mf_static, 61, 37},	//503 KFileWidget::getStartUrl(const KUrl&, QString&, QString&)
    {26, 733, 27, 1, Smoke::mf_static, 0, 38},	//504 KFileWidget::setStartDir(const KUrl&)
    {26, 650, 17, 1, Smoke::mf_virtual, 0, 39},	//505 KFileWidget::setCustomWidget(QWidget*)
    {26, 650, 19, 2, Smoke::mf_virtual, 0, 40},	//506 KFileWidget::setCustomWidget(const QString&, QWidget*)
    {26, 842, 22, 2, Smoke::mf_virtual, 0, 41},	//507 KFileWidget::virtual_hook(int, void*)
    {26, 766, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//508 KFileWidget::slotOk()
    {26, 217, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//509 KFileWidget::accept()
    {26, 763, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//510 KFileWidget::slotCancel()
    {26, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//511 KFileWidget::resizeEvent(QResizeEvent*)
    {26, 753, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//512 KFileWidget::showEvent(QShowEvent*)
    {26, 333, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 353, 47},	//513 KFileWidget::eventFilter(QObject*, QEvent*)
    {26, 339, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//514 KFileWidget::fileSelected(const KUrl&)
    {26, 339, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//515 KFileWidget::fileSelected(const QString&)
    {26, 336, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//516 KFileWidget::fileHighlighted(const KUrl&)
    {26, 336, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//517 KFileWidget::fileHighlighted(const QString&)
    {26, 621, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//518 KFileWidget::selectionChanged()
    {26, 344, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//519 KFileWidget::filterChanged(const QString&)
    {26, 218, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//520 KFileWidget::accepted()
    {26, 298, 0, 0, 0, 19, 55},	//521 KFileWidget::dirOperator()
    {26, 568, 88, 1, 0, 0, 56},	//522 KFileWidget::readConfig(KConfigGroup&)
    {26, 795, 62, 1, Smoke::mf_static, 235, 57},	//523 KFileWidget::tr(const char*)
    {26, 799, 62, 1, Smoke::mf_static, 235, 58},	//524 KFileWidget::trUtf8(const char*)
    {26, 735, 27, 1, 0, 0, 59},	//525 KFileWidget::setUrl(const KUrl&)
    {26, 692, 29, 1, 0, 0, 60},	//526 KFileWidget::setMimeFilter(const QStringList&)
    {26, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 61},	//527 KFileWidget::staticMetaObject() const
    {26, 861, 0, 0, Smoke::mf_dtor, 0, 62 },	//528 KFileWidget::~KFileWidget()
    {39, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 402, 1},	//529 KUrlNavigator::metaObject() const
    {39, 566, 62, 1, Smoke::mf_virtual, 448, 2},	//530 KUrlNavigator::qt_metacast(const char*)
    {39, 795, 64, 2, Smoke::mf_static, 235, 3},	//531 KUrlNavigator::tr(const char*, const char*)
    {39, 799, 64, 2, Smoke::mf_static, 235, 4},	//532 KUrlNavigator::trUtf8(const char*, const char*)
    {39, 795, 67, 3, Smoke::mf_static, 235, 5},	//533 KUrlNavigator::tr(const char*, const char*, int)
    {39, 799, 67, 3, Smoke::mf_static, 235, 6},	//534 KUrlNavigator::trUtf8(const char*, const char*, int)
    {39, 564, 71, 3, Smoke::mf_virtual, 440, 7},	//535 KUrlNavigator::qt_metacall(QMetaObject::Call, int, void**)
    {39, 115, 17, 1, Smoke::mf_ctor, 69, 8},	//536 KUrlNavigator::KUrlNavigator(QWidget*)
    {39, 115, 241, 3, Smoke::mf_ctor, 69, 9},	//537 KUrlNavigator::KUrlNavigator(KFilePlacesModel*, const KUrl&, QWidget*)
    {39, 453, 60, 1, Smoke::mf_const, 61, 10},	//538 KUrlNavigator::locationUrl(int) const
    {39, 595, 245, 1, 0, 0, 11},	//539 KUrlNavigator::saveLocationState(const QByteArray&)
    {39, 451, 60, 1, Smoke::mf_const, 85, 12},	//540 KUrlNavigator::locationState(int) const
    {39, 359, 0, 0, 0, 353, 13},	//541 KUrlNavigator::goBack()
    {39, 360, 0, 0, 0, 353, 14},	//542 KUrlNavigator::goForward()
    {39, 362, 0, 0, 0, 353, 15},	//543 KUrlNavigator::goUp()
    {39, 361, 0, 0, 0, 0, 16},	//544 KUrlNavigator::goHome()
    {39, 675, 27, 1, 0, 0, 17},	//545 KUrlNavigator::setHomeUrl(const KUrl&)
    {39, 379, 0, 0, Smoke::mf_const, 61, 18},	//546 KUrlNavigator::homeUrl() const
    {39, 738, 8, 1, 0, 0, 19},	//547 KUrlNavigator::setUrlEditable(bool)
    {39, 438, 0, 0, Smoke::mf_const, 353, 20},	//548 KUrlNavigator::isUrlEditable() const
    {39, 724, 8, 1, 0, 0, 21},	//549 KUrlNavigator::setShowFullPath(bool)
    {39, 755, 0, 0, Smoke::mf_const, 353, 22},	//550 KUrlNavigator::showFullPath() const
    {39, 625, 8, 1, 0, 0, 23},	//551 KUrlNavigator::setActive(bool)
    {39, 394, 0, 0, Smoke::mf_const, 353, 24},	//552 KUrlNavigator::isActive() const
    {39, 709, 8, 1, 0, 0, 25},	//553 KUrlNavigator::setPlacesSelectorVisible(bool)
    {39, 410, 0, 0, Smoke::mf_const, 353, 26},	//554 KUrlNavigator::isPlacesSelectorVisible() const
    {39, 808, 0, 0, Smoke::mf_const, 61, 27},	//555 KUrlNavigator::uncommittedUrl() const
    {39, 375, 0, 0, Smoke::mf_const, 440, 28},	//556 KUrlNavigator::historySize() const
    {39, 374, 0, 0, Smoke::mf_const, 440, 29},	//557 KUrlNavigator::historyIndex() const
    {39, 323, 0, 0, Smoke::mf_const, 68, 30},	//558 KUrlNavigator::editor() const
    {39, 648, 29, 1, 0, 0, 31},	//559 KUrlNavigator::setCustomProtocols(const QStringList&)
    {39, 275, 0, 0, Smoke::mf_const, 240, 32},	//560 KUrlNavigator::customProtocols() const
    {39, 820, 0, 0, Smoke::mf_const, 364, 33},	//561 KUrlNavigator::url() const
    {39, 820, 60, 1, Smoke::mf_const, 61, 34},	//562 KUrlNavigator::url(int) const
    {39, 376, 60, 1, Smoke::mf_const, 61, 35},	//563 KUrlNavigator::historyUrl(int) const
    {39, 602, 0, 0, Smoke::mf_const, 364, 36},	//564 KUrlNavigator::savedRootUrl() const
    {39, 601, 0, 0, Smoke::mf_const, 213, 37},	//565 KUrlNavigator::savedPosition() const
    {39, 675, 4, 1, 0, 0, 38},	//566 KUrlNavigator::setHomeUrl(const QString&)
    {39, 690, 27, 1, Smoke::mf_slot, 0, 39},	//567 KUrlNavigator::setLocationUrl(const KUrl&)
    {39, 575, 0, 0, Smoke::mf_slot, 0, 40},	//568 KUrlNavigator::requestActivation()
    {39, 672, 0, 0, Smoke::mf_slot, 0, 41},	//569 KUrlNavigator::setFocus()
    {39, 735, 27, 1, Smoke::mf_slot, 0, 42},	//570 KUrlNavigator::setUrl(const KUrl&)
    {39, 599, 27, 1, Smoke::mf_slot, 0, 43},	//571 KUrlNavigator::saveRootUrl(const KUrl&)
    {39, 597, 116, 2, Smoke::mf_slot, 0, 44},	//572 KUrlNavigator::savePosition(int, int)
    {39, 221, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//573 KUrlNavigator::activated()
    {39, 825, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//574 KUrlNavigator::urlChanged(const KUrl&)
    {39, 823, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//575 KUrlNavigator::urlAboutToBeChanged(const KUrl&)
    {39, 321, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//576 KUrlNavigator::editableStateChanged(bool)
    {39, 373, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//577 KUrlNavigator::historyChanged()
    {39, 829, 247, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//578 KUrlNavigator::urlsDropped(const KUrl&, QDropEvent*)
    {39, 587, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//579 KUrlNavigator::returnPressed()
    {39, 784, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//580 KUrlNavigator::tabRequested(const KUrl&)
    {39, 829, 250, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//581 KUrlNavigator::urlsDropped(const KUrl::List&, const KUrl&)
    {39, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//582 KUrlNavigator::keyPressEvent(QKeyEvent*)
    {39, 443, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//583 KUrlNavigator::keyReleaseEvent(QKeyEvent*)
    {39, 478, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//584 KUrlNavigator::mouseReleaseEvent(QMouseEvent*)
    {39, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//585 KUrlNavigator::resizeEvent(QResizeEvent*)
    {39, 333, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 353, 58},	//586 KUrlNavigator::eventFilter(QObject*, QEvent*)
    {39, 795, 62, 1, Smoke::mf_static, 235, 59},	//587 KUrlNavigator::tr(const char*)
    {39, 799, 62, 1, Smoke::mf_static, 235, 60},	//588 KUrlNavigator::trUtf8(const char*)
    {39, 115, 0, 0, Smoke::mf_ctor, 69, 61},	//589 KUrlNavigator::KUrlNavigator()
    {39, 453, 0, 0, Smoke::mf_const, 61, 62},	//590 KUrlNavigator::locationUrl() const
    {39, 451, 0, 0, Smoke::mf_const, 85, 63},	//591 KUrlNavigator::locationState() const
    {39, 778, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 401, 64},	//592 KUrlNavigator::staticMetaObject() const
    {39, 862, 0, 0, Smoke::mf_dtor, 0, 65 },	//593 KUrlNavigator::~KUrlNavigator()
    {40, 363, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 353, 0},	//594 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {40, 653, 255, 3, Smoke::mf_virtual, 353, 0},	//595 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {40, 365, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//596 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {40, 674, 263, 4, Smoke::mf_virtual, 353, 0},	//597 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {40, 439, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//598 QAbstractItemModel::itemData(const QModelIndex&) const
    {40, 684, 268, 2, Smoke::mf_virtual, 353, 0},	//599 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {40, 393, 179, 3, Smoke::mf_virtual, 353, 0},	//600 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {40, 392, 179, 3, Smoke::mf_virtual, 353, 0},	//601 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {40, 574, 179, 3, Smoke::mf_virtual, 353, 0},	//602 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {40, 571, 179, 3, Smoke::mf_virtual, 353, 0},	//603 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {40, 335, 146, 1, Smoke::mf_virtual, 0, 0},	//604 QAbstractItemModel::fetchMore(const QModelIndex&)
    {40, 235, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 353, 0},	//605 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {40, 767, 31, 2, Smoke::mf_virtual, 0, 0},	//606 QAbstractItemModel::sort(int, Qt::SortOrder)
    {40, 234, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//607 QAbstractItemModel::buddy(const QModelIndex&) const
    {40, 463, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//608 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {40, 775, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//609 QAbstractItemModel::span(const QModelIndex&) const
    {40, 782, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 353, 0},	//610 QAbstractItemModel::submit()
    {40, 588, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//611 QAbstractItemModel::revert()
    {41, 721, 277, 1, Smoke::mf_virtual, 0, 0},	//612 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {41, 445, 4, 1, Smoke::mf_virtual, 0, 0},	//613 QAbstractItemView::keyboardSearch(const QString&)
    {41, 761, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//614 QAbstractItemView::sizeHintForRow(int) const
    {41, 760, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//615 QAbstractItemView::sizeHintForColumn(int) const
    {41, 391, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//616 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {41, 605, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//617 QAbstractItemView::selectAll()
    {41, 810, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//618 QAbstractItemView::updateEditorData()
    {41, 811, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//619 QAbstractItemView::updateEditorGeometries()
    {41, 834, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//620 QAbstractItemView::verticalScrollbarAction(int)
    {41, 381, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//621 QAbstractItemView::horizontalScrollbarAction(int)
    {41, 835, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//622 QAbstractItemView::verticalScrollbarValueChanged(int)
    {41, 382, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//623 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {41, 247, 281, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//624 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {41, 253, 17, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//625 QAbstractItemView::commitData(QWidget*)
    {41, 324, 144, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//626 QAbstractItemView::editorDestroyed(QObject*)
    {41, 316, 284, 3, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//627 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {41, 622, 288, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 139, 0},	//628 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {41, 777, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//629 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {41, 840, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 251, 0},	//630 QAbstractItemView::viewOptions() const
    {41, 352, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//631 QAbstractItemView::focusNextPrevChild(bool)
    {41, 332, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//632 QAbstractItemView::event(QEvent*)
    {41, 841, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//633 QAbstractItemView::viewportEvent(QEvent*)
    {41, 477, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {41, 475, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {41, 302, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {41, 304, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {41, 310, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QAbstractItemView::dropEvent(QDropEvent*)
    {41, 351, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QAbstractItemView::focusInEvent(QFocusEvent*)
    {41, 353, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {41, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QAbstractItemView::resizeEvent(QResizeEvent*)
    {41, 390, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {41, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 32},	//643 QAbstractItemView::EnsureVisible (enum)
    {41, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 33},	//644 QAbstractItemView::PositionAtTop (enum)
    {41, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 34},	//645 QAbstractItemView::PositionAtBottom (enum)
    {41, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 76, 35},	//646 QAbstractItemView::PositionAtCenter (enum)
    {41, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 36},	//647 QAbstractItemView::NoEditTriggers (enum)
    {41, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 37},	//648 QAbstractItemView::CurrentChanged (enum)
    {41, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 38},	//649 QAbstractItemView::DoubleClicked (enum)
    {41, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 39},	//650 QAbstractItemView::SelectedClicked (enum)
    {41, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 40},	//651 QAbstractItemView::EditKeyPressed (enum)
    {41, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 41},	//652 QAbstractItemView::AnyKeyPressed (enum)
    {41, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 75, 42},	//653 QAbstractItemView::AllEditTriggers (enum)
    {41, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 43},	//654 QAbstractItemView::MoveUp (enum)
    {41, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 44},	//655 QAbstractItemView::MoveDown (enum)
    {41, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 45},	//656 QAbstractItemView::MoveLeft (enum)
    {41, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 46},	//657 QAbstractItemView::MoveRight (enum)
    {41, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 47},	//658 QAbstractItemView::MoveHome (enum)
    {41, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 48},	//659 QAbstractItemView::MoveEnd (enum)
    {41, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 49},	//660 QAbstractItemView::MovePageUp (enum)
    {41, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 50},	//661 QAbstractItemView::MovePageDown (enum)
    {41, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 51},	//662 QAbstractItemView::MoveNext (enum)
    {41, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 74, 52},	//663 QAbstractItemView::MovePrevious (enum)
    {42, 782, 0, 0, Smoke::mf_virtual, 353, 0},	//664 QAbstractProxyModel::submit()
    {42, 588, 0, 0, Smoke::mf_virtual, 0, 0},	//665 QAbstractProxyModel::revert()
    {42, 439, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//666 QAbstractProxyModel::itemData(const QModelIndex&) const
    {43, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//667 QAbstractScrollArea::minimumSizeHint() const
    {43, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//668 QAbstractScrollArea::sizeHint() const
    {43, 846, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//669 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {54, 759, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//670 QComboBox::sizeHint() const
    {54, 757, 0, 0, Smoke::mf_virtual, 0, 0},	//671 QComboBox::showPopup()
    {54, 370, 0, 0, Smoke::mf_virtual, 0, 0},	//672 QComboBox::hidePopup()
    {54, 332, 111, 1, Smoke::mf_virtual, 353, 0},	//673 QComboBox::event(QEvent*)
    {54, 351, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//674 QComboBox::focusInEvent(QFocusEvent*)
    {54, 353, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//675 QComboBox::focusOutEvent(QFocusEvent*)
    {54, 240, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QComboBox::changeEvent(QEvent*)
    {54, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QComboBox::resizeEvent(QResizeEvent*)
    {54, 553, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QComboBox::paintEvent(QPaintEvent*)
    {54, 753, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QComboBox::showEvent(QShowEvent*)
    {54, 368, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QComboBox::hideEvent(QHideEvent*)
    {54, 477, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QComboBox::mousePressEvent(QMouseEvent*)
    {54, 478, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {54, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QComboBox::keyPressEvent(QKeyEvent*)
    {54, 443, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QComboBox::keyReleaseEvent(QKeyEvent*)
    {54, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {54, 390, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {54, 391, 279, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 268, 0},	//687 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {64, 745, 8, 1, Smoke::mf_virtual, 0, 0},	//688 QDialog::setVisible(bool)
    {64, 301, 60, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//689 QDialog::done(int)
    {64, 570, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//690 QDialog::reject()
    {64, 753, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QDialog::showEvent(QShowEvent*)
    {64, 585, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QDialog::resizeEvent(QResizeEvent*)
    {64, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QDialog::contextMenuEvent(QContextMenuEvent*)
    {64, 333, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//694 QDialog::eventFilter(QObject*, QEvent*)
    {75, 240, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QFrame::changeEvent(QEvent*)
    {76, 538, 297, 2, Smoke::mf_static, 353, 1},	//696 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {76, 549, 300, 2, Smoke::mf_static, 179, 2},	//697 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {76, 549, 303, 2, Smoke::mf_static, 179, 3},	//698 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {76, 528, 306, 2, Smoke::mf_static, 353, 4},	//699 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {76, 543, 309, 2, Smoke::mf_static, 98, 5},	//700 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {76, 496, 312, 2, Smoke::mf_static, 215, 6},	//701 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {76, 528, 315, 2, Smoke::mf_static, 353, 7},	//702 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {76, 528, 318, 2, Smoke::mf_static, 353, 8},	//703 QGlobalSpace::operator==(const QSize&, const QSize&)
    {76, 519, 321, 2, Smoke::mf_static, 98, 9},	//704 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {76, 500, 324, 2, Smoke::mf_static, 369, 10},	//705 QGlobalSpace::operator+(const char*, const QByteArray&)
    {76, 549, 327, 2, Smoke::mf_static, 146, 11},	//706 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {76, 549, 330, 2, Smoke::mf_static, 137, 12},	//707 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {76, 543, 333, 2, Smoke::mf_static, 98, 13},	//708 QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    {76, 528, 336, 2, Smoke::mf_static, 353, 14},	//709 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {76, 519, 339, 2, Smoke::mf_static, 98, 15},	//710 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {76, 543, 342, 2, Smoke::mf_static, 98, 16},	//711 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {76, 538, 345, 2, Smoke::mf_static, 353, 17},	//712 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {76, 519, 348, 2, Smoke::mf_static, 98, 18},	//713 QGlobalSpace::operator<<(QDataStream&, const KACL&)
    {76, 528, 351, 2, Smoke::mf_static, 353, 19},	//714 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {76, 533, 324, 2, Smoke::mf_static, 353, 20},	//715 QGlobalSpace::operator>(const char*, const QByteArray&)
    {76, 505, 354, 1, Smoke::mf_static, 49, 21},	//716 QGlobalSpace::operator++(KIconLoader::Group&)
    {76, 549, 356, 2, Smoke::mf_static, 179, 22},	//717 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {76, 519, 359, 2, Smoke::mf_static, 98, 23},	//718 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {76, 549, 362, 2, Smoke::mf_static, 145, 24},	//719 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {76, 528, 365, 2, Smoke::mf_static, 353, 25},	//720 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {76, 528, 368, 2, Smoke::mf_static, 353, 26},	//721 QGlobalSpace::operator==(QChar, QChar)
    {76, 528, 371, 2, Smoke::mf_static, 353, 27},	//722 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {76, 549, 374, 2, Smoke::mf_static, 169, 28},	//723 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {76, 519, 377, 2, Smoke::mf_static, 95, 29},	//724 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {76, 519, 380, 2, Smoke::mf_static, 95, 30},	//725 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {76, 549, 383, 2, Smoke::mf_static, 179, 31},	//726 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {76, 519, 386, 2, Smoke::mf_static, 98, 32},	//727 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {76, 543, 389, 2, Smoke::mf_static, 98, 33},	//728 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {76, 514, 368, 2, Smoke::mf_static, 353, 34},	//729 QGlobalSpace::operator<(QChar, QChar)
    {76, 538, 368, 2, Smoke::mf_static, 353, 35},	//730 QGlobalSpace::operator>=(QChar, QChar)
    {76, 489, 392, 2, Smoke::mf_static, 353, 36},	//731 QGlobalSpace::operator!=(QString::Null, const QString&)
    {76, 519, 395, 2, Smoke::mf_static, 95, 37},	//732 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {76, 514, 324, 2, Smoke::mf_static, 353, 38},	//733 QGlobalSpace::operator<(const char*, const QByteArray&)
    {76, 549, 398, 2, Smoke::mf_static, 155, 39},	//734 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {76, 549, 401, 2, Smoke::mf_static, 168, 40},	//735 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {76, 549, 404, 2, Smoke::mf_static, 115, 41},	//736 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {76, 549, 407, 2, Smoke::mf_static, 141, 42},	//737 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {76, 533, 368, 2, Smoke::mf_static, 353, 43},	//738 QGlobalSpace::operator>(QChar, QChar)
    {76, 549, 410, 2, Smoke::mf_static, 126, 44},	//739 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {76, 519, 413, 2, Smoke::mf_static, 95, 45},	//740 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {76, 549, 416, 2, Smoke::mf_static, 171, 46},	//741 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {76, 496, 419, 2, Smoke::mf_static, 421, 47},	//742 QGlobalSpace::operator*(double, const QSizeF&)
    {76, 549, 422, 2, Smoke::mf_static, 124, 48},	//743 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {76, 549, 425, 2, Smoke::mf_static, 179, 49},	//744 QGlobalSpace::operator|(QDir::Filter, int)
    {76, 549, 428, 2, Smoke::mf_static, 145, 50},	//745 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {76, 489, 297, 2, Smoke::mf_static, 353, 51},	//746 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {76, 519, 431, 2, Smoke::mf_static, 256, 52},	//747 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {76, 508, 434, 2, Smoke::mf_static, 409, 53},	//748 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {76, 543, 437, 2, Smoke::mf_static, 374, 54},	//749 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {76, 519, 440, 2, Smoke::mf_static, 98, 55},	//750 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {76, 549, 443, 2, Smoke::mf_static, 179, 56},	//751 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {76, 549, 446, 2, Smoke::mf_static, 167, 57},	//752 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {76, 508, 449, 2, Smoke::mf_static, 263, 58},	//753 QGlobalSpace::operator-(const QTransform&, double)
    {76, 549, 452, 2, Smoke::mf_static, 129, 59},	//754 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {76, 549, 455, 2, Smoke::mf_static, 113, 60},	//755 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {76, 549, 458, 2, Smoke::mf_static, 120, 61},	//756 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    {76, 519, 461, 2, Smoke::mf_static, 95, 62},	//757 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {76, 489, 315, 2, Smoke::mf_static, 353, 63},	//758 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {76, 549, 464, 2, Smoke::mf_static, 153, 64},	//759 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {76, 549, 467, 2, Smoke::mf_static, 179, 65},	//760 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {76, 549, 470, 2, Smoke::mf_static, 179, 66},	//761 QGlobalSpace::operator|(QFile::Permission, int)
    {76, 512, 473, 2, Smoke::mf_static, 409, 67},	//762 QGlobalSpace::operator/(const QPoint&, double)
    {76, 500, 434, 2, Smoke::mf_static, 409, 68},	//763 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {76, 519, 476, 2, Smoke::mf_static, 98, 69},	//764 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {76, 549, 479, 2, Smoke::mf_static, 135, 70},	//765 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {76, 500, 482, 2, Smoke::mf_static, 424, 71},	//766 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {76, 508, 485, 2, Smoke::mf_static, 421, 72},	//767 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {76, 489, 345, 2, Smoke::mf_static, 353, 73},	//768 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {76, 519, 488, 2, Smoke::mf_static, 98, 74},	//769 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {76, 549, 491, 2, Smoke::mf_static, 163, 75},	//770 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {76, 514, 494, 2, Smoke::mf_static, 353, 76},	//771 QGlobalSpace::operator<(const char*, const QString&)
    {76, 549, 497, 2, Smoke::mf_static, 154, 77},	//772 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {76, 500, 318, 2, Smoke::mf_static, 419, 78},	//773 QGlobalSpace::operator+(const QSize&, const QSize&)
    {76, 549, 500, 2, Smoke::mf_static, 169, 79},	//774 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {76, 549, 503, 2, Smoke::mf_static, 179, 80},	//775 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {76, 549, 506, 2, Smoke::mf_static, 160, 81},	//776 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {76, 500, 485, 2, Smoke::mf_static, 421, 82},	//777 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {76, 549, 509, 2, Smoke::mf_static, 129, 83},	//778 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {76, 549, 512, 2, Smoke::mf_static, 179, 84},	//779 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {76, 514, 515, 2, Smoke::mf_static, 353, 85},	//780 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {76, 533, 306, 2, Smoke::mf_static, 353, 86},	//781 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {76, 489, 518, 2, Smoke::mf_static, 353, 87},	//782 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {76, 549, 521, 2, Smoke::mf_static, 124, 88},	//783 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {76, 489, 524, 2, Smoke::mf_static, 353, 89},	//784 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {76, 549, 527, 2, Smoke::mf_static, 158, 90},	//785 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {76, 496, 449, 2, Smoke::mf_static, 263, 91},	//786 QGlobalSpace::operator*(const QTransform&, double)
    {76, 514, 524, 2, Smoke::mf_static, 353, 92},	//787 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {76, 543, 530, 2, Smoke::mf_static, 98, 93},	//788 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {76, 500, 533, 2, Smoke::mf_static, 424, 94},	//789 QGlobalSpace::operator+(const QString&, QChar)
    {76, 489, 536, 2, Smoke::mf_static, 353, 95},	//790 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {76, 500, 345, 2, Smoke::mf_static, 369, 96},	//791 QGlobalSpace::operator+(const QByteArray&, const char*)
    {76, 549, 539, 2, Smoke::mf_static, 147, 97},	//792 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {76, 549, 542, 2, Smoke::mf_static, 152, 98},	//793 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {76, 500, 545, 2, Smoke::mf_static, 424, 99},	//794 QGlobalSpace::operator+(const QString&, const char*)
    {76, 533, 515, 2, Smoke::mf_static, 353, 100},	//795 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {76, 549, 548, 2, Smoke::mf_static, 166, 101},	//796 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {76, 519, 551, 2, Smoke::mf_static, 98, 102},	//797 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {76, 543, 554, 2, Smoke::mf_static, 98, 103},	//798 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {76, 500, 557, 2, Smoke::mf_static, 424, 104},	//799 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {76, 549, 560, 2, Smoke::mf_static, 168, 105},	//800 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {76, 523, 345, 2, Smoke::mf_static, 353, 106},	//801 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {76, 528, 563, 2, Smoke::mf_static, 353, 107},	//802 QGlobalSpace::operator==(const QRect&, const QRect&)
    {76, 549, 566, 2, Smoke::mf_static, 136, 108},	//803 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {76, 547, 569, 2, Smoke::mf_static, 81, 109},	//804 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {76, 533, 572, 2, Smoke::mf_static, 353, 110},	//805 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {76, 549, 575, 2, Smoke::mf_static, 113, 111},	//806 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {76, 549, 578, 2, Smoke::mf_static, 116, 112},	//807 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {76, 523, 515, 2, Smoke::mf_static, 353, 113},	//808 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {76, 549, 581, 2, Smoke::mf_static, 119, 114},	//809 QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    {76, 519, 584, 2, Smoke::mf_static, 98, 115},	//810 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {76, 519, 587, 2, Smoke::mf_static, 98, 116},	//811 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {76, 549, 590, 2, Smoke::mf_static, 151, 117},	//812 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {76, 543, 593, 2, Smoke::mf_static, 98, 118},	//813 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {76, 528, 596, 2, Smoke::mf_static, 353, 119},	//814 QGlobalSpace::operator==(QBool, QBool)
    {76, 528, 599, 2, Smoke::mf_static, 353, 120},	//815 QGlobalSpace::operator==(const char*, const QStringRef&)
    {76, 549, 602, 2, Smoke::mf_static, 179, 121},	//816 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {76, 489, 494, 2, Smoke::mf_static, 353, 122},	//817 QGlobalSpace::operator!=(const char*, const QString&)
    {76, 523, 572, 2, Smoke::mf_static, 353, 123},	//818 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {76, 500, 449, 2, Smoke::mf_static, 263, 124},	//819 QGlobalSpace::operator+(const QTransform&, double)
    {76, 496, 605, 2, Smoke::mf_static, 187, 125},	//820 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {76, 549, 608, 2, Smoke::mf_static, 179, 126},	//821 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {76, 500, 611, 2, Smoke::mf_static, 424, 127},	//822 QGlobalSpace::operator+(QChar, const QString&)
    {76, 549, 614, 2, Smoke::mf_static, 148, 128},	//823 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {76, 549, 617, 2, Smoke::mf_static, 179, 129},	//824 QGlobalSpace::operator|(QString::SectionFlag, int)
    {76, 549, 620, 2, Smoke::mf_static, 179, 130},	//825 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {76, 543, 623, 2, Smoke::mf_static, 98, 131},	//826 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {76, 489, 626, 2, Smoke::mf_static, 353, 132},	//827 QGlobalSpace::operator!=(const QString&, QString::Null)
    {76, 543, 629, 2, Smoke::mf_static, 98, 133},	//828 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {76, 549, 632, 2, Smoke::mf_static, 179, 134},	//829 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {76, 549, 635, 2, Smoke::mf_static, 152, 135},	//830 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {76, 500, 638, 2, Smoke::mf_static, 424, 136},	//831 QGlobalSpace::operator+(const QString&, char)
    {76, 543, 641, 2, Smoke::mf_static, 374, 137},	//832 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {76, 489, 365, 2, Smoke::mf_static, 353, 138},	//833 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {76, 496, 644, 2, Smoke::mf_static, 208, 139},	//834 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {76, 549, 647, 2, Smoke::mf_static, 121, 140},	//835 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    {76, 508, 336, 2, Smoke::mf_static, 411, 141},	//836 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {76, 528, 536, 2, Smoke::mf_static, 353, 142},	//837 QGlobalSpace::operator==(QString::Null, QString::Null)
    {76, 549, 650, 2, Smoke::mf_static, 161, 143},	//838 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {76, 543, 653, 2, Smoke::mf_static, 98, 144},	//839 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {76, 514, 572, 2, Smoke::mf_static, 353, 145},	//840 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {76, 549, 656, 2, Smoke::mf_static, 171, 146},	//841 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {76, 519, 659, 2, Smoke::mf_static, 95, 147},	//842 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {76, 519, 662, 2, Smoke::mf_static, 95, 148},	//843 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {76, 549, 665, 2, Smoke::mf_static, 165, 149},	//844 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {76, 549, 668, 2, Smoke::mf_static, 125, 150},	//845 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {76, 500, 336, 2, Smoke::mf_static, 411, 151},	//846 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {76, 496, 671, 2, Smoke::mf_static, 226, 152},	//847 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {76, 549, 674, 2, Smoke::mf_static, 156, 153},	//848 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {76, 528, 485, 2, Smoke::mf_static, 353, 154},	//849 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {76, 508, 677, 1, Smoke::mf_static, 409, 155},	//850 QGlobalSpace::operator-(const QPoint&)
    {76, 549, 679, 2, Smoke::mf_static, 179, 156},	//851 QGlobalSpace::operator|(Qt::DropAction, int)
    {76, 543, 682, 2, Smoke::mf_static, 98, 157},	//852 QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    {76, 519, 685, 2, Smoke::mf_static, 98, 158},	//853 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {76, 549, 688, 2, Smoke::mf_static, 179, 159},	//854 QGlobalSpace::operator|(QDir::SortFlag, int)
    {76, 528, 691, 2, Smoke::mf_static, 353, 160},	//855 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {76, 549, 694, 2, Smoke::mf_static, 132, 161},	//856 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {76, 519, 697, 2, Smoke::mf_static, 98, 162},	//857 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {76, 549, 700, 2, Smoke::mf_static, 118, 163},	//858 QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    {76, 489, 485, 2, Smoke::mf_static, 353, 164},	//859 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {76, 549, 703, 2, Smoke::mf_static, 179, 165},	//860 QGlobalSpace::operator|(KJob::Capability, int)
    {76, 549, 706, 2, Smoke::mf_static, 164, 166},	//861 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {76, 549, 709, 2, Smoke::mf_static, 125, 167},	//862 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {76, 549, 712, 2, Smoke::mf_static, 157, 168},	//863 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {76, 543, 715, 2, Smoke::mf_static, 98, 169},	//864 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {76, 549, 718, 2, Smoke::mf_static, 149, 170},	//865 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {76, 549, 721, 2, Smoke::mf_static, 139, 171},	//866 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {76, 549, 724, 2, Smoke::mf_static, 179, 172},	//867 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {76, 549, 727, 2, Smoke::mf_static, 118, 173},	//868 QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    {76, 549, 730, 2, Smoke::mf_static, 114, 174},	//869 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {76, 519, 733, 2, Smoke::mf_static, 98, 175},	//870 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {76, 519, 736, 2, Smoke::mf_static, 95, 176},	//871 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {76, 528, 524, 2, Smoke::mf_static, 353, 177},	//872 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {76, 533, 297, 2, Smoke::mf_static, 353, 178},	//873 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {76, 549, 739, 2, Smoke::mf_static, 117, 179},	//874 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    {76, 543, 742, 2, Smoke::mf_static, 98, 180},	//875 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {76, 489, 336, 2, Smoke::mf_static, 353, 181},	//876 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {76, 519, 745, 2, Smoke::mf_static, 98, 182},	//877 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {76, 549, 748, 2, Smoke::mf_static, 137, 183},	//878 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {76, 549, 751, 2, Smoke::mf_static, 120, 184},	//879 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    {76, 500, 754, 2, Smoke::mf_static, 424, 185},	//880 QGlobalSpace::operator+(char, const QString&)
    {76, 489, 757, 2, Smoke::mf_static, 353, 186},	//881 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {76, 543, 760, 2, Smoke::mf_static, 98, 187},	//882 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {76, 528, 392, 2, Smoke::mf_static, 353, 188},	//883 QGlobalSpace::operator==(QString::Null, const QString&)
    {76, 543, 763, 2, Smoke::mf_static, 98, 189},	//884 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {76, 528, 518, 2, Smoke::mf_static, 353, 190},	//885 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {76, 549, 766, 2, Smoke::mf_static, 148, 191},	//886 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {76, 500, 572, 2, Smoke::mf_static, 369, 192},	//887 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {76, 533, 494, 2, Smoke::mf_static, 353, 193},	//888 QGlobalSpace::operator>(const char*, const QString&)
    {76, 519, 769, 2, Smoke::mf_static, 98, 194},	//889 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {76, 519, 772, 2, Smoke::mf_static, 98, 195},	//890 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {76, 519, 775, 2, Smoke::mf_static, 98, 196},	//891 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {76, 549, 778, 2, Smoke::mf_static, 143, 197},	//892 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {76, 549, 781, 2, Smoke::mf_static, 132, 198},	//893 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {76, 549, 784, 2, Smoke::mf_static, 147, 199},	//894 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {76, 512, 787, 2, Smoke::mf_static, 411, 200},	//895 QGlobalSpace::operator/(const QPointF&, double)
    {76, 489, 790, 2, Smoke::mf_static, 353, 201},	//896 QGlobalSpace::operator!=(bool, QBool)
    {76, 528, 515, 2, Smoke::mf_static, 353, 202},	//897 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {76, 549, 793, 2, Smoke::mf_static, 139, 203},	//898 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {76, 543, 796, 2, Smoke::mf_static, 374, 204},	//899 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {76, 549, 799, 2, Smoke::mf_static, 149, 205},	//900 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {76, 512, 449, 2, Smoke::mf_static, 263, 206},	//901 QGlobalSpace::operator/(const QTransform&, double)
    {76, 519, 802, 2, Smoke::mf_static, 98, 207},	//902 QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    {76, 549, 805, 2, Smoke::mf_static, 179, 208},	//903 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {76, 519, 808, 2, Smoke::mf_static, 98, 209},	//904 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {76, 543, 811, 2, Smoke::mf_static, 98, 210},	//905 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {76, 549, 814, 2, Smoke::mf_static, 179, 211},	//906 QGlobalSpace::operator|(Qt::MouseButton, int)
    {76, 543, 817, 2, Smoke::mf_static, 98, 212},	//907 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {76, 505, 820, 2, Smoke::mf_static, 48, 213},	//908 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {76, 549, 823, 2, Smoke::mf_static, 114, 214},	//909 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {76, 508, 826, 1, Smoke::mf_static, 411, 215},	//910 QGlobalSpace::operator-(const QPointF&)
    {76, 549, 828, 2, Smoke::mf_static, 179, 216},	//911 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {76, 528, 790, 2, Smoke::mf_static, 353, 217},	//912 QGlobalSpace::operator==(bool, QBool)
    {76, 549, 831, 2, Smoke::mf_static, 131, 218},	//913 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {76, 549, 834, 2, Smoke::mf_static, 179, 219},	//914 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {76, 496, 837, 2, Smoke::mf_static, 219, 220},	//915 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {76, 494, 569, 2, Smoke::mf_static, 81, 221},	//916 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {76, 538, 324, 2, Smoke::mf_static, 353, 222},	//917 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {76, 549, 840, 2, Smoke::mf_static, 166, 223},	//918 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {76, 549, 843, 2, Smoke::mf_static, 179, 224},	//919 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {76, 489, 846, 2, Smoke::mf_static, 353, 225},	//920 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {76, 519, 849, 2, Smoke::mf_static, 95, 226},	//921 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {76, 543, 852, 2, Smoke::mf_static, 98, 227},	//922 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {76, 549, 855, 2, Smoke::mf_static, 160, 228},	//923 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {76, 489, 324, 2, Smoke::mf_static, 353, 229},	//924 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {76, 549, 858, 2, Smoke::mf_static, 116, 230},	//925 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {76, 489, 434, 2, Smoke::mf_static, 353, 231},	//926 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {76, 514, 306, 2, Smoke::mf_static, 353, 232},	//927 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {76, 528, 846, 2, Smoke::mf_static, 353, 233},	//928 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {76, 519, 861, 2, Smoke::mf_static, 98, 234},	//929 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {76, 500, 864, 2, Smoke::mf_static, 369, 235},	//930 QGlobalSpace::operator+(const QByteArray&, char)
    {76, 549, 867, 2, Smoke::mf_static, 135, 236},	//931 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {76, 549, 870, 2, Smoke::mf_static, 133, 237},	//932 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {76, 543, 873, 2, Smoke::mf_static, 98, 238},	//933 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {76, 512, 876, 2, Smoke::mf_static, 421, 239},	//934 QGlobalSpace::operator/(const QSizeF&, double)
    {76, 538, 515, 2, Smoke::mf_static, 353, 240},	//935 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {76, 519, 879, 2, Smoke::mf_static, 98, 241},	//936 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {76, 549, 882, 2, Smoke::mf_static, 179, 242},	//937 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {76, 528, 434, 2, Smoke::mf_static, 353, 243},	//938 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {76, 549, 885, 2, Smoke::mf_static, 142, 244},	//939 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {76, 523, 324, 2, Smoke::mf_static, 353, 245},	//940 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {76, 523, 297, 2, Smoke::mf_static, 353, 246},	//941 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {76, 519, 888, 2, Smoke::mf_static, 98, 247},	//942 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {76, 543, 891, 2, Smoke::mf_static, 98, 248},	//943 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {76, 543, 894, 2, Smoke::mf_static, 98, 249},	//944 QGlobalSpace::operator>>(QDataStream&, QString&)
    {76, 549, 897, 2, Smoke::mf_static, 144, 250},	//945 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {76, 549, 900, 2, Smoke::mf_static, 117, 251},	//946 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    {76, 543, 903, 2, Smoke::mf_static, 374, 252},	//947 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {76, 549, 906, 2, Smoke::mf_static, 179, 253},	//948 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {76, 543, 909, 2, Smoke::mf_static, 374, 254},	//949 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {76, 549, 912, 2, Smoke::mf_static, 126, 255},	//950 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {76, 496, 915, 2, Smoke::mf_static, 190, 256},	//951 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {76, 549, 918, 2, Smoke::mf_static, 179, 257},	//952 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {76, 528, 626, 2, Smoke::mf_static, 353, 258},	//953 QGlobalSpace::operator==(const QString&, QString::Null)
    {76, 519, 921, 2, Smoke::mf_static, 256, 259},	//954 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {76, 514, 345, 2, Smoke::mf_static, 353, 260},	//955 QGlobalSpace::operator<(const QByteArray&, const char*)
    {76, 543, 924, 2, Smoke::mf_static, 374, 261},	//956 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {76, 549, 927, 2, Smoke::mf_static, 122, 262},	//957 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {76, 549, 930, 2, Smoke::mf_static, 136, 263},	//958 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {76, 519, 933, 2, Smoke::mf_static, 256, 264},	//959 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {76, 489, 368, 2, Smoke::mf_static, 353, 265},	//960 QGlobalSpace::operator!=(QChar, QChar)
    {76, 549, 936, 2, Smoke::mf_static, 159, 266},	//961 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {76, 549, 939, 2, Smoke::mf_static, 179, 267},	//962 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {76, 549, 942, 2, Smoke::mf_static, 131, 268},	//963 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {76, 549, 945, 2, Smoke::mf_static, 142, 269},	//964 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {76, 549, 948, 2, Smoke::mf_static, 155, 270},	//965 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {76, 543, 951, 2, Smoke::mf_static, 98, 271},	//966 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {76, 543, 954, 2, Smoke::mf_static, 98, 272},	//967 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {76, 549, 957, 2, Smoke::mf_static, 115, 273},	//968 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {76, 523, 494, 2, Smoke::mf_static, 353, 274},	//969 QGlobalSpace::operator<=(const char*, const QString&)
    {76, 543, 960, 2, Smoke::mf_static, 98, 275},	//970 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {76, 489, 599, 2, Smoke::mf_static, 353, 276},	//971 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {76, 549, 963, 2, Smoke::mf_static, 130, 277},	//972 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {76, 519, 966, 2, Smoke::mf_static, 98, 278},	//973 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {76, 549, 969, 2, Smoke::mf_static, 123, 279},	//974 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {76, 549, 972, 2, Smoke::mf_static, 150, 280},	//975 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {76, 519, 975, 2, Smoke::mf_static, 95, 281},	//976 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {76, 496, 978, 2, Smoke::mf_static, 213, 282},	//977 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {76, 489, 981, 2, Smoke::mf_static, 353, 283},	//978 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {76, 543, 984, 2, Smoke::mf_static, 374, 284},	//979 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {76, 523, 306, 2, Smoke::mf_static, 353, 285},	//980 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {76, 549, 987, 2, Smoke::mf_static, 179, 286},	//981 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {76, 543, 921, 2, Smoke::mf_static, 256, 287},	//982 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {76, 500, 990, 2, Smoke::mf_static, 369, 288},	//983 QGlobalSpace::operator+(char, const QByteArray&)
    {76, 549, 993, 2, Smoke::mf_static, 179, 289},	//984 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {76, 528, 324, 2, Smoke::mf_static, 353, 290},	//985 QGlobalSpace::operator==(const char*, const QByteArray&)
    {76, 519, 996, 2, Smoke::mf_static, 98, 291},	//986 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {76, 543, 999, 2, Smoke::mf_static, 374, 292},	//987 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {76, 549, 1002, 2, Smoke::mf_static, 150, 293},	//988 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {76, 508, 318, 2, Smoke::mf_static, 419, 294},	//989 QGlobalSpace::operator-(const QSize&, const QSize&)
    {76, 543, 1005, 2, Smoke::mf_static, 374, 295},	//990 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {76, 500, 494, 2, Smoke::mf_static, 424, 296},	//991 QGlobalSpace::operator+(const char*, const QString&)
    {76, 549, 1008, 2, Smoke::mf_static, 179, 297},	//992 QGlobalSpace::operator|(Qt::WindowState, int)
    {76, 543, 1011, 2, Smoke::mf_static, 98, 298},	//993 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {76, 549, 1014, 2, Smoke::mf_static, 122, 299},	//994 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {76, 549, 1017, 2, Smoke::mf_static, 127, 300},	//995 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {76, 549, 1020, 2, Smoke::mf_static, 179, 301},	//996 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {76, 543, 1023, 2, Smoke::mf_static, 98, 302},	//997 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {76, 489, 691, 2, Smoke::mf_static, 353, 303},	//998 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {76, 549, 1026, 2, Smoke::mf_static, 163, 304},	//999 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {76, 496, 1029, 2, Smoke::mf_static, 411, 305},	//1000 QGlobalSpace::operator*(double, const QPointF&)
    {76, 543, 1032, 2, Smoke::mf_static, 98, 306},	//1001 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {76, 496, 1035, 2, Smoke::mf_static, 226, 307},	//1002 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {76, 549, 1038, 2, Smoke::mf_static, 158, 308},	//1003 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {76, 528, 297, 2, Smoke::mf_static, 353, 309},	//1004 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {76, 496, 1041, 2, Smoke::mf_static, 419, 310},	//1005 QGlobalSpace::operator*(const QSize&, double)
    {76, 496, 1044, 2, Smoke::mf_static, 208, 311},	//1006 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {76, 549, 1047, 2, Smoke::mf_static, 133, 312},	//1007 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {76, 496, 1050, 2, Smoke::mf_static, 219, 313},	//1008 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {76, 496, 1053, 2, Smoke::mf_static, 409, 314},	//1009 QGlobalSpace::operator*(double, const QPoint&)
    {76, 519, 1056, 2, Smoke::mf_static, 98, 315},	//1010 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {76, 549, 1059, 2, Smoke::mf_static, 179, 316},	//1011 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {76, 549, 1062, 2, Smoke::mf_static, 179, 317},	//1012 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    {76, 549, 1065, 2, Smoke::mf_static, 138, 318},	//1013 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {76, 549, 1068, 2, Smoke::mf_static, 112, 319},	//1014 QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    {76, 549, 1071, 2, Smoke::mf_static, 157, 320},	//1015 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {76, 549, 1074, 2, Smoke::mf_static, 179, 321},	//1016 QGlobalSpace::operator|(KAction::ShortcutType, int)
    {76, 549, 1077, 2, Smoke::mf_static, 134, 322},	//1017 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {76, 549, 1080, 2, Smoke::mf_static, 179, 323},	//1018 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    {76, 549, 1083, 2, Smoke::mf_static, 121, 324},	//1019 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    {76, 549, 1086, 2, Smoke::mf_static, 179, 325},	//1020 QGlobalSpace::operator|(KFileMetaInfo::What, int)
    {76, 528, 1089, 2, Smoke::mf_static, 353, 326},	//1021 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {76, 549, 1092, 2, Smoke::mf_static, 140, 327},	//1022 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {76, 549, 1095, 2, Smoke::mf_static, 179, 328},	//1023 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {76, 549, 1098, 2, Smoke::mf_static, 161, 329},	//1024 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {76, 543, 1101, 2, Smoke::mf_static, 374, 330},	//1025 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {76, 538, 572, 2, Smoke::mf_static, 353, 331},	//1026 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {76, 543, 1104, 2, Smoke::mf_static, 98, 332},	//1027 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {76, 549, 1107, 2, Smoke::mf_static, 167, 333},	//1028 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {76, 549, 1110, 2, Smoke::mf_static, 179, 334},	//1029 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {76, 549, 1113, 2, Smoke::mf_static, 154, 335},	//1030 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {76, 549, 1116, 2, Smoke::mf_static, 179, 336},	//1031 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {76, 549, 1119, 2, Smoke::mf_static, 179, 337},	//1032 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {76, 549, 1122, 2, Smoke::mf_static, 179, 338},	//1033 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {76, 549, 1125, 2, Smoke::mf_static, 170, 339},	//1034 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {76, 549, 1128, 2, Smoke::mf_static, 128, 340},	//1035 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {76, 519, 1131, 2, Smoke::mf_static, 98, 341},	//1036 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {76, 519, 1134, 2, Smoke::mf_static, 98, 342},	//1037 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {76, 496, 1137, 2, Smoke::mf_static, 187, 343},	//1038 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {76, 519, 1140, 2, Smoke::mf_static, 98, 344},	//1039 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {76, 519, 1143, 2, Smoke::mf_static, 98, 345},	//1040 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {76, 543, 1146, 2, Smoke::mf_static, 374, 346},	//1041 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {76, 549, 1149, 2, Smoke::mf_static, 134, 347},	//1042 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {76, 489, 563, 2, Smoke::mf_static, 353, 348},	//1043 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {76, 549, 1152, 2, Smoke::mf_static, 179, 349},	//1044 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {76, 528, 572, 2, Smoke::mf_static, 353, 350},	//1045 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {76, 543, 1155, 2, Smoke::mf_static, 98, 351},	//1046 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {76, 519, 1158, 2, Smoke::mf_static, 98, 352},	//1047 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {76, 549, 569, 2, Smoke::mf_static, 81, 353},	//1048 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {76, 519, 1161, 2, Smoke::mf_static, 98, 354},	//1049 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {76, 549, 1164, 2, Smoke::mf_static, 144, 355},	//1050 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {76, 549, 1167, 2, Smoke::mf_static, 179, 356},	//1051 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {76, 549, 1170, 2, Smoke::mf_static, 179, 357},	//1052 QGlobalSpace::operator|(KFile::Mode, int)
    {76, 519, 1173, 2, Smoke::mf_static, 98, 358},	//1053 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {76, 523, 368, 2, Smoke::mf_static, 353, 359},	//1054 QGlobalSpace::operator<=(QChar, QChar)
    {76, 543, 1176, 2, Smoke::mf_static, 374, 360},	//1055 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {76, 549, 1179, 2, Smoke::mf_static, 170, 361},	//1056 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {76, 489, 1089, 2, Smoke::mf_static, 353, 362},	//1057 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {76, 549, 1182, 2, Smoke::mf_static, 162, 363},	//1058 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {76, 543, 1185, 2, Smoke::mf_static, 98, 364},	//1059 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {76, 543, 1188, 2, Smoke::mf_static, 98, 365},	//1060 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {76, 543, 1191, 2, Smoke::mf_static, 98, 366},	//1061 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {76, 549, 1194, 2, Smoke::mf_static, 179, 367},	//1062 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    {76, 549, 1197, 2, Smoke::mf_static, 179, 368},	//1063 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {76, 549, 1200, 2, Smoke::mf_static, 123, 369},	//1064 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {76, 543, 1203, 2, Smoke::mf_static, 98, 370},	//1065 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {76, 549, 1206, 2, Smoke::mf_static, 179, 371},	//1066 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {76, 549, 1209, 2, Smoke::mf_static, 179, 372},	//1067 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {76, 512, 1041, 2, Smoke::mf_static, 419, 373},	//1068 QGlobalSpace::operator/(const QSize&, double)
    {76, 549, 1212, 2, Smoke::mf_static, 127, 374},	//1069 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {76, 496, 1215, 2, Smoke::mf_static, 213, 375},	//1070 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {76, 519, 1218, 2, Smoke::mf_static, 95, 376},	//1071 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {76, 528, 1221, 2, Smoke::mf_static, 353, 377},	//1072 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {76, 543, 1224, 2, Smoke::mf_static, 98, 378},	//1073 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {76, 549, 1227, 2, Smoke::mf_static, 151, 379},	//1074 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {76, 549, 1230, 2, Smoke::mf_static, 179, 380},	//1075 QGlobalSpace::operator|(Qt::Orientation, int)
    {76, 489, 306, 2, Smoke::mf_static, 353, 381},	//1076 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {76, 496, 473, 2, Smoke::mf_static, 409, 382},	//1077 QGlobalSpace::operator*(const QPoint&, double)
    {76, 549, 1233, 2, Smoke::mf_static, 159, 383},	//1078 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {76, 549, 1236, 2, Smoke::mf_static, 138, 384},	//1079 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {76, 528, 757, 2, Smoke::mf_static, 353, 385},	//1080 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {76, 528, 345, 2, Smoke::mf_static, 353, 386},	//1081 QGlobalSpace::operator==(const QByteArray&, const char*)
    {76, 519, 1239, 2, Smoke::mf_static, 98, 387},	//1082 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {76, 519, 1242, 2, Smoke::mf_static, 98, 388},	//1083 QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    {76, 496, 876, 2, Smoke::mf_static, 421, 389},	//1084 QGlobalSpace::operator*(const QSizeF&, double)
    {76, 528, 981, 2, Smoke::mf_static, 353, 390},	//1085 QGlobalSpace::operator==(const QStringRef&, const char*)
    {76, 496, 1245, 2, Smoke::mf_static, 217, 391},	//1086 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {76, 549, 1248, 2, Smoke::mf_static, 179, 392},	//1087 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {76, 496, 1251, 2, Smoke::mf_static, 419, 393},	//1088 QGlobalSpace::operator*(double, const QSize&)
    {76, 543, 1254, 2, Smoke::mf_static, 98, 394},	//1089 QGlobalSpace::operator>>(QDataStream&, KACL&)
    {76, 549, 1257, 2, Smoke::mf_static, 179, 395},	//1090 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {76, 519, 1260, 2, Smoke::mf_static, 95, 396},	//1091 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {76, 514, 297, 2, Smoke::mf_static, 353, 397},	//1092 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {76, 549, 1263, 2, Smoke::mf_static, 179, 398},	//1093 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {76, 489, 1266, 2, Smoke::mf_static, 353, 399},	//1094 QGlobalSpace::operator!=(QBool, bool)
    {76, 489, 318, 2, Smoke::mf_static, 353, 400},	//1095 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {76, 543, 1269, 2, Smoke::mf_static, 98, 401},	//1096 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {76, 489, 515, 2, Smoke::mf_static, 353, 402},	//1097 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {76, 549, 1272, 2, Smoke::mf_static, 179, 403},	//1098 QGlobalSpace::operator|(QStyle::SubControl, int)
    {76, 549, 1275, 2, Smoke::mf_static, 153, 404},	//1099 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {76, 496, 1278, 2, Smoke::mf_static, 190, 405},	//1100 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {76, 549, 1281, 2, Smoke::mf_static, 179, 406},	//1101 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {76, 496, 787, 2, Smoke::mf_static, 411, 407},	//1102 QGlobalSpace::operator*(const QPointF&, double)
    {76, 549, 1284, 2, Smoke::mf_static, 165, 408},	//1103 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {76, 514, 757, 2, Smoke::mf_static, 353, 409},	//1104 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {76, 489, 351, 2, Smoke::mf_static, 353, 410},	//1105 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {76, 519, 1287, 2, Smoke::mf_static, 98, 411},	//1106 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {76, 549, 1290, 2, Smoke::mf_static, 162, 412},	//1107 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {76, 496, 1293, 2, Smoke::mf_static, 215, 413},	//1108 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {76, 519, 1296, 2, Smoke::mf_static, 98, 414},	//1109 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {76, 549, 1299, 2, Smoke::mf_static, 140, 415},	//1110 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {76, 549, 1302, 2, Smoke::mf_static, 179, 416},	//1111 QGlobalSpace::operator|(Qt::WindowType, int)
    {76, 549, 1305, 2, Smoke::mf_static, 179, 417},	//1112 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {76, 543, 1308, 2, Smoke::mf_static, 98, 418},	//1113 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {76, 549, 1311, 2, Smoke::mf_static, 146, 419},	//1114 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {76, 543, 1314, 2, Smoke::mf_static, 98, 420},	//1115 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {76, 519, 1317, 2, Smoke::mf_static, 98, 421},	//1116 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {76, 549, 1320, 2, Smoke::mf_static, 164, 422},	//1117 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {76, 549, 1323, 2, Smoke::mf_static, 179, 423},	//1118 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {76, 549, 1326, 2, Smoke::mf_static, 156, 424},	//1119 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {76, 528, 1266, 2, Smoke::mf_static, 353, 425},	//1120 QGlobalSpace::operator==(QBool, bool)
    {76, 543, 1329, 2, Smoke::mf_static, 98, 426},	//1121 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {76, 543, 1332, 2, Smoke::mf_static, 98, 427},	//1122 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {76, 519, 1335, 2, Smoke::mf_static, 98, 428},	//1123 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {76, 519, 1338, 2, Smoke::mf_static, 98, 429},	//1124 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {76, 549, 1341, 2, Smoke::mf_static, 141, 430},	//1125 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {76, 528, 494, 2, Smoke::mf_static, 353, 431},	//1126 QGlobalSpace::operator==(const char*, const QString&)
    {76, 549, 1344, 2, Smoke::mf_static, 112, 432},	//1127 QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    {76, 549, 1347, 2, Smoke::mf_static, 143, 433},	//1128 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {76, 500, 1350, 2, Smoke::mf_static, 424, 434},	//1129 QGlobalSpace::operator+(const QString&, const QString&)
    {76, 489, 596, 2, Smoke::mf_static, 353, 435},	//1130 QGlobalSpace::operator!=(QBool, QBool)
    {76, 549, 1353, 2, Smoke::mf_static, 128, 436},	//1131 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {76, 549, 1356, 2, Smoke::mf_static, 119, 437},	//1132 QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    {76, 538, 494, 2, Smoke::mf_static, 353, 438},	//1133 QGlobalSpace::operator>=(const char*, const QString&)
    {76, 549, 1359, 2, Smoke::mf_static, 179, 439},	//1134 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {76, 549, 1362, 2, Smoke::mf_static, 130, 440},	//1135 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {76, 538, 306, 2, Smoke::mf_static, 353, 441},	//1136 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {76, 533, 345, 2, Smoke::mf_static, 353, 442},	//1137 QGlobalSpace::operator>(const QByteArray&, const char*)
    {76, 543, 1365, 2, Smoke::mf_static, 98, 443},	//1138 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {76, 496, 1368, 2, Smoke::mf_static, 217, 444},	//1139 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {76, 549, 1371, 2, Smoke::mf_static, 179, 445},	//1140 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {76, 489, 572, 2, Smoke::mf_static, 353, 446},	//1141 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {76, 519, 1374, 2, Smoke::mf_static, 98, 447},	//1142 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {76, 519, 1377, 2, Smoke::mf_static, 95, 448},	//1143 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {76, 543, 1380, 2, Smoke::mf_static, 98, 449},	//1144 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {76, 519, 1383, 2, Smoke::mf_static, 98, 450},	//1145 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {76, 211, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 451},	//1146 QGlobalSpace::_ISupper (enum)
    {76, 207, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 452},	//1147 QGlobalSpace::_ISlower (enum)
    {76, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 453},	//1148 QGlobalSpace::_ISalpha (enum)
    {76, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 454},	//1149 QGlobalSpace::_ISdigit (enum)
    {76, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 455},	//1150 QGlobalSpace::_ISxdigit (enum)
    {76, 210, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 456},	//1151 QGlobalSpace::_ISspace (enum)
    {76, 208, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 457},	//1152 QGlobalSpace::_ISprint (enum)
    {76, 206, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 458},	//1153 QGlobalSpace::_ISgraph (enum)
    {76, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 459},	//1154 QGlobalSpace::_ISblank (enum)
    {76, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 460},	//1155 QGlobalSpace::_IScntrl (enum)
    {76, 209, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 461},	//1156 QGlobalSpace::_ISpunct (enum)
    {76, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 462},	//1157 QGlobalSpace::_ISalnum (enum)
    {76, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 463},	//1158 QGlobalSpace::ITIMER_REAL (enum)
    {76, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 464},	//1159 QGlobalSpace::ITIMER_VIRTUAL (enum)
    {76, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 465},	//1160 QGlobalSpace::ITIMER_PROF (enum)
    {76, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 348, 466},	//1161 QGlobalSpace::QtDebugMsg (enum)
    {76, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 348, 467},	//1162 QGlobalSpace::QtWarningMsg (enum)
    {76, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 348, 468},	//1163 QGlobalSpace::QtCriticalMsg (enum)
    {76, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 348, 469},	//1164 QGlobalSpace::QtFatalMsg (enum)
    {76, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 348, 470},	//1165 QGlobalSpace::QtSystemMsg (enum)
    {76, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 471},	//1166 QGlobalSpace::KST_KSycocaEntry (enum)
    {76, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 472},	//1167 QGlobalSpace::KST_KService (enum)
    {76, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 473},	//1168 QGlobalSpace::KST_KServiceType (enum)
    {76, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 474},	//1169 QGlobalSpace::KST_KMimeType (enum)
    {76, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 475},	//1170 QGlobalSpace::KST_KFolderMimeType (enum)
    {76, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 476},	//1171 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {76, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 477},	//1172 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {76, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 478},	//1173 QGlobalSpace::KST_KServiceGroup (enum)
    {76, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 479},	//1174 QGlobalSpace::KST_KImageIOFormat (enum)
    {76, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 480},	//1175 QGlobalSpace::KST_KProtocolInfo (enum)
    {76, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 481},	//1176 QGlobalSpace::KST_KServiceSeparator (enum)
    {76, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 59, 482},	//1177 QGlobalSpace::KST_KCustom (enum)
    {76, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 483},	//1178 QGlobalSpace::KST_KServiceFactory (enum)
    {76, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 484},	//1179 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {76, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 485},	//1180 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {76, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 486},	//1181 QGlobalSpace::KST_KImageIO (enum)
    {76, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 487},	//1182 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {76, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 488},	//1183 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {76, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 489},	//1184 QGlobalSpace::KST_CTimeInfo (enum)
    {76, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 490},	//1185 QGlobalSpace::__codecvt_ok (enum)
    {76, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 491},	//1186 QGlobalSpace::__codecvt_partial (enum)
    {76, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 492},	//1187 QGlobalSpace::__codecvt_error (enum)
    {76, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 351, 493},	//1188 QGlobalSpace::__codecvt_noconv (enum)
    {91, 844, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 222, 0},	//1189 QListView::visualRect(const QModelIndex&) const
    {91, 604, 1386, 2, Smoke::mf_virtual, 0, 0},	//1190 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {91, 389, 677, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1191 QListView::indexAt(const QPoint&) const
    {91, 300, 0, 0, Smoke::mf_virtual, 0, 0},	//1192 QListView::doItemsLayout()
    {91, 583, 0, 0, Smoke::mf_virtual, 0, 0},	//1193 QListView::reset()
    {91, 716, 146, 1, Smoke::mf_virtual, 0, 0},	//1194 QListView::setRootIndex(const QModelIndex&)
    {91, 332, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1195 QListView::event(QEvent*)
    {91, 603, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1196 QListView::scrollContentsBy(int, int)
    {91, 592, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1197 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {91, 476, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1198 QListView::mouseMoveEvent(QMouseEvent*)
    {91, 478, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1199 QListView::mouseReleaseEvent(QMouseEvent*)
    {91, 791, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1200 QListView::timerEvent(QTimerEvent*)
    {91, 777, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1201 QListView::startDrag(QFlags<Qt::DropAction>)
    {91, 840, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 251, 0},	//1202 QListView::viewOptions() const
    {91, 380, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1203 QListView::horizontalOffset() const
    {91, 833, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1204 QListView::verticalOffset() const
    {91, 480, 1391, 2, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//1205 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {91, 719, 1394, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1206 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {91, 845, 1397, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//1207 QListView::visualRegionForSelection(const QItemSelection&) const
    {91, 617, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//1208 QListView::selectedIndexes() const
    {91, 812, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1209 QListView::updateGeometries()
    {91, 407, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1210 QListView::isIndexHidden(const QModelIndex&) const
    {91, 621, 1399, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1211 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {91, 266, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1212 QListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {101, 332, 111, 1, Smoke::mf_virtual, 353, 0},	//1213 QObject::event(QEvent*)
    {101, 333, 113, 2, Smoke::mf_virtual, 353, 0},	//1214 QObject::eventFilter(QObject*, QEvent*)
    {101, 791, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1215 QObject::timerEvent(QTimerEvent*)
    {101, 243, 1402, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1216 QObject::childEvent(QChildEvent*)
    {101, 274, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1217 QObject::customEvent(QEvent*)
    {101, 258, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1218 QObject::connectNotify(const char*)
    {101, 299, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1219 QObject::disconnectNotify(const char*)
    {122, 732, 207, 1, Smoke::mf_virtual, 0, 0},	//1220 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {122, 462, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1221 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {122, 459, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1222 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {122, 461, 1397, 1, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1223 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {122, 460, 1397, 1, Smoke::mf_const|Smoke::mf_virtual, 181, 0},	//1224 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {122, 343, 1404, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1225 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {122, 342, 1404, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1226 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {122, 386, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1227 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {122, 556, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1228 QSortFilterProxyModel::parent(const QModelIndex&) const
    {122, 590, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//1229 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {122, 251, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//1230 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {122, 276, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//1231 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {122, 653, 255, 3, Smoke::mf_virtual, 353, 0},	//1232 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {122, 365, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//1233 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {122, 674, 263, 4, Smoke::mf_virtual, 353, 0},	//1234 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {122, 466, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 199, 0},	//1235 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {122, 312, 185, 5, Smoke::mf_virtual, 353, 0},	//1236 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {122, 393, 179, 3, Smoke::mf_virtual, 353, 0},	//1237 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {122, 392, 179, 3, Smoke::mf_virtual, 353, 0},	//1238 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {122, 574, 179, 3, Smoke::mf_virtual, 353, 0},	//1239 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {122, 571, 179, 3, Smoke::mf_virtual, 353, 0},	//1240 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {122, 335, 146, 1, Smoke::mf_virtual, 0, 0},	//1241 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {122, 349, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 162, 0},	//1242 QSortFilterProxyModel::flags(const QModelIndex&) const
    {122, 234, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1243 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {122, 463, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 192, 0},	//1244 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {122, 775, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 230, 0},	//1245 QSortFilterProxyModel::span(const QModelIndex&) const
    {122, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 0},	//1246 QSortFilterProxyModel::mimeTypes() const
    {122, 783, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//1247 QSortFilterProxyModel::supportedDropActions() const
    {133, 697, 207, 1, Smoke::mf_virtual, 0, 0},	//1248 QTreeView::setModel(QAbstractItemModel*)
    {133, 716, 146, 1, Smoke::mf_virtual, 0, 0},	//1249 QTreeView::setRootIndex(const QModelIndex&)
    {133, 721, 277, 1, Smoke::mf_virtual, 0, 0},	//1250 QTreeView::setSelectionModel(QItemSelectionModel*)
    {133, 445, 4, 1, Smoke::mf_virtual, 0, 0},	//1251 QTreeView::keyboardSearch(const QString&)
    {133, 844, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 222, 0},	//1252 QTreeView::visualRect(const QModelIndex&) const
    {133, 604, 1386, 2, Smoke::mf_virtual, 0, 0},	//1253 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {133, 389, 677, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//1254 QTreeView::indexAt(const QPoint&) const
    {133, 300, 0, 0, Smoke::mf_virtual, 0, 0},	//1255 QTreeView::doItemsLayout()
    {133, 583, 0, 0, Smoke::mf_virtual, 0, 0},	//1256 QTreeView::reset()
    {133, 278, 34, 2, Smoke::mf_virtual, 0, 0},	//1257 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {133, 605, 0, 0, Smoke::mf_virtual, 0, 0},	//1258 QTreeView::selectAll()
    {133, 603, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1259 QTreeView::scrollContentsBy(int, int)
    {133, 593, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1260 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {133, 592, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1261 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {133, 480, 1391, 2, Smoke::mf_protected|Smoke::mf_virtual, 200, 0},	//1262 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {133, 380, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1263 QTreeView::horizontalOffset() const
    {133, 833, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1264 QTreeView::verticalOffset() const
    {133, 719, 1394, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1265 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {133, 845, 1397, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 226, 0},	//1266 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {133, 617, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 192, 0},	//1267 QTreeView::selectedIndexes() const
    {133, 791, 1389, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1268 QTreeView::timerEvent(QTimerEvent*)
    {133, 553, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1269 QTreeView::paintEvent(QPaintEvent*)
    {133, 309, 1407, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1270 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {133, 308, 1411, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1271 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {133, 477, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1272 QTreeView::mousePressEvent(QMouseEvent*)
    {133, 478, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1273 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {133, 475, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1274 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {133, 476, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1275 QTreeView::mouseMoveEvent(QMouseEvent*)
    {133, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1276 QTreeView::keyPressEvent(QKeyEvent*)
    {133, 306, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1277 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {133, 841, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1278 QTreeView::viewportEvent(QEvent*)
    {133, 812, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1279 QTreeView::updateGeometries()
    {133, 760, 60, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1280 QTreeView::sizeHintForColumn(int) const
    {133, 381, 60, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1281 QTreeView::horizontalScrollbarAction(int)
    {133, 407, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1282 QTreeView::isIndexHidden(const QModelIndex&) const
    {133, 621, 1399, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1283 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {133, 266, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1284 QTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {139, 288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//1285 QWidget::devType() const
    {139, 745, 8, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1286 QWidget::setVisible(bool)
    {139, 759, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 230, 0},	//1287 QWidget::sizeHint() const
    {139, 470, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 230, 0},	//1288 QWidget::minimumSizeHint() const
    {139, 366, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 440, 0},	//1289 QWidget::heightForWidth(int) const
    {139, 552, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1290 QWidget::paintEngine() const
    {139, 332, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1291 QWidget::event(QEvent*)
    {139, 477, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1292 QWidget::mousePressEvent(QMouseEvent*)
    {139, 478, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1293 QWidget::mouseReleaseEvent(QMouseEvent*)
    {139, 475, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1294 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {139, 476, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1295 QWidget::mouseMoveEvent(QMouseEvent*)
    {139, 846, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1296 QWidget::wheelEvent(QWheelEvent*)
    {139, 441, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1297 QWidget::keyPressEvent(QKeyEvent*)
    {139, 443, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1298 QWidget::keyReleaseEvent(QKeyEvent*)
    {139, 351, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1299 QWidget::focusInEvent(QFocusEvent*)
    {139, 353, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1300 QWidget::focusOutEvent(QFocusEvent*)
    {139, 329, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1301 QWidget::enterEvent(QEvent*)
    {139, 447, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1302 QWidget::leaveEvent(QEvent*)
    {139, 553, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1303 QWidget::paintEvent(QPaintEvent*)
    {139, 481, 1415, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1304 QWidget::moveEvent(QMoveEvent*)
    {139, 248, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1305 QWidget::closeEvent(QCloseEvent*)
    {139, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1306 QWidget::contextMenuEvent(QContextMenuEvent*)
    {139, 786, 1417, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1307 QWidget::tabletEvent(QTabletEvent*)
    {139, 220, 1419, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1308 QWidget::actionEvent(QActionEvent*)
    {139, 302, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1309 QWidget::dragEnterEvent(QDragEnterEvent*)
    {139, 306, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1310 QWidget::dragMoveEvent(QDragMoveEvent*)
    {139, 304, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1311 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {139, 310, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1312 QWidget::dropEvent(QDropEvent*)
    {139, 753, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1313 QWidget::showEvent(QShowEvent*)
    {139, 368, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1314 QWidget::hideEvent(QHideEvent*)
    {139, 850, 1421, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1315 QWidget::x11Event(_XEvent*)
    {139, 240, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1316 QWidget::changeEvent(QEvent*)
    {139, 465, 1423, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 440, 0},	//1317 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {139, 390, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1318 QWidget::inputMethodEvent(QInputMethodEvent*)
    {139, 391, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 268, 0},	//1319 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {139, 352, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 353, 0},	//1320 QWidget::focusNextPrevChild(bool)
    {139, 779, 1425, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1321 QWidget::styleChange(QStyle&)
    {139, 327, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1322 QWidget::enabledChange(bool)
    {139, 555, 1427, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1323 QWidget::paletteChange(const QPalette&)
    {139, 354, 1429, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1324 QWidget::fontChange(const QFont&)
    {139, 847, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1325 QWidget::windowActivationChange(bool)
    {139, 446, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1326 QWidget::languageChange()
    {139, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 43},	//1327 QWidget::DrawWindowBackground (enum)
    {139, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 44},	//1328 QWidget::DrawChildren (enum)
    {139, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 45},	//1329 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    746,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    782,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    784,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    790,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    833,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    859,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    876,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    881,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    920,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    926,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    960,  // QGlobalSpace::operator!=(QChar, QChar)
    998,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    1043,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    1057,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    1095,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    1097,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1130,  // QGlobalSpace::operator!=(QBool, QBool)
    1141,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    731,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    758,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    768,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    978,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    1094,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    827,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    896,  // QGlobalSpace::operator!=(bool, QBool)
    924,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    971,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1076,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    1105,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    701,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    820,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    834,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    847,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    915,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    951,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    977,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1002,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1006,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    1008,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    1038,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    1070,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    1086,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1100,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1108,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    1139,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    0,
    786,  // QGlobalSpace::operator*(const QTransform&, double)
    1005,  // QGlobalSpace::operator*(const QSize&, double)
    1077,  // QGlobalSpace::operator*(const QPoint&, double)
    1084,  // QGlobalSpace::operator*(const QSizeF&, double)
    1102,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    742,  // QGlobalSpace::operator*(double, const QSizeF&)
    1000,  // QGlobalSpace::operator*(double, const QPointF&)
    1009,  // QGlobalSpace::operator*(double, const QPoint&)
    1088,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    763,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    773,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    777,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    846,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    887,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    791,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    799,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    819,  // QGlobalSpace::operator+(const QTransform&, double)
    822,  // QGlobalSpace::operator+(QChar, const QString&)
    930,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    705,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    766,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    789,  // QGlobalSpace::operator+(const QString&, QChar)
    983,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    794,  // QGlobalSpace::operator+(const QString&, const char*)
    831,  // QGlobalSpace::operator+(const QString&, char)
    880,  // QGlobalSpace::operator+(char, const QString&)
    991,  // QGlobalSpace::operator+(const char*, const QString&)
    1129,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    850,  // QGlobalSpace::operator-(const QPoint&)
    910,  // QGlobalSpace::operator-(const QPointF&)
    0,
    748,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    767,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    836,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    989,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    762,  // QGlobalSpace::operator/(const QPoint&, double)
    895,  // QGlobalSpace::operator/(const QPointF&, double)
    901,  // QGlobalSpace::operator/(const QTransform&, double)
    934,  // QGlobalSpace::operator/(const QSizeF&, double)
    1068,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    729,  // QGlobalSpace::operator<(QChar, QChar)
    780,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    787,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    840,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    1092,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1104,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    733,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    927,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    704,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    710,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    713,  // QGlobalSpace::operator<<(QDataStream&, const KACL&)
    718,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    724,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    725,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    727,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    740,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    747,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    750,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    757,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    764,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    769,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    797,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    810,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    811,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    842,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    843,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    853,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    857,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    870,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    871,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    877,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    889,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    891,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    902,  // QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    904,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    921,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    936,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    942,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    954,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    959,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    973,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    986,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    1010,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    1036,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1037,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    1039,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1040,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    1047,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1049,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1053,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    1071,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    1082,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    1083,  // QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    1091,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    1109,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1116,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1123,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    1124,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    1142,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    1143,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    1145,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    890,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1106,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    732,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    929,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    976,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    808,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    818,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    941,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    1054,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    940,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    980,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    703,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    709,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    720,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    721,  // QGlobalSpace::operator==(QChar, QChar)
    722,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    802,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    814,  // QGlobalSpace::operator==(QBool, QBool)
    837,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    849,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    855,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    872,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    885,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    897,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    928,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    938,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    1004,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1021,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    1045,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1072,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    1080,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    702,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    883,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1081,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1085,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1120,  // QGlobalSpace::operator==(QBool, bool)
    0,
    699,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    714,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    815,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    912,  // QGlobalSpace::operator==(bool, QBool)
    953,  // QGlobalSpace::operator==(const QString&, QString::Null)
    985,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    738,  // QGlobalSpace::operator>(QChar, QChar)
    795,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    805,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    873,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    715,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    781,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    696,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    730,  // QGlobalSpace::operator>=(QChar, QChar)
    935,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    1026,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    917,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    1136,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    700,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    708,  // QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    711,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    728,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    749,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    788,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    798,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    813,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    826,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    828,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    832,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    839,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    852,  // QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    875,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    882,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    884,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    899,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    905,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    907,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    922,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    933,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    943,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    947,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    949,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    956,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    966,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    967,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    970,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    979,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    982,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    987,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    990,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    993,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    997,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1001,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    1025,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    1027,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1041,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    1046,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1055,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    1059,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1060,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    1061,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    1073,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    1089,  // QGlobalSpace::operator>>(QDataStream&, KACL&)
    1096,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    1113,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1115,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    1121,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1122,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    1138,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    1144,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    944,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    1065,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    697,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    698,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    706,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    707,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    717,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    719,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    723,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    726,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    734,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    735,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    736,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    737,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    739,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    741,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    743,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    744,  // QGlobalSpace::operator|(QDir::Filter, int)
    745,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    751,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    752,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    754,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    755,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    756,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    759,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    760,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    761,  // QGlobalSpace::operator|(QFile::Permission, int)
    765,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    770,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    772,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    774,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    775,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    776,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    778,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    779,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    783,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    785,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    792,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    793,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    796,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    800,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    803,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    806,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    807,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    809,  // QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    812,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    816,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    821,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    823,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    824,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    825,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    829,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    830,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    835,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    838,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    841,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    844,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    845,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    848,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    851,  // QGlobalSpace::operator|(Qt::DropAction, int)
    854,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    856,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    858,  // QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    860,  // QGlobalSpace::operator|(KJob::Capability, int)
    861,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    862,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    863,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    865,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    866,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    867,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    868,  // QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    869,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    874,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    878,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    879,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    886,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    892,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    893,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    894,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    898,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    900,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    903,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    906,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    909,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    911,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    913,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    914,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    918,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    919,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    923,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    925,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    931,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    932,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    937,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    939,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    945,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    946,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    948,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    950,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    952,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    957,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    958,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    961,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    962,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    963,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    964,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    965,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    968,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    972,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    974,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    975,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    981,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    984,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    988,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    992,  // QGlobalSpace::operator|(Qt::WindowState, int)
    994,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    995,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    996,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    999,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    1003,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1007,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    1011,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    1012,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    1013,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    1014,  // QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    1015,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1016,  // QGlobalSpace::operator|(KAction::ShortcutType, int)
    1017,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1018,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    1019,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    1020,  // QGlobalSpace::operator|(KFileMetaInfo::What, int)
    1022,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    1023,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    1024,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    1028,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1029,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    1030,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    1031,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    1032,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    1033,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1034,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    1035,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    1042,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1044,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1050,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    1051,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    1052,  // QGlobalSpace::operator|(KFile::Mode, int)
    1056,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    1058,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    1062,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    1063,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    1064,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    1066,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    1067,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    1069,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    1074,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    1075,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1078,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    1079,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    1087,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    1090,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    1093,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    1098,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    1099,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    1101,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    1103,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    1107,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    1110,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1111,  // QGlobalSpace::operator|(Qt::WindowType, int)
    1112,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    1114,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1117,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    1118,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    1119,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    1125,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1127,  // QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    1128,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1131,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    1132,  // QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    1134,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1135,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    1140,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {2, 70, 36},	// KAbstractFileWidget::KAbstractFileWidget
    {2, 71, 37},	// KAbstractFileWidget::KAbstractFileWidget#
    {2, 150, 41},	// KAbstractFileWidget::Opening
    {2, 151, 40},	// KAbstractFileWidget::Other
    {2, 168, 42},	// KAbstractFileWidget::Saving
    {2, 217, 31},	// KAbstractFileWidget::accept
    {2, 219, 27},	// KAbstractFileWidget::actionCollection
    {2, 231, 3},	// KAbstractFileWidget::baseUrl
    {2, 237, 24},	// KAbstractFileWidget::cancelButton
    {2, 244, 17},	// KAbstractFileWidget::clearFilter
    {2, 268, 13},	// KAbstractFileWidget::currentFilter
    {2, 269, 14},	// KAbstractFileWidget::currentFilterMimeType
    {2, 272, 16},	// KAbstractFileWidget::currentMimeFilter
    {2, 346, 26},	// KAbstractFileWidget::filterWidget
    {2, 440, 11},	// KAbstractFileWidget::keepsLocation
    {2, 450, 25},	// KAbstractFileWidget::locationEdit
    {2, 474, 20},	// KAbstractFileWidget::mode
    {2, 486, 23},	// KAbstractFileWidget::okButton
    {2, 488, 9},	// KAbstractFileWidget::operationMode
    {2, 615, 4},	// KAbstractFileWidget::selectedFile
    {2, 616, 5},	// KAbstractFileWidget::selectedFiles
    {2, 619, 1},	// KAbstractFileWidget::selectedUrl
    {2, 620, 2},	// KAbstractFileWidget::selectedUrls
    {2, 636, 34},	// KAbstractFileWidget::setConfirmOverwrite$
    {2, 651, 28},	// KAbstractFileWidget::setCustomWidget#
    {2, 652, 29},	// KAbstractFileWidget::setCustomWidget$#
    {2, 671, 12},	// KAbstractFileWidget::setFilter$
    {2, 681, 35},	// KAbstractFileWidget::setInlinePreviewShown$
    {2, 686, 10},	// KAbstractFileWidget::setKeepLocation$
    {2, 689, 21},	// KAbstractFileWidget::setLocationLabel$
    {2, 693, 39},	// KAbstractFileWidget::setMimeFilter?
    {2, 694, 15},	// KAbstractFileWidget::setMimeFilter?$
    {2, 696, 19},	// KAbstractFileWidget::setMode$
    {2, 706, 8},	// KAbstractFileWidget::setOperationMode$
    {2, 715, 18},	// KAbstractFileWidget::setPreviewWidget#
    {2, 720, 7},	// KAbstractFileWidget::setSelection$
    {2, 736, 38},	// KAbstractFileWidget::setUrl#
    {2, 737, 6},	// KAbstractFileWidget::setUrl#$
    {2, 763, 32},	// KAbstractFileWidget::slotCancel
    {2, 766, 30},	// KAbstractFileWidget::slotOk
    {2, 794, 22},	// KAbstractFileWidget::toolBar
    {2, 843, 33},	// KAbstractFileWidget::virtual_hook$$
    {2, 851, 43},	// KAbstractFileWidget::~KAbstractFileWidget
    {15, 8, 221},	// KDirOperator::AllActions
    {15, 47, 220},	// KDirOperator::FileActions
    {15, 72, 208},	// KDirOperator::KDirOperator
    {15, 73, 209},	// KDirOperator::KDirOperator#
    {15, 74, 96},	// KDirOperator::KDirOperator##
    {15, 135, 219},	// KDirOperator::NavActions
    {15, 184, 217},	// KDirOperator::SortActions
    {15, 198, 218},	// KDirOperator::ViewActions
    {15, 219, 130},	// KDirOperator::actionCollection
    {15, 224, 166},	// KDirOperator::activatedMenu##
    {15, 230, 169},	// KDirOperator::back
    {15, 239, 172},	// KDirOperator::cdUp
    {15, 241, 167},	// KDirOperator::changeEvent#
    {15, 242, 165},	// KDirOperator::checkPreviewSupport
    {15, 244, 106},	// KDirOperator::clearFilter
    {15, 245, 139},	// KDirOperator::clearHistory
    {15, 246, 99},	// KDirOperator::close
    {15, 256, 197},	// KDirOperator::completion$
    {15, 257, 128},	// KDirOperator::completionObject
    {15, 260, 204},	// KDirOperator::contextMenuAboutToShow##
    {15, 265, 156},	// KDirOperator::createView#$
    {15, 271, 205},	// KDirOperator::currentIconSizeChanged$
    {15, 280, 150},	// KDirOperator::decorationPosition
    {15, 283, 211},	// KDirOperator::del#
    {15, 284, 212},	// KDirOperator::del##
    {15, 285, 213},	// KDirOperator::del##$
    {15, 286, 138},	// KDirOperator::del##$$
    {15, 287, 176},	// KDirOperator::deleteSelected
    {15, 292, 201},	// KDirOperator::dirActivated#
    {15, 293, 129},	// KDirOperator::dirCompletionObject
    {15, 294, 141},	// KDirOperator::dirHighlighting
    {15, 295, 119},	// KDirOperator::dirLister
    {15, 296, 142},	// KDirOperator::dirOnlyMode
    {15, 297, 143},	// KDirOperator::dirOnlyMode$
    {15, 315, 203},	// KDirOperator::dropped##?
    {15, 334, 168},	// KDirOperator::eventFilter##
    {15, 337, 200},	// KDirOperator::fileHighlighted#
    {15, 340, 202},	// KDirOperator::fileSelected#
    {15, 348, 198},	// KDirOperator::finishedLoading
    {15, 355, 170},	// KDirOperator::forward
    {15, 372, 186},	// KDirOperator::highlightFile#
    {15, 378, 171},	// KDirOperator::home
    {15, 385, 153},	// KDirOperator::iconsZoom
    {15, 408, 152},	// KDirOperator::isInlinePreviewShown
    {15, 416, 118},	// KDirOperator::isRoot
    {15, 417, 155},	// KDirOperator::isSaving
    {15, 419, 125},	// KDirOperator::isSelected#
    {15, 442, 159},	// KDirOperator::keyPressEvent#
    {15, 456, 178},	// KDirOperator::makeCompletion$
    {15, 458, 179},	// KDirOperator::makeDirCompletion$
    {15, 464, 89},	// KDirOperator::metaObject
    {15, 468, 103},	// KDirOperator::mimeFilter
    {15, 471, 175},	// KDirOperator::mkdir
    {15, 472, 210},	// KDirOperator::mkdir$
    {15, 473, 137},	// KDirOperator::mkdir$$
    {15, 474, 122},	// KDirOperator::mode
    {15, 482, 101},	// KDirOperator::nameFilter
    {15, 483, 105},	// KDirOperator::newFileMenuSupportedMimeTypes
    {15, 484, 126},	// KDirOperator::numDirs
    {15, 485, 127},	// KDirOperator::numFiles
    {15, 487, 136},	// KDirOperator::onlyDoubleClickSelectsFiles
    {15, 558, 183},	// KDirOperator::pathChanged
    {15, 561, 164},	// KDirOperator::prepareCompletionObjects
    {15, 562, 148},	// KDirOperator::previewGenerator
    {15, 563, 120},	// KDirOperator::progressBar
    {15, 565, 95},	// KDirOperator::qt_metacall$$?
    {15, 567, 90},	// KDirOperator::qt_metacast$
    {15, 569, 133},	// KDirOperator::readConfig#
    {15, 582, 174},	// KDirOperator::rereadDir
    {15, 584, 182},	// KDirOperator::resetCursor
    {15, 586, 158},	// KDirOperator::resizeEvent#
    {15, 607, 184},	// KDirOperator::selectDir#
    {15, 614, 185},	// KDirOperator::selectFile#
    {15, 618, 124},	// KDirOperator::selectedItems
    {15, 624, 145},	// KDirOperator::setAcceptDrops$
    {15, 641, 110},	// KDirOperator::setCurrentItem#
    {15, 642, 109},	// KDirOperator::setCurrentItem$
    {15, 644, 112},	// KDirOperator::setCurrentItems#
    {15, 645, 111},	// KDirOperator::setCurrentItems?
    {15, 655, 151},	// KDirOperator::setDecorationPosition$
    {15, 659, 157},	// KDirOperator::setDirLister#
    {15, 665, 146},	// KDirOperator::setDropOptions$
    {15, 667, 140},	// KDirOperator::setEnableDirHighlighting$
    {15, 679, 181},	// KDirOperator::setIconsZoom$
    {15, 681, 149},	// KDirOperator::setInlinePreviewShown$
    {15, 683, 154},	// KDirOperator::setIsSaving$
    {15, 693, 102},	// KDirOperator::setMimeFilter?
    {15, 696, 121},	// KDirOperator::setMode$
    {15, 700, 100},	// KDirOperator::setNameFilter$
    {15, 702, 104},	// KDirOperator::setNewFileMenuSupportedMimeTypes?
    {15, 704, 135},	// KDirOperator::setOnlyDoubleClickSelectsFiles$
    {15, 715, 123},	// KDirOperator::setPreviewWidget#
    {15, 727, 97},	// KDirOperator::setShowHiddenFiles$
    {15, 731, 116},	// KDirOperator::setSorting$
    {15, 737, 108},	// KDirOperator::setUrl#$
    {15, 741, 113},	// KDirOperator::setView#
    {15, 742, 115},	// KDirOperator::setView$
    {15, 744, 131},	// KDirOperator::setViewConfig#
    {15, 746, 160},	// KDirOperator::setupActions
    {15, 749, 163},	// KDirOperator::setupMenu
    {15, 750, 144},	// KDirOperator::setupMenu$
    {15, 756, 98},	// KDirOperator::showHiddenFiles
    {15, 765, 194},	// KDirOperator::slotCompletionMatch$
    {15, 768, 189},	// KDirOperator::sortByDate
    {15, 769, 187},	// KDirOperator::sortByName
    {15, 770, 188},	// KDirOperator::sortBySize
    {15, 771, 190},	// KDirOperator::sortByType
    {15, 773, 191},	// KDirOperator::sortReversed
    {15, 774, 117},	// KDirOperator::sorting
    {15, 778, 216},	// KDirOperator::staticMetaObject
    {15, 792, 192},	// KDirOperator::toggleDirsFirst
    {15, 793, 193},	// KDirOperator::toggleIgnoreCase
    {15, 796, 206},	// KDirOperator::tr$
    {15, 797, 91},	// KDirOperator::tr$$
    {15, 798, 93},	// KDirOperator::tr$$$
    {15, 800, 207},	// KDirOperator::trUtf8$
    {15, 801, 92},	// KDirOperator::trUtf8$$
    {15, 802, 94},	// KDirOperator::trUtf8$$$
    {15, 804, 214},	// KDirOperator::trash##
    {15, 805, 215},	// KDirOperator::trash##$
    {15, 806, 147},	// KDirOperator::trash##$$
    {15, 807, 180},	// KDirOperator::trashSelected
    {15, 809, 173},	// KDirOperator::updateDir
    {15, 815, 196},	// KDirOperator::updateInformation$$
    {15, 817, 177},	// KDirOperator::updateSelectionDependentActions
    {15, 818, 161},	// KDirOperator::updateSortActions
    {15, 819, 162},	// KDirOperator::updateViewActions
    {15, 820, 107},	// KDirOperator::url
    {15, 828, 195},	// KDirOperator::urlEntered#
    {15, 836, 114},	// KDirOperator::view
    {15, 838, 199},	// KDirOperator::viewChanged#
    {15, 839, 132},	// KDirOperator::viewConfigGroup
    {15, 849, 134},	// KDirOperator::writeConfig#
    {15, 852, 222},	// KDirOperator::~KDirOperator
    {16, 75, 241},	// KDirSelectDialog::KDirSelectDialog
    {16, 76, 242},	// KDirSelectDialog::KDirSelectDialog#
    {16, 77, 243},	// KDirSelectDialog::KDirSelectDialog#$
    {16, 78, 230},	// KDirSelectDialog::KDirSelectDialog#$#
    {16, 217, 237},	// KDirSelectDialog::accept
    {16, 369, 238},	// KDirSelectDialog::hideEvent#
    {16, 449, 233},	// KDirSelectDialog::localOnly
    {16, 464, 223},	// KDirSelectDialog::metaObject
    {16, 565, 229},	// KDirSelectDialog::qt_metacall$$?
    {16, 567, 224},	// KDirSelectDialog::qt_metacast$
    {16, 608, 244},	// KDirSelectDialog::selectDirectory
    {16, 609, 245},	// KDirSelectDialog::selectDirectory#
    {16, 610, 246},	// KDirSelectDialog::selectDirectory#$
    {16, 611, 247},	// KDirSelectDialog::selectDirectory#$#
    {16, 612, 234},	// KDirSelectDialog::selectDirectory#$#$
    {16, 647, 236},	// KDirSelectDialog::setCurrentUrl#
    {16, 776, 235},	// KDirSelectDialog::startDir
    {16, 778, 248},	// KDirSelectDialog::staticMetaObject
    {16, 796, 239},	// KDirSelectDialog::tr$
    {16, 797, 225},	// KDirSelectDialog::tr$$
    {16, 798, 227},	// KDirSelectDialog::tr$$$
    {16, 800, 240},	// KDirSelectDialog::trUtf8$
    {16, 801, 226},	// KDirSelectDialog::trUtf8$$
    {16, 802, 228},	// KDirSelectDialog::trUtf8$$$
    {16, 820, 231},	// KDirSelectDialog::url
    {16, 836, 232},	// KDirSelectDialog::view
    {16, 853, 249},	// KDirSelectDialog::~KDirSelectDialog
    {17, 79, 266},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel
    {17, 80, 257},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel#
    {17, 236, 259},	// KDirSortFilterProxyModel::canFetchMore#
    {17, 363, 267},	// KDirSortFilterProxyModel::hasChildren
    {17, 364, 258},	// KDirSortFilterProxyModel::hasChildren#
    {17, 464, 250},	// KDirSortFilterProxyModel::metaObject
    {17, 560, 260},	// KDirSortFilterProxyModel::pointsForPermissions#
    {17, 565, 256},	// KDirSortFilterProxyModel::qt_metacall$$?
    {17, 567, 251},	// KDirSortFilterProxyModel::qt_metacast$
    {17, 729, 261},	// KDirSortFilterProxyModel::setSortFoldersFirst$
    {17, 772, 262},	// KDirSortFilterProxyModel::sortFoldersFirst
    {17, 778, 268},	// KDirSortFilterProxyModel::staticMetaObject
    {17, 781, 263},	// KDirSortFilterProxyModel::subSortLessThan##
    {17, 796, 264},	// KDirSortFilterProxyModel::tr$
    {17, 797, 252},	// KDirSortFilterProxyModel::tr$$
    {17, 798, 254},	// KDirSortFilterProxyModel::tr$$$
    {17, 800, 265},	// KDirSortFilterProxyModel::trUtf8$
    {17, 801, 253},	// KDirSortFilterProxyModel::trUtf8$$
    {17, 802, 255},	// KDirSortFilterProxyModel::trUtf8$$$
    {17, 854, 269},	// KDirSortFilterProxyModel::~KDirSortFilterProxyModel
    {18, 25, 292},	// KFile::Default
    {18, 27, 294},	// KFile::Detail
    {18, 28, 299},	// KFile::DetailTree
    {18, 30, 287},	// KFile::Directory
    {18, 42, 289},	// KFile::ExistingOnly
    {18, 44, 303},	// KFile::Extended
    {18, 46, 286},	// KFile::File
    {18, 48, 300},	// KFile::FileViewMax
    {18, 49, 288},	// KFile::Files
    {18, 82, 284},	// KFile::KFile#
    {18, 120, 290},	// KFile::LocalOnly
    {18, 121, 291},	// KFile::ModeMax
    {18, 133, 302},	// KFile::Multi
    {18, 144, 304},	// KFile::NoSelection
    {18, 158, 296},	// KFile::PreviewContents
    {18, 159, 297},	// KFile::PreviewInfo
    {18, 175, 295},	// KFile::SeparateDirs
    {18, 179, 293},	// KFile::Simple
    {18, 180, 301},	// KFile::Single
    {18, 191, 298},	// KFile::Tree
    {18, 397, 276},	// KFile::isDefaultView$
    {18, 399, 283},	// KFile::isDetailTreeView$
    {18, 401, 278},	// KFile::isDetailView$
    {18, 412, 280},	// KFile::isPreviewContents$
    {18, 414, 281},	// KFile::isPreviewInfo$
    {18, 421, 279},	// KFile::isSeparateDirs$
    {18, 423, 277},	// KFile::isSimpleView$
    {18, 425, 272},	// KFile::isSortByDate#
    {18, 427, 270},	// KFile::isSortByName#
    {18, 429, 271},	// KFile::isSortBySize#
    {18, 431, 273},	// KFile::isSortByType#
    {18, 433, 275},	// KFile::isSortCaseInsensitive#
    {18, 435, 274},	// KFile::isSortDirsFirst#
    {18, 437, 282},	// KFile::isTreeView$
    {18, 778, 285},	// KFile::staticMetaObject
    {18, 855, 305},	// KFile::~KFile
    {19, 83, 327},	// KFileFilterCombo::KFileFilterCombo
    {19, 84, 313},	// KFileFilterCombo::KFileFilterCombo#
    {19, 268, 315},	// KFileFilterCombo::currentFilter
    {19, 281, 320},	// KFileFilterCombo::defaultFilter
    {19, 334, 323},	// KFileFilterCombo::eventFilter##
    {19, 344, 324},	// KFileFilterCombo::filterChanged
    {19, 347, 321},	// KFileFilterCombo::filters
    {19, 409, 322},	// KFileFilterCombo::isMimeFilter
    {19, 464, 306},	// KFileFilterCombo::metaObject
    {19, 565, 312},	// KFileFilterCombo::qt_metacall$$?
    {19, 567, 307},	// KFileFilterCombo::qt_metacast$
    {19, 639, 316},	// KFileFilterCombo::setCurrentFilter$
    {19, 657, 319},	// KFileFilterCombo::setDefaultFilter$
    {19, 671, 314},	// KFileFilterCombo::setFilter$
    {19, 694, 317},	// KFileFilterCombo::setMimeFilter?$
    {19, 758, 318},	// KFileFilterCombo::showsAllTypes
    {19, 778, 328},	// KFileFilterCombo::staticMetaObject
    {19, 796, 325},	// KFileFilterCombo::tr$
    {19, 797, 308},	// KFileFilterCombo::tr$$
    {19, 798, 310},	// KFileFilterCombo::tr$$$
    {19, 800, 326},	// KFileFilterCombo::trUtf8$
    {19, 801, 309},	// KFileFilterCombo::trUtf8$$
    {19, 802, 311},	// KFileFilterCombo::trUtf8$$$
    {19, 856, 329},	// KFileFilterCombo::~KFileFilterCombo
    {22, 18, 385},	// KFilePlacesModel::CapacityBarRecommendedRole
    {22, 51, 384},	// KFilePlacesModel::FixedDeviceRole
    {22, 56, 382},	// KFilePlacesModel::HiddenRole
    {22, 85, 372},	// KFilePlacesModel::KFilePlacesModel
    {22, 86, 337},	// KFilePlacesModel::KFilePlacesModel#
    {22, 176, 383},	// KFilePlacesModel::SetupNeededRole
    {22, 193, 381},	// KFilePlacesModel::UrlRole
    {22, 226, 373},	// KFilePlacesModel::addPlace$#
    {22, 227, 374},	// KFilePlacesModel::addPlace$#$
    {22, 228, 351},	// KFilePlacesModel::addPlace$#$$
    {22, 229, 352},	// KFilePlacesModel::addPlace$#$$#
    {22, 233, 345},	// KFilePlacesModel::bookmarkForIndex#
    {22, 250, 362},	// KFilePlacesModel::closestItem#
    {22, 251, 379},	// KFilePlacesModel::columnCount
    {22, 252, 361},	// KFilePlacesModel::columnCount#
    {22, 277, 357},	// KFilePlacesModel::data#$
    {22, 290, 344},	// KFilePlacesModel::deviceForIndex#
    {22, 313, 367},	// KFilePlacesModel::dropMimeData#$$$#
    {22, 318, 375},	// KFilePlacesModel::editPlace#$#
    {22, 319, 376},	// KFilePlacesModel::editPlace#$#$
    {22, 320, 353},	// KFilePlacesModel::editPlace#$#$$
    {22, 326, 347},	// KFilePlacesModel::ejectActionForIndex#
    {22, 331, 368},	// KFilePlacesModel::errorMessage$
    {22, 350, 364},	// KFilePlacesModel::flags#
    {22, 367, 356},	// KFilePlacesModel::hiddenCount
    {22, 384, 340},	// KFilePlacesModel::icon#
    {22, 387, 377},	// KFilePlacesModel::index$$
    {22, 388, 358},	// KFilePlacesModel::index$$#
    {22, 403, 343},	// KFilePlacesModel::isDevice#
    {22, 406, 342},	// KFilePlacesModel::isHidden#
    {22, 464, 330},	// KFilePlacesModel::metaObject
    {22, 467, 366},	// KFilePlacesModel::mimeData?
    {22, 469, 365},	// KFilePlacesModel::mimeTypes
    {22, 557, 359},	// KFilePlacesModel::parent#
    {22, 565, 336},	// KFilePlacesModel::qt_metacall$$?
    {22, 567, 331},	// KFilePlacesModel::qt_metacast$
    {22, 573, 354},	// KFilePlacesModel::removePlace#
    {22, 577, 349},	// KFilePlacesModel::requestEject#
    {22, 579, 350},	// KFilePlacesModel::requestSetup#
    {22, 581, 348},	// KFilePlacesModel::requestTeardown#
    {22, 590, 378},	// KFilePlacesModel::rowCount
    {22, 591, 360},	// KFilePlacesModel::rowCount#
    {22, 708, 355},	// KFilePlacesModel::setPlaceHidden#$
    {22, 748, 369},	// KFilePlacesModel::setupDone#$
    {22, 752, 339},	// KFilePlacesModel::setupNeeded#
    {22, 778, 380},	// KFilePlacesModel::staticMetaObject
    {22, 783, 363},	// KFilePlacesModel::supportedDropActions
    {22, 788, 346},	// KFilePlacesModel::teardownActionForIndex#
    {22, 790, 341},	// KFilePlacesModel::text#
    {22, 796, 370},	// KFilePlacesModel::tr$
    {22, 797, 332},	// KFilePlacesModel::tr$$
    {22, 798, 334},	// KFilePlacesModel::tr$$$
    {22, 800, 371},	// KFilePlacesModel::trUtf8$
    {22, 801, 333},	// KFilePlacesModel::trUtf8$$
    {22, 802, 335},	// KFilePlacesModel::trUtf8$$$
    {22, 821, 338},	// KFilePlacesModel::url#
    {22, 857, 386},	// KFilePlacesModel::~KFilePlacesModel
    {23, 87, 419},	// KFilePlacesView::KFilePlacesView
    {23, 88, 394},	// KFilePlacesView::KFilePlacesView#
    {23, 262, 404},	// KFilePlacesView::contextMenuEvent#
    {23, 279, 414},	// KFilePlacesView::dataChanged##
    {23, 303, 408},	// KFilePlacesView::dragEnterEvent#
    {23, 305, 409},	// KFilePlacesView::dragLeaveEvent#
    {23, 307, 410},	// KFilePlacesView::dragMoveEvent#
    {23, 311, 411},	// KFilePlacesView::dropEvent#
    {23, 369, 407},	// KFilePlacesView::hideEvent#
    {23, 395, 398},	// KFilePlacesView::isAutoResizeItemsEnabled
    {23, 404, 396},	// KFilePlacesView::isDropOnPlaceEnabled
    {23, 442, 403},	// KFilePlacesView::keyPressEvent#
    {23, 464, 387},	// KFilePlacesView::metaObject
    {23, 554, 412},	// KFilePlacesView::paintEvent#
    {23, 565, 393},	// KFilePlacesView::qt_metacall$$?
    {23, 567, 388},	// KFilePlacesView::qt_metacast$
    {23, 586, 405},	// KFilePlacesView::resizeEvent#
    {23, 594, 413},	// KFilePlacesView::rowsInserted#$$
    {23, 629, 397},	// KFilePlacesView::setAutoResizeItemsEnabled$
    {23, 663, 395},	// KFilePlacesView::setDropOnPlaceEnabled$
    {23, 698, 402},	// KFilePlacesView::setModel#
    {23, 723, 400},	// KFilePlacesView::setShowAll$
    {23, 736, 399},	// KFilePlacesView::setUrl#
    {23, 754, 406},	// KFilePlacesView::showEvent#
    {23, 759, 401},	// KFilePlacesView::sizeHint
    {23, 778, 420},	// KFilePlacesView::staticMetaObject
    {23, 796, 417},	// KFilePlacesView::tr$
    {23, 797, 389},	// KFilePlacesView::tr$$
    {23, 798, 391},	// KFilePlacesView::tr$$$
    {23, 800, 418},	// KFilePlacesView::trUtf8$
    {23, 801, 390},	// KFilePlacesView::trUtf8$$
    {23, 802, 392},	// KFilePlacesView::trUtf8$$$
    {23, 826, 415},	// KFilePlacesView::urlChanged#
    {23, 831, 416},	// KFilePlacesView::urlsDropped###
    {23, 858, 421},	// KFilePlacesView::~KFilePlacesView
    {24, 90, 429},	// KFilePreviewGenerator::KFilePreviewGenerator#
    {24, 91, 430},	// KFilePreviewGenerator::KFilePreviewGenerator##
    {24, 238, 435},	// KFilePreviewGenerator::cancelPreviews
    {24, 328, 437},	// KFilePreviewGenerator::enabledPlugins
    {24, 415, 432},	// KFilePreviewGenerator::isPreviewShown
    {24, 464, 422},	// KFilePreviewGenerator::metaObject
    {24, 565, 428},	// KFilePreviewGenerator::qt_metacall$$?
    {24, 567, 423},	// KFilePreviewGenerator::qt_metacast$
    {24, 669, 436},	// KFilePreviewGenerator::setEnabledPlugins?
    {24, 713, 431},	// KFilePreviewGenerator::setPreviewShown$
    {24, 778, 440},	// KFilePreviewGenerator::staticMetaObject
    {24, 796, 438},	// KFilePreviewGenerator::tr$
    {24, 797, 424},	// KFilePreviewGenerator::tr$$
    {24, 798, 426},	// KFilePreviewGenerator::tr$$$
    {24, 800, 439},	// KFilePreviewGenerator::trUtf8$
    {24, 801, 425},	// KFilePreviewGenerator::trUtf8$$
    {24, 802, 427},	// KFilePreviewGenerator::trUtf8$$$
    {24, 813, 434},	// KFilePreviewGenerator::updateIcons
    {24, 816, 433},	// KFilePreviewGenerator::updatePreviews
    {24, 859, 441},	// KFilePreviewGenerator::~KFilePreviewGenerator
    {25, 92, 464},	// KFileTreeView::KFileTreeView
    {25, 93, 449},	// KFileTreeView::KFileTreeView#
    {25, 222, 459},	// KFileTreeView::activated#
    {25, 262, 461},	// KFileTreeView::contextMenuEvent#
    {25, 267, 460},	// KFileTreeView::currentChanged#
    {25, 273, 450},	// KFileTreeView::currentUrl
    {25, 464, 442},	// KFileTreeView::metaObject
    {25, 565, 448},	// KFileTreeView::qt_metacall$$?
    {25, 567, 443},	// KFileTreeView::qt_metacast$
    {25, 589, 453},	// KFileTreeView::rootUrl
    {25, 619, 451},	// KFileTreeView::selectedUrl
    {25, 620, 452},	// KFileTreeView::selectedUrls
    {25, 647, 457},	// KFileTreeView::setCurrentUrl#
    {25, 661, 455},	// KFileTreeView::setDirOnlyMode$
    {25, 718, 458},	// KFileTreeView::setRootUrl#
    {25, 727, 456},	// KFileTreeView::setShowHiddenFiles$
    {25, 756, 454},	// KFileTreeView::showHiddenFiles
    {25, 778, 465},	// KFileTreeView::staticMetaObject
    {25, 796, 462},	// KFileTreeView::tr$
    {25, 797, 444},	// KFileTreeView::tr$$
    {25, 798, 446},	// KFileTreeView::tr$$$
    {25, 800, 463},	// KFileTreeView::trUtf8$
    {25, 801, 445},	// KFileTreeView::trUtf8$$
    {25, 802, 447},	// KFileTreeView::trUtf8$$$
    {25, 860, 466},	// KFileTreeView::~KFileTreeView
    {26, 95, 474},	// KFileWidget::KFileWidget##
    {26, 217, 509},	// KFileWidget::accept
    {26, 218, 520},	// KFileWidget::accepted
    {26, 219, 501},	// KFileWidget::actionCollection
    {26, 231, 477},	// KFileWidget::baseUrl
    {26, 237, 498},	// KFileWidget::cancelButton
    {26, 244, 491},	// KFileWidget::clearFilter
    {26, 268, 487},	// KFileWidget::currentFilter
    {26, 269, 488},	// KFileWidget::currentFilterMimeType
    {26, 272, 490},	// KFileWidget::currentMimeFilter
    {26, 298, 521},	// KFileWidget::dirOperator
    {26, 334, 513},	// KFileWidget::eventFilter##
    {26, 337, 516},	// KFileWidget::fileHighlighted#
    {26, 338, 517},	// KFileWidget::fileHighlighted$
    {26, 340, 514},	// KFileWidget::fileSelected#
    {26, 341, 515},	// KFileWidget::fileSelected$
    {26, 345, 519},	// KFileWidget::filterChanged$
    {26, 346, 500},	// KFileWidget::filterWidget
    {26, 357, 502},	// KFileWidget::getStartUrl#$
    {26, 358, 503},	// KFileWidget::getStartUrl#$$
    {26, 440, 485},	// KFileWidget::keepsLocation
    {26, 450, 499},	// KFileWidget::locationEdit
    {26, 464, 467},	// KFileWidget::metaObject
    {26, 474, 494},	// KFileWidget::mode
    {26, 486, 497},	// KFileWidget::okButton
    {26, 488, 483},	// KFileWidget::operationMode
    {26, 565, 473},	// KFileWidget::qt_metacall$$?
    {26, 567, 468},	// KFileWidget::qt_metacast$
    {26, 569, 522},	// KFileWidget::readConfig#
    {26, 586, 511},	// KFileWidget::resizeEvent#
    {26, 615, 478},	// KFileWidget::selectedFile
    {26, 616, 479},	// KFileWidget::selectedFiles
    {26, 619, 475},	// KFileWidget::selectedUrl
    {26, 620, 476},	// KFileWidget::selectedUrls
    {26, 621, 518},	// KFileWidget::selectionChanged
    {26, 651, 505},	// KFileWidget::setCustomWidget#
    {26, 652, 506},	// KFileWidget::setCustomWidget$#
    {26, 671, 486},	// KFileWidget::setFilter$
    {26, 686, 484},	// KFileWidget::setKeepLocation$
    {26, 689, 495},	// KFileWidget::setLocationLabel$
    {26, 693, 526},	// KFileWidget::setMimeFilter?
    {26, 694, 489},	// KFileWidget::setMimeFilter?$
    {26, 696, 493},	// KFileWidget::setMode$
    {26, 706, 482},	// KFileWidget::setOperationMode$
    {26, 715, 492},	// KFileWidget::setPreviewWidget#
    {26, 720, 481},	// KFileWidget::setSelection$
    {26, 734, 504},	// KFileWidget::setStartDir#
    {26, 736, 525},	// KFileWidget::setUrl#
    {26, 737, 480},	// KFileWidget::setUrl#$
    {26, 754, 512},	// KFileWidget::showEvent#
    {26, 763, 510},	// KFileWidget::slotCancel
    {26, 766, 508},	// KFileWidget::slotOk
    {26, 778, 527},	// KFileWidget::staticMetaObject
    {26, 794, 496},	// KFileWidget::toolBar
    {26, 796, 523},	// KFileWidget::tr$
    {26, 797, 469},	// KFileWidget::tr$$
    {26, 798, 471},	// KFileWidget::tr$$$
    {26, 800, 524},	// KFileWidget::trUtf8$
    {26, 801, 470},	// KFileWidget::trUtf8$$
    {26, 802, 472},	// KFileWidget::trUtf8$$$
    {26, 843, 507},	// KFileWidget::virtual_hook$$
    {26, 861, 528},	// KFileWidget::~KFileWidget
    {39, 115, 589},	// KUrlNavigator::KUrlNavigator
    {39, 116, 536},	// KUrlNavigator::KUrlNavigator#
    {39, 117, 537},	// KUrlNavigator::KUrlNavigator###
    {39, 221, 573},	// KUrlNavigator::activated
    {39, 275, 560},	// KUrlNavigator::customProtocols
    {39, 322, 576},	// KUrlNavigator::editableStateChanged$
    {39, 323, 558},	// KUrlNavigator::editor
    {39, 334, 586},	// KUrlNavigator::eventFilter##
    {39, 359, 541},	// KUrlNavigator::goBack
    {39, 360, 542},	// KUrlNavigator::goForward
    {39, 361, 544},	// KUrlNavigator::goHome
    {39, 362, 543},	// KUrlNavigator::goUp
    {39, 373, 577},	// KUrlNavigator::historyChanged
    {39, 374, 557},	// KUrlNavigator::historyIndex
    {39, 375, 556},	// KUrlNavigator::historySize
    {39, 377, 563},	// KUrlNavigator::historyUrl$
    {39, 379, 546},	// KUrlNavigator::homeUrl
    {39, 394, 552},	// KUrlNavigator::isActive
    {39, 410, 554},	// KUrlNavigator::isPlacesSelectorVisible
    {39, 438, 548},	// KUrlNavigator::isUrlEditable
    {39, 442, 582},	// KUrlNavigator::keyPressEvent#
    {39, 444, 583},	// KUrlNavigator::keyReleaseEvent#
    {39, 451, 591},	// KUrlNavigator::locationState
    {39, 452, 540},	// KUrlNavigator::locationState$
    {39, 453, 590},	// KUrlNavigator::locationUrl
    {39, 454, 538},	// KUrlNavigator::locationUrl$
    {39, 464, 529},	// KUrlNavigator::metaObject
    {39, 479, 584},	// KUrlNavigator::mouseReleaseEvent#
    {39, 565, 535},	// KUrlNavigator::qt_metacall$$?
    {39, 567, 530},	// KUrlNavigator::qt_metacast$
    {39, 575, 568},	// KUrlNavigator::requestActivation
    {39, 586, 585},	// KUrlNavigator::resizeEvent#
    {39, 587, 579},	// KUrlNavigator::returnPressed
    {39, 596, 539},	// KUrlNavigator::saveLocationState#
    {39, 598, 572},	// KUrlNavigator::savePosition$$
    {39, 600, 571},	// KUrlNavigator::saveRootUrl#
    {39, 601, 565},	// KUrlNavigator::savedPosition
    {39, 602, 564},	// KUrlNavigator::savedRootUrl
    {39, 626, 551},	// KUrlNavigator::setActive$
    {39, 649, 559},	// KUrlNavigator::setCustomProtocols?
    {39, 672, 569},	// KUrlNavigator::setFocus
    {39, 676, 545},	// KUrlNavigator::setHomeUrl#
    {39, 677, 566},	// KUrlNavigator::setHomeUrl$
    {39, 691, 567},	// KUrlNavigator::setLocationUrl#
    {39, 710, 553},	// KUrlNavigator::setPlacesSelectorVisible$
    {39, 725, 549},	// KUrlNavigator::setShowFullPath$
    {39, 736, 570},	// KUrlNavigator::setUrl#
    {39, 739, 547},	// KUrlNavigator::setUrlEditable$
    {39, 755, 550},	// KUrlNavigator::showFullPath
    {39, 778, 592},	// KUrlNavigator::staticMetaObject
    {39, 785, 580},	// KUrlNavigator::tabRequested#
    {39, 796, 587},	// KUrlNavigator::tr$
    {39, 797, 531},	// KUrlNavigator::tr$$
    {39, 798, 533},	// KUrlNavigator::tr$$$
    {39, 800, 588},	// KUrlNavigator::trUtf8$
    {39, 801, 532},	// KUrlNavigator::trUtf8$$
    {39, 802, 534},	// KUrlNavigator::trUtf8$$$
    {39, 808, 555},	// KUrlNavigator::uncommittedUrl
    {39, 820, 561},	// KUrlNavigator::url
    {39, 822, 562},	// KUrlNavigator::url$
    {39, 824, 575},	// KUrlNavigator::urlAboutToBeChanged#
    {39, 826, 574},	// KUrlNavigator::urlChanged#
    {39, 830, 578},	// KUrlNavigator::urlsDropped##
    {39, 832, 581},	// KUrlNavigator::urlsDropped?#
    {39, 862, 593},	// KUrlNavigator::~KUrlNavigator
    {76, 57, 1160},	// QGlobalSpace::ITIMER_PROF
    {76, 58, 1158},	// QGlobalSpace::ITIMER_REAL
    {76, 59, 1159},	// QGlobalSpace::ITIMER_VIRTUAL
    {76, 96, 1184},	// QGlobalSpace::KST_CTimeInfo
    {76, 97, 1177},	// QGlobalSpace::KST_KCustom
    {76, 98, 1171},	// QGlobalSpace::KST_KDEDesktopMimeType
    {76, 99, 1170},	// QGlobalSpace::KST_KFolderMimeType
    {76, 100, 1181},	// QGlobalSpace::KST_KImageIO
    {76, 101, 1174},	// QGlobalSpace::KST_KImageIOFormat
    {76, 102, 1169},	// QGlobalSpace::KST_KMimeType
    {76, 103, 1172},	// QGlobalSpace::KST_KMimeTypeEntry
    {76, 104, 1183},	// QGlobalSpace::KST_KMimeTypeFactory
    {76, 105, 1175},	// QGlobalSpace::KST_KProtocolInfo
    {76, 106, 1182},	// QGlobalSpace::KST_KProtocolInfoFactory
    {76, 107, 1167},	// QGlobalSpace::KST_KService
    {76, 108, 1178},	// QGlobalSpace::KST_KServiceFactory
    {76, 109, 1173},	// QGlobalSpace::KST_KServiceGroup
    {76, 110, 1180},	// QGlobalSpace::KST_KServiceGroupFactory
    {76, 111, 1176},	// QGlobalSpace::KST_KServiceSeparator
    {76, 112, 1168},	// QGlobalSpace::KST_KServiceType
    {76, 113, 1179},	// QGlobalSpace::KST_KServiceTypeFactory
    {76, 114, 1166},	// QGlobalSpace::KST_KSycocaEntry
    {76, 160, 1163},	// QGlobalSpace::QtCriticalMsg
    {76, 161, 1161},	// QGlobalSpace::QtDebugMsg
    {76, 162, 1164},	// QGlobalSpace::QtFatalMsg
    {76, 163, 1165},	// QGlobalSpace::QtSystemMsg
    {76, 164, 1162},	// QGlobalSpace::QtWarningMsg
    {76, 201, 1157},	// QGlobalSpace::_ISalnum
    {76, 202, 1148},	// QGlobalSpace::_ISalpha
    {76, 203, 1154},	// QGlobalSpace::_ISblank
    {76, 204, 1155},	// QGlobalSpace::_IScntrl
    {76, 205, 1149},	// QGlobalSpace::_ISdigit
    {76, 206, 1153},	// QGlobalSpace::_ISgraph
    {76, 207, 1147},	// QGlobalSpace::_ISlower
    {76, 208, 1152},	// QGlobalSpace::_ISprint
    {76, 209, 1156},	// QGlobalSpace::_ISpunct
    {76, 210, 1151},	// QGlobalSpace::_ISspace
    {76, 211, 1146},	// QGlobalSpace::_ISupper
    {76, 212, 1150},	// QGlobalSpace::_ISxdigit
    {76, 213, 1187},	// QGlobalSpace::__codecvt_error
    {76, 214, 1188},	// QGlobalSpace::__codecvt_noconv
    {76, 215, 1185},	// QGlobalSpace::__codecvt_ok
    {76, 216, 1186},	// QGlobalSpace::__codecvt_partial
    {76, 490, -1},	// QGlobalSpace::operator!=##
    {76, 491, -20},	// QGlobalSpace::operator!=#$
    {76, 492, -26},	// QGlobalSpace::operator!=$#
    {76, 493, 817},	// QGlobalSpace::operator!=$$
    {76, 495, 916},	// QGlobalSpace::operator&##
    {76, 497, -33},	// QGlobalSpace::operator*##
    {76, 498, -50},	// QGlobalSpace::operator*#$
    {76, 499, -56},	// QGlobalSpace::operator*$#
    {76, 501, -61},	// QGlobalSpace::operator+##
    {76, 502, -67},	// QGlobalSpace::operator+#$
    {76, 503, -73},	// QGlobalSpace::operator+$#
    {76, 504, -78},	// QGlobalSpace::operator+$$
    {76, 506, 716},	// QGlobalSpace::operator++$
    {76, 507, 908},	// QGlobalSpace::operator++$$
    {76, 509, -84},	// QGlobalSpace::operator-#
    {76, 510, -87},	// QGlobalSpace::operator-##
    {76, 511, 753},	// QGlobalSpace::operator-#$
    {76, 513, -92},	// QGlobalSpace::operator/#$
    {76, 515, -98},	// QGlobalSpace::operator<##
    {76, 516, 955},	// QGlobalSpace::operator<#$
    {76, 517, -105},	// QGlobalSpace::operator<$#
    {76, 518, 771},	// QGlobalSpace::operator<$$
    {76, 520, -108},	// QGlobalSpace::operator<<##
    {76, 521, -162},	// QGlobalSpace::operator<<#$
    {76, 522, -165},	// QGlobalSpace::operator<<#?
    {76, 524, -169},	// QGlobalSpace::operator<=##
    {76, 525, 801},	// QGlobalSpace::operator<=#$
    {76, 526, -174},	// QGlobalSpace::operator<=$#
    {76, 527, 969},	// QGlobalSpace::operator<=$$
    {76, 529, -177},	// QGlobalSpace::operator==##
    {76, 530, -198},	// QGlobalSpace::operator==#$
    {76, 531, -204},	// QGlobalSpace::operator==$#
    {76, 532, 1126},	// QGlobalSpace::operator==$$
    {76, 534, -211},	// QGlobalSpace::operator>##
    {76, 535, 1137},	// QGlobalSpace::operator>#$
    {76, 536, -216},	// QGlobalSpace::operator>$#
    {76, 537, 888},	// QGlobalSpace::operator>$$
    {76, 539, -219},	// QGlobalSpace::operator>=##
    {76, 540, 712},	// QGlobalSpace::operator>=#$
    {76, 541, -224},	// QGlobalSpace::operator>=$#
    {76, 542, 1133},	// QGlobalSpace::operator>=$$
    {76, 544, -227},	// QGlobalSpace::operator>>##
    {76, 545, -280},	// QGlobalSpace::operator>>#$
    {76, 546, 864},	// QGlobalSpace::operator>>#?
    {76, 548, 804},	// QGlobalSpace::operator^##
    {76, 550, 1048},	// QGlobalSpace::operator|##
    {76, 551, -283},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kfile_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kfile_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kfile_Smoke = new Smoke(
        "kfile",
        __smokekfile::classes, 142,
        __smokekfile::methods, 1330,
        __smokekfile::methodMaps, 639,
        __smokekfile::methodNames, 862,
        __smokekfile::types, 450,
        __smokekfile::inheritanceList,
        __smokekfile::argumentList,
        __smokekfile::ambiguousMethodList,
        __smokekfile::cast );
    initialized = true;
}

void delete_kfile_Smoke() { delete kfile_Smoke; }

}
