#include <qtdbus_includes.h>

#include <smoke.h>
#include <qtdbus_smoke.h>

namespace __smokeqtdbus {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //DBusError
      switch(to) {
        case 1: return (void*)(DBusError*)xptr;
        default: return xptr;
      }
    case 2:   //QBitArray
      switch(to) {
        case 2: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 3:   //QBool
      switch(to) {
        case 3: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 4:   //QByteArray
      switch(to) {
        case 4: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 5:   //QChar
      switch(to) {
        case 5: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 6:   //QChildEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 6: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDBusAbstractAdaptor
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractAdaptor*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)xptr;
        default: return xptr;
      }
    case 9:   //QDBusAbstractInterface
      switch(to) {
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusAbstractInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusAbstractInterface*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterface*)xptr;
        default: return xptr;
      }
    case 10:   //QDBusAbstractInterfaceBase
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusAbstractInterfaceBase*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 16: return (void*)(QDBusInterface*)(QDBusAbstractInterfaceBase*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QDBusAbstractInterfaceBase*)xptr;
        default: return xptr;
      }
    case 11:   //QDBusArgument
      switch(to) {
        case 11: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 12:   //QDBusConnection
      switch(to) {
        case 12: return (void*)(QDBusConnection*)xptr;
        default: return xptr;
      }
    case 13:   //QDBusConnectionInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusConnectionInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusConnectionInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusConnectionInterface*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)xptr;
        default: return xptr;
      }
    case 14:   //QDBusContext
      switch(to) {
        case 14: return (void*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 15:   //QDBusError
      switch(to) {
        case 15: return (void*)(QDBusError*)xptr;
        default: return xptr;
      }
    case 16:   //QDBusInterface
      switch(to) {
        case 9: return (void*)(QDBusAbstractInterface*)(QDBusInterface*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QDBusInterface*)xptr;
        case 41: return (void*)(QObject*)(QDBusInterface*)xptr;
        case 16: return (void*)(QDBusInterface*)xptr;
        default: return xptr;
      }
    case 17:   //QDBusMessage
      switch(to) {
        case 17: return (void*)(QDBusMessage*)xptr;
        default: return xptr;
      }
    case 18:   //QDBusMetaType
      switch(to) {
        case 18: return (void*)(QDBusMetaType*)xptr;
        default: return xptr;
      }
    case 19:   //QDBusPendingCall
      switch(to) {
        case 19: return (void*)(QDBusPendingCall*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QDBusPendingCall*)xptr;
        default: return xptr;
      }
    case 20:   //QDBusPendingCallWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusPendingCallWatcher*)xptr;
        case 19: return (void*)(QDBusPendingCall*)(QDBusPendingCallWatcher*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)xptr;
        default: return xptr;
      }
    case 21:   //QDBusServer
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServer*)xptr;
        case 21: return (void*)(QDBusServer*)xptr;
        default: return xptr;
      }
    case 22:   //QDBusServiceWatcher
      switch(to) {
        case 41: return (void*)(QObject*)(QDBusServiceWatcher*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)xptr;
        default: return xptr;
      }
    case 23:   //QDBusVariant
      switch(to) {
        case 58: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 23: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 24:   //QDataStream
      switch(to) {
        case 24: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 25:   //QDate
      switch(to) {
        case 25: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 26:   //QDateTime
      switch(to) {
        case 26: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 27:   //QDebug
      switch(to) {
        case 27: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 28:   //QDir
      switch(to) {
        case 28: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 29:   //QEasingCurve
      switch(to) {
        case 29: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QEvent
      switch(to) {
        case 30: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QHashDummyValue
      switch(to) {
        case 32: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 33:   //QIncompatibleFlag
      switch(to) {
        case 33: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 34:   //QLatin1String
      switch(to) {
        case 34: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 35:   //QLine
      switch(to) {
        case 35: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 36:   //QLineF
      switch(to) {
        case 36: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 37:   //QLocale
      switch(to) {
        case 37: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 38:   //QMargins
      switch(to) {
        case 38: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 39:   //QMetaObject
      switch(to) {
        case 39: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 40:   //QModelIndex
      switch(to) {
        case 40: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 41:   //QObject
      switch(to) {
        case 41: return (void*)(QObject*)xptr;
        case 8: return (void*)(QDBusAbstractAdaptor*)(QObject*)xptr;
        case 9: return (void*)(QDBusAbstractInterface*)(QObject*)xptr;
        case 20: return (void*)(QDBusPendingCallWatcher*)(QObject*)xptr;
        case 10: return (void*)(QDBusAbstractInterfaceBase*)(QObject*)xptr;
        case 22: return (void*)(QDBusServiceWatcher*)(QObject*)xptr;
        case 16: return (void*)(QDBusInterface*)(QObject*)xptr;
        case 13: return (void*)(QDBusConnectionInterface*)(QObject*)xptr;
        case 21: return (void*)(QDBusServer*)(QObject*)xptr;
        default: return xptr;
      }
    case 42:   //QPersistentModelIndex
      switch(to) {
        case 42: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QSize
      switch(to) {
        case 48: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 49:   //QSizeF
      switch(to) {
        case 49: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 50:   //QString::Null
      switch(to) {
        case 50: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 51:   //QStringRef
      switch(to) {
        case 51: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 30: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QUrl
      switch(to) {
        case 56: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 57:   //QUuid
      switch(to) {
        case 57: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 58:   //QVariant
      switch(to) {
        case 58: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 59:   //QVariantComparisonHelper
      switch(to) {
        case 59: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    41, 0,	// 1: QObject
    10, 0,	// 3: QDBusAbstractInterfaceBase
    9, 0,	// 5: QDBusAbstractInterface
    41, 19, 0,	// 7: QObject, QDBusPendingCall
};

// These are the xenum functions for manipulating enum pointers
void xenum_QDBusConnection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusConnectionInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBus(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusArgument(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusServiceWatcher(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusMessage(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDBus(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractAdaptor(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusAbstractInterfaceBase(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusArgument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusConnectionInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusError(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMessage(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusMetaType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCall(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusPendingCallWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QDBusServiceWatcher(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "DBusError", true, 0, 0, 0, 0, 0 },	//1
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//2
    { "QBool", true, 0, 0, 0, 0, 0 },	//3
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//4
    { "QChar", true, 0, 0, 0, 0, 0 },	//5
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//6
    { "QDBus", false, 0, xcall_QDBus, xenum_QDBus, Smoke::cf_namespace, 0 },	//7
    { "QDBusAbstractAdaptor", false, 1, xcall_QDBusAbstractAdaptor, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractAdaptor) },	//8
    { "QDBusAbstractInterface", false, 3, xcall_QDBusAbstractInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterface) },	//9
    { "QDBusAbstractInterfaceBase", false, 1, xcall_QDBusAbstractInterfaceBase, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusAbstractInterfaceBase) },	//10
    { "QDBusArgument", false, 0, xcall_QDBusArgument, xenum_QDBusArgument, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusArgument) },	//11
    { "QDBusConnection", false, 0, xcall_QDBusConnection, xenum_QDBusConnection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusConnection) },	//12
    { "QDBusConnectionInterface", false, 5, xcall_QDBusConnectionInterface, xenum_QDBusConnectionInterface, Smoke::cf_virtual, sizeof(QDBusConnectionInterface) },	//13
    { "QDBusContext", false, 0, xcall_QDBusContext, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusContext) },	//14
    { "QDBusError", false, 0, xcall_QDBusError, xenum_QDBusError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusError) },	//15
    { "QDBusInterface", false, 5, xcall_QDBusInterface, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusInterface) },	//16
    { "QDBusMessage", false, 0, xcall_QDBusMessage, xenum_QDBusMessage, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMessage) },	//17
    { "QDBusMetaType", false, 0, xcall_QDBusMetaType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusMetaType) },	//18
    { "QDBusPendingCall", false, 0, xcall_QDBusPendingCall, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDBusPendingCall) },	//19
    { "QDBusPendingCallWatcher", false, 7, xcall_QDBusPendingCallWatcher, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusPendingCallWatcher) },	//20
    { "QDBusServer", false, 1, xcall_QDBusServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServer) },	//21
    { "QDBusServiceWatcher", false, 1, xcall_QDBusServiceWatcher, xenum_QDBusServiceWatcher, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QDBusServiceWatcher) },	//22
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//23
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//24
    { "QDate", true, 0, 0, 0, 0, 0 },	//25
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//26
    { "QDebug", true, 0, 0, 0, 0, 0 },	//27
    { "QDir", true, 0, 0, 0, 0, 0 },	//28
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//29
    { "QEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//31
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//32
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//33
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//34
    { "QLine", true, 0, 0, 0, 0, 0 },	//35
    { "QLineF", true, 0, 0, 0, 0, 0 },	//36
    { "QLocale", true, 0, 0, 0, 0, 0 },	//37
    { "QMargins", true, 0, 0, 0, 0, 0 },	//38
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//39
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//40
    { "QObject", true, 0, 0, 0, 0, 0 },	//41
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QSize", true, 0, 0, 0, 0, 0 },	//48
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//49
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//50
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QUrl", true, 0, 0, 0, 0, 0 },	//56
    { "QUuid", true, 0, 0, 0, 0, 0 },	//57
    { "QVariant", true, 0, 0, 0, 0, 0 },	//58
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//59
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 2, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 2, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 3, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 4, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 4, Smoke::t_class|Smoke::tf_ref },	//6
    { "QChar", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "QChar&", 5, Smoke::t_class|Smoke::tf_ref },	//8
    { "QChildEvent*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QDBus::CallMode", 7, Smoke::t_enum|Smoke::tf_stack },	//10
    { "QDBusAbstractAdaptor*", 8, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QDBusAbstractInterface*", 9, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref },	//13
    { "QDBusArgument*", 11, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDBusArgument::ElementType", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDBusConnection", 12, Smoke::t_class|Smoke::tf_stack },	//16
    { "QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref },	//17
    { "QDBusConnection*", 12, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDBusConnection::BusType", 12, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDBusConnection::RegisterOption", 12, Smoke::t_enum|Smoke::tf_stack },	//20
    { "QDBusConnection::UnregisterMode", 12, Smoke::t_enum|Smoke::tf_stack },	//21
    { "QDBusConnectionInterface*", 13, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDBusConnectionInterface::RegisterServiceReply", 13, Smoke::t_enum|Smoke::tf_stack },	//23
    { "QDBusConnectionInterface::ServiceQueueOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//24
    { "QDBusConnectionInterface::ServiceReplacementOptions", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDBusContext*", 14, Smoke::t_class|Smoke::tf_ptr },	//26
    { "QDBusError", 15, Smoke::t_class|Smoke::tf_stack },	//27
    { "QDBusError&", 15, Smoke::t_class|Smoke::tf_ref },	//28
    { "QDBusError*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QDBusError::ErrorType", 15, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QDBusInterface*", 16, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDBusMessage", 17, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDBusMessage*", 17, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDBusMessage::MessageType", 17, Smoke::t_enum|Smoke::tf_stack },	//35
    { "QDBusMetaType*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref },	//37
    { "QDBusPendingCall", 19, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDBusPendingCall*", 19, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDBusPendingCallWatcher*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QDBusReply<QDBusConnectionInterface::RegisterServiceReply>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "QDBusReply<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//43
    { "QDBusReply<QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//44
    { "QDBusReply<bool>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "QDBusReply<uint>", 0, Smoke::t_voidp|Smoke::tf_stack },	//46
    { "QDBusReply<void>", 0, Smoke::t_voidp|Smoke::tf_stack },	//47
    { "QDBusServer*", 21, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QDBusServiceWatcher*", 22, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDBusServiceWatcher::WatchModeFlag", 22, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref },	//51
    { "QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDataStream&", 24, Smoke::t_class|Smoke::tf_ref },	//53
    { "QDate&", 25, Smoke::t_class|Smoke::tf_ref },	//54
    { "QDateTime&", 26, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDebug", 27, Smoke::t_class|Smoke::tf_stack },	//56
    { "QDir::Filter", 28, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDir::SortFlag", 28, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref },	//60
    { "QEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//66
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//67
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//68
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//69
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//70
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "QIncompatibleFlag", 33, Smoke::t_class|Smoke::tf_stack },	//96
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QLine&", 35, Smoke::t_class|Smoke::tf_ref },	//98
    { "QLineF&", 36, Smoke::t_class|Smoke::tf_ref },	//99
    { "QList<QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//101
    { "QLocale&", 37, Smoke::t_class|Smoke::tf_ref },	//102
    { "QLocale::NumberOption", 37, Smoke::t_enum|Smoke::tf_stack },	//103
    { "QMetaObject::Call", 39, Smoke::t_enum|Smoke::tf_stack },	//104
    { "QObject*", 41, Smoke::t_class|Smoke::tf_ptr },	//105
    { "QObject*(*)()", 41, Smoke::t_class|Smoke::tf_ptr },	//106
    { "QPoint&", 43, Smoke::t_class|Smoke::tf_ref },	//107
    { "QPointF&", 44, Smoke::t_class|Smoke::tf_ref },	//108
    { "QRect&", 45, Smoke::t_class|Smoke::tf_ref },	//109
    { "QRectF&", 46, Smoke::t_class|Smoke::tf_ref },	//110
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//111
    { "QSize&", 48, Smoke::t_class|Smoke::tf_ref },	//112
    { "QSizeF&", 49, Smoke::t_class|Smoke::tf_ref },	//113
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//115
    { "QString::Null", 50, Smoke::t_class|Smoke::tf_stack },	//116
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//118
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//119
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//120
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//122
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//123
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//124
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//125
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//126
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//127
    { "QUrl&", 56, Smoke::t_class|Smoke::tf_ref },	//128
    { "QUrl::FormattingOption", 56, Smoke::t_enum|Smoke::tf_stack },	//129
    { "QUuid&", 57, Smoke::t_class|Smoke::tf_ref },	//130
    { "QVariant", 58, Smoke::t_class|Smoke::tf_stack },	//131
    { "QVariant&", 58, Smoke::t_class|Smoke::tf_ref },	//132
    { "QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack },	//133
    { "QVariant::Type&", 58, Smoke::t_enum|Smoke::tf_ref },	//134
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QtMsgType", 31, Smoke::t_enum|Smoke::tf_stack },	//208
    { "__codecvt_result", 31, Smoke::t_enum|Smoke::tf_stack },	//209
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//210
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//211
    { "bool&", 0, Smoke::t_voidp|Smoke::tf_ref },	//212
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//213
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "const DBusError*", 1, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//215
    { "const QBitArray&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QByteArray", 4, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//217
    { "const QByteArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QChar&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QDBusArgument&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QDBusConnection&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QDBusContext&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QDBusError&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//223
    { "const QDBusMessage&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//224
    { "const QDBusMetaType&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QDBusObjectPath&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//226
    { "const QDBusPendingCall&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QDBusSignature&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QDBusVariant&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QDate&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QDateTime&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QDir&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//232
    { "const QEasingCurve&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QHashDummyValue&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//234
    { "const QLatin1String&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const QLine&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//236
    { "const QLineF&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//237
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const QLocale&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//240
    { "const QMargins&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QMetaObject&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QMetaObject*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//243
    { "const QModelIndex&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QObject*", 41, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//245
    { "const QPersistentModelIndex&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QPoint", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//247
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QPointF", 44, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//249
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QRegExp*", 47, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//254
    { "const QSize", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//255
    { "const QSize&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QSizeF", 49, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//257
    { "const QSizeF&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//259
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//262
    { "const QStringRef&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QUrl&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QUuid&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QVariant&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QVariant::Type", 58, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//268
    { "const QVariantComparisonHelper&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//270
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//271
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//273
    { "double&", 0, Smoke::t_voidp|Smoke::tf_ref },	//274
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//275
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//276
    { "int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//277
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//278
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//279
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//280
    { "long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//281
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//282
    { "short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//283
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//284
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//285
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//286
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//287
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//288
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//289
    { "unsigned int&", 0, Smoke::t_voidp|Smoke::tf_ref },	//290
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//291
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//292
    { "unsigned long long&", 0, Smoke::t_voidp|Smoke::tf_ref },	//293
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//294
    { "unsigned short&", 0, Smoke::t_voidp|Smoke::tf_ref },	//295
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//296
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//297
    { "void(*)(QDBusArgument&,const void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//298
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//299
    { "void(*)(const QDBusArgument&,void*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//300
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//301
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//302
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//303
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    270, 0,	//1  const char*
    270, 270, 0,	//3  const char*, const char*
    270, 270, 276, 0,	//6  const char*, const char*, int
    104, 276, 302, 0,	//10  QMetaObject::Call, int, void**
    105, 0,	//14  QObject*
    211, 0,	//16  bool
    260, 267, 267, 267, 267, 267, 267, 267, 267, 0,	//18  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 267, 267, 0,	//28  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 238, 0,	//39  QDBus::CallMode, const QString&, const QList<QVariant>&
    260, 238, 105, 270, 270, 0,	//43  const QString&, const QList<QVariant>&, QObject*, const char*, const char*
    260, 238, 105, 270, 0,	//49  const QString&, const QList<QVariant>&, QObject*, const char*
    260, 238, 0,	//54  const QString&, const QList<QVariant>&
    260, 260, 270, 221, 105, 0,	//57  const QString&, const QString&, const char*, const QDBusConnection&, QObject*
    270, 267, 0,	//63  const char*, const QVariant&
    260, 0,	//66  const QString&
    260, 267, 0,	//68  const QString&, const QVariant&
    260, 267, 267, 0,	//71  const QString&, const QVariant&, const QVariant&
    260, 267, 267, 267, 0,	//75  const QString&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 0,	//80  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 0,	//86  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 267, 0,	//93  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    260, 267, 267, 267, 267, 267, 267, 267, 0,	//101  const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 0,	//110  QDBus::CallMode, const QString&
    10, 260, 267, 0,	//113  QDBus::CallMode, const QString&, const QVariant&
    10, 260, 267, 267, 0,	//117  QDBus::CallMode, const QString&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 0,	//122  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 0,	//128  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 0,	//135  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 0,	//143  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    10, 260, 267, 267, 267, 267, 267, 267, 267, 0,	//152  QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&
    220, 0,	//162  const QDBusArgument&
    286, 0,	//164  unsigned char
    282, 0,	//166  short
    294, 0,	//168  unsigned short
    276, 0,	//170  int
    289, 0,	//172  unsigned int
    280, 0,	//174  long long
    292, 0,	//176  unsigned long long
    273, 0,	//178  double
    229, 0,	//180  const QDBusVariant&
    226, 0,	//182  const QDBusObjectPath&
    228, 0,	//184  const QDBusSignature&
    261, 0,	//186  const QStringList&
    218, 0,	//188  const QByteArray&
    276, 276, 0,	//190  int, int
    267, 0,	//193  const QVariant&
    287, 0,	//195  unsigned char&
    212, 0,	//197  bool&
    283, 0,	//199  short&
    295, 0,	//201  unsigned short&
    277, 0,	//203  int&
    290, 0,	//205  unsigned int&
    281, 0,	//207  long long&
    293, 0,	//209  unsigned long long&
    274, 0,	//211  double&
    115, 0,	//213  QString&
    52, 0,	//215  QDBusVariant&
    37, 0,	//217  QDBusObjectPath&
    51, 0,	//219  QDBusSignature&
    119, 0,	//221  QStringList&
    6, 0,	//223  QByteArray&
    221, 0,	//225  const QDBusConnection&
    224, 0,	//227  const QDBusMessage&
    224, 105, 270, 270, 276, 0,	//229  const QDBusMessage&, QObject*, const char*, const char*, int
    224, 105, 270, 276, 0,	//235  const QDBusMessage&, QObject*, const char*, int
    224, 10, 276, 0,	//240  const QDBusMessage&, QDBus::CallMode, int
    224, 276, 0,	//244  const QDBusMessage&, int
    260, 260, 260, 260, 105, 270, 0,	//247  const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    260, 260, 260, 260, 260, 105, 270, 0,	//254  const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*
    260, 260, 260, 260, 261, 260, 105, 270, 0,	//262  const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*
    260, 105, 65, 0,	//271  const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>
    260, 21, 0,	//275  const QString&, QDBusConnection::UnregisterMode
    19, 260, 0,	//278  QDBusConnection::BusType, const QString&
    260, 260, 0,	//281  const QString&, const QString&
    224, 105, 270, 270, 0,	//284  const QDBusMessage&, QObject*, const char*, const char*
    224, 105, 270, 0,	//289  const QDBusMessage&, QObject*, const char*
    224, 10, 0,	//293  const QDBusMessage&, QDBus::CallMode
    260, 105, 0,	//296  const QString&, QObject*
    260, 24, 25, 0,	//299  const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions
    260, 260, 260, 0,	//303  const QString&, const QString&, const QString&
    223, 224, 0,	//307  const QDBusError&, const QDBusMessage&
    260, 24, 0,	//310  const QString&, QDBusConnectionInterface::ServiceQueueOptions
    30, 260, 0,	//313  QDBusError::ErrorType, const QString&
    222, 0,	//316  const QDBusContext&
    30, 0,	//318  QDBusError::ErrorType
    215, 0,	//320  const DBusError*
    223, 0,	//322  const QDBusError&
    260, 260, 260, 221, 105, 0,	//324  const QString&, const QString&, const QString&, const QDBusConnection&, QObject*
    260, 260, 260, 221, 0,	//330  const QString&, const QString&, const QString&, const QDBusConnection&
    260, 260, 260, 260, 0,	//335  const QString&, const QString&, const QString&, const QString&
    238, 0,	//340  const QList<QVariant>&
    259, 260, 0,	//342  const QString, const QString&
    276, 298, 300, 0,	//345  int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*)
    13, 276, 272, 0,	//349  QDBusArgument&, int, const void*
    220, 276, 301, 0,	//353  const QDBusArgument&, int, void*
    225, 0,	//357  const QDBusMetaType&
    227, 0,	//359  const QDBusPendingCall&
    227, 105, 0,	//361  const QDBusPendingCall&, QObject*
    41, 0,	//364  QDBusPendingCallWatcher*
    260, 221, 66, 105, 0,	//366  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*
    66, 0,	//371  QFlags<QDBusServiceWatcher::WatchModeFlag>
    260, 221, 0,	//373  const QString&, const QDBusConnection&
    260, 221, 66, 0,	//376  const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>
    263, 263, 0,	//380  const QStringRef&, const QStringRef&
    121, 276, 0,	//383  QTextCodec::ConversionFlag, int
    165, 276, 0,	//386  Qt::ImageConversionFlag, int
    270, 289, 0,	//389  const char*, unsigned int
    301, 272, 285, 0,	//392  void*, const void*, size_t
    270, 235, 0,	//396  const char*, const QLatin1String&
    56, 72, 0,	//399  QDebug, QFlags<QIODevice::OpenModeFlag>
    263, 260, 0,	//402  const QStringRef&, const QString&
    256, 256, 0,	//405  const QSize&, const QSize&
    270, 218, 0,	//408  const char*, const QByteArray&
    63, 71, 0,	//411  QFile::Permission, QFlags<QFile::Permission>
    260, 270, 0,	//414  const QString&, const char*
    250, 250, 0,	//417  const QPointF&, const QPointF&
    273, 273, 0,	//420  double, double
    53, 113, 0,	//423  QDataStream&, QSizeF&
    218, 270, 0,	//426  const QByteArray&, const char*
    275, 0,	//429  float
    284, 0,	//431  signed char
    260, 263, 0,	//433  const QString&, const QStringRef&
    7, 0,	//436  QChar
    263, 235, 0,	//438  const QStringRef&, const QLatin1String&
    7, 7, 0,	//441  QChar, QChar
    229, 229, 0,	//444  const QDBusVariant&, const QDBusVariant&
    198, 198, 0,	//447  Qt::TouchPointState, Qt::TouchPointState
    265, 0,	//450  const QUrl&
    13, 237, 0,	//452  QDBusArgument&, const QLineF&
    13, 250, 0,	//455  QDBusArgument&, const QPointF&
    56, 265, 0,	//458  QDebug, const QUrl&
    116, 260, 0,	//461  QString::Null, const QString&
    13, 238, 0,	//464  QDBusArgument&, const QList<QVariant>&
    195, 195, 0,	//467  Qt::ToolBarArea, Qt::ToolBarArea
    103, 103, 0,	//470  QLocale::NumberOption, QLocale::NumberOption
    13, 252, 0,	//473  QDBusArgument&, const QRectF&
    205, 205, 0,	//476  Qt::WindowType, Qt::WindowType
    273, 258, 0,	//479  double, const QSizeF&
    57, 276, 0,	//482  QDir::Filter, int
    248, 248, 0,	//485  const QPoint&, const QPoint&
    220, 99, 0,	//488  const QDBusArgument&, QLineF&
    53, 252, 0,	//491  QDataStream&, const QRectF&
    173, 276, 0,	//494  Qt::KeyboardModifier, int
    192, 90, 0,	//497  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    13, 231, 0,	//500  QDBusArgument&, const QDateTime&
    213, 0,	//503  char
    124, 77, 0,	//505  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    56, 241, 0,	//508  QDebug, const QMargins&
    129, 276, 0,	//511  QUrl::FormattingOption, int
    63, 276, 0,	//514  QFile::Permission, int
    248, 273, 0,	//517  const QPoint&, double
    59, 69, 0,	//520  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    260, 218, 0,	//523  const QString&, const QByteArray&
    258, 258, 0,	//526  const QSizeF&, const QSizeF&
    56, 250, 0,	//529  QDebug, const QPointF&
    173, 86, 0,	//532  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    56, 237, 0,	//535  QDebug, const QLineF&
    56, 231, 0,	//538  QDebug, const QDateTime&
    270, 260, 0,	//541  const char*, const QString&
    129, 129, 0,	//544  QUrl::FormattingOption, QUrl::FormattingOption
    198, 92, 0,	//547  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    165, 165, 0,	//550  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    103, 276, 0,	//553  QLocale::NumberOption, int
    235, 235, 0,	//556  const QLatin1String&, const QLatin1String&
    271, 276, 0,	//559  const unsigned char*, int
    270, 270, 289, 0,	//562  const char*, const char*, unsigned int
    235, 263, 0,	//566  const QLatin1String&, const QStringRef&
    228, 228, 0,	//569  const QDBusSignature&, const QDBusSignature&
    156, 156, 0,	//572  Qt::DropAction, Qt::DropAction
    56, 248, 0,	//575  QDebug, const QPoint&
    53, 102, 0,	//578  QDataStream&, QLocale&
    260, 7, 0,	//581  const QString&, QChar
    116, 116, 0,	//584  QString::Null, QString::Null
    271, 288, 276, 0,	//587  const unsigned char*, unsigned char*, int
    121, 121, 0,	//591  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    180, 180, 0,	//594  Qt::Orientation, Qt::Orientation
    301, 285, 285, 285, 0,	//597  void*, size_t, size_t, size_t
    218, 260, 0,	//602  const QByteArray&, const QString&
    195, 91, 0,	//605  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    251, 251, 0,	//608  const QRect&, const QRect&
    62, 70, 0,	//611  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    216, 216, 0,	//614  const QBitArray&, const QBitArray&
    218, 218, 0,	//617  const QByteArray&, const QByteArray&
    301, 285, 0,	//620  void*, size_t
    53, 239, 0,	//623  QDataStream&, const QLocale&
    56, 233, 0,	//626  QDebug, const QEasingCurve&
    299, 0,	//629  void(*)(QtMsgType,const char*)
    244, 0,	//631  const QModelIndex&
    53, 55, 0,	//633  QDataStream&, QDateTime&
    4, 4, 0,	//636  QBool, QBool
    270, 263, 0,	//639  const char*, const QStringRef&
    195, 276, 0,	//642  Qt::ToolBarArea, int
    56, 224, 0,	//645  QDebug, const QDBusMessage&
    167, 276, 0,	//648  Qt::InputMethodHint, int
    7, 260, 0,	//651  QChar, const QString&
    117, 276, 0,	//654  QString::SectionFlag, int
    97, 276, 0,	//657  QLibrary::LoadHint, int
    53, 128, 0,	//660  QDataStream&, QUrl&
    260, 116, 0,	//663  const QString&, QString::Null
    1, 276, 0,	//666  QAbstractFileEngine::FileFlag, int
    121, 76, 0,	//669  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    260, 213, 0,	//672  const QString&, char
    220, 54, 0,	//675  const QDBusArgument&, QDate&
    167, 84, 0,	//678  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    205, 94, 0,	//681  Qt::WindowType, QFlags<Qt::WindowType>
    13, 264, 0,	//684  QDBusArgument&, const QTime&
    13, 236, 0,	//687  QDBusArgument&, const QLine&
    178, 178, 0,	//690  Qt::MouseButton, Qt::MouseButton
    214, 270, 0,	//693  char*, const char*
    135, 135, 0,	//696  Qt::AlignmentFlag, Qt::AlignmentFlag
    248, 0,	//699  const QPoint&
    156, 276, 0,	//701  Qt::DropAction, int
    53, 264, 0,	//704  QDataStream&, const QTime&
    58, 276, 0,	//707  QDir::SortFlag, int
    241, 241, 0,	//710  const QMargins&, const QMargins&
    50, 66, 0,	//713  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    106, 0,	//716  QObject*(*)()
    176, 176, 0,	//718  Qt::MatchFlag, Qt::MatchFlag
    285, 0,	//721  size_t
    154, 80, 0,	//723  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    53, 119, 0,	//726  QDataStream&, QStringList&
    56, 268, 0,	//729  QDebug, const QVariant::Type
    154, 276, 0,	//732  Qt::DockWidgetArea, int
    278, 0,	//735  long
    13, 251, 0,	//737  QDBusArgument&, const QRect&
    53, 99, 0,	//740  QDataStream&, QLineF&
    63, 63, 0,	//743  QFile::Permission, QFile::Permission
    213, 260, 0,	//746  char, const QString&
    226, 226, 0,	//749  const QDBusObjectPath&, const QDBusObjectPath&
    53, 112, 0,	//752  QDataStream&, QSize&
    246, 0,	//755  const QPersistentModelIndex&
    53, 260, 0,	//757  QDataStream&, const QString&
    53, 231, 0,	//760  QDataStream&, const QDateTime&
    245, 260, 242, 0,	//763  const QObject*, const QString&, const QMetaObject&
    117, 117, 0,	//767  QString::SectionFlag, QString::SectionFlag
    50, 50, 0,	//770  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    250, 273, 0,	//773  const QPointF&, double
    211, 4, 0,	//776  bool, QBool
    214, 270, 289, 0,	//779  char*, const char*, unsigned int
    220, 108, 0,	//783  const QDBusArgument&, QPointF&
    53, 248, 0,	//786  QDataStream&, const QPoint&
    53, 132, 0,	//789  QDataStream&, QVariant&
    178, 276, 0,	//792  Qt::MouseButton, int
    250, 0,	//795  const QPointF&
    20, 65, 0,	//797  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    56, 246, 0,	//800  QDebug, const QPersistentModelIndex&
    270, 270, 270, 276, 0,	//803  const char*, const char*, const char*, int
    224, 28, 132, 0,	//808  const QDBusMessage&, QDBusError&, QVariant&
    180, 89, 0,	//812  Qt::Orientation, QFlags<Qt::Orientation>
    62, 276, 0,	//815  QEventLoop::ProcessEventsFlag, int
    252, 252, 0,	//818  const QRectF&, const QRectF&
    301, 285, 285, 210, 0,	//821  void*, size_t, size_t, __compar_fn_t
    13, 256, 0,	//826  QDBusArgument&, const QSize&
    165, 83, 0,	//829  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    53, 261, 0,	//832  QDataStream&, const QStringList&
    218, 213, 0,	//835  const QByteArray&, char
    59, 59, 0,	//838  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    57, 67, 0,	//841  QDir::Filter, QFlags<QDir::Filter>
    53, 107, 0,	//844  QDataStream&, QPoint&
    56, 223, 0,	//847  QDebug, const QDBusError&
    258, 273, 0,	//850  const QSizeF&, double
    53, 230, 0,	//853  QDataStream&, const QDate&
    297, 0,	//856  void(*)()
    271, 276, 276, 0,	//858  const unsigned char*, int, int
    53, 236, 0,	//862  QDataStream&, const QLine&
    53, 115, 0,	//865  QDataStream&, QString&
    220, 55, 0,	//868  const QDBusArgument&, QDateTime&
    220, 110, 0,	//871  const QDBusArgument&, QRectF&
    301, 0,	//874  void*
    170, 276, 0,	//876  Qt::ItemFlag, int
    56, 232, 0,	//879  QDebug, const QDir&
    122, 123, 0,	//882  QTextStream&, QTextStream&(*)(QTextStream&)
    56, 244, 0,	//885  QDebug, const QModelIndex&
    220, 126, 0,	//888  const QDBusArgument&, QTime&
    62, 62, 0,	//891  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    216, 0,	//894  const QBitArray&
    56, 264, 0,	//896  QDebug, const QTime&
    122, 125, 0,	//899  QTextStream&, QTextStreamManipulator
    161, 82, 0,	//902  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    263, 270, 0,	//905  const QStringRef&, const char*
    20, 20, 0,	//908  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    53, 3, 0,	//911  QDataStream&, QBitArray&
    13, 240, 0,	//914  QDBusArgument&, const QMap<QString,QVariant>&
    285, 285, 0,	//917  size_t, size_t
    220, 107, 0,	//920  const QDBusArgument&, QPoint&
    56, 258, 0,	//923  QDebug, const QSizeF&
    161, 276, 0,	//926  Qt::GestureFlag, int
    213, 218, 0,	//929  char, const QByteArray&
    53, 267, 0,	//932  QDataStream&, const QVariant&
    220, 113, 0,	//935  const QDBusArgument&, QSizeF&
    220, 112, 0,	//938  const QDBusArgument&, QSize&
    56, 267, 0,	//941  QDebug, const QVariant&
    204, 276, 0,	//944  Qt::WindowState, int
    53, 126, 0,	//947  QDataStream&, QTime&
    56, 67, 0,	//950  QDebug, QFlags<QDir::Filter>
    173, 173, 0,	//953  Qt::KeyboardModifier, Qt::KeyboardModifier
    273, 250, 0,	//956  double, const QPointF&
    53, 60, 0,	//959  QDataStream&, QEasingCurve&
    156, 81, 0,	//962  Qt::DropAction, QFlags<Qt::DropAction>
    256, 273, 0,	//965  const QSize&, double
    56, 230, 0,	//968  QDebug, const QDate&
    57, 57, 0,	//971  QDir::Filter, QDir::Filter
    214, 285, 270, 296, 0,	//974  char*, size_t, const char*, va_list
    273, 248, 0,	//979  double, const QPoint&
    301, 276, 285, 0,	//982  void*, int, size_t
    53, 237, 0,	//986  QDataStream&, const QLineF&
    270, 276, 0,	//989  const char*, int
    95, 95, 0,	//992  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    154, 154, 0,	//995  Qt::DockWidgetArea, Qt::DockWidgetArea
    58, 68, 0,	//998  QDir::SortFlag, QFlags<QDir::SortFlag>
    275, 275, 0,	//1001  float, float
    267, 269, 0,	//1004  const QVariant&, const QVariantComparisonHelper&
    97, 97, 0,	//1007  QLibrary::LoadHint, QLibrary::LoadHint
    279, 276, 214, 0,	//1010  long double, int, char*
    59, 276, 0,	//1014  QDirIterator::IteratorFlag, int
    167, 167, 0,	//1017  Qt::InputMethodHint, Qt::InputMethodHint
    220, 109, 0,	//1020  const QDBusArgument&, QRect&
    56, 236, 0,	//1023  QDebug, const QLine&
    192, 192, 0,	//1026  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    198, 276, 0,	//1029  Qt::TouchPointState, int
    218, 276, 0,	//1032  const QByteArray&, int
    129, 78, 0,	//1035  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    192, 276, 0,	//1038  Qt::TextInteractionFlag, int
    204, 204, 0,	//1041  Qt::WindowState, Qt::WindowState
    1, 64, 0,	//1044  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    53, 218, 0,	//1047  QDataStream&, const QByteArray&
    53, 233, 0,	//1050  QDataStream&, const QEasingCurve&
    53, 265, 0,	//1053  QDataStream&, const QUrl&
    56, 251, 0,	//1056  QDebug, const QRect&
    220, 132, 0,	//1059  const QDBusArgument&, QVariant&
    58, 58, 0,	//1062  QDir::SortFlag, QDir::SortFlag
    124, 276, 0,	//1065  QTextStream::NumberFlag, int
    53, 109, 0,	//1068  QDataStream&, QRect&
    53, 256, 0,	//1071  QDataStream&, const QSize&
    53, 219, 0,	//1074  QDataStream&, const QChar&
    135, 276, 0,	//1077  Qt::AlignmentFlag, int
    53, 253, 0,	//1080  QDataStream&, const QRegExp&
    56, 252, 0,	//1083  QDebug, const QRectF&
    220, 98, 0,	//1086  const QDBusArgument&, QLine&
    204, 93, 0,	//1089  Qt::WindowState, QFlags<Qt::WindowState>
    170, 170, 0,	//1092  Qt::ItemFlag, Qt::ItemFlag
    53, 130, 0,	//1095  QDataStream&, QUuid&
    53, 134, 0,	//1098  QDataStream&, QVariant::Type&
    267, 133, 301, 0,	//1101  const QVariant&, QVariant::Type, void*
    13, 230, 0,	//1105  QDBusArgument&, const QDate&
    245, 260, 254, 242, 101, 0,	//1108  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    234, 234, 0,	//1114  const QHashDummyValue&, const QHashDummyValue&
    53, 108, 0,	//1117  QDataStream&, QPointF&
    180, 276, 0,	//1120  Qt::Orientation, int
    161, 161, 0,	//1123  Qt::GestureFlag, Qt::GestureFlag
    95, 72, 0,	//1126  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    20, 276, 0,	//1129  QDBusConnection::RegisterOption, int
    273, 256, 0,	//1132  double, const QSize&
    13, 258, 0,	//1135  QDBusArgument&, const QSizeF&
    4, 211, 0,	//1138  QBool, bool
    53, 98, 0,	//1141  QDataStream&, QLine&
    56, 256, 0,	//1144  QDebug, const QSize&
    124, 124, 0,	//1147  QTextStream::NumberFlag, QTextStream::NumberFlag
    178, 88, 0,	//1150  Qt::MouseButton, QFlags<Qt::MouseButton>
    53, 268, 0,	//1153  QDataStream&, const QVariant::Type
    170, 85, 0,	//1156  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    53, 266, 0,	//1159  QDataStream&, const QUuid&
    97, 73, 0,	//1162  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    205, 276, 0,	//1165  Qt::WindowType, int
    53, 110, 0,	//1168  QDataStream&, QRectF&
    53, 251, 0,	//1171  QDataStream&, const QRect&
    176, 87, 0,	//1174  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    50, 276, 0,	//1177  QDBusServiceWatcher::WatchModeFlag, int
    135, 79, 0,	//1180  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    53, 8, 0,	//1183  QDataStream&, QChar&
    53, 111, 0,	//1186  QDataStream&, QRegExp&
    291, 0,	//1189  unsigned long
    53, 250, 0,	//1191  QDataStream&, const QPointF&
    53, 258, 0,	//1194  QDataStream&, const QSizeF&
    103, 74, 0,	//1197  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    117, 75, 0,	//1200  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//1203  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    208, 270, 0,	//1206  QtMsgType, const char*
    263, 0,	//1209  const QStringRef&
    95, 276, 0,	//1211  QIODevice::OpenModeFlag, int
    53, 6, 0,	//1214  QDataStream&, QByteArray&
    56, 245, 0,	//1217  QDebug, const QObject*
    176, 276, 0,	//1220  Qt::MatchFlag, int
    13, 248, 0,	//1223  QDBusArgument&, const QPoint&
    53, 54, 0,	//1226  QDataStream&, QDate&
    53, 216, 0,	//1229  QDataStream&, const QBitArray&
    61, 0,	//1232  QEvent*
    105, 61, 0,	//1234  QObject*, QEvent*
    127, 0,	//1237  QTimerEvent*
    9, 0,	//1239  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccessDenied",	//1
    "ActivationBus",	//2
    "AddressInUse",	//3
    "AllowReplacement",	//4
    "ArrayType",	//5
    "AutoDetect",	//6
    "BadAddress",	//7
    "BasicType",	//8
    "Block",	//9
    "BlockWithGui",	//10
    "Disconnected",	//11
    "DontAllowReplacement",	//12
    "DontQueueService",	//13
    "ErrorMessage",	//14
    "ExportAdaptors",	//15
    "ExportAllContents",	//16
    "ExportAllInvokables",	//17
    "ExportAllProperties",	//18
    "ExportAllSignal",	//19
    "ExportAllSignals",	//20
    "ExportAllSlots",	//21
    "ExportChildObjects",	//22
    "ExportNonScriptableContents",	//23
    "ExportNonScriptableInvokables",	//24
    "ExportNonScriptableProperties",	//25
    "ExportNonScriptableSignals",	//26
    "ExportNonScriptableSlots",	//27
    "ExportScriptableContents",	//28
    "ExportScriptableInvokables",	//29
    "ExportScriptableProperties",	//30
    "ExportScriptableSignals",	//31
    "ExportScriptableSlots",	//32
    "Failed",	//33
    "InternalError",	//34
    "InvalidArgs",	//35
    "InvalidInterface",	//36
    "InvalidMember",	//37
    "InvalidMessage",	//38
    "InvalidObjectPath",	//39
    "InvalidService",	//40
    "InvalidSignature",	//41
    "LastErrorType",	//42
    "LimitsExceeded",	//43
    "MapEntryType",	//44
    "MapType",	//45
    "MethodCallMessage",	//46
    "NameAcquired",	//47
    "NameAcquired$",	//48
    "NameLost",	//49
    "NameLost$",	//50
    "NameOwnerChanged",	//51
    "NameOwnerChanged$$$",	//52
    "NoBlock",	//53
    "NoError",	//54
    "NoMemory",	//55
    "NoNetwork",	//56
    "NoReply",	//57
    "NoServer",	//58
    "NotSupported",	//59
    "Other",	//60
    "QDBusAbstractAdaptor",	//61
    "QDBusAbstractAdaptor#",	//62
    "QDBusAbstractInterface",	//63
    "QDBusAbstractInterface$$$##",	//64
    "QDBusArgument",	//65
    "QDBusArgument#",	//66
    "QDBusConnection",	//67
    "QDBusConnection#",	//68
    "QDBusConnection$",	//69
    "QDBusContext",	//70
    "QDBusContext#",	//71
    "QDBusError",	//72
    "QDBusError#",	//73
    "QDBusError$$",	//74
    "QDBusInterface",	//75
    "QDBusInterface$$",	//76
    "QDBusInterface$$$",	//77
    "QDBusInterface$$$#",	//78
    "QDBusInterface$$$##",	//79
    "QDBusMessage",	//80
    "QDBusMessage#",	//81
    "QDBusMetaType",	//82
    "QDBusMetaType#",	//83
    "QDBusPendingCall",	//84
    "QDBusPendingCall#",	//85
    "QDBusPendingCallWatcher",	//86
    "QDBusPendingCallWatcher#",	//87
    "QDBusPendingCallWatcher##",	//88
    "QDBusServer",	//89
    "QDBusServer$",	//90
    "QDBusServer$#",	//91
    "QDBusServiceWatcher",	//92
    "QDBusServiceWatcher#",	//93
    "QDBusServiceWatcher$#",	//94
    "QDBusServiceWatcher$#$",	//95
    "QDBusServiceWatcher$#$#",	//96
    "QtCriticalMsg",	//97
    "QtDebugMsg",	//98
    "QtFatalMsg",	//99
    "QtSystemMsg",	//100
    "QtWarningMsg",	//101
    "QueueService",	//102
    "ReplaceExistingService",	//103
    "ReplyMessage",	//104
    "ServiceNotRegistered",	//105
    "ServiceQueued",	//106
    "ServiceRegistered",	//107
    "ServiceUnknown",	//108
    "SessionBus",	//109
    "SignalMessage",	//110
    "StructureType",	//111
    "SystemBus",	//112
    "TimedOut",	//113
    "Timeout",	//114
    "UnknownInterface",	//115
    "UnknownMethod",	//116
    "UnknownObject",	//117
    "UnknownType",	//118
    "UnregisterNode",	//119
    "UnregisterTree",	//120
    "VariantType",	//121
    "WatchForOwnerChange",	//122
    "WatchForRegistration",	//123
    "WatchForUnregistration",	//124
    "_ISalnum",	//125
    "_ISalpha",	//126
    "_ISblank",	//127
    "_IScntrl",	//128
    "_ISdigit",	//129
    "_ISgraph",	//130
    "_ISlower",	//131
    "_ISprint",	//132
    "_ISpunct",	//133
    "_ISspace",	//134
    "_ISupper",	//135
    "_ISxdigit",	//136
    "__codecvt_error",	//137
    "__codecvt_noconv",	//138
    "__codecvt_ok",	//139
    "__codecvt_partial",	//140
    "addWatchedService",	//141
    "addWatchedService$",	//142
    "address",	//143
    "appendVariant",	//144
    "appendVariant#",	//145
    "arguments",	//146
    "asVariant",	//147
    "asyncCall",	//148
    "asyncCall#",	//149
    "asyncCall#$",	//150
    "asyncCall$",	//151
    "asyncCall$#",	//152
    "asyncCall$##",	//153
    "asyncCall$###",	//154
    "asyncCall$####",	//155
    "asyncCall$#####",	//156
    "asyncCall$######",	//157
    "asyncCall$#######",	//158
    "asyncCall$########",	//159
    "asyncCallWithArgumentList",	//160
    "asyncCallWithArgumentList$?",	//161
    "atEnd",	//162
    "autoRelaySignals",	//163
    "autoStartService",	//164
    "baseService",	//165
    "beginArray",	//166
    "beginArray$",	//167
    "beginMap",	//168
    "beginMap$$",	//169
    "beginMapEntry",	//170
    "beginStructure",	//171
    "call",	//172
    "call#",	//173
    "call#$",	//174
    "call#$$",	//175
    "call$",	//176
    "call$#",	//177
    "call$##",	//178
    "call$###",	//179
    "call$####",	//180
    "call$#####",	//181
    "call$######",	//182
    "call$#######",	//183
    "call$########",	//184
    "call$$",	//185
    "call$$#",	//186
    "call$$##",	//187
    "call$$###",	//188
    "call$$####",	//189
    "call$$#####",	//190
    "call$$######",	//191
    "call$$#######",	//192
    "call$$########",	//193
    "callWithArgumentList",	//194
    "callWithArgumentList$$?",	//195
    "callWithCallback",	//196
    "callWithCallback##$",	//197
    "callWithCallback##$$",	//198
    "callWithCallback##$$$",	//199
    "callWithCallback$?#$",	//200
    "callWithCallback$?#$$",	//201
    "callWithCallbackFailed",	//202
    "callWithCallbackFailed##",	//203
    "calledFromDBus",	//204
    "childEvent",	//205
    "connect",	//206
    "connect$$$$#$",	//207
    "connect$$$$$#$",	//208
    "connect$$$$?$#$",	//209
    "connectNotify",	//210
    "connectNotify$",	//211
    "connectToBus",	//212
    "connectToBus$$",	//213
    "connection",	//214
    "createError",	//215
    "createError#",	//216
    "createError$$",	//217
    "createErrorReply",	//218
    "createErrorReply#",	//219
    "createErrorReply$$",	//220
    "createMethodCall",	//221
    "createMethodCall$$$$",	//222
    "createReply",	//223
    "createReply#",	//224
    "createReply?",	//225
    "createSignal",	//226
    "createSignal$$$",	//227
    "currentSignature",	//228
    "currentType",	//229
    "customEvent",	//230
    "demarshall",	//231
    "demarshall#$$",	//232
    "disconnect",	//233
    "disconnect$$$$#$",	//234
    "disconnect$$$$$#$",	//235
    "disconnect$$$$?$#$",	//236
    "disconnectFromBus",	//237
    "disconnectFromBus$",	//238
    "disconnectNotify",	//239
    "disconnectNotify$",	//240
    "endArray",	//241
    "endMap",	//242
    "endMapEntry",	//243
    "endStructure",	//244
    "error",	//245
    "errorMessage",	//246
    "errorName",	//247
    "errorString",	//248
    "errorString$",	//249
    "event",	//250
    "eventFilter",	//251
    "finished",	//252
    "finished#",	//253
    "fromCompletedCall",	//254
    "fromCompletedCall#",	//255
    "fromError",	//256
    "fromError#",	//257
    "interface",	//258
    "internalConstCall",	//259
    "internalConstCall$$",	//260
    "internalConstCall$$?",	//261
    "internalPropGet",	//262
    "internalPropGet$",	//263
    "internalPropSet",	//264
    "internalPropSet$#",	//265
    "isConnected",	//266
    "isDelayedReply",	//267
    "isError",	//268
    "isFinished",	//269
    "isReplyRequired",	//270
    "isServiceRegistered",	//271
    "isServiceRegistered$",	//272
    "isValid",	//273
    "lastError",	//274
    "marshall",	//275
    "marshall#$$",	//276
    "member",	//277
    "message",	//278
    "metaObject",	//279
    "name",	//280
    "newConnection",	//281
    "newConnection#",	//282
    "objectRegisteredAt",	//283
    "objectRegisteredAt$",	//284
    "operator!=",	//285
    "operator!=##",	//286
    "operator!=#$",	//287
    "operator!=$#",	//288
    "operator!=$$",	//289
    "operator&",	//290
    "operator&##",	//291
    "operator*",	//292
    "operator*#$",	//293
    "operator*$#",	//294
    "operator+",	//295
    "operator+##",	//296
    "operator+#$",	//297
    "operator+$#",	//298
    "operator+$$",	//299
    "operator-",	//300
    "operator-#",	//301
    "operator-##",	//302
    "operator/",	//303
    "operator/#$",	//304
    "operator<",	//305
    "operator<##",	//306
    "operator<#$",	//307
    "operator<$#",	//308
    "operator<$$",	//309
    "operator<<",	//310
    "operator<<#",	//311
    "operator<<##",	//312
    "operator<<#$",	//313
    "operator<<#?",	//314
    "operator<<$",	//315
    "operator<<?",	//316
    "operator<=",	//317
    "operator<=##",	//318
    "operator<=#$",	//319
    "operator<=$#",	//320
    "operator<=$$",	//321
    "operator=",	//322
    "operator=#",	//323
    "operator==",	//324
    "operator==##",	//325
    "operator==#$",	//326
    "operator==$#",	//327
    "operator==$$",	//328
    "operator>",	//329
    "operator>##",	//330
    "operator>#$",	//331
    "operator>$#",	//332
    "operator>$$",	//333
    "operator>=",	//334
    "operator>=##",	//335
    "operator>=#$",	//336
    "operator>=$#",	//337
    "operator>=$$",	//338
    "operator>>",	//339
    "operator>>#",	//340
    "operator>>##",	//341
    "operator>>#$",	//342
    "operator>>#?",	//343
    "operator>>$",	//344
    "operator>>?",	//345
    "operator^",	//346
    "operator^##",	//347
    "operator|",	//348
    "operator|##",	//349
    "operator|$$",	//350
    "path",	//351
    "qAcos",	//352
    "qAcos$",	//353
    "qAddPostRoutine",	//354
    "qAddPostRoutine$",	//355
    "qAppName",	//356
    "qAsin",	//357
    "qAsin$",	//358
    "qAtan",	//359
    "qAtan$",	//360
    "qAtan2",	//361
    "qAtan2$$",	//362
    "qBadAlloc",	//363
    "qCeil",	//364
    "qCeil$",	//365
    "qChecksum",	//366
    "qChecksum$$",	//367
    "qCompress",	//368
    "qCompress#",	//369
    "qCompress#$",	//370
    "qCompress$$",	//371
    "qCompress$$$",	//372
    "qCos",	//373
    "qCos$",	//374
    "qCritical",	//375
    "qDBusReplyFill",	//376
    "qDBusReplyFill###",	//377
    "qDebug",	//378
    "qExp",	//379
    "qExp$",	//380
    "qFabs",	//381
    "qFabs$",	//382
    "qFastCos",	//383
    "qFastCos$",	//384
    "qFastSin",	//385
    "qFastSin$",	//386
    "qFlagLocation",	//387
    "qFlagLocation$",	//388
    "qFloor",	//389
    "qFloor$",	//390
    "qFree",	//391
    "qFree$",	//392
    "qFreeAligned",	//393
    "qFreeAligned$",	//394
    "qFuzzyCompare",	//395
    "qFuzzyCompare$$",	//396
    "qFuzzyIsNull",	//397
    "qFuzzyIsNull$",	//398
    "qHash",	//399
    "qHash#",	//400
    "qHash$",	//401
    "qInf",	//402
    "qInstallMsgHandler",	//403
    "qInstallMsgHandler$",	//404
    "qIntCast",	//405
    "qIntCast$",	//406
    "qIsFinite",	//407
    "qIsFinite$",	//408
    "qIsInf",	//409
    "qIsInf$",	//410
    "qIsNaN",	//411
    "qIsNaN$",	//412
    "qIsNull",	//413
    "qIsNull$",	//414
    "qLn",	//415
    "qLn$",	//416
    "qMalloc",	//417
    "qMalloc$",	//418
    "qMallocAligned",	//419
    "qMallocAligned$$",	//420
    "qMemCopy",	//421
    "qMemCopy$$$",	//422
    "qMemSet",	//423
    "qMemSet$$$",	//424
    "qPow",	//425
    "qPow$$",	//426
    "qQNaN",	//427
    "qRealloc",	//428
    "qRealloc$$",	//429
    "qReallocAligned",	//430
    "qReallocAligned$$$$",	//431
    "qRegisterStaticPluginInstanceFunction",	//432
    "qRegisterStaticPluginInstanceFunction#",	//433
    "qRemovePostRoutine",	//434
    "qRemovePostRoutine$",	//435
    "qRound",	//436
    "qRound$",	//437
    "qRound64",	//438
    "qRound64$",	//439
    "qSNaN",	//440
    "qSetFieldWidth",	//441
    "qSetFieldWidth$",	//442
    "qSetPadChar",	//443
    "qSetPadChar#",	//444
    "qSetRealNumberPrecision",	//445
    "qSetRealNumberPrecision$",	//446
    "qSharedBuild",	//447
    "qSin",	//448
    "qSin$",	//449
    "qSqrt",	//450
    "qSqrt$",	//451
    "qStringComparisonHelper",	//452
    "qStringComparisonHelper#$",	//453
    "qStringComparisonHelper$$",	//454
    "qTan",	//455
    "qTan$",	//456
    "qUncompress",	//457
    "qUncompress#",	//458
    "qUncompress$$",	//459
    "qVersion",	//460
    "qWarning",	//461
    "qbswap_helper",	//462
    "qbswap_helper$$$",	//463
    "qgcvt",	//464
    "qgcvt$$$",	//465
    "qgetenv",	//466
    "qgetenv$",	//467
    "qputenv",	//468
    "qputenv$#",	//469
    "qrand",	//470
    "qsort",	//471
    "qsort$$$?",	//472
    "qsrand",	//473
    "qsrand$",	//474
    "qstrcmp",	//475
    "qstrcmp##",	//476
    "qstrcmp#$",	//477
    "qstrcmp$#",	//478
    "qstrcmp$$",	//479
    "qstrcpy",	//480
    "qstrcpy$$",	//481
    "qstrdup",	//482
    "qstrdup$",	//483
    "qstricmp",	//484
    "qstricmp$$",	//485
    "qstrlen",	//486
    "qstrlen$",	//487
    "qstrncmp",	//488
    "qstrncmp$$$",	//489
    "qstrncpy",	//490
    "qstrncpy$$$",	//491
    "qstrnicmp",	//492
    "qstrnicmp$$$",	//493
    "qstrnlen",	//494
    "qstrnlen$$",	//495
    "qtTrId",	//496
    "qtTrId$",	//497
    "qtTrId$$",	//498
    "qt_assert",	//499
    "qt_assert$$$",	//500
    "qt_assert_x",	//501
    "qt_assert_x$$$$",	//502
    "qt_check_pointer",	//503
    "qt_check_pointer$$",	//504
    "qt_error_string",	//505
    "qt_error_string$",	//506
    "qt_message_output",	//507
    "qt_message_output$$",	//508
    "qt_metacall",	//509
    "qt_metacall$$?",	//510
    "qt_metacast",	//511
    "qt_metacast$",	//512
    "qt_noop",	//513
    "qt_qFindChild_helper",	//514
    "qt_qFindChild_helper#$#",	//515
    "qt_qFindChildren_helper",	//516
    "qt_qFindChildren_helper#$##?",	//517
    "qvariant_cast_helper",	//518
    "qvariant_cast_helper#$$",	//519
    "qvsnprintf",	//520
    "qvsnprintf$$$?",	//521
    "registerMarshallOperators",	//522
    "registerMarshallOperators$$$",	//523
    "registerObject",	//524
    "registerObject$#",	//525
    "registerObject$#$",	//526
    "registerService",	//527
    "registerService$",	//528
    "registerService$$",	//529
    "registerService$$$",	//530
    "registeredServiceNames",	//531
    "removeWatchedService",	//532
    "removeWatchedService$",	//533
    "reply",	//534
    "send",	//535
    "send#",	//536
    "sendErrorReply",	//537
    "sendErrorReply$",	//538
    "sendErrorReply$$",	//539
    "sender",	//540
    "service",	//541
    "serviceOwner",	//542
    "serviceOwner$",	//543
    "serviceOwnerChanged",	//544
    "serviceOwnerChanged$$$",	//545
    "servicePid",	//546
    "servicePid$",	//547
    "serviceRegistered",	//548
    "serviceRegistered$",	//549
    "serviceUid",	//550
    "serviceUid$",	//551
    "serviceUnregistered",	//552
    "serviceUnregistered$",	//553
    "sessionBus",	//554
    "setArguments",	//555
    "setArguments?",	//556
    "setAutoRelaySignals",	//557
    "setAutoRelaySignals$",	//558
    "setAutoStartService",	//559
    "setAutoStartService$",	//560
    "setConnection",	//561
    "setConnection#",	//562
    "setDelayedReply",	//563
    "setDelayedReply$",	//564
    "setWatchMode",	//565
    "setWatchMode$",	//566
    "setWatchedServices",	//567
    "setWatchedServices?",	//568
    "signature",	//569
    "signatureToType",	//570
    "signatureToType$",	//571
    "startService",	//572
    "startService$",	//573
    "staticMetaObject",	//574
    "systemBus",	//575
    "timerEvent",	//576
    "tr",	//577
    "tr$",	//578
    "tr$$",	//579
    "tr$$$",	//580
    "trUtf8",	//581
    "trUtf8$",	//582
    "trUtf8$$",	//583
    "trUtf8$$$",	//584
    "type",	//585
    "typeToSignature",	//586
    "typeToSignature$",	//587
    "unregisterObject",	//588
    "unregisterObject$",	//589
    "unregisterObject$$",	//590
    "unregisterService",	//591
    "unregisterService$",	//592
    "waitForFinished",	//593
    "watchMode",	//594
    "watchedServices",	//595
    "~QDBusAbstractAdaptor",	//596
    "~QDBusAbstractInterface",	//597
    "~QDBusAbstractInterfaceBase",	//598
    "~QDBusArgument",	//599
    "~QDBusConnection",	//600
    "~QDBusContext",	//601
    "~QDBusError",	//602
    "~QDBusInterface",	//603
    "~QDBusMessage",	//604
    "~QDBusMetaType",	//605
    "~QDBusPendingCall",	//606
    "~QDBusPendingCallWatcher",	//607
    "~QDBusServer",	//608
    "~QDBusServiceWatcher",	//609
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 1},	//1 QDBus::NoBlock (enum)
    {7, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 2},	//2 QDBus::Block (enum)
    {7, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 3},	//3 QDBus::BlockWithGui (enum)
    {7, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 4},	//4 QDBus::AutoDetect (enum)
    {8, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//5 QDBusAbstractAdaptor::metaObject() const
    {8, 511, 1, 1, Smoke::mf_virtual, 301, 2},	//6 QDBusAbstractAdaptor::qt_metacast(const char*)
    {8, 577, 3, 2, Smoke::mf_static, 114, 3},	//7 QDBusAbstractAdaptor::tr(const char*, const char*)
    {8, 581, 3, 2, Smoke::mf_static, 114, 4},	//8 QDBusAbstractAdaptor::trUtf8(const char*, const char*)
    {8, 577, 6, 3, Smoke::mf_static, 114, 5},	//9 QDBusAbstractAdaptor::tr(const char*, const char*, int)
    {8, 581, 6, 3, Smoke::mf_static, 114, 6},	//10 QDBusAbstractAdaptor::trUtf8(const char*, const char*, int)
    {8, 509, 10, 3, Smoke::mf_virtual, 276, 7},	//11 QDBusAbstractAdaptor::qt_metacall(QMetaObject::Call, int, void**)
    {8, 61, 14, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 8},	//12 QDBusAbstractAdaptor::QDBusAbstractAdaptor(QObject*)
    {8, 557, 16, 1, Smoke::mf_protected, 0, 9},	//13 QDBusAbstractAdaptor::setAutoRelaySignals(bool)
    {8, 163, 0, 0, Smoke::mf_const|Smoke::mf_protected, 211, 10},	//14 QDBusAbstractAdaptor::autoRelaySignals() const
    {8, 577, 1, 1, Smoke::mf_static, 114, 11},	//15 QDBusAbstractAdaptor::tr(const char*)
    {8, 581, 1, 1, Smoke::mf_static, 114, 12},	//16 QDBusAbstractAdaptor::trUtf8(const char*)
    {8, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 13},	//17 QDBusAbstractAdaptor::staticMetaObject() const
    {8, 596, 0, 0, Smoke::mf_dtor, 0, 14 },	//18 QDBusAbstractAdaptor::~QDBusAbstractAdaptor()
    {9, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//19 QDBusAbstractInterface::metaObject() const
    {9, 511, 1, 1, Smoke::mf_virtual, 301, 2},	//20 QDBusAbstractInterface::qt_metacast(const char*)
    {9, 577, 3, 2, Smoke::mf_static, 114, 3},	//21 QDBusAbstractInterface::tr(const char*, const char*)
    {9, 581, 3, 2, Smoke::mf_static, 114, 4},	//22 QDBusAbstractInterface::trUtf8(const char*, const char*)
    {9, 577, 6, 3, Smoke::mf_static, 114, 5},	//23 QDBusAbstractInterface::tr(const char*, const char*, int)
    {9, 581, 6, 3, Smoke::mf_static, 114, 6},	//24 QDBusAbstractInterface::trUtf8(const char*, const char*, int)
    {9, 509, 10, 3, Smoke::mf_virtual, 276, 7},	//25 QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**)
    {9, 273, 0, 0, Smoke::mf_const, 211, 8},	//26 QDBusAbstractInterface::isValid() const
    {9, 214, 0, 0, Smoke::mf_const, 16, 9},	//27 QDBusAbstractInterface::connection() const
    {9, 541, 0, 0, Smoke::mf_const, 114, 10},	//28 QDBusAbstractInterface::service() const
    {9, 351, 0, 0, Smoke::mf_const, 114, 11},	//29 QDBusAbstractInterface::path() const
    {9, 258, 0, 0, Smoke::mf_const, 114, 12},	//30 QDBusAbstractInterface::interface() const
    {9, 274, 0, 0, Smoke::mf_const, 27, 13},	//31 QDBusAbstractInterface::lastError() const
    {9, 172, 18, 9, 0, 32, 14},	//32 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 28, 10, 0, 32, 15},	//33 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 194, 39, 3, 0, 32, 16},	//34 QDBusAbstractInterface::callWithArgumentList(QDBus::CallMode, const QString&, const QList<QVariant>&)
    {9, 196, 43, 5, 0, 211, 17},	//35 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*, const char*)
    {9, 196, 49, 4, 0, 211, 18},	//36 QDBusAbstractInterface::callWithCallback(const QString&, const QList<QVariant>&, QObject*, const char*)
    {9, 148, 18, 9, 0, 38, 19},	//37 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 160, 54, 2, 0, 38, 20},	//38 QDBusAbstractInterface::asyncCallWithArgumentList(const QString&, const QList<QVariant>&)
    {9, 63, 57, 5, Smoke::mf_ctor|Smoke::mf_protected, 12, 21},	//39 QDBusAbstractInterface::QDBusAbstractInterface(const QString&, const QString&, const char*, const QDBusConnection&, QObject*)
    {9, 210, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//40 QDBusAbstractInterface::connectNotify(const char*)
    {9, 239, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//41 QDBusAbstractInterface::disconnectNotify(const char*)
    {9, 262, 1, 1, Smoke::mf_const|Smoke::mf_protected, 131, 24},	//42 QDBusAbstractInterface::internalPropGet(const char*) const
    {9, 264, 63, 2, Smoke::mf_protected, 0, 25},	//43 QDBusAbstractInterface::internalPropSet(const char*, const QVariant&)
    {9, 259, 39, 3, Smoke::mf_const|Smoke::mf_protected, 32, 26},	//44 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&, const QList<QVariant>&) const
    {9, 577, 1, 1, Smoke::mf_static, 114, 27},	//45 QDBusAbstractInterface::tr(const char*)
    {9, 581, 1, 1, Smoke::mf_static, 114, 28},	//46 QDBusAbstractInterface::trUtf8(const char*)
    {9, 172, 66, 1, 0, 32, 29},	//47 QDBusAbstractInterface::call(const QString&)
    {9, 172, 68, 2, 0, 32, 30},	//48 QDBusAbstractInterface::call(const QString&, const QVariant&)
    {9, 172, 71, 3, 0, 32, 31},	//49 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&)
    {9, 172, 75, 4, 0, 32, 32},	//50 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 80, 5, 0, 32, 33},	//51 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 86, 6, 0, 32, 34},	//52 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 93, 7, 0, 32, 35},	//53 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 101, 8, 0, 32, 36},	//54 QDBusAbstractInterface::call(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 110, 2, 0, 32, 37},	//55 QDBusAbstractInterface::call(QDBus::CallMode, const QString&)
    {9, 172, 113, 3, 0, 32, 38},	//56 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&)
    {9, 172, 117, 4, 0, 32, 39},	//57 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&)
    {9, 172, 122, 5, 0, 32, 40},	//58 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 128, 6, 0, 32, 41},	//59 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 135, 7, 0, 32, 42},	//60 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 143, 8, 0, 32, 43},	//61 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 172, 152, 9, 0, 32, 44},	//62 QDBusAbstractInterface::call(QDBus::CallMode, const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 148, 66, 1, 0, 38, 45},	//63 QDBusAbstractInterface::asyncCall(const QString&)
    {9, 148, 68, 2, 0, 38, 46},	//64 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&)
    {9, 148, 71, 3, 0, 38, 47},	//65 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&)
    {9, 148, 75, 4, 0, 38, 48},	//66 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&)
    {9, 148, 80, 5, 0, 38, 49},	//67 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 148, 86, 6, 0, 38, 50},	//68 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 148, 93, 7, 0, 38, 51},	//69 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 148, 101, 8, 0, 38, 52},	//70 QDBusAbstractInterface::asyncCall(const QString&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&, const QVariant&)
    {9, 259, 110, 2, Smoke::mf_const|Smoke::mf_protected, 32, 53},	//71 QDBusAbstractInterface::internalConstCall(QDBus::CallMode, const QString&) const
    {9, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 54},	//72 QDBusAbstractInterface::staticMetaObject() const
    {9, 597, 0, 0, Smoke::mf_dtor, 0, 55 },	//73 QDBusAbstractInterface::~QDBusAbstractInterface()
    {10, 509, 10, 3, Smoke::mf_virtual, 276, 1},	//74 QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**)
    {10, 598, 0, 0, Smoke::mf_dtor, 0, 2 },	//75 QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase()
    {11, 65, 0, 0, Smoke::mf_ctor, 14, 1},	//76 QDBusArgument::QDBusArgument()
    {11, 65, 162, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 14, 2},	//77 QDBusArgument::QDBusArgument(const QDBusArgument&)
    {11, 322, 162, 1, 0, 13, 3},	//78 QDBusArgument::operator=(const QDBusArgument&)
    {11, 310, 164, 1, 0, 13, 4},	//79 QDBusArgument::operator<<(unsigned char)
    {11, 310, 16, 1, 0, 13, 5},	//80 QDBusArgument::operator<<(bool)
    {11, 310, 166, 1, 0, 13, 6},	//81 QDBusArgument::operator<<(short)
    {11, 310, 168, 1, 0, 13, 7},	//82 QDBusArgument::operator<<(unsigned short)
    {11, 310, 170, 1, 0, 13, 8},	//83 QDBusArgument::operator<<(int)
    {11, 310, 172, 1, 0, 13, 9},	//84 QDBusArgument::operator<<(unsigned int)
    {11, 310, 174, 1, 0, 13, 10},	//85 QDBusArgument::operator<<(long long)
    {11, 310, 176, 1, 0, 13, 11},	//86 QDBusArgument::operator<<(unsigned long long)
    {11, 310, 178, 1, 0, 13, 12},	//87 QDBusArgument::operator<<(double)
    {11, 310, 66, 1, 0, 13, 13},	//88 QDBusArgument::operator<<(const QString&)
    {11, 310, 180, 1, 0, 13, 14},	//89 QDBusArgument::operator<<(const QDBusVariant&)
    {11, 310, 182, 1, 0, 13, 15},	//90 QDBusArgument::operator<<(const QDBusObjectPath&)
    {11, 310, 184, 1, 0, 13, 16},	//91 QDBusArgument::operator<<(const QDBusSignature&)
    {11, 310, 186, 1, 0, 13, 17},	//92 QDBusArgument::operator<<(const QStringList&)
    {11, 310, 188, 1, 0, 13, 18},	//93 QDBusArgument::operator<<(const QByteArray&)
    {11, 171, 0, 0, 0, 0, 19},	//94 QDBusArgument::beginStructure()
    {11, 244, 0, 0, 0, 0, 20},	//95 QDBusArgument::endStructure()
    {11, 166, 170, 1, 0, 0, 21},	//96 QDBusArgument::beginArray(int)
    {11, 241, 0, 0, 0, 0, 22},	//97 QDBusArgument::endArray()
    {11, 168, 190, 2, 0, 0, 23},	//98 QDBusArgument::beginMap(int, int)
    {11, 242, 0, 0, 0, 0, 24},	//99 QDBusArgument::endMap()
    {11, 170, 0, 0, 0, 0, 25},	//100 QDBusArgument::beginMapEntry()
    {11, 243, 0, 0, 0, 0, 26},	//101 QDBusArgument::endMapEntry()
    {11, 144, 193, 1, 0, 0, 27},	//102 QDBusArgument::appendVariant(const QVariant&)
    {11, 228, 0, 0, Smoke::mf_const, 114, 28},	//103 QDBusArgument::currentSignature() const
    {11, 229, 0, 0, Smoke::mf_const, 15, 29},	//104 QDBusArgument::currentType() const
    {11, 339, 195, 1, Smoke::mf_const, 220, 30},	//105 QDBusArgument::operator>>(unsigned char&) const
    {11, 339, 197, 1, Smoke::mf_const, 220, 31},	//106 QDBusArgument::operator>>(bool&) const
    {11, 339, 199, 1, Smoke::mf_const, 220, 32},	//107 QDBusArgument::operator>>(short&) const
    {11, 339, 201, 1, Smoke::mf_const, 220, 33},	//108 QDBusArgument::operator>>(unsigned short&) const
    {11, 339, 203, 1, Smoke::mf_const, 220, 34},	//109 QDBusArgument::operator>>(int&) const
    {11, 339, 205, 1, Smoke::mf_const, 220, 35},	//110 QDBusArgument::operator>>(unsigned int&) const
    {11, 339, 207, 1, Smoke::mf_const, 220, 36},	//111 QDBusArgument::operator>>(long long&) const
    {11, 339, 209, 1, Smoke::mf_const, 220, 37},	//112 QDBusArgument::operator>>(unsigned long long&) const
    {11, 339, 211, 1, Smoke::mf_const, 220, 38},	//113 QDBusArgument::operator>>(double&) const
    {11, 339, 213, 1, Smoke::mf_const, 220, 39},	//114 QDBusArgument::operator>>(QString&) const
    {11, 339, 215, 1, Smoke::mf_const, 220, 40},	//115 QDBusArgument::operator>>(QDBusVariant&) const
    {11, 339, 217, 1, Smoke::mf_const, 220, 41},	//116 QDBusArgument::operator>>(QDBusObjectPath&) const
    {11, 339, 219, 1, Smoke::mf_const, 220, 42},	//117 QDBusArgument::operator>>(QDBusSignature&) const
    {11, 339, 221, 1, Smoke::mf_const, 220, 43},	//118 QDBusArgument::operator>>(QStringList&) const
    {11, 339, 223, 1, Smoke::mf_const, 220, 44},	//119 QDBusArgument::operator>>(QByteArray&) const
    {11, 171, 0, 0, Smoke::mf_const, 0, 45},	//120 QDBusArgument::beginStructure() const
    {11, 244, 0, 0, Smoke::mf_const, 0, 46},	//121 QDBusArgument::endStructure() const
    {11, 166, 0, 0, Smoke::mf_const, 0, 47},	//122 QDBusArgument::beginArray() const
    {11, 241, 0, 0, Smoke::mf_const, 0, 48},	//123 QDBusArgument::endArray() const
    {11, 168, 0, 0, Smoke::mf_const, 0, 49},	//124 QDBusArgument::beginMap() const
    {11, 242, 0, 0, Smoke::mf_const, 0, 50},	//125 QDBusArgument::endMap() const
    {11, 170, 0, 0, Smoke::mf_const, 0, 51},	//126 QDBusArgument::beginMapEntry() const
    {11, 243, 0, 0, Smoke::mf_const, 0, 52},	//127 QDBusArgument::endMapEntry() const
    {11, 162, 0, 0, Smoke::mf_const, 211, 53},	//128 QDBusArgument::atEnd() const
    {11, 147, 0, 0, Smoke::mf_const, 131, 54},	//129 QDBusArgument::asVariant() const
    {11, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 55},	//130 QDBusArgument::BasicType (enum)
    {11, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 56},	//131 QDBusArgument::VariantType (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 57},	//132 QDBusArgument::ArrayType (enum)
    {11, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 58},	//133 QDBusArgument::StructureType (enum)
    {11, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 59},	//134 QDBusArgument::MapType (enum)
    {11, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 60},	//135 QDBusArgument::MapEntryType (enum)
    {11, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 61},	//136 QDBusArgument::UnknownType (enum)
    {11, 599, 0, 0, Smoke::mf_dtor, 0, 62 },	//137 QDBusArgument::~QDBusArgument()
    {12, 67, 66, 1, Smoke::mf_ctor, 18, 1},	//138 QDBusConnection::QDBusConnection(const QString&)
    {12, 67, 225, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//139 QDBusConnection::QDBusConnection(const QDBusConnection&)
    {12, 322, 225, 1, 0, 17, 3},	//140 QDBusConnection::operator=(const QDBusConnection&)
    {12, 266, 0, 0, Smoke::mf_const, 211, 4},	//141 QDBusConnection::isConnected() const
    {12, 165, 0, 0, Smoke::mf_const, 114, 5},	//142 QDBusConnection::baseService() const
    {12, 274, 0, 0, Smoke::mf_const, 27, 6},	//143 QDBusConnection::lastError() const
    {12, 280, 0, 0, Smoke::mf_const, 114, 7},	//144 QDBusConnection::name() const
    {12, 535, 227, 1, Smoke::mf_const, 211, 8},	//145 QDBusConnection::send(const QDBusMessage&) const
    {12, 196, 229, 5, Smoke::mf_const, 211, 9},	//146 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*, int) const
    {12, 196, 235, 4, Smoke::mf_const, 211, 10},	//147 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    {12, 172, 240, 3, Smoke::mf_const, 32, 11},	//148 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode, int) const
    {12, 148, 244, 2, Smoke::mf_const, 38, 12},	//149 QDBusConnection::asyncCall(const QDBusMessage&, int) const
    {12, 206, 247, 6, 0, 211, 13},	//150 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 206, 254, 7, 0, 211, 14},	//151 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 206, 262, 8, 0, 211, 15},	//152 QDBusConnection::connect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 233, 247, 6, 0, 211, 16},	//153 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 233, 254, 7, 0, 211, 17},	//154 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QString&, QObject*, const char*)
    {12, 233, 262, 8, 0, 211, 18},	//155 QDBusConnection::disconnect(const QString&, const QString&, const QString&, const QString&, const QStringList&, const QString&, QObject*, const char*)
    {12, 524, 271, 3, 0, 211, 19},	//156 QDBusConnection::registerObject(const QString&, QObject*, QFlags<QDBusConnection::RegisterOption>)
    {12, 588, 275, 2, 0, 0, 20},	//157 QDBusConnection::unregisterObject(const QString&, QDBusConnection::UnregisterMode)
    {12, 283, 66, 1, Smoke::mf_const, 105, 21},	//158 QDBusConnection::objectRegisteredAt(const QString&) const
    {12, 527, 66, 1, 0, 211, 22},	//159 QDBusConnection::registerService(const QString&)
    {12, 591, 66, 1, 0, 211, 23},	//160 QDBusConnection::unregisterService(const QString&)
    {12, 258, 0, 0, Smoke::mf_const, 22, 24},	//161 QDBusConnection::interface() const
    {12, 212, 278, 2, Smoke::mf_static, 16, 25},	//162 QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    {12, 212, 281, 2, Smoke::mf_static, 16, 26},	//163 QDBusConnection::connectToBus(const QString&, const QString&)
    {12, 237, 66, 1, Smoke::mf_static, 0, 27},	//164 QDBusConnection::disconnectFromBus(const QString&)
    {12, 554, 0, 0, Smoke::mf_static, 16, 28},	//165 QDBusConnection::sessionBus()
    {12, 575, 0, 0, Smoke::mf_static, 16, 29},	//166 QDBusConnection::systemBus()
    {12, 540, 0, 0, Smoke::mf_static, 16, 30},	//167 QDBusConnection::sender()
    {12, 196, 284, 4, Smoke::mf_const, 211, 31},	//168 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    {12, 196, 289, 3, Smoke::mf_const, 211, 32},	//169 QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*) const
    {12, 172, 227, 1, Smoke::mf_const, 32, 33},	//170 QDBusConnection::call(const QDBusMessage&) const
    {12, 172, 293, 2, Smoke::mf_const, 32, 34},	//171 QDBusConnection::call(const QDBusMessage&, QDBus::CallMode) const
    {12, 148, 227, 1, Smoke::mf_const, 38, 35},	//172 QDBusConnection::asyncCall(const QDBusMessage&) const
    {12, 524, 296, 2, 0, 211, 36},	//173 QDBusConnection::registerObject(const QString&, QObject*)
    {12, 588, 66, 1, 0, 0, 37},	//174 QDBusConnection::unregisterObject(const QString&)
    {12, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 38},	//175 QDBusConnection::staticMetaObject() const
    {12, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 39},	//176 QDBusConnection::SessionBus (enum)
    {12, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 40},	//177 QDBusConnection::SystemBus (enum)
    {12, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 19, 41},	//178 QDBusConnection::ActivationBus (enum)
    {12, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 42},	//179 QDBusConnection::ExportAdaptors (enum)
    {12, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 43},	//180 QDBusConnection::ExportScriptableSlots (enum)
    {12, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 44},	//181 QDBusConnection::ExportScriptableSignals (enum)
    {12, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 45},	//182 QDBusConnection::ExportScriptableProperties (enum)
    {12, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 46},	//183 QDBusConnection::ExportScriptableInvokables (enum)
    {12, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 47},	//184 QDBusConnection::ExportScriptableContents (enum)
    {12, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 48},	//185 QDBusConnection::ExportNonScriptableSlots (enum)
    {12, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 49},	//186 QDBusConnection::ExportNonScriptableSignals (enum)
    {12, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 50},	//187 QDBusConnection::ExportNonScriptableProperties (enum)
    {12, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 51},	//188 QDBusConnection::ExportNonScriptableInvokables (enum)
    {12, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 52},	//189 QDBusConnection::ExportNonScriptableContents (enum)
    {12, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 53},	//190 QDBusConnection::ExportAllSlots (enum)
    {12, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 54},	//191 QDBusConnection::ExportAllSignals (enum)
    {12, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 55},	//192 QDBusConnection::ExportAllProperties (enum)
    {12, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 56},	//193 QDBusConnection::ExportAllInvokables (enum)
    {12, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 57},	//194 QDBusConnection::ExportAllContents (enum)
    {12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 58},	//195 QDBusConnection::ExportAllSignal (enum)
    {12, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 59},	//196 QDBusConnection::ExportChildObjects (enum)
    {12, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 60},	//197 QDBusConnection::UnregisterNode (enum)
    {12, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 61},	//198 QDBusConnection::UnregisterTree (enum)
    {12, 600, 0, 0, Smoke::mf_dtor, 0, 62 },	//199 QDBusConnection::~QDBusConnection()
    {13, 279, 0, 0, Smoke::mf_const, 243, 1},	//200 QDBusConnectionInterface::metaObject() const
    {13, 511, 1, 1, 0, 301, 2},	//201 QDBusConnectionInterface::qt_metacast(const char*)
    {13, 577, 3, 2, Smoke::mf_static, 114, 3},	//202 QDBusConnectionInterface::tr(const char*, const char*)
    {13, 581, 3, 2, Smoke::mf_static, 114, 4},	//203 QDBusConnectionInterface::trUtf8(const char*, const char*)
    {13, 577, 6, 3, Smoke::mf_static, 114, 5},	//204 QDBusConnectionInterface::tr(const char*, const char*, int)
    {13, 581, 6, 3, Smoke::mf_static, 114, 6},	//205 QDBusConnectionInterface::trUtf8(const char*, const char*, int)
    {13, 509, 10, 3, 0, 276, 7},	//206 QDBusConnectionInterface::qt_metacall(QMetaObject::Call, int, void**)
    {13, 531, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_slot, 44, 8},	//207 QDBusConnectionInterface::registeredServiceNames() const
    {13, 271, 66, 1, Smoke::mf_const|Smoke::mf_slot, 45, 9},	//208 QDBusConnectionInterface::isServiceRegistered(const QString&) const
    {13, 542, 66, 1, Smoke::mf_const|Smoke::mf_slot, 43, 10},	//209 QDBusConnectionInterface::serviceOwner(const QString&) const
    {13, 591, 66, 1, Smoke::mf_slot, 45, 11},	//210 QDBusConnectionInterface::unregisterService(const QString&)
    {13, 527, 299, 3, Smoke::mf_slot, 42, 12},	//211 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions, QDBusConnectionInterface::ServiceReplacementOptions)
    {13, 546, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 13},	//212 QDBusConnectionInterface::servicePid(const QString&) const
    {13, 550, 66, 1, Smoke::mf_const|Smoke::mf_slot, 46, 14},	//213 QDBusConnectionInterface::serviceUid(const QString&) const
    {13, 572, 66, 1, Smoke::mf_slot, 47, 15},	//214 QDBusConnectionInterface::startService(const QString&)
    {13, 548, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//215 QDBusConnectionInterface::serviceRegistered(const QString&)
    {13, 552, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//216 QDBusConnectionInterface::serviceUnregistered(const QString&)
    {13, 544, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//217 QDBusConnectionInterface::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {13, 202, 307, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//218 QDBusConnectionInterface::callWithCallbackFailed(const QDBusError&, const QDBusMessage&)
    {13, 47, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//219 QDBusConnectionInterface::NameAcquired(const QString&)
    {13, 49, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//220 QDBusConnectionInterface::NameLost(const QString&)
    {13, 51, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//221 QDBusConnectionInterface::NameOwnerChanged(const QString&, const QString&, const QString&)
    {13, 210, 1, 1, Smoke::mf_protected, 0, 23},	//222 QDBusConnectionInterface::connectNotify(const char*)
    {13, 239, 1, 1, Smoke::mf_protected, 0, 24},	//223 QDBusConnectionInterface::disconnectNotify(const char*)
    {13, 577, 1, 1, Smoke::mf_static, 114, 25},	//224 QDBusConnectionInterface::tr(const char*)
    {13, 581, 1, 1, Smoke::mf_static, 114, 26},	//225 QDBusConnectionInterface::trUtf8(const char*)
    {13, 527, 66, 1, Smoke::mf_slot, 42, 27},	//226 QDBusConnectionInterface::registerService(const QString&)
    {13, 527, 310, 2, Smoke::mf_slot, 42, 28},	//227 QDBusConnectionInterface::registerService(const QString&, QDBusConnectionInterface::ServiceQueueOptions)
    {13, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 29},	//228 QDBusConnectionInterface::staticMetaObject() const
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//229 QDBusConnectionInterface::DontQueueService (enum)
    {13, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//230 QDBusConnectionInterface::QueueService (enum)
    {13, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 32},	//231 QDBusConnectionInterface::ReplaceExistingService (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 33},	//232 QDBusConnectionInterface::DontAllowReplacement (enum)
    {13, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 34},	//233 QDBusConnectionInterface::AllowReplacement (enum)
    {13, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 35},	//234 QDBusConnectionInterface::ServiceNotRegistered (enum)
    {13, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 36},	//235 QDBusConnectionInterface::ServiceRegistered (enum)
    {13, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 23, 37},	//236 QDBusConnectionInterface::ServiceQueued (enum)
    {14, 70, 0, 0, Smoke::mf_ctor, 26, 1},	//237 QDBusContext::QDBusContext()
    {14, 204, 0, 0, Smoke::mf_const, 211, 2},	//238 QDBusContext::calledFromDBus() const
    {14, 214, 0, 0, Smoke::mf_const, 16, 3},	//239 QDBusContext::connection() const
    {14, 278, 0, 0, Smoke::mf_const, 224, 4},	//240 QDBusContext::message() const
    {14, 267, 0, 0, Smoke::mf_const, 211, 5},	//241 QDBusContext::isDelayedReply() const
    {14, 563, 16, 1, Smoke::mf_const, 0, 6},	//242 QDBusContext::setDelayedReply(bool) const
    {14, 537, 281, 2, Smoke::mf_const, 0, 7},	//243 QDBusContext::sendErrorReply(const QString&, const QString&) const
    {14, 537, 313, 2, Smoke::mf_const, 0, 8},	//244 QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    {14, 70, 316, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 26, 9},	//245 QDBusContext::QDBusContext(const QDBusContext&)
    {14, 537, 66, 1, Smoke::mf_const, 0, 10},	//246 QDBusContext::sendErrorReply(const QString&) const
    {14, 537, 318, 1, Smoke::mf_const, 0, 11},	//247 QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    {14, 601, 0, 0, Smoke::mf_dtor, 0, 12 },	//248 QDBusContext::~QDBusContext()
    {15, 72, 320, 1, Smoke::mf_ctor, 29, 1},	//249 QDBusError::QDBusError(const DBusError*)
    {15, 72, 227, 1, Smoke::mf_ctor, 29, 2},	//250 QDBusError::QDBusError(const QDBusMessage&)
    {15, 72, 313, 2, Smoke::mf_ctor, 29, 3},	//251 QDBusError::QDBusError(QDBusError::ErrorType, const QString&)
    {15, 72, 322, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 29, 4},	//252 QDBusError::QDBusError(const QDBusError&)
    {15, 322, 322, 1, 0, 28, 5},	//253 QDBusError::operator=(const QDBusError&)
    {15, 585, 0, 0, Smoke::mf_const, 30, 6},	//254 QDBusError::type() const
    {15, 280, 0, 0, Smoke::mf_const, 114, 7},	//255 QDBusError::name() const
    {15, 278, 0, 0, Smoke::mf_const, 114, 8},	//256 QDBusError::message() const
    {15, 273, 0, 0, Smoke::mf_const, 211, 9},	//257 QDBusError::isValid() const
    {15, 248, 318, 1, Smoke::mf_static, 114, 10},	//258 QDBusError::errorString(QDBusError::ErrorType)
    {15, 72, 0, 0, Smoke::mf_ctor, 29, 11},	//259 QDBusError::QDBusError()
    {15, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 12},	//260 QDBusError::NoError (enum)
    {15, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 13},	//261 QDBusError::Other (enum)
    {15, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 14},	//262 QDBusError::Failed (enum)
    {15, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 15},	//263 QDBusError::NoMemory (enum)
    {15, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 16},	//264 QDBusError::ServiceUnknown (enum)
    {15, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 17},	//265 QDBusError::NoReply (enum)
    {15, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 18},	//266 QDBusError::BadAddress (enum)
    {15, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 19},	//267 QDBusError::NotSupported (enum)
    {15, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 20},	//268 QDBusError::LimitsExceeded (enum)
    {15, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 21},	//269 QDBusError::AccessDenied (enum)
    {15, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 22},	//270 QDBusError::NoServer (enum)
    {15, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 23},	//271 QDBusError::Timeout (enum)
    {15, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 24},	//272 QDBusError::NoNetwork (enum)
    {15, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 25},	//273 QDBusError::AddressInUse (enum)
    {15, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 26},	//274 QDBusError::Disconnected (enum)
    {15, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 27},	//275 QDBusError::InvalidArgs (enum)
    {15, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 28},	//276 QDBusError::UnknownMethod (enum)
    {15, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 29},	//277 QDBusError::TimedOut (enum)
    {15, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 30},	//278 QDBusError::InvalidSignature (enum)
    {15, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 31},	//279 QDBusError::UnknownInterface (enum)
    {15, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 32},	//280 QDBusError::InternalError (enum)
    {15, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 33},	//281 QDBusError::UnknownObject (enum)
    {15, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 34},	//282 QDBusError::InvalidService (enum)
    {15, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 35},	//283 QDBusError::InvalidObjectPath (enum)
    {15, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 36},	//284 QDBusError::InvalidInterface (enum)
    {15, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 37},	//285 QDBusError::InvalidMember (enum)
    {15, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 30, 38},	//286 QDBusError::LastErrorType (enum)
    {15, 602, 0, 0, Smoke::mf_dtor, 0, 39 },	//287 QDBusError::~QDBusError()
    {16, 75, 324, 5, Smoke::mf_ctor, 31, 1},	//288 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&, QObject*)
    {16, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 2},	//289 QDBusInterface::metaObject() const
    {16, 511, 1, 1, Smoke::mf_virtual, 301, 3},	//290 QDBusInterface::qt_metacast(const char*)
    {16, 509, 10, 3, Smoke::mf_virtual, 276, 4},	//291 QDBusInterface::qt_metacall(QMetaObject::Call, int, void**)
    {16, 75, 281, 2, Smoke::mf_ctor, 31, 5},	//292 QDBusInterface::QDBusInterface(const QString&, const QString&)
    {16, 75, 303, 3, Smoke::mf_ctor, 31, 6},	//293 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&)
    {16, 75, 330, 4, Smoke::mf_ctor, 31, 7},	//294 QDBusInterface::QDBusInterface(const QString&, const QString&, const QString&, const QDBusConnection&)
    {16, 603, 0, 0, Smoke::mf_dtor, 0, 8 },	//295 QDBusInterface::~QDBusInterface()
    {17, 80, 0, 0, Smoke::mf_ctor, 34, 1},	//296 QDBusMessage::QDBusMessage()
    {17, 80, 227, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//297 QDBusMessage::QDBusMessage(const QDBusMessage&)
    {17, 322, 227, 1, 0, 33, 3},	//298 QDBusMessage::operator=(const QDBusMessage&)
    {17, 226, 303, 3, Smoke::mf_static, 32, 4},	//299 QDBusMessage::createSignal(const QString&, const QString&, const QString&)
    {17, 221, 335, 4, Smoke::mf_static, 32, 5},	//300 QDBusMessage::createMethodCall(const QString&, const QString&, const QString&, const QString&)
    {17, 215, 281, 2, Smoke::mf_static, 32, 6},	//301 QDBusMessage::createError(const QString&, const QString&)
    {17, 215, 322, 1, Smoke::mf_static, 32, 7},	//302 QDBusMessage::createError(const QDBusError&)
    {17, 215, 313, 2, Smoke::mf_static, 32, 8},	//303 QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    {17, 223, 340, 1, Smoke::mf_const, 32, 9},	//304 QDBusMessage::createReply(const QList<QVariant>&) const
    {17, 223, 193, 1, Smoke::mf_const, 32, 10},	//305 QDBusMessage::createReply(const QVariant&) const
    {17, 218, 342, 2, Smoke::mf_const, 32, 11},	//306 QDBusMessage::createErrorReply(const QString, const QString&) const
    {17, 218, 322, 1, Smoke::mf_const, 32, 12},	//307 QDBusMessage::createErrorReply(const QDBusError&) const
    {17, 218, 313, 2, Smoke::mf_const, 32, 13},	//308 QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    {17, 541, 0, 0, Smoke::mf_const, 114, 14},	//309 QDBusMessage::service() const
    {17, 351, 0, 0, Smoke::mf_const, 114, 15},	//310 QDBusMessage::path() const
    {17, 258, 0, 0, Smoke::mf_const, 114, 16},	//311 QDBusMessage::interface() const
    {17, 277, 0, 0, Smoke::mf_const, 114, 17},	//312 QDBusMessage::member() const
    {17, 247, 0, 0, Smoke::mf_const, 114, 18},	//313 QDBusMessage::errorName() const
    {17, 246, 0, 0, Smoke::mf_const, 114, 19},	//314 QDBusMessage::errorMessage() const
    {17, 585, 0, 0, Smoke::mf_const, 35, 20},	//315 QDBusMessage::type() const
    {17, 569, 0, 0, Smoke::mf_const, 114, 21},	//316 QDBusMessage::signature() const
    {17, 270, 0, 0, Smoke::mf_const, 211, 22},	//317 QDBusMessage::isReplyRequired() const
    {17, 563, 16, 1, Smoke::mf_const, 0, 23},	//318 QDBusMessage::setDelayedReply(bool) const
    {17, 267, 0, 0, Smoke::mf_const, 211, 24},	//319 QDBusMessage::isDelayedReply() const
    {17, 559, 16, 1, 0, 0, 25},	//320 QDBusMessage::setAutoStartService(bool)
    {17, 164, 0, 0, Smoke::mf_const, 211, 26},	//321 QDBusMessage::autoStartService() const
    {17, 555, 340, 1, 0, 0, 27},	//322 QDBusMessage::setArguments(const QList<QVariant>&)
    {17, 146, 0, 0, Smoke::mf_const, 100, 28},	//323 QDBusMessage::arguments() const
    {17, 310, 193, 1, 0, 33, 29},	//324 QDBusMessage::operator<<(const QVariant&)
    {17, 223, 0, 0, Smoke::mf_const, 32, 30},	//325 QDBusMessage::createReply() const
    {17, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 31},	//326 QDBusMessage::InvalidMessage (enum)
    {17, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 32},	//327 QDBusMessage::MethodCallMessage (enum)
    {17, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//328 QDBusMessage::ReplyMessage (enum)
    {17, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//329 QDBusMessage::ErrorMessage (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 35},	//330 QDBusMessage::SignalMessage (enum)
    {17, 604, 0, 0, Smoke::mf_dtor, 0, 36 },	//331 QDBusMessage::~QDBusMessage()
    {18, 522, 345, 3, Smoke::mf_static, 0, 1},	//332 QDBusMetaType::registerMarshallOperators(int, void(*)(QDBusArgument&,const void*), void(*)(const QDBusArgument&,void*))
    {18, 275, 349, 3, Smoke::mf_static, 211, 2},	//333 QDBusMetaType::marshall(QDBusArgument&, int, const void*)
    {18, 231, 353, 3, Smoke::mf_static, 211, 3},	//334 QDBusMetaType::demarshall(const QDBusArgument&, int, void*)
    {18, 570, 1, 1, Smoke::mf_static, 276, 4},	//335 QDBusMetaType::signatureToType(const char*)
    {18, 586, 170, 1, Smoke::mf_static, 270, 5},	//336 QDBusMetaType::typeToSignature(int)
    {18, 82, 0, 0, Smoke::mf_ctor, 36, 6},	//337 QDBusMetaType::QDBusMetaType()
    {18, 82, 357, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 7},	//338 QDBusMetaType::QDBusMetaType(const QDBusMetaType&)
    {18, 605, 0, 0, Smoke::mf_dtor, 0, 8 },	//339 QDBusMetaType::~QDBusMetaType()
    {19, 84, 359, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 1},	//340 QDBusPendingCall::QDBusPendingCall(const QDBusPendingCall&)
    {19, 322, 359, 1, 0, 39, 2},	//341 QDBusPendingCall::operator=(const QDBusPendingCall&)
    {19, 269, 0, 0, Smoke::mf_const, 211, 3},	//342 QDBusPendingCall::isFinished() const
    {19, 593, 0, 0, 0, 0, 4},	//343 QDBusPendingCall::waitForFinished()
    {19, 268, 0, 0, Smoke::mf_const, 211, 5},	//344 QDBusPendingCall::isError() const
    {19, 273, 0, 0, Smoke::mf_const, 211, 6},	//345 QDBusPendingCall::isValid() const
    {19, 245, 0, 0, Smoke::mf_const, 27, 7},	//346 QDBusPendingCall::error() const
    {19, 534, 0, 0, Smoke::mf_const, 32, 8},	//347 QDBusPendingCall::reply() const
    {19, 256, 322, 1, Smoke::mf_static, 38, 9},	//348 QDBusPendingCall::fromError(const QDBusError&)
    {19, 254, 227, 1, Smoke::mf_static, 38, 10},	//349 QDBusPendingCall::fromCompletedCall(const QDBusMessage&)
    {19, 606, 0, 0, Smoke::mf_dtor, 0, 11 },	//350 QDBusPendingCall::~QDBusPendingCall()
    {20, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//351 QDBusPendingCallWatcher::metaObject() const
    {20, 511, 1, 1, Smoke::mf_virtual, 301, 2},	//352 QDBusPendingCallWatcher::qt_metacast(const char*)
    {20, 577, 3, 2, Smoke::mf_static, 114, 3},	//353 QDBusPendingCallWatcher::tr(const char*, const char*)
    {20, 581, 3, 2, Smoke::mf_static, 114, 4},	//354 QDBusPendingCallWatcher::trUtf8(const char*, const char*)
    {20, 577, 6, 3, Smoke::mf_static, 114, 5},	//355 QDBusPendingCallWatcher::tr(const char*, const char*, int)
    {20, 581, 6, 3, Smoke::mf_static, 114, 6},	//356 QDBusPendingCallWatcher::trUtf8(const char*, const char*, int)
    {20, 509, 10, 3, Smoke::mf_virtual, 276, 7},	//357 QDBusPendingCallWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {20, 86, 361, 2, Smoke::mf_ctor, 41, 8},	//358 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&, QObject*)
    {20, 593, 0, 0, 0, 0, 9},	//359 QDBusPendingCallWatcher::waitForFinished()
    {20, 252, 364, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 10},	//360 QDBusPendingCallWatcher::finished(QDBusPendingCallWatcher*)
    {20, 577, 1, 1, Smoke::mf_static, 114, 11},	//361 QDBusPendingCallWatcher::tr(const char*)
    {20, 581, 1, 1, Smoke::mf_static, 114, 12},	//362 QDBusPendingCallWatcher::trUtf8(const char*)
    {20, 86, 359, 1, Smoke::mf_ctor, 41, 13},	//363 QDBusPendingCallWatcher::QDBusPendingCallWatcher(const QDBusPendingCall&)
    {20, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 14},	//364 QDBusPendingCallWatcher::staticMetaObject() const
    {20, 607, 0, 0, Smoke::mf_dtor, 0, 15 },	//365 QDBusPendingCallWatcher::~QDBusPendingCallWatcher()
    {21, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//366 QDBusServer::metaObject() const
    {21, 511, 1, 1, Smoke::mf_virtual, 301, 2},	//367 QDBusServer::qt_metacast(const char*)
    {21, 577, 3, 2, Smoke::mf_static, 114, 3},	//368 QDBusServer::tr(const char*, const char*)
    {21, 581, 3, 2, Smoke::mf_static, 114, 4},	//369 QDBusServer::trUtf8(const char*, const char*)
    {21, 577, 6, 3, Smoke::mf_static, 114, 5},	//370 QDBusServer::tr(const char*, const char*, int)
    {21, 581, 6, 3, Smoke::mf_static, 114, 6},	//371 QDBusServer::trUtf8(const char*, const char*, int)
    {21, 509, 10, 3, Smoke::mf_virtual, 276, 7},	//372 QDBusServer::qt_metacall(QMetaObject::Call, int, void**)
    {21, 89, 296, 2, Smoke::mf_ctor, 48, 8},	//373 QDBusServer::QDBusServer(const QString&, QObject*)
    {21, 266, 0, 0, Smoke::mf_const, 211, 9},	//374 QDBusServer::isConnected() const
    {21, 274, 0, 0, Smoke::mf_const, 27, 10},	//375 QDBusServer::lastError() const
    {21, 143, 0, 0, Smoke::mf_const, 114, 11},	//376 QDBusServer::address() const
    {21, 281, 225, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//377 QDBusServer::newConnection(const QDBusConnection&)
    {21, 577, 1, 1, Smoke::mf_static, 114, 13},	//378 QDBusServer::tr(const char*)
    {21, 581, 1, 1, Smoke::mf_static, 114, 14},	//379 QDBusServer::trUtf8(const char*)
    {21, 89, 66, 1, Smoke::mf_ctor, 48, 15},	//380 QDBusServer::QDBusServer(const QString&)
    {21, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 16},	//381 QDBusServer::staticMetaObject() const
    {21, 608, 0, 0, Smoke::mf_dtor, 0, 17 },	//382 QDBusServer::~QDBusServer()
    {22, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 1},	//383 QDBusServiceWatcher::metaObject() const
    {22, 511, 1, 1, Smoke::mf_virtual, 301, 2},	//384 QDBusServiceWatcher::qt_metacast(const char*)
    {22, 577, 3, 2, Smoke::mf_static, 114, 3},	//385 QDBusServiceWatcher::tr(const char*, const char*)
    {22, 581, 3, 2, Smoke::mf_static, 114, 4},	//386 QDBusServiceWatcher::trUtf8(const char*, const char*)
    {22, 577, 6, 3, Smoke::mf_static, 114, 5},	//387 QDBusServiceWatcher::tr(const char*, const char*, int)
    {22, 581, 6, 3, Smoke::mf_static, 114, 6},	//388 QDBusServiceWatcher::trUtf8(const char*, const char*, int)
    {22, 509, 10, 3, Smoke::mf_virtual, 276, 7},	//389 QDBusServiceWatcher::qt_metacall(QMetaObject::Call, int, void**)
    {22, 92, 14, 1, Smoke::mf_ctor, 49, 8},	//390 QDBusServiceWatcher::QDBusServiceWatcher(QObject*)
    {22, 92, 366, 4, Smoke::mf_ctor, 49, 9},	//391 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>, QObject*)
    {22, 595, 0, 0, Smoke::mf_const|Smoke::mf_property, 118, 10},	//392 QDBusServiceWatcher::watchedServices() const
    {22, 567, 186, 1, Smoke::mf_property, 0, 11},	//393 QDBusServiceWatcher::setWatchedServices(const QStringList&)
    {22, 141, 66, 1, 0, 0, 12},	//394 QDBusServiceWatcher::addWatchedService(const QString&)
    {22, 532, 66, 1, 0, 211, 13},	//395 QDBusServiceWatcher::removeWatchedService(const QString&)
    {22, 594, 0, 0, Smoke::mf_const, 66, 14},	//396 QDBusServiceWatcher::watchMode() const
    {22, 565, 371, 1, 0, 0, 15},	//397 QDBusServiceWatcher::setWatchMode(QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 214, 0, 0, Smoke::mf_const, 16, 16},	//398 QDBusServiceWatcher::connection() const
    {22, 561, 225, 1, 0, 0, 17},	//399 QDBusServiceWatcher::setConnection(const QDBusConnection&)
    {22, 548, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//400 QDBusServiceWatcher::serviceRegistered(const QString&)
    {22, 552, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//401 QDBusServiceWatcher::serviceUnregistered(const QString&)
    {22, 544, 303, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//402 QDBusServiceWatcher::serviceOwnerChanged(const QString&, const QString&, const QString&)
    {22, 577, 1, 1, Smoke::mf_static, 114, 21},	//403 QDBusServiceWatcher::tr(const char*)
    {22, 581, 1, 1, Smoke::mf_static, 114, 22},	//404 QDBusServiceWatcher::trUtf8(const char*)
    {22, 92, 0, 0, Smoke::mf_ctor, 49, 23},	//405 QDBusServiceWatcher::QDBusServiceWatcher()
    {22, 92, 373, 2, Smoke::mf_ctor, 49, 24},	//406 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&)
    {22, 92, 376, 3, Smoke::mf_ctor, 49, 25},	//407 QDBusServiceWatcher::QDBusServiceWatcher(const QString&, const QDBusConnection&, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {22, 574, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 242, 26},	//408 QDBusServiceWatcher::staticMetaObject() const
    {22, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 27},	//409 QDBusServiceWatcher::WatchForRegistration (enum)
    {22, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 28},	//410 QDBusServiceWatcher::WatchForUnregistration (enum)
    {22, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 29},	//411 QDBusServiceWatcher::WatchForOwnerChange (enum)
    {22, 609, 0, 0, Smoke::mf_dtor, 0, 30 },	//412 QDBusServiceWatcher::~QDBusServiceWatcher()
    {31, 334, 380, 2, Smoke::mf_static, 211, 1},	//413 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {31, 399, 176, 1, Smoke::mf_static, 289, 2},	//414 QGlobalSpace::qHash(unsigned long long)
    {31, 409, 178, 1, Smoke::mf_static, 211, 3},	//415 QGlobalSpace::qIsInf(double)
    {31, 348, 383, 2, Smoke::mf_static, 96, 4},	//416 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {31, 348, 386, 2, Smoke::mf_static, 96, 5},	//417 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {31, 494, 389, 2, Smoke::mf_static, 289, 6},	//418 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {31, 421, 392, 3, Smoke::mf_static, 301, 7},	//419 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {31, 513, 0, 0, Smoke::mf_static, 0, 8},	//420 QGlobalSpace::qt_noop()
    {31, 324, 396, 2, Smoke::mf_static, 211, 9},	//421 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {31, 310, 399, 2, Smoke::mf_static, 56, 10},	//422 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {31, 324, 402, 2, Smoke::mf_static, 211, 11},	//423 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {31, 324, 405, 2, Smoke::mf_static, 211, 12},	//424 QGlobalSpace::operator==(const QSize&, const QSize&)
    {31, 295, 408, 2, Smoke::mf_static, 217, 13},	//425 QGlobalSpace::operator+(const char*, const QByteArray&)
    {31, 348, 411, 2, Smoke::mf_static, 71, 14},	//426 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {31, 452, 414, 2, Smoke::mf_static, 211, 15},	//427 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {31, 475, 408, 2, Smoke::mf_static, 276, 16},	//428 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {31, 324, 417, 2, Smoke::mf_static, 211, 17},	//429 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {31, 361, 420, 2, Smoke::mf_static, 273, 18},	//430 QGlobalSpace::qAtan2(double, double)
    {31, 339, 423, 2, Smoke::mf_static, 53, 19},	//431 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {31, 334, 426, 2, Smoke::mf_static, 211, 20},	//432 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {31, 409, 429, 1, Smoke::mf_static, 211, 21},	//433 QGlobalSpace::qIsInf(float)
    {31, 466, 1, 1, Smoke::mf_static, 5, 22},	//434 QGlobalSpace::qgetenv(const char*)
    {31, 399, 431, 1, Smoke::mf_static, 289, 23},	//435 QGlobalSpace::qHash(signed char)
    {31, 324, 433, 2, Smoke::mf_static, 211, 24},	//436 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {31, 329, 408, 2, Smoke::mf_static, 211, 25},	//437 QGlobalSpace::operator>(const char*, const QByteArray&)
    {31, 405, 178, 1, Smoke::mf_static, 276, 26},	//438 QGlobalSpace::qIntCast(double)
    {31, 443, 436, 1, Smoke::mf_static, 125, 27},	//439 QGlobalSpace::qSetPadChar(QChar)
    {31, 324, 438, 2, Smoke::mf_static, 211, 28},	//440 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {31, 324, 441, 2, Smoke::mf_static, 211, 29},	//441 QGlobalSpace::operator==(QChar, QChar)
    {31, 324, 444, 2, Smoke::mf_static, 211, 30},	//442 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {31, 348, 447, 2, Smoke::mf_static, 92, 31},	//443 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {31, 399, 450, 1, Smoke::mf_static, 289, 32},	//444 QGlobalSpace::qHash(const QUrl&)
    {31, 310, 452, 2, Smoke::mf_static, 13, 33},	//445 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {31, 399, 188, 1, Smoke::mf_static, 289, 34},	//446 QGlobalSpace::qHash(const QByteArray&)
    {31, 310, 455, 2, Smoke::mf_static, 13, 35},	//447 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {31, 310, 458, 2, Smoke::mf_static, 56, 36},	//448 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {31, 305, 441, 2, Smoke::mf_static, 211, 37},	//449 QGlobalSpace::operator<(QChar, QChar)
    {31, 334, 441, 2, Smoke::mf_static, 211, 38},	//450 QGlobalSpace::operator>=(QChar, QChar)
    {31, 285, 461, 2, Smoke::mf_static, 211, 39},	//451 QGlobalSpace::operator!=(QString::Null, const QString&)
    {31, 310, 464, 2, Smoke::mf_static, 13, 40},	//452 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {31, 305, 408, 2, Smoke::mf_static, 211, 41},	//453 QGlobalSpace::operator<(const char*, const QByteArray&)
    {31, 348, 467, 2, Smoke::mf_static, 91, 42},	//454 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {31, 475, 3, 2, Smoke::mf_static, 276, 43},	//455 QGlobalSpace::qstrcmp(const char*, const char*)
    {31, 373, 178, 1, Smoke::mf_static, 273, 44},	//456 QGlobalSpace::qCos(double)
    {31, 348, 470, 2, Smoke::mf_static, 74, 45},	//457 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {31, 329, 441, 2, Smoke::mf_static, 211, 46},	//458 QGlobalSpace::operator>(QChar, QChar)
    {31, 310, 473, 2, Smoke::mf_static, 13, 47},	//459 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {31, 348, 476, 2, Smoke::mf_static, 94, 48},	//460 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {31, 292, 479, 2, Smoke::mf_static, 257, 49},	//461 QGlobalSpace::operator*(double, const QSizeF&)
    {31, 447, 0, 0, Smoke::mf_static, 211, 50},	//462 QGlobalSpace::qSharedBuild()
    {31, 348, 482, 2, Smoke::mf_static, 96, 51},	//463 QGlobalSpace::operator|(QDir::Filter, int)
    {31, 285, 380, 2, Smoke::mf_static, 211, 52},	//464 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {31, 300, 485, 2, Smoke::mf_static, 247, 53},	//465 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {31, 339, 488, 2, Smoke::mf_static, 220, 54},	//466 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {31, 310, 491, 2, Smoke::mf_static, 53, 55},	//467 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {31, 348, 494, 2, Smoke::mf_static, 96, 56},	//468 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {31, 348, 497, 2, Smoke::mf_static, 90, 57},	//469 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {31, 310, 500, 2, Smoke::mf_static, 13, 58},	//470 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {31, 399, 503, 1, Smoke::mf_static, 289, 59},	//471 QGlobalSpace::qHash(char)
    {31, 285, 402, 2, Smoke::mf_static, 211, 60},	//472 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {31, 348, 505, 2, Smoke::mf_static, 77, 61},	//473 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {31, 310, 508, 2, Smoke::mf_static, 56, 62},	//474 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {31, 348, 511, 2, Smoke::mf_static, 96, 63},	//475 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {31, 348, 514, 2, Smoke::mf_static, 96, 64},	//476 QGlobalSpace::operator|(QFile::Permission, int)
    {31, 303, 517, 2, Smoke::mf_static, 247, 65},	//477 QGlobalSpace::operator/(const QPoint&, double)
    {31, 295, 485, 2, Smoke::mf_static, 247, 66},	//478 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {31, 348, 520, 2, Smoke::mf_static, 69, 67},	//479 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {31, 295, 523, 2, Smoke::mf_static, 259, 68},	//480 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {31, 300, 526, 2, Smoke::mf_static, 257, 69},	//481 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {31, 310, 529, 2, Smoke::mf_static, 56, 70},	//482 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {31, 407, 178, 1, Smoke::mf_static, 211, 71},	//483 QGlobalSpace::qIsFinite(double)
    {31, 285, 426, 2, Smoke::mf_static, 211, 72},	//484 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {31, 348, 532, 2, Smoke::mf_static, 86, 73},	//485 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {31, 310, 535, 2, Smoke::mf_static, 56, 74},	//486 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {31, 310, 538, 2, Smoke::mf_static, 56, 75},	//487 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {31, 305, 541, 2, Smoke::mf_static, 211, 76},	//488 QGlobalSpace::operator<(const char*, const QString&)
    {31, 348, 544, 2, Smoke::mf_static, 78, 77},	//489 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {31, 295, 405, 2, Smoke::mf_static, 255, 78},	//490 QGlobalSpace::operator+(const QSize&, const QSize&)
    {31, 348, 547, 2, Smoke::mf_static, 92, 79},	//491 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {31, 348, 550, 2, Smoke::mf_static, 83, 80},	//492 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {31, 505, 170, 1, Smoke::mf_static, 114, 81},	//493 QGlobalSpace::qt_error_string(int)
    {31, 505, 0, 0, Smoke::mf_static, 114, 82},	//494 QGlobalSpace::qt_error_string()
    {31, 295, 526, 2, Smoke::mf_static, 257, 83},	//495 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {31, 348, 553, 2, Smoke::mf_static, 96, 84},	//496 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {31, 305, 556, 2, Smoke::mf_static, 211, 85},	//497 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {31, 457, 559, 2, Smoke::mf_static, 5, 86},	//498 QGlobalSpace::qUncompress(const unsigned char*, int)
    {31, 488, 562, 3, Smoke::mf_static, 276, 87},	//499 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {31, 455, 178, 1, Smoke::mf_static, 273, 88},	//500 QGlobalSpace::qTan(double)
    {31, 329, 396, 2, Smoke::mf_static, 211, 89},	//501 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {31, 285, 566, 2, Smoke::mf_static, 211, 90},	//502 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {31, 441, 170, 1, Smoke::mf_static, 125, 91},	//503 QGlobalSpace::qSetFieldWidth(int)
    {31, 285, 569, 2, Smoke::mf_static, 211, 92},	//504 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {31, 348, 572, 2, Smoke::mf_static, 81, 93},	//505 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {31, 305, 569, 2, Smoke::mf_static, 211, 94},	//506 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {31, 389, 178, 1, Smoke::mf_static, 276, 95},	//507 QGlobalSpace::qFloor(double)
    {31, 310, 575, 2, Smoke::mf_static, 56, 96},	//508 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {31, 339, 578, 2, Smoke::mf_static, 53, 97},	//509 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {31, 407, 429, 1, Smoke::mf_static, 211, 98},	//510 QGlobalSpace::qIsFinite(float)
    {31, 295, 581, 2, Smoke::mf_static, 259, 99},	//511 QGlobalSpace::operator+(const QString&, QChar)
    {31, 285, 584, 2, Smoke::mf_static, 211, 100},	//512 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {31, 462, 587, 3, Smoke::mf_static, 0, 101},	//513 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {31, 295, 426, 2, Smoke::mf_static, 217, 102},	//514 QGlobalSpace::operator+(const QByteArray&, const char*)
    {31, 348, 591, 2, Smoke::mf_static, 76, 103},	//515 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {31, 295, 414, 2, Smoke::mf_static, 259, 104},	//516 QGlobalSpace::operator+(const QString&, const char*)
    {31, 329, 556, 2, Smoke::mf_static, 211, 105},	//517 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {31, 348, 594, 2, Smoke::mf_static, 89, 106},	//518 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {31, 430, 597, 4, Smoke::mf_static, 301, 107},	//519 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {31, 295, 602, 2, Smoke::mf_static, 259, 108},	//520 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {31, 399, 172, 1, Smoke::mf_static, 289, 109},	//521 QGlobalSpace::qHash(unsigned int)
    {31, 348, 605, 2, Smoke::mf_static, 91, 110},	//522 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {31, 399, 436, 1, Smoke::mf_static, 289, 111},	//523 QGlobalSpace::qHash(QChar)
    {31, 317, 426, 2, Smoke::mf_static, 211, 112},	//524 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {31, 405, 429, 1, Smoke::mf_static, 276, 113},	//525 QGlobalSpace::qIntCast(float)
    {31, 324, 608, 2, Smoke::mf_static, 211, 114},	//526 QGlobalSpace::operator==(const QRect&, const QRect&)
    {31, 348, 611, 2, Smoke::mf_static, 70, 115},	//527 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {31, 346, 614, 2, Smoke::mf_static, 2, 116},	//528 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {31, 329, 617, 2, Smoke::mf_static, 211, 117},	//529 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {31, 428, 620, 2, Smoke::mf_static, 301, 118},	//530 QGlobalSpace::qRealloc(void*, size_t)
    {31, 399, 66, 1, Smoke::mf_static, 289, 119},	//531 QGlobalSpace::qHash(const QString&)
    {31, 317, 556, 2, Smoke::mf_static, 211, 120},	//532 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {31, 310, 623, 2, Smoke::mf_static, 53, 121},	//533 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {31, 310, 626, 2, Smoke::mf_static, 56, 122},	//534 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {31, 438, 178, 1, Smoke::mf_static, 280, 123},	//535 QGlobalSpace::qRound64(double)
    {31, 403, 629, 1, Smoke::mf_static, 299, 124},	//536 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {31, 450, 178, 1, Smoke::mf_static, 273, 125},	//537 QGlobalSpace::qSqrt(double)
    {31, 399, 631, 1, Smoke::mf_static, 289, 126},	//538 QGlobalSpace::qHash(const QModelIndex&)
    {31, 383, 178, 1, Smoke::mf_static, 273, 127},	//539 QGlobalSpace::qFastCos(double)
    {31, 339, 633, 2, Smoke::mf_static, 53, 128},	//540 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {31, 324, 636, 2, Smoke::mf_static, 211, 129},	//541 QGlobalSpace::operator==(QBool, QBool)
    {31, 324, 639, 2, Smoke::mf_static, 211, 130},	//542 QGlobalSpace::operator==(const char*, const QStringRef&)
    {31, 348, 642, 2, Smoke::mf_static, 96, 131},	//543 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {31, 285, 541, 2, Smoke::mf_static, 211, 132},	//544 QGlobalSpace::operator!=(const char*, const QString&)
    {31, 411, 429, 1, Smoke::mf_static, 211, 133},	//545 QGlobalSpace::qIsNaN(float)
    {31, 399, 184, 1, Smoke::mf_static, 289, 134},	//546 QGlobalSpace::qHash(const QDBusSignature&)
    {31, 317, 617, 2, Smoke::mf_static, 211, 135},	//547 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {31, 387, 1, 1, Smoke::mf_static, 270, 136},	//548 QGlobalSpace::qFlagLocation(const char*)
    {31, 310, 645, 2, Smoke::mf_static, 56, 137},	//549 QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    {31, 348, 648, 2, Smoke::mf_static, 96, 138},	//550 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {31, 411, 178, 1, Smoke::mf_static, 211, 139},	//551 QGlobalSpace::qIsNaN(double)
    {31, 295, 651, 2, Smoke::mf_static, 259, 140},	//552 QGlobalSpace::operator+(QChar, const QString&)
    {31, 348, 654, 2, Smoke::mf_static, 96, 141},	//553 QGlobalSpace::operator|(QString::SectionFlag, int)
    {31, 348, 657, 2, Smoke::mf_static, 96, 142},	//554 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {31, 339, 660, 2, Smoke::mf_static, 53, 143},	//555 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {31, 499, 6, 3, Smoke::mf_static, 0, 144},	//556 QGlobalSpace::qt_assert(const char*, const char*, int)
    {31, 399, 174, 1, Smoke::mf_static, 289, 145},	//557 QGlobalSpace::qHash(long long)
    {31, 285, 663, 2, Smoke::mf_static, 211, 146},	//558 QGlobalSpace::operator!=(const QString&, QString::Null)
    {31, 348, 666, 2, Smoke::mf_static, 96, 147},	//559 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {31, 348, 669, 2, Smoke::mf_static, 76, 148},	//560 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {31, 295, 672, 2, Smoke::mf_static, 259, 149},	//561 QGlobalSpace::operator+(const QString&, char)
    {31, 339, 675, 2, Smoke::mf_static, 220, 150},	//562 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {31, 285, 438, 2, Smoke::mf_static, 211, 151},	//563 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {31, 300, 417, 2, Smoke::mf_static, 249, 152},	//564 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {31, 324, 584, 2, Smoke::mf_static, 211, 153},	//565 QGlobalSpace::operator==(QString::Null, QString::Null)
    {31, 348, 678, 2, Smoke::mf_static, 84, 154},	//566 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {31, 305, 617, 2, Smoke::mf_static, 211, 155},	//567 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {31, 348, 681, 2, Smoke::mf_static, 94, 156},	//568 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {31, 397, 429, 1, Smoke::mf_static, 211, 157},	//569 QGlobalSpace::qFuzzyIsNull(float)
    {31, 310, 684, 2, Smoke::mf_static, 13, 158},	//570 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {31, 310, 687, 2, Smoke::mf_static, 13, 159},	//571 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {31, 348, 690, 2, Smoke::mf_static, 88, 160},	//572 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {31, 480, 693, 2, Smoke::mf_static, 214, 161},	//573 QGlobalSpace::qstrcpy(char*, const char*)
    {31, 399, 170, 1, Smoke::mf_static, 289, 162},	//574 QGlobalSpace::qHash(int)
    {31, 295, 417, 2, Smoke::mf_static, 249, 163},	//575 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {31, 348, 696, 2, Smoke::mf_static, 79, 164},	//576 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {31, 324, 526, 2, Smoke::mf_static, 211, 165},	//577 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {31, 300, 699, 1, Smoke::mf_static, 247, 166},	//578 QGlobalSpace::operator-(const QPoint&)
    {31, 348, 701, 2, Smoke::mf_static, 96, 167},	//579 QGlobalSpace::operator|(Qt::DropAction, int)
    {31, 310, 704, 2, Smoke::mf_static, 53, 168},	//580 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {31, 348, 707, 2, Smoke::mf_static, 96, 169},	//581 QGlobalSpace::operator|(QDir::SortFlag, int)
    {31, 379, 178, 1, Smoke::mf_static, 273, 170},	//582 QGlobalSpace::qExp(double)
    {31, 445, 170, 1, Smoke::mf_static, 125, 171},	//583 QGlobalSpace::qSetRealNumberPrecision(int)
    {31, 324, 710, 2, Smoke::mf_static, 211, 172},	//584 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {31, 348, 713, 2, Smoke::mf_static, 66, 173},	//585 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {31, 415, 178, 1, Smoke::mf_static, 273, 174},	//586 QGlobalSpace::qLn(double)
    {31, 285, 526, 2, Smoke::mf_static, 211, 175},	//587 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {31, 432, 716, 1, Smoke::mf_static, 0, 176},	//588 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {31, 366, 389, 2, Smoke::mf_static, 294, 177},	//589 QGlobalSpace::qChecksum(const char*, unsigned int)
    {31, 348, 718, 2, Smoke::mf_static, 87, 178},	//590 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {31, 417, 721, 1, Smoke::mf_static, 301, 179},	//591 QGlobalSpace::qMalloc(size_t)
    {31, 427, 0, 0, Smoke::mf_static, 273, 180},	//592 QGlobalSpace::qQNaN()
    {31, 348, 723, 2, Smoke::mf_static, 80, 181},	//593 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {31, 339, 726, 2, Smoke::mf_static, 53, 182},	//594 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {31, 468, 408, 2, Smoke::mf_static, 211, 183},	//595 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {31, 310, 729, 2, Smoke::mf_static, 56, 184},	//596 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {31, 348, 732, 2, Smoke::mf_static, 96, 185},	//597 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {31, 473, 172, 1, Smoke::mf_static, 0, 186},	//598 QGlobalSpace::qsrand(unsigned int)
    {31, 399, 735, 1, Smoke::mf_static, 289, 187},	//599 QGlobalSpace::qHash(long)
    {31, 310, 737, 2, Smoke::mf_static, 13, 188},	//600 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {31, 324, 569, 2, Smoke::mf_static, 211, 189},	//601 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {31, 329, 380, 2, Smoke::mf_static, 211, 190},	//602 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {31, 399, 168, 1, Smoke::mf_static, 289, 191},	//603 QGlobalSpace::qHash(unsigned short)
    {31, 339, 740, 2, Smoke::mf_static, 53, 192},	//604 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {31, 285, 417, 2, Smoke::mf_static, 211, 193},	//605 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {31, 348, 743, 2, Smoke::mf_static, 71, 194},	//606 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {31, 492, 562, 3, Smoke::mf_static, 276, 195},	//607 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {31, 295, 746, 2, Smoke::mf_static, 259, 196},	//608 QGlobalSpace::operator+(char, const QString&)
    {31, 285, 749, 2, Smoke::mf_static, 211, 197},	//609 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 339, 752, 2, Smoke::mf_static, 53, 198},	//610 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {31, 324, 461, 2, Smoke::mf_static, 211, 199},	//611 QGlobalSpace::operator==(QString::Null, const QString&)
    {31, 324, 566, 2, Smoke::mf_static, 211, 200},	//612 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {31, 295, 617, 2, Smoke::mf_static, 217, 201},	//613 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {31, 399, 755, 1, Smoke::mf_static, 289, 202},	//614 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {31, 329, 541, 2, Smoke::mf_static, 211, 203},	//615 QGlobalSpace::operator>(const char*, const QString&)
    {31, 310, 757, 2, Smoke::mf_static, 53, 204},	//616 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {31, 310, 760, 2, Smoke::mf_static, 53, 205},	//617 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {31, 514, 763, 3, Smoke::mf_static, 105, 206},	//618 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {31, 348, 767, 2, Smoke::mf_static, 75, 207},	//619 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {31, 348, 770, 2, Smoke::mf_static, 66, 208},	//620 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {31, 303, 773, 2, Smoke::mf_static, 249, 209},	//621 QGlobalSpace::operator/(const QPointF&, double)
    {31, 285, 776, 2, Smoke::mf_static, 211, 210},	//622 QGlobalSpace::operator!=(bool, QBool)
    {31, 324, 556, 2, Smoke::mf_static, 211, 211},	//623 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {31, 490, 779, 3, Smoke::mf_static, 214, 212},	//624 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {31, 339, 783, 2, Smoke::mf_static, 220, 213},	//625 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {31, 457, 188, 1, Smoke::mf_static, 5, 214},	//626 QGlobalSpace::qUncompress(const QByteArray&)
    {31, 310, 786, 2, Smoke::mf_static, 53, 215},	//627 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {31, 339, 789, 2, Smoke::mf_static, 53, 216},	//628 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {31, 348, 792, 2, Smoke::mf_static, 96, 217},	//629 QGlobalSpace::operator|(Qt::MouseButton, int)
    {31, 300, 795, 1, Smoke::mf_static, 249, 218},	//630 QGlobalSpace::operator-(const QPointF&)
    {31, 324, 776, 2, Smoke::mf_static, 211, 219},	//631 QGlobalSpace::operator==(bool, QBool)
    {31, 470, 0, 0, Smoke::mf_static, 276, 220},	//632 QGlobalSpace::qrand()
    {31, 348, 797, 2, Smoke::mf_static, 65, 221},	//633 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {31, 310, 800, 2, Smoke::mf_static, 56, 222},	//634 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {31, 501, 803, 4, Smoke::mf_static, 0, 223},	//635 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {31, 376, 808, 3, Smoke::mf_static, 0, 224},	//636 QGlobalSpace::qDBusReplyFill(const QDBusMessage&, QDBusError&, QVariant&)
    {31, 290, 614, 2, Smoke::mf_static, 2, 225},	//637 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {31, 334, 408, 2, Smoke::mf_static, 211, 226},	//638 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {31, 348, 812, 2, Smoke::mf_static, 89, 227},	//639 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {31, 348, 815, 2, Smoke::mf_static, 96, 228},	//640 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {31, 285, 818, 2, Smoke::mf_static, 211, 229},	//641 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {31, 471, 821, 4, Smoke::mf_static, 0, 230},	//642 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {31, 375, 0, 0, Smoke::mf_static, 56, 231},	//643 QGlobalSpace::qCritical()
    {31, 310, 826, 2, Smoke::mf_static, 13, 232},	//644 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {31, 348, 829, 2, Smoke::mf_static, 83, 233},	//645 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {31, 285, 408, 2, Smoke::mf_static, 211, 234},	//646 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {31, 285, 485, 2, Smoke::mf_static, 211, 235},	//647 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {31, 305, 396, 2, Smoke::mf_static, 211, 236},	//648 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {31, 324, 818, 2, Smoke::mf_static, 211, 237},	//649 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {31, 310, 832, 2, Smoke::mf_static, 53, 238},	//650 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {31, 295, 835, 2, Smoke::mf_static, 217, 239},	//651 QGlobalSpace::operator+(const QByteArray&, char)
    {31, 348, 838, 2, Smoke::mf_static, 69, 240},	//652 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {31, 348, 841, 2, Smoke::mf_static, 67, 241},	//653 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {31, 339, 844, 2, Smoke::mf_static, 53, 242},	//654 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {31, 310, 847, 2, Smoke::mf_static, 56, 243},	//655 QGlobalSpace::operator<<(QDebug, const QDBusError&)
    {31, 303, 850, 2, Smoke::mf_static, 257, 244},	//656 QGlobalSpace::operator/(const QSizeF&, double)
    {31, 334, 556, 2, Smoke::mf_static, 211, 245},	//657 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {31, 310, 853, 2, Smoke::mf_static, 53, 246},	//658 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {31, 324, 485, 2, Smoke::mf_static, 211, 247},	//659 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {31, 354, 856, 1, Smoke::mf_static, 0, 248},	//660 QGlobalSpace::qAddPostRoutine(void(*)())
    {31, 368, 858, 3, Smoke::mf_static, 5, 249},	//661 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {31, 368, 559, 2, Smoke::mf_static, 5, 250},	//662 QGlobalSpace::qCompress(const unsigned char*, int)
    {31, 317, 408, 2, Smoke::mf_static, 211, 251},	//663 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {31, 385, 178, 1, Smoke::mf_static, 273, 252},	//664 QGlobalSpace::qFastSin(double)
    {31, 317, 380, 2, Smoke::mf_static, 211, 253},	//665 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {31, 310, 862, 2, Smoke::mf_static, 53, 254},	//666 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {31, 339, 865, 2, Smoke::mf_static, 53, 255},	//667 QGlobalSpace::operator>>(QDataStream&, QString&)
    {31, 356, 0, 0, Smoke::mf_static, 114, 256},	//668 QGlobalSpace::qAppName()
    {31, 460, 0, 0, Smoke::mf_static, 270, 257},	//669 QGlobalSpace::qVersion()
    {31, 339, 868, 2, Smoke::mf_static, 220, 258},	//670 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {31, 339, 871, 2, Smoke::mf_static, 220, 259},	//671 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {31, 391, 874, 1, Smoke::mf_static, 0, 260},	//672 QGlobalSpace::qFree(void*)
    {31, 348, 876, 2, Smoke::mf_static, 96, 261},	//673 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {31, 393, 874, 1, Smoke::mf_static, 0, 262},	//674 QGlobalSpace::qFreeAligned(void*)
    {31, 324, 663, 2, Smoke::mf_static, 211, 263},	//675 QGlobalSpace::operator==(const QString&, QString::Null)
    {31, 310, 879, 2, Smoke::mf_static, 56, 264},	//676 QGlobalSpace::operator<<(QDebug, const QDir&)
    {31, 310, 882, 2, Smoke::mf_static, 122, 265},	//677 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 305, 426, 2, Smoke::mf_static, 211, 266},	//678 QGlobalSpace::operator<(const QByteArray&, const char*)
    {31, 310, 885, 2, Smoke::mf_static, 56, 267},	//679 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {31, 339, 888, 2, Smoke::mf_static, 220, 268},	//680 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {31, 348, 891, 2, Smoke::mf_static, 70, 269},	//681 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {31, 399, 894, 1, Smoke::mf_static, 289, 270},	//682 QGlobalSpace::qHash(const QBitArray&)
    {31, 310, 896, 2, Smoke::mf_static, 56, 271},	//683 QGlobalSpace::operator<<(QDebug, const QTime&)
    {31, 310, 899, 2, Smoke::mf_static, 122, 272},	//684 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {31, 364, 178, 1, Smoke::mf_static, 276, 273},	//685 QGlobalSpace::qCeil(double)
    {31, 285, 441, 2, Smoke::mf_static, 211, 274},	//686 QGlobalSpace::operator!=(QChar, QChar)
    {31, 348, 902, 2, Smoke::mf_static, 82, 275},	//687 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {31, 452, 905, 2, Smoke::mf_static, 211, 276},	//688 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {31, 482, 1, 1, Smoke::mf_static, 214, 277},	//689 QGlobalSpace::qstrdup(const char*)
    {31, 348, 908, 2, Smoke::mf_static, 65, 278},	//690 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {31, 339, 911, 2, Smoke::mf_static, 53, 279},	//691 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {31, 317, 541, 2, Smoke::mf_static, 211, 280},	//692 QGlobalSpace::operator<=(const char*, const QString&)
    {31, 285, 639, 2, Smoke::mf_static, 211, 281},	//693 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {31, 378, 0, 0, Smoke::mf_static, 56, 282},	//694 QGlobalSpace::qDebug()
    {31, 310, 914, 2, Smoke::mf_static, 13, 283},	//695 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {31, 419, 917, 2, Smoke::mf_static, 301, 284},	//696 QGlobalSpace::qMallocAligned(size_t, size_t)
    {31, 285, 905, 2, Smoke::mf_static, 211, 285},	//697 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {31, 399, 182, 1, Smoke::mf_static, 289, 286},	//698 QGlobalSpace::qHash(const QDBusObjectPath&)
    {31, 339, 920, 2, Smoke::mf_static, 220, 287},	//699 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {31, 425, 420, 2, Smoke::mf_static, 273, 288},	//700 QGlobalSpace::qPow(double, double)
    {31, 317, 396, 2, Smoke::mf_static, 211, 289},	//701 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {31, 310, 923, 2, Smoke::mf_static, 56, 290},	//702 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {31, 348, 926, 2, Smoke::mf_static, 96, 291},	//703 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {31, 339, 882, 2, Smoke::mf_static, 122, 292},	//704 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {31, 295, 929, 2, Smoke::mf_static, 217, 293},	//705 QGlobalSpace::operator+(char, const QByteArray&)
    {31, 324, 408, 2, Smoke::mf_static, 211, 294},	//706 QGlobalSpace::operator==(const char*, const QByteArray&)
    {31, 310, 932, 2, Smoke::mf_static, 53, 295},	//707 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {31, 339, 935, 2, Smoke::mf_static, 220, 296},	//708 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {31, 300, 405, 2, Smoke::mf_static, 255, 297},	//709 QGlobalSpace::operator-(const QSize&, const QSize&)
    {31, 339, 938, 2, Smoke::mf_static, 220, 298},	//710 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {31, 310, 941, 2, Smoke::mf_static, 56, 299},	//711 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {31, 295, 541, 2, Smoke::mf_static, 259, 300},	//712 QGlobalSpace::operator+(const char*, const QString&)
    {31, 348, 944, 2, Smoke::mf_static, 96, 301},	//713 QGlobalSpace::operator|(Qt::WindowState, int)
    {31, 339, 947, 2, Smoke::mf_static, 53, 302},	//714 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {31, 285, 710, 2, Smoke::mf_static, 211, 303},	//715 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {31, 310, 950, 2, Smoke::mf_static, 56, 304},	//716 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {31, 348, 953, 2, Smoke::mf_static, 86, 305},	//717 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {31, 292, 956, 2, Smoke::mf_static, 249, 306},	//718 QGlobalSpace::operator*(double, const QPointF&)
    {31, 339, 959, 2, Smoke::mf_static, 53, 307},	//719 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {31, 348, 962, 2, Smoke::mf_static, 81, 308},	//720 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {31, 324, 380, 2, Smoke::mf_static, 211, 309},	//721 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {31, 292, 965, 2, Smoke::mf_static, 255, 310},	//722 QGlobalSpace::operator*(const QSize&, double)
    {31, 310, 968, 2, Smoke::mf_static, 56, 311},	//723 QGlobalSpace::operator<<(QDebug, const QDate&)
    {31, 348, 971, 2, Smoke::mf_static, 67, 312},	//724 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {31, 520, 974, 4, Smoke::mf_static, 276, 313},	//725 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {31, 292, 979, 2, Smoke::mf_static, 247, 314},	//726 QGlobalSpace::operator*(double, const QPoint&)
    {31, 423, 982, 3, Smoke::mf_static, 301, 315},	//727 QGlobalSpace::qMemSet(void*, int, size_t)
    {31, 310, 986, 2, Smoke::mf_static, 53, 316},	//728 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {31, 503, 989, 2, Smoke::mf_static, 0, 317},	//729 QGlobalSpace::qt_check_pointer(const char*, int)
    {31, 399, 166, 1, Smoke::mf_static, 289, 318},	//730 QGlobalSpace::qHash(short)
    {31, 348, 992, 2, Smoke::mf_static, 72, 319},	//731 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {31, 381, 178, 1, Smoke::mf_static, 273, 320},	//732 QGlobalSpace::qFabs(double)
    {31, 348, 995, 2, Smoke::mf_static, 80, 321},	//733 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {31, 348, 998, 2, Smoke::mf_static, 68, 322},	//734 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {31, 475, 617, 2, Smoke::mf_static, 276, 323},	//735 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {31, 395, 1001, 2, Smoke::mf_static, 211, 324},	//736 QGlobalSpace::qFuzzyCompare(float, float)
    {31, 324, 1004, 2, Smoke::mf_static, 211, 325},	//737 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {31, 348, 1007, 2, Smoke::mf_static, 73, 326},	//738 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {31, 464, 1010, 3, Smoke::mf_static, 214, 327},	//739 QGlobalSpace::qgcvt(long double, int, char*)
    {31, 352, 178, 1, Smoke::mf_static, 273, 328},	//740 QGlobalSpace::qAcos(double)
    {31, 348, 1014, 2, Smoke::mf_static, 96, 329},	//741 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {31, 348, 1017, 2, Smoke::mf_static, 84, 330},	//742 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {31, 339, 1020, 2, Smoke::mf_static, 220, 331},	//743 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {31, 334, 617, 2, Smoke::mf_static, 211, 332},	//744 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {31, 363, 0, 0, Smoke::mf_static, 0, 333},	//745 QGlobalSpace::qBadAlloc()
    {31, 310, 1023, 2, Smoke::mf_static, 56, 334},	//746 QGlobalSpace::operator<<(QDebug, const QLine&)
    {31, 348, 1026, 2, Smoke::mf_static, 90, 335},	//747 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {31, 348, 1029, 2, Smoke::mf_static, 96, 336},	//748 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {31, 397, 178, 1, Smoke::mf_static, 211, 337},	//749 QGlobalSpace::qFuzzyIsNull(double)
    {31, 368, 1032, 2, Smoke::mf_static, 5, 338},	//750 QGlobalSpace::qCompress(const QByteArray&, int)
    {31, 368, 188, 1, Smoke::mf_static, 5, 339},	//751 QGlobalSpace::qCompress(const QByteArray&)
    {31, 348, 1035, 2, Smoke::mf_static, 78, 340},	//752 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {31, 348, 1038, 2, Smoke::mf_static, 96, 341},	//753 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {31, 348, 1041, 2, Smoke::mf_static, 93, 342},	//754 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {31, 348, 1044, 2, Smoke::mf_static, 64, 343},	//755 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {31, 310, 1047, 2, Smoke::mf_static, 53, 344},	//756 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {31, 310, 1050, 2, Smoke::mf_static, 53, 345},	//757 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {31, 310, 1053, 2, Smoke::mf_static, 53, 346},	//758 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {31, 357, 178, 1, Smoke::mf_static, 273, 347},	//759 QGlobalSpace::qAsin(double)
    {31, 310, 1056, 2, Smoke::mf_static, 56, 348},	//760 QGlobalSpace::operator<<(QDebug, const QRect&)
    {31, 339, 1059, 2, Smoke::mf_static, 220, 349},	//761 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {31, 348, 1062, 2, Smoke::mf_static, 68, 350},	//762 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {31, 285, 608, 2, Smoke::mf_static, 211, 351},	//763 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {31, 448, 178, 1, Smoke::mf_static, 273, 352},	//764 QGlobalSpace::qSin(double)
    {31, 348, 1065, 2, Smoke::mf_static, 96, 353},	//765 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {31, 324, 617, 2, Smoke::mf_static, 211, 354},	//766 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {31, 339, 1068, 2, Smoke::mf_static, 53, 355},	//767 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {31, 348, 614, 2, Smoke::mf_static, 2, 356},	//768 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {31, 310, 1071, 2, Smoke::mf_static, 53, 357},	//769 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {31, 310, 1074, 2, Smoke::mf_static, 53, 358},	//770 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {31, 348, 1077, 2, Smoke::mf_static, 96, 359},	//771 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {31, 310, 1080, 2, Smoke::mf_static, 53, 360},	//772 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {31, 496, 989, 2, Smoke::mf_static, 114, 361},	//773 QGlobalSpace::qtTrId(const char*, int)
    {31, 496, 1, 1, Smoke::mf_static, 114, 362},	//774 QGlobalSpace::qtTrId(const char*)
    {31, 310, 1083, 2, Smoke::mf_static, 56, 363},	//775 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {31, 317, 441, 2, Smoke::mf_static, 211, 364},	//776 QGlobalSpace::operator<=(QChar, QChar)
    {31, 339, 1086, 2, Smoke::mf_static, 220, 365},	//777 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {31, 348, 1089, 2, Smoke::mf_static, 93, 366},	//778 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {31, 285, 1004, 2, Smoke::mf_static, 211, 367},	//779 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {31, 348, 1092, 2, Smoke::mf_static, 85, 368},	//780 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {31, 339, 1095, 2, Smoke::mf_static, 53, 369},	//781 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {31, 339, 1098, 2, Smoke::mf_static, 53, 370},	//782 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {31, 518, 1101, 3, Smoke::mf_static, 211, 371},	//783 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {31, 303, 965, 2, Smoke::mf_static, 255, 372},	//784 QGlobalSpace::operator/(const QSize&, double)
    {31, 413, 429, 1, Smoke::mf_static, 211, 373},	//785 QGlobalSpace::qIsNull(float)
    {31, 310, 1105, 2, Smoke::mf_static, 13, 374},	//786 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {31, 516, 1108, 5, Smoke::mf_static, 0, 375},	//787 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {31, 324, 1114, 2, Smoke::mf_static, 211, 376},	//788 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {31, 359, 178, 1, Smoke::mf_static, 273, 377},	//789 QGlobalSpace::qAtan(double)
    {31, 339, 1117, 2, Smoke::mf_static, 53, 378},	//790 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {31, 348, 1120, 2, Smoke::mf_static, 96, 379},	//791 QGlobalSpace::operator|(Qt::Orientation, int)
    {31, 395, 420, 2, Smoke::mf_static, 211, 380},	//792 QGlobalSpace::qFuzzyCompare(double, double)
    {31, 285, 396, 2, Smoke::mf_static, 211, 381},	//793 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {31, 292, 517, 2, Smoke::mf_static, 247, 382},	//794 QGlobalSpace::operator*(const QPoint&, double)
    {31, 348, 1123, 2, Smoke::mf_static, 82, 383},	//795 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {31, 348, 1126, 2, Smoke::mf_static, 72, 384},	//796 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {31, 440, 0, 0, Smoke::mf_static, 273, 385},	//797 QGlobalSpace::qSNaN()
    {31, 324, 749, 2, Smoke::mf_static, 211, 386},	//798 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 324, 426, 2, Smoke::mf_static, 211, 387},	//799 QGlobalSpace::operator==(const QByteArray&, const char*)
    {31, 292, 850, 2, Smoke::mf_static, 257, 388},	//800 QGlobalSpace::operator*(const QSizeF&, double)
    {31, 324, 905, 2, Smoke::mf_static, 211, 389},	//801 QGlobalSpace::operator==(const QStringRef&, const char*)
    {31, 348, 1129, 2, Smoke::mf_static, 96, 390},	//802 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {31, 292, 1132, 2, Smoke::mf_static, 255, 391},	//803 QGlobalSpace::operator*(double, const QSize&)
    {31, 310, 1135, 2, Smoke::mf_static, 13, 392},	//804 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {31, 305, 380, 2, Smoke::mf_static, 211, 393},	//805 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {31, 285, 1138, 2, Smoke::mf_static, 211, 394},	//806 QGlobalSpace::operator!=(QBool, bool)
    {31, 285, 405, 2, Smoke::mf_static, 211, 395},	//807 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {31, 339, 1141, 2, Smoke::mf_static, 53, 396},	//808 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {31, 310, 1144, 2, Smoke::mf_static, 56, 397},	//809 QGlobalSpace::operator<<(QDebug, const QSize&)
    {31, 285, 556, 2, Smoke::mf_static, 211, 398},	//810 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {31, 348, 1147, 2, Smoke::mf_static, 77, 399},	//811 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {31, 292, 773, 2, Smoke::mf_static, 249, 400},	//812 QGlobalSpace::operator*(const QPointF&, double)
    {31, 484, 3, 2, Smoke::mf_static, 276, 401},	//813 QGlobalSpace::qstricmp(const char*, const char*)
    {31, 348, 1150, 2, Smoke::mf_static, 88, 402},	//814 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {31, 305, 749, 2, Smoke::mf_static, 211, 403},	//815 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {31, 285, 433, 2, Smoke::mf_static, 211, 404},	//816 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {31, 436, 178, 1, Smoke::mf_static, 276, 405},	//817 QGlobalSpace::qRound(double)
    {31, 402, 0, 0, Smoke::mf_static, 273, 406},	//818 QGlobalSpace::qInf()
    {31, 310, 1153, 2, Smoke::mf_static, 53, 407},	//819 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {31, 348, 1156, 2, Smoke::mf_static, 85, 408},	//820 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {31, 310, 1159, 2, Smoke::mf_static, 53, 409},	//821 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {31, 348, 1162, 2, Smoke::mf_static, 73, 410},	//822 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {31, 348, 1165, 2, Smoke::mf_static, 96, 411},	//823 QGlobalSpace::operator|(Qt::WindowType, int)
    {31, 475, 426, 2, Smoke::mf_static, 276, 412},	//824 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {31, 434, 856, 1, Smoke::mf_static, 0, 413},	//825 QGlobalSpace::qRemovePostRoutine(void(*)())
    {31, 339, 1168, 2, Smoke::mf_static, 53, 414},	//826 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {31, 310, 1171, 2, Smoke::mf_static, 53, 415},	//827 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {31, 348, 1174, 2, Smoke::mf_static, 87, 416},	//828 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {31, 348, 1177, 2, Smoke::mf_static, 96, 417},	//829 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {31, 348, 1180, 2, Smoke::mf_static, 79, 418},	//830 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {31, 461, 0, 0, Smoke::mf_static, 56, 419},	//831 QGlobalSpace::qWarning()
    {31, 486, 1, 1, Smoke::mf_static, 289, 420},	//832 QGlobalSpace::qstrlen(const char*)
    {31, 324, 1138, 2, Smoke::mf_static, 211, 421},	//833 QGlobalSpace::operator==(QBool, bool)
    {31, 339, 1183, 2, Smoke::mf_static, 53, 422},	//834 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {31, 339, 1186, 2, Smoke::mf_static, 53, 423},	//835 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {31, 399, 1189, 1, Smoke::mf_static, 289, 424},	//836 QGlobalSpace::qHash(unsigned long)
    {31, 310, 1191, 2, Smoke::mf_static, 53, 425},	//837 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {31, 310, 1194, 2, Smoke::mf_static, 53, 426},	//838 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {31, 348, 1197, 2, Smoke::mf_static, 74, 427},	//839 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {31, 324, 541, 2, Smoke::mf_static, 211, 428},	//840 QGlobalSpace::operator==(const char*, const QString&)
    {31, 348, 1200, 2, Smoke::mf_static, 75, 429},	//841 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {31, 295, 281, 2, Smoke::mf_static, 259, 430},	//842 QGlobalSpace::operator+(const QString&, const QString&)
    {31, 285, 636, 2, Smoke::mf_static, 211, 431},	//843 QGlobalSpace::operator!=(QBool, QBool)
    {31, 348, 1203, 2, Smoke::mf_static, 64, 432},	//844 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {31, 507, 1206, 2, Smoke::mf_static, 0, 433},	//845 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {31, 334, 541, 2, Smoke::mf_static, 211, 434},	//846 QGlobalSpace::operator>=(const char*, const QString&)
    {31, 399, 1209, 1, Smoke::mf_static, 289, 435},	//847 QGlobalSpace::qHash(const QStringRef&)
    {31, 413, 178, 1, Smoke::mf_static, 211, 436},	//848 QGlobalSpace::qIsNull(double)
    {31, 348, 1211, 2, Smoke::mf_static, 96, 437},	//849 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {31, 334, 396, 2, Smoke::mf_static, 211, 438},	//850 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {31, 329, 426, 2, Smoke::mf_static, 211, 439},	//851 QGlobalSpace::operator>(const QByteArray&, const char*)
    {31, 399, 164, 1, Smoke::mf_static, 289, 440},	//852 QGlobalSpace::qHash(unsigned char)
    {31, 339, 1214, 2, Smoke::mf_static, 53, 441},	//853 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {31, 310, 1217, 2, Smoke::mf_static, 56, 442},	//854 QGlobalSpace::operator<<(QDebug, const QObject*)
    {31, 348, 1220, 2, Smoke::mf_static, 96, 443},	//855 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {31, 285, 617, 2, Smoke::mf_static, 211, 444},	//856 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {31, 310, 1223, 2, Smoke::mf_static, 13, 445},	//857 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {31, 339, 1226, 2, Smoke::mf_static, 53, 446},	//858 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {31, 310, 1229, 2, Smoke::mf_static, 53, 447},	//859 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {31, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 448},	//860 QGlobalSpace::_ISupper (enum)
    {31, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 449},	//861 QGlobalSpace::_ISlower (enum)
    {31, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 450},	//862 QGlobalSpace::_ISalpha (enum)
    {31, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 451},	//863 QGlobalSpace::_ISdigit (enum)
    {31, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 452},	//864 QGlobalSpace::_ISxdigit (enum)
    {31, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 453},	//865 QGlobalSpace::_ISspace (enum)
    {31, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 454},	//866 QGlobalSpace::_ISprint (enum)
    {31, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 455},	//867 QGlobalSpace::_ISgraph (enum)
    {31, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 456},	//868 QGlobalSpace::_ISblank (enum)
    {31, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 457},	//869 QGlobalSpace::_IScntrl (enum)
    {31, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 458},	//870 QGlobalSpace::_ISpunct (enum)
    {31, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 459},	//871 QGlobalSpace::_ISalnum (enum)
    {31, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 460},	//872 QGlobalSpace::QtDebugMsg (enum)
    {31, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 461},	//873 QGlobalSpace::QtWarningMsg (enum)
    {31, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 462},	//874 QGlobalSpace::QtCriticalMsg (enum)
    {31, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 463},	//875 QGlobalSpace::QtFatalMsg (enum)
    {31, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 208, 464},	//876 QGlobalSpace::QtSystemMsg (enum)
    {31, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 465},	//877 QGlobalSpace::__codecvt_ok (enum)
    {31, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 466},	//878 QGlobalSpace::__codecvt_partial (enum)
    {31, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 467},	//879 QGlobalSpace::__codecvt_error (enum)
    {31, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 209, 468},	//880 QGlobalSpace::__codecvt_noconv (enum)
    {41, 279, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 243, 0},	//881 QObject::metaObject() const
    {41, 511, 1, 1, Smoke::mf_virtual, 301, 0},	//882 QObject::qt_metacast(const char*)
    {41, 250, 1232, 1, Smoke::mf_virtual, 211, 0},	//883 QObject::event(QEvent*)
    {41, 251, 1234, 2, Smoke::mf_virtual, 211, 0},	//884 QObject::eventFilter(QObject*, QEvent*)
    {41, 576, 1237, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//885 QObject::timerEvent(QTimerEvent*)
    {41, 205, 1239, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//886 QObject::childEvent(QChildEvent*)
    {41, 230, 1232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//887 QObject::customEvent(QEvent*)
    {41, 210, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//888 QObject::connectNotify(const char*)
    {41, 239, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//889 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    301,  // QDBusMessage::createError(const QString&, const QString&)
    303,  // QDBusMessage::createError(QDBusError::ErrorType, const QString&)
    0,
    306,  // QDBusMessage::createErrorReply(const QString, const QString&) const
    308,  // QDBusMessage::createErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    147,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, int) const
    168,  // QDBusConnection::callWithCallback(const QDBusMessage&, QObject*, const char*, const char*) const
    0,
    162,  // QDBusConnection::connectToBus(QDBusConnection::BusType, const QString&)
    163,  // QDBusConnection::connectToBus(const QString&, const QString&)
    0,
    100,  // QDBusArgument::beginMapEntry()
    126,  // QDBusArgument::beginMapEntry() const
    0,
    94,  // QDBusArgument::beginStructure()
    120,  // QDBusArgument::beginStructure() const
    0,
    97,  // QDBusArgument::endArray()
    123,  // QDBusArgument::endArray() const
    0,
    99,  // QDBusArgument::endMap()
    125,  // QDBusArgument::endMap() const
    0,
    101,  // QDBusArgument::endMapEntry()
    127,  // QDBusArgument::endMapEntry() const
    0,
    95,  // QDBusArgument::endStructure()
    121,  // QDBusArgument::endStructure() const
    0,
    89,  // QDBusArgument::operator<<(const QDBusVariant&)
    93,  // QDBusArgument::operator<<(const QByteArray&)
    0,
    79,  // QDBusArgument::operator<<(unsigned char)
    80,  // QDBusArgument::operator<<(bool)
    81,  // QDBusArgument::operator<<(short)
    82,  // QDBusArgument::operator<<(unsigned short)
    83,  // QDBusArgument::operator<<(int)
    84,  // QDBusArgument::operator<<(unsigned int)
    85,  // QDBusArgument::operator<<(long long)
    86,  // QDBusArgument::operator<<(unsigned long long)
    87,  // QDBusArgument::operator<<(double)
    88,  // QDBusArgument::operator<<(const QString&)
    90,  // QDBusArgument::operator<<(const QDBusObjectPath&)
    91,  // QDBusArgument::operator<<(const QDBusSignature&)
    0,
    115,  // QDBusArgument::operator>>(QDBusVariant&) const
    119,  // QDBusArgument::operator>>(QByteArray&) const
    0,
    105,  // QDBusArgument::operator>>(unsigned char&) const
    106,  // QDBusArgument::operator>>(bool&) const
    107,  // QDBusArgument::operator>>(short&) const
    108,  // QDBusArgument::operator>>(unsigned short&) const
    109,  // QDBusArgument::operator>>(int&) const
    110,  // QDBusArgument::operator>>(unsigned int&) const
    111,  // QDBusArgument::operator>>(long long&) const
    112,  // QDBusArgument::operator>>(unsigned long long&) const
    113,  // QDBusArgument::operator>>(double&) const
    114,  // QDBusArgument::operator>>(QString&) const
    116,  // QDBusArgument::operator>>(QDBusObjectPath&) const
    117,  // QDBusArgument::operator>>(QDBusSignature&) const
    0,
    249,  // QDBusError::QDBusError(const DBusError*)
    250,  // QDBusError::QDBusError(const QDBusMessage&)
    252,  // QDBusError::QDBusError(const QDBusError&)
    0,
    246,  // QDBusContext::sendErrorReply(const QString&) const
    247,  // QDBusContext::sendErrorReply(QDBusError::ErrorType) const
    0,
    243,  // QDBusContext::sendErrorReply(const QString&, const QString&) const
    244,  // QDBusContext::sendErrorReply(QDBusError::ErrorType, const QString&) const
    0,
    464,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    502,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    512,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    563,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    587,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    605,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    641,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    647,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    686,  // QGlobalSpace::operator!=(QChar, QChar)
    715,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    763,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    779,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    807,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    810,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    843,  // QGlobalSpace::operator!=(QBool, QBool)
    856,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    451,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    472,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    484,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    697,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    806,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    558,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    622,  // QGlobalSpace::operator!=(bool, QBool)
    646,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    693,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    793,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    816,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    504,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    544,  // QGlobalSpace::operator!=(const char*, const QString&)
    609,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    722,  // QGlobalSpace::operator*(const QSize&, double)
    794,  // QGlobalSpace::operator*(const QPoint&, double)
    800,  // QGlobalSpace::operator*(const QSizeF&, double)
    812,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    461,  // QGlobalSpace::operator*(double, const QSizeF&)
    718,  // QGlobalSpace::operator*(double, const QPointF&)
    726,  // QGlobalSpace::operator*(double, const QPoint&)
    803,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    478,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    490,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    495,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    575,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    613,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    514,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    520,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    552,  // QGlobalSpace::operator+(QChar, const QString&)
    651,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    425,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    480,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    511,  // QGlobalSpace::operator+(const QString&, QChar)
    705,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    516,  // QGlobalSpace::operator+(const QString&, const char*)
    561,  // QGlobalSpace::operator+(const QString&, char)
    608,  // QGlobalSpace::operator+(char, const QString&)
    712,  // QGlobalSpace::operator+(const char*, const QString&)
    842,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    578,  // QGlobalSpace::operator-(const QPoint&)
    630,  // QGlobalSpace::operator-(const QPointF&)
    0,
    465,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    481,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    564,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    709,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    477,  // QGlobalSpace::operator/(const QPoint&, double)
    621,  // QGlobalSpace::operator/(const QPointF&, double)
    656,  // QGlobalSpace::operator/(const QSizeF&, double)
    784,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    449,  // QGlobalSpace::operator<(QChar, QChar)
    497,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    567,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    805,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    453,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    648,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    488,  // QGlobalSpace::operator<(const char*, const QString&)
    506,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    815,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    0,
    445,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    447,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    448,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    459,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    470,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    474,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    482,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    486,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    487,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    508,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    533,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    534,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    549,  // QGlobalSpace::operator<<(QDebug, const QDBusMessage&)
    570,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    571,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    580,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    600,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    617,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    627,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    634,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    644,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    655,  // QGlobalSpace::operator<<(QDebug, const QDBusError&)
    658,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    666,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    676,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    677,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    679,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    683,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    684,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    702,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    707,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    711,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    723,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    728,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    746,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    756,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    757,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    758,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    760,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    769,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    770,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    772,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    775,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    786,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    804,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    809,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    821,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    827,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    837,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    838,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    854,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    857,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    859,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    422,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    596,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    616,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    716,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    819,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    452,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    650,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    695,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    0,
    532,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    547,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    665,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    776,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    663,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    701,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    424,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    429,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    440,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    441,  // QGlobalSpace::operator==(QChar, QChar)
    442,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    526,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    541,  // QGlobalSpace::operator==(QBool, QBool)
    565,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    577,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    584,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    612,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    623,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    649,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    659,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    721,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    737,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    766,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    788,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    423,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    611,  // QGlobalSpace::operator==(QString::Null, const QString&)
    799,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    801,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    833,  // QGlobalSpace::operator==(QBool, bool)
    0,
    421,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    436,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    542,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    631,  // QGlobalSpace::operator==(bool, QBool)
    675,  // QGlobalSpace::operator==(const QString&, QString::Null)
    706,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    601,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    798,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    840,  // QGlobalSpace::operator==(const char*, const QString&)
    0,
    458,  // QGlobalSpace::operator>(QChar, QChar)
    517,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    529,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    602,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    437,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    501,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    413,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    450,  // QGlobalSpace::operator>=(QChar, QChar)
    657,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    744,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    638,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    850,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    431,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    466,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    509,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    540,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    555,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    562,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    610,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    625,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    628,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    654,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    670,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    671,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    680,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    691,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    699,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    704,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    708,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    710,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    714,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    719,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    743,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    761,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    767,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    777,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    781,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    790,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    808,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    826,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    834,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    835,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    853,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    858,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    667,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    782,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    416,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    417,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    426,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    443,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    454,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    457,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    460,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    463,  // QGlobalSpace::operator|(QDir::Filter, int)
    468,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    469,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    473,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    475,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    476,  // QGlobalSpace::operator|(QFile::Permission, int)
    479,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    485,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    489,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    491,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    492,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    496,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    505,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    515,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    518,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    522,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    527,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    543,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    550,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    553,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    554,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    559,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    560,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    566,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    568,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    572,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    576,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    579,  // QGlobalSpace::operator|(Qt::DropAction, int)
    581,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    585,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    590,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    593,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    597,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    606,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    619,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    620,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    629,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    633,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    639,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    640,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    645,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    652,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    653,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    673,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    681,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    687,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    690,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    703,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    713,  // QGlobalSpace::operator|(Qt::WindowState, int)
    717,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    720,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    724,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    731,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    733,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    734,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    738,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    741,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    742,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    747,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    748,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    752,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    753,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    754,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    755,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    762,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    765,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    771,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    778,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    780,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    791,  // QGlobalSpace::operator|(Qt::Orientation, int)
    795,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    796,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    802,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    811,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    814,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    820,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    822,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    823,  // QGlobalSpace::operator|(Qt::WindowType, int)
    828,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    829,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    830,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    839,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    841,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    844,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    849,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    855,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    736,  // QGlobalSpace::qFuzzyCompare(float, float)
    792,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    569,  // QGlobalSpace::qFuzzyIsNull(float)
    749,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    444,  // QGlobalSpace::qHash(const QUrl&)
    446,  // QGlobalSpace::qHash(const QByteArray&)
    523,  // QGlobalSpace::qHash(QChar)
    538,  // QGlobalSpace::qHash(const QModelIndex&)
    614,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    682,  // QGlobalSpace::qHash(const QBitArray&)
    847,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    414,  // QGlobalSpace::qHash(unsigned long long)
    435,  // QGlobalSpace::qHash(signed char)
    471,  // QGlobalSpace::qHash(char)
    521,  // QGlobalSpace::qHash(unsigned int)
    531,  // QGlobalSpace::qHash(const QString&)
    546,  // QGlobalSpace::qHash(const QDBusSignature&)
    557,  // QGlobalSpace::qHash(long long)
    574,  // QGlobalSpace::qHash(int)
    599,  // QGlobalSpace::qHash(long)
    603,  // QGlobalSpace::qHash(unsigned short)
    698,  // QGlobalSpace::qHash(const QDBusObjectPath&)
    730,  // QGlobalSpace::qHash(short)
    836,  // QGlobalSpace::qHash(unsigned long)
    852,  // QGlobalSpace::qHash(unsigned char)
    0,
    438,  // QGlobalSpace::qIntCast(double)
    525,  // QGlobalSpace::qIntCast(float)
    0,
    483,  // QGlobalSpace::qIsFinite(double)
    510,  // QGlobalSpace::qIsFinite(float)
    0,
    415,  // QGlobalSpace::qIsInf(double)
    433,  // QGlobalSpace::qIsInf(float)
    0,
    545,  // QGlobalSpace::qIsNaN(float)
    551,  // QGlobalSpace::qIsNaN(double)
    0,
    785,  // QGlobalSpace::qIsNull(float)
    848,  // QGlobalSpace::qIsNull(double)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {7, 6, 4},	// QDBus::AutoDetect
    {7, 9, 2},	// QDBus::Block
    {7, 10, 3},	// QDBus::BlockWithGui
    {7, 53, 1},	// QDBus::NoBlock
    {8, 62, 12},	// QDBusAbstractAdaptor::QDBusAbstractAdaptor#
    {8, 163, 14},	// QDBusAbstractAdaptor::autoRelaySignals
    {8, 279, 5},	// QDBusAbstractAdaptor::metaObject
    {8, 510, 11},	// QDBusAbstractAdaptor::qt_metacall$$?
    {8, 512, 6},	// QDBusAbstractAdaptor::qt_metacast$
    {8, 558, 13},	// QDBusAbstractAdaptor::setAutoRelaySignals$
    {8, 574, 17},	// QDBusAbstractAdaptor::staticMetaObject
    {8, 578, 15},	// QDBusAbstractAdaptor::tr$
    {8, 579, 7},	// QDBusAbstractAdaptor::tr$$
    {8, 580, 9},	// QDBusAbstractAdaptor::tr$$$
    {8, 582, 16},	// QDBusAbstractAdaptor::trUtf8$
    {8, 583, 8},	// QDBusAbstractAdaptor::trUtf8$$
    {8, 584, 10},	// QDBusAbstractAdaptor::trUtf8$$$
    {8, 596, 18},	// QDBusAbstractAdaptor::~QDBusAbstractAdaptor
    {9, 64, 39},	// QDBusAbstractInterface::QDBusAbstractInterface$$$##
    {9, 151, 63},	// QDBusAbstractInterface::asyncCall$
    {9, 152, 64},	// QDBusAbstractInterface::asyncCall$#
    {9, 153, 65},	// QDBusAbstractInterface::asyncCall$##
    {9, 154, 66},	// QDBusAbstractInterface::asyncCall$###
    {9, 155, 67},	// QDBusAbstractInterface::asyncCall$####
    {9, 156, 68},	// QDBusAbstractInterface::asyncCall$#####
    {9, 157, 69},	// QDBusAbstractInterface::asyncCall$######
    {9, 158, 70},	// QDBusAbstractInterface::asyncCall$#######
    {9, 159, 37},	// QDBusAbstractInterface::asyncCall$########
    {9, 161, 38},	// QDBusAbstractInterface::asyncCallWithArgumentList$?
    {9, 176, 47},	// QDBusAbstractInterface::call$
    {9, 177, 48},	// QDBusAbstractInterface::call$#
    {9, 178, 49},	// QDBusAbstractInterface::call$##
    {9, 179, 50},	// QDBusAbstractInterface::call$###
    {9, 180, 51},	// QDBusAbstractInterface::call$####
    {9, 181, 52},	// QDBusAbstractInterface::call$#####
    {9, 182, 53},	// QDBusAbstractInterface::call$######
    {9, 183, 54},	// QDBusAbstractInterface::call$#######
    {9, 184, 32},	// QDBusAbstractInterface::call$########
    {9, 185, 55},	// QDBusAbstractInterface::call$$
    {9, 186, 56},	// QDBusAbstractInterface::call$$#
    {9, 187, 57},	// QDBusAbstractInterface::call$$##
    {9, 188, 58},	// QDBusAbstractInterface::call$$###
    {9, 189, 59},	// QDBusAbstractInterface::call$$####
    {9, 190, 60},	// QDBusAbstractInterface::call$$#####
    {9, 191, 61},	// QDBusAbstractInterface::call$$######
    {9, 192, 62},	// QDBusAbstractInterface::call$$#######
    {9, 193, 33},	// QDBusAbstractInterface::call$$########
    {9, 195, 34},	// QDBusAbstractInterface::callWithArgumentList$$?
    {9, 200, 36},	// QDBusAbstractInterface::callWithCallback$?#$
    {9, 201, 35},	// QDBusAbstractInterface::callWithCallback$?#$$
    {9, 211, 40},	// QDBusAbstractInterface::connectNotify$
    {9, 214, 27},	// QDBusAbstractInterface::connection
    {9, 240, 41},	// QDBusAbstractInterface::disconnectNotify$
    {9, 258, 30},	// QDBusAbstractInterface::interface
    {9, 260, 71},	// QDBusAbstractInterface::internalConstCall$$
    {9, 261, 44},	// QDBusAbstractInterface::internalConstCall$$?
    {9, 263, 42},	// QDBusAbstractInterface::internalPropGet$
    {9, 265, 43},	// QDBusAbstractInterface::internalPropSet$#
    {9, 273, 26},	// QDBusAbstractInterface::isValid
    {9, 274, 31},	// QDBusAbstractInterface::lastError
    {9, 279, 19},	// QDBusAbstractInterface::metaObject
    {9, 351, 29},	// QDBusAbstractInterface::path
    {9, 510, 25},	// QDBusAbstractInterface::qt_metacall$$?
    {9, 512, 20},	// QDBusAbstractInterface::qt_metacast$
    {9, 541, 28},	// QDBusAbstractInterface::service
    {9, 574, 72},	// QDBusAbstractInterface::staticMetaObject
    {9, 578, 45},	// QDBusAbstractInterface::tr$
    {9, 579, 21},	// QDBusAbstractInterface::tr$$
    {9, 580, 23},	// QDBusAbstractInterface::tr$$$
    {9, 582, 46},	// QDBusAbstractInterface::trUtf8$
    {9, 583, 22},	// QDBusAbstractInterface::trUtf8$$
    {9, 584, 24},	// QDBusAbstractInterface::trUtf8$$$
    {9, 597, 73},	// QDBusAbstractInterface::~QDBusAbstractInterface
    {10, 510, 74},	// QDBusAbstractInterfaceBase::qt_metacall$$?
    {10, 598, 75},	// QDBusAbstractInterfaceBase::~QDBusAbstractInterfaceBase
    {11, 5, 132},	// QDBusArgument::ArrayType
    {11, 8, 130},	// QDBusArgument::BasicType
    {11, 44, 135},	// QDBusArgument::MapEntryType
    {11, 45, 134},	// QDBusArgument::MapType
    {11, 65, 76},	// QDBusArgument::QDBusArgument
    {11, 66, 77},	// QDBusArgument::QDBusArgument#
    {11, 111, 133},	// QDBusArgument::StructureType
    {11, 118, 136},	// QDBusArgument::UnknownType
    {11, 121, 131},	// QDBusArgument::VariantType
    {11, 145, 102},	// QDBusArgument::appendVariant#
    {11, 147, 129},	// QDBusArgument::asVariant
    {11, 162, 128},	// QDBusArgument::atEnd
    {11, 166, 122},	// QDBusArgument::beginArray
    {11, 167, 96},	// QDBusArgument::beginArray$
    {11, 168, 124},	// QDBusArgument::beginMap
    {11, 169, 98},	// QDBusArgument::beginMap$$
    {11, 170, -13},	// QDBusArgument::beginMapEntry
    {11, 171, -16},	// QDBusArgument::beginStructure
    {11, 228, 103},	// QDBusArgument::currentSignature
    {11, 229, 104},	// QDBusArgument::currentType
    {11, 241, -19},	// QDBusArgument::endArray
    {11, 242, -22},	// QDBusArgument::endMap
    {11, 243, -25},	// QDBusArgument::endMapEntry
    {11, 244, -28},	// QDBusArgument::endStructure
    {11, 311, -31},	// QDBusArgument::operator<<#
    {11, 315, -34},	// QDBusArgument::operator<<$
    {11, 316, 92},	// QDBusArgument::operator<<?
    {11, 323, 78},	// QDBusArgument::operator=#
    {11, 340, -47},	// QDBusArgument::operator>>#
    {11, 344, -50},	// QDBusArgument::operator>>$
    {11, 345, 118},	// QDBusArgument::operator>>?
    {11, 599, 137},	// QDBusArgument::~QDBusArgument
    {12, 2, 178},	// QDBusConnection::ActivationBus
    {12, 15, 179},	// QDBusConnection::ExportAdaptors
    {12, 16, 194},	// QDBusConnection::ExportAllContents
    {12, 17, 193},	// QDBusConnection::ExportAllInvokables
    {12, 18, 192},	// QDBusConnection::ExportAllProperties
    {12, 19, 195},	// QDBusConnection::ExportAllSignal
    {12, 20, 191},	// QDBusConnection::ExportAllSignals
    {12, 21, 190},	// QDBusConnection::ExportAllSlots
    {12, 22, 196},	// QDBusConnection::ExportChildObjects
    {12, 23, 189},	// QDBusConnection::ExportNonScriptableContents
    {12, 24, 188},	// QDBusConnection::ExportNonScriptableInvokables
    {12, 25, 187},	// QDBusConnection::ExportNonScriptableProperties
    {12, 26, 186},	// QDBusConnection::ExportNonScriptableSignals
    {12, 27, 185},	// QDBusConnection::ExportNonScriptableSlots
    {12, 28, 184},	// QDBusConnection::ExportScriptableContents
    {12, 29, 183},	// QDBusConnection::ExportScriptableInvokables
    {12, 30, 182},	// QDBusConnection::ExportScriptableProperties
    {12, 31, 181},	// QDBusConnection::ExportScriptableSignals
    {12, 32, 180},	// QDBusConnection::ExportScriptableSlots
    {12, 68, 139},	// QDBusConnection::QDBusConnection#
    {12, 69, 138},	// QDBusConnection::QDBusConnection$
    {12, 109, 176},	// QDBusConnection::SessionBus
    {12, 112, 177},	// QDBusConnection::SystemBus
    {12, 119, 197},	// QDBusConnection::UnregisterNode
    {12, 120, 198},	// QDBusConnection::UnregisterTree
    {12, 149, 172},	// QDBusConnection::asyncCall#
    {12, 150, 149},	// QDBusConnection::asyncCall#$
    {12, 165, 142},	// QDBusConnection::baseService
    {12, 173, 170},	// QDBusConnection::call#
    {12, 174, 171},	// QDBusConnection::call#$
    {12, 175, 148},	// QDBusConnection::call#$$
    {12, 197, 169},	// QDBusConnection::callWithCallback##$
    {12, 198, -7},	// QDBusConnection::callWithCallback##$$
    {12, 199, 146},	// QDBusConnection::callWithCallback##$$$
    {12, 207, 150},	// QDBusConnection::connect$$$$#$
    {12, 208, 151},	// QDBusConnection::connect$$$$$#$
    {12, 209, 152},	// QDBusConnection::connect$$$$?$#$
    {12, 213, -10},	// QDBusConnection::connectToBus$$
    {12, 234, 153},	// QDBusConnection::disconnect$$$$#$
    {12, 235, 154},	// QDBusConnection::disconnect$$$$$#$
    {12, 236, 155},	// QDBusConnection::disconnect$$$$?$#$
    {12, 238, 164},	// QDBusConnection::disconnectFromBus$
    {12, 258, 161},	// QDBusConnection::interface
    {12, 266, 141},	// QDBusConnection::isConnected
    {12, 274, 143},	// QDBusConnection::lastError
    {12, 280, 144},	// QDBusConnection::name
    {12, 284, 158},	// QDBusConnection::objectRegisteredAt$
    {12, 323, 140},	// QDBusConnection::operator=#
    {12, 525, 173},	// QDBusConnection::registerObject$#
    {12, 526, 156},	// QDBusConnection::registerObject$#$
    {12, 528, 159},	// QDBusConnection::registerService$
    {12, 536, 145},	// QDBusConnection::send#
    {12, 540, 167},	// QDBusConnection::sender
    {12, 554, 165},	// QDBusConnection::sessionBus
    {12, 574, 175},	// QDBusConnection::staticMetaObject
    {12, 575, 166},	// QDBusConnection::systemBus
    {12, 589, 174},	// QDBusConnection::unregisterObject$
    {12, 590, 157},	// QDBusConnection::unregisterObject$$
    {12, 592, 160},	// QDBusConnection::unregisterService$
    {12, 600, 199},	// QDBusConnection::~QDBusConnection
    {13, 4, 233},	// QDBusConnectionInterface::AllowReplacement
    {13, 12, 232},	// QDBusConnectionInterface::DontAllowReplacement
    {13, 13, 229},	// QDBusConnectionInterface::DontQueueService
    {13, 48, 219},	// QDBusConnectionInterface::NameAcquired$
    {13, 50, 220},	// QDBusConnectionInterface::NameLost$
    {13, 52, 221},	// QDBusConnectionInterface::NameOwnerChanged$$$
    {13, 102, 230},	// QDBusConnectionInterface::QueueService
    {13, 103, 231},	// QDBusConnectionInterface::ReplaceExistingService
    {13, 105, 234},	// QDBusConnectionInterface::ServiceNotRegistered
    {13, 106, 236},	// QDBusConnectionInterface::ServiceQueued
    {13, 107, 235},	// QDBusConnectionInterface::ServiceRegistered
    {13, 203, 218},	// QDBusConnectionInterface::callWithCallbackFailed##
    {13, 211, 222},	// QDBusConnectionInterface::connectNotify$
    {13, 240, 223},	// QDBusConnectionInterface::disconnectNotify$
    {13, 272, 208},	// QDBusConnectionInterface::isServiceRegistered$
    {13, 279, 200},	// QDBusConnectionInterface::metaObject
    {13, 510, 206},	// QDBusConnectionInterface::qt_metacall$$?
    {13, 512, 201},	// QDBusConnectionInterface::qt_metacast$
    {13, 528, 226},	// QDBusConnectionInterface::registerService$
    {13, 529, 227},	// QDBusConnectionInterface::registerService$$
    {13, 530, 211},	// QDBusConnectionInterface::registerService$$$
    {13, 531, 207},	// QDBusConnectionInterface::registeredServiceNames
    {13, 543, 209},	// QDBusConnectionInterface::serviceOwner$
    {13, 545, 217},	// QDBusConnectionInterface::serviceOwnerChanged$$$
    {13, 547, 212},	// QDBusConnectionInterface::servicePid$
    {13, 549, 215},	// QDBusConnectionInterface::serviceRegistered$
    {13, 551, 213},	// QDBusConnectionInterface::serviceUid$
    {13, 553, 216},	// QDBusConnectionInterface::serviceUnregistered$
    {13, 573, 214},	// QDBusConnectionInterface::startService$
    {13, 574, 228},	// QDBusConnectionInterface::staticMetaObject
    {13, 578, 224},	// QDBusConnectionInterface::tr$
    {13, 579, 202},	// QDBusConnectionInterface::tr$$
    {13, 580, 204},	// QDBusConnectionInterface::tr$$$
    {13, 582, 225},	// QDBusConnectionInterface::trUtf8$
    {13, 583, 203},	// QDBusConnectionInterface::trUtf8$$
    {13, 584, 205},	// QDBusConnectionInterface::trUtf8$$$
    {13, 592, 210},	// QDBusConnectionInterface::unregisterService$
    {14, 70, 237},	// QDBusContext::QDBusContext
    {14, 71, 245},	// QDBusContext::QDBusContext#
    {14, 204, 238},	// QDBusContext::calledFromDBus
    {14, 214, 239},	// QDBusContext::connection
    {14, 267, 241},	// QDBusContext::isDelayedReply
    {14, 278, 240},	// QDBusContext::message
    {14, 538, -67},	// QDBusContext::sendErrorReply$
    {14, 539, -70},	// QDBusContext::sendErrorReply$$
    {14, 564, 242},	// QDBusContext::setDelayedReply$
    {14, 601, 248},	// QDBusContext::~QDBusContext
    {15, 1, 269},	// QDBusError::AccessDenied
    {15, 3, 273},	// QDBusError::AddressInUse
    {15, 7, 266},	// QDBusError::BadAddress
    {15, 11, 274},	// QDBusError::Disconnected
    {15, 33, 262},	// QDBusError::Failed
    {15, 34, 280},	// QDBusError::InternalError
    {15, 35, 275},	// QDBusError::InvalidArgs
    {15, 36, 284},	// QDBusError::InvalidInterface
    {15, 37, 285},	// QDBusError::InvalidMember
    {15, 39, 283},	// QDBusError::InvalidObjectPath
    {15, 40, 282},	// QDBusError::InvalidService
    {15, 41, 278},	// QDBusError::InvalidSignature
    {15, 42, 286},	// QDBusError::LastErrorType
    {15, 43, 268},	// QDBusError::LimitsExceeded
    {15, 54, 260},	// QDBusError::NoError
    {15, 55, 263},	// QDBusError::NoMemory
    {15, 56, 272},	// QDBusError::NoNetwork
    {15, 57, 265},	// QDBusError::NoReply
    {15, 58, 270},	// QDBusError::NoServer
    {15, 59, 267},	// QDBusError::NotSupported
    {15, 60, 261},	// QDBusError::Other
    {15, 72, 259},	// QDBusError::QDBusError
    {15, 73, -63},	// QDBusError::QDBusError#
    {15, 74, 251},	// QDBusError::QDBusError$$
    {15, 108, 264},	// QDBusError::ServiceUnknown
    {15, 113, 277},	// QDBusError::TimedOut
    {15, 114, 271},	// QDBusError::Timeout
    {15, 115, 279},	// QDBusError::UnknownInterface
    {15, 116, 276},	// QDBusError::UnknownMethod
    {15, 117, 281},	// QDBusError::UnknownObject
    {15, 249, 258},	// QDBusError::errorString$
    {15, 273, 257},	// QDBusError::isValid
    {15, 278, 256},	// QDBusError::message
    {15, 280, 255},	// QDBusError::name
    {15, 323, 253},	// QDBusError::operator=#
    {15, 585, 254},	// QDBusError::type
    {15, 602, 287},	// QDBusError::~QDBusError
    {16, 76, 292},	// QDBusInterface::QDBusInterface$$
    {16, 77, 293},	// QDBusInterface::QDBusInterface$$$
    {16, 78, 294},	// QDBusInterface::QDBusInterface$$$#
    {16, 79, 288},	// QDBusInterface::QDBusInterface$$$##
    {16, 279, 289},	// QDBusInterface::metaObject
    {16, 510, 291},	// QDBusInterface::qt_metacall$$?
    {16, 512, 290},	// QDBusInterface::qt_metacast$
    {16, 603, 295},	// QDBusInterface::~QDBusInterface
    {17, 14, 329},	// QDBusMessage::ErrorMessage
    {17, 38, 326},	// QDBusMessage::InvalidMessage
    {17, 46, 327},	// QDBusMessage::MethodCallMessage
    {17, 80, 296},	// QDBusMessage::QDBusMessage
    {17, 81, 297},	// QDBusMessage::QDBusMessage#
    {17, 104, 328},	// QDBusMessage::ReplyMessage
    {17, 110, 330},	// QDBusMessage::SignalMessage
    {17, 146, 323},	// QDBusMessage::arguments
    {17, 164, 321},	// QDBusMessage::autoStartService
    {17, 216, 302},	// QDBusMessage::createError#
    {17, 217, -1},	// QDBusMessage::createError$$
    {17, 219, 307},	// QDBusMessage::createErrorReply#
    {17, 220, -4},	// QDBusMessage::createErrorReply$$
    {17, 222, 300},	// QDBusMessage::createMethodCall$$$$
    {17, 223, 325},	// QDBusMessage::createReply
    {17, 224, 305},	// QDBusMessage::createReply#
    {17, 225, 304},	// QDBusMessage::createReply?
    {17, 227, 299},	// QDBusMessage::createSignal$$$
    {17, 246, 314},	// QDBusMessage::errorMessage
    {17, 247, 313},	// QDBusMessage::errorName
    {17, 258, 311},	// QDBusMessage::interface
    {17, 267, 319},	// QDBusMessage::isDelayedReply
    {17, 270, 317},	// QDBusMessage::isReplyRequired
    {17, 277, 312},	// QDBusMessage::member
    {17, 311, 324},	// QDBusMessage::operator<<#
    {17, 323, 298},	// QDBusMessage::operator=#
    {17, 351, 310},	// QDBusMessage::path
    {17, 541, 309},	// QDBusMessage::service
    {17, 556, 322},	// QDBusMessage::setArguments?
    {17, 560, 320},	// QDBusMessage::setAutoStartService$
    {17, 564, 318},	// QDBusMessage::setDelayedReply$
    {17, 569, 316},	// QDBusMessage::signature
    {17, 585, 315},	// QDBusMessage::type
    {17, 604, 331},	// QDBusMessage::~QDBusMessage
    {18, 82, 337},	// QDBusMetaType::QDBusMetaType
    {18, 83, 338},	// QDBusMetaType::QDBusMetaType#
    {18, 232, 334},	// QDBusMetaType::demarshall#$$
    {18, 276, 333},	// QDBusMetaType::marshall#$$
    {18, 523, 332},	// QDBusMetaType::registerMarshallOperators$$$
    {18, 571, 335},	// QDBusMetaType::signatureToType$
    {18, 587, 336},	// QDBusMetaType::typeToSignature$
    {18, 605, 339},	// QDBusMetaType::~QDBusMetaType
    {19, 85, 340},	// QDBusPendingCall::QDBusPendingCall#
    {19, 245, 346},	// QDBusPendingCall::error
    {19, 255, 349},	// QDBusPendingCall::fromCompletedCall#
    {19, 257, 348},	// QDBusPendingCall::fromError#
    {19, 268, 344},	// QDBusPendingCall::isError
    {19, 269, 342},	// QDBusPendingCall::isFinished
    {19, 273, 345},	// QDBusPendingCall::isValid
    {19, 323, 341},	// QDBusPendingCall::operator=#
    {19, 534, 347},	// QDBusPendingCall::reply
    {19, 593, 343},	// QDBusPendingCall::waitForFinished
    {19, 606, 350},	// QDBusPendingCall::~QDBusPendingCall
    {20, 87, 363},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher#
    {20, 88, 358},	// QDBusPendingCallWatcher::QDBusPendingCallWatcher##
    {20, 253, 360},	// QDBusPendingCallWatcher::finished#
    {20, 279, 351},	// QDBusPendingCallWatcher::metaObject
    {20, 510, 357},	// QDBusPendingCallWatcher::qt_metacall$$?
    {20, 512, 352},	// QDBusPendingCallWatcher::qt_metacast$
    {20, 574, 364},	// QDBusPendingCallWatcher::staticMetaObject
    {20, 578, 361},	// QDBusPendingCallWatcher::tr$
    {20, 579, 353},	// QDBusPendingCallWatcher::tr$$
    {20, 580, 355},	// QDBusPendingCallWatcher::tr$$$
    {20, 582, 362},	// QDBusPendingCallWatcher::trUtf8$
    {20, 583, 354},	// QDBusPendingCallWatcher::trUtf8$$
    {20, 584, 356},	// QDBusPendingCallWatcher::trUtf8$$$
    {20, 593, 359},	// QDBusPendingCallWatcher::waitForFinished
    {20, 607, 365},	// QDBusPendingCallWatcher::~QDBusPendingCallWatcher
    {21, 90, 380},	// QDBusServer::QDBusServer$
    {21, 91, 373},	// QDBusServer::QDBusServer$#
    {21, 143, 376},	// QDBusServer::address
    {21, 266, 374},	// QDBusServer::isConnected
    {21, 274, 375},	// QDBusServer::lastError
    {21, 279, 366},	// QDBusServer::metaObject
    {21, 282, 377},	// QDBusServer::newConnection#
    {21, 510, 372},	// QDBusServer::qt_metacall$$?
    {21, 512, 367},	// QDBusServer::qt_metacast$
    {21, 574, 381},	// QDBusServer::staticMetaObject
    {21, 578, 378},	// QDBusServer::tr$
    {21, 579, 368},	// QDBusServer::tr$$
    {21, 580, 370},	// QDBusServer::tr$$$
    {21, 582, 379},	// QDBusServer::trUtf8$
    {21, 583, 369},	// QDBusServer::trUtf8$$
    {21, 584, 371},	// QDBusServer::trUtf8$$$
    {21, 608, 382},	// QDBusServer::~QDBusServer
    {22, 92, 405},	// QDBusServiceWatcher::QDBusServiceWatcher
    {22, 93, 390},	// QDBusServiceWatcher::QDBusServiceWatcher#
    {22, 94, 406},	// QDBusServiceWatcher::QDBusServiceWatcher$#
    {22, 95, 407},	// QDBusServiceWatcher::QDBusServiceWatcher$#$
    {22, 96, 391},	// QDBusServiceWatcher::QDBusServiceWatcher$#$#
    {22, 122, 411},	// QDBusServiceWatcher::WatchForOwnerChange
    {22, 123, 409},	// QDBusServiceWatcher::WatchForRegistration
    {22, 124, 410},	// QDBusServiceWatcher::WatchForUnregistration
    {22, 142, 394},	// QDBusServiceWatcher::addWatchedService$
    {22, 214, 398},	// QDBusServiceWatcher::connection
    {22, 279, 383},	// QDBusServiceWatcher::metaObject
    {22, 510, 389},	// QDBusServiceWatcher::qt_metacall$$?
    {22, 512, 384},	// QDBusServiceWatcher::qt_metacast$
    {22, 533, 395},	// QDBusServiceWatcher::removeWatchedService$
    {22, 545, 402},	// QDBusServiceWatcher::serviceOwnerChanged$$$
    {22, 549, 400},	// QDBusServiceWatcher::serviceRegistered$
    {22, 553, 401},	// QDBusServiceWatcher::serviceUnregistered$
    {22, 562, 399},	// QDBusServiceWatcher::setConnection#
    {22, 566, 397},	// QDBusServiceWatcher::setWatchMode$
    {22, 568, 393},	// QDBusServiceWatcher::setWatchedServices?
    {22, 574, 408},	// QDBusServiceWatcher::staticMetaObject
    {22, 578, 403},	// QDBusServiceWatcher::tr$
    {22, 579, 385},	// QDBusServiceWatcher::tr$$
    {22, 580, 387},	// QDBusServiceWatcher::tr$$$
    {22, 582, 404},	// QDBusServiceWatcher::trUtf8$
    {22, 583, 386},	// QDBusServiceWatcher::trUtf8$$
    {22, 584, 388},	// QDBusServiceWatcher::trUtf8$$$
    {22, 594, 396},	// QDBusServiceWatcher::watchMode
    {22, 595, 392},	// QDBusServiceWatcher::watchedServices
    {22, 609, 412},	// QDBusServiceWatcher::~QDBusServiceWatcher
    {31, 97, 874},	// QGlobalSpace::QtCriticalMsg
    {31, 98, 872},	// QGlobalSpace::QtDebugMsg
    {31, 99, 875},	// QGlobalSpace::QtFatalMsg
    {31, 100, 876},	// QGlobalSpace::QtSystemMsg
    {31, 101, 873},	// QGlobalSpace::QtWarningMsg
    {31, 125, 871},	// QGlobalSpace::_ISalnum
    {31, 126, 862},	// QGlobalSpace::_ISalpha
    {31, 127, 868},	// QGlobalSpace::_ISblank
    {31, 128, 869},	// QGlobalSpace::_IScntrl
    {31, 129, 863},	// QGlobalSpace::_ISdigit
    {31, 130, 867},	// QGlobalSpace::_ISgraph
    {31, 131, 861},	// QGlobalSpace::_ISlower
    {31, 132, 866},	// QGlobalSpace::_ISprint
    {31, 133, 870},	// QGlobalSpace::_ISpunct
    {31, 134, 865},	// QGlobalSpace::_ISspace
    {31, 135, 860},	// QGlobalSpace::_ISupper
    {31, 136, 864},	// QGlobalSpace::_ISxdigit
    {31, 137, 879},	// QGlobalSpace::__codecvt_error
    {31, 138, 880},	// QGlobalSpace::__codecvt_noconv
    {31, 139, 877},	// QGlobalSpace::__codecvt_ok
    {31, 140, 878},	// QGlobalSpace::__codecvt_partial
    {31, 286, -73},	// QGlobalSpace::operator!=##
    {31, 287, -90},	// QGlobalSpace::operator!=#$
    {31, 288, -96},	// QGlobalSpace::operator!=$#
    {31, 289, -103},	// QGlobalSpace::operator!=$$
    {31, 291, 637},	// QGlobalSpace::operator&##
    {31, 293, -107},	// QGlobalSpace::operator*#$
    {31, 294, -112},	// QGlobalSpace::operator*$#
    {31, 296, -117},	// QGlobalSpace::operator+##
    {31, 297, -123},	// QGlobalSpace::operator+#$
    {31, 298, -128},	// QGlobalSpace::operator+$#
    {31, 299, -133},	// QGlobalSpace::operator+$$
    {31, 301, -139},	// QGlobalSpace::operator-#
    {31, 302, -142},	// QGlobalSpace::operator-##
    {31, 304, -147},	// QGlobalSpace::operator/#$
    {31, 306, -152},	// QGlobalSpace::operator<##
    {31, 307, 678},	// QGlobalSpace::operator<#$
    {31, 308, -157},	// QGlobalSpace::operator<$#
    {31, 309, -160},	// QGlobalSpace::operator<$$
    {31, 312, -164},	// QGlobalSpace::operator<<##
    {31, 313, -219},	// QGlobalSpace::operator<<#$
    {31, 314, -225},	// QGlobalSpace::operator<<#?
    {31, 318, -229},	// QGlobalSpace::operator<=##
    {31, 319, 524},	// QGlobalSpace::operator<=#$
    {31, 320, -234},	// QGlobalSpace::operator<=$#
    {31, 321, 692},	// QGlobalSpace::operator<=$$
    {31, 325, -237},	// QGlobalSpace::operator==##
    {31, 326, -256},	// QGlobalSpace::operator==#$
    {31, 327, -262},	// QGlobalSpace::operator==$#
    {31, 328, -269},	// QGlobalSpace::operator==$$
    {31, 330, -273},	// QGlobalSpace::operator>##
    {31, 331, 851},	// QGlobalSpace::operator>#$
    {31, 332, -278},	// QGlobalSpace::operator>$#
    {31, 333, 615},	// QGlobalSpace::operator>$$
    {31, 335, -281},	// QGlobalSpace::operator>=##
    {31, 336, 432},	// QGlobalSpace::operator>=#$
    {31, 337, -286},	// QGlobalSpace::operator>=$#
    {31, 338, 846},	// QGlobalSpace::operator>=$$
    {31, 341, -289},	// QGlobalSpace::operator>>##
    {31, 342, -323},	// QGlobalSpace::operator>>#$
    {31, 343, 594},	// QGlobalSpace::operator>>#?
    {31, 347, 528},	// QGlobalSpace::operator^##
    {31, 349, 768},	// QGlobalSpace::operator|##
    {31, 350, -326},	// QGlobalSpace::operator|$$
    {31, 353, 740},	// QGlobalSpace::qAcos$
    {31, 355, 660},	// QGlobalSpace::qAddPostRoutine$
    {31, 356, 668},	// QGlobalSpace::qAppName
    {31, 358, 759},	// QGlobalSpace::qAsin$
    {31, 360, 789},	// QGlobalSpace::qAtan$
    {31, 362, 430},	// QGlobalSpace::qAtan2$$
    {31, 363, 745},	// QGlobalSpace::qBadAlloc
    {31, 365, 685},	// QGlobalSpace::qCeil$
    {31, 367, 589},	// QGlobalSpace::qChecksum$$
    {31, 369, 751},	// QGlobalSpace::qCompress#
    {31, 370, 750},	// QGlobalSpace::qCompress#$
    {31, 371, 662},	// QGlobalSpace::qCompress$$
    {31, 372, 661},	// QGlobalSpace::qCompress$$$
    {31, 374, 456},	// QGlobalSpace::qCos$
    {31, 375, 643},	// QGlobalSpace::qCritical
    {31, 377, 636},	// QGlobalSpace::qDBusReplyFill###
    {31, 378, 694},	// QGlobalSpace::qDebug
    {31, 380, 582},	// QGlobalSpace::qExp$
    {31, 382, 732},	// QGlobalSpace::qFabs$
    {31, 384, 539},	// QGlobalSpace::qFastCos$
    {31, 386, 664},	// QGlobalSpace::qFastSin$
    {31, 388, 548},	// QGlobalSpace::qFlagLocation$
    {31, 390, 507},	// QGlobalSpace::qFloor$
    {31, 392, 672},	// QGlobalSpace::qFree$
    {31, 394, 674},	// QGlobalSpace::qFreeAligned$
    {31, 396, -420},	// QGlobalSpace::qFuzzyCompare$$
    {31, 398, -423},	// QGlobalSpace::qFuzzyIsNull$
    {31, 400, -426},	// QGlobalSpace::qHash#
    {31, 401, -434},	// QGlobalSpace::qHash$
    {31, 402, 818},	// QGlobalSpace::qInf
    {31, 404, 536},	// QGlobalSpace::qInstallMsgHandler$
    {31, 406, -449},	// QGlobalSpace::qIntCast$
    {31, 408, -452},	// QGlobalSpace::qIsFinite$
    {31, 410, -455},	// QGlobalSpace::qIsInf$
    {31, 412, -458},	// QGlobalSpace::qIsNaN$
    {31, 414, -461},	// QGlobalSpace::qIsNull$
    {31, 416, 586},	// QGlobalSpace::qLn$
    {31, 418, 591},	// QGlobalSpace::qMalloc$
    {31, 420, 696},	// QGlobalSpace::qMallocAligned$$
    {31, 422, 419},	// QGlobalSpace::qMemCopy$$$
    {31, 424, 727},	// QGlobalSpace::qMemSet$$$
    {31, 426, 700},	// QGlobalSpace::qPow$$
    {31, 427, 592},	// QGlobalSpace::qQNaN
    {31, 429, 530},	// QGlobalSpace::qRealloc$$
    {31, 431, 519},	// QGlobalSpace::qReallocAligned$$$$
    {31, 433, 588},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {31, 435, 825},	// QGlobalSpace::qRemovePostRoutine$
    {31, 437, 817},	// QGlobalSpace::qRound$
    {31, 439, 535},	// QGlobalSpace::qRound64$
    {31, 440, 797},	// QGlobalSpace::qSNaN
    {31, 442, 503},	// QGlobalSpace::qSetFieldWidth$
    {31, 444, 439},	// QGlobalSpace::qSetPadChar#
    {31, 446, 583},	// QGlobalSpace::qSetRealNumberPrecision$
    {31, 447, 462},	// QGlobalSpace::qSharedBuild
    {31, 449, 764},	// QGlobalSpace::qSin$
    {31, 451, 537},	// QGlobalSpace::qSqrt$
    {31, 453, 688},	// QGlobalSpace::qStringComparisonHelper#$
    {31, 454, 427},	// QGlobalSpace::qStringComparisonHelper$$
    {31, 456, 500},	// QGlobalSpace::qTan$
    {31, 458, 626},	// QGlobalSpace::qUncompress#
    {31, 459, 498},	// QGlobalSpace::qUncompress$$
    {31, 460, 669},	// QGlobalSpace::qVersion
    {31, 461, 831},	// QGlobalSpace::qWarning
    {31, 463, 513},	// QGlobalSpace::qbswap_helper$$$
    {31, 465, 739},	// QGlobalSpace::qgcvt$$$
    {31, 467, 434},	// QGlobalSpace::qgetenv$
    {31, 469, 595},	// QGlobalSpace::qputenv$#
    {31, 470, 632},	// QGlobalSpace::qrand
    {31, 472, 642},	// QGlobalSpace::qsort$$$?
    {31, 474, 598},	// QGlobalSpace::qsrand$
    {31, 476, 735},	// QGlobalSpace::qstrcmp##
    {31, 477, 824},	// QGlobalSpace::qstrcmp#$
    {31, 478, 428},	// QGlobalSpace::qstrcmp$#
    {31, 479, 455},	// QGlobalSpace::qstrcmp$$
    {31, 481, 573},	// QGlobalSpace::qstrcpy$$
    {31, 483, 689},	// QGlobalSpace::qstrdup$
    {31, 485, 813},	// QGlobalSpace::qstricmp$$
    {31, 487, 832},	// QGlobalSpace::qstrlen$
    {31, 489, 499},	// QGlobalSpace::qstrncmp$$$
    {31, 491, 624},	// QGlobalSpace::qstrncpy$$$
    {31, 493, 607},	// QGlobalSpace::qstrnicmp$$$
    {31, 495, 418},	// QGlobalSpace::qstrnlen$$
    {31, 497, 774},	// QGlobalSpace::qtTrId$
    {31, 498, 773},	// QGlobalSpace::qtTrId$$
    {31, 500, 556},	// QGlobalSpace::qt_assert$$$
    {31, 502, 635},	// QGlobalSpace::qt_assert_x$$$$
    {31, 504, 729},	// QGlobalSpace::qt_check_pointer$$
    {31, 505, 494},	// QGlobalSpace::qt_error_string
    {31, 506, 493},	// QGlobalSpace::qt_error_string$
    {31, 508, 845},	// QGlobalSpace::qt_message_output$$
    {31, 513, 420},	// QGlobalSpace::qt_noop
    {31, 515, 618},	// QGlobalSpace::qt_qFindChild_helper#$#
    {31, 517, 787},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {31, 519, 783},	// QGlobalSpace::qvariant_cast_helper#$$
    {31, 521, 725},	// QGlobalSpace::qvsnprintf$$$?
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtdbus_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtdbus_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtdbus_Smoke = new Smoke(
        "qtdbus",
        __smokeqtdbus::classes, 59,
        __smokeqtdbus::methods, 890,
        __smokeqtdbus::methodMaps, 534,
        __smokeqtdbus::methodNames, 609,
        __smokeqtdbus::types, 303,
        __smokeqtdbus::inheritanceList,
        __smokeqtdbus::argumentList,
        __smokeqtdbus::ambiguousMethodList,
        __smokeqtdbus::cast );
    initialized = true;
}

void delete_qtdbus_Smoke() { delete qtdbus_Smoke; }

}
