#include <qtnetwork_includes.h>

#include <smoke.h>
#include <qtnetwork_smoke.h>

namespace __smokeqtnetwork {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QAbstractNetworkCache
      switch(to) {
        case 52: return (void*)(QObject*)(QAbstractNetworkCache*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QAbstractNetworkCache*)xptr;
        default: return xptr;
      }
    case 2:   //QAbstractSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QAbstractSocket*)xptr;
        case 52: return (void*)(QObject*)(QAbstractSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)xptr;
        case 76: return (void*)(QUdpSocket*)(QAbstractSocket*)xptr;
        case 67: return (void*)(QSslSocket*)(QAbstractSocket*)xptr;
        case 71: return (void*)(QTcpSocket*)(QAbstractSocket*)xptr;
        default: return xptr;
      }
    case 3:   //QAuthenticator
      switch(to) {
        case 3: return (void*)(QAuthenticator*)xptr;
        default: return xptr;
      }
    case 4:   //QBitArray
      switch(to) {
        case 4: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 5:   //QBool
      switch(to) {
        case 5: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 6:   //QByteArray
      switch(to) {
        case 6: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 7:   //QChar
      switch(to) {
        case 7: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 8:   //QChildEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 8: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 9:   //QDataStream
      switch(to) {
        case 9: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 10:   //QDate
      switch(to) {
        case 10: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 11:   //QDateTime
      switch(to) {
        case 11: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 12:   //QDebug
      switch(to) {
        case 12: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 13:   //QDir
      switch(to) {
        case 13: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 14:   //QEasingCurve
      switch(to) {
        case 14: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 15:   //QEvent
      switch(to) {
        case 15: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 16:   //QFtp
      switch(to) {
        case 52: return (void*)(QObject*)(QFtp*)xptr;
        case 16: return (void*)(QFtp*)xptr;
        default: return xptr;
      }
    case 18:   //QHashDummyValue
      switch(to) {
        case 18: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 19:   //QHostAddress
      switch(to) {
        case 19: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 20:   //QHostInfo
      switch(to) {
        case 20: return (void*)(QHostInfo*)xptr;
        default: return xptr;
      }
    case 21:   //QHttp
      switch(to) {
        case 52: return (void*)(QObject*)(QHttp*)xptr;
        case 21: return (void*)(QHttp*)xptr;
        default: return xptr;
      }
    case 22:   //QHttpHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)(QHttpHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)(QHttpHeader*)xptr;
        default: return xptr;
      }
    case 23:   //QHttpRequestHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpRequestHeader*)xptr;
        case 23: return (void*)(QHttpRequestHeader*)xptr;
        default: return xptr;
      }
    case 24:   //QHttpResponseHeader
      switch(to) {
        case 22: return (void*)(QHttpHeader*)(QHttpResponseHeader*)xptr;
        case 24: return (void*)(QHttpResponseHeader*)xptr;
        default: return xptr;
      }
    case 25:   //QIODevice
      switch(to) {
        case 52: return (void*)(QObject*)(QIODevice*)xptr;
        case 25: return (void*)(QIODevice*)xptr;
        case 49: return (void*)(QNetworkReply*)(QIODevice*)xptr;
        case 76: return (void*)(QUdpSocket*)(QIODevice*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QIODevice*)xptr;
        case 67: return (void*)(QSslSocket*)(QIODevice*)xptr;
        case 71: return (void*)(QTcpSocket*)(QIODevice*)xptr;
        case 32: return (void*)(QLocalSocket*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 26:   //QIPv6Address
      switch(to) {
        case 26: return (void*)(QIPv6Address*)xptr;
        default: return xptr;
      }
    case 27:   //QIncompatibleFlag
      switch(to) {
        case 27: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 28:   //QLatin1String
      switch(to) {
        case 28: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 29:   //QLine
      switch(to) {
        case 29: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 30:   //QLineF
      switch(to) {
        case 30: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 31:   //QLocalServer
      switch(to) {
        case 52: return (void*)(QObject*)(QLocalServer*)xptr;
        case 31: return (void*)(QLocalServer*)xptr;
        default: return xptr;
      }
    case 32:   //QLocalSocket
      switch(to) {
        case 25: return (void*)(QIODevice*)(QLocalSocket*)xptr;
        case 52: return (void*)(QObject*)(QLocalSocket*)xptr;
        case 32: return (void*)(QLocalSocket*)xptr;
        default: return xptr;
      }
    case 33:   //QLocale
      switch(to) {
        case 33: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 34:   //QMargins
      switch(to) {
        case 34: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 35:   //QMetaObject
      switch(to) {
        case 35: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 36:   //QModelIndex
      switch(to) {
        case 36: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 37:   //QNetworkAccessManager
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 38:   //QNetworkAddressEntry
      switch(to) {
        case 38: return (void*)(QNetworkAddressEntry*)xptr;
        default: return xptr;
      }
    case 39:   //QNetworkCacheMetaData
      switch(to) {
        case 39: return (void*)(QNetworkCacheMetaData*)xptr;
        default: return xptr;
      }
    case 40:   //QNetworkConfiguration
      switch(to) {
        case 40: return (void*)(QNetworkConfiguration*)xptr;
        default: return xptr;
      }
    case 41:   //QNetworkConfigurationManager
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkConfigurationManager*)xptr;
        case 41: return (void*)(QNetworkConfigurationManager*)xptr;
        default: return xptr;
      }
    case 42:   //QNetworkCookie
      switch(to) {
        case 42: return (void*)(QNetworkCookie*)xptr;
        default: return xptr;
      }
    case 43:   //QNetworkCookieJar
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkCookieJar*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)xptr;
        default: return xptr;
      }
    case 44:   //QNetworkDiskCache
      switch(to) {
        case 1: return (void*)(QAbstractNetworkCache*)(QNetworkDiskCache*)xptr;
        case 52: return (void*)(QObject*)(QNetworkDiskCache*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)xptr;
        default: return xptr;
      }
    case 45:   //QNetworkInterface
      switch(to) {
        case 45: return (void*)(QNetworkInterface*)xptr;
        default: return xptr;
      }
    case 46:   //QNetworkProxy
      switch(to) {
        case 46: return (void*)(QNetworkProxy*)xptr;
        default: return xptr;
      }
    case 47:   //QNetworkProxyFactory
      switch(to) {
        case 47: return (void*)(QNetworkProxyFactory*)xptr;
        default: return xptr;
      }
    case 48:   //QNetworkProxyQuery
      switch(to) {
        case 48: return (void*)(QNetworkProxyQuery*)xptr;
        default: return xptr;
      }
    case 49:   //QNetworkReply
      switch(to) {
        case 25: return (void*)(QIODevice*)(QNetworkReply*)xptr;
        case 52: return (void*)(QObject*)(QNetworkReply*)xptr;
        case 49: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 50:   //QNetworkRequest
      switch(to) {
        case 50: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 51:   //QNetworkSession
      switch(to) {
        case 52: return (void*)(QObject*)(QNetworkSession*)xptr;
        case 51: return (void*)(QNetworkSession*)xptr;
        default: return xptr;
      }
    case 52:   //QObject
      switch(to) {
        case 52: return (void*)(QObject*)xptr;
        case 16: return (void*)(QFtp*)(QObject*)xptr;
        case 43: return (void*)(QNetworkCookieJar*)(QObject*)xptr;
        case 31: return (void*)(QLocalServer*)(QObject*)xptr;
        case 49: return (void*)(QNetworkReply*)(QObject*)xptr;
        case 76: return (void*)(QUdpSocket*)(QObject*)xptr;
        case 1: return (void*)(QAbstractNetworkCache*)(QObject*)xptr;
        case 51: return (void*)(QNetworkSession*)(QObject*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QObject*)xptr;
        case 21: return (void*)(QHttp*)(QObject*)xptr;
        case 67: return (void*)(QSslSocket*)(QObject*)xptr;
        case 37: return (void*)(QNetworkAccessManager*)(QObject*)xptr;
        case 71: return (void*)(QTcpSocket*)(QObject*)xptr;
        case 44: return (void*)(QNetworkDiskCache*)(QObject*)xptr;
        case 70: return (void*)(QTcpServer*)(QObject*)xptr;
        case 32: return (void*)(QLocalSocket*)(QObject*)xptr;
        case 41: return (void*)(QNetworkConfigurationManager*)(QObject*)xptr;
        default: return xptr;
      }
    case 53:   //QPersistentModelIndex
      switch(to) {
        case 53: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 54:   //QPoint
      switch(to) {
        case 54: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 55:   //QPointF
      switch(to) {
        case 55: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 56:   //QRect
      switch(to) {
        case 56: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 57:   //QRectF
      switch(to) {
        case 57: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 58:   //QRegExp
      switch(to) {
        case 58: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 59:   //QSize
      switch(to) {
        case 59: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 60:   //QSizeF
      switch(to) {
        case 60: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 62:   //QSslCertificate
      switch(to) {
        case 62: return (void*)(QSslCertificate*)xptr;
        default: return xptr;
      }
    case 63:   //QSslCipher
      switch(to) {
        case 63: return (void*)(QSslCipher*)xptr;
        default: return xptr;
      }
    case 64:   //QSslConfiguration
      switch(to) {
        case 64: return (void*)(QSslConfiguration*)xptr;
        default: return xptr;
      }
    case 65:   //QSslError
      switch(to) {
        case 65: return (void*)(QSslError*)xptr;
        default: return xptr;
      }
    case 66:   //QSslKey
      switch(to) {
        case 66: return (void*)(QSslKey*)xptr;
        default: return xptr;
      }
    case 67:   //QSslSocket
      switch(to) {
        case 71: return (void*)(QTcpSocket*)(QSslSocket*)xptr;
        case 2: return (void*)(QAbstractSocket*)(QSslSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QSslSocket*)xptr;
        case 52: return (void*)(QObject*)(QSslSocket*)xptr;
        case 67: return (void*)(QSslSocket*)xptr;
        default: return xptr;
      }
    case 68:   //QString::Null
      switch(to) {
        case 68: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 69:   //QStringRef
      switch(to) {
        case 69: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 70:   //QTcpServer
      switch(to) {
        case 52: return (void*)(QObject*)(QTcpServer*)xptr;
        case 70: return (void*)(QTcpServer*)xptr;
        default: return xptr;
      }
    case 71:   //QTcpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QTcpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QTcpSocket*)xptr;
        case 52: return (void*)(QObject*)(QTcpSocket*)xptr;
        case 71: return (void*)(QTcpSocket*)xptr;
        case 67: return (void*)(QSslSocket*)(QTcpSocket*)xptr;
        default: return xptr;
      }
    case 72:   //QTextStream
      switch(to) {
        case 72: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 73:   //QTextStreamManipulator
      switch(to) {
        case 73: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 74:   //QTime
      switch(to) {
        case 74: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 75:   //QTimerEvent
      switch(to) {
        case 15: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 75: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QUdpSocket
      switch(to) {
        case 2: return (void*)(QAbstractSocket*)(QUdpSocket*)xptr;
        case 25: return (void*)(QIODevice*)(QUdpSocket*)xptr;
        case 52: return (void*)(QObject*)(QUdpSocket*)xptr;
        case 76: return (void*)(QUdpSocket*)xptr;
        default: return xptr;
      }
    case 77:   //QUrl
      switch(to) {
        case 77: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 78:   //QUrlInfo
      switch(to) {
        case 78: return (void*)(QUrlInfo*)xptr;
        default: return xptr;
      }
    case 79:   //QUuid
      switch(to) {
        case 79: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 80:   //QVariant
      switch(to) {
        case 80: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 81:   //QVariantComparisonHelper
      switch(to) {
        case 81: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 82:   //sockaddr
      switch(to) {
        case 82: return (void*)(sockaddr*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    52, 0,	// 1: QObject
    25, 0,	// 3: QIODevice
    22, 0,	// 5: QHttpHeader
    1, 0,	// 7: QAbstractNetworkCache
    71, 0,	// 9: QTcpSocket
    2, 0,	// 11: QAbstractSocket
};

// These are the xenum functions for manipulating enum pointers
void xenum_QSsl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkAccessManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QFtp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfigurationManager(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkConfiguration(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHttp(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslCertificate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkRequest(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSslError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostAddress(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkSession(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkCookie(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QAbstractSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkProxyQuery(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkReply(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocalSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QNetworkInterface(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrlInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QHostInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUdpSocket(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QAbstractNetworkCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QAbstractSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QAuthenticator(Smoke::Index, void*, Smoke::Stack);
void xcall_QFtp(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostAddress(Smoke::Index, void*, Smoke::Stack);
void xcall_QHostInfo(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttp(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpRequestHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QHttpResponseHeader(Smoke::Index, void*, Smoke::Stack);
void xcall_QIPv6Address(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QLocalSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAccessManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkAddressEntry(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCacheMetaData(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkConfigurationManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookie(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkCookieJar(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkDiskCache(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkInterface(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkProxyQuery(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkReply(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkRequest(Smoke::Index, void*, Smoke::Stack);
void xcall_QNetworkSession(Smoke::Index, void*, Smoke::Stack);
void xcall_QSsl(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCertificate(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslCipher(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslConfiguration(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslError(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslKey(Smoke::Index, void*, Smoke::Stack);
void xcall_QSslSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpServer(Smoke::Index, void*, Smoke::Stack);
void xcall_QTcpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUdpSocket(Smoke::Index, void*, Smoke::Stack);
void xcall_QUrlInfo(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QAbstractNetworkCache", false, 1, xcall_QAbstractNetworkCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractNetworkCache) },	//1
    { "QAbstractSocket", false, 3, xcall_QAbstractSocket, xenum_QAbstractSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QAbstractSocket) },	//2
    { "QAuthenticator", false, 0, xcall_QAuthenticator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QAuthenticator) },	//3
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//4
    { "QBool", true, 0, 0, 0, 0, 0 },	//5
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//6
    { "QChar", true, 0, 0, 0, 0, 0 },	//7
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//8
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//9
    { "QDate", true, 0, 0, 0, 0, 0 },	//10
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//11
    { "QDebug", true, 0, 0, 0, 0, 0 },	//12
    { "QDir", true, 0, 0, 0, 0, 0 },	//13
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//14
    { "QEvent", true, 0, 0, 0, 0, 0 },	//15
    { "QFtp", false, 1, xcall_QFtp, xenum_QFtp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QFtp) },	//16
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//17
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//18
    { "QHostAddress", false, 0, xcall_QHostAddress, xenum_QHostAddress, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostAddress) },	//19
    { "QHostInfo", false, 0, xcall_QHostInfo, xenum_QHostInfo, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QHostInfo) },	//20
    { "QHttp", false, 1, xcall_QHttp, xenum_QHttp, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QHttp) },	//21
    { "QHttpHeader", false, 0, xcall_QHttpHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpHeader) },	//22
    { "QHttpRequestHeader", false, 5, xcall_QHttpRequestHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpRequestHeader) },	//23
    { "QHttpResponseHeader", false, 5, xcall_QHttpResponseHeader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QHttpResponseHeader) },	//24
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//25
    { "QIPv6Address", false, 0, xcall_QIPv6Address, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QIPv6Address) },	//26
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//27
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//28
    { "QLine", true, 0, 0, 0, 0, 0 },	//29
    { "QLineF", true, 0, 0, 0, 0, 0 },	//30
    { "QLocalServer", false, 1, xcall_QLocalServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalServer) },	//31
    { "QLocalSocket", false, 3, xcall_QLocalSocket, xenum_QLocalSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QLocalSocket) },	//32
    { "QLocale", true, 0, 0, 0, 0, 0 },	//33
    { "QMargins", true, 0, 0, 0, 0, 0 },	//34
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//35
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//36
    { "QNetworkAccessManager", false, 1, xcall_QNetworkAccessManager, xenum_QNetworkAccessManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkAccessManager) },	//37
    { "QNetworkAddressEntry", false, 0, xcall_QNetworkAddressEntry, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkAddressEntry) },	//38
    { "QNetworkCacheMetaData", false, 0, xcall_QNetworkCacheMetaData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCacheMetaData) },	//39
    { "QNetworkConfiguration", false, 0, xcall_QNetworkConfiguration, xenum_QNetworkConfiguration, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkConfiguration) },	//40
    { "QNetworkConfigurationManager", false, 1, xcall_QNetworkConfigurationManager, xenum_QNetworkConfigurationManager, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkConfigurationManager) },	//41
    { "QNetworkCookie", false, 0, xcall_QNetworkCookie, xenum_QNetworkCookie, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkCookie) },	//42
    { "QNetworkCookieJar", false, 1, xcall_QNetworkCookieJar, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkCookieJar) },	//43
    { "QNetworkDiskCache", false, 7, xcall_QNetworkDiskCache, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkDiskCache) },	//44
    { "QNetworkInterface", false, 0, xcall_QNetworkInterface, xenum_QNetworkInterface, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkInterface) },	//45
    { "QNetworkProxy", false, 0, xcall_QNetworkProxy, xenum_QNetworkProxy, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxy) },	//46
    { "QNetworkProxyFactory", false, 0, xcall_QNetworkProxyFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QNetworkProxyFactory) },	//47
    { "QNetworkProxyQuery", false, 0, xcall_QNetworkProxyQuery, xenum_QNetworkProxyQuery, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkProxyQuery) },	//48
    { "QNetworkReply", false, 3, xcall_QNetworkReply, xenum_QNetworkReply, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkReply) },	//49
    { "QNetworkRequest", false, 0, xcall_QNetworkRequest, xenum_QNetworkRequest, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QNetworkRequest) },	//50
    { "QNetworkSession", false, 1, xcall_QNetworkSession, xenum_QNetworkSession, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QNetworkSession) },	//51
    { "QObject", true, 0, 0, 0, 0, 0 },	//52
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//53
    { "QPoint", true, 0, 0, 0, 0, 0 },	//54
    { "QPointF", true, 0, 0, 0, 0, 0 },	//55
    { "QRect", true, 0, 0, 0, 0, 0 },	//56
    { "QRectF", true, 0, 0, 0, 0, 0 },	//57
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//58
    { "QSize", true, 0, 0, 0, 0, 0 },	//59
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//60
    { "QSsl", false, 0, xcall_QSsl, xenum_QSsl, Smoke::cf_namespace, 0 },	//61
    { "QSslCertificate", false, 0, xcall_QSslCertificate, xenum_QSslCertificate, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCertificate) },	//62
    { "QSslCipher", false, 0, xcall_QSslCipher, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslCipher) },	//63
    { "QSslConfiguration", false, 0, xcall_QSslConfiguration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslConfiguration) },	//64
    { "QSslError", false, 0, xcall_QSslError, xenum_QSslError, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslError) },	//65
    { "QSslKey", false, 0, xcall_QSslKey, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QSslKey) },	//66
    { "QSslSocket", false, 9, xcall_QSslSocket, xenum_QSslSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QSslSocket) },	//67
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//68
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//69
    { "QTcpServer", false, 1, xcall_QTcpServer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpServer) },	//70
    { "QTcpSocket", false, 11, xcall_QTcpSocket, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QTcpSocket) },	//71
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//72
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//73
    { "QTime", true, 0, 0, 0, 0, 0 },	//74
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QUdpSocket", false, 11, xcall_QUdpSocket, xenum_QUdpSocket, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QUdpSocket) },	//76
    { "QUrl", true, 0, 0, 0, 0, 0 },	//77
    { "QUrlInfo", false, 0, xcall_QUrlInfo, xenum_QUrlInfo, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QUrlInfo) },	//78
    { "QUuid", true, 0, 0, 0, 0, 0 },	//79
    { "QVariant", true, 0, 0, 0, 0, 0 },	//80
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//81
    { "sockaddr", true, 0, 0, 0, 0, 0 },	//82
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QAbstractNetworkCache*", 1, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QAbstractSocket*", 2, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QAbstractSocket::NetworkLayerProtocol", 2, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAbstractSocket::SocketError", 2, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAbstractSocket::SocketOption", 2, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAbstractSocket::SocketState", 2, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QAbstractSocket::SocketType", 2, Smoke::t_enum|Smoke::tf_stack },	//8
    { "QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref },	//9
    { "QAuthenticator*", 3, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QBitArray", 4, Smoke::t_class|Smoke::tf_stack },	//11
    { "QBitArray&", 4, Smoke::t_class|Smoke::tf_ref },	//12
    { "QBool", 5, Smoke::t_class|Smoke::tf_stack },	//13
    { "QByteArray", 6, Smoke::t_class|Smoke::tf_stack },	//14
    { "QByteArray&", 6, Smoke::t_class|Smoke::tf_ref },	//15
    { "QChar", 7, Smoke::t_class|Smoke::tf_stack },	//16
    { "QChar&", 7, Smoke::t_class|Smoke::tf_ref },	//17
    { "QChildEvent*", 8, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QCryptographicHash::Algorithm", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDataStream&", 9, Smoke::t_class|Smoke::tf_ref },	//20
    { "QDate&", 10, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDateTime", 11, Smoke::t_class|Smoke::tf_stack },	//22
    { "QDateTime&", 11, Smoke::t_class|Smoke::tf_ref },	//23
    { "QDebug", 12, Smoke::t_class|Smoke::tf_stack },	//24
    { "QDir::Filter", 13, Smoke::t_enum|Smoke::tf_stack },	//25
    { "QDir::SortFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//26
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref },	//28
    { "QEvent*", 15, Smoke::t_class|Smoke::tf_ptr },	//29
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//32
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//34
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//35
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//36
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//37
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//38
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//39
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//40
    { "QFlags<QNetworkConfiguration::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//41
    { "QFlags<QNetworkConfigurationManager::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//42
    { "QFlags<QNetworkInterface::InterfaceFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//43
    { "QFlags<QNetworkProxy::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//44
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//45
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//46
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//47
    { "QFlags<QUdpSocket::BindFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//48
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//49
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//50
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//51
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//52
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//53
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//54
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//55
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//56
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//57
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//58
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//59
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//60
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//61
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFtp*", 16, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QFtp::Command", 16, Smoke::t_enum|Smoke::tf_stack },	//67
    { "QFtp::Error", 16, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QFtp::State", 16, Smoke::t_enum|Smoke::tf_stack },	//69
    { "QFtp::TransferMode", 16, Smoke::t_enum|Smoke::tf_stack },	//70
    { "QFtp::TransferType", 16, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QHash<QNetworkRequest::Attribute,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QHash<QString,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QHostAddress", 19, Smoke::t_class|Smoke::tf_stack },	//74
    { "QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref },	//75
    { "QHostAddress*", 19, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QHostAddress::SpecialAddress", 19, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QHostInfo", 20, Smoke::t_class|Smoke::tf_stack },	//78
    { "QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref },	//79
    { "QHostInfo*", 20, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QHostInfo::HostInfoError", 20, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QHttp*", 21, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QHttp::ConnectionMode", 21, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QHttp::Error", 21, Smoke::t_enum|Smoke::tf_stack },	//84
    { "QHttp::State", 21, Smoke::t_enum|Smoke::tf_stack },	//85
    { "QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref },	//86
    { "QHttpHeader*", 22, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QHttpRequestHeader", 23, Smoke::t_class|Smoke::tf_stack },	//88
    { "QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref },	//89
    { "QHttpRequestHeader*", 23, Smoke::t_class|Smoke::tf_ptr },	//90
    { "QHttpResponseHeader", 24, Smoke::t_class|Smoke::tf_stack },	//91
    { "QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref },	//92
    { "QHttpResponseHeader*", 24, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QIODevice*", 25, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QIODevice::OpenMode", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QIODevice::OpenModeFlag", 25, Smoke::t_enum|Smoke::tf_stack },	//96
    { "QIPv6Address", 26, Smoke::t_class|Smoke::tf_stack },	//97
    { "QIPv6Address*", 26, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QIncompatibleFlag", 27, Smoke::t_class|Smoke::tf_stack },	//99
    { "QIntegerForSizeof< void* >::Unsigned", 0, Smoke::t_voidp|Smoke::tf_stack },	//100
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QLine&", 29, Smoke::t_class|Smoke::tf_ref },	//102
    { "QLineF&", 30, Smoke::t_class|Smoke::tf_ref },	//103
    { "QList<QByteArray>", 0, Smoke::t_voidp|Smoke::tf_stack },	//104
    { "QList<QHostAddress>", 0, Smoke::t_voidp|Smoke::tf_stack },	//105
    { "QList<QNetworkAddressEntry>", 0, Smoke::t_voidp|Smoke::tf_stack },	//106
    { "QList<QNetworkConfiguration>", 0, Smoke::t_voidp|Smoke::tf_stack },	//107
    { "QList<QNetworkCookie>", 0, Smoke::t_voidp|Smoke::tf_stack },	//108
    { "QList<QNetworkInterface>", 0, Smoke::t_voidp|Smoke::tf_stack },	//109
    { "QList<QNetworkProxy>", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QList<QPair<QByteArray,QByteArray> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QList<QPair<QString,QString> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QList<QSslCertificate>", 0, Smoke::t_voidp|Smoke::tf_stack },	//113
    { "QList<QSslCipher>", 0, Smoke::t_voidp|Smoke::tf_stack },	//114
    { "QList<QSslError>", 0, Smoke::t_voidp|Smoke::tf_stack },	//115
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//116
    { "QLocalServer*", 31, Smoke::t_class|Smoke::tf_ptr },	//117
    { "QLocalSocket*", 32, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QLocalSocket::LocalSocketError", 32, Smoke::t_enum|Smoke::tf_stack },	//119
    { "QLocalSocket::LocalSocketState", 32, Smoke::t_enum|Smoke::tf_stack },	//120
    { "QLocale&", 33, Smoke::t_class|Smoke::tf_ref },	//121
    { "QLocale::NumberOption", 33, Smoke::t_enum|Smoke::tf_stack },	//122
    { "QMetaObject::Call", 35, Smoke::t_enum|Smoke::tf_stack },	//123
    { "QMultiMap<QSsl::AlternateNameEntryType,QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//124
    { "QNetworkAccessManager*", 37, Smoke::t_class|Smoke::tf_ptr },	//125
    { "QNetworkAccessManager::NetworkAccessibility", 37, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QNetworkAccessManager::Operation", 37, Smoke::t_enum|Smoke::tf_stack },	//127
    { "QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref },	//128
    { "QNetworkAddressEntry*", 38, Smoke::t_class|Smoke::tf_ptr },	//129
    { "QNetworkCacheMetaData", 39, Smoke::t_class|Smoke::tf_stack },	//130
    { "QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref },	//131
    { "QNetworkCacheMetaData*", 39, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QNetworkConfiguration", 40, Smoke::t_class|Smoke::tf_stack },	//133
    { "QNetworkConfiguration&", 40, Smoke::t_class|Smoke::tf_ref },	//134
    { "QNetworkConfiguration*", 40, Smoke::t_class|Smoke::tf_ptr },	//135
    { "QNetworkConfiguration::BearerType", 40, Smoke::t_enum|Smoke::tf_stack },	//136
    { "QNetworkConfiguration::Purpose", 40, Smoke::t_enum|Smoke::tf_stack },	//137
    { "QNetworkConfiguration::StateFlag", 40, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QNetworkConfiguration::Type", 40, Smoke::t_enum|Smoke::tf_stack },	//139
    { "QNetworkConfigurationManager*", 41, Smoke::t_class|Smoke::tf_ptr },	//140
    { "QNetworkConfigurationManager::Capability", 41, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref },	//142
    { "QNetworkCookie*", 42, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QNetworkCookie::RawForm", 42, Smoke::t_enum|Smoke::tf_stack },	//144
    { "QNetworkCookieJar*", 43, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QNetworkDiskCache*", 44, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QNetworkInterface", 45, Smoke::t_class|Smoke::tf_stack },	//147
    { "QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref },	//148
    { "QNetworkInterface*", 45, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QNetworkInterface::InterfaceFlag", 45, Smoke::t_enum|Smoke::tf_stack },	//150
    { "QNetworkProxy", 46, Smoke::t_class|Smoke::tf_stack },	//151
    { "QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref },	//152
    { "QNetworkProxy*", 46, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QNetworkProxy::Capability", 46, Smoke::t_enum|Smoke::tf_stack },	//154
    { "QNetworkProxy::ProxyType", 46, Smoke::t_enum|Smoke::tf_stack },	//155
    { "QNetworkProxyFactory*", 47, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref },	//157
    { "QNetworkProxyQuery*", 48, Smoke::t_class|Smoke::tf_ptr },	//158
    { "QNetworkProxyQuery::QueryType", 48, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QNetworkReply*", 49, Smoke::t_class|Smoke::tf_ptr },	//160
    { "QNetworkReply::NetworkError", 49, Smoke::t_enum|Smoke::tf_stack },	//161
    { "QNetworkRequest", 50, Smoke::t_class|Smoke::tf_stack },	//162
    { "QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref },	//163
    { "QNetworkRequest*", 50, Smoke::t_class|Smoke::tf_ptr },	//164
    { "QNetworkRequest::Attribute", 50, Smoke::t_enum|Smoke::tf_stack },	//165
    { "QNetworkRequest::CacheLoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QNetworkRequest::KnownHeaders", 50, Smoke::t_enum|Smoke::tf_stack },	//167
    { "QNetworkRequest::LoadControl", 50, Smoke::t_enum|Smoke::tf_stack },	//168
    { "QNetworkRequest::Priority", 50, Smoke::t_enum|Smoke::tf_stack },	//169
    { "QNetworkSession*", 51, Smoke::t_class|Smoke::tf_ptr },	//170
    { "QNetworkSession::SessionError", 51, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QNetworkSession::State", 51, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QObject*", 52, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QObject*(*)()", 52, Smoke::t_class|Smoke::tf_ptr },	//174
    { "QPair<QHostAddress,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//175
    { "QPoint&", 54, Smoke::t_class|Smoke::tf_ref },	//176
    { "QPointF&", 55, Smoke::t_class|Smoke::tf_ref },	//177
    { "QRect&", 56, Smoke::t_class|Smoke::tf_ref },	//178
    { "QRectF&", 57, Smoke::t_class|Smoke::tf_ref },	//179
    { "QRegExp&", 58, Smoke::t_class|Smoke::tf_ref },	//180
    { "QRegExp::PatternSyntax", 58, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QSize&", 59, Smoke::t_class|Smoke::tf_ref },	//182
    { "QSizeF&", 60, Smoke::t_class|Smoke::tf_ref },	//183
    { "QSsl::AlternateNameEntryType", 61, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QSsl::EncodingFormat", 61, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QSsl::KeyAlgorithm", 61, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QSsl::KeyType", 61, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QSsl::SslProtocol", 61, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QSslCertificate", 62, Smoke::t_class|Smoke::tf_stack },	//189
    { "QSslCertificate&", 62, Smoke::t_class|Smoke::tf_ref },	//190
    { "QSslCertificate*", 62, Smoke::t_class|Smoke::tf_ptr },	//191
    { "QSslCertificate::SubjectInfo", 62, Smoke::t_enum|Smoke::tf_stack },	//192
    { "QSslCipher", 63, Smoke::t_class|Smoke::tf_stack },	//193
    { "QSslCipher&", 63, Smoke::t_class|Smoke::tf_ref },	//194
    { "QSslCipher*", 63, Smoke::t_class|Smoke::tf_ptr },	//195
    { "QSslConfiguration", 64, Smoke::t_class|Smoke::tf_stack },	//196
    { "QSslConfiguration&", 64, Smoke::t_class|Smoke::tf_ref },	//197
    { "QSslConfiguration*", 64, Smoke::t_class|Smoke::tf_ptr },	//198
    { "QSslError&", 65, Smoke::t_class|Smoke::tf_ref },	//199
    { "QSslError*", 65, Smoke::t_class|Smoke::tf_ptr },	//200
    { "QSslError::SslError", 65, Smoke::t_enum|Smoke::tf_stack },	//201
    { "QSslKey", 66, Smoke::t_class|Smoke::tf_stack },	//202
    { "QSslKey&", 66, Smoke::t_class|Smoke::tf_ref },	//203
    { "QSslKey*", 66, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QSslSocket*", 67, Smoke::t_class|Smoke::tf_ptr },	//205
    { "QSslSocket::PeerVerifyMode", 67, Smoke::t_enum|Smoke::tf_stack },	//206
    { "QSslSocket::SslMode", 67, Smoke::t_enum|Smoke::tf_stack },	//207
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//208
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//209
    { "QString::Null", 68, Smoke::t_class|Smoke::tf_stack },	//210
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//212
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//213
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//214
    { "QTcpServer*", 70, Smoke::t_class|Smoke::tf_ptr },	//215
    { "QTcpSocket*", 71, Smoke::t_class|Smoke::tf_ptr },	//216
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "QTextStream&", 72, Smoke::t_class|Smoke::tf_ref },	//218
    { "QTextStream&(*)(QTextStream&)", 72, Smoke::t_class|Smoke::tf_ref },	//219
    { "QTextStream::NumberFlag", 72, Smoke::t_enum|Smoke::tf_stack },	//220
    { "QTextStreamManipulator", 73, Smoke::t_class|Smoke::tf_stack },	//221
    { "QTime&", 74, Smoke::t_class|Smoke::tf_ref },	//222
    { "QTimerEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//223
    { "QUdpSocket*", 76, Smoke::t_class|Smoke::tf_ptr },	//224
    { "QUdpSocket::BindFlag", 76, Smoke::t_enum|Smoke::tf_stack },	//225
    { "QUrl", 77, Smoke::t_class|Smoke::tf_stack },	//226
    { "QUrl&", 77, Smoke::t_class|Smoke::tf_ref },	//227
    { "QUrl::FormattingOption", 77, Smoke::t_enum|Smoke::tf_stack },	//228
    { "QUrlInfo&", 78, Smoke::t_class|Smoke::tf_ref },	//229
    { "QUrlInfo*", 78, Smoke::t_class|Smoke::tf_ptr },	//230
    { "QUrlInfo::PermissionSpec", 78, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QUuid&", 79, Smoke::t_class|Smoke::tf_ref },	//232
    { "QVariant", 80, Smoke::t_class|Smoke::tf_stack },	//233
    { "QVariant&", 80, Smoke::t_class|Smoke::tf_ref },	//234
    { "QVariant::Type", 80, Smoke::t_enum|Smoke::tf_stack },	//235
    { "QVariant::Type&", 80, Smoke::t_enum|Smoke::tf_ref },	//236
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//256
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//257
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//259
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//261
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//262
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//263
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//264
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//265
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//266
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//267
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//268
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//269
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//270
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//271
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//272
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//273
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//274
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//275
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//276
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//277
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "QtMsgType", 17, Smoke::t_enum|Smoke::tf_stack },	//310
    { "__codecvt_result", 17, Smoke::t_enum|Smoke::tf_stack },	//311
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//312
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//313
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//314
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//315
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//316
    { "const QAuthenticator&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QBitArray&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QByteArray", 6, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//319
    { "const QByteArray&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QChar&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QDate&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QDateTime&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//323
    { "const QDir&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QEasingCurve&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//325
    { "const QHash<QNetworkRequest::Attribute,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QHashDummyValue&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QHostAddress&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//328
    { "const QHostInfo&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QHttpHeader&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QHttpRequestHeader&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//331
    { "const QHttpResponseHeader&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QIPv6Address&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QLatin1String&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QLine&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QLineF&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QList<QHostAddress>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//337
    { "const QList<QNetworkCookie>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const QList<QPair<QByteArray,QByteArray> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//339
    { "const QList<QPair<QString,QString> >&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//340
    { "const QList<QSslCertificate>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//341
    { "const QList<QSslCipher>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//342
    { "const QList<QSslError>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//343
    { "const QLocale&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//344
    { "const QMargins&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//345
    { "const QMetaObject&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//346
    { "const QMetaObject*", 35, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//347
    { "const QModelIndex&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//348
    { "const QNetworkAddressEntry&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//349
    { "const QNetworkCacheMetaData&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//350
    { "const QNetworkConfiguration&", 40, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//351
    { "const QNetworkCookie&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//352
    { "const QNetworkInterface&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//353
    { "const QNetworkProxy&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//354
    { "const QNetworkProxyFactory&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//355
    { "const QNetworkProxyQuery&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//356
    { "const QNetworkRequest&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//357
    { "const QObject*", 52, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//358
    { "const QPair<QHostAddress,int>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//359
    { "const QPersistentModelIndex&", 53, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//360
    { "const QPoint", 54, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//361
    { "const QPoint&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//362
    { "const QPointF", 55, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//363
    { "const QPointF&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//364
    { "const QRect&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//365
    { "const QRectF&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//366
    { "const QRegExp&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//367
    { "const QRegExp*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//368
    { "const QSize", 59, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//369
    { "const QSize&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//370
    { "const QSizeF", 60, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//371
    { "const QSizeF&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//372
    { "const QSslCertificate&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//373
    { "const QSslCipher&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//374
    { "const QSslConfiguration&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//375
    { "const QSslError&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//376
    { "const QSslError::SslError&", 65, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//377
    { "const QSslKey&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//379
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//382
    { "const QStringRef&", 69, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const QTime&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const QUrl&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const QUrlInfo&", 78, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const QUuid&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const QVariant&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//388
    { "const QVariant::Type", 80, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//389
    { "const QVariantComparisonHelper&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//391
    { "const sockaddr*", 82, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//392
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//393
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//394
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//395
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//396
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//397
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//398
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//399
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//400
    { "qint64", 0, Smoke::t_voidp|Smoke::tf_stack },	//401
    { "quint16", 0, Smoke::t_ushort|Smoke::tf_stack },	//402
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//403
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//404
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//405
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//406
    { "unsigned char&", 0, Smoke::t_voidp|Smoke::tf_ref },	//407
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//408
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//409
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//410
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//411
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//412
    { "unsigned short*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//413
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//414
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//415
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//416
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//417
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//418
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//419
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    391, 0,	//1  const char*
    391, 391, 0,	//3  const char*, const char*
    391, 391, 397, 0,	//6  const char*, const char*, int
    123, 397, 418, 0,	//10  QMetaObject::Call, int, void**
    385, 0,	//14  const QUrl&
    350, 0,	//16  const QNetworkCacheMetaData&
    94, 0,	//18  QIODevice*
    173, 0,	//20  QObject*
    8, 173, 0,	//22  QAbstractSocket::SocketType, QObject*
    380, 412, 38, 0,	//25  const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    328, 412, 38, 0,	//29  const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>
    400, 0,	//33  long long
    397, 7, 38, 0,	//35  int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>
    6, 388, 0,	//39  QAbstractSocket::SocketOption, const QVariant&
    6, 0,	//42  QAbstractSocket::SocketOption
    397, 0,	//44  int
    354, 0,	//46  const QNetworkProxy&
    7, 0,	//48  QAbstractSocket::SocketState
    5, 0,	//50  QAbstractSocket::SocketError
    354, 10, 0,	//52  const QNetworkProxy&, QAuthenticator*
    380, 402, 95, 0,	//55  const QString&, quint16, QIODevice::OpenMode
    316, 400, 0,	//59  char*, long long
    391, 400, 0,	//62  const char*, long long
    412, 0,	//65  unsigned short
    328, 0,	//67  const QHostAddress&
    380, 0,	//69  const QString&
    380, 412, 0,	//71  const QString&, unsigned short
    328, 412, 0,	//74  const QHostAddress&, unsigned short
    397, 7, 0,	//77  int, QAbstractSocket::SocketState
    380, 402, 0,	//80  const QString&, quint16
    317, 0,	//83  const QAuthenticator&
    380, 388, 0,	//85  const QString&, const QVariant&
    380, 380, 0,	//88  const QString&, const QString&
    70, 0,	//91  QFtp::TransferMode
    380, 94, 71, 0,	//93  const QString&, QIODevice*, QFtp::TransferType
    320, 380, 71, 0,	//97  const QByteArray&, const QString&, QFtp::TransferType
    94, 380, 71, 0,	//101  QIODevice*, const QString&, QFtp::TransferType
    386, 0,	//105  const QUrlInfo&
    401, 401, 0,	//107  qint64, qint64
    397, 380, 0,	//110  int, const QString&
    397, 313, 0,	//113  int, bool
    313, 0,	//116  bool
    380, 94, 0,	//118  const QString&, QIODevice*
    320, 380, 0,	//121  const QByteArray&, const QString&
    94, 380, 0,	//124  QIODevice*, const QString&
    383, 383, 0,	//127  const QStringRef&, const QStringRef&
    411, 0,	//130  unsigned long long
    395, 0,	//132  double
    217, 397, 0,	//134  QTextCodec::ConversionFlag, int
    267, 397, 0,	//137  Qt::ImageConversionFlag, int
    391, 409, 0,	//140  const char*, unsigned int
    417, 394, 405, 0,	//143  void*, const void*, size_t
    391, 334, 0,	//147  const char*, const QLatin1String&
    24, 38, 0,	//150  QDebug, QFlags<QIODevice::OpenModeFlag>
    24, 376, 0,	//153  QDebug, const QSslError&
    383, 380, 0,	//156  const QStringRef&, const QString&
    370, 370, 0,	//159  const QSize&, const QSize&
    391, 320, 0,	//162  const char*, const QByteArray&
    31, 37, 0,	//165  QFile::Permission, QFlags<QFile::Permission>
    380, 391, 0,	//168  const QString&, const char*
    364, 364, 0,	//171  const QPointF&, const QPointF&
    395, 395, 0,	//174  double, double
    20, 183, 0,	//177  QDataStream&, QSizeF&
    320, 391, 0,	//180  const QByteArray&, const char*
    396, 0,	//183  float
    404, 0,	//185  signed char
    154, 397, 0,	//187  QNetworkProxy::Capability, int
    380, 383, 0,	//190  const QString&, const QStringRef&
    16, 0,	//193  QChar
    383, 334, 0,	//195  const QStringRef&, const QLatin1String&
    16, 16, 0,	//198  QChar, QChar
    300, 300, 0,	//201  Qt::TouchPointState, Qt::TouchPointState
    320, 0,	//204  const QByteArray&
    24, 385, 0,	//206  QDebug, const QUrl&
    210, 380, 0,	//209  QString::Null, const QString&
    20, 328, 0,	//212  QDataStream&, const QHostAddress&
    297, 297, 0,	//215  Qt::ToolBarArea, Qt::ToolBarArea
    122, 122, 0,	//218  QLocale::NumberOption, QLocale::NumberOption
    307, 307, 0,	//221  Qt::WindowType, Qt::WindowType
    395, 372, 0,	//224  double, const QSizeF&
    25, 397, 0,	//227  QDir::Filter, int
    362, 362, 0,	//230  const QPoint&, const QPoint&
    20, 366, 0,	//233  QDataStream&, const QRectF&
    275, 397, 0,	//236  Qt::KeyboardModifier, int
    294, 61, 0,	//239  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    24, 7, 0,	//242  QDebug, QAbstractSocket::SocketState
    315, 0,	//245  char
    220, 47, 0,	//247  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    24, 345, 0,	//250  QDebug, const QMargins&
    228, 397, 0,	//253  QUrl::FormattingOption, int
    31, 397, 0,	//256  QFile::Permission, int
    362, 395, 0,	//259  const QPoint&, double
    27, 35, 0,	//262  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    20, 350, 0,	//265  QDataStream&, const QNetworkCacheMetaData&
    380, 320, 0,	//268  const QString&, const QByteArray&
    372, 372, 0,	//271  const QSizeF&, const QSizeF&
    24, 364, 0,	//274  QDebug, const QPointF&
    275, 57, 0,	//277  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    24, 336, 0,	//280  QDebug, const QLineF&
    24, 323, 0,	//283  QDebug, const QDateTime&
    24, 192, 0,	//286  QDebug, QSslCertificate::SubjectInfo
    154, 154, 0,	//289  QNetworkProxy::Capability, QNetworkProxy::Capability
    391, 380, 0,	//292  const char*, const QString&
    225, 48, 0,	//295  QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>
    228, 228, 0,	//298  QUrl::FormattingOption, QUrl::FormattingOption
    300, 63, 0,	//301  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    267, 267, 0,	//304  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    122, 397, 0,	//307  QLocale::NumberOption, int
    334, 334, 0,	//310  const QLatin1String&, const QLatin1String&
    393, 397, 0,	//313  const unsigned char*, int
    391, 391, 409, 0,	//316  const char*, const char*, unsigned int
    154, 44, 0,	//320  QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>
    334, 383, 0,	//323  const QLatin1String&, const QStringRef&
    258, 258, 0,	//326  Qt::DropAction, Qt::DropAction
    141, 141, 0,	//329  QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability
    24, 362, 0,	//332  QDebug, const QPoint&
    20, 121, 0,	//335  QDataStream&, QLocale&
    380, 16, 0,	//338  const QString&, QChar
    210, 210, 0,	//341  QString::Null, QString::Null
    24, 120, 0,	//344  QDebug, QLocalSocket::LocalSocketState
    393, 408, 397, 0,	//347  const unsigned char*, unsigned char*, int
    217, 217, 0,	//351  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    282, 282, 0,	//354  Qt::Orientation, Qt::Orientation
    417, 405, 405, 405, 0,	//357  void*, size_t, size_t, size_t
    409, 0,	//362  unsigned int
    297, 62, 0,	//364  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    365, 365, 0,	//367  const QRect&, const QRect&
    30, 36, 0,	//370  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    318, 318, 0,	//373  const QBitArray&, const QBitArray&
    320, 320, 0,	//376  const QByteArray&, const QByteArray&
    417, 405, 0,	//379  void*, size_t
    20, 344, 0,	//382  QDataStream&, const QLocale&
    24, 325, 0,	//385  QDebug, const QEasingCurve&
    416, 0,	//388  void(*)(QtMsgType,const char*)
    348, 0,	//390  const QModelIndex&
    20, 23, 0,	//392  QDataStream&, QDateTime&
    13, 13, 0,	//395  QBool, QBool
    391, 383, 0,	//398  const char*, const QStringRef&
    297, 397, 0,	//401  Qt::ToolBarArea, int
    269, 397, 0,	//404  Qt::InputMethodHint, int
    16, 380, 0,	//407  QChar, const QString&
    211, 397, 0,	//410  QString::SectionFlag, int
    101, 397, 0,	//413  QLibrary::LoadHint, int
    20, 227, 0,	//416  QDataStream&, QUrl&
    380, 210, 0,	//419  const QString&, QString::Null
    1, 397, 0,	//422  QAbstractFileEngine::FileFlag, int
    217, 46, 0,	//425  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    380, 315, 0,	//428  const QString&, char
    269, 55, 0,	//431  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    307, 65, 0,	//434  Qt::WindowType, QFlags<Qt::WindowType>
    280, 280, 0,	//437  Qt::MouseButton, Qt::MouseButton
    316, 391, 0,	//440  char*, const char*
    237, 237, 0,	//443  Qt::AlignmentFlag, Qt::AlignmentFlag
    362, 0,	//446  const QPoint&
    258, 397, 0,	//448  Qt::DropAction, int
    20, 384, 0,	//451  QDataStream&, const QTime&
    26, 397, 0,	//454  QDir::SortFlag, int
    345, 345, 0,	//457  const QMargins&, const QMargins&
    24, 352, 0,	//460  QDebug, const QNetworkCookie&
    24, 5, 0,	//463  QDebug, QAbstractSocket::SocketError
    174, 0,	//466  QObject*(*)()
    278, 278, 0,	//468  Qt::MatchFlag, Qt::MatchFlag
    405, 0,	//471  size_t
    256, 51, 0,	//473  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    20, 213, 0,	//476  QDataStream&, QStringList&
    24, 389, 0,	//479  QDebug, const QVariant::Type
    256, 397, 0,	//482  Qt::DockWidgetArea, int
    398, 0,	//485  long
    20, 103, 0,	//487  QDataStream&, QLineF&
    31, 31, 0,	//490  QFile::Permission, QFile::Permission
    315, 380, 0,	//493  char, const QString&
    20, 182, 0,	//496  QDataStream&, QSize&
    360, 0,	//499  const QPersistentModelIndex&
    20, 380, 0,	//501  QDataStream&, const QString&
    20, 323, 0,	//504  QDataStream&, const QDateTime&
    358, 380, 346, 0,	//507  const QObject*, const QString&, const QMetaObject&
    211, 211, 0,	//511  QString::SectionFlag, QString::SectionFlag
    364, 395, 0,	//514  const QPointF&, double
    313, 13, 0,	//517  bool, QBool
    20, 131, 0,	//520  QDataStream&, QNetworkCacheMetaData&
    316, 391, 409, 0,	//523  char*, const char*, unsigned int
    141, 397, 0,	//527  QNetworkConfigurationManager::Capability, int
    20, 75, 0,	//530  QDataStream&, QHostAddress&
    20, 362, 0,	//533  QDataStream&, const QPoint&
    20, 234, 0,	//536  QDataStream&, QVariant&
    280, 397, 0,	//539  Qt::MouseButton, int
    364, 0,	//542  const QPointF&
    150, 43, 0,	//544  QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>
    24, 360, 0,	//547  QDebug, const QPersistentModelIndex&
    391, 391, 391, 397, 0,	//550  const char*, const char*, const char*, int
    282, 60, 0,	//555  Qt::Orientation, QFlags<Qt::Orientation>
    24, 353, 0,	//558  QDebug, const QNetworkInterface&
    225, 397, 0,	//561  QUdpSocket::BindFlag, int
    30, 397, 0,	//564  QEventLoop::ProcessEventsFlag, int
    366, 366, 0,	//567  const QRectF&, const QRectF&
    417, 405, 405, 312, 0,	//570  void*, size_t, size_t, __compar_fn_t
    267, 54, 0,	//575  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    24, 119, 0,	//578  QDebug, QLocalSocket::LocalSocketError
    20, 381, 0,	//581  QDataStream&, const QStringList&
    320, 315, 0,	//584  const QByteArray&, char
    27, 27, 0,	//587  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    25, 33, 0,	//590  QDir::Filter, QFlags<QDir::Filter>
    20, 176, 0,	//593  QDataStream&, QPoint&
    372, 395, 0,	//596  const QSizeF&, double
    20, 322, 0,	//599  QDataStream&, const QDate&
    415, 0,	//602  void(*)()
    393, 397, 397, 0,	//604  const unsigned char*, int, int
    20, 335, 0,	//608  QDataStream&, const QLine&
    20, 209, 0,	//611  QDataStream&, QString&
    24, 328, 0,	//614  QDebug, const QHostAddress&
    417, 0,	//617  void*
    272, 397, 0,	//619  Qt::ItemFlag, int
    24, 324, 0,	//622  QDebug, const QDir&
    218, 219, 0,	//625  QTextStream&, QTextStream&(*)(QTextStream&)
    24, 348, 0,	//628  QDebug, const QModelIndex&
    24, 373, 0,	//631  QDebug, const QSslCertificate&
    30, 30, 0,	//634  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    318, 0,	//637  const QBitArray&
    24, 384, 0,	//639  QDebug, const QTime&
    218, 221, 0,	//642  QTextStream&, QTextStreamManipulator
    263, 53, 0,	//645  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    383, 391, 0,	//648  const QStringRef&, const char*
    77, 328, 0,	//651  QHostAddress::SpecialAddress, const QHostAddress&
    20, 12, 0,	//654  QDataStream&, QBitArray&
    405, 405, 0,	//657  size_t, size_t
    24, 372, 0,	//660  QDebug, const QSizeF&
    263, 397, 0,	//663  Qt::GestureFlag, int
    315, 320, 0,	//666  char, const QByteArray&
    20, 388, 0,	//669  QDataStream&, const QVariant&
    24, 388, 0,	//672  QDebug, const QVariant&
    306, 397, 0,	//675  Qt::WindowState, int
    20, 222, 0,	//678  QDataStream&, QTime&
    24, 33, 0,	//681  QDebug, QFlags<QDir::Filter>
    275, 275, 0,	//684  Qt::KeyboardModifier, Qt::KeyboardModifier
    395, 364, 0,	//687  double, const QPointF&
    20, 28, 0,	//690  QDataStream&, QEasingCurve&
    258, 52, 0,	//693  Qt::DropAction, QFlags<Qt::DropAction>
    370, 395, 0,	//696  const QSize&, double
    24, 322, 0,	//699  QDebug, const QDate&
    25, 25, 0,	//702  QDir::Filter, QDir::Filter
    316, 405, 391, 414, 0,	//705  char*, size_t, const char*, va_list
    395, 362, 0,	//710  double, const QPoint&
    417, 397, 405, 0,	//713  void*, int, size_t
    20, 336, 0,	//717  QDataStream&, const QLineF&
    391, 397, 0,	//720  const char*, int
    403, 0,	//723  short
    96, 96, 0,	//725  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    256, 256, 0,	//728  Qt::DockWidgetArea, Qt::DockWidgetArea
    26, 34, 0,	//731  QDir::SortFlag, QFlags<QDir::SortFlag>
    150, 397, 0,	//734  QNetworkInterface::InterfaceFlag, int
    396, 396, 0,	//737  float, float
    388, 390, 0,	//740  const QVariant&, const QVariantComparisonHelper&
    101, 101, 0,	//743  QLibrary::LoadHint, QLibrary::LoadHint
    399, 397, 316, 0,	//746  long double, int, char*
    225, 225, 0,	//750  QUdpSocket::BindFlag, QUdpSocket::BindFlag
    27, 397, 0,	//753  QDirIterator::IteratorFlag, int
    269, 269, 0,	//756  Qt::InputMethodHint, Qt::InputMethodHint
    24, 335, 0,	//759  QDebug, const QLine&
    294, 294, 0,	//762  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    300, 397, 0,	//765  Qt::TouchPointState, int
    320, 397, 0,	//768  const QByteArray&, int
    228, 49, 0,	//771  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    294, 397, 0,	//774  Qt::TextInteractionFlag, int
    306, 306, 0,	//777  Qt::WindowState, Qt::WindowState
    1, 32, 0,	//780  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    24, 377, 0,	//783  QDebug, const QSslError::SslError&
    20, 320, 0,	//786  QDataStream&, const QByteArray&
    20, 325, 0,	//789  QDataStream&, const QEasingCurve&
    20, 385, 0,	//792  QDataStream&, const QUrl&
    24, 365, 0,	//795  QDebug, const QRect&
    26, 26, 0,	//798  QDir::SortFlag, QDir::SortFlag
    220, 397, 0,	//801  QTextStream::NumberFlag, int
    20, 178, 0,	//804  QDataStream&, QRect&
    20, 370, 0,	//807  QDataStream&, const QSize&
    20, 321, 0,	//810  QDataStream&, const QChar&
    237, 397, 0,	//813  Qt::AlignmentFlag, int
    20, 367, 0,	//816  QDataStream&, const QRegExp&
    24, 366, 0,	//819  QDebug, const QRectF&
    306, 64, 0,	//822  Qt::WindowState, QFlags<Qt::WindowState>
    272, 272, 0,	//825  Qt::ItemFlag, Qt::ItemFlag
    20, 232, 0,	//828  QDataStream&, QUuid&
    20, 236, 0,	//831  QDataStream&, QVariant::Type&
    388, 235, 417, 0,	//834  const QVariant&, QVariant::Type, void*
    358, 380, 368, 346, 116, 0,	//838  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    327, 327, 0,	//844  const QHashDummyValue&, const QHashDummyValue&
    20, 177, 0,	//847  QDataStream&, QPointF&
    282, 397, 0,	//850  Qt::Orientation, int
    263, 263, 0,	//853  Qt::GestureFlag, Qt::GestureFlag
    96, 38, 0,	//856  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    395, 370, 0,	//859  double, const QSize&
    24, 378, 0,	//862  QDebug, const QSslKey&
    13, 313, 0,	//865  QBool, bool
    20, 102, 0,	//868  QDataStream&, QLine&
    24, 370, 0,	//871  QDebug, const QSize&
    220, 220, 0,	//874  QTextStream::NumberFlag, QTextStream::NumberFlag
    280, 59, 0,	//877  Qt::MouseButton, QFlags<Qt::MouseButton>
    20, 389, 0,	//880  QDataStream&, const QVariant::Type
    272, 56, 0,	//883  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    20, 387, 0,	//886  QDataStream&, const QUuid&
    101, 39, 0,	//889  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    307, 397, 0,	//892  Qt::WindowType, int
    150, 150, 0,	//895  QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag
    20, 179, 0,	//898  QDataStream&, QRectF&
    20, 365, 0,	//901  QDataStream&, const QRect&
    278, 58, 0,	//904  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    237, 50, 0,	//907  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    24, 374, 0,	//910  QDebug, const QSslCipher&
    20, 17, 0,	//913  QDataStream&, QChar&
    20, 180, 0,	//916  QDataStream&, QRegExp&
    410, 0,	//919  unsigned long
    20, 364, 0,	//921  QDataStream&, const QPointF&
    20, 372, 0,	//924  QDataStream&, const QSizeF&
    122, 40, 0,	//927  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    211, 45, 0,	//930  QString::SectionFlag, QFlags<QString::SectionFlag>
    1, 1, 0,	//933  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    310, 391, 0,	//936  QtMsgType, const char*
    141, 42, 0,	//939  QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>
    383, 0,	//942  const QStringRef&
    96, 397, 0,	//944  QIODevice::OpenModeFlag, int
    406, 0,	//947  unsigned char
    20, 15, 0,	//949  QDataStream&, QByteArray&
    24, 358, 0,	//952  QDebug, const QObject*
    278, 397, 0,	//955  Qt::MatchFlag, int
    20, 21, 0,	//958  QDataStream&, QDate&
    20, 318, 0,	//961  QDataStream&, const QBitArray&
    408, 0,	//964  unsigned char*
    333, 0,	//966  const QIPv6Address&
    392, 0,	//968  const sockaddr*
    77, 0,	//970  QHostAddress::SpecialAddress
    328, 397, 0,	//972  const QHostAddress&, int
    359, 0,	//975  const QPair<QHostAddress,int>&
    329, 0,	//977  const QHostInfo&
    337, 0,	//979  const QList<QHostAddress>&
    81, 0,	//981  QHostInfo::HostInfoError
    380, 173, 391, 0,	//983  const QString&, QObject*, const char*
    380, 412, 173, 0,	//987  const QString&, unsigned short, QObject*
    380, 83, 412, 173, 0,	//991  const QString&, QHttp::ConnectionMode, unsigned short, QObject*
    380, 83, 412, 0,	//996  const QString&, QHttp::ConnectionMode, unsigned short
    216, 0,	//1000  QTcpSocket*
    380, 397, 380, 380, 0,	//1002  const QString&, int, const QString&, const QString&
    380, 94, 94, 0,	//1007  const QString&, QIODevice*, QIODevice*
    380, 320, 94, 0,	//1011  const QString&, const QByteArray&, QIODevice*
    331, 94, 94, 0,	//1015  const QHttpRequestHeader&, QIODevice*, QIODevice*
    331, 320, 94, 0,	//1019  const QHttpRequestHeader&, const QByteArray&, QIODevice*
    332, 0,	//1023  const QHttpResponseHeader&
    397, 397, 0,	//1025  int, int
    380, 402, 10, 0,	//1028  const QString&, quint16, QAuthenticator*
    343, 0,	//1032  const QList<QSslError>&
    380, 83, 0,	//1034  const QString&, QHttp::ConnectionMode
    380, 397, 0,	//1037  const QString&, int
    380, 397, 380, 0,	//1040  const QString&, int, const QString&
    331, 0,	//1044  const QHttpRequestHeader&
    331, 94, 0,	//1046  const QHttpRequestHeader&, QIODevice*
    331, 320, 0,	//1049  const QHttpRequestHeader&, const QByteArray&
    330, 0,	//1052  const QHttpHeader&
    340, 0,	//1054  const QList<QPair<QString,QString> >&
    380, 380, 397, 397, 0,	//1056  const QString&, const QString&, int, int
    380, 380, 397, 0,	//1061  const QString&, const QString&, int
    397, 380, 397, 397, 0,	//1065  int, const QString&, int, int
    397, 380, 397, 0,	//1070  int, const QString&, int
    38, 0,	//1074  QFlags<QIODevice::OpenModeFlag>
    397, 314, 0,	//1076  int, bool*
    100, 0,	//1079  QIntegerForSizeof< void* >::Unsigned
    380, 38, 0,	//1081  const QString&, QFlags<QIODevice::OpenModeFlag>
    100, 120, 38, 0,	//1084  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>
    119, 0,	//1088  QLocalSocket::LocalSocketError
    120, 0,	//1090  QLocalSocket::LocalSocketState
    100, 120, 0,	//1092  QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState
    156, 0,	//1095  QNetworkProxyFactory*
    2, 0,	//1097  QAbstractNetworkCache*
    145, 0,	//1099  QNetworkCookieJar*
    357, 0,	//1101  const QNetworkRequest&
    357, 94, 0,	//1103  const QNetworkRequest&, QIODevice*
    357, 320, 0,	//1106  const QNetworkRequest&, const QByteArray&
    357, 320, 94, 0,	//1109  const QNetworkRequest&, const QByteArray&, QIODevice*
    351, 0,	//1113  const QNetworkConfiguration&
    126, 0,	//1115  QNetworkAccessManager::NetworkAccessibility
    160, 10, 0,	//1117  QNetworkReply*, QAuthenticator*
    160, 0,	//1120  QNetworkReply*
    160, 343, 0,	//1122  QNetworkReply*, const QList<QSslError>&
    127, 357, 94, 0,	//1125  QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*
    127, 357, 0,	//1129  QNetworkAccessManager::Operation, const QNetworkRequest&
    349, 0,	//1132  const QNetworkAddressEntry&
    339, 0,	//1134  const QList<QPair<QByteArray,QByteArray> >&
    323, 0,	//1136  const QDateTime&
    326, 0,	//1138  const QHash<QNetworkRequest::Attribute,QVariant>&
    41, 0,	//1140  QFlags<QNetworkConfiguration::StateFlag>
    352, 0,	//1142  const QNetworkCookie&
    144, 0,	//1144  QNetworkCookie::RawForm
    338, 385, 0,	//1146  const QList<QNetworkCookie>&, const QUrl&
    338, 0,	//1149  const QList<QNetworkCookie>&
    353, 0,	//1151  const QNetworkInterface&
    155, 380, 412, 380, 380, 0,	//1153  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&
    155, 0,	//1159  QNetworkProxy::ProxyType
    44, 0,	//1161  QFlags<QNetworkProxy::Capability>
    155, 380, 0,	//1163  QNetworkProxy::ProxyType, const QString&
    155, 380, 412, 0,	//1166  QNetworkProxy::ProxyType, const QString&, unsigned short
    155, 380, 412, 380, 0,	//1170  QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&
    356, 0,	//1175  const QNetworkProxyQuery&
    355, 0,	//1177  const QNetworkProxyFactory&
    385, 159, 0,	//1179  const QUrl&, QNetworkProxyQuery::QueryType
    380, 397, 380, 159, 0,	//1182  const QString&, int, const QString&, QNetworkProxyQuery::QueryType
    412, 380, 159, 0,	//1187  unsigned short, const QString&, QNetworkProxyQuery::QueryType
    159, 0,	//1191  QNetworkProxyQuery::QueryType
    412, 380, 0,	//1193  unsigned short, const QString&
    167, 0,	//1196  QNetworkRequest::KnownHeaders
    165, 0,	//1198  QNetworkRequest::Attribute
    375, 0,	//1200  const QSslConfiguration&
    161, 0,	//1202  QNetworkReply::NetworkError
    127, 0,	//1204  QNetworkAccessManager::Operation
    161, 380, 0,	//1206  QNetworkReply::NetworkError, const QString&
    167, 388, 0,	//1209  QNetworkRequest::KnownHeaders, const QVariant&
    165, 388, 0,	//1212  QNetworkRequest::Attribute, const QVariant&
    169, 0,	//1215  QNetworkRequest::Priority
    351, 173, 0,	//1217  const QNetworkConfiguration&, QObject*
    172, 0,	//1220  QNetworkSession::State
    171, 0,	//1222  QNetworkSession::SessionError
    351, 313, 0,	//1224  const QNetworkConfiguration&, bool
    29, 0,	//1227  QEvent*
    173, 29, 0,	//1229  QObject*, QEvent*
    223, 0,	//1232  QTimerEvent*
    18, 0,	//1234  QChildEvent*
    94, 185, 0,	//1236  QIODevice*, QSsl::EncodingFormat
    320, 185, 0,	//1239  const QByteArray&, QSsl::EncodingFormat
    373, 0,	//1242  const QSslCertificate&
    19, 0,	//1244  QCryptographicHash::Algorithm
    192, 0,	//1246  QSslCertificate::SubjectInfo
    380, 185, 181, 0,	//1248  const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax
    380, 185, 0,	//1252  const QString&, QSsl::EncodingFormat
    380, 188, 0,	//1255  const QString&, QSsl::SslProtocol
    374, 0,	//1258  const QSslCipher&
    188, 0,	//1260  QSsl::SslProtocol
    206, 0,	//1262  QSslSocket::PeerVerifyMode
    378, 0,	//1264  const QSslKey&
    342, 0,	//1266  const QList<QSslCipher>&
    341, 0,	//1268  const QList<QSslCertificate>&
    201, 0,	//1270  QSslError::SslError
    201, 373, 0,	//1272  QSslError::SslError, const QSslCertificate&
    376, 0,	//1275  const QSslError&
    320, 186, 185, 187, 320, 0,	//1277  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    94, 186, 185, 187, 320, 0,	//1283  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&
    320, 186, 0,	//1289  const QByteArray&, QSsl::KeyAlgorithm
    320, 186, 185, 0,	//1292  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    320, 186, 185, 187, 0,	//1296  const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    94, 186, 0,	//1301  QIODevice*, QSsl::KeyAlgorithm
    94, 186, 185, 0,	//1304  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    94, 186, 185, 187, 0,	//1308  QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType
    380, 412, 380, 38, 0,	//1313  const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>
    380, 186, 185, 320, 0,	//1318  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&
    207, 0,	//1323  QSslSocket::SslMode
    401, 0,	//1325  qint64
    380, 412, 380, 0,	//1327  const QString&, unsigned short, const QString&
    380, 186, 0,	//1331  const QString&, QSsl::KeyAlgorithm
    380, 186, 185, 0,	//1334  const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat
    328, 412, 48, 0,	//1338  const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>
    412, 48, 0,	//1342  unsigned short, QFlags<QUdpSocket::BindFlag>
    316, 400, 76, 413, 0,	//1345  char*, long long, QHostAddress*, unsigned short*
    391, 400, 328, 412, 0,	//1350  const char*, long long, const QHostAddress&, unsigned short
    320, 328, 412, 0,	//1355  const QByteArray&, const QHostAddress&, unsigned short
    316, 400, 76, 0,	//1359  char*, long long, QHostAddress*
    380, 397, 380, 380, 400, 323, 323, 313, 313, 313, 313, 313, 313, 0,	//1363  const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    385, 397, 380, 380, 400, 323, 323, 313, 313, 313, 313, 313, 313, 0,	//1377  const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool
    386, 386, 397, 0,	//1391  const QUrlInfo&, const QUrlInfo&, int
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Aborted",	//1
    "Accessible",	//2
    "Active",	//3
    "AddressInUseError",	//4
    "AlwaysCache",	//5
    "AlwaysNetwork",	//6
    "Any",	//7
    "AnyIPv6",	//8
    "AnyProtocol",	//9
    "Append",	//10
    "ApplicationLevelRoaming",	//11
    "Ascii",	//12
    "AuthenticationRequiredError",	//13
    "AuthenticationReuseAttribute",	//14
    "AuthorityIssuerSerialNumberMismatch",	//15
    "AutoVerifyPeer",	//16
    "Automatic",	//17
    "Bearer2G",	//18
    "BearerBluetooth",	//19
    "BearerCDMA2000",	//20
    "BearerEthernet",	//21
    "BearerHSPA",	//22
    "BearerUnknown",	//23
    "BearerWCDMA",	//24
    "BearerWLAN",	//25
    "BearerWiMAX",	//26
    "Binary",	//27
    "BoundState",	//28
    "Broadcast",	//29
    "CacheLoadControlAttribute",	//30
    "CacheSaveControlAttribute",	//31
    "CachingCapability",	//32
    "CanBroadcast",	//33
    "CanMulticast",	//34
    "CanStartAndStopInterfaces",	//35
    "Cd",	//36
    "CertificateExpired",	//37
    "CertificateNotYetValid",	//38
    "CertificateRejected",	//39
    "CertificateRevoked",	//40
    "CertificateSignatureFailed",	//41
    "CertificateUntrusted",	//42
    "Close",	//43
    "Closing",	//44
    "ClosingState",	//45
    "CommonName",	//46
    "ConnectToHost",	//47
    "Connected",	//48
    "ConnectedState",	//49
    "Connecting",	//50
    "ConnectingState",	//51
    "ConnectionEncryptedAttribute",	//52
    "ConnectionError",	//53
    "ConnectionModeHttp",	//54
    "ConnectionModeHttps",	//55
    "ConnectionRefused",	//56
    "ConnectionRefusedError",	//57
    "ContentAccessDenied",	//58
    "ContentLengthHeader",	//59
    "ContentNotFoundError",	//60
    "ContentOperationNotPermittedError",	//61
    "ContentReSendError",	//62
    "ContentTypeHeader",	//63
    "CookieHeader",	//64
    "CookieLoadControlAttribute",	//65
    "CookieSaveControlAttribute",	//66
    "CountryName",	//67
    "CustomOperation",	//68
    "CustomVerbAttribute",	//69
    "DataStatistics",	//70
    "DatagramTooLargeError",	//71
    "DefaultForPlatform",	//72
    "DefaultProxy",	//73
    "Defined",	//74
    "DeleteOperation",	//75
    "Der",	//76
    "DirectConnectionRouting",	//77
    "Disconnected",	//78
    "Discovered",	//79
    "DnsEntry",	//80
    "DoNotBufferUploadDataAttribute",	//81
    "DontShareAddress",	//82
    "DownloadBufferAttribute",	//83
    "Dsa",	//84
    "EmailEntry",	//85
    "ExeGroup",	//86
    "ExeOther",	//87
    "ExeOwner",	//88
    "ForcedRoaming",	//89
    "FtpCachingProxy",	//90
    "Full",	//91
    "Get",	//92
    "GetOperation",	//93
    "HeadOperation",	//94
    "HighPriority",	//95
    "HostLookup",	//96
    "HostLookupState",	//97
    "HostNameLookupCapability",	//98
    "HostNameMismatch",	//99
    "HostNotFound",	//100
    "HostNotFoundError",	//101
    "HttpCachingProxy",	//102
    "HttpPipeliningAllowedAttribute",	//103
    "HttpPipeliningWasUsedAttribute",	//104
    "HttpProxy",	//105
    "HttpReasonPhraseAttribute",	//106
    "HttpStatusCodeAttribute",	//107
    "IPv4Protocol",	//108
    "IPv6Protocol",	//109
    "InternetAccessPoint",	//110
    "Invalid",	//111
    "InvalidCaCertificate",	//112
    "InvalidConfigurationError",	//113
    "InvalidNotAfterField",	//114
    "InvalidNotBeforeField",	//115
    "InvalidPurpose",	//116
    "InvalidResponseHeader",	//117
    "IsLoopBack",	//118
    "IsPointToPoint",	//119
    "IsRunning",	//120
    "IsUp",	//121
    "KeepAliveOption",	//122
    "LastModifiedHeader",	//123
    "List",	//124
    "ListeningCapability",	//125
    "ListeningState",	//126
    "LocalHost",	//127
    "LocalHostIPv6",	//128
    "LocalityName",	//129
    "LocationHeader",	//130
    "LoggedIn",	//131
    "Login",	//132
    "LowDelayOption",	//133
    "LowPriority",	//134
    "Manual",	//135
    "MaximumDownloadBufferSizeAttribute",	//136
    "Mkdir",	//137
    "NameAndValueOnly",	//138
    "NetworkError",	//139
    "NetworkSessionRequired",	//140
    "NoError",	//141
    "NoPeerCertificate",	//142
    "NoProxy",	//143
    "NoSslSupport",	//144
    "None",	//145
    "NormalPriority",	//146
    "NotAccessible",	//147
    "NotAvailable",	//148
    "NotConnected",	//149
    "NotOpen",	//150
    "Null",	//151
    "OperationCanceledError",	//152
    "OperationNotSupportedError",	//153
    "Organization",	//154
    "OrganizationalUnitName",	//155
    "Passive",	//156
    "PathLengthExceeded",	//157
    "PeerClosedError",	//158
    "Pem",	//159
    "PostOperation",	//160
    "PreferCache",	//161
    "PreferNetwork",	//162
    "PrivateKey",	//163
    "PrivatePurpose",	//164
    "ProtocolFailure",	//165
    "ProtocolInvalidOperationError",	//166
    "ProtocolUnknownError",	//167
    "ProxyAuthenticationRequiredError",	//168
    "ProxyConnectionClosedError",	//169
    "ProxyConnectionRefusedError",	//170
    "ProxyConnectionTimeoutError",	//171
    "ProxyNotFoundError",	//172
    "ProxyProtocolError",	//173
    "ProxyTimeoutError",	//174
    "PublicKey",	//175
    "PublicPurpose",	//176
    "Put",	//177
    "PutOperation",	//178
    "QAbstractNetworkCache",	//179
    "QAbstractNetworkCache#",	//180
    "QAbstractSocket",	//181
    "QAbstractSocket$#",	//182
    "QAuthenticator",	//183
    "QAuthenticator#",	//184
    "QFtp",	//185
    "QFtp#",	//186
    "QHostAddress",	//187
    "QHostAddress#",	//188
    "QHostAddress$",	//189
    "QHostInfo",	//190
    "QHostInfo#",	//191
    "QHostInfo$",	//192
    "QHttp",	//193
    "QHttp#",	//194
    "QHttp$",	//195
    "QHttp$$",	//196
    "QHttp$$#",	//197
    "QHttp$$$",	//198
    "QHttp$$$#",	//199
    "QHttpHeader",	//200
    "QHttpHeader#",	//201
    "QHttpHeader$",	//202
    "QHttpRequestHeader",	//203
    "QHttpRequestHeader#",	//204
    "QHttpRequestHeader$",	//205
    "QHttpRequestHeader$$",	//206
    "QHttpRequestHeader$$$",	//207
    "QHttpRequestHeader$$$$",	//208
    "QHttpResponseHeader",	//209
    "QHttpResponseHeader#",	//210
    "QHttpResponseHeader$",	//211
    "QHttpResponseHeader$$",	//212
    "QHttpResponseHeader$$$",	//213
    "QHttpResponseHeader$$$$",	//214
    "QIPv6Address",	//215
    "QIPv6Address#",	//216
    "QLocalServer",	//217
    "QLocalServer#",	//218
    "QLocalSocket",	//219
    "QLocalSocket#",	//220
    "QNetworkAccessManager",	//221
    "QNetworkAccessManager#",	//222
    "QNetworkAddressEntry",	//223
    "QNetworkAddressEntry#",	//224
    "QNetworkCacheMetaData",	//225
    "QNetworkCacheMetaData#",	//226
    "QNetworkConfiguration",	//227
    "QNetworkConfiguration#",	//228
    "QNetworkConfigurationManager",	//229
    "QNetworkConfigurationManager#",	//230
    "QNetworkCookie",	//231
    "QNetworkCookie#",	//232
    "QNetworkCookie##",	//233
    "QNetworkCookieJar",	//234
    "QNetworkCookieJar#",	//235
    "QNetworkDiskCache",	//236
    "QNetworkDiskCache#",	//237
    "QNetworkInterface",	//238
    "QNetworkInterface#",	//239
    "QNetworkProxy",	//240
    "QNetworkProxy#",	//241
    "QNetworkProxy$",	//242
    "QNetworkProxy$$",	//243
    "QNetworkProxy$$$",	//244
    "QNetworkProxy$$$$",	//245
    "QNetworkProxy$$$$$",	//246
    "QNetworkProxyFactory",	//247
    "QNetworkProxyFactory#",	//248
    "QNetworkProxyQuery",	//249
    "QNetworkProxyQuery#",	//250
    "QNetworkProxyQuery#$",	//251
    "QNetworkProxyQuery$",	//252
    "QNetworkProxyQuery$$",	//253
    "QNetworkProxyQuery$$$",	//254
    "QNetworkProxyQuery$$$$",	//255
    "QNetworkReply",	//256
    "QNetworkReply#",	//257
    "QNetworkRequest",	//258
    "QNetworkRequest#",	//259
    "QNetworkSession",	//260
    "QNetworkSession#",	//261
    "QNetworkSession##",	//262
    "QSslCertificate",	//263
    "QSslCertificate#",	//264
    "QSslCertificate#$",	//265
    "QSslCipher",	//266
    "QSslCipher#",	//267
    "QSslCipher$$",	//268
    "QSslConfiguration",	//269
    "QSslConfiguration#",	//270
    "QSslError",	//271
    "QSslError#",	//272
    "QSslError$",	//273
    "QSslError$#",	//274
    "QSslKey",	//275
    "QSslKey#",	//276
    "QSslKey#$",	//277
    "QSslKey#$$",	//278
    "QSslKey#$$$",	//279
    "QSslKey#$$$#",	//280
    "QSslSocket",	//281
    "QSslSocket#",	//282
    "QTcpServer",	//283
    "QTcpServer#",	//284
    "QTcpSocket",	//285
    "QTcpSocket#",	//286
    "QUdpSocket",	//287
    "QUdpSocket#",	//288
    "QUrlInfo",	//289
    "QUrlInfo#",	//290
    "QUrlInfo#$$$$##$$$$$$",	//291
    "QUrlInfo$$$$$##$$$$$$",	//292
    "QtCriticalMsg",	//293
    "QtDebugMsg",	//294
    "QtFatalMsg",	//295
    "QtSystemMsg",	//296
    "QtWarningMsg",	//297
    "QueryPeer",	//298
    "RawCommand",	//299
    "ReadGroup",	//300
    "ReadOnly",	//301
    "ReadOther",	//302
    "ReadOwner",	//303
    "ReadWrite",	//304
    "Reading",	//305
    "RedirectionTargetAttribute",	//306
    "RemoteHostClosedError",	//307
    "Remove",	//308
    "Rename",	//309
    "ReuseAddressHint",	//310
    "Rmdir",	//311
    "Roaming",	//312
    "RoamingError",	//313
    "Rsa",	//314
    "SelfSignedCertificate",	//315
    "SelfSignedCertificateInChain",	//316
    "Sending",	//317
    "ServerNotFoundError",	//318
    "ServiceNetwork",	//319
    "ServiceSpecificPurpose",	//320
    "SessionAbortedError",	//321
    "SetCookieHeader",	//322
    "SetProxy",	//323
    "SetTransferMode",	//324
    "ShareAddress",	//325
    "SocketAccessError",	//326
    "SocketAddressNotAvailableError",	//327
    "SocketResourceError",	//328
    "SocketTimeoutError",	//329
    "Socks5Proxy",	//330
    "SourceIsFromCacheAttribute",	//331
    "SslClientMode",	//332
    "SslHandshakeFailedError",	//333
    "SslServerMode",	//334
    "SslV2",	//335
    "SslV3",	//336
    "StateOrProvinceName",	//337
    "SubjectIssuerMismatch",	//338
    "SystemSessionSupport",	//339
    "TcpServer",	//340
    "TcpSocket",	//341
    "TemporaryNetworkFailureError",	//342
    "Text",	//343
    "TimeoutError",	//344
    "TlsV1",	//345
    "Truncate",	//346
    "TunnelingCapability",	//347
    "UdpSocket",	//348
    "UdpTunnelingCapability",	//349
    "UnableToDecodeIssuerPublicKey",	//350
    "UnableToDecryptCertificateSignature",	//351
    "UnableToGetIssuerCertificate",	//352
    "UnableToGetLocalIssuerCertificate",	//353
    "UnableToVerifyFirstCertificate",	//354
    "Unbuffered",	//355
    "Unconnected",	//356
    "UnconnectedState",	//357
    "Undefined",	//358
    "UnencryptedMode",	//359
    "UnexpectedClose",	//360
    "UnfinishedSocketOperationError",	//361
    "UnknownAccessibility",	//362
    "UnknownContentError",	//363
    "UnknownError",	//364
    "UnknownNetworkError",	//365
    "UnknownNetworkLayerProtocol",	//366
    "UnknownOperation",	//367
    "UnknownProtocol",	//368
    "UnknownProxyError",	//369
    "UnknownPurpose",	//370
    "UnknownSessionError",	//371
    "UnknownSocketError",	//372
    "UnknownSocketType",	//373
    "UnspecifiedError",	//374
    "UnsupportedSocketOperationError",	//375
    "UrlRequest",	//376
    "User",	//377
    "UserChoice",	//378
    "UserMax",	//379
    "VerifyNone",	//380
    "VerifyPeer",	//381
    "WriteGroup",	//382
    "WriteOnly",	//383
    "WriteOther",	//384
    "WriteOwner",	//385
    "WrongContentLength",	//386
    "_ISalnum",	//387
    "_ISalpha",	//388
    "_ISblank",	//389
    "_IScntrl",	//390
    "_ISdigit",	//391
    "_ISgraph",	//392
    "_ISlower",	//393
    "_ISprint",	//394
    "_ISpunct",	//395
    "_ISspace",	//396
    "_ISupper",	//397
    "_ISxdigit",	//398
    "__codecvt_error",	//399
    "__codecvt_noconv",	//400
    "__codecvt_ok",	//401
    "__codecvt_partial",	//402
    "abort",	//403
    "abortHostLookup",	//404
    "abortHostLookup$",	//405
    "accept",	//406
    "activeConfiguration",	//407
    "activeTime",	//408
    "addCaCertificate",	//409
    "addCaCertificate#",	//410
    "addCaCertificates",	//411
    "addCaCertificates$",	//412
    "addCaCertificates$$",	//413
    "addCaCertificates$$$",	//414
    "addCaCertificates?",	//415
    "addDefaultCaCertificate",	//416
    "addDefaultCaCertificate#",	//417
    "addDefaultCaCertificates",	//418
    "addDefaultCaCertificates$",	//419
    "addDefaultCaCertificates$$",	//420
    "addDefaultCaCertificates$$$",	//421
    "addDefaultCaCertificates?",	//422
    "addPendingConnection",	//423
    "addPendingConnection#",	//424
    "addValue",	//425
    "addValue$$",	//426
    "addressEntries",	//427
    "addresses",	//428
    "algorithm",	//429
    "allAddresses",	//430
    "allConfigurations",	//431
    "allConfigurations$",	//432
    "allCookies",	//433
    "allInterfaces",	//434
    "allValues",	//435
    "allValues$",	//436
    "alternateSubjectNames",	//437
    "applicationProxy",	//438
    "atEnd",	//439
    "attribute",	//440
    "attribute$",	//441
    "attribute$#",	//442
    "attributes",	//443
    "authenticationMethod",	//444
    "authenticationRequired",	//445
    "authenticationRequired##",	//446
    "authenticationRequired$$#",	//447
    "bearerName",	//448
    "bearerType",	//449
    "bearerTypeName",	//450
    "bind",	//451
    "bind#$",	//452
    "bind#$$",	//453
    "bind$",	//454
    "bind$$",	//455
    "broadcast",	//456
    "bytesAvailable",	//457
    "bytesReceived",	//458
    "bytesToWrite",	//459
    "bytesWritten",	//460
    "caCertificates",	//461
    "cache",	//462
    "cacheDirectory",	//463
    "cacheSize",	//464
    "canReadLine",	//465
    "capabilities",	//466
    "cd",	//467
    "cd$",	//468
    "certificate",	//469
    "childEvent",	//470
    "children",	//471
    "ciphers",	//472
    "clear",	//473
    "clearPendingCommands",	//474
    "clearPendingRequests",	//475
    "close",	//476
    "closeConnection",	//477
    "closed",	//478
    "commandFinished",	//479
    "commandFinished$$",	//480
    "commandStarted",	//481
    "commandStarted$",	//482
    "configuration",	//483
    "configurationAdded",	//484
    "configurationAdded#",	//485
    "configurationChanged",	//486
    "configurationChanged#",	//487
    "configurationFromIdentifier",	//488
    "configurationFromIdentifier$",	//489
    "configurationRemoved",	//490
    "configurationRemoved#",	//491
    "connectNotify",	//492
    "connectNotify$",	//493
    "connectToHost",	//494
    "connectToHost#$",	//495
    "connectToHost#$$",	//496
    "connectToHost$",	//497
    "connectToHost$$",	//498
    "connectToHost$$$",	//499
    "connectToHostEncrypted",	//500
    "connectToHostEncrypted$$",	//501
    "connectToHostEncrypted$$$",	//502
    "connectToHostEncrypted$$$$",	//503
    "connectToHostImplementation",	//504
    "connectToHostImplementation$$",	//505
    "connectToHostImplementation$$$",	//506
    "connectToServer",	//507
    "connectToServer$",	//508
    "connectToServer$$",	//509
    "connected",	//510
    "contentLength",	//511
    "contentType",	//512
    "cookieJar",	//513
    "cookiesForUrl",	//514
    "cookiesForUrl#",	//515
    "createRequest",	//516
    "createRequest$#",	//517
    "createRequest$##",	//518
    "currentCommand",	//519
    "currentDestinationDevice",	//520
    "currentDevice",	//521
    "currentId",	//522
    "currentRequest",	//523
    "currentSourceDevice",	//524
    "customEvent",	//525
    "data",	//526
    "data#",	//527
    "dataReadProgress",	//528
    "dataReadProgress$$",	//529
    "dataSendProgress",	//530
    "dataSendProgress$$",	//531
    "dataTransferProgress",	//532
    "dataTransferProgress$$",	//533
    "defaultCaCertificates",	//534
    "defaultCiphers",	//535
    "defaultConfiguration",	//536
    "deleteResource",	//537
    "deleteResource#",	//538
    "detach",	//539
    "digest",	//540
    "digest$",	//541
    "disconnectFromHost",	//542
    "disconnectFromHostImplementation",	//543
    "disconnectFromServer",	//544
    "disconnectNotify",	//545
    "disconnectNotify$",	//546
    "disconnected",	//547
    "domain",	//548
    "done",	//549
    "done$",	//550
    "downloadProgress",	//551
    "downloadProgress$$",	//552
    "effectiveDate",	//553
    "encrypted",	//554
    "encryptedBytesAvailable",	//555
    "encryptedBytesToWrite",	//556
    "encryptedBytesWritten",	//557
    "encryptedBytesWritten$",	//558
    "encryptionMethod",	//559
    "equal",	//560
    "equal##$",	//561
    "error",	//562
    "error$",	//563
    "errorString",	//564
    "event",	//565
    "eventFilter",	//566
    "expirationDate",	//567
    "expire",	//568
    "expiryDate",	//569
    "fileMetaData",	//570
    "fileMetaData$",	//571
    "finished",	//572
    "finished#",	//573
    "flags",	//574
    "flush",	//575
    "fromData",	//576
    "fromData#",	//577
    "fromData#$",	//578
    "fromDevice",	//579
    "fromDevice#",	//580
    "fromDevice#$",	//581
    "fromName",	//582
    "fromName$",	//583
    "fromPath",	//584
    "fromPath$",	//585
    "fromPath$$",	//586
    "fromPath$$$",	//587
    "fullServerName",	//588
    "get",	//589
    "get#",	//590
    "get$",	//591
    "get$#",	//592
    "get$#$",	//593
    "greaterThan",	//594
    "greaterThan##$",	//595
    "group",	//596
    "handle",	//597
    "hardwareAddress",	//598
    "hasContentLength",	//599
    "hasContentType",	//600
    "hasKey",	//601
    "hasKey$",	//602
    "hasPendingCommands",	//603
    "hasPendingConnections",	//604
    "hasPendingDatagrams",	//605
    "hasPendingRequests",	//606
    "hasRawHeader",	//607
    "hasRawHeader#",	//608
    "head",	//609
    "head#",	//610
    "head$",	//611
    "header",	//612
    "header$",	//613
    "hostFound",	//614
    "hostName",	//615
    "humanReadableName",	//616
    "identifier",	//617
    "ignore",	//618
    "ignoreSslErrors",	//619
    "ignoreSslErrors?",	//620
    "incomingConnection",	//621
    "incomingConnection$",	//622
    "incomingConnection?",	//623
    "index",	//624
    "insert",	//625
    "insert#",	//626
    "interface",	//627
    "interfaceFromIndex",	//628
    "interfaceFromIndex$",	//629
    "interfaceFromName",	//630
    "interfaceFromName$",	//631
    "ip",	//632
    "isCachingProxy",	//633
    "isDir",	//634
    "isEncrypted",	//635
    "isExecutable",	//636
    "isFile",	//637
    "isFinished",	//638
    "isHttpOnly",	//639
    "isInSubnet",	//640
    "isInSubnet#$",	//641
    "isInSubnet?",	//642
    "isListening",	//643
    "isNull",	//644
    "isOnline",	//645
    "isOpen",	//646
    "isReadable",	//647
    "isRoamingAvailable",	//648
    "isRunning",	//649
    "isSecure",	//650
    "isSequential",	//651
    "isSessionCookie",	//652
    "isSymLink",	//653
    "isTransparentProxy",	//654
    "isValid",	//655
    "isWritable",	//656
    "issuerInfo",	//657
    "issuerInfo#",	//658
    "issuerInfo$",	//659
    "keyExchangeMethod",	//660
    "keys",	//661
    "lastModified",	//662
    "lastRead",	//663
    "lastResponse",	//664
    "length",	//665
    "lessThan",	//666
    "lessThan##$",	//667
    "list",	//668
    "list$",	//669
    "listInfo",	//670
    "listInfo#",	//671
    "listen",	//672
    "listen#",	//673
    "listen#$",	//674
    "listen$",	//675
    "localAddress",	//676
    "localCertificate",	//677
    "localDomainName",	//678
    "localHostName",	//679
    "localPort",	//680
    "login",	//681
    "login$",	//682
    "login$$",	//683
    "lookupHost",	//684
    "lookupHost$#$",	//685
    "lookupId",	//686
    "majorVersion",	//687
    "manager",	//688
    "maxPendingConnections",	//689
    "maximumCacheSize",	//690
    "metaData",	//691
    "metaData#",	//692
    "metaDataChanged",	//693
    "metaObject",	//694
    "method",	//695
    "migrate",	//696
    "minorVersion",	//697
    "mkdir",	//698
    "mkdir$",	//699
    "mode",	//700
    "modeChanged",	//701
    "modeChanged$",	//702
    "name",	//703
    "netmask",	//704
    "networkAccessible",	//705
    "networkAccessibleChanged",	//706
    "networkAccessibleChanged$",	//707
    "networkSessionConnected",	//708
    "newConfigurationActivated",	//709
    "newConnection",	//710
    "nextPendingConnection",	//711
    "onlineStateChanged",	//712
    "onlineStateChanged$",	//713
    "open",	//714
    "opened",	//715
    "operation",	//716
    "operator!=",	//717
    "operator!=#",	//718
    "operator!=##",	//719
    "operator!=#$",	//720
    "operator!=$",	//721
    "operator!=$#",	//722
    "operator!=$$",	//723
    "operator&",	//724
    "operator&##",	//725
    "operator*",	//726
    "operator*#$",	//727
    "operator*$#",	//728
    "operator+",	//729
    "operator+##",	//730
    "operator+#$",	//731
    "operator+$#",	//732
    "operator+$$",	//733
    "operator-",	//734
    "operator-#",	//735
    "operator-##",	//736
    "operator/",	//737
    "operator/#$",	//738
    "operator<",	//739
    "operator<##",	//740
    "operator<#$",	//741
    "operator<$#",	//742
    "operator<$$",	//743
    "operator<<",	//744
    "operator<<##",	//745
    "operator<<#$",	//746
    "operator<<#?",	//747
    "operator<=",	//748
    "operator<=##",	//749
    "operator<=#$",	//750
    "operator<=$#",	//751
    "operator<=$$",	//752
    "operator=",	//753
    "operator=#",	//754
    "operator=$",	//755
    "operator==",	//756
    "operator==#",	//757
    "operator==##",	//758
    "operator==#$",	//759
    "operator==$",	//760
    "operator==$#",	//761
    "operator==$$",	//762
    "operator>",	//763
    "operator>##",	//764
    "operator>#$",	//765
    "operator>$#",	//766
    "operator>$$",	//767
    "operator>=",	//768
    "operator>=##",	//769
    "operator>=#$",	//770
    "operator>=$#",	//771
    "operator>=$$",	//772
    "operator>>",	//773
    "operator>>##",	//774
    "operator>>#$",	//775
    "operator>>#?",	//776
    "operator[]",	//777
    "operator[]$",	//778
    "operator^",	//779
    "operator^##",	//780
    "operator|",	//781
    "operator|##",	//782
    "operator|$$",	//783
    "option",	//784
    "option$",	//785
    "options",	//786
    "originatingObject",	//787
    "owner",	//788
    "parse",	//789
    "parse$",	//790
    "parseCookies",	//791
    "parseCookies#",	//792
    "parseLine",	//793
    "parseLine$$",	//794
    "parseSubnet",	//795
    "parseSubnet$",	//796
    "password",	//797
    "path",	//798
    "peerAddress",	//799
    "peerCertificate",	//800
    "peerCertificateChain",	//801
    "peerHostName",	//802
    "peerName",	//803
    "peerPort",	//804
    "peerVerifyDepth",	//805
    "peerVerifyError",	//806
    "peerVerifyError#",	//807
    "peerVerifyMode",	//808
    "pendingDatagramSize",	//809
    "permissions",	//810
    "port",	//811
    "pos",	//812
    "post",	//813
    "post##",	//814
    "post$#",	//815
    "post$##",	//816
    "preferredConfigurationChanged",	//817
    "preferredConfigurationChanged#$",	//818
    "prefixLength",	//819
    "prepare",	//820
    "prepare#",	//821
    "priority",	//822
    "privateKey",	//823
    "protocol",	//824
    "protocolString",	//825
    "protocolTag",	//826
    "proxy",	//827
    "proxyAuthenticationRequired",	//828
    "proxyAuthenticationRequired##",	//829
    "proxyFactory",	//830
    "proxyForQuery",	//831
    "proxyForQuery#",	//832
    "publicKey",	//833
    "purpose",	//834
    "put",	//835
    "put##",	//836
    "put#$",	//837
    "put#$$",	//838
    "qAcos",	//839
    "qAcos$",	//840
    "qAddPostRoutine",	//841
    "qAddPostRoutine$",	//842
    "qAppName",	//843
    "qAsin",	//844
    "qAsin$",	//845
    "qAtan",	//846
    "qAtan$",	//847
    "qAtan2",	//848
    "qAtan2$$",	//849
    "qBadAlloc",	//850
    "qCeil",	//851
    "qCeil$",	//852
    "qChecksum",	//853
    "qChecksum$$",	//854
    "qCompress",	//855
    "qCompress#",	//856
    "qCompress#$",	//857
    "qCompress$$",	//858
    "qCompress$$$",	//859
    "qCos",	//860
    "qCos$",	//861
    "qCritical",	//862
    "qDebug",	//863
    "qExp",	//864
    "qExp$",	//865
    "qFabs",	//866
    "qFabs$",	//867
    "qFastCos",	//868
    "qFastCos$",	//869
    "qFastSin",	//870
    "qFastSin$",	//871
    "qFlagLocation",	//872
    "qFlagLocation$",	//873
    "qFloor",	//874
    "qFloor$",	//875
    "qFree",	//876
    "qFree$",	//877
    "qFreeAligned",	//878
    "qFreeAligned$",	//879
    "qFuzzyCompare",	//880
    "qFuzzyCompare$$",	//881
    "qFuzzyIsNull",	//882
    "qFuzzyIsNull$",	//883
    "qHash",	//884
    "qHash#",	//885
    "qHash$",	//886
    "qInf",	//887
    "qInstallMsgHandler",	//888
    "qInstallMsgHandler$",	//889
    "qIntCast",	//890
    "qIntCast$",	//891
    "qIsFinite",	//892
    "qIsFinite$",	//893
    "qIsInf",	//894
    "qIsInf$",	//895
    "qIsNaN",	//896
    "qIsNaN$",	//897
    "qIsNull",	//898
    "qIsNull$",	//899
    "qLn",	//900
    "qLn$",	//901
    "qMalloc",	//902
    "qMalloc$",	//903
    "qMallocAligned",	//904
    "qMallocAligned$$",	//905
    "qMemCopy",	//906
    "qMemCopy$$$",	//907
    "qMemSet",	//908
    "qMemSet$$$",	//909
    "qPow",	//910
    "qPow$$",	//911
    "qQNaN",	//912
    "qRealloc",	//913
    "qRealloc$$",	//914
    "qReallocAligned",	//915
    "qReallocAligned$$$$",	//916
    "qRegisterStaticPluginInstanceFunction",	//917
    "qRegisterStaticPluginInstanceFunction#",	//918
    "qRemovePostRoutine",	//919
    "qRemovePostRoutine$",	//920
    "qRound",	//921
    "qRound$",	//922
    "qRound64",	//923
    "qRound64$",	//924
    "qSNaN",	//925
    "qSetFieldWidth",	//926
    "qSetFieldWidth$",	//927
    "qSetPadChar",	//928
    "qSetPadChar#",	//929
    "qSetRealNumberPrecision",	//930
    "qSetRealNumberPrecision$",	//931
    "qSharedBuild",	//932
    "qSin",	//933
    "qSin$",	//934
    "qSqrt",	//935
    "qSqrt$",	//936
    "qStringComparisonHelper",	//937
    "qStringComparisonHelper#$",	//938
    "qStringComparisonHelper$$",	//939
    "qTan",	//940
    "qTan$",	//941
    "qUncompress",	//942
    "qUncompress#",	//943
    "qUncompress$$",	//944
    "qVersion",	//945
    "qWarning",	//946
    "qbswap_helper",	//947
    "qbswap_helper$$$",	//948
    "qgcvt",	//949
    "qgcvt$$$",	//950
    "qgetenv",	//951
    "qgetenv$",	//952
    "qputenv",	//953
    "qputenv$#",	//954
    "qrand",	//955
    "qsort",	//956
    "qsort$$$?",	//957
    "qsrand",	//958
    "qsrand$",	//959
    "qstrcmp",	//960
    "qstrcmp##",	//961
    "qstrcmp#$",	//962
    "qstrcmp$#",	//963
    "qstrcmp$$",	//964
    "qstrcpy",	//965
    "qstrcpy$$",	//966
    "qstrdup",	//967
    "qstrdup$",	//968
    "qstricmp",	//969
    "qstricmp$$",	//970
    "qstrlen",	//971
    "qstrlen$",	//972
    "qstrncmp",	//973
    "qstrncmp$$$",	//974
    "qstrncpy",	//975
    "qstrncpy$$$",	//976
    "qstrnicmp",	//977
    "qstrnicmp$$$",	//978
    "qstrnlen",	//979
    "qstrnlen$$",	//980
    "qtTrId",	//981
    "qtTrId$",	//982
    "qtTrId$$",	//983
    "qt_assert",	//984
    "qt_assert$$$",	//985
    "qt_assert_x",	//986
    "qt_assert_x$$$$",	//987
    "qt_check_pointer",	//988
    "qt_check_pointer$$",	//989
    "qt_error_string",	//990
    "qt_error_string$",	//991
    "qt_message_output",	//992
    "qt_message_output$$",	//993
    "qt_metacall",	//994
    "qt_metacall$$?",	//995
    "qt_metacast",	//996
    "qt_metacast$",	//997
    "qt_noop",	//998
    "qt_qFindChild_helper",	//999
    "qt_qFindChild_helper#$#",	//1000
    "qt_qFindChildren_helper",	//1001
    "qt_qFindChildren_helper#$##?",	//1002
    "queryProxy",	//1003
    "queryProxy#",	//1004
    "queryType",	//1005
    "qvariant_cast_helper",	//1006
    "qvariant_cast_helper#$$",	//1007
    "qvsnprintf",	//1008
    "qvsnprintf$$$?",	//1009
    "rawCommand",	//1010
    "rawCommand$",	//1011
    "rawCommandReply",	//1012
    "rawCommandReply$$",	//1013
    "rawHeader",	//1014
    "rawHeader#",	//1015
    "rawHeaderList",	//1016
    "rawHeaderPairs",	//1017
    "rawHeaders",	//1018
    "read",	//1019
    "read$$",	//1020
    "readAll",	//1021
    "readBufferSize",	//1022
    "readData",	//1023
    "readData$$",	//1024
    "readDatagram",	//1025
    "readDatagram$$",	//1026
    "readDatagram$$#",	//1027
    "readDatagram$$#$",	//1028
    "readLineData",	//1029
    "readLineData$$",	//1030
    "readyRead",	//1031
    "readyRead#",	//1032
    "realm",	//1033
    "reasonPhrase",	//1034
    "reject",	//1035
    "remove",	//1036
    "remove#",	//1037
    "remove$",	//1038
    "removeAllValues",	//1039
    "removeAllValues$",	//1040
    "removeServer",	//1041
    "removeServer$",	//1042
    "removeValue",	//1043
    "removeValue$",	//1044
    "rename",	//1045
    "rename$$",	//1046
    "request",	//1047
    "request#",	//1048
    "request##",	//1049
    "request###",	//1050
    "requestFinished",	//1051
    "requestFinished$$",	//1052
    "requestStarted",	//1053
    "requestStarted$",	//1054
    "reset",	//1055
    "responseHeaderReceived",	//1056
    "responseHeaderReceived#",	//1057
    "rmdir",	//1058
    "rmdir$",	//1059
    "saveToDisk",	//1060
    "scopeId",	//1061
    "seek",	//1062
    "sendCustomRequest",	//1063
    "sendCustomRequest##",	//1064
    "sendCustomRequest###",	//1065
    "serialNumber",	//1066
    "serverAddress",	//1067
    "serverError",	//1068
    "serverName",	//1069
    "serverPort",	//1070
    "sessionCipher",	//1071
    "sessionProperty",	//1072
    "sessionProperty$",	//1073
    "setAddress",	//1074
    "setAddress#",	//1075
    "setAddress$",	//1076
    "setAddresses",	//1077
    "setAddresses?",	//1078
    "setAllCookies",	//1079
    "setAllCookies?",	//1080
    "setApplicationProxy",	//1081
    "setApplicationProxy#",	//1082
    "setApplicationProxyFactory",	//1083
    "setApplicationProxyFactory#",	//1084
    "setAttribute",	//1085
    "setAttribute$#",	//1086
    "setAttributes",	//1087
    "setAttributes?",	//1088
    "setBroadcast",	//1089
    "setBroadcast#",	//1090
    "setCaCertificates",	//1091
    "setCaCertificates?",	//1092
    "setCache",	//1093
    "setCache#",	//1094
    "setCacheDirectory",	//1095
    "setCacheDirectory$",	//1096
    "setCapabilities",	//1097
    "setCapabilities$",	//1098
    "setCiphers",	//1099
    "setCiphers$",	//1100
    "setCiphers?",	//1101
    "setConfiguration",	//1102
    "setConfiguration#",	//1103
    "setContentLength",	//1104
    "setContentLength$",	//1105
    "setContentType",	//1106
    "setContentType$",	//1107
    "setCookieJar",	//1108
    "setCookieJar#",	//1109
    "setCookiesFromUrl",	//1110
    "setCookiesFromUrl?#",	//1111
    "setDefaultCaCertificates",	//1112
    "setDefaultCaCertificates?",	//1113
    "setDefaultCiphers",	//1114
    "setDefaultCiphers?",	//1115
    "setDefaultConfiguration",	//1116
    "setDefaultConfiguration#",	//1117
    "setDir",	//1118
    "setDir$",	//1119
    "setDomain",	//1120
    "setDomain$",	//1121
    "setError",	//1122
    "setError$",	//1123
    "setError$$",	//1124
    "setErrorString",	//1125
    "setErrorString$",	//1126
    "setExpirationDate",	//1127
    "setExpirationDate#",	//1128
    "setFile",	//1129
    "setFile$",	//1130
    "setGroup",	//1131
    "setGroup$",	//1132
    "setHeader",	//1133
    "setHeader$#",	//1134
    "setHost",	//1135
    "setHost$",	//1136
    "setHost$$",	//1137
    "setHost$$$",	//1138
    "setHostName",	//1139
    "setHostName$",	//1140
    "setHttpOnly",	//1141
    "setHttpOnly$",	//1142
    "setIp",	//1143
    "setIp#",	//1144
    "setLastModified",	//1145
    "setLastModified#",	//1146
    "setLastRead",	//1147
    "setLastRead#",	//1148
    "setLocalAddress",	//1149
    "setLocalAddress#",	//1150
    "setLocalCertificate",	//1151
    "setLocalCertificate#",	//1152
    "setLocalCertificate$",	//1153
    "setLocalCertificate$$",	//1154
    "setLocalPort",	//1155
    "setLocalPort$",	//1156
    "setLookupId",	//1157
    "setLookupId$",	//1158
    "setMaxPendingConnections",	//1159
    "setMaxPendingConnections$",	//1160
    "setMaximumCacheSize",	//1161
    "setMaximumCacheSize$",	//1162
    "setName",	//1163
    "setName#",	//1164
    "setName$",	//1165
    "setNetmask",	//1166
    "setNetmask#",	//1167
    "setNetworkAccessible",	//1168
    "setNetworkAccessible$",	//1169
    "setOperation",	//1170
    "setOperation$",	//1171
    "setOption",	//1172
    "setOption$#",	//1173
    "setOriginatingObject",	//1174
    "setOriginatingObject#",	//1175
    "setOwner",	//1176
    "setOwner$",	//1177
    "setPassword",	//1178
    "setPassword$",	//1179
    "setPath",	//1180
    "setPath$",	//1181
    "setPeerAddress",	//1182
    "setPeerAddress#",	//1183
    "setPeerHostName",	//1184
    "setPeerHostName$",	//1185
    "setPeerName",	//1186
    "setPeerName$",	//1187
    "setPeerPort",	//1188
    "setPeerPort$",	//1189
    "setPeerVerifyDepth",	//1190
    "setPeerVerifyDepth$",	//1191
    "setPeerVerifyMode",	//1192
    "setPeerVerifyMode$",	//1193
    "setPermissions",	//1194
    "setPermissions$",	//1195
    "setPort",	//1196
    "setPort$",	//1197
    "setPrefixLength",	//1198
    "setPrefixLength$",	//1199
    "setPriority",	//1200
    "setPriority$",	//1201
    "setPrivateKey",	//1202
    "setPrivateKey#",	//1203
    "setPrivateKey$",	//1204
    "setPrivateKey$$",	//1205
    "setPrivateKey$$$",	//1206
    "setPrivateKey$$$#",	//1207
    "setProtocol",	//1208
    "setProtocol$",	//1209
    "setProtocolTag",	//1210
    "setProtocolTag$",	//1211
    "setProxy",	//1212
    "setProxy#",	//1213
    "setProxy$$",	//1214
    "setProxy$$$",	//1215
    "setProxy$$$$",	//1216
    "setProxyFactory",	//1217
    "setProxyFactory#",	//1218
    "setQueryType",	//1219
    "setQueryType$",	//1220
    "setRawHeader",	//1221
    "setRawHeader##",	//1222
    "setRawHeaders",	//1223
    "setRawHeaders?",	//1224
    "setReadBufferSize",	//1225
    "setReadBufferSize$",	//1226
    "setReadable",	//1227
    "setReadable$",	//1228
    "setRequest",	//1229
    "setRequest#",	//1230
    "setRequest$$",	//1231
    "setRequest$$$",	//1232
    "setRequest$$$$",	//1233
    "setSaveToDisk",	//1234
    "setSaveToDisk$",	//1235
    "setScopeId",	//1236
    "setScopeId$",	//1237
    "setSecure",	//1238
    "setSecure$",	//1239
    "setSessionProperty",	//1240
    "setSessionProperty$#",	//1241
    "setSize",	//1242
    "setSize$",	//1243
    "setSocket",	//1244
    "setSocket#",	//1245
    "setSocketDescriptor",	//1246
    "setSocketDescriptor$",	//1247
    "setSocketDescriptor$$",	//1248
    "setSocketDescriptor$$$",	//1249
    "setSocketDescriptor?",	//1250
    "setSocketDescriptor?$",	//1251
    "setSocketDescriptor?$$",	//1252
    "setSocketError",	//1253
    "setSocketError$",	//1254
    "setSocketOption",	//1255
    "setSocketOption$#",	//1256
    "setSocketState",	//1257
    "setSocketState$",	//1258
    "setSslConfiguration",	//1259
    "setSslConfiguration#",	//1260
    "setStatusLine",	//1261
    "setStatusLine$",	//1262
    "setStatusLine$$",	//1263
    "setStatusLine$$$",	//1264
    "setStatusLine$$$$",	//1265
    "setSymLink",	//1266
    "setSymLink$",	//1267
    "setTransferMode",	//1268
    "setTransferMode$",	//1269
    "setType",	//1270
    "setType$",	//1271
    "setUrl",	//1272
    "setUrl#",	//1273
    "setUseSystemConfiguration",	//1274
    "setUseSystemConfiguration$",	//1275
    "setUser",	//1276
    "setUser$",	//1277
    "setUser$$",	//1278
    "setValid",	//1279
    "setValid$",	//1280
    "setValue",	//1281
    "setValue#",	//1282
    "setValue$$",	//1283
    "setValues",	//1284
    "setValues?",	//1285
    "setWritable",	//1286
    "setWritable$",	//1287
    "size",	//1288
    "socketDescriptor",	//1289
    "socketOption",	//1290
    "socketOption$",	//1291
    "socketType",	//1292
    "sslConfiguration",	//1293
    "sslErrors",	//1294
    "sslErrors#?",	//1295
    "sslErrors?",	//1296
    "startClientEncryption",	//1297
    "startServerEncryption",	//1298
    "state",	//1299
    "stateChanged",	//1300
    "stateChanged$",	//1301
    "staticMetaObject",	//1302
    "statusCode",	//1303
    "stop",	//1304
    "subjectInfo",	//1305
    "subjectInfo#",	//1306
    "subjectInfo$",	//1307
    "supportedBits",	//1308
    "supportedCiphers",	//1309
    "supportsSsl",	//1310
    "systemCaCertificates",	//1311
    "systemProxyForQuery",	//1312
    "systemProxyForQuery#",	//1313
    "timerEvent",	//1314
    "toDer",	//1315
    "toDer#",	//1316
    "toIPv4Address",	//1317
    "toIPv6Address",	//1318
    "toPem",	//1319
    "toPem#",	//1320
    "toRawForm",	//1321
    "toRawForm$",	//1322
    "toString",	//1323
    "tr",	//1324
    "tr$",	//1325
    "tr$$",	//1326
    "tr$$$",	//1327
    "trUtf8",	//1328
    "trUtf8$",	//1329
    "trUtf8$$",	//1330
    "trUtf8$$$",	//1331
    "type",	//1332
    "updateCompleted",	//1333
    "updateConfigurations",	//1334
    "updateMetaData",	//1335
    "updateMetaData#",	//1336
    "uploadProgress",	//1337
    "uploadProgress$$",	//1338
    "url",	//1339
    "usedBits",	//1340
    "user",	//1341
    "value",	//1342
    "value$",	//1343
    "values",	//1344
    "version",	//1345
    "waitForBytesWritten",	//1346
    "waitForBytesWritten$",	//1347
    "waitForConnected",	//1348
    "waitForConnected$",	//1349
    "waitForDisconnected",	//1350
    "waitForDisconnected$",	//1351
    "waitForEncrypted",	//1352
    "waitForEncrypted$",	//1353
    "waitForNewConnection",	//1354
    "waitForNewConnection$",	//1355
    "waitForNewConnection$$",	//1356
    "waitForOpened",	//1357
    "waitForOpened$",	//1358
    "waitForReadyRead",	//1359
    "waitForReadyRead$",	//1360
    "writeData",	//1361
    "writeData$$",	//1362
    "writeDatagram",	//1363
    "writeDatagram##$",	//1364
    "writeDatagram$$#$",	//1365
    "~QAbstractNetworkCache",	//1366
    "~QAbstractSocket",	//1367
    "~QAuthenticator",	//1368
    "~QFtp",	//1369
    "~QHostAddress",	//1370
    "~QHostInfo",	//1371
    "~QHttp",	//1372
    "~QHttpHeader",	//1373
    "~QHttpRequestHeader",	//1374
    "~QHttpResponseHeader",	//1375
    "~QIPv6Address",	//1376
    "~QLocalServer",	//1377
    "~QLocalSocket",	//1378
    "~QNetworkAccessManager",	//1379
    "~QNetworkAddressEntry",	//1380
    "~QNetworkCacheMetaData",	//1381
    "~QNetworkConfiguration",	//1382
    "~QNetworkConfigurationManager",	//1383
    "~QNetworkCookie",	//1384
    "~QNetworkCookieJar",	//1385
    "~QNetworkDiskCache",	//1386
    "~QNetworkInterface",	//1387
    "~QNetworkProxy",	//1388
    "~QNetworkProxyFactory",	//1389
    "~QNetworkProxyQuery",	//1390
    "~QNetworkReply",	//1391
    "~QNetworkRequest",	//1392
    "~QNetworkSession",	//1393
    "~QSslCertificate",	//1394
    "~QSslCipher",	//1395
    "~QSslConfiguration",	//1396
    "~QSslError",	//1397
    "~QSslKey",	//1398
    "~QSslSocket",	//1399
    "~QTcpServer",	//1400
    "~QTcpSocket",	//1401
    "~QUdpSocket",	//1402
    "~QUrlInfo",	//1403
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1 QAbstractNetworkCache::metaObject() const
    {1, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//2 QAbstractNetworkCache::qt_metacast(const char*)
    {1, 1324, 3, 2, Smoke::mf_static, 208, 3},	//3 QAbstractNetworkCache::tr(const char*, const char*)
    {1, 1328, 3, 2, Smoke::mf_static, 208, 4},	//4 QAbstractNetworkCache::trUtf8(const char*, const char*)
    {1, 1324, 6, 3, Smoke::mf_static, 208, 5},	//5 QAbstractNetworkCache::tr(const char*, const char*, int)
    {1, 1328, 6, 3, Smoke::mf_static, 208, 6},	//6 QAbstractNetworkCache::trUtf8(const char*, const char*, int)
    {1, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//7 QAbstractNetworkCache::qt_metacall(QMetaObject::Call, int, void**)
    {1, 691, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 130, 8},	//8 QAbstractNetworkCache::metaData(const QUrl&) [pure virtual]
    {1, 1335, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//9 QAbstractNetworkCache::updateMetaData(const QNetworkCacheMetaData&) [pure virtual]
    {1, 526, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 10},	//10 QAbstractNetworkCache::data(const QUrl&) [pure virtual]
    {1, 1036, 14, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 313, 11},	//11 QAbstractNetworkCache::remove(const QUrl&) [pure virtual]
    {1, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 400, 12},	//12 QAbstractNetworkCache::cacheSize() const [pure virtual]
    {1, 820, 16, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 94, 13},	//13 QAbstractNetworkCache::prepare(const QNetworkCacheMetaData&) [pure virtual]
    {1, 625, 18, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 14},	//14 QAbstractNetworkCache::insert(QIODevice*) [pure virtual]
    {1, 473, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual|Smoke::mf_slot, 0, 15},	//15 QAbstractNetworkCache::clear() [pure virtual]
    {1, 179, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 2, 16},	//16 QAbstractNetworkCache::QAbstractNetworkCache(QObject*)
    {1, 1324, 1, 1, Smoke::mf_static, 208, 17},	//17 QAbstractNetworkCache::tr(const char*)
    {1, 1328, 1, 1, Smoke::mf_static, 208, 18},	//18 QAbstractNetworkCache::trUtf8(const char*)
    {1, 179, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 2, 19},	//19 QAbstractNetworkCache::QAbstractNetworkCache()
    {1, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 20},	//20 QAbstractNetworkCache::staticMetaObject() const
    {1, 1366, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 QAbstractNetworkCache::~QAbstractNetworkCache()
    {2, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//22 QAbstractSocket::metaObject() const
    {2, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//23 QAbstractSocket::qt_metacast(const char*)
    {2, 1324, 3, 2, Smoke::mf_static, 208, 3},	//24 QAbstractSocket::tr(const char*, const char*)
    {2, 1328, 3, 2, Smoke::mf_static, 208, 4},	//25 QAbstractSocket::trUtf8(const char*, const char*)
    {2, 1324, 6, 3, Smoke::mf_static, 208, 5},	//26 QAbstractSocket::tr(const char*, const char*, int)
    {2, 1328, 6, 3, Smoke::mf_static, 208, 6},	//27 QAbstractSocket::trUtf8(const char*, const char*, int)
    {2, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//28 QAbstractSocket::qt_metacall(QMetaObject::Call, int, void**)
    {2, 181, 22, 2, Smoke::mf_ctor, 3, 8},	//29 QAbstractSocket::QAbstractSocket(QAbstractSocket::SocketType, QObject*)
    {2, 494, 25, 3, 0, 0, 9},	//30 QAbstractSocket::connectToHost(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 494, 29, 3, 0, 0, 10},	//31 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {2, 542, 0, 0, 0, 0, 11},	//32 QAbstractSocket::disconnectFromHost()
    {2, 655, 0, 0, Smoke::mf_const, 313, 12},	//33 QAbstractSocket::isValid() const
    {2, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 13},	//34 QAbstractSocket::bytesAvailable() const
    {2, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 14},	//35 QAbstractSocket::bytesToWrite() const
    {2, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 15},	//36 QAbstractSocket::canReadLine() const
    {2, 680, 0, 0, Smoke::mf_const, 412, 16},	//37 QAbstractSocket::localPort() const
    {2, 676, 0, 0, Smoke::mf_const, 74, 17},	//38 QAbstractSocket::localAddress() const
    {2, 804, 0, 0, Smoke::mf_const, 412, 18},	//39 QAbstractSocket::peerPort() const
    {2, 799, 0, 0, Smoke::mf_const, 74, 19},	//40 QAbstractSocket::peerAddress() const
    {2, 803, 0, 0, Smoke::mf_const, 208, 20},	//41 QAbstractSocket::peerName() const
    {2, 1022, 0, 0, Smoke::mf_const, 400, 21},	//42 QAbstractSocket::readBufferSize() const
    {2, 1225, 33, 1, 0, 0, 22},	//43 QAbstractSocket::setReadBufferSize(long long)
    {2, 403, 0, 0, 0, 0, 23},	//44 QAbstractSocket::abort()
    {2, 1289, 0, 0, Smoke::mf_const, 397, 24},	//45 QAbstractSocket::socketDescriptor() const
    {2, 1246, 35, 3, 0, 313, 25},	//46 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {2, 1255, 39, 2, 0, 0, 26},	//47 QAbstractSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {2, 1290, 42, 1, 0, 233, 27},	//48 QAbstractSocket::socketOption(QAbstractSocket::SocketOption)
    {2, 1292, 0, 0, Smoke::mf_const, 8, 28},	//49 QAbstractSocket::socketType() const
    {2, 1299, 0, 0, Smoke::mf_const, 7, 29},	//50 QAbstractSocket::state() const
    {2, 562, 0, 0, Smoke::mf_const, 5, 30},	//51 QAbstractSocket::error() const
    {2, 476, 0, 0, Smoke::mf_virtual, 0, 31},	//52 QAbstractSocket::close()
    {2, 651, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 32},	//53 QAbstractSocket::isSequential() const
    {2, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 33},	//54 QAbstractSocket::atEnd() const
    {2, 575, 0, 0, 0, 313, 34},	//55 QAbstractSocket::flush()
    {2, 1348, 44, 1, 0, 313, 35},	//56 QAbstractSocket::waitForConnected(int)
    {2, 1359, 44, 1, Smoke::mf_virtual, 313, 36},	//57 QAbstractSocket::waitForReadyRead(int)
    {2, 1346, 44, 1, Smoke::mf_virtual, 313, 37},	//58 QAbstractSocket::waitForBytesWritten(int)
    {2, 1350, 44, 1, 0, 313, 38},	//59 QAbstractSocket::waitForDisconnected(int)
    {2, 1212, 46, 1, 0, 0, 39},	//60 QAbstractSocket::setProxy(const QNetworkProxy&)
    {2, 827, 0, 0, Smoke::mf_const, 151, 40},	//61 QAbstractSocket::proxy() const
    {2, 614, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//62 QAbstractSocket::hostFound()
    {2, 510, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//63 QAbstractSocket::connected()
    {2, 547, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//64 QAbstractSocket::disconnected()
    {2, 1300, 48, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//65 QAbstractSocket::stateChanged(QAbstractSocket::SocketState)
    {2, 562, 50, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//66 QAbstractSocket::error(QAbstractSocket::SocketError)
    {2, 828, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//67 QAbstractSocket::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {2, 504, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 47},	//68 QAbstractSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {2, 543, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 48},	//69 QAbstractSocket::disconnectFromHostImplementation()
    {2, 1023, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 49},	//70 QAbstractSocket::readData(char*, long long)
    {2, 1029, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 50},	//71 QAbstractSocket::readLineData(char*, long long)
    {2, 1361, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 51},	//72 QAbstractSocket::writeData(const char*, long long)
    {2, 1257, 48, 1, Smoke::mf_protected, 0, 52},	//73 QAbstractSocket::setSocketState(QAbstractSocket::SocketState)
    {2, 1253, 50, 1, Smoke::mf_protected, 0, 53},	//74 QAbstractSocket::setSocketError(QAbstractSocket::SocketError)
    {2, 1155, 65, 1, Smoke::mf_protected, 0, 54},	//75 QAbstractSocket::setLocalPort(unsigned short)
    {2, 1149, 67, 1, Smoke::mf_protected, 0, 55},	//76 QAbstractSocket::setLocalAddress(const QHostAddress&)
    {2, 1188, 65, 1, Smoke::mf_protected, 0, 56},	//77 QAbstractSocket::setPeerPort(unsigned short)
    {2, 1182, 67, 1, Smoke::mf_protected, 0, 57},	//78 QAbstractSocket::setPeerAddress(const QHostAddress&)
    {2, 1186, 69, 1, Smoke::mf_protected, 0, 58},	//79 QAbstractSocket::setPeerName(const QString&)
    {2, 1324, 1, 1, Smoke::mf_static, 208, 59},	//80 QAbstractSocket::tr(const char*)
    {2, 1328, 1, 1, Smoke::mf_static, 208, 60},	//81 QAbstractSocket::trUtf8(const char*)
    {2, 494, 71, 2, 0, 0, 61},	//82 QAbstractSocket::connectToHost(const QString&, unsigned short)
    {2, 494, 74, 2, 0, 0, 62},	//83 QAbstractSocket::connectToHost(const QHostAddress&, unsigned short)
    {2, 1246, 44, 1, 0, 313, 63},	//84 QAbstractSocket::setSocketDescriptor(int)
    {2, 1246, 77, 2, 0, 313, 64},	//85 QAbstractSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {2, 1348, 0, 0, 0, 313, 65},	//86 QAbstractSocket::waitForConnected()
    {2, 1359, 0, 0, 0, 313, 66},	//87 QAbstractSocket::waitForReadyRead()
    {2, 1346, 0, 0, 0, 313, 67},	//88 QAbstractSocket::waitForBytesWritten()
    {2, 1350, 0, 0, 0, 313, 68},	//89 QAbstractSocket::waitForDisconnected()
    {2, 504, 80, 2, Smoke::mf_protected|Smoke::mf_slot, 0, 69},	//90 QAbstractSocket::connectToHostImplementation(const QString&, quint16)
    {2, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 70},	//91 QAbstractSocket::staticMetaObject() const
    {2, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 71},	//92 QAbstractSocket::TcpSocket (enum)
    {2, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 72},	//93 QAbstractSocket::UdpSocket (enum)
    {2, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 8, 73},	//94 QAbstractSocket::UnknownSocketType (enum)
    {2, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 74},	//95 QAbstractSocket::IPv4Protocol (enum)
    {2, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 75},	//96 QAbstractSocket::IPv6Protocol (enum)
    {2, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 76},	//97 QAbstractSocket::UnknownNetworkLayerProtocol (enum)
    {2, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 77},	//98 QAbstractSocket::ConnectionRefusedError (enum)
    {2, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 78},	//99 QAbstractSocket::RemoteHostClosedError (enum)
    {2, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 79},	//100 QAbstractSocket::HostNotFoundError (enum)
    {2, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 80},	//101 QAbstractSocket::SocketAccessError (enum)
    {2, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 81},	//102 QAbstractSocket::SocketResourceError (enum)
    {2, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 82},	//103 QAbstractSocket::SocketTimeoutError (enum)
    {2, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 83},	//104 QAbstractSocket::DatagramTooLargeError (enum)
    {2, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 84},	//105 QAbstractSocket::NetworkError (enum)
    {2, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 85},	//106 QAbstractSocket::AddressInUseError (enum)
    {2, 327, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 86},	//107 QAbstractSocket::SocketAddressNotAvailableError (enum)
    {2, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 87},	//108 QAbstractSocket::UnsupportedSocketOperationError (enum)
    {2, 361, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 88},	//109 QAbstractSocket::UnfinishedSocketOperationError (enum)
    {2, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 89},	//110 QAbstractSocket::ProxyAuthenticationRequiredError (enum)
    {2, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 90},	//111 QAbstractSocket::SslHandshakeFailedError (enum)
    {2, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 91},	//112 QAbstractSocket::ProxyConnectionRefusedError (enum)
    {2, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 92},	//113 QAbstractSocket::ProxyConnectionClosedError (enum)
    {2, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 93},	//114 QAbstractSocket::ProxyConnectionTimeoutError (enum)
    {2, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 94},	//115 QAbstractSocket::ProxyNotFoundError (enum)
    {2, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 95},	//116 QAbstractSocket::ProxyProtocolError (enum)
    {2, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 5, 96},	//117 QAbstractSocket::UnknownSocketError (enum)
    {2, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 97},	//118 QAbstractSocket::UnconnectedState (enum)
    {2, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 98},	//119 QAbstractSocket::HostLookupState (enum)
    {2, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 99},	//120 QAbstractSocket::ConnectingState (enum)
    {2, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 100},	//121 QAbstractSocket::ConnectedState (enum)
    {2, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 101},	//122 QAbstractSocket::BoundState (enum)
    {2, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 102},	//123 QAbstractSocket::ListeningState (enum)
    {2, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 7, 103},	//124 QAbstractSocket::ClosingState (enum)
    {2, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 104},	//125 QAbstractSocket::LowDelayOption (enum)
    {2, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 6, 105},	//126 QAbstractSocket::KeepAliveOption (enum)
    {2, 1367, 0, 0, Smoke::mf_dtor, 0, 106 },	//127 QAbstractSocket::~QAbstractSocket()
    {3, 183, 0, 0, Smoke::mf_ctor, 10, 1},	//128 QAuthenticator::QAuthenticator()
    {3, 183, 83, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 10, 2},	//129 QAuthenticator::QAuthenticator(const QAuthenticator&)
    {3, 753, 83, 1, 0, 9, 3},	//130 QAuthenticator::operator=(const QAuthenticator&)
    {3, 756, 83, 1, Smoke::mf_const, 313, 4},	//131 QAuthenticator::operator==(const QAuthenticator&) const
    {3, 717, 83, 1, Smoke::mf_const, 313, 5},	//132 QAuthenticator::operator!=(const QAuthenticator&) const
    {3, 1341, 0, 0, Smoke::mf_const, 208, 6},	//133 QAuthenticator::user() const
    {3, 1276, 69, 1, 0, 0, 7},	//134 QAuthenticator::setUser(const QString&)
    {3, 797, 0, 0, Smoke::mf_const, 208, 8},	//135 QAuthenticator::password() const
    {3, 1178, 69, 1, 0, 0, 9},	//136 QAuthenticator::setPassword(const QString&)
    {3, 1033, 0, 0, Smoke::mf_const, 208, 10},	//137 QAuthenticator::realm() const
    {3, 784, 69, 1, Smoke::mf_const, 233, 11},	//138 QAuthenticator::option(const QString&) const
    {3, 786, 0, 0, Smoke::mf_const, 73, 12},	//139 QAuthenticator::options() const
    {3, 1172, 85, 2, 0, 0, 13},	//140 QAuthenticator::setOption(const QString&, const QVariant&)
    {3, 644, 0, 0, Smoke::mf_const, 313, 14},	//141 QAuthenticator::isNull() const
    {3, 539, 0, 0, 0, 0, 15},	//142 QAuthenticator::detach()
    {3, 1368, 0, 0, Smoke::mf_dtor, 0, 16 },	//143 QAuthenticator::~QAuthenticator()
    {16, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//144 QFtp::metaObject() const
    {16, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//145 QFtp::qt_metacast(const char*)
    {16, 1324, 3, 2, Smoke::mf_static, 208, 3},	//146 QFtp::tr(const char*, const char*)
    {16, 1328, 3, 2, Smoke::mf_static, 208, 4},	//147 QFtp::trUtf8(const char*, const char*)
    {16, 1324, 6, 3, Smoke::mf_static, 208, 5},	//148 QFtp::tr(const char*, const char*, int)
    {16, 1328, 6, 3, Smoke::mf_static, 208, 6},	//149 QFtp::trUtf8(const char*, const char*, int)
    {16, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//150 QFtp::qt_metacall(QMetaObject::Call, int, void**)
    {16, 185, 20, 1, Smoke::mf_ctor, 66, 8},	//151 QFtp::QFtp(QObject*)
    {16, 1212, 71, 2, 0, 397, 9},	//152 QFtp::setProxy(const QString&, unsigned short)
    {16, 494, 71, 2, 0, 397, 10},	//153 QFtp::connectToHost(const QString&, unsigned short)
    {16, 681, 88, 2, 0, 397, 11},	//154 QFtp::login(const QString&, const QString&)
    {16, 476, 0, 0, 0, 397, 12},	//155 QFtp::close()
    {16, 1268, 91, 1, 0, 397, 13},	//156 QFtp::setTransferMode(QFtp::TransferMode)
    {16, 668, 69, 1, 0, 397, 14},	//157 QFtp::list(const QString&)
    {16, 467, 69, 1, 0, 397, 15},	//158 QFtp::cd(const QString&)
    {16, 589, 93, 3, 0, 397, 16},	//159 QFtp::get(const QString&, QIODevice*, QFtp::TransferType)
    {16, 835, 97, 3, 0, 397, 17},	//160 QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    {16, 835, 101, 3, 0, 397, 18},	//161 QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    {16, 1036, 69, 1, 0, 397, 19},	//162 QFtp::remove(const QString&)
    {16, 698, 69, 1, 0, 397, 20},	//163 QFtp::mkdir(const QString&)
    {16, 1058, 69, 1, 0, 397, 21},	//164 QFtp::rmdir(const QString&)
    {16, 1045, 88, 2, 0, 397, 22},	//165 QFtp::rename(const QString&, const QString&)
    {16, 1010, 69, 1, 0, 397, 23},	//166 QFtp::rawCommand(const QString&)
    {16, 457, 0, 0, Smoke::mf_const, 400, 24},	//167 QFtp::bytesAvailable() const
    {16, 1019, 59, 2, 0, 400, 25},	//168 QFtp::read(char*, long long)
    {16, 1021, 0, 0, 0, 14, 26},	//169 QFtp::readAll()
    {16, 522, 0, 0, Smoke::mf_const, 397, 27},	//170 QFtp::currentId() const
    {16, 521, 0, 0, Smoke::mf_const, 94, 28},	//171 QFtp::currentDevice() const
    {16, 519, 0, 0, Smoke::mf_const, 67, 29},	//172 QFtp::currentCommand() const
    {16, 603, 0, 0, Smoke::mf_const, 313, 30},	//173 QFtp::hasPendingCommands() const
    {16, 474, 0, 0, 0, 0, 31},	//174 QFtp::clearPendingCommands()
    {16, 1299, 0, 0, Smoke::mf_const, 69, 32},	//175 QFtp::state() const
    {16, 562, 0, 0, Smoke::mf_const, 68, 33},	//176 QFtp::error() const
    {16, 564, 0, 0, Smoke::mf_const, 208, 34},	//177 QFtp::errorString() const
    {16, 403, 0, 0, Smoke::mf_slot, 0, 35},	//178 QFtp::abort()
    {16, 1300, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 36},	//179 QFtp::stateChanged(int)
    {16, 670, 105, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 37},	//180 QFtp::listInfo(const QUrlInfo&)
    {16, 1031, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 38},	//181 QFtp::readyRead()
    {16, 532, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//182 QFtp::dataTransferProgress(qint64, qint64)
    {16, 1012, 110, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//183 QFtp::rawCommandReply(int, const QString&)
    {16, 481, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//184 QFtp::commandStarted(int)
    {16, 479, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//185 QFtp::commandFinished(int, bool)
    {16, 549, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//186 QFtp::done(bool)
    {16, 1324, 1, 1, Smoke::mf_static, 208, 44},	//187 QFtp::tr(const char*)
    {16, 1328, 1, 1, Smoke::mf_static, 208, 45},	//188 QFtp::trUtf8(const char*)
    {16, 185, 0, 0, Smoke::mf_ctor, 66, 46},	//189 QFtp::QFtp()
    {16, 494, 69, 1, 0, 397, 47},	//190 QFtp::connectToHost(const QString&)
    {16, 681, 0, 0, 0, 397, 48},	//191 QFtp::login()
    {16, 681, 69, 1, 0, 397, 49},	//192 QFtp::login(const QString&)
    {16, 668, 0, 0, 0, 397, 50},	//193 QFtp::list()
    {16, 589, 69, 1, 0, 397, 51},	//194 QFtp::get(const QString&)
    {16, 589, 118, 2, 0, 397, 52},	//195 QFtp::get(const QString&, QIODevice*)
    {16, 835, 121, 2, 0, 397, 53},	//196 QFtp::put(const QByteArray&, const QString&)
    {16, 835, 124, 2, 0, 397, 54},	//197 QFtp::put(QIODevice*, const QString&)
    {16, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 55},	//198 QFtp::staticMetaObject() const
    {16, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 56},	//199 QFtp::Unconnected (enum)
    {16, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 57},	//200 QFtp::HostLookup (enum)
    {16, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 58},	//201 QFtp::Connecting (enum)
    {16, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 59},	//202 QFtp::Connected (enum)
    {16, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 60},	//203 QFtp::LoggedIn (enum)
    {16, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 69, 61},	//204 QFtp::Closing (enum)
    {16, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 62},	//205 QFtp::NoError (enum)
    {16, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 63},	//206 QFtp::UnknownError (enum)
    {16, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 64},	//207 QFtp::HostNotFound (enum)
    {16, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 65},	//208 QFtp::ConnectionRefused (enum)
    {16, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 68, 66},	//209 QFtp::NotConnected (enum)
    {16, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 67},	//210 QFtp::None (enum)
    {16, 324, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 68},	//211 QFtp::SetTransferMode (enum)
    {16, 323, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 69},	//212 QFtp::SetProxy (enum)
    {16, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 70},	//213 QFtp::ConnectToHost (enum)
    {16, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 71},	//214 QFtp::Login (enum)
    {16, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 72},	//215 QFtp::Close (enum)
    {16, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 73},	//216 QFtp::List (enum)
    {16, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 74},	//217 QFtp::Cd (enum)
    {16, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 75},	//218 QFtp::Get (enum)
    {16, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 76},	//219 QFtp::Put (enum)
    {16, 308, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 77},	//220 QFtp::Remove (enum)
    {16, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 78},	//221 QFtp::Mkdir (enum)
    {16, 311, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 79},	//222 QFtp::Rmdir (enum)
    {16, 309, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 80},	//223 QFtp::Rename (enum)
    {16, 299, 0, 0, Smoke::mf_static|Smoke::mf_enum, 67, 81},	//224 QFtp::RawCommand (enum)
    {16, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 82},	//225 QFtp::Active (enum)
    {16, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 70, 83},	//226 QFtp::Passive (enum)
    {16, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 84},	//227 QFtp::Binary (enum)
    {16, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 71, 85},	//228 QFtp::Ascii (enum)
    {16, 1369, 0, 0, Smoke::mf_dtor, 0, 86 },	//229 QFtp::~QFtp()
    {17, 768, 127, 2, Smoke::mf_static, 313, 1},	//230 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {17, 884, 130, 1, Smoke::mf_static, 409, 2},	//231 QGlobalSpace::qHash(unsigned long long)
    {17, 894, 132, 1, Smoke::mf_static, 313, 3},	//232 QGlobalSpace::qIsInf(double)
    {17, 781, 134, 2, Smoke::mf_static, 99, 4},	//233 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {17, 781, 137, 2, Smoke::mf_static, 99, 5},	//234 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {17, 979, 140, 2, Smoke::mf_static, 409, 6},	//235 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {17, 906, 143, 3, Smoke::mf_static, 417, 7},	//236 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {17, 998, 0, 0, Smoke::mf_static, 0, 8},	//237 QGlobalSpace::qt_noop()
    {17, 756, 147, 2, Smoke::mf_static, 313, 9},	//238 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {17, 744, 150, 2, Smoke::mf_static, 24, 10},	//239 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {17, 744, 153, 2, Smoke::mf_static, 24, 11},	//240 QGlobalSpace::operator<<(QDebug, const QSslError&)
    {17, 756, 156, 2, Smoke::mf_static, 313, 12},	//241 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {17, 756, 159, 2, Smoke::mf_static, 313, 13},	//242 QGlobalSpace::operator==(const QSize&, const QSize&)
    {17, 729, 162, 2, Smoke::mf_static, 319, 14},	//243 QGlobalSpace::operator+(const char*, const QByteArray&)
    {17, 781, 165, 2, Smoke::mf_static, 37, 15},	//244 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {17, 937, 168, 2, Smoke::mf_static, 313, 16},	//245 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {17, 960, 162, 2, Smoke::mf_static, 397, 17},	//246 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {17, 756, 171, 2, Smoke::mf_static, 313, 18},	//247 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {17, 848, 174, 2, Smoke::mf_static, 395, 19},	//248 QGlobalSpace::qAtan2(double, double)
    {17, 773, 177, 2, Smoke::mf_static, 20, 20},	//249 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {17, 768, 180, 2, Smoke::mf_static, 313, 21},	//250 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {17, 894, 183, 1, Smoke::mf_static, 313, 22},	//251 QGlobalSpace::qIsInf(float)
    {17, 951, 1, 1, Smoke::mf_static, 14, 23},	//252 QGlobalSpace::qgetenv(const char*)
    {17, 884, 185, 1, Smoke::mf_static, 409, 24},	//253 QGlobalSpace::qHash(signed char)
    {17, 781, 187, 2, Smoke::mf_static, 99, 25},	//254 QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    {17, 756, 190, 2, Smoke::mf_static, 313, 26},	//255 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {17, 763, 162, 2, Smoke::mf_static, 313, 27},	//256 QGlobalSpace::operator>(const char*, const QByteArray&)
    {17, 890, 132, 1, Smoke::mf_static, 397, 28},	//257 QGlobalSpace::qIntCast(double)
    {17, 928, 193, 1, Smoke::mf_static, 221, 29},	//258 QGlobalSpace::qSetPadChar(QChar)
    {17, 756, 195, 2, Smoke::mf_static, 313, 30},	//259 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {17, 756, 198, 2, Smoke::mf_static, 313, 31},	//260 QGlobalSpace::operator==(QChar, QChar)
    {17, 781, 201, 2, Smoke::mf_static, 63, 32},	//261 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {17, 884, 14, 1, Smoke::mf_static, 409, 33},	//262 QGlobalSpace::qHash(const QUrl&)
    {17, 884, 204, 1, Smoke::mf_static, 409, 34},	//263 QGlobalSpace::qHash(const QByteArray&)
    {17, 744, 206, 2, Smoke::mf_static, 24, 35},	//264 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {17, 739, 198, 2, Smoke::mf_static, 313, 36},	//265 QGlobalSpace::operator<(QChar, QChar)
    {17, 768, 198, 2, Smoke::mf_static, 313, 37},	//266 QGlobalSpace::operator>=(QChar, QChar)
    {17, 717, 209, 2, Smoke::mf_static, 313, 38},	//267 QGlobalSpace::operator!=(QString::Null, const QString&)
    {17, 744, 212, 2, Smoke::mf_static, 20, 39},	//268 QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    {17, 739, 162, 2, Smoke::mf_static, 313, 40},	//269 QGlobalSpace::operator<(const char*, const QByteArray&)
    {17, 781, 215, 2, Smoke::mf_static, 62, 41},	//270 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {17, 960, 3, 2, Smoke::mf_static, 397, 42},	//271 QGlobalSpace::qstrcmp(const char*, const char*)
    {17, 860, 132, 1, Smoke::mf_static, 395, 43},	//272 QGlobalSpace::qCos(double)
    {17, 781, 218, 2, Smoke::mf_static, 40, 44},	//273 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {17, 763, 198, 2, Smoke::mf_static, 313, 45},	//274 QGlobalSpace::operator>(QChar, QChar)
    {17, 781, 221, 2, Smoke::mf_static, 65, 46},	//275 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {17, 726, 224, 2, Smoke::mf_static, 371, 47},	//276 QGlobalSpace::operator*(double, const QSizeF&)
    {17, 932, 0, 0, Smoke::mf_static, 313, 48},	//277 QGlobalSpace::qSharedBuild()
    {17, 781, 227, 2, Smoke::mf_static, 99, 49},	//278 QGlobalSpace::operator|(QDir::Filter, int)
    {17, 717, 127, 2, Smoke::mf_static, 313, 50},	//279 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {17, 734, 230, 2, Smoke::mf_static, 361, 51},	//280 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {17, 744, 233, 2, Smoke::mf_static, 20, 52},	//281 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {17, 781, 236, 2, Smoke::mf_static, 99, 53},	//282 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {17, 781, 239, 2, Smoke::mf_static, 61, 54},	//283 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {17, 744, 242, 2, Smoke::mf_static, 24, 55},	//284 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    {17, 884, 245, 1, Smoke::mf_static, 409, 56},	//285 QGlobalSpace::qHash(char)
    {17, 717, 156, 2, Smoke::mf_static, 313, 57},	//286 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {17, 781, 247, 2, Smoke::mf_static, 47, 58},	//287 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {17, 744, 250, 2, Smoke::mf_static, 24, 59},	//288 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {17, 781, 253, 2, Smoke::mf_static, 99, 60},	//289 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {17, 781, 256, 2, Smoke::mf_static, 99, 61},	//290 QGlobalSpace::operator|(QFile::Permission, int)
    {17, 737, 259, 2, Smoke::mf_static, 361, 62},	//291 QGlobalSpace::operator/(const QPoint&, double)
    {17, 729, 230, 2, Smoke::mf_static, 361, 63},	//292 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {17, 781, 262, 2, Smoke::mf_static, 35, 64},	//293 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {17, 744, 265, 2, Smoke::mf_static, 20, 65},	//294 QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    {17, 729, 268, 2, Smoke::mf_static, 379, 66},	//295 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {17, 734, 271, 2, Smoke::mf_static, 371, 67},	//296 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {17, 744, 274, 2, Smoke::mf_static, 24, 68},	//297 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {17, 892, 132, 1, Smoke::mf_static, 313, 69},	//298 QGlobalSpace::qIsFinite(double)
    {17, 717, 180, 2, Smoke::mf_static, 313, 70},	//299 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {17, 781, 277, 2, Smoke::mf_static, 57, 71},	//300 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {17, 744, 280, 2, Smoke::mf_static, 24, 72},	//301 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {17, 744, 283, 2, Smoke::mf_static, 24, 73},	//302 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {17, 744, 286, 2, Smoke::mf_static, 24, 74},	//303 QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    {17, 781, 289, 2, Smoke::mf_static, 44, 75},	//304 QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    {17, 739, 292, 2, Smoke::mf_static, 313, 76},	//305 QGlobalSpace::operator<(const char*, const QString&)
    {17, 781, 295, 2, Smoke::mf_static, 48, 77},	//306 QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    {17, 781, 298, 2, Smoke::mf_static, 49, 78},	//307 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {17, 729, 159, 2, Smoke::mf_static, 369, 79},	//308 QGlobalSpace::operator+(const QSize&, const QSize&)
    {17, 781, 301, 2, Smoke::mf_static, 63, 80},	//309 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {17, 781, 304, 2, Smoke::mf_static, 54, 81},	//310 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {17, 990, 44, 1, Smoke::mf_static, 208, 82},	//311 QGlobalSpace::qt_error_string(int)
    {17, 990, 0, 0, Smoke::mf_static, 208, 83},	//312 QGlobalSpace::qt_error_string()
    {17, 729, 271, 2, Smoke::mf_static, 371, 84},	//313 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {17, 781, 307, 2, Smoke::mf_static, 99, 85},	//314 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {17, 739, 310, 2, Smoke::mf_static, 313, 86},	//315 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {17, 942, 313, 2, Smoke::mf_static, 14, 87},	//316 QGlobalSpace::qUncompress(const unsigned char*, int)
    {17, 973, 316, 3, Smoke::mf_static, 397, 88},	//317 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {17, 940, 132, 1, Smoke::mf_static, 395, 89},	//318 QGlobalSpace::qTan(double)
    {17, 781, 320, 2, Smoke::mf_static, 44, 90},	//319 QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    {17, 763, 147, 2, Smoke::mf_static, 313, 91},	//320 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {17, 717, 323, 2, Smoke::mf_static, 313, 92},	//321 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {17, 926, 44, 1, Smoke::mf_static, 221, 93},	//322 QGlobalSpace::qSetFieldWidth(int)
    {17, 781, 326, 2, Smoke::mf_static, 52, 94},	//323 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {17, 781, 329, 2, Smoke::mf_static, 42, 95},	//324 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    {17, 874, 132, 1, Smoke::mf_static, 397, 96},	//325 QGlobalSpace::qFloor(double)
    {17, 744, 332, 2, Smoke::mf_static, 24, 97},	//326 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {17, 773, 335, 2, Smoke::mf_static, 20, 98},	//327 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {17, 892, 183, 1, Smoke::mf_static, 313, 99},	//328 QGlobalSpace::qIsFinite(float)
    {17, 729, 338, 2, Smoke::mf_static, 379, 100},	//329 QGlobalSpace::operator+(const QString&, QChar)
    {17, 717, 341, 2, Smoke::mf_static, 313, 101},	//330 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {17, 744, 344, 2, Smoke::mf_static, 24, 102},	//331 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    {17, 947, 347, 3, Smoke::mf_static, 0, 103},	//332 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {17, 729, 180, 2, Smoke::mf_static, 319, 104},	//333 QGlobalSpace::operator+(const QByteArray&, const char*)
    {17, 781, 351, 2, Smoke::mf_static, 46, 105},	//334 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {17, 729, 168, 2, Smoke::mf_static, 379, 106},	//335 QGlobalSpace::operator+(const QString&, const char*)
    {17, 763, 310, 2, Smoke::mf_static, 313, 107},	//336 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {17, 781, 354, 2, Smoke::mf_static, 60, 108},	//337 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {17, 915, 357, 4, Smoke::mf_static, 417, 109},	//338 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {17, 729, 121, 2, Smoke::mf_static, 379, 110},	//339 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {17, 884, 362, 1, Smoke::mf_static, 409, 111},	//340 QGlobalSpace::qHash(unsigned int)
    {17, 781, 364, 2, Smoke::mf_static, 62, 112},	//341 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {17, 884, 193, 1, Smoke::mf_static, 409, 113},	//342 QGlobalSpace::qHash(QChar)
    {17, 748, 180, 2, Smoke::mf_static, 313, 114},	//343 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {17, 890, 183, 1, Smoke::mf_static, 397, 115},	//344 QGlobalSpace::qIntCast(float)
    {17, 756, 367, 2, Smoke::mf_static, 313, 116},	//345 QGlobalSpace::operator==(const QRect&, const QRect&)
    {17, 781, 370, 2, Smoke::mf_static, 36, 117},	//346 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {17, 779, 373, 2, Smoke::mf_static, 11, 118},	//347 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {17, 763, 376, 2, Smoke::mf_static, 313, 119},	//348 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {17, 913, 379, 2, Smoke::mf_static, 417, 120},	//349 QGlobalSpace::qRealloc(void*, size_t)
    {17, 884, 69, 1, Smoke::mf_static, 409, 121},	//350 QGlobalSpace::qHash(const QString&)
    {17, 748, 310, 2, Smoke::mf_static, 313, 122},	//351 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {17, 744, 382, 2, Smoke::mf_static, 20, 123},	//352 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {17, 744, 385, 2, Smoke::mf_static, 24, 124},	//353 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {17, 923, 132, 1, Smoke::mf_static, 400, 125},	//354 QGlobalSpace::qRound64(double)
    {17, 888, 388, 1, Smoke::mf_static, 416, 126},	//355 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {17, 935, 132, 1, Smoke::mf_static, 395, 127},	//356 QGlobalSpace::qSqrt(double)
    {17, 884, 390, 1, Smoke::mf_static, 409, 128},	//357 QGlobalSpace::qHash(const QModelIndex&)
    {17, 868, 132, 1, Smoke::mf_static, 395, 129},	//358 QGlobalSpace::qFastCos(double)
    {17, 773, 392, 2, Smoke::mf_static, 20, 130},	//359 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {17, 756, 395, 2, Smoke::mf_static, 313, 131},	//360 QGlobalSpace::operator==(QBool, QBool)
    {17, 756, 398, 2, Smoke::mf_static, 313, 132},	//361 QGlobalSpace::operator==(const char*, const QStringRef&)
    {17, 781, 401, 2, Smoke::mf_static, 99, 133},	//362 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {17, 884, 67, 1, Smoke::mf_static, 409, 134},	//363 QGlobalSpace::qHash(const QHostAddress&)
    {17, 717, 292, 2, Smoke::mf_static, 313, 135},	//364 QGlobalSpace::operator!=(const char*, const QString&)
    {17, 896, 183, 1, Smoke::mf_static, 313, 136},	//365 QGlobalSpace::qIsNaN(float)
    {17, 748, 376, 2, Smoke::mf_static, 313, 137},	//366 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {17, 872, 1, 1, Smoke::mf_static, 391, 138},	//367 QGlobalSpace::qFlagLocation(const char*)
    {17, 781, 404, 2, Smoke::mf_static, 99, 139},	//368 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {17, 896, 132, 1, Smoke::mf_static, 313, 140},	//369 QGlobalSpace::qIsNaN(double)
    {17, 729, 407, 2, Smoke::mf_static, 379, 141},	//370 QGlobalSpace::operator+(QChar, const QString&)
    {17, 781, 410, 2, Smoke::mf_static, 99, 142},	//371 QGlobalSpace::operator|(QString::SectionFlag, int)
    {17, 781, 413, 2, Smoke::mf_static, 99, 143},	//372 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {17, 773, 416, 2, Smoke::mf_static, 20, 144},	//373 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {17, 984, 6, 3, Smoke::mf_static, 0, 145},	//374 QGlobalSpace::qt_assert(const char*, const char*, int)
    {17, 884, 33, 1, Smoke::mf_static, 409, 146},	//375 QGlobalSpace::qHash(long long)
    {17, 717, 419, 2, Smoke::mf_static, 313, 147},	//376 QGlobalSpace::operator!=(const QString&, QString::Null)
    {17, 781, 422, 2, Smoke::mf_static, 99, 148},	//377 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {17, 781, 425, 2, Smoke::mf_static, 46, 149},	//378 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {17, 729, 428, 2, Smoke::mf_static, 379, 150},	//379 QGlobalSpace::operator+(const QString&, char)
    {17, 717, 195, 2, Smoke::mf_static, 313, 151},	//380 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {17, 734, 171, 2, Smoke::mf_static, 363, 152},	//381 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {17, 756, 341, 2, Smoke::mf_static, 313, 153},	//382 QGlobalSpace::operator==(QString::Null, QString::Null)
    {17, 781, 431, 2, Smoke::mf_static, 55, 154},	//383 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {17, 739, 376, 2, Smoke::mf_static, 313, 155},	//384 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {17, 781, 434, 2, Smoke::mf_static, 65, 156},	//385 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {17, 882, 183, 1, Smoke::mf_static, 313, 157},	//386 QGlobalSpace::qFuzzyIsNull(float)
    {17, 781, 437, 2, Smoke::mf_static, 59, 158},	//387 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {17, 965, 440, 2, Smoke::mf_static, 316, 159},	//388 QGlobalSpace::qstrcpy(char*, const char*)
    {17, 884, 44, 1, Smoke::mf_static, 409, 160},	//389 QGlobalSpace::qHash(int)
    {17, 729, 171, 2, Smoke::mf_static, 363, 161},	//390 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {17, 781, 443, 2, Smoke::mf_static, 50, 162},	//391 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {17, 756, 271, 2, Smoke::mf_static, 313, 163},	//392 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {17, 734, 446, 1, Smoke::mf_static, 361, 164},	//393 QGlobalSpace::operator-(const QPoint&)
    {17, 781, 448, 2, Smoke::mf_static, 99, 165},	//394 QGlobalSpace::operator|(Qt::DropAction, int)
    {17, 744, 451, 2, Smoke::mf_static, 20, 166},	//395 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {17, 781, 454, 2, Smoke::mf_static, 99, 167},	//396 QGlobalSpace::operator|(QDir::SortFlag, int)
    {17, 864, 132, 1, Smoke::mf_static, 395, 168},	//397 QGlobalSpace::qExp(double)
    {17, 930, 44, 1, Smoke::mf_static, 221, 169},	//398 QGlobalSpace::qSetRealNumberPrecision(int)
    {17, 756, 457, 2, Smoke::mf_static, 313, 170},	//399 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {17, 900, 132, 1, Smoke::mf_static, 395, 171},	//400 QGlobalSpace::qLn(double)
    {17, 744, 460, 2, Smoke::mf_static, 24, 172},	//401 QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    {17, 744, 463, 2, Smoke::mf_static, 24, 173},	//402 QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    {17, 717, 271, 2, Smoke::mf_static, 313, 174},	//403 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {17, 917, 466, 1, Smoke::mf_static, 0, 175},	//404 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {17, 853, 140, 2, Smoke::mf_static, 412, 176},	//405 QGlobalSpace::qChecksum(const char*, unsigned int)
    {17, 781, 468, 2, Smoke::mf_static, 58, 177},	//406 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {17, 902, 471, 1, Smoke::mf_static, 417, 178},	//407 QGlobalSpace::qMalloc(size_t)
    {17, 912, 0, 0, Smoke::mf_static, 395, 179},	//408 QGlobalSpace::qQNaN()
    {17, 781, 473, 2, Smoke::mf_static, 51, 180},	//409 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {17, 773, 476, 2, Smoke::mf_static, 20, 181},	//410 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {17, 953, 162, 2, Smoke::mf_static, 313, 182},	//411 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {17, 744, 479, 2, Smoke::mf_static, 24, 183},	//412 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {17, 781, 482, 2, Smoke::mf_static, 99, 184},	//413 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {17, 958, 362, 1, Smoke::mf_static, 0, 185},	//414 QGlobalSpace::qsrand(unsigned int)
    {17, 884, 485, 1, Smoke::mf_static, 409, 186},	//415 QGlobalSpace::qHash(long)
    {17, 763, 127, 2, Smoke::mf_static, 313, 187},	//416 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {17, 884, 65, 1, Smoke::mf_static, 409, 188},	//417 QGlobalSpace::qHash(unsigned short)
    {17, 773, 487, 2, Smoke::mf_static, 20, 189},	//418 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {17, 717, 171, 2, Smoke::mf_static, 313, 190},	//419 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {17, 781, 490, 2, Smoke::mf_static, 37, 191},	//420 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {17, 977, 316, 3, Smoke::mf_static, 397, 192},	//421 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {17, 729, 493, 2, Smoke::mf_static, 379, 193},	//422 QGlobalSpace::operator+(char, const QString&)
    {17, 773, 496, 2, Smoke::mf_static, 20, 194},	//423 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {17, 756, 209, 2, Smoke::mf_static, 313, 195},	//424 QGlobalSpace::operator==(QString::Null, const QString&)
    {17, 756, 323, 2, Smoke::mf_static, 313, 196},	//425 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {17, 729, 376, 2, Smoke::mf_static, 319, 197},	//426 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {17, 884, 499, 1, Smoke::mf_static, 409, 198},	//427 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {17, 763, 292, 2, Smoke::mf_static, 313, 199},	//428 QGlobalSpace::operator>(const char*, const QString&)
    {17, 744, 501, 2, Smoke::mf_static, 20, 200},	//429 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {17, 744, 504, 2, Smoke::mf_static, 20, 201},	//430 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {17, 999, 507, 3, Smoke::mf_static, 173, 202},	//431 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {17, 781, 511, 2, Smoke::mf_static, 45, 203},	//432 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {17, 737, 514, 2, Smoke::mf_static, 363, 204},	//433 QGlobalSpace::operator/(const QPointF&, double)
    {17, 717, 517, 2, Smoke::mf_static, 313, 205},	//434 QGlobalSpace::operator!=(bool, QBool)
    {17, 756, 310, 2, Smoke::mf_static, 313, 206},	//435 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {17, 773, 520, 2, Smoke::mf_static, 20, 207},	//436 QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    {17, 975, 523, 3, Smoke::mf_static, 316, 208},	//437 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {17, 781, 527, 2, Smoke::mf_static, 99, 209},	//438 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    {17, 942, 204, 1, Smoke::mf_static, 14, 210},	//439 QGlobalSpace::qUncompress(const QByteArray&)
    {17, 773, 530, 2, Smoke::mf_static, 20, 211},	//440 QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    {17, 744, 533, 2, Smoke::mf_static, 20, 212},	//441 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {17, 773, 536, 2, Smoke::mf_static, 20, 213},	//442 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {17, 781, 539, 2, Smoke::mf_static, 99, 214},	//443 QGlobalSpace::operator|(Qt::MouseButton, int)
    {17, 734, 542, 1, Smoke::mf_static, 363, 215},	//444 QGlobalSpace::operator-(const QPointF&)
    {17, 756, 517, 2, Smoke::mf_static, 313, 216},	//445 QGlobalSpace::operator==(bool, QBool)
    {17, 955, 0, 0, Smoke::mf_static, 397, 217},	//446 QGlobalSpace::qrand()
    {17, 781, 544, 2, Smoke::mf_static, 43, 218},	//447 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    {17, 744, 547, 2, Smoke::mf_static, 24, 219},	//448 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {17, 986, 550, 4, Smoke::mf_static, 0, 220},	//449 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {17, 724, 373, 2, Smoke::mf_static, 11, 221},	//450 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {17, 768, 162, 2, Smoke::mf_static, 313, 222},	//451 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {17, 781, 555, 2, Smoke::mf_static, 60, 223},	//452 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {17, 744, 558, 2, Smoke::mf_static, 24, 224},	//453 QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    {17, 781, 561, 2, Smoke::mf_static, 99, 225},	//454 QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    {17, 781, 564, 2, Smoke::mf_static, 99, 226},	//455 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {17, 717, 567, 2, Smoke::mf_static, 313, 227},	//456 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {17, 956, 570, 4, Smoke::mf_static, 0, 228},	//457 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {17, 862, 0, 0, Smoke::mf_static, 24, 229},	//458 QGlobalSpace::qCritical()
    {17, 781, 575, 2, Smoke::mf_static, 54, 230},	//459 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {17, 717, 162, 2, Smoke::mf_static, 313, 231},	//460 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {17, 744, 578, 2, Smoke::mf_static, 24, 232},	//461 QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    {17, 717, 230, 2, Smoke::mf_static, 313, 233},	//462 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {17, 739, 147, 2, Smoke::mf_static, 313, 234},	//463 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {17, 756, 567, 2, Smoke::mf_static, 313, 235},	//464 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {17, 744, 581, 2, Smoke::mf_static, 20, 236},	//465 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {17, 729, 584, 2, Smoke::mf_static, 319, 237},	//466 QGlobalSpace::operator+(const QByteArray&, char)
    {17, 781, 587, 2, Smoke::mf_static, 35, 238},	//467 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {17, 781, 590, 2, Smoke::mf_static, 33, 239},	//468 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {17, 773, 593, 2, Smoke::mf_static, 20, 240},	//469 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {17, 737, 596, 2, Smoke::mf_static, 371, 241},	//470 QGlobalSpace::operator/(const QSizeF&, double)
    {17, 768, 310, 2, Smoke::mf_static, 313, 242},	//471 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {17, 744, 599, 2, Smoke::mf_static, 20, 243},	//472 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {17, 756, 230, 2, Smoke::mf_static, 313, 244},	//473 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {17, 841, 602, 1, Smoke::mf_static, 0, 245},	//474 QGlobalSpace::qAddPostRoutine(void(*)())
    {17, 855, 604, 3, Smoke::mf_static, 14, 246},	//475 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {17, 855, 313, 2, Smoke::mf_static, 14, 247},	//476 QGlobalSpace::qCompress(const unsigned char*, int)
    {17, 748, 162, 2, Smoke::mf_static, 313, 248},	//477 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {17, 870, 132, 1, Smoke::mf_static, 395, 249},	//478 QGlobalSpace::qFastSin(double)
    {17, 748, 127, 2, Smoke::mf_static, 313, 250},	//479 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {17, 744, 608, 2, Smoke::mf_static, 20, 251},	//480 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {17, 773, 611, 2, Smoke::mf_static, 20, 252},	//481 QGlobalSpace::operator>>(QDataStream&, QString&)
    {17, 843, 0, 0, Smoke::mf_static, 208, 253},	//482 QGlobalSpace::qAppName()
    {17, 945, 0, 0, Smoke::mf_static, 391, 254},	//483 QGlobalSpace::qVersion()
    {17, 744, 614, 2, Smoke::mf_static, 24, 255},	//484 QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    {17, 876, 617, 1, Smoke::mf_static, 0, 256},	//485 QGlobalSpace::qFree(void*)
    {17, 781, 619, 2, Smoke::mf_static, 99, 257},	//486 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {17, 878, 617, 1, Smoke::mf_static, 0, 258},	//487 QGlobalSpace::qFreeAligned(void*)
    {17, 756, 419, 2, Smoke::mf_static, 313, 259},	//488 QGlobalSpace::operator==(const QString&, QString::Null)
    {17, 744, 622, 2, Smoke::mf_static, 24, 260},	//489 QGlobalSpace::operator<<(QDebug, const QDir&)
    {17, 744, 625, 2, Smoke::mf_static, 218, 261},	//490 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 739, 180, 2, Smoke::mf_static, 313, 262},	//491 QGlobalSpace::operator<(const QByteArray&, const char*)
    {17, 744, 628, 2, Smoke::mf_static, 24, 263},	//492 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {17, 744, 631, 2, Smoke::mf_static, 24, 264},	//493 QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    {17, 781, 634, 2, Smoke::mf_static, 36, 265},	//494 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {17, 884, 637, 1, Smoke::mf_static, 409, 266},	//495 QGlobalSpace::qHash(const QBitArray&)
    {17, 744, 639, 2, Smoke::mf_static, 24, 267},	//496 QGlobalSpace::operator<<(QDebug, const QTime&)
    {17, 744, 642, 2, Smoke::mf_static, 218, 268},	//497 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {17, 851, 132, 1, Smoke::mf_static, 397, 269},	//498 QGlobalSpace::qCeil(double)
    {17, 717, 198, 2, Smoke::mf_static, 313, 270},	//499 QGlobalSpace::operator!=(QChar, QChar)
    {17, 781, 645, 2, Smoke::mf_static, 53, 271},	//500 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {17, 937, 648, 2, Smoke::mf_static, 313, 272},	//501 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {17, 967, 1, 1, Smoke::mf_static, 316, 273},	//502 QGlobalSpace::qstrdup(const char*)
    {17, 756, 651, 2, Smoke::mf_static, 313, 274},	//503 QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    {17, 773, 654, 2, Smoke::mf_static, 20, 275},	//504 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {17, 748, 292, 2, Smoke::mf_static, 313, 276},	//505 QGlobalSpace::operator<=(const char*, const QString&)
    {17, 717, 398, 2, Smoke::mf_static, 313, 277},	//506 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {17, 863, 0, 0, Smoke::mf_static, 24, 278},	//507 QGlobalSpace::qDebug()
    {17, 904, 657, 2, Smoke::mf_static, 417, 279},	//508 QGlobalSpace::qMallocAligned(size_t, size_t)
    {17, 717, 648, 2, Smoke::mf_static, 313, 280},	//509 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {17, 910, 174, 2, Smoke::mf_static, 395, 281},	//510 QGlobalSpace::qPow(double, double)
    {17, 748, 147, 2, Smoke::mf_static, 313, 282},	//511 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {17, 744, 660, 2, Smoke::mf_static, 24, 283},	//512 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {17, 781, 663, 2, Smoke::mf_static, 99, 284},	//513 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {17, 773, 625, 2, Smoke::mf_static, 218, 285},	//514 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {17, 729, 666, 2, Smoke::mf_static, 319, 286},	//515 QGlobalSpace::operator+(char, const QByteArray&)
    {17, 756, 162, 2, Smoke::mf_static, 313, 287},	//516 QGlobalSpace::operator==(const char*, const QByteArray&)
    {17, 744, 669, 2, Smoke::mf_static, 20, 288},	//517 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {17, 734, 159, 2, Smoke::mf_static, 369, 289},	//518 QGlobalSpace::operator-(const QSize&, const QSize&)
    {17, 744, 672, 2, Smoke::mf_static, 24, 290},	//519 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {17, 729, 292, 2, Smoke::mf_static, 379, 291},	//520 QGlobalSpace::operator+(const char*, const QString&)
    {17, 781, 675, 2, Smoke::mf_static, 99, 292},	//521 QGlobalSpace::operator|(Qt::WindowState, int)
    {17, 773, 678, 2, Smoke::mf_static, 20, 293},	//522 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {17, 717, 457, 2, Smoke::mf_static, 313, 294},	//523 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {17, 744, 681, 2, Smoke::mf_static, 24, 295},	//524 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {17, 781, 684, 2, Smoke::mf_static, 57, 296},	//525 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {17, 726, 687, 2, Smoke::mf_static, 363, 297},	//526 QGlobalSpace::operator*(double, const QPointF&)
    {17, 773, 690, 2, Smoke::mf_static, 20, 298},	//527 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {17, 781, 693, 2, Smoke::mf_static, 52, 299},	//528 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {17, 756, 127, 2, Smoke::mf_static, 313, 300},	//529 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {17, 726, 696, 2, Smoke::mf_static, 369, 301},	//530 QGlobalSpace::operator*(const QSize&, double)
    {17, 744, 699, 2, Smoke::mf_static, 24, 302},	//531 QGlobalSpace::operator<<(QDebug, const QDate&)
    {17, 781, 702, 2, Smoke::mf_static, 33, 303},	//532 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {17, 1008, 705, 4, Smoke::mf_static, 397, 304},	//533 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {17, 726, 710, 2, Smoke::mf_static, 361, 305},	//534 QGlobalSpace::operator*(double, const QPoint&)
    {17, 908, 713, 3, Smoke::mf_static, 417, 306},	//535 QGlobalSpace::qMemSet(void*, int, size_t)
    {17, 744, 717, 2, Smoke::mf_static, 20, 307},	//536 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {17, 988, 720, 2, Smoke::mf_static, 0, 308},	//537 QGlobalSpace::qt_check_pointer(const char*, int)
    {17, 884, 723, 1, Smoke::mf_static, 409, 309},	//538 QGlobalSpace::qHash(short)
    {17, 781, 725, 2, Smoke::mf_static, 38, 310},	//539 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {17, 866, 132, 1, Smoke::mf_static, 395, 311},	//540 QGlobalSpace::qFabs(double)
    {17, 781, 728, 2, Smoke::mf_static, 51, 312},	//541 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {17, 781, 731, 2, Smoke::mf_static, 34, 313},	//542 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {17, 781, 734, 2, Smoke::mf_static, 99, 314},	//543 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    {17, 960, 376, 2, Smoke::mf_static, 397, 315},	//544 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {17, 880, 737, 2, Smoke::mf_static, 313, 316},	//545 QGlobalSpace::qFuzzyCompare(float, float)
    {17, 756, 740, 2, Smoke::mf_static, 313, 317},	//546 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {17, 781, 743, 2, Smoke::mf_static, 39, 318},	//547 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {17, 949, 746, 3, Smoke::mf_static, 316, 319},	//548 QGlobalSpace::qgcvt(long double, int, char*)
    {17, 839, 132, 1, Smoke::mf_static, 395, 320},	//549 QGlobalSpace::qAcos(double)
    {17, 781, 750, 2, Smoke::mf_static, 48, 321},	//550 QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    {17, 781, 753, 2, Smoke::mf_static, 99, 322},	//551 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {17, 781, 756, 2, Smoke::mf_static, 55, 323},	//552 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {17, 768, 376, 2, Smoke::mf_static, 313, 324},	//553 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {17, 850, 0, 0, Smoke::mf_static, 0, 325},	//554 QGlobalSpace::qBadAlloc()
    {17, 744, 759, 2, Smoke::mf_static, 24, 326},	//555 QGlobalSpace::operator<<(QDebug, const QLine&)
    {17, 781, 762, 2, Smoke::mf_static, 61, 327},	//556 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {17, 781, 765, 2, Smoke::mf_static, 99, 328},	//557 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {17, 882, 132, 1, Smoke::mf_static, 313, 329},	//558 QGlobalSpace::qFuzzyIsNull(double)
    {17, 855, 768, 2, Smoke::mf_static, 14, 330},	//559 QGlobalSpace::qCompress(const QByteArray&, int)
    {17, 855, 204, 1, Smoke::mf_static, 14, 331},	//560 QGlobalSpace::qCompress(const QByteArray&)
    {17, 781, 771, 2, Smoke::mf_static, 49, 332},	//561 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {17, 781, 774, 2, Smoke::mf_static, 99, 333},	//562 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {17, 781, 777, 2, Smoke::mf_static, 64, 334},	//563 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {17, 781, 780, 2, Smoke::mf_static, 32, 335},	//564 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {17, 744, 783, 2, Smoke::mf_static, 24, 336},	//565 QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    {17, 744, 786, 2, Smoke::mf_static, 20, 337},	//566 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {17, 744, 789, 2, Smoke::mf_static, 20, 338},	//567 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {17, 744, 792, 2, Smoke::mf_static, 20, 339},	//568 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {17, 844, 132, 1, Smoke::mf_static, 395, 340},	//569 QGlobalSpace::qAsin(double)
    {17, 744, 795, 2, Smoke::mf_static, 24, 341},	//570 QGlobalSpace::operator<<(QDebug, const QRect&)
    {17, 781, 798, 2, Smoke::mf_static, 34, 342},	//571 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {17, 717, 367, 2, Smoke::mf_static, 313, 343},	//572 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {17, 933, 132, 1, Smoke::mf_static, 395, 344},	//573 QGlobalSpace::qSin(double)
    {17, 781, 801, 2, Smoke::mf_static, 99, 345},	//574 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {17, 756, 376, 2, Smoke::mf_static, 313, 346},	//575 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {17, 773, 804, 2, Smoke::mf_static, 20, 347},	//576 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {17, 781, 373, 2, Smoke::mf_static, 11, 348},	//577 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {17, 744, 807, 2, Smoke::mf_static, 20, 349},	//578 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {17, 744, 810, 2, Smoke::mf_static, 20, 350},	//579 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {17, 781, 813, 2, Smoke::mf_static, 99, 351},	//580 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {17, 744, 816, 2, Smoke::mf_static, 20, 352},	//581 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {17, 981, 720, 2, Smoke::mf_static, 208, 353},	//582 QGlobalSpace::qtTrId(const char*, int)
    {17, 981, 1, 1, Smoke::mf_static, 208, 354},	//583 QGlobalSpace::qtTrId(const char*)
    {17, 744, 819, 2, Smoke::mf_static, 24, 355},	//584 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {17, 748, 198, 2, Smoke::mf_static, 313, 356},	//585 QGlobalSpace::operator<=(QChar, QChar)
    {17, 781, 822, 2, Smoke::mf_static, 64, 357},	//586 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {17, 717, 740, 2, Smoke::mf_static, 313, 358},	//587 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {17, 781, 825, 2, Smoke::mf_static, 56, 359},	//588 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {17, 773, 828, 2, Smoke::mf_static, 20, 360},	//589 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {17, 773, 831, 2, Smoke::mf_static, 20, 361},	//590 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {17, 1006, 834, 3, Smoke::mf_static, 313, 362},	//591 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {17, 737, 696, 2, Smoke::mf_static, 369, 363},	//592 QGlobalSpace::operator/(const QSize&, double)
    {17, 898, 183, 1, Smoke::mf_static, 313, 364},	//593 QGlobalSpace::qIsNull(float)
    {17, 1001, 838, 5, Smoke::mf_static, 0, 365},	//594 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {17, 756, 844, 2, Smoke::mf_static, 313, 366},	//595 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {17, 846, 132, 1, Smoke::mf_static, 395, 367},	//596 QGlobalSpace::qAtan(double)
    {17, 773, 847, 2, Smoke::mf_static, 20, 368},	//597 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {17, 781, 850, 2, Smoke::mf_static, 99, 369},	//598 QGlobalSpace::operator|(Qt::Orientation, int)
    {17, 880, 174, 2, Smoke::mf_static, 313, 370},	//599 QGlobalSpace::qFuzzyCompare(double, double)
    {17, 717, 147, 2, Smoke::mf_static, 313, 371},	//600 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {17, 726, 259, 2, Smoke::mf_static, 361, 372},	//601 QGlobalSpace::operator*(const QPoint&, double)
    {17, 781, 853, 2, Smoke::mf_static, 53, 373},	//602 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {17, 781, 856, 2, Smoke::mf_static, 38, 374},	//603 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {17, 925, 0, 0, Smoke::mf_static, 395, 375},	//604 QGlobalSpace::qSNaN()
    {17, 756, 180, 2, Smoke::mf_static, 313, 376},	//605 QGlobalSpace::operator==(const QByteArray&, const char*)
    {17, 726, 596, 2, Smoke::mf_static, 371, 377},	//606 QGlobalSpace::operator*(const QSizeF&, double)
    {17, 756, 648, 2, Smoke::mf_static, 313, 378},	//607 QGlobalSpace::operator==(const QStringRef&, const char*)
    {17, 726, 859, 2, Smoke::mf_static, 369, 379},	//608 QGlobalSpace::operator*(double, const QSize&)
    {17, 739, 127, 2, Smoke::mf_static, 313, 380},	//609 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {17, 744, 862, 2, Smoke::mf_static, 24, 381},	//610 QGlobalSpace::operator<<(QDebug, const QSslKey&)
    {17, 717, 865, 2, Smoke::mf_static, 313, 382},	//611 QGlobalSpace::operator!=(QBool, bool)
    {17, 717, 159, 2, Smoke::mf_static, 313, 383},	//612 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {17, 773, 868, 2, Smoke::mf_static, 20, 384},	//613 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {17, 744, 871, 2, Smoke::mf_static, 24, 385},	//614 QGlobalSpace::operator<<(QDebug, const QSize&)
    {17, 717, 310, 2, Smoke::mf_static, 313, 386},	//615 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {17, 781, 874, 2, Smoke::mf_static, 47, 387},	//616 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {17, 726, 514, 2, Smoke::mf_static, 363, 388},	//617 QGlobalSpace::operator*(const QPointF&, double)
    {17, 969, 3, 2, Smoke::mf_static, 397, 389},	//618 QGlobalSpace::qstricmp(const char*, const char*)
    {17, 781, 877, 2, Smoke::mf_static, 59, 390},	//619 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {17, 717, 190, 2, Smoke::mf_static, 313, 391},	//620 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {17, 921, 132, 1, Smoke::mf_static, 397, 392},	//621 QGlobalSpace::qRound(double)
    {17, 887, 0, 0, Smoke::mf_static, 395, 393},	//622 QGlobalSpace::qInf()
    {17, 744, 880, 2, Smoke::mf_static, 20, 394},	//623 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {17, 781, 883, 2, Smoke::mf_static, 56, 395},	//624 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {17, 744, 886, 2, Smoke::mf_static, 20, 396},	//625 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {17, 781, 889, 2, Smoke::mf_static, 39, 397},	//626 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {17, 781, 892, 2, Smoke::mf_static, 99, 398},	//627 QGlobalSpace::operator|(Qt::WindowType, int)
    {17, 960, 180, 2, Smoke::mf_static, 397, 399},	//628 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {17, 781, 895, 2, Smoke::mf_static, 43, 400},	//629 QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    {17, 919, 602, 1, Smoke::mf_static, 0, 401},	//630 QGlobalSpace::qRemovePostRoutine(void(*)())
    {17, 773, 898, 2, Smoke::mf_static, 20, 402},	//631 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {17, 744, 901, 2, Smoke::mf_static, 20, 403},	//632 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {17, 781, 904, 2, Smoke::mf_static, 58, 404},	//633 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {17, 781, 907, 2, Smoke::mf_static, 50, 405},	//634 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {17, 946, 0, 0, Smoke::mf_static, 24, 406},	//635 QGlobalSpace::qWarning()
    {17, 971, 1, 1, Smoke::mf_static, 409, 407},	//636 QGlobalSpace::qstrlen(const char*)
    {17, 756, 865, 2, Smoke::mf_static, 313, 408},	//637 QGlobalSpace::operator==(QBool, bool)
    {17, 744, 910, 2, Smoke::mf_static, 24, 409},	//638 QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    {17, 773, 913, 2, Smoke::mf_static, 20, 410},	//639 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {17, 773, 916, 2, Smoke::mf_static, 20, 411},	//640 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {17, 884, 919, 1, Smoke::mf_static, 409, 412},	//641 QGlobalSpace::qHash(unsigned long)
    {17, 744, 921, 2, Smoke::mf_static, 20, 413},	//642 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {17, 744, 924, 2, Smoke::mf_static, 20, 414},	//643 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {17, 781, 927, 2, Smoke::mf_static, 40, 415},	//644 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {17, 756, 292, 2, Smoke::mf_static, 313, 416},	//645 QGlobalSpace::operator==(const char*, const QString&)
    {17, 781, 930, 2, Smoke::mf_static, 45, 417},	//646 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {17, 729, 88, 2, Smoke::mf_static, 379, 418},	//647 QGlobalSpace::operator+(const QString&, const QString&)
    {17, 717, 395, 2, Smoke::mf_static, 313, 419},	//648 QGlobalSpace::operator!=(QBool, QBool)
    {17, 781, 933, 2, Smoke::mf_static, 32, 420},	//649 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {17, 992, 936, 2, Smoke::mf_static, 0, 421},	//650 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {17, 781, 939, 2, Smoke::mf_static, 42, 422},	//651 QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    {17, 768, 292, 2, Smoke::mf_static, 313, 423},	//652 QGlobalSpace::operator>=(const char*, const QString&)
    {17, 884, 942, 1, Smoke::mf_static, 409, 424},	//653 QGlobalSpace::qHash(const QStringRef&)
    {17, 898, 132, 1, Smoke::mf_static, 313, 425},	//654 QGlobalSpace::qIsNull(double)
    {17, 781, 944, 2, Smoke::mf_static, 99, 426},	//655 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {17, 768, 147, 2, Smoke::mf_static, 313, 427},	//656 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {17, 763, 180, 2, Smoke::mf_static, 313, 428},	//657 QGlobalSpace::operator>(const QByteArray&, const char*)
    {17, 884, 947, 1, Smoke::mf_static, 409, 429},	//658 QGlobalSpace::qHash(unsigned char)
    {17, 773, 949, 2, Smoke::mf_static, 20, 430},	//659 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {17, 744, 952, 2, Smoke::mf_static, 24, 431},	//660 QGlobalSpace::operator<<(QDebug, const QObject*)
    {17, 781, 955, 2, Smoke::mf_static, 99, 432},	//661 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {17, 717, 376, 2, Smoke::mf_static, 313, 433},	//662 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {17, 773, 958, 2, Smoke::mf_static, 20, 434},	//663 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {17, 744, 961, 2, Smoke::mf_static, 20, 435},	//664 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {17, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 436},	//665 QGlobalSpace::_ISupper (enum)
    {17, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 437},	//666 QGlobalSpace::_ISlower (enum)
    {17, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 438},	//667 QGlobalSpace::_ISalpha (enum)
    {17, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 439},	//668 QGlobalSpace::_ISdigit (enum)
    {17, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 440},	//669 QGlobalSpace::_ISxdigit (enum)
    {17, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 441},	//670 QGlobalSpace::_ISspace (enum)
    {17, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 442},	//671 QGlobalSpace::_ISprint (enum)
    {17, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 443},	//672 QGlobalSpace::_ISgraph (enum)
    {17, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 444},	//673 QGlobalSpace::_ISblank (enum)
    {17, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 445},	//674 QGlobalSpace::_IScntrl (enum)
    {17, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 446},	//675 QGlobalSpace::_ISpunct (enum)
    {17, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 398, 447},	//676 QGlobalSpace::_ISalnum (enum)
    {17, 294, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 448},	//677 QGlobalSpace::QtDebugMsg (enum)
    {17, 297, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 449},	//678 QGlobalSpace::QtWarningMsg (enum)
    {17, 293, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 450},	//679 QGlobalSpace::QtCriticalMsg (enum)
    {17, 295, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 451},	//680 QGlobalSpace::QtFatalMsg (enum)
    {17, 296, 0, 0, Smoke::mf_static|Smoke::mf_enum, 310, 452},	//681 QGlobalSpace::QtSystemMsg (enum)
    {17, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 453},	//682 QGlobalSpace::__codecvt_ok (enum)
    {17, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 454},	//683 QGlobalSpace::__codecvt_partial (enum)
    {17, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 455},	//684 QGlobalSpace::__codecvt_error (enum)
    {17, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 311, 456},	//685 QGlobalSpace::__codecvt_noconv (enum)
    {19, 187, 0, 0, Smoke::mf_ctor, 76, 1},	//686 QHostAddress::QHostAddress()
    {19, 187, 362, 1, Smoke::mf_ctor, 76, 2},	//687 QHostAddress::QHostAddress(unsigned int)
    {19, 187, 964, 1, Smoke::mf_ctor, 76, 3},	//688 QHostAddress::QHostAddress(unsigned char*)
    {19, 187, 966, 1, Smoke::mf_ctor, 76, 4},	//689 QHostAddress::QHostAddress(const QIPv6Address&)
    {19, 187, 968, 1, Smoke::mf_ctor, 76, 5},	//690 QHostAddress::QHostAddress(const sockaddr*)
    {19, 187, 69, 1, Smoke::mf_ctor, 76, 6},	//691 QHostAddress::QHostAddress(const QString&)
    {19, 187, 67, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 76, 7},	//692 QHostAddress::QHostAddress(const QHostAddress&)
    {19, 187, 970, 1, Smoke::mf_ctor, 76, 8},	//693 QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    {19, 753, 67, 1, 0, 75, 9},	//694 QHostAddress::operator=(const QHostAddress&)
    {19, 753, 69, 1, 0, 75, 10},	//695 QHostAddress::operator=(const QString&)
    {19, 1074, 362, 1, 0, 0, 11},	//696 QHostAddress::setAddress(unsigned int)
    {19, 1074, 964, 1, 0, 0, 12},	//697 QHostAddress::setAddress(unsigned char*)
    {19, 1074, 966, 1, 0, 0, 13},	//698 QHostAddress::setAddress(const QIPv6Address&)
    {19, 1074, 968, 1, 0, 0, 14},	//699 QHostAddress::setAddress(const sockaddr*)
    {19, 1074, 69, 1, 0, 313, 15},	//700 QHostAddress::setAddress(const QString&)
    {19, 824, 0, 0, Smoke::mf_const, 4, 16},	//701 QHostAddress::protocol() const
    {19, 1317, 0, 0, Smoke::mf_const, 409, 17},	//702 QHostAddress::toIPv4Address() const
    {19, 1318, 0, 0, Smoke::mf_const, 97, 18},	//703 QHostAddress::toIPv6Address() const
    {19, 1323, 0, 0, Smoke::mf_const, 208, 19},	//704 QHostAddress::toString() const
    {19, 1061, 0, 0, Smoke::mf_const, 208, 20},	//705 QHostAddress::scopeId() const
    {19, 1236, 69, 1, 0, 0, 21},	//706 QHostAddress::setScopeId(const QString&)
    {19, 756, 67, 1, Smoke::mf_const, 313, 22},	//707 QHostAddress::operator==(const QHostAddress&) const
    {19, 756, 970, 1, Smoke::mf_const, 313, 23},	//708 QHostAddress::operator==(QHostAddress::SpecialAddress) const
    {19, 717, 67, 1, Smoke::mf_const, 313, 24},	//709 QHostAddress::operator!=(const QHostAddress&) const
    {19, 717, 970, 1, Smoke::mf_const, 313, 25},	//710 QHostAddress::operator!=(QHostAddress::SpecialAddress) const
    {19, 644, 0, 0, Smoke::mf_const, 313, 26},	//711 QHostAddress::isNull() const
    {19, 473, 0, 0, 0, 0, 27},	//712 QHostAddress::clear()
    {19, 640, 972, 2, Smoke::mf_const, 313, 28},	//713 QHostAddress::isInSubnet(const QHostAddress&, int) const
    {19, 640, 975, 1, Smoke::mf_const, 313, 29},	//714 QHostAddress::isInSubnet(const QPair<QHostAddress,int>&) const
    {19, 795, 69, 1, Smoke::mf_static, 175, 30},	//715 QHostAddress::parseSubnet(const QString&)
    {19, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 31},	//716 QHostAddress::Null (enum)
    {19, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 32},	//717 QHostAddress::Broadcast (enum)
    {19, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 33},	//718 QHostAddress::LocalHost (enum)
    {19, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 34},	//719 QHostAddress::LocalHostIPv6 (enum)
    {19, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 35},	//720 QHostAddress::Any (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 36},	//721 QHostAddress::AnyIPv6 (enum)
    {19, 1370, 0, 0, Smoke::mf_dtor, 0, 37 },	//722 QHostAddress::~QHostAddress()
    {20, 190, 44, 1, Smoke::mf_ctor, 80, 1},	//723 QHostInfo::QHostInfo(int)
    {20, 190, 977, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 80, 2},	//724 QHostInfo::QHostInfo(const QHostInfo&)
    {20, 753, 977, 1, 0, 79, 3},	//725 QHostInfo::operator=(const QHostInfo&)
    {20, 615, 0, 0, Smoke::mf_const, 208, 4},	//726 QHostInfo::hostName() const
    {20, 1139, 69, 1, 0, 0, 5},	//727 QHostInfo::setHostName(const QString&)
    {20, 428, 0, 0, Smoke::mf_const, 105, 6},	//728 QHostInfo::addresses() const
    {20, 1077, 979, 1, 0, 0, 7},	//729 QHostInfo::setAddresses(const QList<QHostAddress>&)
    {20, 562, 0, 0, Smoke::mf_const, 81, 8},	//730 QHostInfo::error() const
    {20, 1122, 981, 1, 0, 0, 9},	//731 QHostInfo::setError(QHostInfo::HostInfoError)
    {20, 564, 0, 0, Smoke::mf_const, 208, 10},	//732 QHostInfo::errorString() const
    {20, 1125, 69, 1, 0, 0, 11},	//733 QHostInfo::setErrorString(const QString&)
    {20, 1157, 44, 1, 0, 0, 12},	//734 QHostInfo::setLookupId(int)
    {20, 686, 0, 0, Smoke::mf_const, 397, 13},	//735 QHostInfo::lookupId() const
    {20, 684, 983, 3, Smoke::mf_static, 397, 14},	//736 QHostInfo::lookupHost(const QString&, QObject*, const char*)
    {20, 404, 44, 1, Smoke::mf_static, 0, 15},	//737 QHostInfo::abortHostLookup(int)
    {20, 582, 69, 1, Smoke::mf_static, 78, 16},	//738 QHostInfo::fromName(const QString&)
    {20, 679, 0, 0, Smoke::mf_static, 208, 17},	//739 QHostInfo::localHostName()
    {20, 678, 0, 0, Smoke::mf_static, 208, 18},	//740 QHostInfo::localDomainName()
    {20, 190, 0, 0, Smoke::mf_ctor, 80, 19},	//741 QHostInfo::QHostInfo()
    {20, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 20},	//742 QHostInfo::NoError (enum)
    {20, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 21},	//743 QHostInfo::HostNotFound (enum)
    {20, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 22},	//744 QHostInfo::UnknownError (enum)
    {20, 1371, 0, 0, Smoke::mf_dtor, 0, 23 },	//745 QHostInfo::~QHostInfo()
    {21, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//746 QHttp::metaObject() const
    {21, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//747 QHttp::qt_metacast(const char*)
    {21, 1324, 3, 2, Smoke::mf_static, 208, 3},	//748 QHttp::tr(const char*, const char*)
    {21, 1328, 3, 2, Smoke::mf_static, 208, 4},	//749 QHttp::trUtf8(const char*, const char*)
    {21, 1324, 6, 3, Smoke::mf_static, 208, 5},	//750 QHttp::tr(const char*, const char*, int)
    {21, 1328, 6, 3, Smoke::mf_static, 208, 6},	//751 QHttp::trUtf8(const char*, const char*, int)
    {21, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//752 QHttp::qt_metacall(QMetaObject::Call, int, void**)
    {21, 193, 20, 1, Smoke::mf_ctor, 82, 8},	//753 QHttp::QHttp(QObject*)
    {21, 193, 987, 3, Smoke::mf_ctor, 82, 9},	//754 QHttp::QHttp(const QString&, unsigned short, QObject*)
    {21, 193, 991, 4, Smoke::mf_ctor, 82, 10},	//755 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short, QObject*)
    {21, 1135, 71, 2, 0, 397, 11},	//756 QHttp::setHost(const QString&, unsigned short)
    {21, 1135, 996, 3, 0, 397, 12},	//757 QHttp::setHost(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1244, 1000, 1, 0, 397, 13},	//758 QHttp::setSocket(QTcpSocket*)
    {21, 1276, 88, 2, 0, 397, 14},	//759 QHttp::setUser(const QString&, const QString&)
    {21, 1212, 1002, 4, 0, 397, 15},	//760 QHttp::setProxy(const QString&, int, const QString&, const QString&)
    {21, 1212, 46, 1, 0, 397, 16},	//761 QHttp::setProxy(const QNetworkProxy&)
    {21, 589, 118, 2, 0, 397, 17},	//762 QHttp::get(const QString&, QIODevice*)
    {21, 813, 1007, 3, 0, 397, 18},	//763 QHttp::post(const QString&, QIODevice*, QIODevice*)
    {21, 813, 1011, 3, 0, 397, 19},	//764 QHttp::post(const QString&, const QByteArray&, QIODevice*)
    {21, 609, 69, 1, 0, 397, 20},	//765 QHttp::head(const QString&)
    {21, 1047, 1015, 3, 0, 397, 21},	//766 QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    {21, 1047, 1019, 3, 0, 397, 22},	//767 QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    {21, 477, 0, 0, 0, 397, 23},	//768 QHttp::closeConnection()
    {21, 476, 0, 0, 0, 397, 24},	//769 QHttp::close()
    {21, 457, 0, 0, Smoke::mf_const, 400, 25},	//770 QHttp::bytesAvailable() const
    {21, 1019, 59, 2, 0, 400, 26},	//771 QHttp::read(char*, long long)
    {21, 1021, 0, 0, 0, 14, 27},	//772 QHttp::readAll()
    {21, 522, 0, 0, Smoke::mf_const, 397, 28},	//773 QHttp::currentId() const
    {21, 524, 0, 0, Smoke::mf_const, 94, 29},	//774 QHttp::currentSourceDevice() const
    {21, 520, 0, 0, Smoke::mf_const, 94, 30},	//775 QHttp::currentDestinationDevice() const
    {21, 523, 0, 0, Smoke::mf_const, 88, 31},	//776 QHttp::currentRequest() const
    {21, 664, 0, 0, Smoke::mf_const, 91, 32},	//777 QHttp::lastResponse() const
    {21, 606, 0, 0, Smoke::mf_const, 313, 33},	//778 QHttp::hasPendingRequests() const
    {21, 475, 0, 0, 0, 0, 34},	//779 QHttp::clearPendingRequests()
    {21, 1299, 0, 0, Smoke::mf_const, 85, 35},	//780 QHttp::state() const
    {21, 562, 0, 0, Smoke::mf_const, 84, 36},	//781 QHttp::error() const
    {21, 564, 0, 0, Smoke::mf_const, 208, 37},	//782 QHttp::errorString() const
    {21, 403, 0, 0, Smoke::mf_slot, 0, 38},	//783 QHttp::abort()
    {21, 619, 0, 0, Smoke::mf_slot, 0, 39},	//784 QHttp::ignoreSslErrors()
    {21, 1300, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//785 QHttp::stateChanged(int)
    {21, 1056, 1023, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 41},	//786 QHttp::responseHeaderReceived(const QHttpResponseHeader&)
    {21, 1031, 1023, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 42},	//787 QHttp::readyRead(const QHttpResponseHeader&)
    {21, 530, 1025, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//788 QHttp::dataSendProgress(int, int)
    {21, 528, 1025, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 44},	//789 QHttp::dataReadProgress(int, int)
    {21, 1053, 44, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//790 QHttp::requestStarted(int)
    {21, 1051, 113, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//791 QHttp::requestFinished(int, bool)
    {21, 549, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//792 QHttp::done(bool)
    {21, 828, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//793 QHttp::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {21, 445, 1028, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//794 QHttp::authenticationRequired(const QString&, quint16, QAuthenticator*)
    {21, 1294, 1032, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//795 QHttp::sslErrors(const QList<QSslError>&)
    {21, 1324, 1, 1, Smoke::mf_static, 208, 51},	//796 QHttp::tr(const char*)
    {21, 1328, 1, 1, Smoke::mf_static, 208, 52},	//797 QHttp::trUtf8(const char*)
    {21, 193, 0, 0, Smoke::mf_ctor, 82, 53},	//798 QHttp::QHttp()
    {21, 193, 69, 1, Smoke::mf_ctor, 82, 54},	//799 QHttp::QHttp(const QString&)
    {21, 193, 71, 2, Smoke::mf_ctor, 82, 55},	//800 QHttp::QHttp(const QString&, unsigned short)
    {21, 193, 1034, 2, Smoke::mf_ctor, 82, 56},	//801 QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    {21, 193, 996, 3, Smoke::mf_ctor, 82, 57},	//802 QHttp::QHttp(const QString&, QHttp::ConnectionMode, unsigned short)
    {21, 1135, 69, 1, 0, 397, 58},	//803 QHttp::setHost(const QString&)
    {21, 1135, 1034, 2, 0, 397, 59},	//804 QHttp::setHost(const QString&, QHttp::ConnectionMode)
    {21, 1276, 69, 1, 0, 397, 60},	//805 QHttp::setUser(const QString&)
    {21, 1212, 1037, 2, 0, 397, 61},	//806 QHttp::setProxy(const QString&, int)
    {21, 1212, 1040, 3, 0, 397, 62},	//807 QHttp::setProxy(const QString&, int, const QString&)
    {21, 589, 69, 1, 0, 397, 63},	//808 QHttp::get(const QString&)
    {21, 813, 118, 2, 0, 397, 64},	//809 QHttp::post(const QString&, QIODevice*)
    {21, 813, 268, 2, 0, 397, 65},	//810 QHttp::post(const QString&, const QByteArray&)
    {21, 1047, 1044, 1, 0, 397, 66},	//811 QHttp::request(const QHttpRequestHeader&)
    {21, 1047, 1046, 2, 0, 397, 67},	//812 QHttp::request(const QHttpRequestHeader&, QIODevice*)
    {21, 1047, 1049, 2, 0, 397, 68},	//813 QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    {21, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 69},	//814 QHttp::staticMetaObject() const
    {21, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 70},	//815 QHttp::ConnectionModeHttp (enum)
    {21, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 83, 71},	//816 QHttp::ConnectionModeHttps (enum)
    {21, 356, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 72},	//817 QHttp::Unconnected (enum)
    {21, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 73},	//818 QHttp::HostLookup (enum)
    {21, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 74},	//819 QHttp::Connecting (enum)
    {21, 317, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 75},	//820 QHttp::Sending (enum)
    {21, 305, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 76},	//821 QHttp::Reading (enum)
    {21, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 77},	//822 QHttp::Connected (enum)
    {21, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 85, 78},	//823 QHttp::Closing (enum)
    {21, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 79},	//824 QHttp::NoError (enum)
    {21, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 80},	//825 QHttp::UnknownError (enum)
    {21, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 81},	//826 QHttp::HostNotFound (enum)
    {21, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 82},	//827 QHttp::ConnectionRefused (enum)
    {21, 360, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 83},	//828 QHttp::UnexpectedClose (enum)
    {21, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 84},	//829 QHttp::InvalidResponseHeader (enum)
    {21, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 85},	//830 QHttp::WrongContentLength (enum)
    {21, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 86},	//831 QHttp::Aborted (enum)
    {21, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 87},	//832 QHttp::AuthenticationRequiredError (enum)
    {21, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 84, 88},	//833 QHttp::ProxyAuthenticationRequiredError (enum)
    {21, 1372, 0, 0, Smoke::mf_dtor, 0, 89 },	//834 QHttp::~QHttp()
    {22, 200, 0, 0, Smoke::mf_ctor, 87, 1},	//835 QHttpHeader::QHttpHeader()
    {22, 200, 1052, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 87, 2},	//836 QHttpHeader::QHttpHeader(const QHttpHeader&)
    {22, 200, 69, 1, Smoke::mf_ctor, 87, 3},	//837 QHttpHeader::QHttpHeader(const QString&)
    {22, 753, 1052, 1, 0, 86, 4},	//838 QHttpHeader::operator=(const QHttpHeader&)
    {22, 1281, 88, 2, 0, 0, 5},	//839 QHttpHeader::setValue(const QString&, const QString&)
    {22, 1284, 1054, 1, 0, 0, 6},	//840 QHttpHeader::setValues(const QList<QPair<QString,QString> >&)
    {22, 425, 88, 2, 0, 0, 7},	//841 QHttpHeader::addValue(const QString&, const QString&)
    {22, 1344, 0, 0, Smoke::mf_const, 112, 8},	//842 QHttpHeader::values() const
    {22, 601, 69, 1, Smoke::mf_const, 313, 9},	//843 QHttpHeader::hasKey(const QString&) const
    {22, 661, 0, 0, Smoke::mf_const, 212, 10},	//844 QHttpHeader::keys() const
    {22, 1342, 69, 1, Smoke::mf_const, 208, 11},	//845 QHttpHeader::value(const QString&) const
    {22, 435, 69, 1, Smoke::mf_const, 212, 12},	//846 QHttpHeader::allValues(const QString&) const
    {22, 1043, 69, 1, 0, 0, 13},	//847 QHttpHeader::removeValue(const QString&)
    {22, 1039, 69, 1, 0, 0, 14},	//848 QHttpHeader::removeAllValues(const QString&)
    {22, 599, 0, 0, Smoke::mf_const, 313, 15},	//849 QHttpHeader::hasContentLength() const
    {22, 511, 0, 0, Smoke::mf_const, 409, 16},	//850 QHttpHeader::contentLength() const
    {22, 1104, 44, 1, 0, 0, 17},	//851 QHttpHeader::setContentLength(int)
    {22, 600, 0, 0, Smoke::mf_const, 313, 18},	//852 QHttpHeader::hasContentType() const
    {22, 512, 0, 0, Smoke::mf_const, 208, 19},	//853 QHttpHeader::contentType() const
    {22, 1106, 69, 1, 0, 0, 20},	//854 QHttpHeader::setContentType(const QString&)
    {22, 1323, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 21},	//855 QHttpHeader::toString() const
    {22, 655, 0, 0, Smoke::mf_const, 313, 22},	//856 QHttpHeader::isValid() const
    {22, 687, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 397, 23},	//857 QHttpHeader::majorVersion() const [pure virtual]
    {22, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 397, 24},	//858 QHttpHeader::minorVersion() const [pure virtual]
    {22, 793, 1037, 2, Smoke::mf_protected|Smoke::mf_virtual, 313, 25},	//859 QHttpHeader::parseLine(const QString&, int)
    {22, 789, 69, 1, Smoke::mf_protected, 313, 26},	//860 QHttpHeader::parse(const QString&)
    {22, 1279, 116, 1, Smoke::mf_protected, 0, 27},	//861 QHttpHeader::setValid(bool)
    {22, 1373, 0, 0, Smoke::mf_dtor, 0, 28 },	//862 QHttpHeader::~QHttpHeader()
    {23, 203, 0, 0, Smoke::mf_ctor, 90, 1},	//863 QHttpRequestHeader::QHttpRequestHeader()
    {23, 203, 1056, 4, Smoke::mf_ctor, 90, 2},	//864 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int, int)
    {23, 203, 1044, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 3},	//865 QHttpRequestHeader::QHttpRequestHeader(const QHttpRequestHeader&)
    {23, 203, 69, 1, Smoke::mf_ctor, 90, 4},	//866 QHttpRequestHeader::QHttpRequestHeader(const QString&)
    {23, 753, 1044, 1, 0, 89, 5},	//867 QHttpRequestHeader::operator=(const QHttpRequestHeader&)
    {23, 1229, 1056, 4, 0, 0, 6},	//868 QHttpRequestHeader::setRequest(const QString&, const QString&, int, int)
    {23, 695, 0, 0, Smoke::mf_const, 208, 7},	//869 QHttpRequestHeader::method() const
    {23, 798, 0, 0, Smoke::mf_const, 208, 8},	//870 QHttpRequestHeader::path() const
    {23, 687, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 397, 9},	//871 QHttpRequestHeader::majorVersion() const
    {23, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 397, 10},	//872 QHttpRequestHeader::minorVersion() const
    {23, 1323, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//873 QHttpRequestHeader::toString() const
    {23, 793, 1037, 2, Smoke::mf_protected|Smoke::mf_virtual, 313, 12},	//874 QHttpRequestHeader::parseLine(const QString&, int)
    {23, 203, 88, 2, Smoke::mf_ctor, 90, 13},	//875 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&)
    {23, 203, 1061, 3, Smoke::mf_ctor, 90, 14},	//876 QHttpRequestHeader::QHttpRequestHeader(const QString&, const QString&, int)
    {23, 1229, 88, 2, 0, 0, 15},	//877 QHttpRequestHeader::setRequest(const QString&, const QString&)
    {23, 1229, 1061, 3, 0, 0, 16},	//878 QHttpRequestHeader::setRequest(const QString&, const QString&, int)
    {23, 1374, 0, 0, Smoke::mf_dtor, 0, 17 },	//879 QHttpRequestHeader::~QHttpRequestHeader()
    {24, 209, 0, 0, Smoke::mf_ctor, 93, 1},	//880 QHttpResponseHeader::QHttpResponseHeader()
    {24, 209, 1023, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 93, 2},	//881 QHttpResponseHeader::QHttpResponseHeader(const QHttpResponseHeader&)
    {24, 209, 69, 1, Smoke::mf_ctor, 93, 3},	//882 QHttpResponseHeader::QHttpResponseHeader(const QString&)
    {24, 209, 1065, 4, Smoke::mf_ctor, 93, 4},	//883 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int, int)
    {24, 753, 1023, 1, 0, 92, 5},	//884 QHttpResponseHeader::operator=(const QHttpResponseHeader&)
    {24, 1261, 1065, 4, 0, 0, 6},	//885 QHttpResponseHeader::setStatusLine(int, const QString&, int, int)
    {24, 1303, 0, 0, Smoke::mf_const, 397, 7},	//886 QHttpResponseHeader::statusCode() const
    {24, 1034, 0, 0, Smoke::mf_const, 208, 8},	//887 QHttpResponseHeader::reasonPhrase() const
    {24, 687, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 397, 9},	//888 QHttpResponseHeader::majorVersion() const
    {24, 697, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 397, 10},	//889 QHttpResponseHeader::minorVersion() const
    {24, 1323, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 208, 11},	//890 QHttpResponseHeader::toString() const
    {24, 793, 1037, 2, Smoke::mf_protected|Smoke::mf_virtual, 313, 12},	//891 QHttpResponseHeader::parseLine(const QString&, int)
    {24, 209, 44, 1, Smoke::mf_ctor, 93, 13},	//892 QHttpResponseHeader::QHttpResponseHeader(int)
    {24, 209, 110, 2, Smoke::mf_ctor, 93, 14},	//893 QHttpResponseHeader::QHttpResponseHeader(int, const QString&)
    {24, 209, 1070, 3, Smoke::mf_ctor, 93, 15},	//894 QHttpResponseHeader::QHttpResponseHeader(int, const QString&, int)
    {24, 1261, 44, 1, 0, 0, 16},	//895 QHttpResponseHeader::setStatusLine(int)
    {24, 1261, 110, 2, 0, 0, 17},	//896 QHttpResponseHeader::setStatusLine(int, const QString&)
    {24, 1261, 1070, 3, 0, 0, 18},	//897 QHttpResponseHeader::setStatusLine(int, const QString&, int)
    {24, 1375, 0, 0, Smoke::mf_dtor, 0, 19 },	//898 QHttpResponseHeader::~QHttpResponseHeader()
    {25, 714, 1074, 1, Smoke::mf_virtual, 313, 0},	//899 QIODevice::open(QFlags<QIODevice::OpenModeFlag>)
    {25, 812, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 0},	//900 QIODevice::pos() const
    {25, 1288, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 0},	//901 QIODevice::size() const
    {25, 1062, 33, 1, Smoke::mf_virtual, 313, 0},	//902 QIODevice::seek(long long)
    {25, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 0},	//903 QIODevice::atEnd() const
    {25, 1055, 0, 0, Smoke::mf_virtual, 313, 0},	//904 QIODevice::reset()
    {25, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 0},	//905 QIODevice::bytesAvailable() const
    {25, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 0},	//906 QIODevice::bytesToWrite() const
    {25, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 0},	//907 QIODevice::canReadLine() const
    {25, 1359, 44, 1, Smoke::mf_virtual, 313, 0},	//908 QIODevice::waitForReadyRead(int)
    {25, 1346, 44, 1, Smoke::mf_virtual, 313, 0},	//909 QIODevice::waitForBytesWritten(int)
    {25, 1023, 59, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 400, 0},	//910 QIODevice::readData(char*, long long) [pure virtual]
    {25, 1029, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 0},	//911 QIODevice::readLineData(char*, long long)
    {25, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 14},	//912 QIODevice::NotOpen (enum)
    {25, 301, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 15},	//913 QIODevice::ReadOnly (enum)
    {25, 383, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 16},	//914 QIODevice::WriteOnly (enum)
    {25, 304, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 17},	//915 QIODevice::ReadWrite (enum)
    {25, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 18},	//916 QIODevice::Append (enum)
    {25, 346, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 19},	//917 QIODevice::Truncate (enum)
    {25, 343, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 20},	//918 QIODevice::Text (enum)
    {25, 355, 0, 0, Smoke::mf_static|Smoke::mf_enum, 96, 21},	//919 QIODevice::Unbuffered (enum)
    {26, 777, 44, 1, 0, 407, 1},	//920 QIPv6Address::operator[](int)
    {26, 777, 44, 1, Smoke::mf_const, 406, 2},	//921 QIPv6Address::operator[](int) const
    {26, 215, 0, 0, Smoke::mf_ctor, 98, 3},	//922 QIPv6Address::QIPv6Address()
    {26, 215, 966, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 98, 4},	//923 QIPv6Address::QIPv6Address(const QIPv6Address&)
    {26, 1376, 0, 0, Smoke::mf_dtor, 0, 5 },	//924 QIPv6Address::~QIPv6Address()
    {31, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//925 QLocalServer::metaObject() const
    {31, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//926 QLocalServer::qt_metacast(const char*)
    {31, 1324, 3, 2, Smoke::mf_static, 208, 3},	//927 QLocalServer::tr(const char*, const char*)
    {31, 1328, 3, 2, Smoke::mf_static, 208, 4},	//928 QLocalServer::trUtf8(const char*, const char*)
    {31, 1324, 6, 3, Smoke::mf_static, 208, 5},	//929 QLocalServer::tr(const char*, const char*, int)
    {31, 1328, 6, 3, Smoke::mf_static, 208, 6},	//930 QLocalServer::trUtf8(const char*, const char*, int)
    {31, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//931 QLocalServer::qt_metacall(QMetaObject::Call, int, void**)
    {31, 710, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 8},	//932 QLocalServer::newConnection()
    {31, 217, 20, 1, Smoke::mf_ctor, 117, 9},	//933 QLocalServer::QLocalServer(QObject*)
    {31, 476, 0, 0, 0, 0, 10},	//934 QLocalServer::close()
    {31, 564, 0, 0, Smoke::mf_const, 208, 11},	//935 QLocalServer::errorString() const
    {31, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 12},	//936 QLocalServer::hasPendingConnections() const
    {31, 643, 0, 0, Smoke::mf_const, 313, 13},	//937 QLocalServer::isListening() const
    {31, 672, 69, 1, 0, 313, 14},	//938 QLocalServer::listen(const QString&)
    {31, 689, 0, 0, Smoke::mf_const, 397, 15},	//939 QLocalServer::maxPendingConnections() const
    {31, 711, 0, 0, Smoke::mf_virtual, 118, 16},	//940 QLocalServer::nextPendingConnection()
    {31, 1069, 0, 0, Smoke::mf_const, 208, 17},	//941 QLocalServer::serverName() const
    {31, 588, 0, 0, Smoke::mf_const, 208, 18},	//942 QLocalServer::fullServerName() const
    {31, 1041, 69, 1, Smoke::mf_static, 313, 19},	//943 QLocalServer::removeServer(const QString&)
    {31, 1068, 0, 0, Smoke::mf_const, 5, 20},	//944 QLocalServer::serverError() const
    {31, 1159, 44, 1, 0, 0, 21},	//945 QLocalServer::setMaxPendingConnections(int)
    {31, 1354, 1076, 2, 0, 313, 22},	//946 QLocalServer::waitForNewConnection(int, bool*)
    {31, 621, 1079, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//947 QLocalServer::incomingConnection(QIntegerForSizeof< void* >::Unsigned)
    {31, 1324, 1, 1, Smoke::mf_static, 208, 24},	//948 QLocalServer::tr(const char*)
    {31, 1328, 1, 1, Smoke::mf_static, 208, 25},	//949 QLocalServer::trUtf8(const char*)
    {31, 217, 0, 0, Smoke::mf_ctor, 117, 26},	//950 QLocalServer::QLocalServer()
    {31, 1354, 0, 0, 0, 313, 27},	//951 QLocalServer::waitForNewConnection()
    {31, 1354, 44, 1, 0, 313, 28},	//952 QLocalServer::waitForNewConnection(int)
    {31, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 29},	//953 QLocalServer::staticMetaObject() const
    {31, 1377, 0, 0, Smoke::mf_dtor, 0, 30 },	//954 QLocalServer::~QLocalServer()
    {32, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//955 QLocalSocket::metaObject() const
    {32, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//956 QLocalSocket::qt_metacast(const char*)
    {32, 1324, 3, 2, Smoke::mf_static, 208, 3},	//957 QLocalSocket::tr(const char*, const char*)
    {32, 1328, 3, 2, Smoke::mf_static, 208, 4},	//958 QLocalSocket::trUtf8(const char*, const char*)
    {32, 1324, 6, 3, Smoke::mf_static, 208, 5},	//959 QLocalSocket::tr(const char*, const char*, int)
    {32, 1328, 6, 3, Smoke::mf_static, 208, 6},	//960 QLocalSocket::trUtf8(const char*, const char*, int)
    {32, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//961 QLocalSocket::qt_metacall(QMetaObject::Call, int, void**)
    {32, 219, 20, 1, Smoke::mf_ctor, 118, 8},	//962 QLocalSocket::QLocalSocket(QObject*)
    {32, 507, 1081, 2, 0, 0, 9},	//963 QLocalSocket::connectToServer(const QString&, QFlags<QIODevice::OpenModeFlag>)
    {32, 544, 0, 0, 0, 0, 10},	//964 QLocalSocket::disconnectFromServer()
    {32, 1069, 0, 0, Smoke::mf_const, 208, 11},	//965 QLocalSocket::serverName() const
    {32, 588, 0, 0, Smoke::mf_const, 208, 12},	//966 QLocalSocket::fullServerName() const
    {32, 403, 0, 0, 0, 0, 13},	//967 QLocalSocket::abort()
    {32, 651, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 14},	//968 QLocalSocket::isSequential() const
    {32, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 15},	//969 QLocalSocket::bytesAvailable() const
    {32, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 16},	//970 QLocalSocket::bytesToWrite() const
    {32, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 17},	//971 QLocalSocket::canReadLine() const
    {32, 476, 0, 0, Smoke::mf_virtual, 0, 18},	//972 QLocalSocket::close()
    {32, 562, 0, 0, Smoke::mf_const, 119, 19},	//973 QLocalSocket::error() const
    {32, 575, 0, 0, 0, 313, 20},	//974 QLocalSocket::flush()
    {32, 655, 0, 0, Smoke::mf_const, 313, 21},	//975 QLocalSocket::isValid() const
    {32, 1022, 0, 0, Smoke::mf_const, 400, 22},	//976 QLocalSocket::readBufferSize() const
    {32, 1225, 33, 1, 0, 0, 23},	//977 QLocalSocket::setReadBufferSize(long long)
    {32, 1246, 1084, 3, 0, 313, 24},	//978 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState, QFlags<QIODevice::OpenModeFlag>)
    {32, 1289, 0, 0, Smoke::mf_const, 100, 25},	//979 QLocalSocket::socketDescriptor() const
    {32, 1299, 0, 0, Smoke::mf_const, 120, 26},	//980 QLocalSocket::state() const
    {32, 1346, 44, 1, Smoke::mf_virtual, 313, 27},	//981 QLocalSocket::waitForBytesWritten(int)
    {32, 1348, 44, 1, 0, 313, 28},	//982 QLocalSocket::waitForConnected(int)
    {32, 1350, 44, 1, 0, 313, 29},	//983 QLocalSocket::waitForDisconnected(int)
    {32, 1359, 44, 1, Smoke::mf_virtual, 313, 30},	//984 QLocalSocket::waitForReadyRead(int)
    {32, 510, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//985 QLocalSocket::connected()
    {32, 547, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//986 QLocalSocket::disconnected()
    {32, 562, 1088, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//987 QLocalSocket::error(QLocalSocket::LocalSocketError)
    {32, 1300, 1090, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//988 QLocalSocket::stateChanged(QLocalSocket::LocalSocketState)
    {32, 1023, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 35},	//989 QLocalSocket::readData(char*, long long)
    {32, 1361, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 36},	//990 QLocalSocket::writeData(const char*, long long)
    {32, 1324, 1, 1, Smoke::mf_static, 208, 37},	//991 QLocalSocket::tr(const char*)
    {32, 1328, 1, 1, Smoke::mf_static, 208, 38},	//992 QLocalSocket::trUtf8(const char*)
    {32, 219, 0, 0, Smoke::mf_ctor, 118, 39},	//993 QLocalSocket::QLocalSocket()
    {32, 507, 69, 1, 0, 0, 40},	//994 QLocalSocket::connectToServer(const QString&)
    {32, 1246, 1079, 1, 0, 313, 41},	//995 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned)
    {32, 1246, 1092, 2, 0, 313, 42},	//996 QLocalSocket::setSocketDescriptor(QIntegerForSizeof< void* >::Unsigned, QLocalSocket::LocalSocketState)
    {32, 1346, 0, 0, 0, 313, 43},	//997 QLocalSocket::waitForBytesWritten()
    {32, 1348, 0, 0, 0, 313, 44},	//998 QLocalSocket::waitForConnected()
    {32, 1350, 0, 0, 0, 313, 45},	//999 QLocalSocket::waitForDisconnected()
    {32, 1359, 0, 0, 0, 313, 46},	//1000 QLocalSocket::waitForReadyRead()
    {32, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 47},	//1001 QLocalSocket::staticMetaObject() const
    {32, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 48},	//1002 QLocalSocket::ConnectionRefusedError (enum)
    {32, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 49},	//1003 QLocalSocket::PeerClosedError (enum)
    {32, 318, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 50},	//1004 QLocalSocket::ServerNotFoundError (enum)
    {32, 326, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 51},	//1005 QLocalSocket::SocketAccessError (enum)
    {32, 328, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 52},	//1006 QLocalSocket::SocketResourceError (enum)
    {32, 329, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 53},	//1007 QLocalSocket::SocketTimeoutError (enum)
    {32, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 54},	//1008 QLocalSocket::DatagramTooLargeError (enum)
    {32, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 55},	//1009 QLocalSocket::ConnectionError (enum)
    {32, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 56},	//1010 QLocalSocket::UnsupportedSocketOperationError (enum)
    {32, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 119, 57},	//1011 QLocalSocket::UnknownSocketError (enum)
    {32, 357, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 58},	//1012 QLocalSocket::UnconnectedState (enum)
    {32, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 59},	//1013 QLocalSocket::ConnectingState (enum)
    {32, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 60},	//1014 QLocalSocket::ConnectedState (enum)
    {32, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 61},	//1015 QLocalSocket::ClosingState (enum)
    {32, 1378, 0, 0, Smoke::mf_dtor, 0, 62 },	//1016 QLocalSocket::~QLocalSocket()
    {37, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1017 QNetworkAccessManager::metaObject() const
    {37, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1018 QNetworkAccessManager::qt_metacast(const char*)
    {37, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1019 QNetworkAccessManager::tr(const char*, const char*)
    {37, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1020 QNetworkAccessManager::trUtf8(const char*, const char*)
    {37, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1021 QNetworkAccessManager::tr(const char*, const char*, int)
    {37, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1022 QNetworkAccessManager::trUtf8(const char*, const char*, int)
    {37, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1023 QNetworkAccessManager::qt_metacall(QMetaObject::Call, int, void**)
    {37, 221, 20, 1, Smoke::mf_ctor, 125, 8},	//1024 QNetworkAccessManager::QNetworkAccessManager(QObject*)
    {37, 827, 0, 0, Smoke::mf_const, 151, 9},	//1025 QNetworkAccessManager::proxy() const
    {37, 1212, 46, 1, 0, 0, 10},	//1026 QNetworkAccessManager::setProxy(const QNetworkProxy&)
    {37, 830, 0, 0, Smoke::mf_const, 156, 11},	//1027 QNetworkAccessManager::proxyFactory() const
    {37, 1217, 1095, 1, 0, 0, 12},	//1028 QNetworkAccessManager::setProxyFactory(QNetworkProxyFactory*)
    {37, 462, 0, 0, Smoke::mf_const, 2, 13},	//1029 QNetworkAccessManager::cache() const
    {37, 1093, 1097, 1, 0, 0, 14},	//1030 QNetworkAccessManager::setCache(QAbstractNetworkCache*)
    {37, 513, 0, 0, Smoke::mf_const, 145, 15},	//1031 QNetworkAccessManager::cookieJar() const
    {37, 1108, 1099, 1, 0, 0, 16},	//1032 QNetworkAccessManager::setCookieJar(QNetworkCookieJar*)
    {37, 609, 1101, 1, 0, 160, 17},	//1033 QNetworkAccessManager::head(const QNetworkRequest&)
    {37, 589, 1101, 1, 0, 160, 18},	//1034 QNetworkAccessManager::get(const QNetworkRequest&)
    {37, 813, 1103, 2, 0, 160, 19},	//1035 QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    {37, 813, 1106, 2, 0, 160, 20},	//1036 QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    {37, 835, 1103, 2, 0, 160, 21},	//1037 QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    {37, 835, 1106, 2, 0, 160, 22},	//1038 QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    {37, 537, 1101, 1, 0, 160, 23},	//1039 QNetworkAccessManager::deleteResource(const QNetworkRequest&)
    {37, 1063, 1109, 3, 0, 160, 24},	//1040 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&, QIODevice*)
    {37, 1102, 1113, 1, 0, 0, 25},	//1041 QNetworkAccessManager::setConfiguration(const QNetworkConfiguration&)
    {37, 483, 0, 0, Smoke::mf_const, 133, 26},	//1042 QNetworkAccessManager::configuration() const
    {37, 407, 0, 0, Smoke::mf_const, 133, 27},	//1043 QNetworkAccessManager::activeConfiguration() const
    {37, 1168, 1115, 1, Smoke::mf_property, 0, 28},	//1044 QNetworkAccessManager::setNetworkAccessible(QNetworkAccessManager::NetworkAccessibility)
    {37, 705, 0, 0, Smoke::mf_const|Smoke::mf_property, 126, 29},	//1045 QNetworkAccessManager::networkAccessible() const
    {37, 828, 52, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1046 QNetworkAccessManager::proxyAuthenticationRequired(const QNetworkProxy&, QAuthenticator*)
    {37, 445, 1117, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1047 QNetworkAccessManager::authenticationRequired(QNetworkReply*, QAuthenticator*)
    {37, 572, 1120, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1048 QNetworkAccessManager::finished(QNetworkReply*)
    {37, 1294, 1122, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1049 QNetworkAccessManager::sslErrors(QNetworkReply*, const QList<QSslError>&)
    {37, 708, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1050 QNetworkAccessManager::networkSessionConnected()
    {37, 706, 1115, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1051 QNetworkAccessManager::networkAccessibleChanged(QNetworkAccessManager::NetworkAccessibility)
    {37, 516, 1125, 3, Smoke::mf_protected|Smoke::mf_virtual, 160, 36},	//1052 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&, QIODevice*)
    {37, 1324, 1, 1, Smoke::mf_static, 208, 37},	//1053 QNetworkAccessManager::tr(const char*)
    {37, 1328, 1, 1, Smoke::mf_static, 208, 38},	//1054 QNetworkAccessManager::trUtf8(const char*)
    {37, 221, 0, 0, Smoke::mf_ctor, 125, 39},	//1055 QNetworkAccessManager::QNetworkAccessManager()
    {37, 1063, 1106, 2, 0, 160, 40},	//1056 QNetworkAccessManager::sendCustomRequest(const QNetworkRequest&, const QByteArray&)
    {37, 516, 1129, 2, Smoke::mf_protected, 160, 41},	//1057 QNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, const QNetworkRequest&)
    {37, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 42},	//1058 QNetworkAccessManager::staticMetaObject() const
    {37, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 43},	//1059 QNetworkAccessManager::HeadOperation (enum)
    {37, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 44},	//1060 QNetworkAccessManager::GetOperation (enum)
    {37, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 45},	//1061 QNetworkAccessManager::PutOperation (enum)
    {37, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 46},	//1062 QNetworkAccessManager::PostOperation (enum)
    {37, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 47},	//1063 QNetworkAccessManager::DeleteOperation (enum)
    {37, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 48},	//1064 QNetworkAccessManager::CustomOperation (enum)
    {37, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 127, 49},	//1065 QNetworkAccessManager::UnknownOperation (enum)
    {37, 362, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 50},	//1066 QNetworkAccessManager::UnknownAccessibility (enum)
    {37, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 51},	//1067 QNetworkAccessManager::NotAccessible (enum)
    {37, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 126, 52},	//1068 QNetworkAccessManager::Accessible (enum)
    {37, 1379, 0, 0, Smoke::mf_dtor, 0, 53 },	//1069 QNetworkAccessManager::~QNetworkAccessManager()
    {38, 223, 0, 0, Smoke::mf_ctor, 129, 1},	//1070 QNetworkAddressEntry::QNetworkAddressEntry()
    {38, 223, 1132, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 129, 2},	//1071 QNetworkAddressEntry::QNetworkAddressEntry(const QNetworkAddressEntry&)
    {38, 753, 1132, 1, 0, 128, 3},	//1072 QNetworkAddressEntry::operator=(const QNetworkAddressEntry&)
    {38, 756, 1132, 1, Smoke::mf_const, 313, 4},	//1073 QNetworkAddressEntry::operator==(const QNetworkAddressEntry&) const
    {38, 717, 1132, 1, Smoke::mf_const, 313, 5},	//1074 QNetworkAddressEntry::operator!=(const QNetworkAddressEntry&) const
    {38, 632, 0, 0, Smoke::mf_const, 74, 6},	//1075 QNetworkAddressEntry::ip() const
    {38, 1143, 67, 1, 0, 0, 7},	//1076 QNetworkAddressEntry::setIp(const QHostAddress&)
    {38, 704, 0, 0, Smoke::mf_const, 74, 8},	//1077 QNetworkAddressEntry::netmask() const
    {38, 1166, 67, 1, 0, 0, 9},	//1078 QNetworkAddressEntry::setNetmask(const QHostAddress&)
    {38, 819, 0, 0, Smoke::mf_const, 397, 10},	//1079 QNetworkAddressEntry::prefixLength() const
    {38, 1198, 44, 1, 0, 0, 11},	//1080 QNetworkAddressEntry::setPrefixLength(int)
    {38, 456, 0, 0, Smoke::mf_const, 74, 12},	//1081 QNetworkAddressEntry::broadcast() const
    {38, 1089, 67, 1, 0, 0, 13},	//1082 QNetworkAddressEntry::setBroadcast(const QHostAddress&)
    {38, 1380, 0, 0, Smoke::mf_dtor, 0, 14 },	//1083 QNetworkAddressEntry::~QNetworkAddressEntry()
    {39, 225, 0, 0, Smoke::mf_ctor, 132, 1},	//1084 QNetworkCacheMetaData::QNetworkCacheMetaData()
    {39, 225, 16, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 132, 2},	//1085 QNetworkCacheMetaData::QNetworkCacheMetaData(const QNetworkCacheMetaData&)
    {39, 753, 16, 1, 0, 131, 3},	//1086 QNetworkCacheMetaData::operator=(const QNetworkCacheMetaData&)
    {39, 756, 16, 1, Smoke::mf_const, 313, 4},	//1087 QNetworkCacheMetaData::operator==(const QNetworkCacheMetaData&) const
    {39, 717, 16, 1, Smoke::mf_const, 313, 5},	//1088 QNetworkCacheMetaData::operator!=(const QNetworkCacheMetaData&) const
    {39, 655, 0, 0, Smoke::mf_const, 313, 6},	//1089 QNetworkCacheMetaData::isValid() const
    {39, 1339, 0, 0, Smoke::mf_const, 226, 7},	//1090 QNetworkCacheMetaData::url() const
    {39, 1272, 14, 1, 0, 0, 8},	//1091 QNetworkCacheMetaData::setUrl(const QUrl&)
    {39, 1018, 0, 0, Smoke::mf_const, 111, 9},	//1092 QNetworkCacheMetaData::rawHeaders() const
    {39, 1223, 1134, 1, 0, 0, 10},	//1093 QNetworkCacheMetaData::setRawHeaders(const QList<QPair<QByteArray,QByteArray> >&)
    {39, 662, 0, 0, Smoke::mf_const, 22, 11},	//1094 QNetworkCacheMetaData::lastModified() const
    {39, 1145, 1136, 1, 0, 0, 12},	//1095 QNetworkCacheMetaData::setLastModified(const QDateTime&)
    {39, 567, 0, 0, Smoke::mf_const, 22, 13},	//1096 QNetworkCacheMetaData::expirationDate() const
    {39, 1127, 1136, 1, 0, 0, 14},	//1097 QNetworkCacheMetaData::setExpirationDate(const QDateTime&)
    {39, 1060, 0, 0, Smoke::mf_const, 313, 15},	//1098 QNetworkCacheMetaData::saveToDisk() const
    {39, 1234, 116, 1, 0, 0, 16},	//1099 QNetworkCacheMetaData::setSaveToDisk(bool)
    {39, 443, 0, 0, Smoke::mf_const, 72, 17},	//1100 QNetworkCacheMetaData::attributes() const
    {39, 1087, 1138, 1, 0, 0, 18},	//1101 QNetworkCacheMetaData::setAttributes(const QHash<QNetworkRequest::Attribute,QVariant>&)
    {39, 1381, 0, 0, Smoke::mf_dtor, 0, 19 },	//1102 QNetworkCacheMetaData::~QNetworkCacheMetaData()
    {40, 227, 0, 0, Smoke::mf_ctor, 135, 1},	//1103 QNetworkConfiguration::QNetworkConfiguration()
    {40, 227, 1113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 135, 2},	//1104 QNetworkConfiguration::QNetworkConfiguration(const QNetworkConfiguration&)
    {40, 753, 1113, 1, 0, 134, 3},	//1105 QNetworkConfiguration::operator=(const QNetworkConfiguration&)
    {40, 756, 1113, 1, Smoke::mf_const, 313, 4},	//1106 QNetworkConfiguration::operator==(const QNetworkConfiguration&) const
    {40, 717, 1113, 1, Smoke::mf_const, 313, 5},	//1107 QNetworkConfiguration::operator!=(const QNetworkConfiguration&) const
    {40, 1299, 0, 0, Smoke::mf_const, 41, 6},	//1108 QNetworkConfiguration::state() const
    {40, 1332, 0, 0, Smoke::mf_const, 139, 7},	//1109 QNetworkConfiguration::type() const
    {40, 834, 0, 0, Smoke::mf_const, 137, 8},	//1110 QNetworkConfiguration::purpose() const
    {40, 448, 0, 0, Smoke::mf_const, 208, 9},	//1111 QNetworkConfiguration::bearerName() const
    {40, 449, 0, 0, Smoke::mf_const, 136, 10},	//1112 QNetworkConfiguration::bearerType() const
    {40, 450, 0, 0, Smoke::mf_const, 208, 11},	//1113 QNetworkConfiguration::bearerTypeName() const
    {40, 617, 0, 0, Smoke::mf_const, 208, 12},	//1114 QNetworkConfiguration::identifier() const
    {40, 648, 0, 0, Smoke::mf_const, 313, 13},	//1115 QNetworkConfiguration::isRoamingAvailable() const
    {40, 471, 0, 0, Smoke::mf_const, 107, 14},	//1116 QNetworkConfiguration::children() const
    {40, 703, 0, 0, Smoke::mf_const, 208, 15},	//1117 QNetworkConfiguration::name() const
    {40, 655, 0, 0, Smoke::mf_const, 313, 16},	//1118 QNetworkConfiguration::isValid() const
    {40, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 17},	//1119 QNetworkConfiguration::InternetAccessPoint (enum)
    {40, 319, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 18},	//1120 QNetworkConfiguration::ServiceNetwork (enum)
    {40, 378, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 19},	//1121 QNetworkConfiguration::UserChoice (enum)
    {40, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 139, 20},	//1122 QNetworkConfiguration::Invalid (enum)
    {40, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 21},	//1123 QNetworkConfiguration::UnknownPurpose (enum)
    {40, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 22},	//1124 QNetworkConfiguration::PublicPurpose (enum)
    {40, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 23},	//1125 QNetworkConfiguration::PrivatePurpose (enum)
    {40, 320, 0, 0, Smoke::mf_static|Smoke::mf_enum, 137, 24},	//1126 QNetworkConfiguration::ServiceSpecificPurpose (enum)
    {40, 358, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 25},	//1127 QNetworkConfiguration::Undefined (enum)
    {40, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 26},	//1128 QNetworkConfiguration::Defined (enum)
    {40, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 27},	//1129 QNetworkConfiguration::Discovered (enum)
    {40, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 138, 28},	//1130 QNetworkConfiguration::Active (enum)
    {40, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 29},	//1131 QNetworkConfiguration::BearerUnknown (enum)
    {40, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 30},	//1132 QNetworkConfiguration::BearerEthernet (enum)
    {40, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 31},	//1133 QNetworkConfiguration::BearerWLAN (enum)
    {40, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 32},	//1134 QNetworkConfiguration::Bearer2G (enum)
    {40, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 33},	//1135 QNetworkConfiguration::BearerCDMA2000 (enum)
    {40, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 34},	//1136 QNetworkConfiguration::BearerWCDMA (enum)
    {40, 22, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 35},	//1137 QNetworkConfiguration::BearerHSPA (enum)
    {40, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 36},	//1138 QNetworkConfiguration::BearerBluetooth (enum)
    {40, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 136, 37},	//1139 QNetworkConfiguration::BearerWiMAX (enum)
    {40, 1382, 0, 0, Smoke::mf_dtor, 0, 38 },	//1140 QNetworkConfiguration::~QNetworkConfiguration()
    {41, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1141 QNetworkConfigurationManager::metaObject() const
    {41, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1142 QNetworkConfigurationManager::qt_metacast(const char*)
    {41, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1143 QNetworkConfigurationManager::tr(const char*, const char*)
    {41, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1144 QNetworkConfigurationManager::trUtf8(const char*, const char*)
    {41, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1145 QNetworkConfigurationManager::tr(const char*, const char*, int)
    {41, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1146 QNetworkConfigurationManager::trUtf8(const char*, const char*, int)
    {41, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1147 QNetworkConfigurationManager::qt_metacall(QMetaObject::Call, int, void**)
    {41, 229, 20, 1, Smoke::mf_ctor, 140, 8},	//1148 QNetworkConfigurationManager::QNetworkConfigurationManager(QObject*)
    {41, 466, 0, 0, Smoke::mf_const, 42, 9},	//1149 QNetworkConfigurationManager::capabilities() const
    {41, 536, 0, 0, Smoke::mf_const, 133, 10},	//1150 QNetworkConfigurationManager::defaultConfiguration() const
    {41, 431, 1140, 1, Smoke::mf_const, 107, 11},	//1151 QNetworkConfigurationManager::allConfigurations(QFlags<QNetworkConfiguration::StateFlag>) const
    {41, 488, 69, 1, Smoke::mf_const, 133, 12},	//1152 QNetworkConfigurationManager::configurationFromIdentifier(const QString&) const
    {41, 1334, 0, 0, 0, 0, 13},	//1153 QNetworkConfigurationManager::updateConfigurations()
    {41, 645, 0, 0, Smoke::mf_const, 313, 14},	//1154 QNetworkConfigurationManager::isOnline() const
    {41, 484, 1113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//1155 QNetworkConfigurationManager::configurationAdded(const QNetworkConfiguration&)
    {41, 490, 1113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//1156 QNetworkConfigurationManager::configurationRemoved(const QNetworkConfiguration&)
    {41, 486, 1113, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//1157 QNetworkConfigurationManager::configurationChanged(const QNetworkConfiguration&)
    {41, 712, 116, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//1158 QNetworkConfigurationManager::onlineStateChanged(bool)
    {41, 1333, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//1159 QNetworkConfigurationManager::updateCompleted()
    {41, 1324, 1, 1, Smoke::mf_static, 208, 20},	//1160 QNetworkConfigurationManager::tr(const char*)
    {41, 1328, 1, 1, Smoke::mf_static, 208, 21},	//1161 QNetworkConfigurationManager::trUtf8(const char*)
    {41, 229, 0, 0, Smoke::mf_ctor, 140, 22},	//1162 QNetworkConfigurationManager::QNetworkConfigurationManager()
    {41, 431, 0, 0, Smoke::mf_const, 107, 23},	//1163 QNetworkConfigurationManager::allConfigurations() const
    {41, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 24},	//1164 QNetworkConfigurationManager::staticMetaObject() const
    {41, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 25},	//1165 QNetworkConfigurationManager::CanStartAndStopInterfaces (enum)
    {41, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 26},	//1166 QNetworkConfigurationManager::DirectConnectionRouting (enum)
    {41, 339, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 27},	//1167 QNetworkConfigurationManager::SystemSessionSupport (enum)
    {41, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 28},	//1168 QNetworkConfigurationManager::ApplicationLevelRoaming (enum)
    {41, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 29},	//1169 QNetworkConfigurationManager::ForcedRoaming (enum)
    {41, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 30},	//1170 QNetworkConfigurationManager::DataStatistics (enum)
    {41, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 141, 31},	//1171 QNetworkConfigurationManager::NetworkSessionRequired (enum)
    {41, 1383, 0, 0, Smoke::mf_dtor, 0, 32 },	//1172 QNetworkConfigurationManager::~QNetworkConfigurationManager()
    {42, 231, 376, 2, Smoke::mf_ctor, 143, 1},	//1173 QNetworkCookie::QNetworkCookie(const QByteArray&, const QByteArray&)
    {42, 231, 1142, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 2},	//1174 QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    {42, 753, 1142, 1, 0, 142, 3},	//1175 QNetworkCookie::operator=(const QNetworkCookie&)
    {42, 756, 1142, 1, Smoke::mf_const, 313, 4},	//1176 QNetworkCookie::operator==(const QNetworkCookie&) const
    {42, 717, 1142, 1, Smoke::mf_const, 313, 5},	//1177 QNetworkCookie::operator!=(const QNetworkCookie&) const
    {42, 650, 0, 0, Smoke::mf_const, 313, 6},	//1178 QNetworkCookie::isSecure() const
    {42, 1238, 116, 1, 0, 0, 7},	//1179 QNetworkCookie::setSecure(bool)
    {42, 639, 0, 0, Smoke::mf_const, 313, 8},	//1180 QNetworkCookie::isHttpOnly() const
    {42, 1141, 116, 1, 0, 0, 9},	//1181 QNetworkCookie::setHttpOnly(bool)
    {42, 652, 0, 0, Smoke::mf_const, 313, 10},	//1182 QNetworkCookie::isSessionCookie() const
    {42, 567, 0, 0, Smoke::mf_const, 22, 11},	//1183 QNetworkCookie::expirationDate() const
    {42, 1127, 1136, 1, 0, 0, 12},	//1184 QNetworkCookie::setExpirationDate(const QDateTime&)
    {42, 548, 0, 0, Smoke::mf_const, 208, 13},	//1185 QNetworkCookie::domain() const
    {42, 1120, 69, 1, 0, 0, 14},	//1186 QNetworkCookie::setDomain(const QString&)
    {42, 798, 0, 0, Smoke::mf_const, 208, 15},	//1187 QNetworkCookie::path() const
    {42, 1180, 69, 1, 0, 0, 16},	//1188 QNetworkCookie::setPath(const QString&)
    {42, 703, 0, 0, Smoke::mf_const, 14, 17},	//1189 QNetworkCookie::name() const
    {42, 1163, 204, 1, 0, 0, 18},	//1190 QNetworkCookie::setName(const QByteArray&)
    {42, 1342, 0, 0, Smoke::mf_const, 14, 19},	//1191 QNetworkCookie::value() const
    {42, 1281, 204, 1, 0, 0, 20},	//1192 QNetworkCookie::setValue(const QByteArray&)
    {42, 1321, 1144, 1, Smoke::mf_const, 14, 21},	//1193 QNetworkCookie::toRawForm(QNetworkCookie::RawForm) const
    {42, 791, 204, 1, Smoke::mf_static, 108, 22},	//1194 QNetworkCookie::parseCookies(const QByteArray&)
    {42, 231, 0, 0, Smoke::mf_ctor, 143, 23},	//1195 QNetworkCookie::QNetworkCookie()
    {42, 231, 204, 1, Smoke::mf_ctor, 143, 24},	//1196 QNetworkCookie::QNetworkCookie(const QByteArray&)
    {42, 1321, 0, 0, Smoke::mf_const, 14, 25},	//1197 QNetworkCookie::toRawForm() const
    {42, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 26},	//1198 QNetworkCookie::NameAndValueOnly (enum)
    {42, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 144, 27},	//1199 QNetworkCookie::Full (enum)
    {42, 1384, 0, 0, Smoke::mf_dtor, 0, 28 },	//1200 QNetworkCookie::~QNetworkCookie()
    {43, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1201 QNetworkCookieJar::metaObject() const
    {43, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1202 QNetworkCookieJar::qt_metacast(const char*)
    {43, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1203 QNetworkCookieJar::tr(const char*, const char*)
    {43, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1204 QNetworkCookieJar::trUtf8(const char*, const char*)
    {43, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1205 QNetworkCookieJar::tr(const char*, const char*, int)
    {43, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1206 QNetworkCookieJar::trUtf8(const char*, const char*, int)
    {43, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1207 QNetworkCookieJar::qt_metacall(QMetaObject::Call, int, void**)
    {43, 234, 20, 1, Smoke::mf_ctor, 145, 8},	//1208 QNetworkCookieJar::QNetworkCookieJar(QObject*)
    {43, 514, 14, 1, Smoke::mf_const|Smoke::mf_virtual, 108, 9},	//1209 QNetworkCookieJar::cookiesForUrl(const QUrl&) const
    {43, 1110, 1146, 2, Smoke::mf_virtual, 313, 10},	//1210 QNetworkCookieJar::setCookiesFromUrl(const QList<QNetworkCookie>&, const QUrl&)
    {43, 433, 0, 0, Smoke::mf_const|Smoke::mf_protected, 108, 11},	//1211 QNetworkCookieJar::allCookies() const
    {43, 1079, 1149, 1, Smoke::mf_protected, 0, 12},	//1212 QNetworkCookieJar::setAllCookies(const QList<QNetworkCookie>&)
    {43, 1324, 1, 1, Smoke::mf_static, 208, 13},	//1213 QNetworkCookieJar::tr(const char*)
    {43, 1328, 1, 1, Smoke::mf_static, 208, 14},	//1214 QNetworkCookieJar::trUtf8(const char*)
    {43, 234, 0, 0, Smoke::mf_ctor, 145, 15},	//1215 QNetworkCookieJar::QNetworkCookieJar()
    {43, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 16},	//1216 QNetworkCookieJar::staticMetaObject() const
    {43, 1385, 0, 0, Smoke::mf_dtor, 0, 17 },	//1217 QNetworkCookieJar::~QNetworkCookieJar()
    {44, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1218 QNetworkDiskCache::metaObject() const
    {44, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1219 QNetworkDiskCache::qt_metacast(const char*)
    {44, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1220 QNetworkDiskCache::tr(const char*, const char*)
    {44, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1221 QNetworkDiskCache::trUtf8(const char*, const char*)
    {44, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1222 QNetworkDiskCache::tr(const char*, const char*, int)
    {44, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1223 QNetworkDiskCache::trUtf8(const char*, const char*, int)
    {44, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1224 QNetworkDiskCache::qt_metacall(QMetaObject::Call, int, void**)
    {44, 236, 20, 1, Smoke::mf_ctor, 146, 8},	//1225 QNetworkDiskCache::QNetworkDiskCache(QObject*)
    {44, 463, 0, 0, Smoke::mf_const, 208, 9},	//1226 QNetworkDiskCache::cacheDirectory() const
    {44, 1095, 69, 1, 0, 0, 10},	//1227 QNetworkDiskCache::setCacheDirectory(const QString&)
    {44, 690, 0, 0, Smoke::mf_const, 400, 11},	//1228 QNetworkDiskCache::maximumCacheSize() const
    {44, 1161, 33, 1, 0, 0, 12},	//1229 QNetworkDiskCache::setMaximumCacheSize(long long)
    {44, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 13},	//1230 QNetworkDiskCache::cacheSize() const
    {44, 691, 14, 1, Smoke::mf_virtual, 130, 14},	//1231 QNetworkDiskCache::metaData(const QUrl&)
    {44, 1335, 16, 1, Smoke::mf_virtual, 0, 15},	//1232 QNetworkDiskCache::updateMetaData(const QNetworkCacheMetaData&)
    {44, 526, 14, 1, Smoke::mf_virtual, 94, 16},	//1233 QNetworkDiskCache::data(const QUrl&)
    {44, 1036, 14, 1, Smoke::mf_virtual, 313, 17},	//1234 QNetworkDiskCache::remove(const QUrl&)
    {44, 820, 16, 1, Smoke::mf_virtual, 94, 18},	//1235 QNetworkDiskCache::prepare(const QNetworkCacheMetaData&)
    {44, 625, 18, 1, Smoke::mf_virtual, 0, 19},	//1236 QNetworkDiskCache::insert(QIODevice*)
    {44, 570, 69, 1, Smoke::mf_const, 130, 20},	//1237 QNetworkDiskCache::fileMetaData(const QString&) const
    {44, 473, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 21},	//1238 QNetworkDiskCache::clear()
    {44, 568, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 400, 22},	//1239 QNetworkDiskCache::expire()
    {44, 1324, 1, 1, Smoke::mf_static, 208, 23},	//1240 QNetworkDiskCache::tr(const char*)
    {44, 1328, 1, 1, Smoke::mf_static, 208, 24},	//1241 QNetworkDiskCache::trUtf8(const char*)
    {44, 236, 0, 0, Smoke::mf_ctor, 146, 25},	//1242 QNetworkDiskCache::QNetworkDiskCache()
    {44, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 26},	//1243 QNetworkDiskCache::staticMetaObject() const
    {44, 1386, 0, 0, Smoke::mf_dtor, 0, 27 },	//1244 QNetworkDiskCache::~QNetworkDiskCache()
    {45, 238, 0, 0, Smoke::mf_ctor, 149, 1},	//1245 QNetworkInterface::QNetworkInterface()
    {45, 238, 1151, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 2},	//1246 QNetworkInterface::QNetworkInterface(const QNetworkInterface&)
    {45, 753, 1151, 1, 0, 148, 3},	//1247 QNetworkInterface::operator=(const QNetworkInterface&)
    {45, 655, 0, 0, Smoke::mf_const, 313, 4},	//1248 QNetworkInterface::isValid() const
    {45, 624, 0, 0, Smoke::mf_const, 397, 5},	//1249 QNetworkInterface::index() const
    {45, 703, 0, 0, Smoke::mf_const, 208, 6},	//1250 QNetworkInterface::name() const
    {45, 616, 0, 0, Smoke::mf_const, 208, 7},	//1251 QNetworkInterface::humanReadableName() const
    {45, 574, 0, 0, Smoke::mf_const, 43, 8},	//1252 QNetworkInterface::flags() const
    {45, 598, 0, 0, Smoke::mf_const, 208, 9},	//1253 QNetworkInterface::hardwareAddress() const
    {45, 427, 0, 0, Smoke::mf_const, 106, 10},	//1254 QNetworkInterface::addressEntries() const
    {45, 630, 69, 1, Smoke::mf_static, 147, 11},	//1255 QNetworkInterface::interfaceFromName(const QString&)
    {45, 628, 44, 1, Smoke::mf_static, 147, 12},	//1256 QNetworkInterface::interfaceFromIndex(int)
    {45, 434, 0, 0, Smoke::mf_static, 109, 13},	//1257 QNetworkInterface::allInterfaces()
    {45, 430, 0, 0, Smoke::mf_static, 105, 14},	//1258 QNetworkInterface::allAddresses()
    {45, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 15},	//1259 QNetworkInterface::IsUp (enum)
    {45, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 16},	//1260 QNetworkInterface::IsRunning (enum)
    {45, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 17},	//1261 QNetworkInterface::CanBroadcast (enum)
    {45, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 18},	//1262 QNetworkInterface::IsLoopBack (enum)
    {45, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 19},	//1263 QNetworkInterface::IsPointToPoint (enum)
    {45, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 150, 20},	//1264 QNetworkInterface::CanMulticast (enum)
    {45, 1387, 0, 0, Smoke::mf_dtor, 0, 21 },	//1265 QNetworkInterface::~QNetworkInterface()
    {46, 240, 0, 0, Smoke::mf_ctor, 153, 1},	//1266 QNetworkProxy::QNetworkProxy()
    {46, 240, 1153, 5, Smoke::mf_ctor, 153, 2},	//1267 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&, const QString&)
    {46, 240, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 3},	//1268 QNetworkProxy::QNetworkProxy(const QNetworkProxy&)
    {46, 753, 46, 1, 0, 152, 4},	//1269 QNetworkProxy::operator=(const QNetworkProxy&)
    {46, 756, 46, 1, Smoke::mf_const, 313, 5},	//1270 QNetworkProxy::operator==(const QNetworkProxy&) const
    {46, 717, 46, 1, Smoke::mf_const, 313, 6},	//1271 QNetworkProxy::operator!=(const QNetworkProxy&) const
    {46, 1270, 1159, 1, 0, 0, 7},	//1272 QNetworkProxy::setType(QNetworkProxy::ProxyType)
    {46, 1332, 0, 0, Smoke::mf_const, 155, 8},	//1273 QNetworkProxy::type() const
    {46, 1097, 1161, 1, 0, 0, 9},	//1274 QNetworkProxy::setCapabilities(QFlags<QNetworkProxy::Capability>)
    {46, 466, 0, 0, Smoke::mf_const, 44, 10},	//1275 QNetworkProxy::capabilities() const
    {46, 633, 0, 0, Smoke::mf_const, 313, 11},	//1276 QNetworkProxy::isCachingProxy() const
    {46, 654, 0, 0, Smoke::mf_const, 313, 12},	//1277 QNetworkProxy::isTransparentProxy() const
    {46, 1276, 69, 1, 0, 0, 13},	//1278 QNetworkProxy::setUser(const QString&)
    {46, 1341, 0, 0, Smoke::mf_const, 208, 14},	//1279 QNetworkProxy::user() const
    {46, 1178, 69, 1, 0, 0, 15},	//1280 QNetworkProxy::setPassword(const QString&)
    {46, 797, 0, 0, Smoke::mf_const, 208, 16},	//1281 QNetworkProxy::password() const
    {46, 1139, 69, 1, 0, 0, 17},	//1282 QNetworkProxy::setHostName(const QString&)
    {46, 615, 0, 0, Smoke::mf_const, 208, 18},	//1283 QNetworkProxy::hostName() const
    {46, 1196, 65, 1, 0, 0, 19},	//1284 QNetworkProxy::setPort(unsigned short)
    {46, 811, 0, 0, Smoke::mf_const, 412, 20},	//1285 QNetworkProxy::port() const
    {46, 1081, 46, 1, Smoke::mf_static, 0, 21},	//1286 QNetworkProxy::setApplicationProxy(const QNetworkProxy&)
    {46, 438, 0, 0, Smoke::mf_static, 151, 22},	//1287 QNetworkProxy::applicationProxy()
    {46, 240, 1159, 1, Smoke::mf_ctor, 153, 23},	//1288 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType)
    {46, 240, 1163, 2, Smoke::mf_ctor, 153, 24},	//1289 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&)
    {46, 240, 1166, 3, Smoke::mf_ctor, 153, 25},	//1290 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short)
    {46, 240, 1170, 4, Smoke::mf_ctor, 153, 26},	//1291 QNetworkProxy::QNetworkProxy(QNetworkProxy::ProxyType, const QString&, unsigned short, const QString&)
    {46, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 27},	//1292 QNetworkProxy::DefaultProxy (enum)
    {46, 330, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 28},	//1293 QNetworkProxy::Socks5Proxy (enum)
    {46, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 29},	//1294 QNetworkProxy::NoProxy (enum)
    {46, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 30},	//1295 QNetworkProxy::HttpProxy (enum)
    {46, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 31},	//1296 QNetworkProxy::HttpCachingProxy (enum)
    {46, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 155, 32},	//1297 QNetworkProxy::FtpCachingProxy (enum)
    {46, 347, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 33},	//1298 QNetworkProxy::TunnelingCapability (enum)
    {46, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 34},	//1299 QNetworkProxy::ListeningCapability (enum)
    {46, 349, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 35},	//1300 QNetworkProxy::UdpTunnelingCapability (enum)
    {46, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 36},	//1301 QNetworkProxy::CachingCapability (enum)
    {46, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 154, 37},	//1302 QNetworkProxy::HostNameLookupCapability (enum)
    {46, 1388, 0, 0, Smoke::mf_dtor, 0, 38 },	//1303 QNetworkProxy::~QNetworkProxy()
    {47, 247, 0, 0, Smoke::mf_ctor, 156, 1},	//1304 QNetworkProxyFactory::QNetworkProxyFactory()
    {47, 1003, 1175, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 110, 2},	//1305 QNetworkProxyFactory::queryProxy(const QNetworkProxyQuery&) [pure virtual]
    {47, 1274, 116, 1, Smoke::mf_static, 0, 3},	//1306 QNetworkProxyFactory::setUseSystemConfiguration(bool)
    {47, 1083, 1095, 1, Smoke::mf_static, 0, 4},	//1307 QNetworkProxyFactory::setApplicationProxyFactory(QNetworkProxyFactory*)
    {47, 831, 1175, 1, Smoke::mf_static, 110, 5},	//1308 QNetworkProxyFactory::proxyForQuery(const QNetworkProxyQuery&)
    {47, 1312, 1175, 1, Smoke::mf_static, 110, 6},	//1309 QNetworkProxyFactory::systemProxyForQuery(const QNetworkProxyQuery&)
    {47, 247, 1177, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 7},	//1310 QNetworkProxyFactory::QNetworkProxyFactory(const QNetworkProxyFactory&)
    {47, 1003, 0, 0, 0, 110, 8},	//1311 QNetworkProxyFactory::queryProxy()
    {47, 1312, 0, 0, Smoke::mf_static, 110, 9},	//1312 QNetworkProxyFactory::systemProxyForQuery()
    {47, 1389, 0, 0, Smoke::mf_dtor, 0, 10 },	//1313 QNetworkProxyFactory::~QNetworkProxyFactory()
    {48, 249, 0, 0, Smoke::mf_ctor, 158, 1},	//1314 QNetworkProxyQuery::QNetworkProxyQuery()
    {48, 249, 1179, 2, Smoke::mf_ctor, 158, 2},	//1315 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&, QNetworkProxyQuery::QueryType)
    {48, 249, 1182, 4, Smoke::mf_ctor, 158, 3},	//1316 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&, QNetworkProxyQuery::QueryType)
    {48, 249, 1187, 3, Smoke::mf_ctor, 158, 4},	//1317 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    {48, 249, 1175, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 158, 5},	//1318 QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    {48, 753, 1175, 1, 0, 157, 6},	//1319 QNetworkProxyQuery::operator=(const QNetworkProxyQuery&)
    {48, 756, 1175, 1, Smoke::mf_const, 313, 7},	//1320 QNetworkProxyQuery::operator==(const QNetworkProxyQuery&) const
    {48, 717, 1175, 1, Smoke::mf_const, 313, 8},	//1321 QNetworkProxyQuery::operator!=(const QNetworkProxyQuery&) const
    {48, 1005, 0, 0, Smoke::mf_const, 159, 9},	//1322 QNetworkProxyQuery::queryType() const
    {48, 1219, 1191, 1, 0, 0, 10},	//1323 QNetworkProxyQuery::setQueryType(QNetworkProxyQuery::QueryType)
    {48, 804, 0, 0, Smoke::mf_const, 397, 11},	//1324 QNetworkProxyQuery::peerPort() const
    {48, 1188, 44, 1, 0, 0, 12},	//1325 QNetworkProxyQuery::setPeerPort(int)
    {48, 802, 0, 0, Smoke::mf_const, 208, 13},	//1326 QNetworkProxyQuery::peerHostName() const
    {48, 1184, 69, 1, 0, 0, 14},	//1327 QNetworkProxyQuery::setPeerHostName(const QString&)
    {48, 680, 0, 0, Smoke::mf_const, 397, 15},	//1328 QNetworkProxyQuery::localPort() const
    {48, 1155, 44, 1, 0, 0, 16},	//1329 QNetworkProxyQuery::setLocalPort(int)
    {48, 826, 0, 0, Smoke::mf_const, 208, 17},	//1330 QNetworkProxyQuery::protocolTag() const
    {48, 1210, 69, 1, 0, 0, 18},	//1331 QNetworkProxyQuery::setProtocolTag(const QString&)
    {48, 1339, 0, 0, Smoke::mf_const, 226, 19},	//1332 QNetworkProxyQuery::url() const
    {48, 1272, 14, 1, 0, 0, 20},	//1333 QNetworkProxyQuery::setUrl(const QUrl&)
    {48, 249, 14, 1, Smoke::mf_ctor, 158, 21},	//1334 QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    {48, 249, 1037, 2, Smoke::mf_ctor, 158, 22},	//1335 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    {48, 249, 1040, 3, Smoke::mf_ctor, 158, 23},	//1336 QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    {48, 249, 65, 1, Smoke::mf_ctor, 158, 24},	//1337 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short)
    {48, 249, 1193, 2, Smoke::mf_ctor, 158, 25},	//1338 QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    {48, 341, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 26},	//1339 QNetworkProxyQuery::TcpSocket (enum)
    {48, 348, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 27},	//1340 QNetworkProxyQuery::UdpSocket (enum)
    {48, 340, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 28},	//1341 QNetworkProxyQuery::TcpServer (enum)
    {48, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 159, 29},	//1342 QNetworkProxyQuery::UrlRequest (enum)
    {48, 1390, 0, 0, Smoke::mf_dtor, 0, 30 },	//1343 QNetworkProxyQuery::~QNetworkProxyQuery()
    {49, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1344 QNetworkReply::metaObject() const
    {49, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1345 QNetworkReply::qt_metacast(const char*)
    {49, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1346 QNetworkReply::tr(const char*, const char*)
    {49, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1347 QNetworkReply::trUtf8(const char*, const char*)
    {49, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1348 QNetworkReply::tr(const char*, const char*, int)
    {49, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1349 QNetworkReply::trUtf8(const char*, const char*, int)
    {49, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1350 QNetworkReply::qt_metacall(QMetaObject::Call, int, void**)
    {49, 403, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//1351 QNetworkReply::abort() [pure virtual]
    {49, 476, 0, 0, Smoke::mf_virtual, 0, 9},	//1352 QNetworkReply::close()
    {49, 651, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 10},	//1353 QNetworkReply::isSequential() const
    {49, 1022, 0, 0, Smoke::mf_const, 400, 11},	//1354 QNetworkReply::readBufferSize() const
    {49, 1225, 33, 1, Smoke::mf_virtual, 0, 12},	//1355 QNetworkReply::setReadBufferSize(long long)
    {49, 688, 0, 0, Smoke::mf_const, 125, 13},	//1356 QNetworkReply::manager() const
    {49, 716, 0, 0, Smoke::mf_const, 127, 14},	//1357 QNetworkReply::operation() const
    {49, 1047, 0, 0, Smoke::mf_const, 162, 15},	//1358 QNetworkReply::request() const
    {49, 562, 0, 0, Smoke::mf_const, 161, 16},	//1359 QNetworkReply::error() const
    {49, 638, 0, 0, Smoke::mf_const, 313, 17},	//1360 QNetworkReply::isFinished() const
    {49, 649, 0, 0, Smoke::mf_const, 313, 18},	//1361 QNetworkReply::isRunning() const
    {49, 1339, 0, 0, Smoke::mf_const, 226, 19},	//1362 QNetworkReply::url() const
    {49, 612, 1196, 1, Smoke::mf_const, 233, 20},	//1363 QNetworkReply::header(QNetworkRequest::KnownHeaders) const
    {49, 607, 204, 1, Smoke::mf_const, 313, 21},	//1364 QNetworkReply::hasRawHeader(const QByteArray&) const
    {49, 1016, 0, 0, Smoke::mf_const, 104, 22},	//1365 QNetworkReply::rawHeaderList() const
    {49, 1014, 204, 1, Smoke::mf_const, 14, 23},	//1366 QNetworkReply::rawHeader(const QByteArray&) const
    {49, 1017, 0, 0, Smoke::mf_const, 339, 24},	//1367 QNetworkReply::rawHeaderPairs() const
    {49, 440, 1198, 1, Smoke::mf_const, 233, 25},	//1368 QNetworkReply::attribute(QNetworkRequest::Attribute) const
    {49, 1293, 0, 0, Smoke::mf_const, 196, 26},	//1369 QNetworkReply::sslConfiguration() const
    {49, 1259, 1200, 1, 0, 0, 27},	//1370 QNetworkReply::setSslConfiguration(const QSslConfiguration&)
    {49, 619, 1032, 1, 0, 0, 28},	//1371 QNetworkReply::ignoreSslErrors(const QList<QSslError>&)
    {49, 619, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 29},	//1372 QNetworkReply::ignoreSslErrors()
    {49, 693, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1373 QNetworkReply::metaDataChanged()
    {49, 572, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1374 QNetworkReply::finished()
    {49, 562, 1202, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1375 QNetworkReply::error(QNetworkReply::NetworkError)
    {49, 1294, 1032, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1376 QNetworkReply::sslErrors(const QList<QSslError>&)
    {49, 1337, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 34},	//1377 QNetworkReply::uploadProgress(qint64, qint64)
    {49, 551, 107, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 35},	//1378 QNetworkReply::downloadProgress(qint64, qint64)
    {49, 256, 20, 1, Smoke::mf_ctor|Smoke::mf_protected, 160, 36},	//1379 QNetworkReply::QNetworkReply(QObject*)
    {49, 1361, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 37},	//1380 QNetworkReply::writeData(const char*, long long)
    {49, 1170, 1204, 1, Smoke::mf_protected, 0, 38},	//1381 QNetworkReply::setOperation(QNetworkAccessManager::Operation)
    {49, 1229, 1101, 1, Smoke::mf_protected, 0, 39},	//1382 QNetworkReply::setRequest(const QNetworkRequest&)
    {49, 1122, 1206, 2, Smoke::mf_protected, 0, 40},	//1383 QNetworkReply::setError(QNetworkReply::NetworkError, const QString&)
    {49, 1272, 14, 1, Smoke::mf_protected, 0, 41},	//1384 QNetworkReply::setUrl(const QUrl&)
    {49, 1133, 1209, 2, Smoke::mf_protected, 0, 42},	//1385 QNetworkReply::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {49, 1221, 376, 2, Smoke::mf_protected, 0, 43},	//1386 QNetworkReply::setRawHeader(const QByteArray&, const QByteArray&)
    {49, 1085, 1212, 2, Smoke::mf_protected, 0, 44},	//1387 QNetworkReply::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {49, 1324, 1, 1, Smoke::mf_static, 208, 45},	//1388 QNetworkReply::tr(const char*)
    {49, 1328, 1, 1, Smoke::mf_static, 208, 46},	//1389 QNetworkReply::trUtf8(const char*)
    {49, 256, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 160, 47},	//1390 QNetworkReply::QNetworkReply()
    {49, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 48},	//1391 QNetworkReply::staticMetaObject() const
    {49, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 49},	//1392 QNetworkReply::NoError (enum)
    {49, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 50},	//1393 QNetworkReply::ConnectionRefusedError (enum)
    {49, 307, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 51},	//1394 QNetworkReply::RemoteHostClosedError (enum)
    {49, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 52},	//1395 QNetworkReply::HostNotFoundError (enum)
    {49, 344, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 53},	//1396 QNetworkReply::TimeoutError (enum)
    {49, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 54},	//1397 QNetworkReply::OperationCanceledError (enum)
    {49, 333, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 55},	//1398 QNetworkReply::SslHandshakeFailedError (enum)
    {49, 342, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 56},	//1399 QNetworkReply::TemporaryNetworkFailureError (enum)
    {49, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 57},	//1400 QNetworkReply::UnknownNetworkError (enum)
    {49, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 58},	//1401 QNetworkReply::ProxyConnectionRefusedError (enum)
    {49, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 59},	//1402 QNetworkReply::ProxyConnectionClosedError (enum)
    {49, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 60},	//1403 QNetworkReply::ProxyNotFoundError (enum)
    {49, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 61},	//1404 QNetworkReply::ProxyTimeoutError (enum)
    {49, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 62},	//1405 QNetworkReply::ProxyAuthenticationRequiredError (enum)
    {49, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 63},	//1406 QNetworkReply::UnknownProxyError (enum)
    {49, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 64},	//1407 QNetworkReply::ContentAccessDenied (enum)
    {49, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 65},	//1408 QNetworkReply::ContentOperationNotPermittedError (enum)
    {49, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 66},	//1409 QNetworkReply::ContentNotFoundError (enum)
    {49, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 67},	//1410 QNetworkReply::AuthenticationRequiredError (enum)
    {49, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 68},	//1411 QNetworkReply::ContentReSendError (enum)
    {49, 363, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 69},	//1412 QNetworkReply::UnknownContentError (enum)
    {49, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 70},	//1413 QNetworkReply::ProtocolUnknownError (enum)
    {49, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 71},	//1414 QNetworkReply::ProtocolInvalidOperationError (enum)
    {49, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 161, 72},	//1415 QNetworkReply::ProtocolFailure (enum)
    {49, 1391, 0, 0, Smoke::mf_dtor, 0, 73 },	//1416 QNetworkReply::~QNetworkReply()
    {50, 258, 14, 1, Smoke::mf_ctor, 164, 1},	//1417 QNetworkRequest::QNetworkRequest(const QUrl&)
    {50, 258, 1101, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 164, 2},	//1418 QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    {50, 753, 1101, 1, 0, 163, 3},	//1419 QNetworkRequest::operator=(const QNetworkRequest&)
    {50, 756, 1101, 1, Smoke::mf_const, 313, 4},	//1420 QNetworkRequest::operator==(const QNetworkRequest&) const
    {50, 717, 1101, 1, Smoke::mf_const, 313, 5},	//1421 QNetworkRequest::operator!=(const QNetworkRequest&) const
    {50, 1339, 0, 0, Smoke::mf_const, 226, 6},	//1422 QNetworkRequest::url() const
    {50, 1272, 14, 1, 0, 0, 7},	//1423 QNetworkRequest::setUrl(const QUrl&)
    {50, 612, 1196, 1, Smoke::mf_const, 233, 8},	//1424 QNetworkRequest::header(QNetworkRequest::KnownHeaders) const
    {50, 1133, 1209, 2, 0, 0, 9},	//1425 QNetworkRequest::setHeader(QNetworkRequest::KnownHeaders, const QVariant&)
    {50, 607, 204, 1, Smoke::mf_const, 313, 10},	//1426 QNetworkRequest::hasRawHeader(const QByteArray&) const
    {50, 1016, 0, 0, Smoke::mf_const, 104, 11},	//1427 QNetworkRequest::rawHeaderList() const
    {50, 1014, 204, 1, Smoke::mf_const, 14, 12},	//1428 QNetworkRequest::rawHeader(const QByteArray&) const
    {50, 1221, 376, 2, 0, 0, 13},	//1429 QNetworkRequest::setRawHeader(const QByteArray&, const QByteArray&)
    {50, 440, 1212, 2, Smoke::mf_const, 233, 14},	//1430 QNetworkRequest::attribute(QNetworkRequest::Attribute, const QVariant&) const
    {50, 1085, 1212, 2, 0, 0, 15},	//1431 QNetworkRequest::setAttribute(QNetworkRequest::Attribute, const QVariant&)
    {50, 1293, 0, 0, Smoke::mf_const, 196, 16},	//1432 QNetworkRequest::sslConfiguration() const
    {50, 1259, 1200, 1, 0, 0, 17},	//1433 QNetworkRequest::setSslConfiguration(const QSslConfiguration&)
    {50, 1174, 20, 1, 0, 0, 18},	//1434 QNetworkRequest::setOriginatingObject(QObject*)
    {50, 787, 0, 0, Smoke::mf_const, 173, 19},	//1435 QNetworkRequest::originatingObject() const
    {50, 822, 0, 0, Smoke::mf_const, 169, 20},	//1436 QNetworkRequest::priority() const
    {50, 1200, 1215, 1, 0, 0, 21},	//1437 QNetworkRequest::setPriority(QNetworkRequest::Priority)
    {50, 258, 0, 0, Smoke::mf_ctor, 164, 22},	//1438 QNetworkRequest::QNetworkRequest()
    {50, 440, 1198, 1, Smoke::mf_const, 233, 23},	//1439 QNetworkRequest::attribute(QNetworkRequest::Attribute) const
    {50, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 24},	//1440 QNetworkRequest::ContentTypeHeader (enum)
    {50, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 25},	//1441 QNetworkRequest::ContentLengthHeader (enum)
    {50, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 26},	//1442 QNetworkRequest::LocationHeader (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 27},	//1443 QNetworkRequest::LastModifiedHeader (enum)
    {50, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 28},	//1444 QNetworkRequest::CookieHeader (enum)
    {50, 322, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 29},	//1445 QNetworkRequest::SetCookieHeader (enum)
    {50, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 30},	//1446 QNetworkRequest::HttpStatusCodeAttribute (enum)
    {50, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 31},	//1447 QNetworkRequest::HttpReasonPhraseAttribute (enum)
    {50, 306, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 32},	//1448 QNetworkRequest::RedirectionTargetAttribute (enum)
    {50, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 33},	//1449 QNetworkRequest::ConnectionEncryptedAttribute (enum)
    {50, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 34},	//1450 QNetworkRequest::CacheLoadControlAttribute (enum)
    {50, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 35},	//1451 QNetworkRequest::CacheSaveControlAttribute (enum)
    {50, 331, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 36},	//1452 QNetworkRequest::SourceIsFromCacheAttribute (enum)
    {50, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 37},	//1453 QNetworkRequest::DoNotBufferUploadDataAttribute (enum)
    {50, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 38},	//1454 QNetworkRequest::HttpPipeliningAllowedAttribute (enum)
    {50, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 39},	//1455 QNetworkRequest::HttpPipeliningWasUsedAttribute (enum)
    {50, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 40},	//1456 QNetworkRequest::CustomVerbAttribute (enum)
    {50, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 41},	//1457 QNetworkRequest::CookieLoadControlAttribute (enum)
    {50, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 42},	//1458 QNetworkRequest::AuthenticationReuseAttribute (enum)
    {50, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 43},	//1459 QNetworkRequest::CookieSaveControlAttribute (enum)
    {50, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 44},	//1460 QNetworkRequest::MaximumDownloadBufferSizeAttribute (enum)
    {50, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 45},	//1461 QNetworkRequest::DownloadBufferAttribute (enum)
    {50, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 46},	//1462 QNetworkRequest::User (enum)
    {50, 379, 0, 0, Smoke::mf_static|Smoke::mf_enum, 165, 47},	//1463 QNetworkRequest::UserMax (enum)
    {50, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 48},	//1464 QNetworkRequest::AlwaysNetwork (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 49},	//1465 QNetworkRequest::PreferNetwork (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 50},	//1466 QNetworkRequest::PreferCache (enum)
    {50, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 166, 51},	//1467 QNetworkRequest::AlwaysCache (enum)
    {50, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 52},	//1468 QNetworkRequest::Automatic (enum)
    {50, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 168, 53},	//1469 QNetworkRequest::Manual (enum)
    {50, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 54},	//1470 QNetworkRequest::HighPriority (enum)
    {50, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 55},	//1471 QNetworkRequest::NormalPriority (enum)
    {50, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 56},	//1472 QNetworkRequest::LowPriority (enum)
    {50, 1392, 0, 0, Smoke::mf_dtor, 0, 57 },	//1473 QNetworkRequest::~QNetworkRequest()
    {51, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1474 QNetworkSession::metaObject() const
    {51, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1475 QNetworkSession::qt_metacast(const char*)
    {51, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1476 QNetworkSession::tr(const char*, const char*)
    {51, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1477 QNetworkSession::trUtf8(const char*, const char*)
    {51, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1478 QNetworkSession::tr(const char*, const char*, int)
    {51, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1479 QNetworkSession::trUtf8(const char*, const char*, int)
    {51, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1480 QNetworkSession::qt_metacall(QMetaObject::Call, int, void**)
    {51, 260, 1217, 2, Smoke::mf_ctor, 170, 8},	//1481 QNetworkSession::QNetworkSession(const QNetworkConfiguration&, QObject*)
    {51, 646, 0, 0, Smoke::mf_const, 313, 9},	//1482 QNetworkSession::isOpen() const
    {51, 483, 0, 0, Smoke::mf_const, 133, 10},	//1483 QNetworkSession::configuration() const
    {51, 627, 0, 0, Smoke::mf_const, 147, 11},	//1484 QNetworkSession::interface() const
    {51, 1299, 0, 0, Smoke::mf_const, 172, 12},	//1485 QNetworkSession::state() const
    {51, 562, 0, 0, Smoke::mf_const, 171, 13},	//1486 QNetworkSession::error() const
    {51, 564, 0, 0, Smoke::mf_const, 208, 14},	//1487 QNetworkSession::errorString() const
    {51, 1072, 69, 1, Smoke::mf_const, 233, 15},	//1488 QNetworkSession::sessionProperty(const QString&) const
    {51, 1240, 85, 2, 0, 0, 16},	//1489 QNetworkSession::setSessionProperty(const QString&, const QVariant&)
    {51, 460, 0, 0, Smoke::mf_const, 411, 17},	//1490 QNetworkSession::bytesWritten() const
    {51, 458, 0, 0, Smoke::mf_const, 411, 18},	//1491 QNetworkSession::bytesReceived() const
    {51, 408, 0, 0, Smoke::mf_const, 411, 19},	//1492 QNetworkSession::activeTime() const
    {51, 1357, 44, 1, 0, 313, 20},	//1493 QNetworkSession::waitForOpened(int)
    {51, 714, 0, 0, Smoke::mf_slot, 0, 21},	//1494 QNetworkSession::open()
    {51, 476, 0, 0, Smoke::mf_slot, 0, 22},	//1495 QNetworkSession::close()
    {51, 1304, 0, 0, Smoke::mf_slot, 0, 23},	//1496 QNetworkSession::stop()
    {51, 696, 0, 0, Smoke::mf_slot, 0, 24},	//1497 QNetworkSession::migrate()
    {51, 618, 0, 0, Smoke::mf_slot, 0, 25},	//1498 QNetworkSession::ignore()
    {51, 406, 0, 0, Smoke::mf_slot, 0, 26},	//1499 QNetworkSession::accept()
    {51, 1035, 0, 0, Smoke::mf_slot, 0, 27},	//1500 QNetworkSession::reject()
    {51, 1300, 1220, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//1501 QNetworkSession::stateChanged(QNetworkSession::State)
    {51, 715, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//1502 QNetworkSession::opened()
    {51, 478, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//1503 QNetworkSession::closed()
    {51, 562, 1222, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 31},	//1504 QNetworkSession::error(QNetworkSession::SessionError)
    {51, 817, 1224, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 32},	//1505 QNetworkSession::preferredConfigurationChanged(const QNetworkConfiguration&, bool)
    {51, 709, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 33},	//1506 QNetworkSession::newConfigurationActivated()
    {51, 492, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 34},	//1507 QNetworkSession::connectNotify(const char*)
    {51, 545, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 35},	//1508 QNetworkSession::disconnectNotify(const char*)
    {51, 1324, 1, 1, Smoke::mf_static, 208, 36},	//1509 QNetworkSession::tr(const char*)
    {51, 1328, 1, 1, Smoke::mf_static, 208, 37},	//1510 QNetworkSession::trUtf8(const char*)
    {51, 260, 1113, 1, Smoke::mf_ctor, 170, 38},	//1511 QNetworkSession::QNetworkSession(const QNetworkConfiguration&)
    {51, 1357, 0, 0, 0, 313, 39},	//1512 QNetworkSession::waitForOpened()
    {51, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 40},	//1513 QNetworkSession::staticMetaObject() const
    {51, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 41},	//1514 QNetworkSession::Invalid (enum)
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 42},	//1515 QNetworkSession::NotAvailable (enum)
    {51, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 43},	//1516 QNetworkSession::Connecting (enum)
    {51, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 44},	//1517 QNetworkSession::Connected (enum)
    {51, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 45},	//1518 QNetworkSession::Closing (enum)
    {51, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 46},	//1519 QNetworkSession::Disconnected (enum)
    {51, 312, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 47},	//1520 QNetworkSession::Roaming (enum)
    {51, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 48},	//1521 QNetworkSession::UnknownSessionError (enum)
    {51, 321, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 49},	//1522 QNetworkSession::SessionAbortedError (enum)
    {51, 313, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 50},	//1523 QNetworkSession::RoamingError (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 51},	//1524 QNetworkSession::OperationNotSupportedError (enum)
    {51, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 171, 52},	//1525 QNetworkSession::InvalidConfigurationError (enum)
    {51, 1393, 0, 0, Smoke::mf_dtor, 0, 53 },	//1526 QNetworkSession::~QNetworkSession()
    {52, 565, 1227, 1, Smoke::mf_virtual, 313, 0},	//1527 QObject::event(QEvent*)
    {52, 566, 1229, 2, Smoke::mf_virtual, 313, 0},	//1528 QObject::eventFilter(QObject*, QEvent*)
    {52, 1314, 1232, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1529 QObject::timerEvent(QTimerEvent*)
    {52, 470, 1234, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1530 QObject::childEvent(QChildEvent*)
    {52, 525, 1227, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1531 QObject::customEvent(QEvent*)
    {52, 492, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1532 QObject::connectNotify(const char*)
    {52, 545, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1533 QObject::disconnectNotify(const char*)
    {61, 314, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 1},	//1534 QSsl::Rsa (enum)
    {61, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 2},	//1535 QSsl::Dsa (enum)
    {61, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 3},	//1536 QSsl::Pem (enum)
    {61, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 4},	//1537 QSsl::Der (enum)
    {61, 336, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 5},	//1538 QSsl::SslV3 (enum)
    {61, 335, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 6},	//1539 QSsl::SslV2 (enum)
    {61, 345, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 7},	//1540 QSsl::TlsV1 (enum)
    {61, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 8},	//1541 QSsl::AnyProtocol (enum)
    {61, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 9},	//1542 QSsl::UnknownProtocol (enum)
    {61, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 10},	//1543 QSsl::EmailEntry (enum)
    {61, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 11},	//1544 QSsl::DnsEntry (enum)
    {61, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 12},	//1545 QSsl::PrivateKey (enum)
    {61, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 13},	//1546 QSsl::PublicKey (enum)
    {62, 263, 1236, 2, Smoke::mf_ctor, 191, 1},	//1547 QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    {62, 263, 1239, 2, Smoke::mf_ctor, 191, 2},	//1548 QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    {62, 263, 1242, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 191, 3},	//1549 QSslCertificate::QSslCertificate(const QSslCertificate&)
    {62, 753, 1242, 1, 0, 190, 4},	//1550 QSslCertificate::operator=(const QSslCertificate&)
    {62, 756, 1242, 1, Smoke::mf_const, 313, 5},	//1551 QSslCertificate::operator==(const QSslCertificate&) const
    {62, 717, 1242, 1, Smoke::mf_const, 313, 6},	//1552 QSslCertificate::operator!=(const QSslCertificate&) const
    {62, 644, 0, 0, Smoke::mf_const, 313, 7},	//1553 QSslCertificate::isNull() const
    {62, 655, 0, 0, Smoke::mf_const, 313, 8},	//1554 QSslCertificate::isValid() const
    {62, 473, 0, 0, 0, 0, 9},	//1555 QSslCertificate::clear()
    {62, 1345, 0, 0, Smoke::mf_const, 14, 10},	//1556 QSslCertificate::version() const
    {62, 1066, 0, 0, Smoke::mf_const, 14, 11},	//1557 QSslCertificate::serialNumber() const
    {62, 540, 1244, 1, Smoke::mf_const, 14, 12},	//1558 QSslCertificate::digest(QCryptographicHash::Algorithm) const
    {62, 657, 1246, 1, Smoke::mf_const, 208, 13},	//1559 QSslCertificate::issuerInfo(QSslCertificate::SubjectInfo) const
    {62, 657, 204, 1, Smoke::mf_const, 208, 14},	//1560 QSslCertificate::issuerInfo(const QByteArray&) const
    {62, 1305, 1246, 1, Smoke::mf_const, 208, 15},	//1561 QSslCertificate::subjectInfo(QSslCertificate::SubjectInfo) const
    {62, 1305, 204, 1, Smoke::mf_const, 208, 16},	//1562 QSslCertificate::subjectInfo(const QByteArray&) const
    {62, 437, 0, 0, Smoke::mf_const, 124, 17},	//1563 QSslCertificate::alternateSubjectNames() const
    {62, 553, 0, 0, Smoke::mf_const, 22, 18},	//1564 QSslCertificate::effectiveDate() const
    {62, 569, 0, 0, Smoke::mf_const, 22, 19},	//1565 QSslCertificate::expiryDate() const
    {62, 833, 0, 0, Smoke::mf_const, 202, 20},	//1566 QSslCertificate::publicKey() const
    {62, 1319, 0, 0, Smoke::mf_const, 14, 21},	//1567 QSslCertificate::toPem() const
    {62, 1315, 0, 0, Smoke::mf_const, 14, 22},	//1568 QSslCertificate::toDer() const
    {62, 584, 1248, 3, Smoke::mf_static, 113, 23},	//1569 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {62, 579, 1236, 2, Smoke::mf_static, 113, 24},	//1570 QSslCertificate::fromDevice(QIODevice*, QSsl::EncodingFormat)
    {62, 576, 1239, 2, Smoke::mf_static, 113, 25},	//1571 QSslCertificate::fromData(const QByteArray&, QSsl::EncodingFormat)
    {62, 597, 0, 0, Smoke::mf_const, 410, 26},	//1572 QSslCertificate::handle() const
    {62, 263, 18, 1, Smoke::mf_ctor, 191, 27},	//1573 QSslCertificate::QSslCertificate(QIODevice*)
    {62, 263, 0, 0, Smoke::mf_ctor, 191, 28},	//1574 QSslCertificate::QSslCertificate()
    {62, 263, 204, 1, Smoke::mf_ctor, 191, 29},	//1575 QSslCertificate::QSslCertificate(const QByteArray&)
    {62, 540, 0, 0, Smoke::mf_const, 14, 30},	//1576 QSslCertificate::digest() const
    {62, 584, 69, 1, Smoke::mf_static, 113, 31},	//1577 QSslCertificate::fromPath(const QString&)
    {62, 584, 1252, 2, Smoke::mf_static, 113, 32},	//1578 QSslCertificate::fromPath(const QString&, QSsl::EncodingFormat)
    {62, 579, 18, 1, Smoke::mf_static, 113, 33},	//1579 QSslCertificate::fromDevice(QIODevice*)
    {62, 576, 204, 1, Smoke::mf_static, 113, 34},	//1580 QSslCertificate::fromData(const QByteArray&)
    {62, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 35},	//1581 QSslCertificate::Organization (enum)
    {62, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 36},	//1582 QSslCertificate::CommonName (enum)
    {62, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 37},	//1583 QSslCertificate::LocalityName (enum)
    {62, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 38},	//1584 QSslCertificate::OrganizationalUnitName (enum)
    {62, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 39},	//1585 QSslCertificate::CountryName (enum)
    {62, 337, 0, 0, Smoke::mf_static|Smoke::mf_enum, 192, 40},	//1586 QSslCertificate::StateOrProvinceName (enum)
    {62, 1394, 0, 0, Smoke::mf_dtor, 0, 41 },	//1587 QSslCertificate::~QSslCertificate()
    {63, 266, 0, 0, Smoke::mf_ctor, 195, 1},	//1588 QSslCipher::QSslCipher()
    {63, 266, 1255, 2, Smoke::mf_ctor, 195, 2},	//1589 QSslCipher::QSslCipher(const QString&, QSsl::SslProtocol)
    {63, 266, 1258, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 195, 3},	//1590 QSslCipher::QSslCipher(const QSslCipher&)
    {63, 753, 1258, 1, 0, 194, 4},	//1591 QSslCipher::operator=(const QSslCipher&)
    {63, 756, 1258, 1, Smoke::mf_const, 313, 5},	//1592 QSslCipher::operator==(const QSslCipher&) const
    {63, 717, 1258, 1, Smoke::mf_const, 313, 6},	//1593 QSslCipher::operator!=(const QSslCipher&) const
    {63, 644, 0, 0, Smoke::mf_const, 313, 7},	//1594 QSslCipher::isNull() const
    {63, 703, 0, 0, Smoke::mf_const, 208, 8},	//1595 QSslCipher::name() const
    {63, 1308, 0, 0, Smoke::mf_const, 397, 9},	//1596 QSslCipher::supportedBits() const
    {63, 1340, 0, 0, Smoke::mf_const, 397, 10},	//1597 QSslCipher::usedBits() const
    {63, 660, 0, 0, Smoke::mf_const, 208, 11},	//1598 QSslCipher::keyExchangeMethod() const
    {63, 444, 0, 0, Smoke::mf_const, 208, 12},	//1599 QSslCipher::authenticationMethod() const
    {63, 559, 0, 0, Smoke::mf_const, 208, 13},	//1600 QSslCipher::encryptionMethod() const
    {63, 825, 0, 0, Smoke::mf_const, 208, 14},	//1601 QSslCipher::protocolString() const
    {63, 824, 0, 0, Smoke::mf_const, 188, 15},	//1602 QSslCipher::protocol() const
    {63, 1395, 0, 0, Smoke::mf_dtor, 0, 16 },	//1603 QSslCipher::~QSslCipher()
    {64, 269, 0, 0, Smoke::mf_ctor, 198, 1},	//1604 QSslConfiguration::QSslConfiguration()
    {64, 269, 1200, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 198, 2},	//1605 QSslConfiguration::QSslConfiguration(const QSslConfiguration&)
    {64, 753, 1200, 1, 0, 197, 3},	//1606 QSslConfiguration::operator=(const QSslConfiguration&)
    {64, 756, 1200, 1, Smoke::mf_const, 313, 4},	//1607 QSslConfiguration::operator==(const QSslConfiguration&) const
    {64, 717, 1200, 1, Smoke::mf_const, 313, 5},	//1608 QSslConfiguration::operator!=(const QSslConfiguration&) const
    {64, 644, 0, 0, Smoke::mf_const, 313, 6},	//1609 QSslConfiguration::isNull() const
    {64, 824, 0, 0, Smoke::mf_const, 188, 7},	//1610 QSslConfiguration::protocol() const
    {64, 1208, 1260, 1, 0, 0, 8},	//1611 QSslConfiguration::setProtocol(QSsl::SslProtocol)
    {64, 808, 0, 0, Smoke::mf_const, 206, 9},	//1612 QSslConfiguration::peerVerifyMode() const
    {64, 1192, 1262, 1, 0, 0, 10},	//1613 QSslConfiguration::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {64, 805, 0, 0, Smoke::mf_const, 397, 11},	//1614 QSslConfiguration::peerVerifyDepth() const
    {64, 1190, 44, 1, 0, 0, 12},	//1615 QSslConfiguration::setPeerVerifyDepth(int)
    {64, 677, 0, 0, Smoke::mf_const, 189, 13},	//1616 QSslConfiguration::localCertificate() const
    {64, 1151, 1242, 1, 0, 0, 14},	//1617 QSslConfiguration::setLocalCertificate(const QSslCertificate&)
    {64, 800, 0, 0, Smoke::mf_const, 189, 15},	//1618 QSslConfiguration::peerCertificate() const
    {64, 801, 0, 0, Smoke::mf_const, 113, 16},	//1619 QSslConfiguration::peerCertificateChain() const
    {64, 1071, 0, 0, Smoke::mf_const, 193, 17},	//1620 QSslConfiguration::sessionCipher() const
    {64, 823, 0, 0, Smoke::mf_const, 202, 18},	//1621 QSslConfiguration::privateKey() const
    {64, 1202, 1264, 1, 0, 0, 19},	//1622 QSslConfiguration::setPrivateKey(const QSslKey&)
    {64, 472, 0, 0, Smoke::mf_const, 114, 20},	//1623 QSslConfiguration::ciphers() const
    {64, 1099, 1266, 1, 0, 0, 21},	//1624 QSslConfiguration::setCiphers(const QList<QSslCipher>&)
    {64, 461, 0, 0, Smoke::mf_const, 113, 22},	//1625 QSslConfiguration::caCertificates() const
    {64, 1091, 1268, 1, 0, 0, 23},	//1626 QSslConfiguration::setCaCertificates(const QList<QSslCertificate>&)
    {64, 536, 0, 0, Smoke::mf_static, 196, 24},	//1627 QSslConfiguration::defaultConfiguration()
    {64, 1116, 1200, 1, Smoke::mf_static, 0, 25},	//1628 QSslConfiguration::setDefaultConfiguration(const QSslConfiguration&)
    {64, 1396, 0, 0, Smoke::mf_dtor, 0, 26 },	//1629 QSslConfiguration::~QSslConfiguration()
    {65, 271, 0, 0, Smoke::mf_ctor, 200, 1},	//1630 QSslError::QSslError()
    {65, 271, 1270, 1, Smoke::mf_ctor, 200, 2},	//1631 QSslError::QSslError(QSslError::SslError)
    {65, 271, 1272, 2, Smoke::mf_ctor, 200, 3},	//1632 QSslError::QSslError(QSslError::SslError, const QSslCertificate&)
    {65, 271, 1275, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 200, 4},	//1633 QSslError::QSslError(const QSslError&)
    {65, 753, 1275, 1, 0, 199, 5},	//1634 QSslError::operator=(const QSslError&)
    {65, 756, 1275, 1, Smoke::mf_const, 313, 6},	//1635 QSslError::operator==(const QSslError&) const
    {65, 717, 1275, 1, Smoke::mf_const, 313, 7},	//1636 QSslError::operator!=(const QSslError&) const
    {65, 562, 0, 0, Smoke::mf_const, 201, 8},	//1637 QSslError::error() const
    {65, 564, 0, 0, Smoke::mf_const, 208, 9},	//1638 QSslError::errorString() const
    {65, 469, 0, 0, Smoke::mf_const, 189, 10},	//1639 QSslError::certificate() const
    {65, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 11},	//1640 QSslError::NoError (enum)
    {65, 352, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 12},	//1641 QSslError::UnableToGetIssuerCertificate (enum)
    {65, 351, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 13},	//1642 QSslError::UnableToDecryptCertificateSignature (enum)
    {65, 350, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 14},	//1643 QSslError::UnableToDecodeIssuerPublicKey (enum)
    {65, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 15},	//1644 QSslError::CertificateSignatureFailed (enum)
    {65, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 16},	//1645 QSslError::CertificateNotYetValid (enum)
    {65, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 17},	//1646 QSslError::CertificateExpired (enum)
    {65, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 18},	//1647 QSslError::InvalidNotBeforeField (enum)
    {65, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 19},	//1648 QSslError::InvalidNotAfterField (enum)
    {65, 315, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 20},	//1649 QSslError::SelfSignedCertificate (enum)
    {65, 316, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 21},	//1650 QSslError::SelfSignedCertificateInChain (enum)
    {65, 353, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 22},	//1651 QSslError::UnableToGetLocalIssuerCertificate (enum)
    {65, 354, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 23},	//1652 QSslError::UnableToVerifyFirstCertificate (enum)
    {65, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 24},	//1653 QSslError::CertificateRevoked (enum)
    {65, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 25},	//1654 QSslError::InvalidCaCertificate (enum)
    {65, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 26},	//1655 QSslError::PathLengthExceeded (enum)
    {65, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 27},	//1656 QSslError::InvalidPurpose (enum)
    {65, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 28},	//1657 QSslError::CertificateUntrusted (enum)
    {65, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 29},	//1658 QSslError::CertificateRejected (enum)
    {65, 338, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 30},	//1659 QSslError::SubjectIssuerMismatch (enum)
    {65, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 31},	//1660 QSslError::AuthorityIssuerSerialNumberMismatch (enum)
    {65, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 32},	//1661 QSslError::NoPeerCertificate (enum)
    {65, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 33},	//1662 QSslError::HostNameMismatch (enum)
    {65, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 34},	//1663 QSslError::NoSslSupport (enum)
    {65, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 201, 35},	//1664 QSslError::UnspecifiedError (enum)
    {65, 1397, 0, 0, Smoke::mf_dtor, 0, 36 },	//1665 QSslError::~QSslError()
    {66, 275, 0, 0, Smoke::mf_ctor, 204, 1},	//1666 QSslKey::QSslKey()
    {66, 275, 1277, 5, Smoke::mf_ctor, 204, 2},	//1667 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {66, 275, 1283, 5, Smoke::mf_ctor, 204, 3},	//1668 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    {66, 275, 1264, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 204, 4},	//1669 QSslKey::QSslKey(const QSslKey&)
    {66, 753, 1264, 1, 0, 203, 5},	//1670 QSslKey::operator=(const QSslKey&)
    {66, 644, 0, 0, Smoke::mf_const, 313, 6},	//1671 QSslKey::isNull() const
    {66, 473, 0, 0, 0, 0, 7},	//1672 QSslKey::clear()
    {66, 665, 0, 0, Smoke::mf_const, 397, 8},	//1673 QSslKey::length() const
    {66, 1332, 0, 0, Smoke::mf_const, 187, 9},	//1674 QSslKey::type() const
    {66, 429, 0, 0, Smoke::mf_const, 186, 10},	//1675 QSslKey::algorithm() const
    {66, 1319, 204, 1, Smoke::mf_const, 14, 11},	//1676 QSslKey::toPem(const QByteArray&) const
    {66, 1315, 204, 1, Smoke::mf_const, 14, 12},	//1677 QSslKey::toDer(const QByteArray&) const
    {66, 597, 0, 0, Smoke::mf_const, 410, 13},	//1678 QSslKey::handle() const
    {66, 756, 1264, 1, Smoke::mf_const, 313, 14},	//1679 QSslKey::operator==(const QSslKey&) const
    {66, 717, 1264, 1, Smoke::mf_const, 313, 15},	//1680 QSslKey::operator!=(const QSslKey&) const
    {66, 275, 1289, 2, Smoke::mf_ctor, 204, 16},	//1681 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    {66, 275, 1292, 3, Smoke::mf_ctor, 204, 17},	//1682 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {66, 275, 1296, 4, Smoke::mf_ctor, 204, 18},	//1683 QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {66, 275, 1301, 2, Smoke::mf_ctor, 204, 19},	//1684 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    {66, 275, 1304, 3, Smoke::mf_ctor, 204, 20},	//1685 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {66, 275, 1308, 4, Smoke::mf_ctor, 204, 21},	//1686 QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    {66, 1319, 0, 0, Smoke::mf_const, 14, 22},	//1687 QSslKey::toPem() const
    {66, 1315, 0, 0, Smoke::mf_const, 14, 23},	//1688 QSslKey::toDer() const
    {66, 1398, 0, 0, Smoke::mf_dtor, 0, 24 },	//1689 QSslKey::~QSslKey()
    {67, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1690 QSslSocket::metaObject() const
    {67, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1691 QSslSocket::qt_metacast(const char*)
    {67, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1692 QSslSocket::tr(const char*, const char*)
    {67, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1693 QSslSocket::trUtf8(const char*, const char*)
    {67, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1694 QSslSocket::tr(const char*, const char*, int)
    {67, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1695 QSslSocket::trUtf8(const char*, const char*, int)
    {67, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1696 QSslSocket::qt_metacall(QMetaObject::Call, int, void**)
    {67, 281, 20, 1, Smoke::mf_ctor, 205, 8},	//1697 QSslSocket::QSslSocket(QObject*)
    {67, 500, 25, 3, 0, 0, 9},	//1698 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    {67, 500, 1313, 4, 0, 0, 10},	//1699 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&, QFlags<QIODevice::OpenModeFlag>)
    {67, 1246, 35, 3, 0, 313, 11},	//1700 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState, QFlags<QIODevice::OpenModeFlag>)
    {67, 1255, 39, 2, 0, 0, 12},	//1701 QSslSocket::setSocketOption(QAbstractSocket::SocketOption, const QVariant&)
    {67, 1290, 42, 1, 0, 233, 13},	//1702 QSslSocket::socketOption(QAbstractSocket::SocketOption)
    {67, 700, 0, 0, Smoke::mf_const, 207, 14},	//1703 QSslSocket::mode() const
    {67, 635, 0, 0, Smoke::mf_const, 313, 15},	//1704 QSslSocket::isEncrypted() const
    {67, 824, 0, 0, Smoke::mf_const, 188, 16},	//1705 QSslSocket::protocol() const
    {67, 1208, 1260, 1, 0, 0, 17},	//1706 QSslSocket::setProtocol(QSsl::SslProtocol)
    {67, 808, 0, 0, Smoke::mf_const, 206, 18},	//1707 QSslSocket::peerVerifyMode() const
    {67, 1192, 1262, 1, 0, 0, 19},	//1708 QSslSocket::setPeerVerifyMode(QSslSocket::PeerVerifyMode)
    {67, 805, 0, 0, Smoke::mf_const, 397, 20},	//1709 QSslSocket::peerVerifyDepth() const
    {67, 1190, 44, 1, 0, 0, 21},	//1710 QSslSocket::setPeerVerifyDepth(int)
    {67, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 22},	//1711 QSslSocket::bytesAvailable() const
    {67, 459, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 400, 23},	//1712 QSslSocket::bytesToWrite() const
    {67, 465, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 24},	//1713 QSslSocket::canReadLine() const
    {67, 476, 0, 0, Smoke::mf_virtual, 0, 25},	//1714 QSslSocket::close()
    {67, 439, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 26},	//1715 QSslSocket::atEnd() const
    {67, 575, 0, 0, 0, 313, 27},	//1716 QSslSocket::flush()
    {67, 403, 0, 0, 0, 0, 28},	//1717 QSslSocket::abort()
    {67, 1225, 33, 1, 0, 0, 29},	//1718 QSslSocket::setReadBufferSize(long long)
    {67, 555, 0, 0, Smoke::mf_const, 400, 30},	//1719 QSslSocket::encryptedBytesAvailable() const
    {67, 556, 0, 0, Smoke::mf_const, 400, 31},	//1720 QSslSocket::encryptedBytesToWrite() const
    {67, 1293, 0, 0, Smoke::mf_const, 196, 32},	//1721 QSslSocket::sslConfiguration() const
    {67, 1259, 1200, 1, 0, 0, 33},	//1722 QSslSocket::setSslConfiguration(const QSslConfiguration&)
    {67, 1151, 1242, 1, 0, 0, 34},	//1723 QSslSocket::setLocalCertificate(const QSslCertificate&)
    {67, 1151, 1252, 2, 0, 0, 35},	//1724 QSslSocket::setLocalCertificate(const QString&, QSsl::EncodingFormat)
    {67, 677, 0, 0, Smoke::mf_const, 189, 36},	//1725 QSslSocket::localCertificate() const
    {67, 800, 0, 0, Smoke::mf_const, 189, 37},	//1726 QSslSocket::peerCertificate() const
    {67, 801, 0, 0, Smoke::mf_const, 113, 38},	//1727 QSslSocket::peerCertificateChain() const
    {67, 1071, 0, 0, Smoke::mf_const, 193, 39},	//1728 QSslSocket::sessionCipher() const
    {67, 1202, 1264, 1, 0, 0, 40},	//1729 QSslSocket::setPrivateKey(const QSslKey&)
    {67, 1202, 1318, 4, 0, 0, 41},	//1730 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, const QByteArray&)
    {67, 823, 0, 0, Smoke::mf_const, 202, 42},	//1731 QSslSocket::privateKey() const
    {67, 472, 0, 0, Smoke::mf_const, 114, 43},	//1732 QSslSocket::ciphers() const
    {67, 1099, 1266, 1, 0, 0, 44},	//1733 QSslSocket::setCiphers(const QList<QSslCipher>&)
    {67, 1099, 69, 1, 0, 0, 45},	//1734 QSslSocket::setCiphers(const QString&)
    {67, 1114, 1266, 1, Smoke::mf_static, 0, 46},	//1735 QSslSocket::setDefaultCiphers(const QList<QSslCipher>&)
    {67, 535, 0, 0, Smoke::mf_static, 114, 47},	//1736 QSslSocket::defaultCiphers()
    {67, 1309, 0, 0, Smoke::mf_static, 114, 48},	//1737 QSslSocket::supportedCiphers()
    {67, 411, 1248, 3, 0, 313, 49},	//1738 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {67, 409, 1242, 1, 0, 0, 50},	//1739 QSslSocket::addCaCertificate(const QSslCertificate&)
    {67, 411, 1268, 1, 0, 0, 51},	//1740 QSslSocket::addCaCertificates(const QList<QSslCertificate>&)
    {67, 1091, 1268, 1, 0, 0, 52},	//1741 QSslSocket::setCaCertificates(const QList<QSslCertificate>&)
    {67, 461, 0, 0, Smoke::mf_const, 113, 53},	//1742 QSslSocket::caCertificates() const
    {67, 418, 1248, 3, Smoke::mf_static, 313, 54},	//1743 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat, QRegExp::PatternSyntax)
    {67, 416, 1242, 1, Smoke::mf_static, 0, 55},	//1744 QSslSocket::addDefaultCaCertificate(const QSslCertificate&)
    {67, 418, 1268, 1, Smoke::mf_static, 0, 56},	//1745 QSslSocket::addDefaultCaCertificates(const QList<QSslCertificate>&)
    {67, 1112, 1268, 1, Smoke::mf_static, 0, 57},	//1746 QSslSocket::setDefaultCaCertificates(const QList<QSslCertificate>&)
    {67, 534, 0, 0, Smoke::mf_static, 113, 58},	//1747 QSslSocket::defaultCaCertificates()
    {67, 1311, 0, 0, Smoke::mf_static, 113, 59},	//1748 QSslSocket::systemCaCertificates()
    {67, 1348, 44, 1, 0, 313, 60},	//1749 QSslSocket::waitForConnected(int)
    {67, 1352, 44, 1, 0, 313, 61},	//1750 QSslSocket::waitForEncrypted(int)
    {67, 1359, 44, 1, Smoke::mf_virtual, 313, 62},	//1751 QSslSocket::waitForReadyRead(int)
    {67, 1346, 44, 1, Smoke::mf_virtual, 313, 63},	//1752 QSslSocket::waitForBytesWritten(int)
    {67, 1350, 44, 1, 0, 313, 64},	//1753 QSslSocket::waitForDisconnected(int)
    {67, 1294, 0, 0, Smoke::mf_const, 115, 65},	//1754 QSslSocket::sslErrors() const
    {67, 1310, 0, 0, Smoke::mf_static, 313, 66},	//1755 QSslSocket::supportsSsl()
    {67, 619, 1032, 1, 0, 0, 67},	//1756 QSslSocket::ignoreSslErrors(const QList<QSslError>&)
    {67, 1297, 0, 0, Smoke::mf_slot, 0, 68},	//1757 QSslSocket::startClientEncryption()
    {67, 1298, 0, 0, Smoke::mf_slot, 0, 69},	//1758 QSslSocket::startServerEncryption()
    {67, 619, 0, 0, Smoke::mf_slot, 0, 70},	//1759 QSslSocket::ignoreSslErrors()
    {67, 554, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 71},	//1760 QSslSocket::encrypted()
    {67, 806, 1275, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 72},	//1761 QSslSocket::peerVerifyError(const QSslError&)
    {67, 1294, 1032, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 73},	//1762 QSslSocket::sslErrors(const QList<QSslError>&)
    {67, 701, 1323, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 74},	//1763 QSslSocket::modeChanged(QSslSocket::SslMode)
    {67, 557, 1325, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 75},	//1764 QSslSocket::encryptedBytesWritten(qint64)
    {67, 504, 55, 3, Smoke::mf_protected|Smoke::mf_slot, 0, 76},	//1765 QSslSocket::connectToHostImplementation(const QString&, quint16, QIODevice::OpenMode)
    {67, 543, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 77},	//1766 QSslSocket::disconnectFromHostImplementation()
    {67, 1023, 59, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 78},	//1767 QSslSocket::readData(char*, long long)
    {67, 1361, 62, 2, Smoke::mf_protected|Smoke::mf_virtual, 400, 79},	//1768 QSslSocket::writeData(const char*, long long)
    {67, 1324, 1, 1, Smoke::mf_static, 208, 80},	//1769 QSslSocket::tr(const char*)
    {67, 1328, 1, 1, Smoke::mf_static, 208, 81},	//1770 QSslSocket::trUtf8(const char*)
    {67, 281, 0, 0, Smoke::mf_ctor, 205, 82},	//1771 QSslSocket::QSslSocket()
    {67, 500, 71, 2, 0, 0, 83},	//1772 QSslSocket::connectToHostEncrypted(const QString&, unsigned short)
    {67, 500, 1327, 3, 0, 0, 84},	//1773 QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    {67, 1246, 44, 1, 0, 313, 85},	//1774 QSslSocket::setSocketDescriptor(int)
    {67, 1246, 77, 2, 0, 313, 86},	//1775 QSslSocket::setSocketDescriptor(int, QAbstractSocket::SocketState)
    {67, 1151, 69, 1, 0, 0, 87},	//1776 QSslSocket::setLocalCertificate(const QString&)
    {67, 1202, 69, 1, 0, 0, 88},	//1777 QSslSocket::setPrivateKey(const QString&)
    {67, 1202, 1331, 2, 0, 0, 89},	//1778 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm)
    {67, 1202, 1334, 3, 0, 0, 90},	//1779 QSslSocket::setPrivateKey(const QString&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    {67, 411, 69, 1, 0, 313, 91},	//1780 QSslSocket::addCaCertificates(const QString&)
    {67, 411, 1252, 2, 0, 313, 92},	//1781 QSslSocket::addCaCertificates(const QString&, QSsl::EncodingFormat)
    {67, 418, 69, 1, Smoke::mf_static, 313, 93},	//1782 QSslSocket::addDefaultCaCertificates(const QString&)
    {67, 418, 1252, 2, Smoke::mf_static, 313, 94},	//1783 QSslSocket::addDefaultCaCertificates(const QString&, QSsl::EncodingFormat)
    {67, 1348, 0, 0, 0, 313, 95},	//1784 QSslSocket::waitForConnected()
    {67, 1352, 0, 0, 0, 313, 96},	//1785 QSslSocket::waitForEncrypted()
    {67, 1359, 0, 0, 0, 313, 97},	//1786 QSslSocket::waitForReadyRead()
    {67, 1346, 0, 0, 0, 313, 98},	//1787 QSslSocket::waitForBytesWritten()
    {67, 1350, 0, 0, 0, 313, 99},	//1788 QSslSocket::waitForDisconnected()
    {67, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 100},	//1789 QSslSocket::staticMetaObject() const
    {67, 359, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 101},	//1790 QSslSocket::UnencryptedMode (enum)
    {67, 332, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 102},	//1791 QSslSocket::SslClientMode (enum)
    {67, 334, 0, 0, Smoke::mf_static|Smoke::mf_enum, 207, 103},	//1792 QSslSocket::SslServerMode (enum)
    {67, 380, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 104},	//1793 QSslSocket::VerifyNone (enum)
    {67, 298, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 105},	//1794 QSslSocket::QueryPeer (enum)
    {67, 381, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 106},	//1795 QSslSocket::VerifyPeer (enum)
    {67, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 206, 107},	//1796 QSslSocket::AutoVerifyPeer (enum)
    {67, 1399, 0, 0, Smoke::mf_dtor, 0, 108 },	//1797 QSslSocket::~QSslSocket()
    {70, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1798 QTcpServer::metaObject() const
    {70, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1799 QTcpServer::qt_metacast(const char*)
    {70, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1800 QTcpServer::tr(const char*, const char*)
    {70, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1801 QTcpServer::trUtf8(const char*, const char*)
    {70, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1802 QTcpServer::tr(const char*, const char*, int)
    {70, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1803 QTcpServer::trUtf8(const char*, const char*, int)
    {70, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1804 QTcpServer::qt_metacall(QMetaObject::Call, int, void**)
    {70, 283, 20, 1, Smoke::mf_ctor, 215, 8},	//1805 QTcpServer::QTcpServer(QObject*)
    {70, 672, 74, 2, 0, 313, 9},	//1806 QTcpServer::listen(const QHostAddress&, unsigned short)
    {70, 476, 0, 0, 0, 0, 10},	//1807 QTcpServer::close()
    {70, 643, 0, 0, Smoke::mf_const, 313, 11},	//1808 QTcpServer::isListening() const
    {70, 1159, 44, 1, 0, 0, 12},	//1809 QTcpServer::setMaxPendingConnections(int)
    {70, 689, 0, 0, Smoke::mf_const, 397, 13},	//1810 QTcpServer::maxPendingConnections() const
    {70, 1070, 0, 0, Smoke::mf_const, 412, 14},	//1811 QTcpServer::serverPort() const
    {70, 1067, 0, 0, Smoke::mf_const, 74, 15},	//1812 QTcpServer::serverAddress() const
    {70, 1289, 0, 0, Smoke::mf_const, 397, 16},	//1813 QTcpServer::socketDescriptor() const
    {70, 1246, 44, 1, 0, 313, 17},	//1814 QTcpServer::setSocketDescriptor(int)
    {70, 1354, 1076, 2, 0, 313, 18},	//1815 QTcpServer::waitForNewConnection(int, bool*)
    {70, 604, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 313, 19},	//1816 QTcpServer::hasPendingConnections() const
    {70, 711, 0, 0, Smoke::mf_virtual, 216, 20},	//1817 QTcpServer::nextPendingConnection()
    {70, 1068, 0, 0, Smoke::mf_const, 5, 21},	//1818 QTcpServer::serverError() const
    {70, 564, 0, 0, Smoke::mf_const, 208, 22},	//1819 QTcpServer::errorString() const
    {70, 1212, 46, 1, 0, 0, 23},	//1820 QTcpServer::setProxy(const QNetworkProxy&)
    {70, 827, 0, 0, Smoke::mf_const, 151, 24},	//1821 QTcpServer::proxy() const
    {70, 621, 44, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//1822 QTcpServer::incomingConnection(int)
    {70, 423, 1000, 1, Smoke::mf_protected, 0, 26},	//1823 QTcpServer::addPendingConnection(QTcpSocket*)
    {70, 710, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//1824 QTcpServer::newConnection()
    {70, 1324, 1, 1, Smoke::mf_static, 208, 28},	//1825 QTcpServer::tr(const char*)
    {70, 1328, 1, 1, Smoke::mf_static, 208, 29},	//1826 QTcpServer::trUtf8(const char*)
    {70, 283, 0, 0, Smoke::mf_ctor, 215, 30},	//1827 QTcpServer::QTcpServer()
    {70, 672, 0, 0, 0, 313, 31},	//1828 QTcpServer::listen()
    {70, 672, 67, 1, 0, 313, 32},	//1829 QTcpServer::listen(const QHostAddress&)
    {70, 1354, 0, 0, 0, 313, 33},	//1830 QTcpServer::waitForNewConnection()
    {70, 1354, 44, 1, 0, 313, 34},	//1831 QTcpServer::waitForNewConnection(int)
    {70, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 35},	//1832 QTcpServer::staticMetaObject() const
    {70, 1400, 0, 0, Smoke::mf_dtor, 0, 36 },	//1833 QTcpServer::~QTcpServer()
    {71, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1834 QTcpSocket::metaObject() const
    {71, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1835 QTcpSocket::qt_metacast(const char*)
    {71, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1836 QTcpSocket::tr(const char*, const char*)
    {71, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1837 QTcpSocket::trUtf8(const char*, const char*)
    {71, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1838 QTcpSocket::tr(const char*, const char*, int)
    {71, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1839 QTcpSocket::trUtf8(const char*, const char*, int)
    {71, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1840 QTcpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {71, 285, 20, 1, Smoke::mf_ctor, 216, 8},	//1841 QTcpSocket::QTcpSocket(QObject*)
    {71, 1324, 1, 1, Smoke::mf_static, 208, 9},	//1842 QTcpSocket::tr(const char*)
    {71, 1328, 1, 1, Smoke::mf_static, 208, 10},	//1843 QTcpSocket::trUtf8(const char*)
    {71, 285, 0, 0, Smoke::mf_ctor, 216, 11},	//1844 QTcpSocket::QTcpSocket()
    {71, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 12},	//1845 QTcpSocket::staticMetaObject() const
    {71, 1401, 0, 0, Smoke::mf_dtor, 0, 13 },	//1846 QTcpSocket::~QTcpSocket()
    {76, 694, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 347, 1},	//1847 QUdpSocket::metaObject() const
    {76, 996, 1, 1, Smoke::mf_virtual, 417, 2},	//1848 QUdpSocket::qt_metacast(const char*)
    {76, 1324, 3, 2, Smoke::mf_static, 208, 3},	//1849 QUdpSocket::tr(const char*, const char*)
    {76, 1328, 3, 2, Smoke::mf_static, 208, 4},	//1850 QUdpSocket::trUtf8(const char*, const char*)
    {76, 1324, 6, 3, Smoke::mf_static, 208, 5},	//1851 QUdpSocket::tr(const char*, const char*, int)
    {76, 1328, 6, 3, Smoke::mf_static, 208, 6},	//1852 QUdpSocket::trUtf8(const char*, const char*, int)
    {76, 994, 10, 3, Smoke::mf_virtual, 397, 7},	//1853 QUdpSocket::qt_metacall(QMetaObject::Call, int, void**)
    {76, 287, 20, 1, Smoke::mf_ctor, 224, 8},	//1854 QUdpSocket::QUdpSocket(QObject*)
    {76, 451, 74, 2, 0, 313, 9},	//1855 QUdpSocket::bind(const QHostAddress&, unsigned short)
    {76, 451, 65, 1, 0, 313, 10},	//1856 QUdpSocket::bind(unsigned short)
    {76, 451, 1338, 3, 0, 313, 11},	//1857 QUdpSocket::bind(const QHostAddress&, unsigned short, QFlags<QUdpSocket::BindFlag>)
    {76, 451, 1342, 2, 0, 313, 12},	//1858 QUdpSocket::bind(unsigned short, QFlags<QUdpSocket::BindFlag>)
    {76, 605, 0, 0, Smoke::mf_const, 313, 13},	//1859 QUdpSocket::hasPendingDatagrams() const
    {76, 809, 0, 0, Smoke::mf_const, 400, 14},	//1860 QUdpSocket::pendingDatagramSize() const
    {76, 1025, 1345, 4, 0, 400, 15},	//1861 QUdpSocket::readDatagram(char*, long long, QHostAddress*, unsigned short*)
    {76, 1363, 1350, 4, 0, 400, 16},	//1862 QUdpSocket::writeDatagram(const char*, long long, const QHostAddress&, unsigned short)
    {76, 1363, 1355, 3, 0, 400, 17},	//1863 QUdpSocket::writeDatagram(const QByteArray&, const QHostAddress&, unsigned short)
    {76, 1324, 1, 1, Smoke::mf_static, 208, 18},	//1864 QUdpSocket::tr(const char*)
    {76, 1328, 1, 1, Smoke::mf_static, 208, 19},	//1865 QUdpSocket::trUtf8(const char*)
    {76, 287, 0, 0, Smoke::mf_ctor, 224, 20},	//1866 QUdpSocket::QUdpSocket()
    {76, 451, 0, 0, 0, 313, 21},	//1867 QUdpSocket::bind()
    {76, 1025, 59, 2, 0, 400, 22},	//1868 QUdpSocket::readDatagram(char*, long long)
    {76, 1025, 1359, 3, 0, 400, 23},	//1869 QUdpSocket::readDatagram(char*, long long, QHostAddress*)
    {76, 1302, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 346, 24},	//1870 QUdpSocket::staticMetaObject() const
    {76, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 25},	//1871 QUdpSocket::DefaultForPlatform (enum)
    {76, 325, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 26},	//1872 QUdpSocket::ShareAddress (enum)
    {76, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 27},	//1873 QUdpSocket::DontShareAddress (enum)
    {76, 310, 0, 0, Smoke::mf_static|Smoke::mf_enum, 225, 28},	//1874 QUdpSocket::ReuseAddressHint (enum)
    {76, 1402, 0, 0, Smoke::mf_dtor, 0, 29 },	//1875 QUdpSocket::~QUdpSocket()
    {78, 289, 0, 0, Smoke::mf_ctor, 230, 1},	//1876 QUrlInfo::QUrlInfo()
    {78, 289, 105, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 230, 2},	//1877 QUrlInfo::QUrlInfo(const QUrlInfo&)
    {78, 289, 1363, 13, Smoke::mf_ctor, 230, 3},	//1878 QUrlInfo::QUrlInfo(const QString&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {78, 289, 1377, 13, Smoke::mf_ctor, 230, 4},	//1879 QUrlInfo::QUrlInfo(const QUrl&, int, const QString&, const QString&, long long, const QDateTime&, const QDateTime&, bool, bool, bool, bool, bool, bool)
    {78, 753, 105, 1, 0, 229, 5},	//1880 QUrlInfo::operator=(const QUrlInfo&)
    {78, 1163, 69, 1, Smoke::mf_virtual, 0, 6},	//1881 QUrlInfo::setName(const QString&)
    {78, 1118, 116, 1, Smoke::mf_virtual, 0, 7},	//1882 QUrlInfo::setDir(bool)
    {78, 1129, 116, 1, Smoke::mf_virtual, 0, 8},	//1883 QUrlInfo::setFile(bool)
    {78, 1266, 116, 1, Smoke::mf_virtual, 0, 9},	//1884 QUrlInfo::setSymLink(bool)
    {78, 1176, 69, 1, Smoke::mf_virtual, 0, 10},	//1885 QUrlInfo::setOwner(const QString&)
    {78, 1131, 69, 1, Smoke::mf_virtual, 0, 11},	//1886 QUrlInfo::setGroup(const QString&)
    {78, 1242, 33, 1, Smoke::mf_virtual, 0, 12},	//1887 QUrlInfo::setSize(long long)
    {78, 1286, 116, 1, Smoke::mf_virtual, 0, 13},	//1888 QUrlInfo::setWritable(bool)
    {78, 1227, 116, 1, Smoke::mf_virtual, 0, 14},	//1889 QUrlInfo::setReadable(bool)
    {78, 1194, 44, 1, Smoke::mf_virtual, 0, 15},	//1890 QUrlInfo::setPermissions(int)
    {78, 1145, 1136, 1, Smoke::mf_virtual, 0, 16},	//1891 QUrlInfo::setLastModified(const QDateTime&)
    {78, 1147, 1136, 1, 0, 0, 17},	//1892 QUrlInfo::setLastRead(const QDateTime&)
    {78, 655, 0, 0, Smoke::mf_const, 313, 18},	//1893 QUrlInfo::isValid() const
    {78, 703, 0, 0, Smoke::mf_const, 208, 19},	//1894 QUrlInfo::name() const
    {78, 810, 0, 0, Smoke::mf_const, 397, 20},	//1895 QUrlInfo::permissions() const
    {78, 788, 0, 0, Smoke::mf_const, 208, 21},	//1896 QUrlInfo::owner() const
    {78, 596, 0, 0, Smoke::mf_const, 208, 22},	//1897 QUrlInfo::group() const
    {78, 1288, 0, 0, Smoke::mf_const, 400, 23},	//1898 QUrlInfo::size() const
    {78, 662, 0, 0, Smoke::mf_const, 22, 24},	//1899 QUrlInfo::lastModified() const
    {78, 663, 0, 0, Smoke::mf_const, 22, 25},	//1900 QUrlInfo::lastRead() const
    {78, 634, 0, 0, Smoke::mf_const, 313, 26},	//1901 QUrlInfo::isDir() const
    {78, 637, 0, 0, Smoke::mf_const, 313, 27},	//1902 QUrlInfo::isFile() const
    {78, 653, 0, 0, Smoke::mf_const, 313, 28},	//1903 QUrlInfo::isSymLink() const
    {78, 656, 0, 0, Smoke::mf_const, 313, 29},	//1904 QUrlInfo::isWritable() const
    {78, 647, 0, 0, Smoke::mf_const, 313, 30},	//1905 QUrlInfo::isReadable() const
    {78, 636, 0, 0, Smoke::mf_const, 313, 31},	//1906 QUrlInfo::isExecutable() const
    {78, 594, 1391, 3, Smoke::mf_static, 313, 32},	//1907 QUrlInfo::greaterThan(const QUrlInfo&, const QUrlInfo&, int)
    {78, 666, 1391, 3, Smoke::mf_static, 313, 33},	//1908 QUrlInfo::lessThan(const QUrlInfo&, const QUrlInfo&, int)
    {78, 560, 1391, 3, Smoke::mf_static, 313, 34},	//1909 QUrlInfo::equal(const QUrlInfo&, const QUrlInfo&, int)
    {78, 756, 105, 1, Smoke::mf_const, 313, 35},	//1910 QUrlInfo::operator==(const QUrlInfo&) const
    {78, 717, 105, 1, Smoke::mf_const, 313, 36},	//1911 QUrlInfo::operator!=(const QUrlInfo&) const
    {78, 303, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 37},	//1912 QUrlInfo::ReadOwner (enum)
    {78, 385, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 38},	//1913 QUrlInfo::WriteOwner (enum)
    {78, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 39},	//1914 QUrlInfo::ExeOwner (enum)
    {78, 300, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 40},	//1915 QUrlInfo::ReadGroup (enum)
    {78, 382, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 41},	//1916 QUrlInfo::WriteGroup (enum)
    {78, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 42},	//1917 QUrlInfo::ExeGroup (enum)
    {78, 302, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 43},	//1918 QUrlInfo::ReadOther (enum)
    {78, 384, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 44},	//1919 QUrlInfo::WriteOther (enum)
    {78, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 231, 45},	//1920 QUrlInfo::ExeOther (enum)
    {78, 1403, 0, 0, Smoke::mf_dtor, 0, 46 },	//1921 QUrlInfo::~QUrlInfo()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    1318,  // QNetworkProxyQuery::QNetworkProxyQuery(const QNetworkProxyQuery&)
    1334,  // QNetworkProxyQuery::QNetworkProxyQuery(const QUrl&)
    0,
    1335,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int)
    1338,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&)
    0,
    1317,  // QNetworkProxyQuery::QNetworkProxyQuery(unsigned short, const QString&, QNetworkProxyQuery::QueryType)
    1336,  // QNetworkProxyQuery::QNetworkProxyQuery(const QString&, int, const QString&)
    0,
    196,  // QFtp::put(const QByteArray&, const QString&)
    197,  // QFtp::put(QIODevice*, const QString&)
    0,
    160,  // QFtp::put(const QByteArray&, const QString&, QFtp::TransferType)
    161,  // QFtp::put(QIODevice*, const QString&, QFtp::TransferType)
    0,
    920,  // QIPv6Address::operator[](int)
    921,  // QIPv6Address::operator[](int) const
    0,
    1417,  // QNetworkRequest::QNetworkRequest(const QUrl&)
    1418,  // QNetworkRequest::QNetworkRequest(const QNetworkRequest&)
    0,
    1698,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, QFlags<QIODevice::OpenModeFlag>)
    1773,  // QSslSocket::connectToHostEncrypted(const QString&, unsigned short, const QString&)
    0,
    1035,  // QNetworkAccessManager::post(const QNetworkRequest&, QIODevice*)
    1036,  // QNetworkAccessManager::post(const QNetworkRequest&, const QByteArray&)
    0,
    1037,  // QNetworkAccessManager::put(const QNetworkRequest&, QIODevice*)
    1038,  // QNetworkAccessManager::put(const QNetworkRequest&, const QByteArray&)
    0,
    800,  // QHttp::QHttp(const QString&, unsigned short)
    801,  // QHttp::QHttp(const QString&, QHttp::ConnectionMode)
    0,
    809,  // QHttp::post(const QString&, QIODevice*)
    810,  // QHttp::post(const QString&, const QByteArray&)
    0,
    763,  // QHttp::post(const QString&, QIODevice*, QIODevice*)
    764,  // QHttp::post(const QString&, const QByteArray&, QIODevice*)
    0,
    812,  // QHttp::request(const QHttpRequestHeader&, QIODevice*)
    813,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&)
    0,
    766,  // QHttp::request(const QHttpRequestHeader&, QIODevice*, QIODevice*)
    767,  // QHttp::request(const QHttpRequestHeader&, const QByteArray&, QIODevice*)
    0,
    756,  // QHttp::setHost(const QString&, unsigned short)
    804,  // QHttp::setHost(const QString&, QHttp::ConnectionMode)
    0,
    1549,  // QSslCertificate::QSslCertificate(const QSslCertificate&)
    1573,  // QSslCertificate::QSslCertificate(QIODevice*)
    1575,  // QSslCertificate::QSslCertificate(const QByteArray&)
    0,
    1547,  // QSslCertificate::QSslCertificate(QIODevice*, QSsl::EncodingFormat)
    1548,  // QSslCertificate::QSslCertificate(const QByteArray&, QSsl::EncodingFormat)
    0,
    1174,  // QNetworkCookie::QNetworkCookie(const QNetworkCookie&)
    1196,  // QNetworkCookie::QNetworkCookie(const QByteArray&)
    0,
    279,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    321,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    330,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    380,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    403,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    419,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    456,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    462,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    499,  // QGlobalSpace::operator!=(QChar, QChar)
    523,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    572,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    587,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    612,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    615,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    648,  // QGlobalSpace::operator!=(QBool, QBool)
    662,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    0,
    267,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    286,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    299,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    509,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    611,  // QGlobalSpace::operator!=(QBool, bool)
    0,
    376,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    434,  // QGlobalSpace::operator!=(bool, QBool)
    460,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    506,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    600,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    620,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    0,
    530,  // QGlobalSpace::operator*(const QSize&, double)
    601,  // QGlobalSpace::operator*(const QPoint&, double)
    606,  // QGlobalSpace::operator*(const QSizeF&, double)
    617,  // QGlobalSpace::operator*(const QPointF&, double)
    0,
    276,  // QGlobalSpace::operator*(double, const QSizeF&)
    526,  // QGlobalSpace::operator*(double, const QPointF&)
    534,  // QGlobalSpace::operator*(double, const QPoint&)
    608,  // QGlobalSpace::operator*(double, const QSize&)
    0,
    292,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    308,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    313,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    390,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    426,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    0,
    333,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    339,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    370,  // QGlobalSpace::operator+(QChar, const QString&)
    466,  // QGlobalSpace::operator+(const QByteArray&, char)
    0,
    243,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    295,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    329,  // QGlobalSpace::operator+(const QString&, QChar)
    515,  // QGlobalSpace::operator+(char, const QByteArray&)
    0,
    335,  // QGlobalSpace::operator+(const QString&, const char*)
    379,  // QGlobalSpace::operator+(const QString&, char)
    422,  // QGlobalSpace::operator+(char, const QString&)
    520,  // QGlobalSpace::operator+(const char*, const QString&)
    647,  // QGlobalSpace::operator+(const QString&, const QString&)
    0,
    393,  // QGlobalSpace::operator-(const QPoint&)
    444,  // QGlobalSpace::operator-(const QPointF&)
    0,
    280,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    296,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    381,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    518,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    291,  // QGlobalSpace::operator/(const QPoint&, double)
    433,  // QGlobalSpace::operator/(const QPointF&, double)
    470,  // QGlobalSpace::operator/(const QSizeF&, double)
    592,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    265,  // QGlobalSpace::operator<(QChar, QChar)
    315,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    384,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    609,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    269,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    463,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    240,  // QGlobalSpace::operator<<(QDebug, const QSslError&)
    264,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    268,  // QGlobalSpace::operator<<(QDataStream&, const QHostAddress&)
    281,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    288,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    294,  // QGlobalSpace::operator<<(QDataStream&, const QNetworkCacheMetaData&)
    297,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    301,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    302,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    326,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    352,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    353,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    395,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    401,  // QGlobalSpace::operator<<(QDebug, const QNetworkCookie&)
    430,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    441,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    448,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    453,  // QGlobalSpace::operator<<(QDebug, const QNetworkInterface&)
    472,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    480,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    484,  // QGlobalSpace::operator<<(QDebug, const QHostAddress&)
    489,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    490,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    492,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    493,  // QGlobalSpace::operator<<(QDebug, const QSslCertificate&)
    496,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    497,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    512,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    517,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    519,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    531,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    536,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    555,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    566,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    567,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    570,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    579,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    581,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    584,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    610,  // QGlobalSpace::operator<<(QDebug, const QSslKey&)
    614,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    625,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    632,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    638,  // QGlobalSpace::operator<<(QDebug, const QSslCipher&)
    642,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    643,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    660,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    664,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    0,
    239,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    284,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketState)
    303,  // QGlobalSpace::operator<<(QDebug, QSslCertificate::SubjectInfo)
    331,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketState)
    402,  // QGlobalSpace::operator<<(QDebug, QAbstractSocket::SocketError)
    412,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    429,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    461,  // QGlobalSpace::operator<<(QDebug, QLocalSocket::LocalSocketError)
    524,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    565,  // QGlobalSpace::operator<<(QDebug, const QSslError::SslError&)
    623,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    351,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    366,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    479,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    585,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    477,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    511,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    0,
    242,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    247,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    259,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    260,  // QGlobalSpace::operator==(QChar, QChar)
    345,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    360,  // QGlobalSpace::operator==(QBool, QBool)
    382,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    392,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    399,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    425,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    435,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    464,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    473,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    529,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    546,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    575,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    595,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    0,
    241,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    424,  // QGlobalSpace::operator==(QString::Null, const QString&)
    605,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    607,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    637,  // QGlobalSpace::operator==(QBool, bool)
    0,
    238,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    255,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    361,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    445,  // QGlobalSpace::operator==(bool, QBool)
    488,  // QGlobalSpace::operator==(const QString&, QString::Null)
    503,  // QGlobalSpace::operator==(QHostAddress::SpecialAddress, const QHostAddress&)
    516,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    0,
    274,  // QGlobalSpace::operator>(QChar, QChar)
    336,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    348,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    416,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    0,
    256,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    320,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    0,
    230,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    266,  // QGlobalSpace::operator>=(QChar, QChar)
    471,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    553,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    0,
    451,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    656,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    0,
    249,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    327,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    359,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    373,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    418,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    423,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    436,  // QGlobalSpace::operator>>(QDataStream&, QNetworkCacheMetaData&)
    440,  // QGlobalSpace::operator>>(QDataStream&, QHostAddress&)
    442,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    469,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    504,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    514,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    522,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    527,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    589,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    613,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    631,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    639,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    640,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    659,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    663,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    0,
    481,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    590,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    0,
    233,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    234,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    244,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    254,  // QGlobalSpace::operator|(QNetworkProxy::Capability, int)
    261,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    270,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    273,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    275,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    278,  // QGlobalSpace::operator|(QDir::Filter, int)
    282,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    283,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    287,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    289,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    290,  // QGlobalSpace::operator|(QFile::Permission, int)
    293,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    300,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    304,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QNetworkProxy::Capability)
    306,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QFlags<QUdpSocket::BindFlag>)
    307,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    309,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    310,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    314,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    319,  // QGlobalSpace::operator|(QNetworkProxy::Capability, QFlags<QNetworkProxy::Capability>)
    323,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    324,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QNetworkConfigurationManager::Capability)
    334,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    337,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    341,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    346,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    362,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    368,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    371,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    372,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    377,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    378,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    383,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    385,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    387,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    391,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    394,  // QGlobalSpace::operator|(Qt::DropAction, int)
    396,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    406,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    409,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    413,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    420,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    432,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    438,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, int)
    443,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    447,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QFlags<QNetworkInterface::InterfaceFlag>)
    452,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    454,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, int)
    455,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    459,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    467,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    468,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    486,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    494,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    500,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    513,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    521,  // QGlobalSpace::operator|(Qt::WindowState, int)
    525,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    528,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    532,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    539,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    541,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    542,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    543,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, int)
    547,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    550,  // QGlobalSpace::operator|(QUdpSocket::BindFlag, QUdpSocket::BindFlag)
    551,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    552,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    556,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    557,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    561,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    562,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    563,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    564,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    571,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    574,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    580,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    586,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    588,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    598,  // QGlobalSpace::operator|(Qt::Orientation, int)
    602,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    603,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    616,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    619,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    624,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    626,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    627,  // QGlobalSpace::operator|(Qt::WindowType, int)
    629,  // QGlobalSpace::operator|(QNetworkInterface::InterfaceFlag, QNetworkInterface::InterfaceFlag)
    633,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    634,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    644,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    646,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    649,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    651,  // QGlobalSpace::operator|(QNetworkConfigurationManager::Capability, QFlags<QNetworkConfigurationManager::Capability>)
    655,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    661,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    0,
    545,  // QGlobalSpace::qFuzzyCompare(float, float)
    599,  // QGlobalSpace::qFuzzyCompare(double, double)
    0,
    386,  // QGlobalSpace::qFuzzyIsNull(float)
    558,  // QGlobalSpace::qFuzzyIsNull(double)
    0,
    262,  // QGlobalSpace::qHash(const QUrl&)
    263,  // QGlobalSpace::qHash(const QByteArray&)
    342,  // QGlobalSpace::qHash(QChar)
    357,  // QGlobalSpace::qHash(const QModelIndex&)
    363,  // QGlobalSpace::qHash(const QHostAddress&)
    427,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    495,  // QGlobalSpace::qHash(const QBitArray&)
    653,  // QGlobalSpace::qHash(const QStringRef&)
    0,
    231,  // QGlobalSpace::qHash(unsigned long long)
    253,  // QGlobalSpace::qHash(signed char)
    285,  // QGlobalSpace::qHash(char)
    340,  // QGlobalSpace::qHash(unsigned int)
    350,  // QGlobalSpace::qHash(const QString&)
    375,  // QGlobalSpace::qHash(long long)
    389,  // QGlobalSpace::qHash(int)
    415,  // QGlobalSpace::qHash(long)
    417,  // QGlobalSpace::qHash(unsigned short)
    538,  // QGlobalSpace::qHash(short)
    641,  // QGlobalSpace::qHash(unsigned long)
    658,  // QGlobalSpace::qHash(unsigned char)
    0,
    257,  // QGlobalSpace::qIntCast(double)
    344,  // QGlobalSpace::qIntCast(float)
    0,
    298,  // QGlobalSpace::qIsFinite(double)
    328,  // QGlobalSpace::qIsFinite(float)
    0,
    232,  // QGlobalSpace::qIsInf(double)
    251,  // QGlobalSpace::qIsInf(float)
    0,
    365,  // QGlobalSpace::qIsNaN(float)
    369,  // QGlobalSpace::qIsNaN(double)
    0,
    593,  // QGlobalSpace::qIsNull(float)
    654,  // QGlobalSpace::qIsNull(double)
    0,
    689,  // QHostAddress::QHostAddress(const QIPv6Address&)
    690,  // QHostAddress::QHostAddress(const sockaddr*)
    692,  // QHostAddress::QHostAddress(const QHostAddress&)
    0,
    687,  // QHostAddress::QHostAddress(unsigned int)
    688,  // QHostAddress::QHostAddress(unsigned char*)
    691,  // QHostAddress::QHostAddress(const QString&)
    693,  // QHostAddress::QHostAddress(QHostAddress::SpecialAddress)
    0,
    698,  // QHostAddress::setAddress(const QIPv6Address&)
    699,  // QHostAddress::setAddress(const sockaddr*)
    0,
    696,  // QHostAddress::setAddress(unsigned int)
    697,  // QHostAddress::setAddress(unsigned char*)
    700,  // QHostAddress::setAddress(const QString&)
    0,
    882,  // QHttpResponseHeader::QHttpResponseHeader(const QString&)
    892,  // QHttpResponseHeader::QHttpResponseHeader(int)
    0,
    1681,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm)
    1684,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm)
    0,
    1682,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    1685,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat)
    0,
    1683,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    1686,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType)
    0,
    1667,  // QSslKey::QSslKey(const QByteArray&, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    1668,  // QSslKey::QSslKey(QIODevice*, QSsl::KeyAlgorithm, QSsl::EncodingFormat, QSsl::KeyType, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 179, 19},	// QAbstractNetworkCache::QAbstractNetworkCache
    {1, 180, 16},	// QAbstractNetworkCache::QAbstractNetworkCache#
    {1, 464, 12},	// QAbstractNetworkCache::cacheSize
    {1, 473, 15},	// QAbstractNetworkCache::clear
    {1, 527, 10},	// QAbstractNetworkCache::data#
    {1, 626, 14},	// QAbstractNetworkCache::insert#
    {1, 692, 8},	// QAbstractNetworkCache::metaData#
    {1, 694, 1},	// QAbstractNetworkCache::metaObject
    {1, 821, 13},	// QAbstractNetworkCache::prepare#
    {1, 995, 7},	// QAbstractNetworkCache::qt_metacall$$?
    {1, 997, 2},	// QAbstractNetworkCache::qt_metacast$
    {1, 1037, 11},	// QAbstractNetworkCache::remove#
    {1, 1302, 20},	// QAbstractNetworkCache::staticMetaObject
    {1, 1325, 17},	// QAbstractNetworkCache::tr$
    {1, 1326, 3},	// QAbstractNetworkCache::tr$$
    {1, 1327, 5},	// QAbstractNetworkCache::tr$$$
    {1, 1329, 18},	// QAbstractNetworkCache::trUtf8$
    {1, 1330, 4},	// QAbstractNetworkCache::trUtf8$$
    {1, 1331, 6},	// QAbstractNetworkCache::trUtf8$$$
    {1, 1336, 9},	// QAbstractNetworkCache::updateMetaData#
    {1, 1366, 21},	// QAbstractNetworkCache::~QAbstractNetworkCache
    {2, 4, 106},	// QAbstractSocket::AddressInUseError
    {2, 28, 122},	// QAbstractSocket::BoundState
    {2, 45, 124},	// QAbstractSocket::ClosingState
    {2, 49, 121},	// QAbstractSocket::ConnectedState
    {2, 51, 120},	// QAbstractSocket::ConnectingState
    {2, 57, 98},	// QAbstractSocket::ConnectionRefusedError
    {2, 71, 104},	// QAbstractSocket::DatagramTooLargeError
    {2, 97, 119},	// QAbstractSocket::HostLookupState
    {2, 101, 100},	// QAbstractSocket::HostNotFoundError
    {2, 108, 95},	// QAbstractSocket::IPv4Protocol
    {2, 109, 96},	// QAbstractSocket::IPv6Protocol
    {2, 122, 126},	// QAbstractSocket::KeepAliveOption
    {2, 126, 123},	// QAbstractSocket::ListeningState
    {2, 133, 125},	// QAbstractSocket::LowDelayOption
    {2, 139, 105},	// QAbstractSocket::NetworkError
    {2, 168, 110},	// QAbstractSocket::ProxyAuthenticationRequiredError
    {2, 169, 113},	// QAbstractSocket::ProxyConnectionClosedError
    {2, 170, 112},	// QAbstractSocket::ProxyConnectionRefusedError
    {2, 171, 114},	// QAbstractSocket::ProxyConnectionTimeoutError
    {2, 172, 115},	// QAbstractSocket::ProxyNotFoundError
    {2, 173, 116},	// QAbstractSocket::ProxyProtocolError
    {2, 182, 29},	// QAbstractSocket::QAbstractSocket$#
    {2, 307, 99},	// QAbstractSocket::RemoteHostClosedError
    {2, 326, 101},	// QAbstractSocket::SocketAccessError
    {2, 327, 107},	// QAbstractSocket::SocketAddressNotAvailableError
    {2, 328, 102},	// QAbstractSocket::SocketResourceError
    {2, 329, 103},	// QAbstractSocket::SocketTimeoutError
    {2, 333, 111},	// QAbstractSocket::SslHandshakeFailedError
    {2, 341, 92},	// QAbstractSocket::TcpSocket
    {2, 348, 93},	// QAbstractSocket::UdpSocket
    {2, 357, 118},	// QAbstractSocket::UnconnectedState
    {2, 361, 109},	// QAbstractSocket::UnfinishedSocketOperationError
    {2, 366, 97},	// QAbstractSocket::UnknownNetworkLayerProtocol
    {2, 372, 117},	// QAbstractSocket::UnknownSocketError
    {2, 373, 94},	// QAbstractSocket::UnknownSocketType
    {2, 375, 108},	// QAbstractSocket::UnsupportedSocketOperationError
    {2, 403, 44},	// QAbstractSocket::abort
    {2, 439, 54},	// QAbstractSocket::atEnd
    {2, 457, 34},	// QAbstractSocket::bytesAvailable
    {2, 459, 35},	// QAbstractSocket::bytesToWrite
    {2, 465, 36},	// QAbstractSocket::canReadLine
    {2, 476, 52},	// QAbstractSocket::close
    {2, 495, 83},	// QAbstractSocket::connectToHost#$
    {2, 496, 31},	// QAbstractSocket::connectToHost#$$
    {2, 498, 82},	// QAbstractSocket::connectToHost$$
    {2, 499, 30},	// QAbstractSocket::connectToHost$$$
    {2, 505, 90},	// QAbstractSocket::connectToHostImplementation$$
    {2, 506, 68},	// QAbstractSocket::connectToHostImplementation$$$
    {2, 510, 63},	// QAbstractSocket::connected
    {2, 542, 32},	// QAbstractSocket::disconnectFromHost
    {2, 543, 69},	// QAbstractSocket::disconnectFromHostImplementation
    {2, 547, 64},	// QAbstractSocket::disconnected
    {2, 562, 51},	// QAbstractSocket::error
    {2, 563, 66},	// QAbstractSocket::error$
    {2, 575, 55},	// QAbstractSocket::flush
    {2, 614, 62},	// QAbstractSocket::hostFound
    {2, 651, 53},	// QAbstractSocket::isSequential
    {2, 655, 33},	// QAbstractSocket::isValid
    {2, 676, 38},	// QAbstractSocket::localAddress
    {2, 680, 37},	// QAbstractSocket::localPort
    {2, 694, 22},	// QAbstractSocket::metaObject
    {2, 799, 40},	// QAbstractSocket::peerAddress
    {2, 803, 41},	// QAbstractSocket::peerName
    {2, 804, 39},	// QAbstractSocket::peerPort
    {2, 827, 61},	// QAbstractSocket::proxy
    {2, 829, 67},	// QAbstractSocket::proxyAuthenticationRequired##
    {2, 995, 28},	// QAbstractSocket::qt_metacall$$?
    {2, 997, 23},	// QAbstractSocket::qt_metacast$
    {2, 1022, 42},	// QAbstractSocket::readBufferSize
    {2, 1024, 70},	// QAbstractSocket::readData$$
    {2, 1030, 71},	// QAbstractSocket::readLineData$$
    {2, 1150, 76},	// QAbstractSocket::setLocalAddress#
    {2, 1156, 75},	// QAbstractSocket::setLocalPort$
    {2, 1183, 78},	// QAbstractSocket::setPeerAddress#
    {2, 1187, 79},	// QAbstractSocket::setPeerName$
    {2, 1189, 77},	// QAbstractSocket::setPeerPort$
    {2, 1213, 60},	// QAbstractSocket::setProxy#
    {2, 1226, 43},	// QAbstractSocket::setReadBufferSize$
    {2, 1247, 84},	// QAbstractSocket::setSocketDescriptor$
    {2, 1248, 85},	// QAbstractSocket::setSocketDescriptor$$
    {2, 1249, 46},	// QAbstractSocket::setSocketDescriptor$$$
    {2, 1254, 74},	// QAbstractSocket::setSocketError$
    {2, 1256, 47},	// QAbstractSocket::setSocketOption$#
    {2, 1258, 73},	// QAbstractSocket::setSocketState$
    {2, 1289, 45},	// QAbstractSocket::socketDescriptor
    {2, 1291, 48},	// QAbstractSocket::socketOption$
    {2, 1292, 49},	// QAbstractSocket::socketType
    {2, 1299, 50},	// QAbstractSocket::state
    {2, 1301, 65},	// QAbstractSocket::stateChanged$
    {2, 1302, 91},	// QAbstractSocket::staticMetaObject
    {2, 1325, 80},	// QAbstractSocket::tr$
    {2, 1326, 24},	// QAbstractSocket::tr$$
    {2, 1327, 26},	// QAbstractSocket::tr$$$
    {2, 1329, 81},	// QAbstractSocket::trUtf8$
    {2, 1330, 25},	// QAbstractSocket::trUtf8$$
    {2, 1331, 27},	// QAbstractSocket::trUtf8$$$
    {2, 1346, 88},	// QAbstractSocket::waitForBytesWritten
    {2, 1347, 58},	// QAbstractSocket::waitForBytesWritten$
    {2, 1348, 86},	// QAbstractSocket::waitForConnected
    {2, 1349, 56},	// QAbstractSocket::waitForConnected$
    {2, 1350, 89},	// QAbstractSocket::waitForDisconnected
    {2, 1351, 59},	// QAbstractSocket::waitForDisconnected$
    {2, 1359, 87},	// QAbstractSocket::waitForReadyRead
    {2, 1360, 57},	// QAbstractSocket::waitForReadyRead$
    {2, 1362, 72},	// QAbstractSocket::writeData$$
    {2, 1367, 127},	// QAbstractSocket::~QAbstractSocket
    {3, 183, 128},	// QAuthenticator::QAuthenticator
    {3, 184, 129},	// QAuthenticator::QAuthenticator#
    {3, 539, 142},	// QAuthenticator::detach
    {3, 644, 141},	// QAuthenticator::isNull
    {3, 718, 132},	// QAuthenticator::operator!=#
    {3, 754, 130},	// QAuthenticator::operator=#
    {3, 757, 131},	// QAuthenticator::operator==#
    {3, 785, 138},	// QAuthenticator::option$
    {3, 786, 139},	// QAuthenticator::options
    {3, 797, 135},	// QAuthenticator::password
    {3, 1033, 137},	// QAuthenticator::realm
    {3, 1173, 140},	// QAuthenticator::setOption$#
    {3, 1179, 136},	// QAuthenticator::setPassword$
    {3, 1277, 134},	// QAuthenticator::setUser$
    {3, 1341, 133},	// QAuthenticator::user
    {3, 1368, 143},	// QAuthenticator::~QAuthenticator
    {16, 3, 225},	// QFtp::Active
    {16, 12, 228},	// QFtp::Ascii
    {16, 27, 227},	// QFtp::Binary
    {16, 36, 217},	// QFtp::Cd
    {16, 43, 215},	// QFtp::Close
    {16, 44, 204},	// QFtp::Closing
    {16, 47, 213},	// QFtp::ConnectToHost
    {16, 48, 202},	// QFtp::Connected
    {16, 50, 201},	// QFtp::Connecting
    {16, 56, 208},	// QFtp::ConnectionRefused
    {16, 92, 218},	// QFtp::Get
    {16, 96, 200},	// QFtp::HostLookup
    {16, 100, 207},	// QFtp::HostNotFound
    {16, 124, 216},	// QFtp::List
    {16, 131, 203},	// QFtp::LoggedIn
    {16, 132, 214},	// QFtp::Login
    {16, 137, 221},	// QFtp::Mkdir
    {16, 141, 205},	// QFtp::NoError
    {16, 145, 210},	// QFtp::None
    {16, 149, 209},	// QFtp::NotConnected
    {16, 156, 226},	// QFtp::Passive
    {16, 177, 219},	// QFtp::Put
    {16, 185, 189},	// QFtp::QFtp
    {16, 186, 151},	// QFtp::QFtp#
    {16, 299, 224},	// QFtp::RawCommand
    {16, 308, 220},	// QFtp::Remove
    {16, 309, 223},	// QFtp::Rename
    {16, 311, 222},	// QFtp::Rmdir
    {16, 323, 212},	// QFtp::SetProxy
    {16, 324, 211},	// QFtp::SetTransferMode
    {16, 356, 199},	// QFtp::Unconnected
    {16, 364, 206},	// QFtp::UnknownError
    {16, 403, 178},	// QFtp::abort
    {16, 457, 167},	// QFtp::bytesAvailable
    {16, 468, 158},	// QFtp::cd$
    {16, 474, 174},	// QFtp::clearPendingCommands
    {16, 476, 155},	// QFtp::close
    {16, 480, 185},	// QFtp::commandFinished$$
    {16, 482, 184},	// QFtp::commandStarted$
    {16, 497, 190},	// QFtp::connectToHost$
    {16, 498, 153},	// QFtp::connectToHost$$
    {16, 519, 172},	// QFtp::currentCommand
    {16, 521, 171},	// QFtp::currentDevice
    {16, 522, 170},	// QFtp::currentId
    {16, 533, 182},	// QFtp::dataTransferProgress$$
    {16, 550, 186},	// QFtp::done$
    {16, 562, 176},	// QFtp::error
    {16, 564, 177},	// QFtp::errorString
    {16, 591, 194},	// QFtp::get$
    {16, 592, 195},	// QFtp::get$#
    {16, 593, 159},	// QFtp::get$#$
    {16, 603, 173},	// QFtp::hasPendingCommands
    {16, 668, 193},	// QFtp::list
    {16, 669, 157},	// QFtp::list$
    {16, 671, 180},	// QFtp::listInfo#
    {16, 681, 191},	// QFtp::login
    {16, 682, 192},	// QFtp::login$
    {16, 683, 154},	// QFtp::login$$
    {16, 694, 144},	// QFtp::metaObject
    {16, 699, 163},	// QFtp::mkdir$
    {16, 837, -10},	// QFtp::put#$
    {16, 838, -13},	// QFtp::put#$$
    {16, 995, 150},	// QFtp::qt_metacall$$?
    {16, 997, 145},	// QFtp::qt_metacast$
    {16, 1011, 166},	// QFtp::rawCommand$
    {16, 1013, 183},	// QFtp::rawCommandReply$$
    {16, 1020, 168},	// QFtp::read$$
    {16, 1021, 169},	// QFtp::readAll
    {16, 1031, 181},	// QFtp::readyRead
    {16, 1038, 162},	// QFtp::remove$
    {16, 1046, 165},	// QFtp::rename$$
    {16, 1059, 164},	// QFtp::rmdir$
    {16, 1214, 152},	// QFtp::setProxy$$
    {16, 1269, 156},	// QFtp::setTransferMode$
    {16, 1299, 175},	// QFtp::state
    {16, 1301, 179},	// QFtp::stateChanged$
    {16, 1302, 198},	// QFtp::staticMetaObject
    {16, 1325, 187},	// QFtp::tr$
    {16, 1326, 146},	// QFtp::tr$$
    {16, 1327, 148},	// QFtp::tr$$$
    {16, 1329, 188},	// QFtp::trUtf8$
    {16, 1330, 147},	// QFtp::trUtf8$$
    {16, 1331, 149},	// QFtp::trUtf8$$$
    {16, 1369, 229},	// QFtp::~QFtp
    {17, 293, 679},	// QGlobalSpace::QtCriticalMsg
    {17, 294, 677},	// QGlobalSpace::QtDebugMsg
    {17, 295, 680},	// QGlobalSpace::QtFatalMsg
    {17, 296, 681},	// QGlobalSpace::QtSystemMsg
    {17, 297, 678},	// QGlobalSpace::QtWarningMsg
    {17, 387, 676},	// QGlobalSpace::_ISalnum
    {17, 388, 667},	// QGlobalSpace::_ISalpha
    {17, 389, 673},	// QGlobalSpace::_ISblank
    {17, 390, 674},	// QGlobalSpace::_IScntrl
    {17, 391, 668},	// QGlobalSpace::_ISdigit
    {17, 392, 672},	// QGlobalSpace::_ISgraph
    {17, 393, 666},	// QGlobalSpace::_ISlower
    {17, 394, 671},	// QGlobalSpace::_ISprint
    {17, 395, 675},	// QGlobalSpace::_ISpunct
    {17, 396, 670},	// QGlobalSpace::_ISspace
    {17, 397, 665},	// QGlobalSpace::_ISupper
    {17, 398, 669},	// QGlobalSpace::_ISxdigit
    {17, 399, 684},	// QGlobalSpace::__codecvt_error
    {17, 400, 685},	// QGlobalSpace::__codecvt_noconv
    {17, 401, 682},	// QGlobalSpace::__codecvt_ok
    {17, 402, 683},	// QGlobalSpace::__codecvt_partial
    {17, 719, -59},	// QGlobalSpace::operator!=##
    {17, 720, -76},	// QGlobalSpace::operator!=#$
    {17, 722, -82},	// QGlobalSpace::operator!=$#
    {17, 723, 364},	// QGlobalSpace::operator!=$$
    {17, 725, 450},	// QGlobalSpace::operator&##
    {17, 727, -89},	// QGlobalSpace::operator*#$
    {17, 728, -94},	// QGlobalSpace::operator*$#
    {17, 730, -99},	// QGlobalSpace::operator+##
    {17, 731, -105},	// QGlobalSpace::operator+#$
    {17, 732, -110},	// QGlobalSpace::operator+$#
    {17, 733, -115},	// QGlobalSpace::operator+$$
    {17, 735, -121},	// QGlobalSpace::operator-#
    {17, 736, -124},	// QGlobalSpace::operator-##
    {17, 738, -129},	// QGlobalSpace::operator/#$
    {17, 740, -134},	// QGlobalSpace::operator<##
    {17, 741, 491},	// QGlobalSpace::operator<#$
    {17, 742, -139},	// QGlobalSpace::operator<$#
    {17, 743, 305},	// QGlobalSpace::operator<$$
    {17, 745, -142},	// QGlobalSpace::operator<<##
    {17, 746, -193},	// QGlobalSpace::operator<<#$
    {17, 747, 465},	// QGlobalSpace::operator<<#?
    {17, 749, -205},	// QGlobalSpace::operator<=##
    {17, 750, 343},	// QGlobalSpace::operator<=#$
    {17, 751, -210},	// QGlobalSpace::operator<=$#
    {17, 752, 505},	// QGlobalSpace::operator<=$$
    {17, 758, -213},	// QGlobalSpace::operator==##
    {17, 759, -231},	// QGlobalSpace::operator==#$
    {17, 761, -237},	// QGlobalSpace::operator==$#
    {17, 762, 645},	// QGlobalSpace::operator==$$
    {17, 764, -245},	// QGlobalSpace::operator>##
    {17, 765, 657},	// QGlobalSpace::operator>#$
    {17, 766, -250},	// QGlobalSpace::operator>$#
    {17, 767, 428},	// QGlobalSpace::operator>$$
    {17, 769, -253},	// QGlobalSpace::operator>=##
    {17, 770, 250},	// QGlobalSpace::operator>=#$
    {17, 771, -258},	// QGlobalSpace::operator>=$#
    {17, 772, 652},	// QGlobalSpace::operator>=$$
    {17, 774, -261},	// QGlobalSpace::operator>>##
    {17, 775, -285},	// QGlobalSpace::operator>>#$
    {17, 776, 410},	// QGlobalSpace::operator>>#?
    {17, 780, 347},	// QGlobalSpace::operator^##
    {17, 782, 577},	// QGlobalSpace::operator|##
    {17, 783, -288},	// QGlobalSpace::operator|$$
    {17, 840, 549},	// QGlobalSpace::qAcos$
    {17, 842, 474},	// QGlobalSpace::qAddPostRoutine$
    {17, 843, 482},	// QGlobalSpace::qAppName
    {17, 845, 569},	// QGlobalSpace::qAsin$
    {17, 847, 596},	// QGlobalSpace::qAtan$
    {17, 849, 248},	// QGlobalSpace::qAtan2$$
    {17, 850, 554},	// QGlobalSpace::qBadAlloc
    {17, 852, 498},	// QGlobalSpace::qCeil$
    {17, 854, 405},	// QGlobalSpace::qChecksum$$
    {17, 856, 560},	// QGlobalSpace::qCompress#
    {17, 857, 559},	// QGlobalSpace::qCompress#$
    {17, 858, 476},	// QGlobalSpace::qCompress$$
    {17, 859, 475},	// QGlobalSpace::qCompress$$$
    {17, 861, 272},	// QGlobalSpace::qCos$
    {17, 862, 458},	// QGlobalSpace::qCritical
    {17, 863, 507},	// QGlobalSpace::qDebug
    {17, 865, 397},	// QGlobalSpace::qExp$
    {17, 867, 540},	// QGlobalSpace::qFabs$
    {17, 869, 358},	// QGlobalSpace::qFastCos$
    {17, 871, 478},	// QGlobalSpace::qFastSin$
    {17, 873, 367},	// QGlobalSpace::qFlagLocation$
    {17, 875, 325},	// QGlobalSpace::qFloor$
    {17, 877, 485},	// QGlobalSpace::qFree$
    {17, 879, 487},	// QGlobalSpace::qFreeAligned$
    {17, 881, -388},	// QGlobalSpace::qFuzzyCompare$$
    {17, 883, -391},	// QGlobalSpace::qFuzzyIsNull$
    {17, 885, -394},	// QGlobalSpace::qHash#
    {17, 886, -403},	// QGlobalSpace::qHash$
    {17, 887, 622},	// QGlobalSpace::qInf
    {17, 889, 355},	// QGlobalSpace::qInstallMsgHandler$
    {17, 891, -416},	// QGlobalSpace::qIntCast$
    {17, 893, -419},	// QGlobalSpace::qIsFinite$
    {17, 895, -422},	// QGlobalSpace::qIsInf$
    {17, 897, -425},	// QGlobalSpace::qIsNaN$
    {17, 899, -428},	// QGlobalSpace::qIsNull$
    {17, 901, 400},	// QGlobalSpace::qLn$
    {17, 903, 407},	// QGlobalSpace::qMalloc$
    {17, 905, 508},	// QGlobalSpace::qMallocAligned$$
    {17, 907, 236},	// QGlobalSpace::qMemCopy$$$
    {17, 909, 535},	// QGlobalSpace::qMemSet$$$
    {17, 911, 510},	// QGlobalSpace::qPow$$
    {17, 912, 408},	// QGlobalSpace::qQNaN
    {17, 914, 349},	// QGlobalSpace::qRealloc$$
    {17, 916, 338},	// QGlobalSpace::qReallocAligned$$$$
    {17, 918, 404},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {17, 920, 630},	// QGlobalSpace::qRemovePostRoutine$
    {17, 922, 621},	// QGlobalSpace::qRound$
    {17, 924, 354},	// QGlobalSpace::qRound64$
    {17, 925, 604},	// QGlobalSpace::qSNaN
    {17, 927, 322},	// QGlobalSpace::qSetFieldWidth$
    {17, 929, 258},	// QGlobalSpace::qSetPadChar#
    {17, 931, 398},	// QGlobalSpace::qSetRealNumberPrecision$
    {17, 932, 277},	// QGlobalSpace::qSharedBuild
    {17, 934, 573},	// QGlobalSpace::qSin$
    {17, 936, 356},	// QGlobalSpace::qSqrt$
    {17, 938, 501},	// QGlobalSpace::qStringComparisonHelper#$
    {17, 939, 245},	// QGlobalSpace::qStringComparisonHelper$$
    {17, 941, 318},	// QGlobalSpace::qTan$
    {17, 943, 439},	// QGlobalSpace::qUncompress#
    {17, 944, 316},	// QGlobalSpace::qUncompress$$
    {17, 945, 483},	// QGlobalSpace::qVersion
    {17, 946, 635},	// QGlobalSpace::qWarning
    {17, 948, 332},	// QGlobalSpace::qbswap_helper$$$
    {17, 950, 548},	// QGlobalSpace::qgcvt$$$
    {17, 952, 252},	// QGlobalSpace::qgetenv$
    {17, 954, 411},	// QGlobalSpace::qputenv$#
    {17, 955, 446},	// QGlobalSpace::qrand
    {17, 957, 457},	// QGlobalSpace::qsort$$$?
    {17, 959, 414},	// QGlobalSpace::qsrand$
    {17, 961, 544},	// QGlobalSpace::qstrcmp##
    {17, 962, 628},	// QGlobalSpace::qstrcmp#$
    {17, 963, 246},	// QGlobalSpace::qstrcmp$#
    {17, 964, 271},	// QGlobalSpace::qstrcmp$$
    {17, 966, 388},	// QGlobalSpace::qstrcpy$$
    {17, 968, 502},	// QGlobalSpace::qstrdup$
    {17, 970, 618},	// QGlobalSpace::qstricmp$$
    {17, 972, 636},	// QGlobalSpace::qstrlen$
    {17, 974, 317},	// QGlobalSpace::qstrncmp$$$
    {17, 976, 437},	// QGlobalSpace::qstrncpy$$$
    {17, 978, 421},	// QGlobalSpace::qstrnicmp$$$
    {17, 980, 235},	// QGlobalSpace::qstrnlen$$
    {17, 982, 583},	// QGlobalSpace::qtTrId$
    {17, 983, 582},	// QGlobalSpace::qtTrId$$
    {17, 985, 374},	// QGlobalSpace::qt_assert$$$
    {17, 987, 449},	// QGlobalSpace::qt_assert_x$$$$
    {17, 989, 537},	// QGlobalSpace::qt_check_pointer$$
    {17, 990, 312},	// QGlobalSpace::qt_error_string
    {17, 991, 311},	// QGlobalSpace::qt_error_string$
    {17, 993, 650},	// QGlobalSpace::qt_message_output$$
    {17, 998, 237},	// QGlobalSpace::qt_noop
    {17, 1000, 431},	// QGlobalSpace::qt_qFindChild_helper#$#
    {17, 1002, 594},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {17, 1007, 591},	// QGlobalSpace::qvariant_cast_helper#$$
    {17, 1009, 533},	// QGlobalSpace::qvsnprintf$$$?
    {19, 7, 720},	// QHostAddress::Any
    {19, 8, 721},	// QHostAddress::AnyIPv6
    {19, 29, 717},	// QHostAddress::Broadcast
    {19, 127, 718},	// QHostAddress::LocalHost
    {19, 128, 719},	// QHostAddress::LocalHostIPv6
    {19, 151, 716},	// QHostAddress::Null
    {19, 187, 686},	// QHostAddress::QHostAddress
    {19, 188, -431},	// QHostAddress::QHostAddress#
    {19, 189, -435},	// QHostAddress::QHostAddress$
    {19, 473, 712},	// QHostAddress::clear
    {19, 641, 713},	// QHostAddress::isInSubnet#$
    {19, 642, 714},	// QHostAddress::isInSubnet?
    {19, 644, 711},	// QHostAddress::isNull
    {19, 718, 709},	// QHostAddress::operator!=#
    {19, 721, 710},	// QHostAddress::operator!=$
    {19, 754, 694},	// QHostAddress::operator=#
    {19, 755, 695},	// QHostAddress::operator=$
    {19, 757, 707},	// QHostAddress::operator==#
    {19, 760, 708},	// QHostAddress::operator==$
    {19, 796, 715},	// QHostAddress::parseSubnet$
    {19, 824, 701},	// QHostAddress::protocol
    {19, 1061, 705},	// QHostAddress::scopeId
    {19, 1075, -440},	// QHostAddress::setAddress#
    {19, 1076, -443},	// QHostAddress::setAddress$
    {19, 1237, 706},	// QHostAddress::setScopeId$
    {19, 1317, 702},	// QHostAddress::toIPv4Address
    {19, 1318, 703},	// QHostAddress::toIPv6Address
    {19, 1323, 704},	// QHostAddress::toString
    {19, 1370, 722},	// QHostAddress::~QHostAddress
    {20, 100, 743},	// QHostInfo::HostNotFound
    {20, 141, 742},	// QHostInfo::NoError
    {20, 190, 741},	// QHostInfo::QHostInfo
    {20, 191, 724},	// QHostInfo::QHostInfo#
    {20, 192, 723},	// QHostInfo::QHostInfo$
    {20, 364, 744},	// QHostInfo::UnknownError
    {20, 405, 737},	// QHostInfo::abortHostLookup$
    {20, 428, 728},	// QHostInfo::addresses
    {20, 562, 730},	// QHostInfo::error
    {20, 564, 732},	// QHostInfo::errorString
    {20, 583, 738},	// QHostInfo::fromName$
    {20, 615, 726},	// QHostInfo::hostName
    {20, 678, 740},	// QHostInfo::localDomainName
    {20, 679, 739},	// QHostInfo::localHostName
    {20, 685, 736},	// QHostInfo::lookupHost$#$
    {20, 686, 735},	// QHostInfo::lookupId
    {20, 754, 725},	// QHostInfo::operator=#
    {20, 1078, 729},	// QHostInfo::setAddresses?
    {20, 1123, 731},	// QHostInfo::setError$
    {20, 1126, 733},	// QHostInfo::setErrorString$
    {20, 1140, 727},	// QHostInfo::setHostName$
    {20, 1158, 734},	// QHostInfo::setLookupId$
    {20, 1371, 745},	// QHostInfo::~QHostInfo
    {21, 1, 831},	// QHttp::Aborted
    {21, 13, 832},	// QHttp::AuthenticationRequiredError
    {21, 44, 823},	// QHttp::Closing
    {21, 48, 822},	// QHttp::Connected
    {21, 50, 819},	// QHttp::Connecting
    {21, 54, 815},	// QHttp::ConnectionModeHttp
    {21, 55, 816},	// QHttp::ConnectionModeHttps
    {21, 56, 827},	// QHttp::ConnectionRefused
    {21, 96, 818},	// QHttp::HostLookup
    {21, 100, 826},	// QHttp::HostNotFound
    {21, 117, 829},	// QHttp::InvalidResponseHeader
    {21, 141, 824},	// QHttp::NoError
    {21, 168, 833},	// QHttp::ProxyAuthenticationRequiredError
    {21, 193, 798},	// QHttp::QHttp
    {21, 194, 753},	// QHttp::QHttp#
    {21, 195, 799},	// QHttp::QHttp$
    {21, 196, -31},	// QHttp::QHttp$$
    {21, 197, 754},	// QHttp::QHttp$$#
    {21, 198, 802},	// QHttp::QHttp$$$
    {21, 199, 755},	// QHttp::QHttp$$$#
    {21, 305, 821},	// QHttp::Reading
    {21, 317, 820},	// QHttp::Sending
    {21, 356, 817},	// QHttp::Unconnected
    {21, 360, 828},	// QHttp::UnexpectedClose
    {21, 364, 825},	// QHttp::UnknownError
    {21, 386, 830},	// QHttp::WrongContentLength
    {21, 403, 783},	// QHttp::abort
    {21, 447, 794},	// QHttp::authenticationRequired$$#
    {21, 457, 770},	// QHttp::bytesAvailable
    {21, 475, 779},	// QHttp::clearPendingRequests
    {21, 476, 769},	// QHttp::close
    {21, 477, 768},	// QHttp::closeConnection
    {21, 520, 775},	// QHttp::currentDestinationDevice
    {21, 522, 773},	// QHttp::currentId
    {21, 523, 776},	// QHttp::currentRequest
    {21, 524, 774},	// QHttp::currentSourceDevice
    {21, 529, 789},	// QHttp::dataReadProgress$$
    {21, 531, 788},	// QHttp::dataSendProgress$$
    {21, 550, 792},	// QHttp::done$
    {21, 562, 781},	// QHttp::error
    {21, 564, 782},	// QHttp::errorString
    {21, 591, 808},	// QHttp::get$
    {21, 592, 762},	// QHttp::get$#
    {21, 606, 778},	// QHttp::hasPendingRequests
    {21, 611, 765},	// QHttp::head$
    {21, 619, 784},	// QHttp::ignoreSslErrors
    {21, 664, 777},	// QHttp::lastResponse
    {21, 694, 746},	// QHttp::metaObject
    {21, 815, -34},	// QHttp::post$#
    {21, 816, -37},	// QHttp::post$##
    {21, 829, 793},	// QHttp::proxyAuthenticationRequired##
    {21, 995, 752},	// QHttp::qt_metacall$$?
    {21, 997, 747},	// QHttp::qt_metacast$
    {21, 1020, 771},	// QHttp::read$$
    {21, 1021, 772},	// QHttp::readAll
    {21, 1032, 787},	// QHttp::readyRead#
    {21, 1048, 811},	// QHttp::request#
    {21, 1049, -40},	// QHttp::request##
    {21, 1050, -43},	// QHttp::request###
    {21, 1052, 791},	// QHttp::requestFinished$$
    {21, 1054, 790},	// QHttp::requestStarted$
    {21, 1057, 786},	// QHttp::responseHeaderReceived#
    {21, 1136, 803},	// QHttp::setHost$
    {21, 1137, -46},	// QHttp::setHost$$
    {21, 1138, 757},	// QHttp::setHost$$$
    {21, 1213, 761},	// QHttp::setProxy#
    {21, 1214, 806},	// QHttp::setProxy$$
    {21, 1215, 807},	// QHttp::setProxy$$$
    {21, 1216, 760},	// QHttp::setProxy$$$$
    {21, 1245, 758},	// QHttp::setSocket#
    {21, 1277, 805},	// QHttp::setUser$
    {21, 1278, 759},	// QHttp::setUser$$
    {21, 1296, 795},	// QHttp::sslErrors?
    {21, 1299, 780},	// QHttp::state
    {21, 1301, 785},	// QHttp::stateChanged$
    {21, 1302, 814},	// QHttp::staticMetaObject
    {21, 1325, 796},	// QHttp::tr$
    {21, 1326, 748},	// QHttp::tr$$
    {21, 1327, 750},	// QHttp::tr$$$
    {21, 1329, 797},	// QHttp::trUtf8$
    {21, 1330, 749},	// QHttp::trUtf8$$
    {21, 1331, 751},	// QHttp::trUtf8$$$
    {21, 1372, 834},	// QHttp::~QHttp
    {22, 200, 835},	// QHttpHeader::QHttpHeader
    {22, 201, 836},	// QHttpHeader::QHttpHeader#
    {22, 202, 837},	// QHttpHeader::QHttpHeader$
    {22, 426, 841},	// QHttpHeader::addValue$$
    {22, 436, 846},	// QHttpHeader::allValues$
    {22, 511, 850},	// QHttpHeader::contentLength
    {22, 512, 853},	// QHttpHeader::contentType
    {22, 599, 849},	// QHttpHeader::hasContentLength
    {22, 600, 852},	// QHttpHeader::hasContentType
    {22, 602, 843},	// QHttpHeader::hasKey$
    {22, 655, 856},	// QHttpHeader::isValid
    {22, 661, 844},	// QHttpHeader::keys
    {22, 687, 857},	// QHttpHeader::majorVersion
    {22, 697, 858},	// QHttpHeader::minorVersion
    {22, 754, 838},	// QHttpHeader::operator=#
    {22, 790, 860},	// QHttpHeader::parse$
    {22, 794, 859},	// QHttpHeader::parseLine$$
    {22, 1040, 848},	// QHttpHeader::removeAllValues$
    {22, 1044, 847},	// QHttpHeader::removeValue$
    {22, 1105, 851},	// QHttpHeader::setContentLength$
    {22, 1107, 854},	// QHttpHeader::setContentType$
    {22, 1280, 861},	// QHttpHeader::setValid$
    {22, 1283, 839},	// QHttpHeader::setValue$$
    {22, 1285, 840},	// QHttpHeader::setValues?
    {22, 1323, 855},	// QHttpHeader::toString
    {22, 1343, 845},	// QHttpHeader::value$
    {22, 1344, 842},	// QHttpHeader::values
    {22, 1373, 862},	// QHttpHeader::~QHttpHeader
    {23, 203, 863},	// QHttpRequestHeader::QHttpRequestHeader
    {23, 204, 865},	// QHttpRequestHeader::QHttpRequestHeader#
    {23, 205, 866},	// QHttpRequestHeader::QHttpRequestHeader$
    {23, 206, 875},	// QHttpRequestHeader::QHttpRequestHeader$$
    {23, 207, 876},	// QHttpRequestHeader::QHttpRequestHeader$$$
    {23, 208, 864},	// QHttpRequestHeader::QHttpRequestHeader$$$$
    {23, 687, 871},	// QHttpRequestHeader::majorVersion
    {23, 695, 869},	// QHttpRequestHeader::method
    {23, 697, 872},	// QHttpRequestHeader::minorVersion
    {23, 754, 867},	// QHttpRequestHeader::operator=#
    {23, 794, 874},	// QHttpRequestHeader::parseLine$$
    {23, 798, 870},	// QHttpRequestHeader::path
    {23, 1231, 877},	// QHttpRequestHeader::setRequest$$
    {23, 1232, 878},	// QHttpRequestHeader::setRequest$$$
    {23, 1233, 868},	// QHttpRequestHeader::setRequest$$$$
    {23, 1323, 873},	// QHttpRequestHeader::toString
    {23, 1374, 879},	// QHttpRequestHeader::~QHttpRequestHeader
    {24, 209, 880},	// QHttpResponseHeader::QHttpResponseHeader
    {24, 210, 881},	// QHttpResponseHeader::QHttpResponseHeader#
    {24, 211, -447},	// QHttpResponseHeader::QHttpResponseHeader$
    {24, 212, 893},	// QHttpResponseHeader::QHttpResponseHeader$$
    {24, 213, 894},	// QHttpResponseHeader::QHttpResponseHeader$$$
    {24, 214, 883},	// QHttpResponseHeader::QHttpResponseHeader$$$$
    {24, 687, 888},	// QHttpResponseHeader::majorVersion
    {24, 697, 889},	// QHttpResponseHeader::minorVersion
    {24, 754, 884},	// QHttpResponseHeader::operator=#
    {24, 794, 891},	// QHttpResponseHeader::parseLine$$
    {24, 1034, 887},	// QHttpResponseHeader::reasonPhrase
    {24, 1262, 895},	// QHttpResponseHeader::setStatusLine$
    {24, 1263, 896},	// QHttpResponseHeader::setStatusLine$$
    {24, 1264, 897},	// QHttpResponseHeader::setStatusLine$$$
    {24, 1265, 885},	// QHttpResponseHeader::setStatusLine$$$$
    {24, 1303, 886},	// QHttpResponseHeader::statusCode
    {24, 1323, 890},	// QHttpResponseHeader::toString
    {24, 1375, 898},	// QHttpResponseHeader::~QHttpResponseHeader
    {26, 215, 922},	// QIPv6Address::QIPv6Address
    {26, 216, 923},	// QIPv6Address::QIPv6Address#
    {26, 778, -16},	// QIPv6Address::operator[]$
    {26, 1376, 924},	// QIPv6Address::~QIPv6Address
    {31, 217, 950},	// QLocalServer::QLocalServer
    {31, 218, 933},	// QLocalServer::QLocalServer#
    {31, 476, 934},	// QLocalServer::close
    {31, 564, 935},	// QLocalServer::errorString
    {31, 588, 942},	// QLocalServer::fullServerName
    {31, 604, 936},	// QLocalServer::hasPendingConnections
    {31, 623, 947},	// QLocalServer::incomingConnection?
    {31, 643, 937},	// QLocalServer::isListening
    {31, 675, 938},	// QLocalServer::listen$
    {31, 689, 939},	// QLocalServer::maxPendingConnections
    {31, 694, 925},	// QLocalServer::metaObject
    {31, 710, 932},	// QLocalServer::newConnection
    {31, 711, 940},	// QLocalServer::nextPendingConnection
    {31, 995, 931},	// QLocalServer::qt_metacall$$?
    {31, 997, 926},	// QLocalServer::qt_metacast$
    {31, 1042, 943},	// QLocalServer::removeServer$
    {31, 1068, 944},	// QLocalServer::serverError
    {31, 1069, 941},	// QLocalServer::serverName
    {31, 1160, 945},	// QLocalServer::setMaxPendingConnections$
    {31, 1302, 953},	// QLocalServer::staticMetaObject
    {31, 1325, 948},	// QLocalServer::tr$
    {31, 1326, 927},	// QLocalServer::tr$$
    {31, 1327, 929},	// QLocalServer::tr$$$
    {31, 1329, 949},	// QLocalServer::trUtf8$
    {31, 1330, 928},	// QLocalServer::trUtf8$$
    {31, 1331, 930},	// QLocalServer::trUtf8$$$
    {31, 1354, 951},	// QLocalServer::waitForNewConnection
    {31, 1355, 952},	// QLocalServer::waitForNewConnection$
    {31, 1356, 946},	// QLocalServer::waitForNewConnection$$
    {31, 1377, 954},	// QLocalServer::~QLocalServer
    {32, 45, 1015},	// QLocalSocket::ClosingState
    {32, 49, 1014},	// QLocalSocket::ConnectedState
    {32, 51, 1013},	// QLocalSocket::ConnectingState
    {32, 53, 1009},	// QLocalSocket::ConnectionError
    {32, 57, 1002},	// QLocalSocket::ConnectionRefusedError
    {32, 71, 1008},	// QLocalSocket::DatagramTooLargeError
    {32, 158, 1003},	// QLocalSocket::PeerClosedError
    {32, 219, 993},	// QLocalSocket::QLocalSocket
    {32, 220, 962},	// QLocalSocket::QLocalSocket#
    {32, 318, 1004},	// QLocalSocket::ServerNotFoundError
    {32, 326, 1005},	// QLocalSocket::SocketAccessError
    {32, 328, 1006},	// QLocalSocket::SocketResourceError
    {32, 329, 1007},	// QLocalSocket::SocketTimeoutError
    {32, 357, 1012},	// QLocalSocket::UnconnectedState
    {32, 372, 1011},	// QLocalSocket::UnknownSocketError
    {32, 375, 1010},	// QLocalSocket::UnsupportedSocketOperationError
    {32, 403, 967},	// QLocalSocket::abort
    {32, 457, 969},	// QLocalSocket::bytesAvailable
    {32, 459, 970},	// QLocalSocket::bytesToWrite
    {32, 465, 971},	// QLocalSocket::canReadLine
    {32, 476, 972},	// QLocalSocket::close
    {32, 508, 994},	// QLocalSocket::connectToServer$
    {32, 509, 963},	// QLocalSocket::connectToServer$$
    {32, 510, 985},	// QLocalSocket::connected
    {32, 544, 964},	// QLocalSocket::disconnectFromServer
    {32, 547, 986},	// QLocalSocket::disconnected
    {32, 562, 973},	// QLocalSocket::error
    {32, 563, 987},	// QLocalSocket::error$
    {32, 575, 974},	// QLocalSocket::flush
    {32, 588, 966},	// QLocalSocket::fullServerName
    {32, 651, 968},	// QLocalSocket::isSequential
    {32, 655, 975},	// QLocalSocket::isValid
    {32, 694, 955},	// QLocalSocket::metaObject
    {32, 995, 961},	// QLocalSocket::qt_metacall$$?
    {32, 997, 956},	// QLocalSocket::qt_metacast$
    {32, 1022, 976},	// QLocalSocket::readBufferSize
    {32, 1024, 989},	// QLocalSocket::readData$$
    {32, 1069, 965},	// QLocalSocket::serverName
    {32, 1226, 977},	// QLocalSocket::setReadBufferSize$
    {32, 1250, 995},	// QLocalSocket::setSocketDescriptor?
    {32, 1251, 996},	// QLocalSocket::setSocketDescriptor?$
    {32, 1252, 978},	// QLocalSocket::setSocketDescriptor?$$
    {32, 1289, 979},	// QLocalSocket::socketDescriptor
    {32, 1299, 980},	// QLocalSocket::state
    {32, 1301, 988},	// QLocalSocket::stateChanged$
    {32, 1302, 1001},	// QLocalSocket::staticMetaObject
    {32, 1325, 991},	// QLocalSocket::tr$
    {32, 1326, 957},	// QLocalSocket::tr$$
    {32, 1327, 959},	// QLocalSocket::tr$$$
    {32, 1329, 992},	// QLocalSocket::trUtf8$
    {32, 1330, 958},	// QLocalSocket::trUtf8$$
    {32, 1331, 960},	// QLocalSocket::trUtf8$$$
    {32, 1346, 997},	// QLocalSocket::waitForBytesWritten
    {32, 1347, 981},	// QLocalSocket::waitForBytesWritten$
    {32, 1348, 998},	// QLocalSocket::waitForConnected
    {32, 1349, 982},	// QLocalSocket::waitForConnected$
    {32, 1350, 999},	// QLocalSocket::waitForDisconnected
    {32, 1351, 983},	// QLocalSocket::waitForDisconnected$
    {32, 1359, 1000},	// QLocalSocket::waitForReadyRead
    {32, 1360, 984},	// QLocalSocket::waitForReadyRead$
    {32, 1362, 990},	// QLocalSocket::writeData$$
    {32, 1378, 1016},	// QLocalSocket::~QLocalSocket
    {37, 2, 1068},	// QNetworkAccessManager::Accessible
    {37, 68, 1064},	// QNetworkAccessManager::CustomOperation
    {37, 75, 1063},	// QNetworkAccessManager::DeleteOperation
    {37, 93, 1060},	// QNetworkAccessManager::GetOperation
    {37, 94, 1059},	// QNetworkAccessManager::HeadOperation
    {37, 147, 1067},	// QNetworkAccessManager::NotAccessible
    {37, 160, 1062},	// QNetworkAccessManager::PostOperation
    {37, 178, 1061},	// QNetworkAccessManager::PutOperation
    {37, 221, 1055},	// QNetworkAccessManager::QNetworkAccessManager
    {37, 222, 1024},	// QNetworkAccessManager::QNetworkAccessManager#
    {37, 362, 1066},	// QNetworkAccessManager::UnknownAccessibility
    {37, 367, 1065},	// QNetworkAccessManager::UnknownOperation
    {37, 407, 1043},	// QNetworkAccessManager::activeConfiguration
    {37, 446, 1047},	// QNetworkAccessManager::authenticationRequired##
    {37, 462, 1029},	// QNetworkAccessManager::cache
    {37, 483, 1042},	// QNetworkAccessManager::configuration
    {37, 513, 1031},	// QNetworkAccessManager::cookieJar
    {37, 517, 1057},	// QNetworkAccessManager::createRequest$#
    {37, 518, 1052},	// QNetworkAccessManager::createRequest$##
    {37, 538, 1039},	// QNetworkAccessManager::deleteResource#
    {37, 573, 1048},	// QNetworkAccessManager::finished#
    {37, 590, 1034},	// QNetworkAccessManager::get#
    {37, 610, 1033},	// QNetworkAccessManager::head#
    {37, 694, 1017},	// QNetworkAccessManager::metaObject
    {37, 705, 1045},	// QNetworkAccessManager::networkAccessible
    {37, 707, 1051},	// QNetworkAccessManager::networkAccessibleChanged$
    {37, 708, 1050},	// QNetworkAccessManager::networkSessionConnected
    {37, 814, -25},	// QNetworkAccessManager::post##
    {37, 827, 1025},	// QNetworkAccessManager::proxy
    {37, 829, 1046},	// QNetworkAccessManager::proxyAuthenticationRequired##
    {37, 830, 1027},	// QNetworkAccessManager::proxyFactory
    {37, 836, -28},	// QNetworkAccessManager::put##
    {37, 995, 1023},	// QNetworkAccessManager::qt_metacall$$?
    {37, 997, 1018},	// QNetworkAccessManager::qt_metacast$
    {37, 1064, 1056},	// QNetworkAccessManager::sendCustomRequest##
    {37, 1065, 1040},	// QNetworkAccessManager::sendCustomRequest###
    {37, 1094, 1030},	// QNetworkAccessManager::setCache#
    {37, 1103, 1041},	// QNetworkAccessManager::setConfiguration#
    {37, 1109, 1032},	// QNetworkAccessManager::setCookieJar#
    {37, 1169, 1044},	// QNetworkAccessManager::setNetworkAccessible$
    {37, 1213, 1026},	// QNetworkAccessManager::setProxy#
    {37, 1218, 1028},	// QNetworkAccessManager::setProxyFactory#
    {37, 1295, 1049},	// QNetworkAccessManager::sslErrors#?
    {37, 1302, 1058},	// QNetworkAccessManager::staticMetaObject
    {37, 1325, 1053},	// QNetworkAccessManager::tr$
    {37, 1326, 1019},	// QNetworkAccessManager::tr$$
    {37, 1327, 1021},	// QNetworkAccessManager::tr$$$
    {37, 1329, 1054},	// QNetworkAccessManager::trUtf8$
    {37, 1330, 1020},	// QNetworkAccessManager::trUtf8$$
    {37, 1331, 1022},	// QNetworkAccessManager::trUtf8$$$
    {37, 1379, 1069},	// QNetworkAccessManager::~QNetworkAccessManager
    {38, 223, 1070},	// QNetworkAddressEntry::QNetworkAddressEntry
    {38, 224, 1071},	// QNetworkAddressEntry::QNetworkAddressEntry#
    {38, 456, 1081},	// QNetworkAddressEntry::broadcast
    {38, 632, 1075},	// QNetworkAddressEntry::ip
    {38, 704, 1077},	// QNetworkAddressEntry::netmask
    {38, 718, 1074},	// QNetworkAddressEntry::operator!=#
    {38, 754, 1072},	// QNetworkAddressEntry::operator=#
    {38, 757, 1073},	// QNetworkAddressEntry::operator==#
    {38, 819, 1079},	// QNetworkAddressEntry::prefixLength
    {38, 1090, 1082},	// QNetworkAddressEntry::setBroadcast#
    {38, 1144, 1076},	// QNetworkAddressEntry::setIp#
    {38, 1167, 1078},	// QNetworkAddressEntry::setNetmask#
    {38, 1199, 1080},	// QNetworkAddressEntry::setPrefixLength$
    {38, 1380, 1083},	// QNetworkAddressEntry::~QNetworkAddressEntry
    {39, 225, 1084},	// QNetworkCacheMetaData::QNetworkCacheMetaData
    {39, 226, 1085},	// QNetworkCacheMetaData::QNetworkCacheMetaData#
    {39, 443, 1100},	// QNetworkCacheMetaData::attributes
    {39, 567, 1096},	// QNetworkCacheMetaData::expirationDate
    {39, 655, 1089},	// QNetworkCacheMetaData::isValid
    {39, 662, 1094},	// QNetworkCacheMetaData::lastModified
    {39, 718, 1088},	// QNetworkCacheMetaData::operator!=#
    {39, 754, 1086},	// QNetworkCacheMetaData::operator=#
    {39, 757, 1087},	// QNetworkCacheMetaData::operator==#
    {39, 1018, 1092},	// QNetworkCacheMetaData::rawHeaders
    {39, 1060, 1098},	// QNetworkCacheMetaData::saveToDisk
    {39, 1088, 1101},	// QNetworkCacheMetaData::setAttributes?
    {39, 1128, 1097},	// QNetworkCacheMetaData::setExpirationDate#
    {39, 1146, 1095},	// QNetworkCacheMetaData::setLastModified#
    {39, 1224, 1093},	// QNetworkCacheMetaData::setRawHeaders?
    {39, 1235, 1099},	// QNetworkCacheMetaData::setSaveToDisk$
    {39, 1273, 1091},	// QNetworkCacheMetaData::setUrl#
    {39, 1339, 1090},	// QNetworkCacheMetaData::url
    {39, 1381, 1102},	// QNetworkCacheMetaData::~QNetworkCacheMetaData
    {40, 3, 1130},	// QNetworkConfiguration::Active
    {40, 18, 1134},	// QNetworkConfiguration::Bearer2G
    {40, 19, 1138},	// QNetworkConfiguration::BearerBluetooth
    {40, 20, 1135},	// QNetworkConfiguration::BearerCDMA2000
    {40, 21, 1132},	// QNetworkConfiguration::BearerEthernet
    {40, 22, 1137},	// QNetworkConfiguration::BearerHSPA
    {40, 23, 1131},	// QNetworkConfiguration::BearerUnknown
    {40, 24, 1136},	// QNetworkConfiguration::BearerWCDMA
    {40, 25, 1133},	// QNetworkConfiguration::BearerWLAN
    {40, 26, 1139},	// QNetworkConfiguration::BearerWiMAX
    {40, 74, 1128},	// QNetworkConfiguration::Defined
    {40, 79, 1129},	// QNetworkConfiguration::Discovered
    {40, 110, 1119},	// QNetworkConfiguration::InternetAccessPoint
    {40, 111, 1122},	// QNetworkConfiguration::Invalid
    {40, 164, 1125},	// QNetworkConfiguration::PrivatePurpose
    {40, 176, 1124},	// QNetworkConfiguration::PublicPurpose
    {40, 227, 1103},	// QNetworkConfiguration::QNetworkConfiguration
    {40, 228, 1104},	// QNetworkConfiguration::QNetworkConfiguration#
    {40, 319, 1120},	// QNetworkConfiguration::ServiceNetwork
    {40, 320, 1126},	// QNetworkConfiguration::ServiceSpecificPurpose
    {40, 358, 1127},	// QNetworkConfiguration::Undefined
    {40, 370, 1123},	// QNetworkConfiguration::UnknownPurpose
    {40, 378, 1121},	// QNetworkConfiguration::UserChoice
    {40, 448, 1111},	// QNetworkConfiguration::bearerName
    {40, 449, 1112},	// QNetworkConfiguration::bearerType
    {40, 450, 1113},	// QNetworkConfiguration::bearerTypeName
    {40, 471, 1116},	// QNetworkConfiguration::children
    {40, 617, 1114},	// QNetworkConfiguration::identifier
    {40, 648, 1115},	// QNetworkConfiguration::isRoamingAvailable
    {40, 655, 1118},	// QNetworkConfiguration::isValid
    {40, 703, 1117},	// QNetworkConfiguration::name
    {40, 718, 1107},	// QNetworkConfiguration::operator!=#
    {40, 754, 1105},	// QNetworkConfiguration::operator=#
    {40, 757, 1106},	// QNetworkConfiguration::operator==#
    {40, 834, 1110},	// QNetworkConfiguration::purpose
    {40, 1299, 1108},	// QNetworkConfiguration::state
    {40, 1332, 1109},	// QNetworkConfiguration::type
    {40, 1382, 1140},	// QNetworkConfiguration::~QNetworkConfiguration
    {41, 11, 1168},	// QNetworkConfigurationManager::ApplicationLevelRoaming
    {41, 35, 1165},	// QNetworkConfigurationManager::CanStartAndStopInterfaces
    {41, 70, 1170},	// QNetworkConfigurationManager::DataStatistics
    {41, 77, 1166},	// QNetworkConfigurationManager::DirectConnectionRouting
    {41, 89, 1169},	// QNetworkConfigurationManager::ForcedRoaming
    {41, 140, 1171},	// QNetworkConfigurationManager::NetworkSessionRequired
    {41, 229, 1162},	// QNetworkConfigurationManager::QNetworkConfigurationManager
    {41, 230, 1148},	// QNetworkConfigurationManager::QNetworkConfigurationManager#
    {41, 339, 1167},	// QNetworkConfigurationManager::SystemSessionSupport
    {41, 431, 1163},	// QNetworkConfigurationManager::allConfigurations
    {41, 432, 1151},	// QNetworkConfigurationManager::allConfigurations$
    {41, 466, 1149},	// QNetworkConfigurationManager::capabilities
    {41, 485, 1155},	// QNetworkConfigurationManager::configurationAdded#
    {41, 487, 1157},	// QNetworkConfigurationManager::configurationChanged#
    {41, 489, 1152},	// QNetworkConfigurationManager::configurationFromIdentifier$
    {41, 491, 1156},	// QNetworkConfigurationManager::configurationRemoved#
    {41, 536, 1150},	// QNetworkConfigurationManager::defaultConfiguration
    {41, 645, 1154},	// QNetworkConfigurationManager::isOnline
    {41, 694, 1141},	// QNetworkConfigurationManager::metaObject
    {41, 713, 1158},	// QNetworkConfigurationManager::onlineStateChanged$
    {41, 995, 1147},	// QNetworkConfigurationManager::qt_metacall$$?
    {41, 997, 1142},	// QNetworkConfigurationManager::qt_metacast$
    {41, 1302, 1164},	// QNetworkConfigurationManager::staticMetaObject
    {41, 1325, 1160},	// QNetworkConfigurationManager::tr$
    {41, 1326, 1143},	// QNetworkConfigurationManager::tr$$
    {41, 1327, 1145},	// QNetworkConfigurationManager::tr$$$
    {41, 1329, 1161},	// QNetworkConfigurationManager::trUtf8$
    {41, 1330, 1144},	// QNetworkConfigurationManager::trUtf8$$
    {41, 1331, 1146},	// QNetworkConfigurationManager::trUtf8$$$
    {41, 1333, 1159},	// QNetworkConfigurationManager::updateCompleted
    {41, 1334, 1153},	// QNetworkConfigurationManager::updateConfigurations
    {41, 1383, 1172},	// QNetworkConfigurationManager::~QNetworkConfigurationManager
    {42, 91, 1199},	// QNetworkCookie::Full
    {42, 138, 1198},	// QNetworkCookie::NameAndValueOnly
    {42, 231, 1195},	// QNetworkCookie::QNetworkCookie
    {42, 232, -56},	// QNetworkCookie::QNetworkCookie#
    {42, 233, 1173},	// QNetworkCookie::QNetworkCookie##
    {42, 548, 1185},	// QNetworkCookie::domain
    {42, 567, 1183},	// QNetworkCookie::expirationDate
    {42, 639, 1180},	// QNetworkCookie::isHttpOnly
    {42, 650, 1178},	// QNetworkCookie::isSecure
    {42, 652, 1182},	// QNetworkCookie::isSessionCookie
    {42, 703, 1189},	// QNetworkCookie::name
    {42, 718, 1177},	// QNetworkCookie::operator!=#
    {42, 754, 1175},	// QNetworkCookie::operator=#
    {42, 757, 1176},	// QNetworkCookie::operator==#
    {42, 792, 1194},	// QNetworkCookie::parseCookies#
    {42, 798, 1187},	// QNetworkCookie::path
    {42, 1121, 1186},	// QNetworkCookie::setDomain$
    {42, 1128, 1184},	// QNetworkCookie::setExpirationDate#
    {42, 1142, 1181},	// QNetworkCookie::setHttpOnly$
    {42, 1164, 1190},	// QNetworkCookie::setName#
    {42, 1181, 1188},	// QNetworkCookie::setPath$
    {42, 1239, 1179},	// QNetworkCookie::setSecure$
    {42, 1282, 1192},	// QNetworkCookie::setValue#
    {42, 1321, 1197},	// QNetworkCookie::toRawForm
    {42, 1322, 1193},	// QNetworkCookie::toRawForm$
    {42, 1342, 1191},	// QNetworkCookie::value
    {42, 1384, 1200},	// QNetworkCookie::~QNetworkCookie
    {43, 234, 1215},	// QNetworkCookieJar::QNetworkCookieJar
    {43, 235, 1208},	// QNetworkCookieJar::QNetworkCookieJar#
    {43, 433, 1211},	// QNetworkCookieJar::allCookies
    {43, 515, 1209},	// QNetworkCookieJar::cookiesForUrl#
    {43, 694, 1201},	// QNetworkCookieJar::metaObject
    {43, 995, 1207},	// QNetworkCookieJar::qt_metacall$$?
    {43, 997, 1202},	// QNetworkCookieJar::qt_metacast$
    {43, 1080, 1212},	// QNetworkCookieJar::setAllCookies?
    {43, 1111, 1210},	// QNetworkCookieJar::setCookiesFromUrl?#
    {43, 1302, 1216},	// QNetworkCookieJar::staticMetaObject
    {43, 1325, 1213},	// QNetworkCookieJar::tr$
    {43, 1326, 1203},	// QNetworkCookieJar::tr$$
    {43, 1327, 1205},	// QNetworkCookieJar::tr$$$
    {43, 1329, 1214},	// QNetworkCookieJar::trUtf8$
    {43, 1330, 1204},	// QNetworkCookieJar::trUtf8$$
    {43, 1331, 1206},	// QNetworkCookieJar::trUtf8$$$
    {43, 1385, 1217},	// QNetworkCookieJar::~QNetworkCookieJar
    {44, 236, 1242},	// QNetworkDiskCache::QNetworkDiskCache
    {44, 237, 1225},	// QNetworkDiskCache::QNetworkDiskCache#
    {44, 463, 1226},	// QNetworkDiskCache::cacheDirectory
    {44, 464, 1230},	// QNetworkDiskCache::cacheSize
    {44, 473, 1238},	// QNetworkDiskCache::clear
    {44, 527, 1233},	// QNetworkDiskCache::data#
    {44, 568, 1239},	// QNetworkDiskCache::expire
    {44, 571, 1237},	// QNetworkDiskCache::fileMetaData$
    {44, 626, 1236},	// QNetworkDiskCache::insert#
    {44, 690, 1228},	// QNetworkDiskCache::maximumCacheSize
    {44, 692, 1231},	// QNetworkDiskCache::metaData#
    {44, 694, 1218},	// QNetworkDiskCache::metaObject
    {44, 821, 1235},	// QNetworkDiskCache::prepare#
    {44, 995, 1224},	// QNetworkDiskCache::qt_metacall$$?
    {44, 997, 1219},	// QNetworkDiskCache::qt_metacast$
    {44, 1037, 1234},	// QNetworkDiskCache::remove#
    {44, 1096, 1227},	// QNetworkDiskCache::setCacheDirectory$
    {44, 1162, 1229},	// QNetworkDiskCache::setMaximumCacheSize$
    {44, 1302, 1243},	// QNetworkDiskCache::staticMetaObject
    {44, 1325, 1240},	// QNetworkDiskCache::tr$
    {44, 1326, 1220},	// QNetworkDiskCache::tr$$
    {44, 1327, 1222},	// QNetworkDiskCache::tr$$$
    {44, 1329, 1241},	// QNetworkDiskCache::trUtf8$
    {44, 1330, 1221},	// QNetworkDiskCache::trUtf8$$
    {44, 1331, 1223},	// QNetworkDiskCache::trUtf8$$$
    {44, 1336, 1232},	// QNetworkDiskCache::updateMetaData#
    {44, 1386, 1244},	// QNetworkDiskCache::~QNetworkDiskCache
    {45, 33, 1261},	// QNetworkInterface::CanBroadcast
    {45, 34, 1264},	// QNetworkInterface::CanMulticast
    {45, 118, 1262},	// QNetworkInterface::IsLoopBack
    {45, 119, 1263},	// QNetworkInterface::IsPointToPoint
    {45, 120, 1260},	// QNetworkInterface::IsRunning
    {45, 121, 1259},	// QNetworkInterface::IsUp
    {45, 238, 1245},	// QNetworkInterface::QNetworkInterface
    {45, 239, 1246},	// QNetworkInterface::QNetworkInterface#
    {45, 427, 1254},	// QNetworkInterface::addressEntries
    {45, 430, 1258},	// QNetworkInterface::allAddresses
    {45, 434, 1257},	// QNetworkInterface::allInterfaces
    {45, 574, 1252},	// QNetworkInterface::flags
    {45, 598, 1253},	// QNetworkInterface::hardwareAddress
    {45, 616, 1251},	// QNetworkInterface::humanReadableName
    {45, 624, 1249},	// QNetworkInterface::index
    {45, 629, 1256},	// QNetworkInterface::interfaceFromIndex$
    {45, 631, 1255},	// QNetworkInterface::interfaceFromName$
    {45, 655, 1248},	// QNetworkInterface::isValid
    {45, 703, 1250},	// QNetworkInterface::name
    {45, 754, 1247},	// QNetworkInterface::operator=#
    {45, 1387, 1265},	// QNetworkInterface::~QNetworkInterface
    {46, 32, 1301},	// QNetworkProxy::CachingCapability
    {46, 73, 1292},	// QNetworkProxy::DefaultProxy
    {46, 90, 1297},	// QNetworkProxy::FtpCachingProxy
    {46, 98, 1302},	// QNetworkProxy::HostNameLookupCapability
    {46, 102, 1296},	// QNetworkProxy::HttpCachingProxy
    {46, 105, 1295},	// QNetworkProxy::HttpProxy
    {46, 125, 1299},	// QNetworkProxy::ListeningCapability
    {46, 143, 1294},	// QNetworkProxy::NoProxy
    {46, 240, 1266},	// QNetworkProxy::QNetworkProxy
    {46, 241, 1268},	// QNetworkProxy::QNetworkProxy#
    {46, 242, 1288},	// QNetworkProxy::QNetworkProxy$
    {46, 243, 1289},	// QNetworkProxy::QNetworkProxy$$
    {46, 244, 1290},	// QNetworkProxy::QNetworkProxy$$$
    {46, 245, 1291},	// QNetworkProxy::QNetworkProxy$$$$
    {46, 246, 1267},	// QNetworkProxy::QNetworkProxy$$$$$
    {46, 330, 1293},	// QNetworkProxy::Socks5Proxy
    {46, 347, 1298},	// QNetworkProxy::TunnelingCapability
    {46, 349, 1300},	// QNetworkProxy::UdpTunnelingCapability
    {46, 438, 1287},	// QNetworkProxy::applicationProxy
    {46, 466, 1275},	// QNetworkProxy::capabilities
    {46, 615, 1283},	// QNetworkProxy::hostName
    {46, 633, 1276},	// QNetworkProxy::isCachingProxy
    {46, 654, 1277},	// QNetworkProxy::isTransparentProxy
    {46, 718, 1271},	// QNetworkProxy::operator!=#
    {46, 754, 1269},	// QNetworkProxy::operator=#
    {46, 757, 1270},	// QNetworkProxy::operator==#
    {46, 797, 1281},	// QNetworkProxy::password
    {46, 811, 1285},	// QNetworkProxy::port
    {46, 1082, 1286},	// QNetworkProxy::setApplicationProxy#
    {46, 1098, 1274},	// QNetworkProxy::setCapabilities$
    {46, 1140, 1282},	// QNetworkProxy::setHostName$
    {46, 1179, 1280},	// QNetworkProxy::setPassword$
    {46, 1197, 1284},	// QNetworkProxy::setPort$
    {46, 1271, 1272},	// QNetworkProxy::setType$
    {46, 1277, 1278},	// QNetworkProxy::setUser$
    {46, 1332, 1273},	// QNetworkProxy::type
    {46, 1341, 1279},	// QNetworkProxy::user
    {46, 1388, 1303},	// QNetworkProxy::~QNetworkProxy
    {47, 247, 1304},	// QNetworkProxyFactory::QNetworkProxyFactory
    {47, 248, 1310},	// QNetworkProxyFactory::QNetworkProxyFactory#
    {47, 832, 1308},	// QNetworkProxyFactory::proxyForQuery#
    {47, 1003, 1311},	// QNetworkProxyFactory::queryProxy
    {47, 1004, 1305},	// QNetworkProxyFactory::queryProxy#
    {47, 1084, 1307},	// QNetworkProxyFactory::setApplicationProxyFactory#
    {47, 1275, 1306},	// QNetworkProxyFactory::setUseSystemConfiguration$
    {47, 1312, 1312},	// QNetworkProxyFactory::systemProxyForQuery
    {47, 1313, 1309},	// QNetworkProxyFactory::systemProxyForQuery#
    {47, 1389, 1313},	// QNetworkProxyFactory::~QNetworkProxyFactory
    {48, 249, 1314},	// QNetworkProxyQuery::QNetworkProxyQuery
    {48, 250, -1},	// QNetworkProxyQuery::QNetworkProxyQuery#
    {48, 251, 1315},	// QNetworkProxyQuery::QNetworkProxyQuery#$
    {48, 252, 1337},	// QNetworkProxyQuery::QNetworkProxyQuery$
    {48, 253, -4},	// QNetworkProxyQuery::QNetworkProxyQuery$$
    {48, 254, -7},	// QNetworkProxyQuery::QNetworkProxyQuery$$$
    {48, 255, 1316},	// QNetworkProxyQuery::QNetworkProxyQuery$$$$
    {48, 340, 1341},	// QNetworkProxyQuery::TcpServer
    {48, 341, 1339},	// QNetworkProxyQuery::TcpSocket
    {48, 348, 1340},	// QNetworkProxyQuery::UdpSocket
    {48, 376, 1342},	// QNetworkProxyQuery::UrlRequest
    {48, 680, 1328},	// QNetworkProxyQuery::localPort
    {48, 718, 1321},	// QNetworkProxyQuery::operator!=#
    {48, 754, 1319},	// QNetworkProxyQuery::operator=#
    {48, 757, 1320},	// QNetworkProxyQuery::operator==#
    {48, 802, 1326},	// QNetworkProxyQuery::peerHostName
    {48, 804, 1324},	// QNetworkProxyQuery::peerPort
    {48, 826, 1330},	// QNetworkProxyQuery::protocolTag
    {48, 1005, 1322},	// QNetworkProxyQuery::queryType
    {48, 1156, 1329},	// QNetworkProxyQuery::setLocalPort$
    {48, 1185, 1327},	// QNetworkProxyQuery::setPeerHostName$
    {48, 1189, 1325},	// QNetworkProxyQuery::setPeerPort$
    {48, 1211, 1331},	// QNetworkProxyQuery::setProtocolTag$
    {48, 1220, 1323},	// QNetworkProxyQuery::setQueryType$
    {48, 1273, 1333},	// QNetworkProxyQuery::setUrl#
    {48, 1339, 1332},	// QNetworkProxyQuery::url
    {48, 1390, 1343},	// QNetworkProxyQuery::~QNetworkProxyQuery
    {49, 13, 1410},	// QNetworkReply::AuthenticationRequiredError
    {49, 57, 1393},	// QNetworkReply::ConnectionRefusedError
    {49, 58, 1407},	// QNetworkReply::ContentAccessDenied
    {49, 60, 1409},	// QNetworkReply::ContentNotFoundError
    {49, 61, 1408},	// QNetworkReply::ContentOperationNotPermittedError
    {49, 62, 1411},	// QNetworkReply::ContentReSendError
    {49, 101, 1395},	// QNetworkReply::HostNotFoundError
    {49, 141, 1392},	// QNetworkReply::NoError
    {49, 152, 1397},	// QNetworkReply::OperationCanceledError
    {49, 165, 1415},	// QNetworkReply::ProtocolFailure
    {49, 166, 1414},	// QNetworkReply::ProtocolInvalidOperationError
    {49, 167, 1413},	// QNetworkReply::ProtocolUnknownError
    {49, 168, 1405},	// QNetworkReply::ProxyAuthenticationRequiredError
    {49, 169, 1402},	// QNetworkReply::ProxyConnectionClosedError
    {49, 170, 1401},	// QNetworkReply::ProxyConnectionRefusedError
    {49, 172, 1403},	// QNetworkReply::ProxyNotFoundError
    {49, 174, 1404},	// QNetworkReply::ProxyTimeoutError
    {49, 256, 1390},	// QNetworkReply::QNetworkReply
    {49, 257, 1379},	// QNetworkReply::QNetworkReply#
    {49, 307, 1394},	// QNetworkReply::RemoteHostClosedError
    {49, 333, 1398},	// QNetworkReply::SslHandshakeFailedError
    {49, 342, 1399},	// QNetworkReply::TemporaryNetworkFailureError
    {49, 344, 1396},	// QNetworkReply::TimeoutError
    {49, 363, 1412},	// QNetworkReply::UnknownContentError
    {49, 365, 1400},	// QNetworkReply::UnknownNetworkError
    {49, 369, 1406},	// QNetworkReply::UnknownProxyError
    {49, 403, 1351},	// QNetworkReply::abort
    {49, 441, 1368},	// QNetworkReply::attribute$
    {49, 476, 1352},	// QNetworkReply::close
    {49, 552, 1378},	// QNetworkReply::downloadProgress$$
    {49, 562, 1359},	// QNetworkReply::error
    {49, 563, 1375},	// QNetworkReply::error$
    {49, 572, 1374},	// QNetworkReply::finished
    {49, 608, 1364},	// QNetworkReply::hasRawHeader#
    {49, 613, 1363},	// QNetworkReply::header$
    {49, 619, 1372},	// QNetworkReply::ignoreSslErrors
    {49, 620, 1371},	// QNetworkReply::ignoreSslErrors?
    {49, 638, 1360},	// QNetworkReply::isFinished
    {49, 649, 1361},	// QNetworkReply::isRunning
    {49, 651, 1353},	// QNetworkReply::isSequential
    {49, 688, 1356},	// QNetworkReply::manager
    {49, 693, 1373},	// QNetworkReply::metaDataChanged
    {49, 694, 1344},	// QNetworkReply::metaObject
    {49, 716, 1357},	// QNetworkReply::operation
    {49, 995, 1350},	// QNetworkReply::qt_metacall$$?
    {49, 997, 1345},	// QNetworkReply::qt_metacast$
    {49, 1015, 1366},	// QNetworkReply::rawHeader#
    {49, 1016, 1365},	// QNetworkReply::rawHeaderList
    {49, 1017, 1367},	// QNetworkReply::rawHeaderPairs
    {49, 1022, 1354},	// QNetworkReply::readBufferSize
    {49, 1047, 1358},	// QNetworkReply::request
    {49, 1086, 1387},	// QNetworkReply::setAttribute$#
    {49, 1124, 1383},	// QNetworkReply::setError$$
    {49, 1134, 1385},	// QNetworkReply::setHeader$#
    {49, 1171, 1381},	// QNetworkReply::setOperation$
    {49, 1222, 1386},	// QNetworkReply::setRawHeader##
    {49, 1226, 1355},	// QNetworkReply::setReadBufferSize$
    {49, 1230, 1382},	// QNetworkReply::setRequest#
    {49, 1260, 1370},	// QNetworkReply::setSslConfiguration#
    {49, 1273, 1384},	// QNetworkReply::setUrl#
    {49, 1293, 1369},	// QNetworkReply::sslConfiguration
    {49, 1296, 1376},	// QNetworkReply::sslErrors?
    {49, 1302, 1391},	// QNetworkReply::staticMetaObject
    {49, 1325, 1388},	// QNetworkReply::tr$
    {49, 1326, 1346},	// QNetworkReply::tr$$
    {49, 1327, 1348},	// QNetworkReply::tr$$$
    {49, 1329, 1389},	// QNetworkReply::trUtf8$
    {49, 1330, 1347},	// QNetworkReply::trUtf8$$
    {49, 1331, 1349},	// QNetworkReply::trUtf8$$$
    {49, 1338, 1377},	// QNetworkReply::uploadProgress$$
    {49, 1339, 1362},	// QNetworkReply::url
    {49, 1362, 1380},	// QNetworkReply::writeData$$
    {49, 1391, 1416},	// QNetworkReply::~QNetworkReply
    {50, 5, 1467},	// QNetworkRequest::AlwaysCache
    {50, 6, 1464},	// QNetworkRequest::AlwaysNetwork
    {50, 14, 1458},	// QNetworkRequest::AuthenticationReuseAttribute
    {50, 17, 1468},	// QNetworkRequest::Automatic
    {50, 30, 1450},	// QNetworkRequest::CacheLoadControlAttribute
    {50, 31, 1451},	// QNetworkRequest::CacheSaveControlAttribute
    {50, 52, 1449},	// QNetworkRequest::ConnectionEncryptedAttribute
    {50, 59, 1441},	// QNetworkRequest::ContentLengthHeader
    {50, 63, 1440},	// QNetworkRequest::ContentTypeHeader
    {50, 64, 1444},	// QNetworkRequest::CookieHeader
    {50, 65, 1457},	// QNetworkRequest::CookieLoadControlAttribute
    {50, 66, 1459},	// QNetworkRequest::CookieSaveControlAttribute
    {50, 69, 1456},	// QNetworkRequest::CustomVerbAttribute
    {50, 81, 1453},	// QNetworkRequest::DoNotBufferUploadDataAttribute
    {50, 83, 1461},	// QNetworkRequest::DownloadBufferAttribute
    {50, 95, 1470},	// QNetworkRequest::HighPriority
    {50, 103, 1454},	// QNetworkRequest::HttpPipeliningAllowedAttribute
    {50, 104, 1455},	// QNetworkRequest::HttpPipeliningWasUsedAttribute
    {50, 106, 1447},	// QNetworkRequest::HttpReasonPhraseAttribute
    {50, 107, 1446},	// QNetworkRequest::HttpStatusCodeAttribute
    {50, 123, 1443},	// QNetworkRequest::LastModifiedHeader
    {50, 130, 1442},	// QNetworkRequest::LocationHeader
    {50, 134, 1472},	// QNetworkRequest::LowPriority
    {50, 135, 1469},	// QNetworkRequest::Manual
    {50, 136, 1460},	// QNetworkRequest::MaximumDownloadBufferSizeAttribute
    {50, 146, 1471},	// QNetworkRequest::NormalPriority
    {50, 161, 1466},	// QNetworkRequest::PreferCache
    {50, 162, 1465},	// QNetworkRequest::PreferNetwork
    {50, 258, 1438},	// QNetworkRequest::QNetworkRequest
    {50, 259, -19},	// QNetworkRequest::QNetworkRequest#
    {50, 306, 1448},	// QNetworkRequest::RedirectionTargetAttribute
    {50, 322, 1445},	// QNetworkRequest::SetCookieHeader
    {50, 331, 1452},	// QNetworkRequest::SourceIsFromCacheAttribute
    {50, 377, 1462},	// QNetworkRequest::User
    {50, 379, 1463},	// QNetworkRequest::UserMax
    {50, 441, 1439},	// QNetworkRequest::attribute$
    {50, 442, 1430},	// QNetworkRequest::attribute$#
    {50, 608, 1426},	// QNetworkRequest::hasRawHeader#
    {50, 613, 1424},	// QNetworkRequest::header$
    {50, 718, 1421},	// QNetworkRequest::operator!=#
    {50, 754, 1419},	// QNetworkRequest::operator=#
    {50, 757, 1420},	// QNetworkRequest::operator==#
    {50, 787, 1435},	// QNetworkRequest::originatingObject
    {50, 822, 1436},	// QNetworkRequest::priority
    {50, 1015, 1428},	// QNetworkRequest::rawHeader#
    {50, 1016, 1427},	// QNetworkRequest::rawHeaderList
    {50, 1086, 1431},	// QNetworkRequest::setAttribute$#
    {50, 1134, 1425},	// QNetworkRequest::setHeader$#
    {50, 1175, 1434},	// QNetworkRequest::setOriginatingObject#
    {50, 1201, 1437},	// QNetworkRequest::setPriority$
    {50, 1222, 1429},	// QNetworkRequest::setRawHeader##
    {50, 1260, 1433},	// QNetworkRequest::setSslConfiguration#
    {50, 1273, 1423},	// QNetworkRequest::setUrl#
    {50, 1293, 1432},	// QNetworkRequest::sslConfiguration
    {50, 1339, 1422},	// QNetworkRequest::url
    {50, 1392, 1473},	// QNetworkRequest::~QNetworkRequest
    {51, 44, 1518},	// QNetworkSession::Closing
    {51, 48, 1517},	// QNetworkSession::Connected
    {51, 50, 1516},	// QNetworkSession::Connecting
    {51, 78, 1519},	// QNetworkSession::Disconnected
    {51, 111, 1514},	// QNetworkSession::Invalid
    {51, 113, 1525},	// QNetworkSession::InvalidConfigurationError
    {51, 148, 1515},	// QNetworkSession::NotAvailable
    {51, 153, 1524},	// QNetworkSession::OperationNotSupportedError
    {51, 261, 1511},	// QNetworkSession::QNetworkSession#
    {51, 262, 1481},	// QNetworkSession::QNetworkSession##
    {51, 312, 1520},	// QNetworkSession::Roaming
    {51, 313, 1523},	// QNetworkSession::RoamingError
    {51, 321, 1522},	// QNetworkSession::SessionAbortedError
    {51, 371, 1521},	// QNetworkSession::UnknownSessionError
    {51, 406, 1499},	// QNetworkSession::accept
    {51, 408, 1492},	// QNetworkSession::activeTime
    {51, 458, 1491},	// QNetworkSession::bytesReceived
    {51, 460, 1490},	// QNetworkSession::bytesWritten
    {51, 476, 1495},	// QNetworkSession::close
    {51, 478, 1503},	// QNetworkSession::closed
    {51, 483, 1483},	// QNetworkSession::configuration
    {51, 493, 1507},	// QNetworkSession::connectNotify$
    {51, 546, 1508},	// QNetworkSession::disconnectNotify$
    {51, 562, 1486},	// QNetworkSession::error
    {51, 563, 1504},	// QNetworkSession::error$
    {51, 564, 1487},	// QNetworkSession::errorString
    {51, 618, 1498},	// QNetworkSession::ignore
    {51, 627, 1484},	// QNetworkSession::interface
    {51, 646, 1482},	// QNetworkSession::isOpen
    {51, 694, 1474},	// QNetworkSession::metaObject
    {51, 696, 1497},	// QNetworkSession::migrate
    {51, 709, 1506},	// QNetworkSession::newConfigurationActivated
    {51, 714, 1494},	// QNetworkSession::open
    {51, 715, 1502},	// QNetworkSession::opened
    {51, 818, 1505},	// QNetworkSession::preferredConfigurationChanged#$
    {51, 995, 1480},	// QNetworkSession::qt_metacall$$?
    {51, 997, 1475},	// QNetworkSession::qt_metacast$
    {51, 1035, 1500},	// QNetworkSession::reject
    {51, 1073, 1488},	// QNetworkSession::sessionProperty$
    {51, 1241, 1489},	// QNetworkSession::setSessionProperty$#
    {51, 1299, 1485},	// QNetworkSession::state
    {51, 1301, 1501},	// QNetworkSession::stateChanged$
    {51, 1302, 1513},	// QNetworkSession::staticMetaObject
    {51, 1304, 1496},	// QNetworkSession::stop
    {51, 1325, 1509},	// QNetworkSession::tr$
    {51, 1326, 1476},	// QNetworkSession::tr$$
    {51, 1327, 1478},	// QNetworkSession::tr$$$
    {51, 1329, 1510},	// QNetworkSession::trUtf8$
    {51, 1330, 1477},	// QNetworkSession::trUtf8$$
    {51, 1331, 1479},	// QNetworkSession::trUtf8$$$
    {51, 1357, 1512},	// QNetworkSession::waitForOpened
    {51, 1358, 1493},	// QNetworkSession::waitForOpened$
    {51, 1393, 1526},	// QNetworkSession::~QNetworkSession
    {61, 9, 1541},	// QSsl::AnyProtocol
    {61, 76, 1537},	// QSsl::Der
    {61, 80, 1544},	// QSsl::DnsEntry
    {61, 84, 1535},	// QSsl::Dsa
    {61, 85, 1543},	// QSsl::EmailEntry
    {61, 159, 1536},	// QSsl::Pem
    {61, 163, 1545},	// QSsl::PrivateKey
    {61, 175, 1546},	// QSsl::PublicKey
    {61, 314, 1534},	// QSsl::Rsa
    {61, 335, 1539},	// QSsl::SslV2
    {61, 336, 1538},	// QSsl::SslV3
    {61, 345, 1540},	// QSsl::TlsV1
    {61, 368, 1542},	// QSsl::UnknownProtocol
    {62, 46, 1582},	// QSslCertificate::CommonName
    {62, 67, 1585},	// QSslCertificate::CountryName
    {62, 129, 1583},	// QSslCertificate::LocalityName
    {62, 154, 1581},	// QSslCertificate::Organization
    {62, 155, 1584},	// QSslCertificate::OrganizationalUnitName
    {62, 263, 1574},	// QSslCertificate::QSslCertificate
    {62, 264, -49},	// QSslCertificate::QSslCertificate#
    {62, 265, -53},	// QSslCertificate::QSslCertificate#$
    {62, 337, 1586},	// QSslCertificate::StateOrProvinceName
    {62, 437, 1563},	// QSslCertificate::alternateSubjectNames
    {62, 473, 1555},	// QSslCertificate::clear
    {62, 540, 1576},	// QSslCertificate::digest
    {62, 541, 1558},	// QSslCertificate::digest$
    {62, 553, 1564},	// QSslCertificate::effectiveDate
    {62, 569, 1565},	// QSslCertificate::expiryDate
    {62, 577, 1580},	// QSslCertificate::fromData#
    {62, 578, 1571},	// QSslCertificate::fromData#$
    {62, 580, 1579},	// QSslCertificate::fromDevice#
    {62, 581, 1570},	// QSslCertificate::fromDevice#$
    {62, 585, 1577},	// QSslCertificate::fromPath$
    {62, 586, 1578},	// QSslCertificate::fromPath$$
    {62, 587, 1569},	// QSslCertificate::fromPath$$$
    {62, 597, 1572},	// QSslCertificate::handle
    {62, 644, 1553},	// QSslCertificate::isNull
    {62, 655, 1554},	// QSslCertificate::isValid
    {62, 658, 1560},	// QSslCertificate::issuerInfo#
    {62, 659, 1559},	// QSslCertificate::issuerInfo$
    {62, 718, 1552},	// QSslCertificate::operator!=#
    {62, 754, 1550},	// QSslCertificate::operator=#
    {62, 757, 1551},	// QSslCertificate::operator==#
    {62, 833, 1566},	// QSslCertificate::publicKey
    {62, 1066, 1557},	// QSslCertificate::serialNumber
    {62, 1306, 1562},	// QSslCertificate::subjectInfo#
    {62, 1307, 1561},	// QSslCertificate::subjectInfo$
    {62, 1315, 1568},	// QSslCertificate::toDer
    {62, 1319, 1567},	// QSslCertificate::toPem
    {62, 1345, 1556},	// QSslCertificate::version
    {62, 1394, 1587},	// QSslCertificate::~QSslCertificate
    {63, 266, 1588},	// QSslCipher::QSslCipher
    {63, 267, 1590},	// QSslCipher::QSslCipher#
    {63, 268, 1589},	// QSslCipher::QSslCipher$$
    {63, 444, 1599},	// QSslCipher::authenticationMethod
    {63, 559, 1600},	// QSslCipher::encryptionMethod
    {63, 644, 1594},	// QSslCipher::isNull
    {63, 660, 1598},	// QSslCipher::keyExchangeMethod
    {63, 703, 1595},	// QSslCipher::name
    {63, 718, 1593},	// QSslCipher::operator!=#
    {63, 754, 1591},	// QSslCipher::operator=#
    {63, 757, 1592},	// QSslCipher::operator==#
    {63, 824, 1602},	// QSslCipher::protocol
    {63, 825, 1601},	// QSslCipher::protocolString
    {63, 1308, 1596},	// QSslCipher::supportedBits
    {63, 1340, 1597},	// QSslCipher::usedBits
    {63, 1395, 1603},	// QSslCipher::~QSslCipher
    {64, 269, 1604},	// QSslConfiguration::QSslConfiguration
    {64, 270, 1605},	// QSslConfiguration::QSslConfiguration#
    {64, 461, 1625},	// QSslConfiguration::caCertificates
    {64, 472, 1623},	// QSslConfiguration::ciphers
    {64, 536, 1627},	// QSslConfiguration::defaultConfiguration
    {64, 644, 1609},	// QSslConfiguration::isNull
    {64, 677, 1616},	// QSslConfiguration::localCertificate
    {64, 718, 1608},	// QSslConfiguration::operator!=#
    {64, 754, 1606},	// QSslConfiguration::operator=#
    {64, 757, 1607},	// QSslConfiguration::operator==#
    {64, 800, 1618},	// QSslConfiguration::peerCertificate
    {64, 801, 1619},	// QSslConfiguration::peerCertificateChain
    {64, 805, 1614},	// QSslConfiguration::peerVerifyDepth
    {64, 808, 1612},	// QSslConfiguration::peerVerifyMode
    {64, 823, 1621},	// QSslConfiguration::privateKey
    {64, 824, 1610},	// QSslConfiguration::protocol
    {64, 1071, 1620},	// QSslConfiguration::sessionCipher
    {64, 1092, 1626},	// QSslConfiguration::setCaCertificates?
    {64, 1101, 1624},	// QSslConfiguration::setCiphers?
    {64, 1117, 1628},	// QSslConfiguration::setDefaultConfiguration#
    {64, 1152, 1617},	// QSslConfiguration::setLocalCertificate#
    {64, 1191, 1615},	// QSslConfiguration::setPeerVerifyDepth$
    {64, 1193, 1613},	// QSslConfiguration::setPeerVerifyMode$
    {64, 1203, 1622},	// QSslConfiguration::setPrivateKey#
    {64, 1209, 1611},	// QSslConfiguration::setProtocol$
    {64, 1396, 1629},	// QSslConfiguration::~QSslConfiguration
    {65, 15, 1660},	// QSslError::AuthorityIssuerSerialNumberMismatch
    {65, 37, 1646},	// QSslError::CertificateExpired
    {65, 38, 1645},	// QSslError::CertificateNotYetValid
    {65, 39, 1658},	// QSslError::CertificateRejected
    {65, 40, 1653},	// QSslError::CertificateRevoked
    {65, 41, 1644},	// QSslError::CertificateSignatureFailed
    {65, 42, 1657},	// QSslError::CertificateUntrusted
    {65, 99, 1662},	// QSslError::HostNameMismatch
    {65, 112, 1654},	// QSslError::InvalidCaCertificate
    {65, 114, 1648},	// QSslError::InvalidNotAfterField
    {65, 115, 1647},	// QSslError::InvalidNotBeforeField
    {65, 116, 1656},	// QSslError::InvalidPurpose
    {65, 141, 1640},	// QSslError::NoError
    {65, 142, 1661},	// QSslError::NoPeerCertificate
    {65, 144, 1663},	// QSslError::NoSslSupport
    {65, 157, 1655},	// QSslError::PathLengthExceeded
    {65, 271, 1630},	// QSslError::QSslError
    {65, 272, 1633},	// QSslError::QSslError#
    {65, 273, 1631},	// QSslError::QSslError$
    {65, 274, 1632},	// QSslError::QSslError$#
    {65, 315, 1649},	// QSslError::SelfSignedCertificate
    {65, 316, 1650},	// QSslError::SelfSignedCertificateInChain
    {65, 338, 1659},	// QSslError::SubjectIssuerMismatch
    {65, 350, 1643},	// QSslError::UnableToDecodeIssuerPublicKey
    {65, 351, 1642},	// QSslError::UnableToDecryptCertificateSignature
    {65, 352, 1641},	// QSslError::UnableToGetIssuerCertificate
    {65, 353, 1651},	// QSslError::UnableToGetLocalIssuerCertificate
    {65, 354, 1652},	// QSslError::UnableToVerifyFirstCertificate
    {65, 374, 1664},	// QSslError::UnspecifiedError
    {65, 469, 1639},	// QSslError::certificate
    {65, 562, 1637},	// QSslError::error
    {65, 564, 1638},	// QSslError::errorString
    {65, 718, 1636},	// QSslError::operator!=#
    {65, 754, 1634},	// QSslError::operator=#
    {65, 757, 1635},	// QSslError::operator==#
    {65, 1397, 1665},	// QSslError::~QSslError
    {66, 275, 1666},	// QSslKey::QSslKey
    {66, 276, 1669},	// QSslKey::QSslKey#
    {66, 277, -450},	// QSslKey::QSslKey#$
    {66, 278, -453},	// QSslKey::QSslKey#$$
    {66, 279, -456},	// QSslKey::QSslKey#$$$
    {66, 280, -459},	// QSslKey::QSslKey#$$$#
    {66, 429, 1675},	// QSslKey::algorithm
    {66, 473, 1672},	// QSslKey::clear
    {66, 597, 1678},	// QSslKey::handle
    {66, 644, 1671},	// QSslKey::isNull
    {66, 665, 1673},	// QSslKey::length
    {66, 718, 1680},	// QSslKey::operator!=#
    {66, 754, 1670},	// QSslKey::operator=#
    {66, 757, 1679},	// QSslKey::operator==#
    {66, 1315, 1688},	// QSslKey::toDer
    {66, 1316, 1677},	// QSslKey::toDer#
    {66, 1319, 1687},	// QSslKey::toPem
    {66, 1320, 1676},	// QSslKey::toPem#
    {66, 1332, 1674},	// QSslKey::type
    {66, 1398, 1689},	// QSslKey::~QSslKey
    {67, 16, 1796},	// QSslSocket::AutoVerifyPeer
    {67, 281, 1771},	// QSslSocket::QSslSocket
    {67, 282, 1697},	// QSslSocket::QSslSocket#
    {67, 298, 1794},	// QSslSocket::QueryPeer
    {67, 332, 1791},	// QSslSocket::SslClientMode
    {67, 334, 1792},	// QSslSocket::SslServerMode
    {67, 359, 1790},	// QSslSocket::UnencryptedMode
    {67, 380, 1793},	// QSslSocket::VerifyNone
    {67, 381, 1795},	// QSslSocket::VerifyPeer
    {67, 403, 1717},	// QSslSocket::abort
    {67, 410, 1739},	// QSslSocket::addCaCertificate#
    {67, 412, 1780},	// QSslSocket::addCaCertificates$
    {67, 413, 1781},	// QSslSocket::addCaCertificates$$
    {67, 414, 1738},	// QSslSocket::addCaCertificates$$$
    {67, 415, 1740},	// QSslSocket::addCaCertificates?
    {67, 417, 1744},	// QSslSocket::addDefaultCaCertificate#
    {67, 419, 1782},	// QSslSocket::addDefaultCaCertificates$
    {67, 420, 1783},	// QSslSocket::addDefaultCaCertificates$$
    {67, 421, 1743},	// QSslSocket::addDefaultCaCertificates$$$
    {67, 422, 1745},	// QSslSocket::addDefaultCaCertificates?
    {67, 439, 1715},	// QSslSocket::atEnd
    {67, 457, 1711},	// QSslSocket::bytesAvailable
    {67, 459, 1712},	// QSslSocket::bytesToWrite
    {67, 461, 1742},	// QSslSocket::caCertificates
    {67, 465, 1713},	// QSslSocket::canReadLine
    {67, 472, 1732},	// QSslSocket::ciphers
    {67, 476, 1714},	// QSslSocket::close
    {67, 501, 1772},	// QSslSocket::connectToHostEncrypted$$
    {67, 502, -22},	// QSslSocket::connectToHostEncrypted$$$
    {67, 503, 1699},	// QSslSocket::connectToHostEncrypted$$$$
    {67, 506, 1765},	// QSslSocket::connectToHostImplementation$$$
    {67, 534, 1747},	// QSslSocket::defaultCaCertificates
    {67, 535, 1736},	// QSslSocket::defaultCiphers
    {67, 543, 1766},	// QSslSocket::disconnectFromHostImplementation
    {67, 554, 1760},	// QSslSocket::encrypted
    {67, 555, 1719},	// QSslSocket::encryptedBytesAvailable
    {67, 556, 1720},	// QSslSocket::encryptedBytesToWrite
    {67, 558, 1764},	// QSslSocket::encryptedBytesWritten$
    {67, 575, 1716},	// QSslSocket::flush
    {67, 619, 1759},	// QSslSocket::ignoreSslErrors
    {67, 620, 1756},	// QSslSocket::ignoreSslErrors?
    {67, 635, 1704},	// QSslSocket::isEncrypted
    {67, 677, 1725},	// QSslSocket::localCertificate
    {67, 694, 1690},	// QSslSocket::metaObject
    {67, 700, 1703},	// QSslSocket::mode
    {67, 702, 1763},	// QSslSocket::modeChanged$
    {67, 800, 1726},	// QSslSocket::peerCertificate
    {67, 801, 1727},	// QSslSocket::peerCertificateChain
    {67, 805, 1709},	// QSslSocket::peerVerifyDepth
    {67, 807, 1761},	// QSslSocket::peerVerifyError#
    {67, 808, 1707},	// QSslSocket::peerVerifyMode
    {67, 823, 1731},	// QSslSocket::privateKey
    {67, 824, 1705},	// QSslSocket::protocol
    {67, 995, 1696},	// QSslSocket::qt_metacall$$?
    {67, 997, 1691},	// QSslSocket::qt_metacast$
    {67, 1024, 1767},	// QSslSocket::readData$$
    {67, 1071, 1728},	// QSslSocket::sessionCipher
    {67, 1092, 1741},	// QSslSocket::setCaCertificates?
    {67, 1100, 1734},	// QSslSocket::setCiphers$
    {67, 1101, 1733},	// QSslSocket::setCiphers?
    {67, 1113, 1746},	// QSslSocket::setDefaultCaCertificates?
    {67, 1115, 1735},	// QSslSocket::setDefaultCiphers?
    {67, 1152, 1723},	// QSslSocket::setLocalCertificate#
    {67, 1153, 1776},	// QSslSocket::setLocalCertificate$
    {67, 1154, 1724},	// QSslSocket::setLocalCertificate$$
    {67, 1191, 1710},	// QSslSocket::setPeerVerifyDepth$
    {67, 1193, 1708},	// QSslSocket::setPeerVerifyMode$
    {67, 1203, 1729},	// QSslSocket::setPrivateKey#
    {67, 1204, 1777},	// QSslSocket::setPrivateKey$
    {67, 1205, 1778},	// QSslSocket::setPrivateKey$$
    {67, 1206, 1779},	// QSslSocket::setPrivateKey$$$
    {67, 1207, 1730},	// QSslSocket::setPrivateKey$$$#
    {67, 1209, 1706},	// QSslSocket::setProtocol$
    {67, 1226, 1718},	// QSslSocket::setReadBufferSize$
    {67, 1247, 1774},	// QSslSocket::setSocketDescriptor$
    {67, 1248, 1775},	// QSslSocket::setSocketDescriptor$$
    {67, 1249, 1700},	// QSslSocket::setSocketDescriptor$$$
    {67, 1256, 1701},	// QSslSocket::setSocketOption$#
    {67, 1260, 1722},	// QSslSocket::setSslConfiguration#
    {67, 1291, 1702},	// QSslSocket::socketOption$
    {67, 1293, 1721},	// QSslSocket::sslConfiguration
    {67, 1294, 1754},	// QSslSocket::sslErrors
    {67, 1296, 1762},	// QSslSocket::sslErrors?
    {67, 1297, 1757},	// QSslSocket::startClientEncryption
    {67, 1298, 1758},	// QSslSocket::startServerEncryption
    {67, 1302, 1789},	// QSslSocket::staticMetaObject
    {67, 1309, 1737},	// QSslSocket::supportedCiphers
    {67, 1310, 1755},	// QSslSocket::supportsSsl
    {67, 1311, 1748},	// QSslSocket::systemCaCertificates
    {67, 1325, 1769},	// QSslSocket::tr$
    {67, 1326, 1692},	// QSslSocket::tr$$
    {67, 1327, 1694},	// QSslSocket::tr$$$
    {67, 1329, 1770},	// QSslSocket::trUtf8$
    {67, 1330, 1693},	// QSslSocket::trUtf8$$
    {67, 1331, 1695},	// QSslSocket::trUtf8$$$
    {67, 1346, 1787},	// QSslSocket::waitForBytesWritten
    {67, 1347, 1752},	// QSslSocket::waitForBytesWritten$
    {67, 1348, 1784},	// QSslSocket::waitForConnected
    {67, 1349, 1749},	// QSslSocket::waitForConnected$
    {67, 1350, 1788},	// QSslSocket::waitForDisconnected
    {67, 1351, 1753},	// QSslSocket::waitForDisconnected$
    {67, 1352, 1785},	// QSslSocket::waitForEncrypted
    {67, 1353, 1750},	// QSslSocket::waitForEncrypted$
    {67, 1359, 1786},	// QSslSocket::waitForReadyRead
    {67, 1360, 1751},	// QSslSocket::waitForReadyRead$
    {67, 1362, 1768},	// QSslSocket::writeData$$
    {67, 1399, 1797},	// QSslSocket::~QSslSocket
    {70, 283, 1827},	// QTcpServer::QTcpServer
    {70, 284, 1805},	// QTcpServer::QTcpServer#
    {70, 424, 1823},	// QTcpServer::addPendingConnection#
    {70, 476, 1807},	// QTcpServer::close
    {70, 564, 1819},	// QTcpServer::errorString
    {70, 604, 1816},	// QTcpServer::hasPendingConnections
    {70, 622, 1822},	// QTcpServer::incomingConnection$
    {70, 643, 1808},	// QTcpServer::isListening
    {70, 672, 1828},	// QTcpServer::listen
    {70, 673, 1829},	// QTcpServer::listen#
    {70, 674, 1806},	// QTcpServer::listen#$
    {70, 689, 1810},	// QTcpServer::maxPendingConnections
    {70, 694, 1798},	// QTcpServer::metaObject
    {70, 710, 1824},	// QTcpServer::newConnection
    {70, 711, 1817},	// QTcpServer::nextPendingConnection
    {70, 827, 1821},	// QTcpServer::proxy
    {70, 995, 1804},	// QTcpServer::qt_metacall$$?
    {70, 997, 1799},	// QTcpServer::qt_metacast$
    {70, 1067, 1812},	// QTcpServer::serverAddress
    {70, 1068, 1818},	// QTcpServer::serverError
    {70, 1070, 1811},	// QTcpServer::serverPort
    {70, 1160, 1809},	// QTcpServer::setMaxPendingConnections$
    {70, 1213, 1820},	// QTcpServer::setProxy#
    {70, 1247, 1814},	// QTcpServer::setSocketDescriptor$
    {70, 1289, 1813},	// QTcpServer::socketDescriptor
    {70, 1302, 1832},	// QTcpServer::staticMetaObject
    {70, 1325, 1825},	// QTcpServer::tr$
    {70, 1326, 1800},	// QTcpServer::tr$$
    {70, 1327, 1802},	// QTcpServer::tr$$$
    {70, 1329, 1826},	// QTcpServer::trUtf8$
    {70, 1330, 1801},	// QTcpServer::trUtf8$$
    {70, 1331, 1803},	// QTcpServer::trUtf8$$$
    {70, 1354, 1830},	// QTcpServer::waitForNewConnection
    {70, 1355, 1831},	// QTcpServer::waitForNewConnection$
    {70, 1356, 1815},	// QTcpServer::waitForNewConnection$$
    {70, 1400, 1833},	// QTcpServer::~QTcpServer
    {71, 285, 1844},	// QTcpSocket::QTcpSocket
    {71, 286, 1841},	// QTcpSocket::QTcpSocket#
    {71, 694, 1834},	// QTcpSocket::metaObject
    {71, 995, 1840},	// QTcpSocket::qt_metacall$$?
    {71, 997, 1835},	// QTcpSocket::qt_metacast$
    {71, 1302, 1845},	// QTcpSocket::staticMetaObject
    {71, 1325, 1842},	// QTcpSocket::tr$
    {71, 1326, 1836},	// QTcpSocket::tr$$
    {71, 1327, 1838},	// QTcpSocket::tr$$$
    {71, 1329, 1843},	// QTcpSocket::trUtf8$
    {71, 1330, 1837},	// QTcpSocket::trUtf8$$
    {71, 1331, 1839},	// QTcpSocket::trUtf8$$$
    {71, 1401, 1846},	// QTcpSocket::~QTcpSocket
    {76, 72, 1871},	// QUdpSocket::DefaultForPlatform
    {76, 82, 1873},	// QUdpSocket::DontShareAddress
    {76, 287, 1866},	// QUdpSocket::QUdpSocket
    {76, 288, 1854},	// QUdpSocket::QUdpSocket#
    {76, 310, 1874},	// QUdpSocket::ReuseAddressHint
    {76, 325, 1872},	// QUdpSocket::ShareAddress
    {76, 451, 1867},	// QUdpSocket::bind
    {76, 452, 1855},	// QUdpSocket::bind#$
    {76, 453, 1857},	// QUdpSocket::bind#$$
    {76, 454, 1856},	// QUdpSocket::bind$
    {76, 455, 1858},	// QUdpSocket::bind$$
    {76, 605, 1859},	// QUdpSocket::hasPendingDatagrams
    {76, 694, 1847},	// QUdpSocket::metaObject
    {76, 809, 1860},	// QUdpSocket::pendingDatagramSize
    {76, 995, 1853},	// QUdpSocket::qt_metacall$$?
    {76, 997, 1848},	// QUdpSocket::qt_metacast$
    {76, 1026, 1868},	// QUdpSocket::readDatagram$$
    {76, 1027, 1869},	// QUdpSocket::readDatagram$$#
    {76, 1028, 1861},	// QUdpSocket::readDatagram$$#$
    {76, 1302, 1870},	// QUdpSocket::staticMetaObject
    {76, 1325, 1864},	// QUdpSocket::tr$
    {76, 1326, 1849},	// QUdpSocket::tr$$
    {76, 1327, 1851},	// QUdpSocket::tr$$$
    {76, 1329, 1865},	// QUdpSocket::trUtf8$
    {76, 1330, 1850},	// QUdpSocket::trUtf8$$
    {76, 1331, 1852},	// QUdpSocket::trUtf8$$$
    {76, 1364, 1863},	// QUdpSocket::writeDatagram##$
    {76, 1365, 1862},	// QUdpSocket::writeDatagram$$#$
    {76, 1402, 1875},	// QUdpSocket::~QUdpSocket
    {78, 86, 1917},	// QUrlInfo::ExeGroup
    {78, 87, 1920},	// QUrlInfo::ExeOther
    {78, 88, 1914},	// QUrlInfo::ExeOwner
    {78, 289, 1876},	// QUrlInfo::QUrlInfo
    {78, 290, 1877},	// QUrlInfo::QUrlInfo#
    {78, 291, 1879},	// QUrlInfo::QUrlInfo#$$$$##$$$$$$
    {78, 292, 1878},	// QUrlInfo::QUrlInfo$$$$$##$$$$$$
    {78, 300, 1915},	// QUrlInfo::ReadGroup
    {78, 302, 1918},	// QUrlInfo::ReadOther
    {78, 303, 1912},	// QUrlInfo::ReadOwner
    {78, 382, 1916},	// QUrlInfo::WriteGroup
    {78, 384, 1919},	// QUrlInfo::WriteOther
    {78, 385, 1913},	// QUrlInfo::WriteOwner
    {78, 561, 1909},	// QUrlInfo::equal##$
    {78, 595, 1907},	// QUrlInfo::greaterThan##$
    {78, 596, 1897},	// QUrlInfo::group
    {78, 634, 1901},	// QUrlInfo::isDir
    {78, 636, 1906},	// QUrlInfo::isExecutable
    {78, 637, 1902},	// QUrlInfo::isFile
    {78, 647, 1905},	// QUrlInfo::isReadable
    {78, 653, 1903},	// QUrlInfo::isSymLink
    {78, 655, 1893},	// QUrlInfo::isValid
    {78, 656, 1904},	// QUrlInfo::isWritable
    {78, 662, 1899},	// QUrlInfo::lastModified
    {78, 663, 1900},	// QUrlInfo::lastRead
    {78, 667, 1908},	// QUrlInfo::lessThan##$
    {78, 703, 1894},	// QUrlInfo::name
    {78, 718, 1911},	// QUrlInfo::operator!=#
    {78, 754, 1880},	// QUrlInfo::operator=#
    {78, 757, 1910},	// QUrlInfo::operator==#
    {78, 788, 1896},	// QUrlInfo::owner
    {78, 810, 1895},	// QUrlInfo::permissions
    {78, 1119, 1882},	// QUrlInfo::setDir$
    {78, 1130, 1883},	// QUrlInfo::setFile$
    {78, 1132, 1886},	// QUrlInfo::setGroup$
    {78, 1146, 1891},	// QUrlInfo::setLastModified#
    {78, 1148, 1892},	// QUrlInfo::setLastRead#
    {78, 1165, 1881},	// QUrlInfo::setName$
    {78, 1177, 1885},	// QUrlInfo::setOwner$
    {78, 1195, 1890},	// QUrlInfo::setPermissions$
    {78, 1228, 1889},	// QUrlInfo::setReadable$
    {78, 1243, 1887},	// QUrlInfo::setSize$
    {78, 1267, 1884},	// QUrlInfo::setSymLink$
    {78, 1287, 1888},	// QUrlInfo::setWritable$
    {78, 1288, 1898},	// QUrlInfo::size
    {78, 1403, 1921},	// QUrlInfo::~QUrlInfo
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtnetwork_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtnetwork_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtnetwork_Smoke = new Smoke(
        "qtnetwork",
        __smokeqtnetwork::classes, 82,
        __smokeqtnetwork::methods, 1922,
        __smokeqtnetwork::methodMaps, 1563,
        __smokeqtnetwork::methodNames, 1403,
        __smokeqtnetwork::types, 419,
        __smokeqtnetwork::inheritanceList,
        __smokeqtnetwork::argumentList,
        __smokeqtnetwork::ambiguousMethodList,
        __smokeqtnetwork::cast );
    initialized = true;
}

void delete_qtnetwork_Smoke() { delete qtnetwork_Smoke; }

}
