#include <qtxml_includes.h>

#include <smoke.h>
#include <qtxml_smoke.h>

namespace __smokeqtxml {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBitArray
      switch(to) {
        case 1: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChar
      switch(to) {
        case 4: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 5:   //QDataStream
      switch(to) {
        case 5: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 6:   //QDate
      switch(to) {
        case 6: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 7:   //QDateTime
      switch(to) {
        case 7: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDir
      switch(to) {
        case 9: return (void*)(QDir*)xptr;
        default: return xptr;
      }
    case 10:   //QDomAttr
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomAttr*)xptr;
        case 10: return (void*)(QDomAttr*)xptr;
        default: return xptr;
      }
    case 11:   //QDomCDATASection
      switch(to) {
        case 27: return (void*)(QDomText*)(QDomCDATASection*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomCDATASection*)xptr;
        case 22: return (void*)(QDomNode*)(QDomCDATASection*)xptr;
        case 11: return (void*)(QDomCDATASection*)xptr;
        default: return xptr;
      }
    case 12:   //QDomCharacterData
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomCharacterData*)xptr;
        case 12: return (void*)(QDomCharacterData*)xptr;
        case 27: return (void*)(QDomText*)(QDomCharacterData*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomCharacterData*)xptr;
        case 13: return (void*)(QDomComment*)(QDomCharacterData*)xptr;
        default: return xptr;
      }
    case 13:   //QDomComment
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomComment*)xptr;
        case 22: return (void*)(QDomNode*)(QDomComment*)xptr;
        case 13: return (void*)(QDomComment*)xptr;
        default: return xptr;
      }
    case 14:   //QDomDocument
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocument*)xptr;
        case 14: return (void*)(QDomDocument*)xptr;
        default: return xptr;
      }
    case 15:   //QDomDocumentFragment
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentFragment*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)xptr;
        default: return xptr;
      }
    case 16:   //QDomDocumentType
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomDocumentType*)xptr;
        case 16: return (void*)(QDomDocumentType*)xptr;
        default: return xptr;
      }
    case 17:   //QDomElement
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomElement*)xptr;
        case 17: return (void*)(QDomElement*)xptr;
        default: return xptr;
      }
    case 18:   //QDomEntity
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntity*)xptr;
        case 18: return (void*)(QDomEntity*)xptr;
        default: return xptr;
      }
    case 19:   //QDomEntityReference
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomEntityReference*)xptr;
        case 19: return (void*)(QDomEntityReference*)xptr;
        default: return xptr;
      }
    case 20:   //QDomImplementation
      switch(to) {
        case 20: return (void*)(QDomImplementation*)xptr;
        default: return xptr;
      }
    case 21:   //QDomNamedNodeMap
      switch(to) {
        case 21: return (void*)(QDomNamedNodeMap*)xptr;
        default: return xptr;
      }
    case 22:   //QDomNode
      switch(to) {
        case 22: return (void*)(QDomNode*)xptr;
        case 27: return (void*)(QDomText*)(QDomNode*)xptr;
        case 25: return (void*)(QDomNotation*)(QDomNode*)xptr;
        case 15: return (void*)(QDomDocumentFragment*)(QDomNode*)xptr;
        case 17: return (void*)(QDomElement*)(QDomNode*)xptr;
        case 10: return (void*)(QDomAttr*)(QDomNode*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomNode*)xptr;
        case 18: return (void*)(QDomEntity*)(QDomNode*)xptr;
        case 16: return (void*)(QDomDocumentType*)(QDomNode*)xptr;
        case 12: return (void*)(QDomCharacterData*)(QDomNode*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)(QDomNode*)xptr;
        case 13: return (void*)(QDomComment*)(QDomNode*)xptr;
        case 19: return (void*)(QDomEntityReference*)(QDomNode*)xptr;
        case 14: return (void*)(QDomDocument*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 23:   //QDomNodeList
      switch(to) {
        case 23: return (void*)(QDomNodeList*)xptr;
        default: return xptr;
      }
    case 24:   //QDomNodePrivate
      switch(to) {
        case 24: return (void*)(QDomNodePrivate*)xptr;
        default: return xptr;
      }
    case 25:   //QDomNotation
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomNotation*)xptr;
        case 25: return (void*)(QDomNotation*)xptr;
        default: return xptr;
      }
    case 26:   //QDomProcessingInstruction
      switch(to) {
        case 22: return (void*)(QDomNode*)(QDomProcessingInstruction*)xptr;
        case 26: return (void*)(QDomProcessingInstruction*)xptr;
        default: return xptr;
      }
    case 27:   //QDomText
      switch(to) {
        case 12: return (void*)(QDomCharacterData*)(QDomText*)xptr;
        case 22: return (void*)(QDomNode*)(QDomText*)xptr;
        case 27: return (void*)(QDomText*)xptr;
        case 11: return (void*)(QDomCDATASection*)(QDomText*)xptr;
        default: return xptr;
      }
    case 28:   //QEasingCurve
      switch(to) {
        case 28: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 30:   //QHashDummyValue
      switch(to) {
        case 30: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 31:   //QIODevice
      switch(to) {
        case 40: return (void*)(QObject*)(QIODevice*)xptr;
        case 31: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 32:   //QIncompatibleFlag
      switch(to) {
        case 32: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 33:   //QLatin1String
      switch(to) {
        case 33: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 34:   //QLine
      switch(to) {
        case 34: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 35:   //QLineF
      switch(to) {
        case 35: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 36:   //QLocale
      switch(to) {
        case 36: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 37:   //QMargins
      switch(to) {
        case 37: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 38:   //QMetaObject
      switch(to) {
        case 38: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 39:   //QModelIndex
      switch(to) {
        case 39: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 40:   //QObject
      switch(to) {
        case 40: return (void*)(QObject*)xptr;
        default: return xptr;
      }
    case 41:   //QPersistentModelIndex
      switch(to) {
        case 41: return (void*)(QPersistentModelIndex*)xptr;
        default: return xptr;
      }
    case 42:   //QPoint
      switch(to) {
        case 42: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 43:   //QPointF
      switch(to) {
        case 43: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 44:   //QRect
      switch(to) {
        case 44: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 45:   //QRectF
      switch(to) {
        case 45: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 46:   //QRegExp
      switch(to) {
        case 46: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 47:   //QSize
      switch(to) {
        case 47: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 48:   //QSizeF
      switch(to) {
        case 48: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 49:   //QString::Null
      switch(to) {
        case 49: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 50:   //QStringRef
      switch(to) {
        case 50: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 51:   //QTextCodec
      switch(to) {
        case 51: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 52:   //QTextStream
      switch(to) {
        case 52: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 53:   //QTextStreamManipulator
      switch(to) {
        case 53: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 54:   //QTime
      switch(to) {
        case 54: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 55:   //QUrl
      switch(to) {
        case 55: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 56:   //QUuid
      switch(to) {
        case 56: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVariantComparisonHelper
      switch(to) {
        case 58: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 59:   //QXmlAttributes
      switch(to) {
        case 59: return (void*)(QXmlAttributes*)xptr;
        default: return xptr;
      }
    case 60:   //QXmlContentHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlContentHandler*)xptr;
        default: return xptr;
      }
    case 61:   //QXmlDTDHandler
      switch(to) {
        case 61: return (void*)(QXmlDTDHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDTDHandler*)xptr;
        default: return xptr;
      }
    case 62:   //QXmlDeclHandler
      switch(to) {
        case 62: return (void*)(QXmlDeclHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlDeclHandler*)xptr;
        default: return xptr;
      }
    case 63:   //QXmlDefaultHandler
      switch(to) {
        case 60: return (void*)(QXmlContentHandler*)(QXmlDefaultHandler*)xptr;
        case 65: return (void*)(QXmlErrorHandler*)(QXmlDefaultHandler*)xptr;
        case 61: return (void*)(QXmlDTDHandler*)(QXmlDefaultHandler*)xptr;
        case 64: return (void*)(QXmlEntityResolver*)(QXmlDefaultHandler*)xptr;
        case 67: return (void*)(QXmlLexicalHandler*)(QXmlDefaultHandler*)xptr;
        case 62: return (void*)(QXmlDeclHandler*)(QXmlDefaultHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)xptr;
        default: return xptr;
      }
    case 64:   //QXmlEntityResolver
      switch(to) {
        case 64: return (void*)(QXmlEntityResolver*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlEntityResolver*)xptr;
        default: return xptr;
      }
    case 65:   //QXmlErrorHandler
      switch(to) {
        case 65: return (void*)(QXmlErrorHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlErrorHandler*)xptr;
        default: return xptr;
      }
    case 66:   //QXmlInputSource
      switch(to) {
        case 66: return (void*)(QXmlInputSource*)xptr;
        default: return xptr;
      }
    case 67:   //QXmlLexicalHandler
      switch(to) {
        case 67: return (void*)(QXmlLexicalHandler*)xptr;
        case 63: return (void*)(QXmlDefaultHandler*)(QXmlLexicalHandler*)xptr;
        default: return xptr;
      }
    case 68:   //QXmlLocator
      switch(to) {
        case 68: return (void*)(QXmlLocator*)xptr;
        default: return xptr;
      }
    case 69:   //QXmlNamespaceSupport
      switch(to) {
        case 69: return (void*)(QXmlNamespaceSupport*)xptr;
        default: return xptr;
      }
    case 70:   //QXmlParseException
      switch(to) {
        case 70: return (void*)(QXmlParseException*)xptr;
        default: return xptr;
      }
    case 71:   //QXmlReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)(QXmlReader*)xptr;
        default: return xptr;
      }
    case 72:   //QXmlSimpleReader
      switch(to) {
        case 71: return (void*)(QXmlReader*)(QXmlSimpleReader*)xptr;
        case 72: return (void*)(QXmlSimpleReader*)xptr;
        default: return xptr;
      }
    case 73:   //QXmlStreamAttribute
      switch(to) {
        case 73: return (void*)(QXmlStreamAttribute*)xptr;
        default: return xptr;
      }
    case 74:   //QXmlStreamAttributes
      switch(to) {
        case 74: return (void*)(QXmlStreamAttributes*)xptr;
        default: return xptr;
      }
    case 75:   //QXmlStreamReader
      switch(to) {
        case 75: return (void*)(QXmlStreamReader*)xptr;
        default: return xptr;
      }
    case 76:   //QXmlStreamWriter
      switch(to) {
        case 76: return (void*)(QXmlStreamWriter*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    22, 0,	// 1: QDomNode
    27, 0,	// 3: QDomText
    12, 0,	// 5: QDomCharacterData
    60, 65, 61, 64, 67, 62, 0,	// 7: QXmlContentHandler, QXmlErrorHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlLexicalHandler, QXmlDeclHandler
    71, 0,	// 14: QXmlReader
};

// These are the xenum functions for manipulating enum pointers
void xenum_QDomImplementation(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDomNode(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QDomAttr(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomCharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomComment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomDocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomElement(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntity(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomEntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNode(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomNotation(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_QDomText(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlAttributes(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlContentHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDTDHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDeclHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlDefaultHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlEntityResolver(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlErrorHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlInputSource(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLexicalHandler(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlLocator(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlNamespaceSupport(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlParseException(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlSimpleReader(Smoke::Index, void*, Smoke::Stack);
void xcall_QXmlStreamWriter(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChar", true, 0, 0, 0, 0, 0 },	//4
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//5
    { "QDate", true, 0, 0, 0, 0, 0 },	//6
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDir", true, 0, 0, 0, 0, 0 },	//9
    { "QDomAttr", false, 1, xcall_QDomAttr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomAttr) },	//10
    { "QDomCDATASection", false, 3, xcall_QDomCDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCDATASection) },	//11
    { "QDomCharacterData", false, 1, xcall_QDomCharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomCharacterData) },	//12
    { "QDomComment", false, 5, xcall_QDomComment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomComment) },	//13
    { "QDomDocument", false, 1, xcall_QDomDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocument) },	//14
    { "QDomDocumentFragment", false, 1, xcall_QDomDocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentFragment) },	//15
    { "QDomDocumentType", false, 1, xcall_QDomDocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomDocumentType) },	//16
    { "QDomElement", false, 1, xcall_QDomElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomElement) },	//17
    { "QDomEntity", false, 1, xcall_QDomEntity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntity) },	//18
    { "QDomEntityReference", false, 1, xcall_QDomEntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomEntityReference) },	//19
    { "QDomImplementation", false, 0, xcall_QDomImplementation, xenum_QDomImplementation, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomImplementation) },	//20
    { "QDomNamedNodeMap", false, 0, xcall_QDomNamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNamedNodeMap) },	//21
    { "QDomNode", false, 0, xcall_QDomNode, xenum_QDomNode, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNode) },	//22
    { "QDomNodeList", false, 0, xcall_QDomNodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNodeList) },	//23
    { "QDomNodePrivate", true, 0, 0, 0, 0, 0 },	//24
    { "QDomNotation", false, 1, xcall_QDomNotation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomNotation) },	//25
    { "QDomProcessingInstruction", false, 1, xcall_QDomProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomProcessingInstruction) },	//26
    { "QDomText", false, 5, xcall_QDomText, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QDomText) },	//27
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//28
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//29
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//30
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//31
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//32
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//33
    { "QLine", true, 0, 0, 0, 0, 0 },	//34
    { "QLineF", true, 0, 0, 0, 0, 0 },	//35
    { "QLocale", true, 0, 0, 0, 0, 0 },	//36
    { "QMargins", true, 0, 0, 0, 0, 0 },	//37
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//38
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//39
    { "QObject", true, 0, 0, 0, 0, 0 },	//40
    { "QPersistentModelIndex", true, 0, 0, 0, 0, 0 },	//41
    { "QPoint", true, 0, 0, 0, 0, 0 },	//42
    { "QPointF", true, 0, 0, 0, 0, 0 },	//43
    { "QRect", true, 0, 0, 0, 0, 0 },	//44
    { "QRectF", true, 0, 0, 0, 0, 0 },	//45
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//46
    { "QSize", true, 0, 0, 0, 0, 0 },	//47
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//48
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//49
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//50
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//51
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//52
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//53
    { "QTime", true, 0, 0, 0, 0, 0 },	//54
    { "QUrl", true, 0, 0, 0, 0, 0 },	//55
    { "QUuid", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//58
    { "QXmlAttributes", false, 0, xcall_QXmlAttributes, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlAttributes) },	//59
    { "QXmlContentHandler", false, 0, xcall_QXmlContentHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlContentHandler) },	//60
    { "QXmlDTDHandler", false, 0, xcall_QXmlDTDHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDTDHandler) },	//61
    { "QXmlDeclHandler", false, 0, xcall_QXmlDeclHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlDeclHandler) },	//62
    { "QXmlDefaultHandler", false, 7, xcall_QXmlDefaultHandler, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlDefaultHandler) },	//63
    { "QXmlEntityResolver", false, 0, xcall_QXmlEntityResolver, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlEntityResolver) },	//64
    { "QXmlErrorHandler", false, 0, xcall_QXmlErrorHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlErrorHandler) },	//65
    { "QXmlInputSource", false, 0, xcall_QXmlInputSource, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlInputSource) },	//66
    { "QXmlLexicalHandler", false, 0, xcall_QXmlLexicalHandler, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLexicalHandler) },	//67
    { "QXmlLocator", false, 0, xcall_QXmlLocator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlLocator) },	//68
    { "QXmlNamespaceSupport", false, 0, xcall_QXmlNamespaceSupport, 0, Smoke::cf_constructor, sizeof(QXmlNamespaceSupport) },	//69
    { "QXmlParseException", false, 0, xcall_QXmlParseException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QXmlParseException) },	//70
    { "QXmlReader", false, 0, xcall_QXmlReader, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(QXmlReader) },	//71
    { "QXmlSimpleReader", false, 14, xcall_QXmlSimpleReader, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QXmlSimpleReader) },	//72
    { "QXmlStreamAttribute", true, 0, 0, 0, 0, 0 },	//73
    { "QXmlStreamAttributes", true, 0, 0, 0, 0, 0 },	//74
    { "QXmlStreamReader", true, 0, 0, 0, 0, 0 },	//75
    { "QXmlStreamWriter", false, 0, xcall_QXmlStreamWriter, 0, Smoke::cf_constructor, sizeof(QXmlStreamWriter) },	//76
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//1
    { "QBitArray", 1, Smoke::t_class|Smoke::tf_stack },	//2
    { "QBitArray&", 1, Smoke::t_class|Smoke::tf_ref },	//3
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//4
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//5
    { "QByteArray&", 3, Smoke::t_class|Smoke::tf_ref },	//6
    { "QByteArray*", 3, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChar", 4, Smoke::t_class|Smoke::tf_stack },	//8
    { "QChar&", 4, Smoke::t_class|Smoke::tf_ref },	//9
    { "QDataStream&", 5, Smoke::t_class|Smoke::tf_ref },	//10
    { "QDate&", 6, Smoke::t_class|Smoke::tf_ref },	//11
    { "QDateTime&", 7, Smoke::t_class|Smoke::tf_ref },	//12
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//13
    { "QDir::Filter", 9, Smoke::t_enum|Smoke::tf_stack },	//14
    { "QDir::SortFlag", 9, Smoke::t_enum|Smoke::tf_stack },	//15
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "QDomAttr", 10, Smoke::t_class|Smoke::tf_stack },	//17
    { "QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref },	//18
    { "QDomAttr*", 10, Smoke::t_class|Smoke::tf_ptr },	//19
    { "QDomCDATASection", 11, Smoke::t_class|Smoke::tf_stack },	//20
    { "QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref },	//21
    { "QDomCDATASection*", 11, Smoke::t_class|Smoke::tf_ptr },	//22
    { "QDomCharacterData", 12, Smoke::t_class|Smoke::tf_stack },	//23
    { "QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref },	//24
    { "QDomCharacterData*", 12, Smoke::t_class|Smoke::tf_ptr },	//25
    { "QDomComment", 13, Smoke::t_class|Smoke::tf_stack },	//26
    { "QDomComment&", 13, Smoke::t_class|Smoke::tf_ref },	//27
    { "QDomComment*", 13, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QDomDocument", 14, Smoke::t_class|Smoke::tf_stack },	//29
    { "QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref },	//30
    { "QDomDocument*", 14, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QDomDocumentFragment", 15, Smoke::t_class|Smoke::tf_stack },	//32
    { "QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref },	//33
    { "QDomDocumentFragment*", 15, Smoke::t_class|Smoke::tf_ptr },	//34
    { "QDomDocumentType", 16, Smoke::t_class|Smoke::tf_stack },	//35
    { "QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref },	//36
    { "QDomDocumentType*", 16, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QDomElement", 17, Smoke::t_class|Smoke::tf_stack },	//38
    { "QDomElement&", 17, Smoke::t_class|Smoke::tf_ref },	//39
    { "QDomElement*", 17, Smoke::t_class|Smoke::tf_ptr },	//40
    { "QDomEntity", 18, Smoke::t_class|Smoke::tf_stack },	//41
    { "QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref },	//42
    { "QDomEntity*", 18, Smoke::t_class|Smoke::tf_ptr },	//43
    { "QDomEntityReference", 19, Smoke::t_class|Smoke::tf_stack },	//44
    { "QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref },	//45
    { "QDomEntityReference*", 19, Smoke::t_class|Smoke::tf_ptr },	//46
    { "QDomImplementation", 20, Smoke::t_class|Smoke::tf_stack },	//47
    { "QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref },	//48
    { "QDomImplementation*", 20, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QDomImplementation::InvalidDataPolicy", 20, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QDomNamedNodeMap", 21, Smoke::t_class|Smoke::tf_stack },	//51
    { "QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref },	//52
    { "QDomNamedNodeMap*", 21, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QDomNode", 22, Smoke::t_class|Smoke::tf_stack },	//54
    { "QDomNode&", 22, Smoke::t_class|Smoke::tf_ref },	//55
    { "QDomNode*", 22, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDomNode::EncodingPolicy", 22, Smoke::t_enum|Smoke::tf_stack },	//57
    { "QDomNode::NodeType", 22, Smoke::t_enum|Smoke::tf_stack },	//58
    { "QDomNodeList", 23, Smoke::t_class|Smoke::tf_stack },	//59
    { "QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref },	//60
    { "QDomNodeList*", 23, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QDomNodePrivate*", 24, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QDomNotation", 25, Smoke::t_class|Smoke::tf_stack },	//63
    { "QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDomNotation*", 25, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QDomProcessingInstruction", 26, Smoke::t_class|Smoke::tf_stack },	//66
    { "QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref },	//67
    { "QDomProcessingInstruction*", 26, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDomText", 27, Smoke::t_class|Smoke::tf_stack },	//69
    { "QDomText&", 27, Smoke::t_class|Smoke::tf_ref },	//70
    { "QDomText*", 27, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref },	//72
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QIODevice*", 31, Smoke::t_class|Smoke::tf_ptr },	//104
    { "QIODevice::OpenModeFlag", 31, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QIncompatibleFlag", 32, Smoke::t_class|Smoke::tf_stack },	//106
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QLine&", 34, Smoke::t_class|Smoke::tf_ref },	//108
    { "QLineF&", 35, Smoke::t_class|Smoke::tf_ref },	//109
    { "QList<void*>*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "QLocale&", 36, Smoke::t_class|Smoke::tf_ref },	//111
    { "QLocale::NumberOption", 36, Smoke::t_enum|Smoke::tf_stack },	//112
    { "QObject*", 40, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QObject*(*)()", 40, Smoke::t_class|Smoke::tf_ptr },	//114
    { "QPoint&", 42, Smoke::t_class|Smoke::tf_ref },	//115
    { "QPointF&", 43, Smoke::t_class|Smoke::tf_ref },	//116
    { "QRect&", 44, Smoke::t_class|Smoke::tf_ref },	//117
    { "QRectF&", 45, Smoke::t_class|Smoke::tf_ref },	//118
    { "QRegExp&", 46, Smoke::t_class|Smoke::tf_ref },	//119
    { "QSize&", 47, Smoke::t_class|Smoke::tf_ref },	//120
    { "QSizeF&", 48, Smoke::t_class|Smoke::tf_ref },	//121
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//122
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//123
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "QString::Null", 49, Smoke::t_class|Smoke::tf_stack },	//125
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//127
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//128
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//129
    { "QTextCodec*", 51, Smoke::t_class|Smoke::tf_ptr },	//130
    { "QTextCodec::ConversionFlag", 51, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QTextStream&", 52, Smoke::t_class|Smoke::tf_ref },	//132
    { "QTextStream&(*)(QTextStream&)", 52, Smoke::t_class|Smoke::tf_ref },	//133
    { "QTextStream::NumberFlag", 52, Smoke::t_enum|Smoke::tf_stack },	//134
    { "QTextStreamManipulator", 53, Smoke::t_class|Smoke::tf_stack },	//135
    { "QTime&", 54, Smoke::t_class|Smoke::tf_ref },	//136
    { "QUrl&", 55, Smoke::t_class|Smoke::tf_ref },	//137
    { "QUrl::FormattingOption", 55, Smoke::t_enum|Smoke::tf_stack },	//138
    { "QUuid&", 56, Smoke::t_class|Smoke::tf_ref },	//139
    { "QVariant&", 57, Smoke::t_class|Smoke::tf_ref },	//140
    { "QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack },	//141
    { "QVariant::Type&", 57, Smoke::t_enum|Smoke::tf_ref },	//142
    { "QXmlAttributes*", 59, Smoke::t_class|Smoke::tf_ptr },	//143
    { "QXmlContentHandler*", 60, Smoke::t_class|Smoke::tf_ptr },	//144
    { "QXmlDTDHandler*", 61, Smoke::t_class|Smoke::tf_ptr },	//145
    { "QXmlDeclHandler*", 62, Smoke::t_class|Smoke::tf_ptr },	//146
    { "QXmlDefaultHandler*", 63, Smoke::t_class|Smoke::tf_ptr },	//147
    { "QXmlEntityResolver*", 64, Smoke::t_class|Smoke::tf_ptr },	//148
    { "QXmlErrorHandler*", 65, Smoke::t_class|Smoke::tf_ptr },	//149
    { "QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QXmlInputSource*&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_ptr },	//151
    { "QXmlLexicalHandler*", 67, Smoke::t_class|Smoke::tf_ptr },	//152
    { "QXmlLocator*", 68, Smoke::t_class|Smoke::tf_ptr },	//153
    { "QXmlNamespaceSupport*", 69, Smoke::t_class|Smoke::tf_ptr },	//154
    { "QXmlParseException*", 70, Smoke::t_class|Smoke::tf_ptr },	//155
    { "QXmlReader*", 71, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QXmlSimpleReader*", 72, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QXmlStreamWriter*", 76, Smoke::t_class|Smoke::tf_ptr },	//158
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//172
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//173
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//175
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//176
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//177
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//178
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//179
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//180
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//182
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "QtMsgType", 29, Smoke::t_enum|Smoke::tf_stack },	//232
    { "__codecvt_result", 29, Smoke::t_enum|Smoke::tf_stack },	//233
    { "__compar_fn_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//234
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//235
    { "bool*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//236
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//237
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//238
    { "const QBitArray&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//239
    { "const QByteArray", 3, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//240
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//241
    { "const QChar&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//242
    { "const QDate&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//243
    { "const QDateTime&", 7, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//244
    { "const QDir&", 9, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//245
    { "const QDomAttr&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//246
    { "const QDomCDATASection&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//247
    { "const QDomCharacterData&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//248
    { "const QDomComment&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//249
    { "const QDomDocument&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//250
    { "const QDomDocumentFragment&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//251
    { "const QDomDocumentType&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//252
    { "const QDomElement&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//253
    { "const QDomEntity&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//254
    { "const QDomEntityReference&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//255
    { "const QDomImplementation&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//256
    { "const QDomNamedNodeMap&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//257
    { "const QDomNode&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//258
    { "const QDomNodeList&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//259
    { "const QDomNotation&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//260
    { "const QDomProcessingInstruction&", 26, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//261
    { "const QDomText&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//262
    { "const QEasingCurve&", 28, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//263
    { "const QHashDummyValue&", 30, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//264
    { "const QLatin1String&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//265
    { "const QLine&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//266
    { "const QLineF&", 35, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//267
    { "const QLocale&", 36, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//268
    { "const QMargins&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//269
    { "const QMetaObject&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//270
    { "const QModelIndex&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//271
    { "const QObject*", 40, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//272
    { "const QPersistentModelIndex&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//273
    { "const QPoint", 42, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//274
    { "const QPoint&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//275
    { "const QPointF", 43, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//276
    { "const QPointF&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//277
    { "const QRect&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//278
    { "const QRectF&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//279
    { "const QRegExp&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const QRegExp*", 46, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//281
    { "const QSize", 47, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//282
    { "const QSize&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const QSizeF", 48, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//284
    { "const QSizeF&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//286
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//287
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//289
    { "const QStringRef&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QTime&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QUrl&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QUuid&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QVariant&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QVariant::Type", 57, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//295
    { "const QVariantComparisonHelper&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QXmlAttributes&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QXmlContentHandler&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QXmlDTDHandler&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QXmlDeclHandler&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QXmlEntityResolver&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QXmlErrorHandler&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QXmlInputSource&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QXmlInputSource*", 66, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//304
    { "const QXmlLexicalHandler&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QXmlLocator&", 68, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QXmlParseException&", 70, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QXmlReader&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//308
    { "const QXmlStreamAttribute&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//309
    { "const QXmlStreamAttributes&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QXmlStreamReader&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//312
    { "const unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//313
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//314
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//315
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//316
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//317
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//318
    { "int*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//319
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//320
    { "long double", 0, Smoke::t_double|Smoke::tf_stack },	//321
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//322
    { "short", 0, Smoke::t_short|Smoke::tf_stack },	//323
    { "signed char", 0, Smoke::t_char|Smoke::tf_stack },	//324
    { "size_t", 0, Smoke::t_ulong|Smoke::tf_stack },	//325
    { "unsigned char", 0, Smoke::t_uchar|Smoke::tf_stack },	//326
    { "unsigned char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//327
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//328
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//329
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//330
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//331
    { "va_list", 0, Smoke::t_voidp|Smoke::tf_stack },	//332
    { "void(*)()", 0, Smoke::t_voidp|Smoke::tf_stack },	//333
    { "void(*)(QtMsgType,const char*)", 0, Smoke::t_voidp|Smoke::tf_stack },	//334
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//335
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//336
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    246, 0,	//1  const QDomAttr&
    287, 0,	//3  const QString&
    247, 0,	//5  const QDomCDATASection&
    248, 0,	//7  const QDomCharacterData&
    329, 329, 0,	//9  unsigned long, unsigned long
    329, 287, 0,	//12  unsigned long, const QString&
    329, 329, 287, 0,	//15  unsigned long, unsigned long, const QString&
    249, 0,	//19  const QDomComment&
    252, 0,	//21  const QDomDocumentType&
    250, 0,	//23  const QDomDocument&
    287, 287, 0,	//25  const QString&, const QString&
    258, 235, 0,	//28  const QDomNode&, bool
    241, 235, 124, 319, 319, 0,	//31  const QByteArray&, bool, QString*, int*, int*
    287, 235, 124, 319, 319, 0,	//37  const QString&, bool, QString*, int*, int*
    104, 235, 124, 319, 319, 0,	//43  QIODevice*, bool, QString*, int*, int*
    150, 235, 124, 319, 319, 0,	//49  QXmlInputSource*, bool, QString*, int*, int*
    241, 124, 319, 319, 0,	//55  const QByteArray&, QString*, int*, int*
    287, 124, 319, 319, 0,	//60  const QString&, QString*, int*, int*
    104, 124, 319, 319, 0,	//65  QIODevice*, QString*, int*, int*
    150, 156, 124, 319, 319, 0,	//70  QXmlInputSource*, QXmlReader*, QString*, int*, int*
    318, 0,	//76  int
    241, 235, 0,	//78  const QByteArray&, bool
    241, 235, 124, 0,	//81  const QByteArray&, bool, QString*
    241, 235, 124, 319, 0,	//85  const QByteArray&, bool, QString*, int*
    287, 235, 0,	//90  const QString&, bool
    287, 235, 124, 0,	//93  const QString&, bool, QString*
    287, 235, 124, 319, 0,	//97  const QString&, bool, QString*, int*
    104, 235, 0,	//102  QIODevice*, bool
    104, 235, 124, 0,	//105  QIODevice*, bool, QString*
    104, 235, 124, 319, 0,	//109  QIODevice*, bool, QString*, int*
    150, 235, 0,	//114  QXmlInputSource*, bool
    150, 235, 124, 0,	//117  QXmlInputSource*, bool, QString*
    150, 235, 124, 319, 0,	//121  QXmlInputSource*, bool, QString*, int*
    241, 0,	//126  const QByteArray&
    241, 124, 0,	//128  const QByteArray&, QString*
    241, 124, 319, 0,	//131  const QByteArray&, QString*, int*
    287, 124, 0,	//135  const QString&, QString*
    287, 124, 319, 0,	//138  const QString&, QString*, int*
    104, 0,	//142  QIODevice*
    104, 124, 0,	//144  QIODevice*, QString*
    104, 124, 319, 0,	//147  QIODevice*, QString*, int*
    150, 156, 0,	//151  QXmlInputSource*, QXmlReader*
    150, 156, 124, 0,	//154  QXmlInputSource*, QXmlReader*, QString*
    150, 156, 124, 319, 0,	//158  QXmlInputSource*, QXmlReader*, QString*, int*
    251, 0,	//163  const QDomDocumentFragment&
    253, 0,	//165  const QDomElement&
    287, 322, 0,	//167  const QString&, long long
    287, 330, 0,	//170  const QString&, unsigned long long
    287, 318, 0,	//173  const QString&, int
    287, 328, 0,	//176  const QString&, unsigned int
    287, 317, 0,	//179  const QString&, float
    287, 316, 0,	//182  const QString&, double
    286, 287, 287, 0,	//185  const QString, const QString&, const QString&
    286, 287, 318, 0,	//189  const QString, const QString&, int
    286, 287, 328, 0,	//193  const QString, const QString&, unsigned int
    286, 287, 322, 0,	//197  const QString, const QString&, long long
    286, 287, 330, 0,	//201  const QString, const QString&, unsigned long long
    286, 287, 316, 0,	//205  const QString, const QString&, double
    286, 287, 0,	//209  const QString, const QString&
    254, 0,	//212  const QDomEntity&
    255, 0,	//214  const QDomEntityReference&
    256, 0,	//216  const QDomImplementation&
    287, 287, 287, 0,	//218  const QString&, const QString&, const QString&
    287, 287, 252, 0,	//222  const QString&, const QString&, const QDomDocumentType&
    50, 0,	//226  QDomImplementation::InvalidDataPolicy
    257, 0,	//228  const QDomNamedNodeMap&
    258, 0,	//230  const QDomNode&
    258, 258, 0,	//232  const QDomNode&, const QDomNode&
    235, 0,	//235  bool
    132, 318, 0,	//237  QTextStream&, int
    132, 318, 57, 0,	//240  QTextStream&, int, QDomNode::EncodingPolicy
    62, 0,	//244  QDomNodePrivate*
    259, 0,	//246  const QDomNodeList&
    260, 0,	//248  const QDomNotation&
    261, 0,	//250  const QDomProcessingInstruction&
    262, 0,	//252  const QDomText&
    239, 239, 0,	//254  const QBitArray&, const QBitArray&
    273, 0,	//257  const QPersistentModelIndex&
    178, 318, 0,	//259  Qt::DockWidgetArea, int
    312, 312, 318, 0,	//262  const char*, const char*, int
    275, 316, 0,	//266  const QPoint&, double
    316, 0,	//269  double
    316, 277, 0,	//271  double, const QPointF&
    202, 97, 0,	//274  Qt::MouseButton, QFlags<Qt::MouseButton>
    269, 269, 0,	//277  const QMargins&, const QMargins&
    316, 285, 0,	//280  double, const QSizeF&
    15, 318, 0,	//283  QDir::SortFlag, int
    13, 273, 0,	//286  QDebug, const QPersistentModelIndex&
    191, 318, 0,	//289  Qt::InputMethodHint, int
    238, 312, 0,	//292  char*, const char*
    278, 278, 0,	//295  const QRect&, const QRect&
    283, 283, 0,	//298  const QSize&, const QSize&
    131, 131, 0,	//301  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    13, 275, 0,	//304  QDebug, const QPoint&
    326, 0,	//307  unsigned char
    14, 76, 0,	//309  QDir::Filter, QFlags<QDir::Filter>
    73, 79, 0,	//312  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    228, 102, 0,	//315  Qt::WindowState, QFlags<Qt::WindowState>
    10, 266, 0,	//318  QDataStream&, const QLine&
    285, 316, 0,	//321  const QSizeF&, double
    14, 318, 0,	//324  QDir::Filter, int
    312, 265, 0,	//327  const char*, const QLatin1String&
    285, 285, 0,	//330  const QSizeF&, const QSizeF&
    241, 241, 0,	//333  const QByteArray&, const QByteArray&
    265, 290, 0,	//336  const QLatin1String&, const QStringRef&
    202, 202, 0,	//339  Qt::MouseButton, Qt::MouseButton
    13, 295, 0,	//342  QDebug, const QVariant::Type
    294, 296, 0,	//345  const QVariant&, const QVariantComparisonHelper&
    4, 4, 0,	//348  QBool, QBool
    159, 88, 0,	//351  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    290, 0,	//354  const QStringRef&
    125, 125, 0,	//356  QString::Null, QString::Null
    10, 279, 0,	//359  QDataStream&, const QRectF&
    10, 111, 0,	//362  QDataStream&, QLocale&
    8, 287, 0,	//365  QChar, const QString&
    105, 81, 0,	//368  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    14, 14, 0,	//371  QDir::Filter, QDir::Filter
    13, 291, 0,	//374  QDebug, const QTime&
    10, 241, 0,	//377  QDataStream&, const QByteArray&
    13, 243, 0,	//380  QDebug, const QDate&
    239, 0,	//383  const QBitArray&
    313, 327, 318, 0,	//385  const unsigned char*, unsigned char*, int
    294, 141, 335, 0,	//389  const QVariant&, QVariant::Type, void*
    331, 0,	//393  unsigned short
    114, 0,	//395  QObject*(*)()
    320, 0,	//397  long
    219, 219, 0,	//399  Qt::ToolBarArea, Qt::ToolBarArea
    322, 0,	//402  long long
    180, 318, 0,	//404  Qt::DropAction, int
    10, 288, 0,	//407  QDataStream&, const QStringList&
    1, 1, 0,	//410  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    328, 0,	//413  unsigned int
    317, 0,	//415  float
    159, 159, 0,	//417  Qt::AlignmentFlag, Qt::AlignmentFlag
    16, 318, 0,	//420  QDirIterator::IteratorFlag, int
    10, 280, 0,	//423  QDataStream&, const QRegExp&
    138, 318, 0,	//426  QUrl::FormattingOption, int
    241, 312, 0,	//429  const QByteArray&, const char*
    16, 78, 0,	//432  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    178, 89, 0,	//435  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    13, 285, 0,	//438  QDebug, const QSizeF&
    204, 204, 0,	//441  Qt::Orientation, Qt::Orientation
    219, 318, 0,	//444  Qt::ToolBarArea, int
    10, 116, 0,	//447  QDataStream&, QPointF&
    200, 318, 0,	//450  Qt::MatchFlag, int
    287, 312, 0,	//453  const QString&, const char*
    13, 263, 0,	//456  QDebug, const QEasingCurve&
    185, 185, 0,	//459  Qt::GestureFlag, Qt::GestureFlag
    10, 11, 0,	//462  QDataStream&, QDate&
    105, 105, 0,	//465  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    73, 318, 0,	//468  QEventLoop::ProcessEventsFlag, int
    237, 241, 0,	//471  char, const QByteArray&
    312, 287, 0,	//474  const char*, const QString&
    312, 241, 0,	//477  const char*, const QByteArray&
    10, 139, 0,	//480  QDataStream&, QUuid&
    316, 316, 0,	//483  double, double
    10, 6, 0,	//486  QDataStream&, QByteArray&
    10, 140, 0,	//489  QDataStream&, QVariant&
    10, 119, 0,	//492  QDataStream&, QRegExp&
    277, 277, 0,	//495  const QPointF&, const QPointF&
    290, 290, 0,	//498  const QStringRef&, const QStringRef&
    74, 318, 0,	//501  QFile::Permission, int
    8, 8, 0,	//504  QChar, QChar
    13, 267, 0,	//507  QDebug, const QLineF&
    312, 312, 328, 0,	//510  const char*, const char*, unsigned int
    13, 76, 0,	//514  QDebug, QFlags<QDir::Filter>
    312, 318, 0,	//517  const char*, int
    134, 86, 0,	//520  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    10, 3, 0,	//523  QDataStream&, QBitArray&
    277, 316, 0,	//526  const QPointF&, double
    8, 0,	//529  QChar
    1, 75, 0,	//531  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    334, 0,	//534  void(*)(QtMsgType,const char*)
    10, 243, 0,	//536  QDataStream&, const QDate&
    272, 287, 270, 0,	//539  const QObject*, const QString&, const QMetaObject&
    200, 96, 0,	//543  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    185, 318, 0,	//546  Qt::GestureFlag, int
    131, 318, 0,	//549  QTextCodec::ConversionFlag, int
    197, 95, 0,	//552  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    200, 200, 0,	//555  Qt::MatchFlag, Qt::MatchFlag
    335, 0,	//558  void*
    287, 125, 0,	//560  const QString&, QString::Null
    107, 318, 0,	//563  QLibrary::LoadHint, int
    10, 121, 0,	//566  QDataStream&, QSizeF&
    290, 312, 0,	//569  const QStringRef&, const char*
    277, 0,	//572  const QPointF&
    335, 325, 325, 325, 0,	//574  void*, size_t, size_t, size_t
    194, 194, 0,	//579  Qt::ItemFlag, Qt::ItemFlag
    330, 0,	//582  unsigned long long
    241, 287, 0,	//584  const QByteArray&, const QString&
    229, 103, 0,	//587  Qt::WindowType, QFlags<Qt::WindowType>
    13, 283, 0,	//590  QDebug, const QSize&
    194, 94, 0,	//593  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    222, 101, 0,	//596  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    287, 237, 0,	//599  const QString&, char
    10, 292, 0,	//602  QDataStream&, const QUrl&
    335, 318, 325, 0,	//605  void*, int, size_t
    10, 294, 0,	//609  QDataStream&, const QVariant&
    10, 108, 0,	//612  QDataStream&, QLine&
    241, 318, 0,	//615  const QByteArray&, int
    197, 197, 0,	//618  Qt::KeyboardModifier, Qt::KeyboardModifier
    333, 0,	//621  void(*)()
    159, 318, 0,	//623  Qt::AlignmentFlag, int
    197, 318, 0,	//626  Qt::KeyboardModifier, int
    194, 318, 0,	//629  Qt::ItemFlag, int
    189, 92, 0,	//632  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    126, 318, 0,	//635  QString::SectionFlag, int
    275, 275, 0,	//638  const QPoint&, const QPoint&
    229, 318, 0,	//641  Qt::WindowType, int
    290, 287, 0,	//644  const QStringRef&, const QString&
    265, 265, 0,	//647  const QLatin1String&, const QLatin1String&
    264, 264, 0,	//650  const QHashDummyValue&, const QHashDummyValue&
    312, 328, 0,	//653  const char*, unsigned int
    138, 138, 0,	//656  QUrl::FormattingOption, QUrl::FormattingOption
    222, 318, 0,	//659  Qt::TouchPointState, int
    13, 269, 0,	//662  QDebug, const QMargins&
    312, 0,	//665  const char*
    132, 133, 0,	//667  QTextStream&, QTextStream&(*)(QTextStream&)
    10, 72, 0,	//670  QDataStream&, QEasingCurve&
    10, 267, 0,	//673  QDataStream&, const QLineF&
    74, 80, 0,	//676  QFile::Permission, QFlags<QFile::Permission>
    238, 312, 328, 0,	//679  char*, const char*, unsigned int
    10, 277, 0,	//683  QDataStream&, const QPointF&
    292, 0,	//686  const QUrl&
    112, 318, 0,	//688  QLocale::NumberOption, int
    335, 325, 0,	//691  void*, size_t
    312, 312, 312, 318, 0,	//694  const char*, const char*, const char*, int
    287, 290, 0,	//699  const QString&, const QStringRef&
    312, 290, 0,	//702  const char*, const QStringRef&
    202, 318, 0,	//705  Qt::MouseButton, int
    10, 120, 0,	//708  QDataStream&, QSize&
    191, 191, 0,	//711  Qt::InputMethodHint, Qt::InputMethodHint
    16, 16, 0,	//714  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    134, 134, 0,	//717  QTextStream::NumberFlag, QTextStream::NumberFlag
    10, 142, 0,	//720  QDataStream&, QVariant::Type&
    216, 99, 0,	//723  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    290, 265, 0,	//726  const QStringRef&, const QLatin1String&
    324, 0,	//729  signed char
    219, 100, 0,	//731  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    10, 285, 0,	//734  QDataStream&, const QSizeF&
    312, 312, 0,	//737  const char*, const char*
    237, 287, 0,	//740  char, const QString&
    107, 107, 0,	//743  QLibrary::LoadHint, QLibrary::LoadHint
    228, 228, 0,	//746  Qt::WindowState, Qt::WindowState
    13, 292, 0,	//749  QDebug, const QUrl&
    138, 87, 0,	//752  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    279, 279, 0,	//755  const QRectF&, const QRectF&
    316, 283, 0,	//758  double, const QSize&
    271, 0,	//761  const QModelIndex&
    74, 74, 0,	//763  QFile::Permission, QFile::Permission
    13, 266, 0,	//766  QDebug, const QLine&
    10, 239, 0,	//769  QDataStream&, const QBitArray&
    335, 315, 325, 0,	//772  void*, const void*, size_t
    316, 275, 0,	//776  double, const QPoint&
    13, 271, 0,	//779  QDebug, const QModelIndex&
    323, 0,	//782  short
    13, 244, 0,	//784  QDebug, const QDateTime&
    10, 275, 0,	//787  QDataStream&, const QPoint&
    241, 237, 0,	//790  const QByteArray&, char
    13, 272, 0,	//793  QDebug, const QObject*
    321, 318, 238, 0,	//796  long double, int, char*
    317, 317, 0,	//800  float, float
    15, 77, 0,	//803  QDir::SortFlag, QFlags<QDir::SortFlag>
    238, 325, 312, 332, 0,	//806  char*, size_t, const char*, va_list
    126, 84, 0,	//811  QString::SectionFlag, QFlags<QString::SectionFlag>
    10, 283, 0,	//814  QDataStream&, const QSize&
    10, 118, 0,	//817  QDataStream&, QRectF&
    131, 85, 0,	//820  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    13, 81, 0,	//823  QDebug, QFlags<QIODevice::OpenModeFlag>
    10, 242, 0,	//826  QDataStream&, const QChar&
    235, 4, 0,	//829  bool, QBool
    329, 0,	//832  unsigned long
    13, 279, 0,	//834  QDebug, const QRectF&
    4, 235, 0,	//837  QBool, bool
    228, 318, 0,	//840  Qt::WindowState, int
    10, 128, 0,	//843  QDataStream&, QStringList&
    10, 278, 0,	//846  QDataStream&, const QRect&
    178, 178, 0,	//849  Qt::DockWidgetArea, Qt::DockWidgetArea
    112, 83, 0,	//852  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    229, 229, 0,	//855  Qt::WindowType, Qt::WindowType
    283, 316, 0,	//858  const QSize&, double
    125, 287, 0,	//861  QString::Null, const QString&
    15, 15, 0,	//864  QDir::SortFlag, QDir::SortFlag
    191, 93, 0,	//867  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    10, 115, 0,	//870  QDataStream&, QPoint&
    13, 277, 0,	//873  QDebug, const QPointF&
    272, 287, 281, 270, 110, 0,	//876  const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*
    10, 12, 0,	//882  QDataStream&, QDateTime&
    335, 325, 325, 234, 0,	//885  void*, size_t, size_t, __compar_fn_t
    10, 291, 0,	//890  QDataStream&, const QTime&
    10, 293, 0,	//893  QDataStream&, const QUuid&
    132, 135, 0,	//896  QTextStream&, QTextStreamManipulator
    126, 126, 0,	//899  QString::SectionFlag, QString::SectionFlag
    325, 325, 0,	//902  size_t, size_t
    134, 318, 0,	//905  QTextStream::NumberFlag, int
    313, 318, 318, 0,	//908  const unsigned char*, int, int
    313, 318, 0,	//912  const unsigned char*, int
    105, 318, 0,	//915  QIODevice::OpenModeFlag, int
    185, 91, 0,	//918  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    275, 0,	//921  const QPoint&
    132, 258, 0,	//923  QTextStream&, const QDomNode&
    10, 123, 0,	//926  QDataStream&, QString&
    10, 287, 0,	//929  QDataStream&, const QString&
    10, 263, 0,	//932  QDataStream&, const QEasingCurve&
    10, 9, 0,	//935  QDataStream&, QChar&
    216, 216, 0,	//938  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    287, 241, 0,	//941  const QString&, const QByteArray&
    73, 73, 0,	//944  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    10, 117, 0,	//947  QDataStream&, QRect&
    1, 318, 0,	//950  QAbstractFileEngine::FileFlag, int
    232, 312, 0,	//953  QtMsgType, const char*
    189, 318, 0,	//956  Qt::ImageConversionFlag, int
    13, 278, 0,	//959  QDebug, const QRect&
    10, 295, 0,	//962  QDataStream&, const QVariant::Type
    10, 109, 0,	//965  QDataStream&, QLineF&
    222, 222, 0,	//968  Qt::TouchPointState, Qt::TouchPointState
    216, 318, 0,	//971  Qt::TextInteractionFlag, int
    237, 0,	//974  char
    10, 244, 0,	//976  QDataStream&, const QDateTime&
    10, 136, 0,	//979  QDataStream&, QTime&
    189, 189, 0,	//982  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    180, 90, 0,	//985  Qt::DropAction, QFlags<Qt::DropAction>
    180, 180, 0,	//988  Qt::DropAction, Qt::DropAction
    204, 318, 0,	//991  Qt::Orientation, int
    13, 245, 0,	//994  QDebug, const QDir&
    10, 137, 0,	//997  QDataStream&, QUrl&
    107, 82, 0,	//1000  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    287, 8, 0,	//1003  const QString&, QChar
    204, 98, 0,	//1006  Qt::Orientation, QFlags<Qt::Orientation>
    325, 0,	//1009  size_t
    13, 294, 0,	//1011  QDebug, const QVariant&
    112, 112, 0,	//1014  QLocale::NumberOption, QLocale::NumberOption
    10, 268, 0,	//1017  QDataStream&, const QLocale&
    265, 0,	//1020  const QLatin1String&
    287, 287, 287, 287, 0,	//1022  const QString&, const QString&, const QString&, const QString&
    297, 0,	//1027  const QXmlAttributes&
    153, 0,	//1029  QXmlLocator*
    287, 287, 287, 297, 0,	//1031  const QString&, const QString&, const QString&, const QXmlAttributes&
    298, 0,	//1036  const QXmlContentHandler&
    299, 0,	//1038  const QXmlDTDHandler&
    287, 287, 287, 287, 287, 0,	//1040  const QString&, const QString&, const QString&, const QString&, const QString&
    300, 0,	//1046  const QXmlDeclHandler&
    307, 0,	//1048  const QXmlParseException&
    287, 287, 151, 0,	//1050  const QString&, const QString&, QXmlInputSource*&
    301, 0,	//1054  const QXmlEntityResolver&
    302, 0,	//1056  const QXmlErrorHandler&
    303, 0,	//1058  const QXmlInputSource&
    305, 0,	//1060  const QXmlLexicalHandler&
    306, 0,	//1062  const QXmlLocator&
    287, 123, 123, 0,	//1064  const QString&, QString&, QString&
    287, 235, 123, 123, 0,	//1068  const QString&, bool, QString&, QString&
    287, 318, 318, 287, 287, 0,	//1073  const QString&, int, int, const QString&, const QString&
    287, 318, 318, 0,	//1079  const QString&, int, int
    287, 318, 318, 287, 0,	//1083  const QString&, int, int, const QString&
    287, 236, 0,	//1088  const QString&, bool*
    287, 335, 0,	//1091  const QString&, void*
    148, 0,	//1094  QXmlEntityResolver*
    145, 0,	//1096  QXmlDTDHandler*
    144, 0,	//1098  QXmlContentHandler*
    149, 0,	//1100  QXmlErrorHandler*
    152, 0,	//1102  QXmlLexicalHandler*
    146, 0,	//1104  QXmlDeclHandler*
    304, 0,	//1106  const QXmlInputSource*
    308, 0,	//1108  const QXmlReader&
    304, 235, 0,	//1110  const QXmlInputSource*, bool
    7, 0,	//1113  QByteArray*
    124, 0,	//1115  QString*
    130, 0,	//1117  QTextCodec*
    309, 0,	//1119  const QXmlStreamAttribute&
    310, 0,	//1121  const QXmlStreamAttributes&
    311, 0,	//1123  const QXmlStreamReader&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AcceptInvalidChars",	//1
    "AttributeNode",	//2
    "BaseNode",	//3
    "CDATASectionNode",	//4
    "CharacterDataNode",	//5
    "CommentNode",	//6
    "DTDHandler",	//7
    "DocumentFragmentNode",	//8
    "DocumentNode",	//9
    "DocumentTypeNode",	//10
    "DropInvalidChars",	//11
    "ElementNode",	//12
    "EncodingFromDocument",	//13
    "EncodingFromTextStream",	//14
    "EndOfData",	//15
    "EndOfDocument",	//16
    "EntityNode",	//17
    "EntityReferenceNode",	//18
    "NotationNode",	//19
    "ProcessingInstructionNode",	//20
    "QDomAttr",	//21
    "QDomAttr#",	//22
    "QDomCDATASection",	//23
    "QDomCDATASection#",	//24
    "QDomCharacterData",	//25
    "QDomCharacterData#",	//26
    "QDomComment",	//27
    "QDomComment#",	//28
    "QDomDocument",	//29
    "QDomDocument#",	//30
    "QDomDocument$",	//31
    "QDomDocumentFragment",	//32
    "QDomDocumentFragment#",	//33
    "QDomDocumentType",	//34
    "QDomDocumentType#",	//35
    "QDomElement",	//36
    "QDomElement#",	//37
    "QDomEntity",	//38
    "QDomEntity#",	//39
    "QDomEntityReference",	//40
    "QDomEntityReference#",	//41
    "QDomImplementation",	//42
    "QDomImplementation#",	//43
    "QDomNamedNodeMap",	//44
    "QDomNamedNodeMap#",	//45
    "QDomNode",	//46
    "QDomNode#",	//47
    "QDomNodeList",	//48
    "QDomNodeList#",	//49
    "QDomNotation",	//50
    "QDomNotation#",	//51
    "QDomProcessingInstruction",	//52
    "QDomProcessingInstruction#",	//53
    "QDomText",	//54
    "QDomText#",	//55
    "QXmlAttributes",	//56
    "QXmlAttributes#",	//57
    "QXmlContentHandler",	//58
    "QXmlContentHandler#",	//59
    "QXmlDTDHandler",	//60
    "QXmlDTDHandler#",	//61
    "QXmlDeclHandler",	//62
    "QXmlDeclHandler#",	//63
    "QXmlDefaultHandler",	//64
    "QXmlEntityResolver",	//65
    "QXmlEntityResolver#",	//66
    "QXmlErrorHandler",	//67
    "QXmlErrorHandler#",	//68
    "QXmlInputSource",	//69
    "QXmlInputSource#",	//70
    "QXmlLexicalHandler",	//71
    "QXmlLexicalHandler#",	//72
    "QXmlLocator",	//73
    "QXmlLocator#",	//74
    "QXmlNamespaceSupport",	//75
    "QXmlParseException",	//76
    "QXmlParseException#",	//77
    "QXmlParseException$",	//78
    "QXmlParseException$$",	//79
    "QXmlParseException$$$",	//80
    "QXmlParseException$$$$",	//81
    "QXmlParseException$$$$$",	//82
    "QXmlReader",	//83
    "QXmlReader#",	//84
    "QXmlSimpleReader",	//85
    "QXmlStreamWriter",	//86
    "QXmlStreamWriter#",	//87
    "QXmlStreamWriter$",	//88
    "QtCriticalMsg",	//89
    "QtDebugMsg",	//90
    "QtFatalMsg",	//91
    "QtSystemMsg",	//92
    "QtWarningMsg",	//93
    "ReturnNullNode",	//94
    "TextNode",	//95
    "_ISalnum",	//96
    "_ISalpha",	//97
    "_ISblank",	//98
    "_IScntrl",	//99
    "_ISdigit",	//100
    "_ISgraph",	//101
    "_ISlower",	//102
    "_ISprint",	//103
    "_ISpunct",	//104
    "_ISspace",	//105
    "_ISupper",	//106
    "_ISxdigit",	//107
    "__codecvt_error",	//108
    "__codecvt_noconv",	//109
    "__codecvt_ok",	//110
    "__codecvt_partial",	//111
    "append",	//112
    "append$$$$",	//113
    "appendChild",	//114
    "appendChild#",	//115
    "appendData",	//116
    "appendData$",	//117
    "at",	//118
    "at$",	//119
    "attribute",	//120
    "attribute$",	//121
    "attribute$$",	//122
    "attributeDecl",	//123
    "attributeDecl$$$$$",	//124
    "attributeNS",	//125
    "attributeNS$$",	//126
    "attributeNS$$$",	//127
    "attributeNode",	//128
    "attributeNode$",	//129
    "attributeNodeNS",	//130
    "attributeNodeNS$$",	//131
    "attributes",	//132
    "autoFormatting",	//133
    "autoFormattingIndent",	//134
    "characters",	//135
    "characters$",	//136
    "childNodes",	//137
    "clear",	//138
    "cloneNode",	//139
    "cloneNode$",	//140
    "codec",	//141
    "columnNumber",	//142
    "comment",	//143
    "comment$",	//144
    "contains",	//145
    "contains$",	//146
    "contentHandler",	//147
    "count",	//148
    "createAttribute",	//149
    "createAttribute$",	//150
    "createAttributeNS",	//151
    "createAttributeNS$$",	//152
    "createCDATASection",	//153
    "createCDATASection$",	//154
    "createComment",	//155
    "createComment$",	//156
    "createDocument",	//157
    "createDocument$$#",	//158
    "createDocumentFragment",	//159
    "createDocumentType",	//160
    "createDocumentType$$$",	//161
    "createElement",	//162
    "createElement$",	//163
    "createElementNS",	//164
    "createElementNS$$",	//165
    "createEntityReference",	//166
    "createEntityReference$",	//167
    "createProcessingInstruction",	//168
    "createProcessingInstruction$$",	//169
    "createTextNode",	//170
    "createTextNode$",	//171
    "data",	//172
    "declHandler",	//173
    "deleteData",	//174
    "deleteData$$",	//175
    "device",	//176
    "doctype",	//177
    "documentElement",	//178
    "elementById",	//179
    "elementById$",	//180
    "elementsByTagName",	//181
    "elementsByTagName$",	//182
    "elementsByTagNameNS",	//183
    "elementsByTagNameNS$$",	//184
    "endCDATA",	//185
    "endDTD",	//186
    "endDocument",	//187
    "endElement",	//188
    "endElement$$$",	//189
    "endEntity",	//190
    "endEntity$",	//191
    "endPrefixMapping",	//192
    "endPrefixMapping$",	//193
    "entities",	//194
    "entityResolver",	//195
    "error",	//196
    "error#",	//197
    "errorHandler",	//198
    "errorString",	//199
    "externalEntityDecl",	//200
    "externalEntityDecl$$$",	//201
    "fatalError",	//202
    "fatalError#",	//203
    "feature",	//204
    "feature$",	//205
    "feature$$",	//206
    "fetchData",	//207
    "firstChild",	//208
    "firstChildElement",	//209
    "firstChildElement$",	//210
    "fromRawData",	//211
    "fromRawData#",	//212
    "fromRawData#$",	//213
    "hasAttribute",	//214
    "hasAttribute$",	//215
    "hasAttributeNS",	//216
    "hasAttributeNS$$",	//217
    "hasAttributes",	//218
    "hasChildNodes",	//219
    "hasFeature",	//220
    "hasFeature$",	//221
    "hasFeature$$",	//222
    "hasProperty",	//223
    "hasProperty$",	//224
    "ignorableWhitespace",	//225
    "ignorableWhitespace$",	//226
    "impl",	//227
    "implementation",	//228
    "importNode",	//229
    "importNode#$",	//230
    "index",	//231
    "index#",	//232
    "index$",	//233
    "index$$",	//234
    "insertAfter",	//235
    "insertAfter##",	//236
    "insertBefore",	//237
    "insertBefore##",	//238
    "insertData",	//239
    "insertData$$",	//240
    "internalEntityDecl",	//241
    "internalEntityDecl$$",	//242
    "internalSubset",	//243
    "invalidDataPolicy",	//244
    "isAttr",	//245
    "isCDATASection",	//246
    "isCharacterData",	//247
    "isComment",	//248
    "isDocument",	//249
    "isDocumentFragment",	//250
    "isDocumentType",	//251
    "isElement",	//252
    "isEmpty",	//253
    "isEntity",	//254
    "isEntityReference",	//255
    "isNotation",	//256
    "isNull",	//257
    "isProcessingInstruction",	//258
    "isSupported",	//259
    "isSupported$$",	//260
    "isText",	//261
    "item",	//262
    "item$",	//263
    "lastChild",	//264
    "lastChildElement",	//265
    "lastChildElement$",	//266
    "length",	//267
    "lexicalHandler",	//268
    "lineNumber",	//269
    "localName",	//270
    "localName$",	//271
    "message",	//272
    "name",	//273
    "namedItem",	//274
    "namedItem$",	//275
    "namedItemNS",	//276
    "namedItemNS$$",	//277
    "namespaceURI",	//278
    "next",	//279
    "nextSibling",	//280
    "nextSiblingElement",	//281
    "nextSiblingElement$",	//282
    "nodeName",	//283
    "nodeType",	//284
    "nodeValue",	//285
    "normalize",	//286
    "notationDecl",	//287
    "notationDecl$$$",	//288
    "notationName",	//289
    "notations",	//290
    "operator!=",	//291
    "operator!=#",	//292
    "operator!=##",	//293
    "operator!=#$",	//294
    "operator!=$#",	//295
    "operator!=$$",	//296
    "operator&",	//297
    "operator&##",	//298
    "operator*",	//299
    "operator*#$",	//300
    "operator*$#",	//301
    "operator+",	//302
    "operator+##",	//303
    "operator+#$",	//304
    "operator+$#",	//305
    "operator+$$",	//306
    "operator-",	//307
    "operator-#",	//308
    "operator-##",	//309
    "operator/",	//310
    "operator/#$",	//311
    "operator<",	//312
    "operator<##",	//313
    "operator<#$",	//314
    "operator<$#",	//315
    "operator<$$",	//316
    "operator<<",	//317
    "operator<<##",	//318
    "operator<<#$",	//319
    "operator<<#?",	//320
    "operator<=",	//321
    "operator<=##",	//322
    "operator<=#$",	//323
    "operator<=$#",	//324
    "operator<=$$",	//325
    "operator=",	//326
    "operator=#",	//327
    "operator==",	//328
    "operator==#",	//329
    "operator==##",	//330
    "operator==#$",	//331
    "operator==$#",	//332
    "operator==$$",	//333
    "operator>",	//334
    "operator>##",	//335
    "operator>#$",	//336
    "operator>$#",	//337
    "operator>$$",	//338
    "operator>=",	//339
    "operator>=##",	//340
    "operator>=#$",	//341
    "operator>=$#",	//342
    "operator>=$$",	//343
    "operator>>",	//344
    "operator>>##",	//345
    "operator>>#$",	//346
    "operator>>#?",	//347
    "operator^",	//348
    "operator^##",	//349
    "operator|",	//350
    "operator|##",	//351
    "operator|$$",	//352
    "ownerDocument",	//353
    "ownerElement",	//354
    "parentNode",	//355
    "parse",	//356
    "parse#",	//357
    "parse#$",	//358
    "parseContinue",	//359
    "popContext",	//360
    "prefix",	//361
    "prefix$",	//362
    "prefixes",	//363
    "prefixes$",	//364
    "previousSibling",	//365
    "previousSiblingElement",	//366
    "previousSiblingElement$",	//367
    "processName",	//368
    "processName$$$$",	//369
    "processingInstruction",	//370
    "processingInstruction$$",	//371
    "property",	//372
    "property$",	//373
    "property$$",	//374
    "publicId",	//375
    "pushContext",	//376
    "qAcos",	//377
    "qAcos$",	//378
    "qAddPostRoutine",	//379
    "qAddPostRoutine$",	//380
    "qAppName",	//381
    "qAsin",	//382
    "qAsin$",	//383
    "qAtan",	//384
    "qAtan$",	//385
    "qAtan2",	//386
    "qAtan2$$",	//387
    "qBadAlloc",	//388
    "qCeil",	//389
    "qCeil$",	//390
    "qChecksum",	//391
    "qChecksum$$",	//392
    "qCompress",	//393
    "qCompress#",	//394
    "qCompress#$",	//395
    "qCompress$$",	//396
    "qCompress$$$",	//397
    "qCos",	//398
    "qCos$",	//399
    "qCritical",	//400
    "qDebug",	//401
    "qExp",	//402
    "qExp$",	//403
    "qFabs",	//404
    "qFabs$",	//405
    "qFastCos",	//406
    "qFastCos$",	//407
    "qFastSin",	//408
    "qFastSin$",	//409
    "qFlagLocation",	//410
    "qFlagLocation$",	//411
    "qFloor",	//412
    "qFloor$",	//413
    "qFree",	//414
    "qFree$",	//415
    "qFreeAligned",	//416
    "qFreeAligned$",	//417
    "qFuzzyCompare",	//418
    "qFuzzyCompare$$",	//419
    "qFuzzyIsNull",	//420
    "qFuzzyIsNull$",	//421
    "qHash",	//422
    "qHash#",	//423
    "qHash$",	//424
    "qInf",	//425
    "qInstallMsgHandler",	//426
    "qInstallMsgHandler$",	//427
    "qIntCast",	//428
    "qIntCast$",	//429
    "qIsFinite",	//430
    "qIsFinite$",	//431
    "qIsInf",	//432
    "qIsInf$",	//433
    "qIsNaN",	//434
    "qIsNaN$",	//435
    "qIsNull",	//436
    "qIsNull$",	//437
    "qLn",	//438
    "qLn$",	//439
    "qMalloc",	//440
    "qMalloc$",	//441
    "qMallocAligned",	//442
    "qMallocAligned$$",	//443
    "qMemCopy",	//444
    "qMemCopy$$$",	//445
    "qMemSet",	//446
    "qMemSet$$$",	//447
    "qName",	//448
    "qName$",	//449
    "qPow",	//450
    "qPow$$",	//451
    "qQNaN",	//452
    "qRealloc",	//453
    "qRealloc$$",	//454
    "qReallocAligned",	//455
    "qReallocAligned$$$$",	//456
    "qRegisterStaticPluginInstanceFunction",	//457
    "qRegisterStaticPluginInstanceFunction#",	//458
    "qRemovePostRoutine",	//459
    "qRemovePostRoutine$",	//460
    "qRound",	//461
    "qRound$",	//462
    "qRound64",	//463
    "qRound64$",	//464
    "qSNaN",	//465
    "qSetFieldWidth",	//466
    "qSetFieldWidth$",	//467
    "qSetPadChar",	//468
    "qSetPadChar#",	//469
    "qSetRealNumberPrecision",	//470
    "qSetRealNumberPrecision$",	//471
    "qSharedBuild",	//472
    "qSin",	//473
    "qSin$",	//474
    "qSqrt",	//475
    "qSqrt$",	//476
    "qStringComparisonHelper",	//477
    "qStringComparisonHelper#$",	//478
    "qStringComparisonHelper$$",	//479
    "qTan",	//480
    "qTan$",	//481
    "qUncompress",	//482
    "qUncompress#",	//483
    "qUncompress$$",	//484
    "qVersion",	//485
    "qWarning",	//486
    "qbswap_helper",	//487
    "qbswap_helper$$$",	//488
    "qgcvt",	//489
    "qgcvt$$$",	//490
    "qgetenv",	//491
    "qgetenv$",	//492
    "qputenv",	//493
    "qputenv$#",	//494
    "qrand",	//495
    "qsort",	//496
    "qsort$$$?",	//497
    "qsrand",	//498
    "qsrand$",	//499
    "qstrcmp",	//500
    "qstrcmp##",	//501
    "qstrcmp#$",	//502
    "qstrcmp$#",	//503
    "qstrcmp$$",	//504
    "qstrcpy",	//505
    "qstrcpy$$",	//506
    "qstrdup",	//507
    "qstrdup$",	//508
    "qstricmp",	//509
    "qstricmp$$",	//510
    "qstrlen",	//511
    "qstrlen$",	//512
    "qstrncmp",	//513
    "qstrncmp$$$",	//514
    "qstrncpy",	//515
    "qstrncpy$$$",	//516
    "qstrnicmp",	//517
    "qstrnicmp$$$",	//518
    "qstrnlen",	//519
    "qstrnlen$$",	//520
    "qtTrId",	//521
    "qtTrId$",	//522
    "qtTrId$$",	//523
    "qt_assert",	//524
    "qt_assert$$$",	//525
    "qt_assert_x",	//526
    "qt_assert_x$$$$",	//527
    "qt_check_pointer",	//528
    "qt_check_pointer$$",	//529
    "qt_error_string",	//530
    "qt_error_string$",	//531
    "qt_message_output",	//532
    "qt_message_output$$",	//533
    "qt_noop",	//534
    "qt_qFindChild_helper",	//535
    "qt_qFindChild_helper#$#",	//536
    "qt_qFindChildren_helper",	//537
    "qt_qFindChildren_helper#$##?",	//538
    "qvariant_cast_helper",	//539
    "qvariant_cast_helper#$$",	//540
    "qvsnprintf",	//541
    "qvsnprintf$$$?",	//542
    "removeAttribute",	//543
    "removeAttribute$",	//544
    "removeAttributeNS",	//545
    "removeAttributeNS$$",	//546
    "removeAttributeNode",	//547
    "removeAttributeNode#",	//548
    "removeChild",	//549
    "removeChild#",	//550
    "removeNamedItem",	//551
    "removeNamedItem$",	//552
    "removeNamedItemNS",	//553
    "removeNamedItemNS$$",	//554
    "replaceChild",	//555
    "replaceChild##",	//556
    "replaceData",	//557
    "replaceData$$$",	//558
    "reset",	//559
    "resolveEntity",	//560
    "resolveEntity$$#",	//561
    "save",	//562
    "save#$",	//563
    "save#$$",	//564
    "setAttribute",	//565
    "setAttribute$$",	//566
    "setAttributeNS",	//567
    "setAttributeNS$$$",	//568
    "setAttributeNode",	//569
    "setAttributeNode#",	//570
    "setAttributeNodeNS",	//571
    "setAttributeNodeNS#",	//572
    "setAutoFormatting",	//573
    "setAutoFormatting$",	//574
    "setAutoFormattingIndent",	//575
    "setAutoFormattingIndent$",	//576
    "setCodec",	//577
    "setCodec#",	//578
    "setCodec$",	//579
    "setContent",	//580
    "setContent#",	//581
    "setContent##",	//582
    "setContent##$",	//583
    "setContent##$$",	//584
    "setContent##$$$",	//585
    "setContent#$",	//586
    "setContent#$$",	//587
    "setContent#$$$",	//588
    "setContent#$$$$",	//589
    "setContent$",	//590
    "setContent$$",	//591
    "setContent$$$",	//592
    "setContent$$$$",	//593
    "setContent$$$$$",	//594
    "setContentHandler",	//595
    "setContentHandler#",	//596
    "setDTDHandler",	//597
    "setDTDHandler#",	//598
    "setData",	//599
    "setData#",	//600
    "setData$",	//601
    "setDeclHandler",	//602
    "setDeclHandler#",	//603
    "setDevice",	//604
    "setDevice#",	//605
    "setDocumentLocator",	//606
    "setDocumentLocator#",	//607
    "setEntityResolver",	//608
    "setEntityResolver#",	//609
    "setErrorHandler",	//610
    "setErrorHandler#",	//611
    "setFeature",	//612
    "setFeature$$",	//613
    "setImpl",	//614
    "setImpl#",	//615
    "setInvalidDataPolicy",	//616
    "setInvalidDataPolicy$",	//617
    "setLexicalHandler",	//618
    "setLexicalHandler#",	//619
    "setNamedItem",	//620
    "setNamedItem#",	//621
    "setNamedItemNS",	//622
    "setNamedItemNS#",	//623
    "setNodeValue",	//624
    "setNodeValue$",	//625
    "setPrefix",	//626
    "setPrefix$",	//627
    "setPrefix$$",	//628
    "setProperty",	//629
    "setProperty$$",	//630
    "setTagName",	//631
    "setTagName$",	//632
    "setValue",	//633
    "setValue$",	//634
    "size",	//635
    "skippedEntity",	//636
    "skippedEntity$",	//637
    "specified",	//638
    "splitName",	//639
    "splitName$$$",	//640
    "splitText",	//641
    "splitText$",	//642
    "startCDATA",	//643
    "startDTD",	//644
    "startDTD$$$",	//645
    "startDocument",	//646
    "startElement",	//647
    "startElement$$$#",	//648
    "startEntity",	//649
    "startEntity$",	//650
    "startPrefixMapping",	//651
    "startPrefixMapping$$",	//652
    "substringData",	//653
    "substringData$$",	//654
    "systemId",	//655
    "tagName",	//656
    "target",	//657
    "text",	//658
    "toAttr",	//659
    "toByteArray",	//660
    "toByteArray$",	//661
    "toCDATASection",	//662
    "toCharacterData",	//663
    "toComment",	//664
    "toDocument",	//665
    "toDocumentFragment",	//666
    "toDocumentType",	//667
    "toElement",	//668
    "toEntity",	//669
    "toEntityReference",	//670
    "toNotation",	//671
    "toProcessingInstruction",	//672
    "toString",	//673
    "toString$",	//674
    "toText",	//675
    "type",	//676
    "type$",	//677
    "type$$",	//678
    "unparsedEntityDecl",	//679
    "unparsedEntityDecl$$$$",	//680
    "uri",	//681
    "uri$",	//682
    "value",	//683
    "value#",	//684
    "value$",	//685
    "value$$",	//686
    "warning",	//687
    "warning#",	//688
    "writeAttribute",	//689
    "writeAttribute#",	//690
    "writeAttribute$$",	//691
    "writeAttribute$$$",	//692
    "writeAttributes",	//693
    "writeAttributes#",	//694
    "writeCDATA",	//695
    "writeCDATA$",	//696
    "writeCharacters",	//697
    "writeCharacters$",	//698
    "writeComment",	//699
    "writeComment$",	//700
    "writeCurrentToken",	//701
    "writeCurrentToken#",	//702
    "writeDTD",	//703
    "writeDTD$",	//704
    "writeDefaultNamespace",	//705
    "writeDefaultNamespace$",	//706
    "writeEmptyElement",	//707
    "writeEmptyElement$",	//708
    "writeEmptyElement$$",	//709
    "writeEndDocument",	//710
    "writeEndElement",	//711
    "writeEntityReference",	//712
    "writeEntityReference$",	//713
    "writeNamespace",	//714
    "writeNamespace$",	//715
    "writeNamespace$$",	//716
    "writeProcessingInstruction",	//717
    "writeProcessingInstruction$",	//718
    "writeProcessingInstruction$$",	//719
    "writeStartDocument",	//720
    "writeStartDocument$",	//721
    "writeStartDocument$$",	//722
    "writeStartElement",	//723
    "writeStartElement$",	//724
    "writeStartElement$$",	//725
    "writeTextElement",	//726
    "writeTextElement$$",	//727
    "writeTextElement$$$",	//728
    "~QDomAttr",	//729
    "~QDomCDATASection",	//730
    "~QDomCharacterData",	//731
    "~QDomComment",	//732
    "~QDomDocument",	//733
    "~QDomDocumentFragment",	//734
    "~QDomDocumentType",	//735
    "~QDomElement",	//736
    "~QDomEntity",	//737
    "~QDomEntityReference",	//738
    "~QDomImplementation",	//739
    "~QDomNamedNodeMap",	//740
    "~QDomNode",	//741
    "~QDomNodeList",	//742
    "~QDomNotation",	//743
    "~QDomProcessingInstruction",	//744
    "~QDomText",	//745
    "~QXmlAttributes",	//746
    "~QXmlContentHandler",	//747
    "~QXmlDTDHandler",	//748
    "~QXmlDeclHandler",	//749
    "~QXmlDefaultHandler",	//750
    "~QXmlEntityResolver",	//751
    "~QXmlErrorHandler",	//752
    "~QXmlInputSource",	//753
    "~QXmlLexicalHandler",	//754
    "~QXmlLocator",	//755
    "~QXmlNamespaceSupport",	//756
    "~QXmlParseException",	//757
    "~QXmlReader",	//758
    "~QXmlSimpleReader",	//759
    "~QXmlStreamWriter",	//760
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {10, 21, 0, 0, Smoke::mf_ctor, 19, 1},	//1 QDomAttr::QDomAttr()
    {10, 21, 1, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 19, 2},	//2 QDomAttr::QDomAttr(const QDomAttr&)
    {10, 326, 1, 1, 0, 18, 3},	//3 QDomAttr::operator=(const QDomAttr&)
    {10, 273, 0, 0, Smoke::mf_const, 122, 4},	//4 QDomAttr::name() const
    {10, 638, 0, 0, Smoke::mf_const, 235, 5},	//5 QDomAttr::specified() const
    {10, 354, 0, 0, Smoke::mf_const, 38, 6},	//6 QDomAttr::ownerElement() const
    {10, 683, 0, 0, Smoke::mf_const, 122, 7},	//7 QDomAttr::value() const
    {10, 633, 3, 1, 0, 0, 8},	//8 QDomAttr::setValue(const QString&)
    {10, 284, 0, 0, Smoke::mf_const, 58, 9},	//9 QDomAttr::nodeType() const
    {10, 729, 0, 0, Smoke::mf_dtor, 0, 10 },	//10 QDomAttr::~QDomAttr()
    {11, 23, 0, 0, Smoke::mf_ctor, 22, 1},	//11 QDomCDATASection::QDomCDATASection()
    {11, 23, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 22, 2},	//12 QDomCDATASection::QDomCDATASection(const QDomCDATASection&)
    {11, 326, 5, 1, 0, 21, 3},	//13 QDomCDATASection::operator=(const QDomCDATASection&)
    {11, 284, 0, 0, Smoke::mf_const, 58, 4},	//14 QDomCDATASection::nodeType() const
    {11, 730, 0, 0, Smoke::mf_dtor, 0, 5 },	//15 QDomCDATASection::~QDomCDATASection()
    {12, 25, 0, 0, Smoke::mf_ctor, 25, 1},	//16 QDomCharacterData::QDomCharacterData()
    {12, 25, 7, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 25, 2},	//17 QDomCharacterData::QDomCharacterData(const QDomCharacterData&)
    {12, 326, 7, 1, 0, 24, 3},	//18 QDomCharacterData::operator=(const QDomCharacterData&)
    {12, 653, 9, 2, 0, 122, 4},	//19 QDomCharacterData::substringData(unsigned long, unsigned long)
    {12, 116, 3, 1, 0, 0, 5},	//20 QDomCharacterData::appendData(const QString&)
    {12, 239, 12, 2, 0, 0, 6},	//21 QDomCharacterData::insertData(unsigned long, const QString&)
    {12, 174, 9, 2, 0, 0, 7},	//22 QDomCharacterData::deleteData(unsigned long, unsigned long)
    {12, 557, 15, 3, 0, 0, 8},	//23 QDomCharacterData::replaceData(unsigned long, unsigned long, const QString&)
    {12, 267, 0, 0, Smoke::mf_const, 328, 9},	//24 QDomCharacterData::length() const
    {12, 172, 0, 0, Smoke::mf_const, 122, 10},	//25 QDomCharacterData::data() const
    {12, 599, 3, 1, 0, 0, 11},	//26 QDomCharacterData::setData(const QString&)
    {12, 284, 0, 0, Smoke::mf_const, 58, 12},	//27 QDomCharacterData::nodeType() const
    {12, 731, 0, 0, Smoke::mf_dtor, 0, 13 },	//28 QDomCharacterData::~QDomCharacterData()
    {13, 27, 0, 0, Smoke::mf_ctor, 28, 1},	//29 QDomComment::QDomComment()
    {13, 27, 19, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 28, 2},	//30 QDomComment::QDomComment(const QDomComment&)
    {13, 326, 19, 1, 0, 27, 3},	//31 QDomComment::operator=(const QDomComment&)
    {13, 284, 0, 0, Smoke::mf_const, 58, 4},	//32 QDomComment::nodeType() const
    {13, 732, 0, 0, Smoke::mf_dtor, 0, 5 },	//33 QDomComment::~QDomComment()
    {14, 29, 0, 0, Smoke::mf_ctor, 31, 1},	//34 QDomDocument::QDomDocument()
    {14, 29, 3, 1, Smoke::mf_ctor, 31, 2},	//35 QDomDocument::QDomDocument(const QString&)
    {14, 29, 21, 1, Smoke::mf_ctor, 31, 3},	//36 QDomDocument::QDomDocument(const QDomDocumentType&)
    {14, 29, 23, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 4},	//37 QDomDocument::QDomDocument(const QDomDocument&)
    {14, 326, 23, 1, 0, 30, 5},	//38 QDomDocument::operator=(const QDomDocument&)
    {14, 162, 3, 1, 0, 38, 6},	//39 QDomDocument::createElement(const QString&)
    {14, 159, 0, 0, 0, 32, 7},	//40 QDomDocument::createDocumentFragment()
    {14, 170, 3, 1, 0, 69, 8},	//41 QDomDocument::createTextNode(const QString&)
    {14, 155, 3, 1, 0, 26, 9},	//42 QDomDocument::createComment(const QString&)
    {14, 153, 3, 1, 0, 20, 10},	//43 QDomDocument::createCDATASection(const QString&)
    {14, 168, 25, 2, 0, 66, 11},	//44 QDomDocument::createProcessingInstruction(const QString&, const QString&)
    {14, 149, 3, 1, 0, 17, 12},	//45 QDomDocument::createAttribute(const QString&)
    {14, 166, 3, 1, 0, 44, 13},	//46 QDomDocument::createEntityReference(const QString&)
    {14, 181, 3, 1, Smoke::mf_const, 59, 14},	//47 QDomDocument::elementsByTagName(const QString&) const
    {14, 229, 28, 2, 0, 54, 15},	//48 QDomDocument::importNode(const QDomNode&, bool)
    {14, 164, 25, 2, 0, 38, 16},	//49 QDomDocument::createElementNS(const QString&, const QString&)
    {14, 151, 25, 2, 0, 17, 17},	//50 QDomDocument::createAttributeNS(const QString&, const QString&)
    {14, 183, 25, 2, 0, 59, 18},	//51 QDomDocument::elementsByTagNameNS(const QString&, const QString&)
    {14, 179, 3, 1, 0, 38, 19},	//52 QDomDocument::elementById(const QString&)
    {14, 177, 0, 0, Smoke::mf_const, 35, 20},	//53 QDomDocument::doctype() const
    {14, 228, 0, 0, Smoke::mf_const, 47, 21},	//54 QDomDocument::implementation() const
    {14, 178, 0, 0, Smoke::mf_const, 38, 22},	//55 QDomDocument::documentElement() const
    {14, 284, 0, 0, Smoke::mf_const, 58, 23},	//56 QDomDocument::nodeType() const
    {14, 580, 31, 5, 0, 235, 24},	//57 QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    {14, 580, 37, 5, 0, 235, 25},	//58 QDomDocument::setContent(const QString&, bool, QString*, int*, int*)
    {14, 580, 43, 5, 0, 235, 26},	//59 QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    {14, 580, 49, 5, 0, 235, 27},	//60 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    {14, 580, 55, 4, 0, 235, 28},	//61 QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    {14, 580, 60, 4, 0, 235, 29},	//62 QDomDocument::setContent(const QString&, QString*, int*, int*)
    {14, 580, 65, 4, 0, 235, 30},	//63 QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    {14, 580, 70, 5, 0, 235, 31},	//64 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*, int*)
    {14, 673, 76, 1, Smoke::mf_const, 122, 32},	//65 QDomDocument::toString(int) const
    {14, 660, 76, 1, Smoke::mf_const, 5, 33},	//66 QDomDocument::toByteArray(int) const
    {14, 580, 78, 2, 0, 235, 34},	//67 QDomDocument::setContent(const QByteArray&, bool)
    {14, 580, 81, 3, 0, 235, 35},	//68 QDomDocument::setContent(const QByteArray&, bool, QString*)
    {14, 580, 85, 4, 0, 235, 36},	//69 QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    {14, 580, 90, 2, 0, 235, 37},	//70 QDomDocument::setContent(const QString&, bool)
    {14, 580, 93, 3, 0, 235, 38},	//71 QDomDocument::setContent(const QString&, bool, QString*)
    {14, 580, 97, 4, 0, 235, 39},	//72 QDomDocument::setContent(const QString&, bool, QString*, int*)
    {14, 580, 102, 2, 0, 235, 40},	//73 QDomDocument::setContent(QIODevice*, bool)
    {14, 580, 105, 3, 0, 235, 41},	//74 QDomDocument::setContent(QIODevice*, bool, QString*)
    {14, 580, 109, 4, 0, 235, 42},	//75 QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    {14, 580, 114, 2, 0, 235, 43},	//76 QDomDocument::setContent(QXmlInputSource*, bool)
    {14, 580, 117, 3, 0, 235, 44},	//77 QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    {14, 580, 121, 4, 0, 235, 45},	//78 QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    {14, 580, 126, 1, 0, 235, 46},	//79 QDomDocument::setContent(const QByteArray&)
    {14, 580, 128, 2, 0, 235, 47},	//80 QDomDocument::setContent(const QByteArray&, QString*)
    {14, 580, 131, 3, 0, 235, 48},	//81 QDomDocument::setContent(const QByteArray&, QString*, int*)
    {14, 580, 3, 1, 0, 235, 49},	//82 QDomDocument::setContent(const QString&)
    {14, 580, 135, 2, 0, 235, 50},	//83 QDomDocument::setContent(const QString&, QString*)
    {14, 580, 138, 3, 0, 235, 51},	//84 QDomDocument::setContent(const QString&, QString*, int*)
    {14, 580, 142, 1, 0, 235, 52},	//85 QDomDocument::setContent(QIODevice*)
    {14, 580, 144, 2, 0, 235, 53},	//86 QDomDocument::setContent(QIODevice*, QString*)
    {14, 580, 147, 3, 0, 235, 54},	//87 QDomDocument::setContent(QIODevice*, QString*, int*)
    {14, 580, 151, 2, 0, 235, 55},	//88 QDomDocument::setContent(QXmlInputSource*, QXmlReader*)
    {14, 580, 154, 3, 0, 235, 56},	//89 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*)
    {14, 580, 158, 4, 0, 235, 57},	//90 QDomDocument::setContent(QXmlInputSource*, QXmlReader*, QString*, int*)
    {14, 673, 0, 0, Smoke::mf_const, 122, 58},	//91 QDomDocument::toString() const
    {14, 660, 0, 0, Smoke::mf_const, 5, 59},	//92 QDomDocument::toByteArray() const
    {14, 733, 0, 0, Smoke::mf_dtor, 0, 60 },	//93 QDomDocument::~QDomDocument()
    {15, 32, 0, 0, Smoke::mf_ctor, 34, 1},	//94 QDomDocumentFragment::QDomDocumentFragment()
    {15, 32, 163, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 34, 2},	//95 QDomDocumentFragment::QDomDocumentFragment(const QDomDocumentFragment&)
    {15, 326, 163, 1, 0, 33, 3},	//96 QDomDocumentFragment::operator=(const QDomDocumentFragment&)
    {15, 284, 0, 0, Smoke::mf_const, 58, 4},	//97 QDomDocumentFragment::nodeType() const
    {15, 734, 0, 0, Smoke::mf_dtor, 0, 5 },	//98 QDomDocumentFragment::~QDomDocumentFragment()
    {16, 34, 0, 0, Smoke::mf_ctor, 37, 1},	//99 QDomDocumentType::QDomDocumentType()
    {16, 34, 21, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 37, 2},	//100 QDomDocumentType::QDomDocumentType(const QDomDocumentType&)
    {16, 326, 21, 1, 0, 36, 3},	//101 QDomDocumentType::operator=(const QDomDocumentType&)
    {16, 273, 0, 0, Smoke::mf_const, 122, 4},	//102 QDomDocumentType::name() const
    {16, 194, 0, 0, Smoke::mf_const, 51, 5},	//103 QDomDocumentType::entities() const
    {16, 290, 0, 0, Smoke::mf_const, 51, 6},	//104 QDomDocumentType::notations() const
    {16, 375, 0, 0, Smoke::mf_const, 122, 7},	//105 QDomDocumentType::publicId() const
    {16, 655, 0, 0, Smoke::mf_const, 122, 8},	//106 QDomDocumentType::systemId() const
    {16, 243, 0, 0, Smoke::mf_const, 122, 9},	//107 QDomDocumentType::internalSubset() const
    {16, 284, 0, 0, Smoke::mf_const, 58, 10},	//108 QDomDocumentType::nodeType() const
    {16, 735, 0, 0, Smoke::mf_dtor, 0, 11 },	//109 QDomDocumentType::~QDomDocumentType()
    {17, 36, 0, 0, Smoke::mf_ctor, 40, 1},	//110 QDomElement::QDomElement()
    {17, 36, 165, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 2},	//111 QDomElement::QDomElement(const QDomElement&)
    {17, 326, 165, 1, 0, 39, 3},	//112 QDomElement::operator=(const QDomElement&)
    {17, 120, 25, 2, Smoke::mf_const, 122, 4},	//113 QDomElement::attribute(const QString&, const QString&) const
    {17, 565, 25, 2, 0, 0, 5},	//114 QDomElement::setAttribute(const QString&, const QString&)
    {17, 565, 167, 2, 0, 0, 6},	//115 QDomElement::setAttribute(const QString&, long long)
    {17, 565, 170, 2, 0, 0, 7},	//116 QDomElement::setAttribute(const QString&, unsigned long long)
    {17, 565, 173, 2, 0, 0, 8},	//117 QDomElement::setAttribute(const QString&, int)
    {17, 565, 176, 2, 0, 0, 9},	//118 QDomElement::setAttribute(const QString&, unsigned int)
    {17, 565, 179, 2, 0, 0, 10},	//119 QDomElement::setAttribute(const QString&, float)
    {17, 565, 182, 2, 0, 0, 11},	//120 QDomElement::setAttribute(const QString&, double)
    {17, 543, 3, 1, 0, 0, 12},	//121 QDomElement::removeAttribute(const QString&)
    {17, 128, 3, 1, 0, 17, 13},	//122 QDomElement::attributeNode(const QString&)
    {17, 569, 1, 1, 0, 17, 14},	//123 QDomElement::setAttributeNode(const QDomAttr&)
    {17, 547, 1, 1, 0, 17, 15},	//124 QDomElement::removeAttributeNode(const QDomAttr&)
    {17, 181, 3, 1, Smoke::mf_const, 59, 16},	//125 QDomElement::elementsByTagName(const QString&) const
    {17, 214, 3, 1, Smoke::mf_const, 235, 17},	//126 QDomElement::hasAttribute(const QString&) const
    {17, 125, 185, 3, Smoke::mf_const, 122, 18},	//127 QDomElement::attributeNS(const QString, const QString&, const QString&) const
    {17, 567, 185, 3, 0, 0, 19},	//128 QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    {17, 567, 189, 3, 0, 0, 20},	//129 QDomElement::setAttributeNS(const QString, const QString&, int)
    {17, 567, 193, 3, 0, 0, 21},	//130 QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    {17, 567, 197, 3, 0, 0, 22},	//131 QDomElement::setAttributeNS(const QString, const QString&, long long)
    {17, 567, 201, 3, 0, 0, 23},	//132 QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    {17, 567, 205, 3, 0, 0, 24},	//133 QDomElement::setAttributeNS(const QString, const QString&, double)
    {17, 545, 25, 2, 0, 0, 25},	//134 QDomElement::removeAttributeNS(const QString&, const QString&)
    {17, 130, 25, 2, 0, 17, 26},	//135 QDomElement::attributeNodeNS(const QString&, const QString&)
    {17, 571, 1, 1, 0, 17, 27},	//136 QDomElement::setAttributeNodeNS(const QDomAttr&)
    {17, 183, 25, 2, Smoke::mf_const, 59, 28},	//137 QDomElement::elementsByTagNameNS(const QString&, const QString&) const
    {17, 216, 25, 2, Smoke::mf_const, 235, 29},	//138 QDomElement::hasAttributeNS(const QString&, const QString&) const
    {17, 656, 0, 0, Smoke::mf_const, 122, 30},	//139 QDomElement::tagName() const
    {17, 631, 3, 1, 0, 0, 31},	//140 QDomElement::setTagName(const QString&)
    {17, 132, 0, 0, Smoke::mf_const, 51, 32},	//141 QDomElement::attributes() const
    {17, 284, 0, 0, Smoke::mf_const, 58, 33},	//142 QDomElement::nodeType() const
    {17, 658, 0, 0, Smoke::mf_const, 122, 34},	//143 QDomElement::text() const
    {17, 120, 3, 1, Smoke::mf_const, 122, 35},	//144 QDomElement::attribute(const QString&) const
    {17, 125, 209, 2, Smoke::mf_const, 122, 36},	//145 QDomElement::attributeNS(const QString, const QString&) const
    {17, 736, 0, 0, Smoke::mf_dtor, 0, 37 },	//146 QDomElement::~QDomElement()
    {18, 38, 0, 0, Smoke::mf_ctor, 43, 1},	//147 QDomEntity::QDomEntity()
    {18, 38, 212, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 43, 2},	//148 QDomEntity::QDomEntity(const QDomEntity&)
    {18, 326, 212, 1, 0, 42, 3},	//149 QDomEntity::operator=(const QDomEntity&)
    {18, 375, 0, 0, Smoke::mf_const, 122, 4},	//150 QDomEntity::publicId() const
    {18, 655, 0, 0, Smoke::mf_const, 122, 5},	//151 QDomEntity::systemId() const
    {18, 289, 0, 0, Smoke::mf_const, 122, 6},	//152 QDomEntity::notationName() const
    {18, 284, 0, 0, Smoke::mf_const, 58, 7},	//153 QDomEntity::nodeType() const
    {18, 737, 0, 0, Smoke::mf_dtor, 0, 8 },	//154 QDomEntity::~QDomEntity()
    {19, 40, 0, 0, Smoke::mf_ctor, 46, 1},	//155 QDomEntityReference::QDomEntityReference()
    {19, 40, 214, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 46, 2},	//156 QDomEntityReference::QDomEntityReference(const QDomEntityReference&)
    {19, 326, 214, 1, 0, 45, 3},	//157 QDomEntityReference::operator=(const QDomEntityReference&)
    {19, 284, 0, 0, Smoke::mf_const, 58, 4},	//158 QDomEntityReference::nodeType() const
    {19, 738, 0, 0, Smoke::mf_dtor, 0, 5 },	//159 QDomEntityReference::~QDomEntityReference()
    {20, 42, 0, 0, Smoke::mf_ctor, 49, 1},	//160 QDomImplementation::QDomImplementation()
    {20, 42, 216, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 49, 2},	//161 QDomImplementation::QDomImplementation(const QDomImplementation&)
    {20, 326, 216, 1, 0, 48, 3},	//162 QDomImplementation::operator=(const QDomImplementation&)
    {20, 328, 216, 1, Smoke::mf_const, 235, 4},	//163 QDomImplementation::operator==(const QDomImplementation&) const
    {20, 291, 216, 1, Smoke::mf_const, 235, 5},	//164 QDomImplementation::operator!=(const QDomImplementation&) const
    {20, 220, 25, 2, Smoke::mf_const, 235, 6},	//165 QDomImplementation::hasFeature(const QString&, const QString&) const
    {20, 160, 218, 3, 0, 35, 7},	//166 QDomImplementation::createDocumentType(const QString&, const QString&, const QString&)
    {20, 157, 222, 3, 0, 29, 8},	//167 QDomImplementation::createDocument(const QString&, const QString&, const QDomDocumentType&)
    {20, 244, 0, 0, Smoke::mf_static, 50, 9},	//168 QDomImplementation::invalidDataPolicy()
    {20, 616, 226, 1, Smoke::mf_static, 0, 10},	//169 QDomImplementation::setInvalidDataPolicy(QDomImplementation::InvalidDataPolicy)
    {20, 257, 0, 0, 0, 235, 11},	//170 QDomImplementation::isNull()
    {20, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 12},	//171 QDomImplementation::AcceptInvalidChars (enum)
    {20, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 13},	//172 QDomImplementation::DropInvalidChars (enum)
    {20, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 50, 14},	//173 QDomImplementation::ReturnNullNode (enum)
    {20, 739, 0, 0, Smoke::mf_dtor, 0, 15 },	//174 QDomImplementation::~QDomImplementation()
    {21, 44, 0, 0, Smoke::mf_ctor, 53, 1},	//175 QDomNamedNodeMap::QDomNamedNodeMap()
    {21, 44, 228, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 53, 2},	//176 QDomNamedNodeMap::QDomNamedNodeMap(const QDomNamedNodeMap&)
    {21, 326, 228, 1, 0, 52, 3},	//177 QDomNamedNodeMap::operator=(const QDomNamedNodeMap&)
    {21, 328, 228, 1, Smoke::mf_const, 235, 4},	//178 QDomNamedNodeMap::operator==(const QDomNamedNodeMap&) const
    {21, 291, 228, 1, Smoke::mf_const, 235, 5},	//179 QDomNamedNodeMap::operator!=(const QDomNamedNodeMap&) const
    {21, 274, 3, 1, Smoke::mf_const, 54, 6},	//180 QDomNamedNodeMap::namedItem(const QString&) const
    {21, 620, 230, 1, 0, 54, 7},	//181 QDomNamedNodeMap::setNamedItem(const QDomNode&)
    {21, 551, 3, 1, 0, 54, 8},	//182 QDomNamedNodeMap::removeNamedItem(const QString&)
    {21, 262, 76, 1, Smoke::mf_const, 54, 9},	//183 QDomNamedNodeMap::item(int) const
    {21, 276, 25, 2, Smoke::mf_const, 54, 10},	//184 QDomNamedNodeMap::namedItemNS(const QString&, const QString&) const
    {21, 622, 230, 1, 0, 54, 11},	//185 QDomNamedNodeMap::setNamedItemNS(const QDomNode&)
    {21, 553, 25, 2, 0, 54, 12},	//186 QDomNamedNodeMap::removeNamedItemNS(const QString&, const QString&)
    {21, 267, 0, 0, Smoke::mf_const, 328, 13},	//187 QDomNamedNodeMap::length() const
    {21, 148, 0, 0, Smoke::mf_const, 318, 14},	//188 QDomNamedNodeMap::count() const
    {21, 635, 0, 0, Smoke::mf_const, 318, 15},	//189 QDomNamedNodeMap::size() const
    {21, 253, 0, 0, Smoke::mf_const, 235, 16},	//190 QDomNamedNodeMap::isEmpty() const
    {21, 145, 3, 1, Smoke::mf_const, 235, 17},	//191 QDomNamedNodeMap::contains(const QString&) const
    {21, 740, 0, 0, Smoke::mf_dtor, 0, 18 },	//192 QDomNamedNodeMap::~QDomNamedNodeMap()
    {22, 46, 0, 0, Smoke::mf_ctor, 56, 1},	//193 QDomNode::QDomNode()
    {22, 46, 230, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 56, 2},	//194 QDomNode::QDomNode(const QDomNode&)
    {22, 326, 230, 1, 0, 55, 3},	//195 QDomNode::operator=(const QDomNode&)
    {22, 328, 230, 1, Smoke::mf_const, 235, 4},	//196 QDomNode::operator==(const QDomNode&) const
    {22, 291, 230, 1, Smoke::mf_const, 235, 5},	//197 QDomNode::operator!=(const QDomNode&) const
    {22, 237, 232, 2, 0, 54, 6},	//198 QDomNode::insertBefore(const QDomNode&, const QDomNode&)
    {22, 235, 232, 2, 0, 54, 7},	//199 QDomNode::insertAfter(const QDomNode&, const QDomNode&)
    {22, 555, 232, 2, 0, 54, 8},	//200 QDomNode::replaceChild(const QDomNode&, const QDomNode&)
    {22, 549, 230, 1, 0, 54, 9},	//201 QDomNode::removeChild(const QDomNode&)
    {22, 114, 230, 1, 0, 54, 10},	//202 QDomNode::appendChild(const QDomNode&)
    {22, 219, 0, 0, Smoke::mf_const, 235, 11},	//203 QDomNode::hasChildNodes() const
    {22, 139, 235, 1, Smoke::mf_const, 54, 12},	//204 QDomNode::cloneNode(bool) const
    {22, 286, 0, 0, 0, 0, 13},	//205 QDomNode::normalize()
    {22, 259, 25, 2, Smoke::mf_const, 235, 14},	//206 QDomNode::isSupported(const QString&, const QString&) const
    {22, 283, 0, 0, Smoke::mf_const, 122, 15},	//207 QDomNode::nodeName() const
    {22, 284, 0, 0, Smoke::mf_const, 58, 16},	//208 QDomNode::nodeType() const
    {22, 355, 0, 0, Smoke::mf_const, 54, 17},	//209 QDomNode::parentNode() const
    {22, 137, 0, 0, Smoke::mf_const, 59, 18},	//210 QDomNode::childNodes() const
    {22, 208, 0, 0, Smoke::mf_const, 54, 19},	//211 QDomNode::firstChild() const
    {22, 264, 0, 0, Smoke::mf_const, 54, 20},	//212 QDomNode::lastChild() const
    {22, 365, 0, 0, Smoke::mf_const, 54, 21},	//213 QDomNode::previousSibling() const
    {22, 280, 0, 0, Smoke::mf_const, 54, 22},	//214 QDomNode::nextSibling() const
    {22, 132, 0, 0, Smoke::mf_const, 51, 23},	//215 QDomNode::attributes() const
    {22, 353, 0, 0, Smoke::mf_const, 29, 24},	//216 QDomNode::ownerDocument() const
    {22, 278, 0, 0, Smoke::mf_const, 122, 25},	//217 QDomNode::namespaceURI() const
    {22, 270, 0, 0, Smoke::mf_const, 122, 26},	//218 QDomNode::localName() const
    {22, 218, 0, 0, Smoke::mf_const, 235, 27},	//219 QDomNode::hasAttributes() const
    {22, 285, 0, 0, Smoke::mf_const, 122, 28},	//220 QDomNode::nodeValue() const
    {22, 624, 3, 1, 0, 0, 29},	//221 QDomNode::setNodeValue(const QString&)
    {22, 361, 0, 0, Smoke::mf_const, 122, 30},	//222 QDomNode::prefix() const
    {22, 626, 3, 1, 0, 0, 31},	//223 QDomNode::setPrefix(const QString&)
    {22, 245, 0, 0, Smoke::mf_const, 235, 32},	//224 QDomNode::isAttr() const
    {22, 246, 0, 0, Smoke::mf_const, 235, 33},	//225 QDomNode::isCDATASection() const
    {22, 250, 0, 0, Smoke::mf_const, 235, 34},	//226 QDomNode::isDocumentFragment() const
    {22, 249, 0, 0, Smoke::mf_const, 235, 35},	//227 QDomNode::isDocument() const
    {22, 251, 0, 0, Smoke::mf_const, 235, 36},	//228 QDomNode::isDocumentType() const
    {22, 252, 0, 0, Smoke::mf_const, 235, 37},	//229 QDomNode::isElement() const
    {22, 255, 0, 0, Smoke::mf_const, 235, 38},	//230 QDomNode::isEntityReference() const
    {22, 261, 0, 0, Smoke::mf_const, 235, 39},	//231 QDomNode::isText() const
    {22, 254, 0, 0, Smoke::mf_const, 235, 40},	//232 QDomNode::isEntity() const
    {22, 256, 0, 0, Smoke::mf_const, 235, 41},	//233 QDomNode::isNotation() const
    {22, 258, 0, 0, Smoke::mf_const, 235, 42},	//234 QDomNode::isProcessingInstruction() const
    {22, 247, 0, 0, Smoke::mf_const, 235, 43},	//235 QDomNode::isCharacterData() const
    {22, 248, 0, 0, Smoke::mf_const, 235, 44},	//236 QDomNode::isComment() const
    {22, 274, 3, 1, Smoke::mf_const, 54, 45},	//237 QDomNode::namedItem(const QString&) const
    {22, 257, 0, 0, Smoke::mf_const, 235, 46},	//238 QDomNode::isNull() const
    {22, 138, 0, 0, 0, 0, 47},	//239 QDomNode::clear()
    {22, 659, 0, 0, Smoke::mf_const, 17, 48},	//240 QDomNode::toAttr() const
    {22, 662, 0, 0, Smoke::mf_const, 20, 49},	//241 QDomNode::toCDATASection() const
    {22, 666, 0, 0, Smoke::mf_const, 32, 50},	//242 QDomNode::toDocumentFragment() const
    {22, 665, 0, 0, Smoke::mf_const, 29, 51},	//243 QDomNode::toDocument() const
    {22, 667, 0, 0, Smoke::mf_const, 35, 52},	//244 QDomNode::toDocumentType() const
    {22, 668, 0, 0, Smoke::mf_const, 38, 53},	//245 QDomNode::toElement() const
    {22, 670, 0, 0, Smoke::mf_const, 44, 54},	//246 QDomNode::toEntityReference() const
    {22, 675, 0, 0, Smoke::mf_const, 69, 55},	//247 QDomNode::toText() const
    {22, 669, 0, 0, Smoke::mf_const, 41, 56},	//248 QDomNode::toEntity() const
    {22, 671, 0, 0, Smoke::mf_const, 63, 57},	//249 QDomNode::toNotation() const
    {22, 672, 0, 0, Smoke::mf_const, 66, 58},	//250 QDomNode::toProcessingInstruction() const
    {22, 663, 0, 0, Smoke::mf_const, 23, 59},	//251 QDomNode::toCharacterData() const
    {22, 664, 0, 0, Smoke::mf_const, 26, 60},	//252 QDomNode::toComment() const
    {22, 562, 237, 2, Smoke::mf_const, 0, 61},	//253 QDomNode::save(QTextStream&, int) const
    {22, 562, 240, 3, Smoke::mf_const, 0, 62},	//254 QDomNode::save(QTextStream&, int, QDomNode::EncodingPolicy) const
    {22, 209, 3, 1, Smoke::mf_const, 38, 63},	//255 QDomNode::firstChildElement(const QString&) const
    {22, 265, 3, 1, Smoke::mf_const, 38, 64},	//256 QDomNode::lastChildElement(const QString&) const
    {22, 366, 3, 1, Smoke::mf_const, 38, 65},	//257 QDomNode::previousSiblingElement(const QString&) const
    {22, 281, 3, 1, Smoke::mf_const, 38, 66},	//258 QDomNode::nextSiblingElement(const QString&) const
    {22, 269, 0, 0, Smoke::mf_const, 318, 67},	//259 QDomNode::lineNumber() const
    {22, 142, 0, 0, Smoke::mf_const, 318, 68},	//260 QDomNode::columnNumber() const
    {22, 139, 0, 0, Smoke::mf_const, 54, 69},	//261 QDomNode::cloneNode() const
    {22, 209, 0, 0, Smoke::mf_const, 38, 70},	//262 QDomNode::firstChildElement() const
    {22, 265, 0, 0, Smoke::mf_const, 38, 71},	//263 QDomNode::lastChildElement() const
    {22, 366, 0, 0, Smoke::mf_const, 38, 72},	//264 QDomNode::previousSiblingElement() const
    {22, 281, 0, 0, Smoke::mf_const, 38, 73},	//265 QDomNode::nextSiblingElement() const
    {22, 227, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 62, 74},	//266 QDomNode::impl() const
    {22, 614, 244, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 75},	//267 QDomNode::setImpl(QDomNodePrivate*)
    {22, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 76},	//268 QDomNode::ElementNode (enum)
    {22, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 77},	//269 QDomNode::AttributeNode (enum)
    {22, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 78},	//270 QDomNode::TextNode (enum)
    {22, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 79},	//271 QDomNode::CDATASectionNode (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 80},	//272 QDomNode::EntityReferenceNode (enum)
    {22, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 81},	//273 QDomNode::EntityNode (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 82},	//274 QDomNode::ProcessingInstructionNode (enum)
    {22, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 83},	//275 QDomNode::CommentNode (enum)
    {22, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 84},	//276 QDomNode::DocumentNode (enum)
    {22, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 85},	//277 QDomNode::DocumentTypeNode (enum)
    {22, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 86},	//278 QDomNode::DocumentFragmentNode (enum)
    {22, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 87},	//279 QDomNode::NotationNode (enum)
    {22, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 88},	//280 QDomNode::BaseNode (enum)
    {22, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 58, 89},	//281 QDomNode::CharacterDataNode (enum)
    {22, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 90},	//282 QDomNode::EncodingFromDocument (enum)
    {22, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 57, 91},	//283 QDomNode::EncodingFromTextStream (enum)
    {22, 741, 0, 0, Smoke::mf_dtor, 0, 92 },	//284 QDomNode::~QDomNode()
    {23, 48, 0, 0, Smoke::mf_ctor, 61, 1},	//285 QDomNodeList::QDomNodeList()
    {23, 48, 246, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 61, 2},	//286 QDomNodeList::QDomNodeList(const QDomNodeList&)
    {23, 326, 246, 1, 0, 60, 3},	//287 QDomNodeList::operator=(const QDomNodeList&)
    {23, 328, 246, 1, Smoke::mf_const, 235, 4},	//288 QDomNodeList::operator==(const QDomNodeList&) const
    {23, 291, 246, 1, Smoke::mf_const, 235, 5},	//289 QDomNodeList::operator!=(const QDomNodeList&) const
    {23, 262, 76, 1, Smoke::mf_const, 54, 6},	//290 QDomNodeList::item(int) const
    {23, 118, 76, 1, Smoke::mf_const, 54, 7},	//291 QDomNodeList::at(int) const
    {23, 267, 0, 0, Smoke::mf_const, 328, 8},	//292 QDomNodeList::length() const
    {23, 148, 0, 0, Smoke::mf_const, 318, 9},	//293 QDomNodeList::count() const
    {23, 635, 0, 0, Smoke::mf_const, 318, 10},	//294 QDomNodeList::size() const
    {23, 253, 0, 0, Smoke::mf_const, 235, 11},	//295 QDomNodeList::isEmpty() const
    {23, 742, 0, 0, Smoke::mf_dtor, 0, 12 },	//296 QDomNodeList::~QDomNodeList()
    {25, 50, 0, 0, Smoke::mf_ctor, 65, 1},	//297 QDomNotation::QDomNotation()
    {25, 50, 248, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 65, 2},	//298 QDomNotation::QDomNotation(const QDomNotation&)
    {25, 326, 248, 1, 0, 64, 3},	//299 QDomNotation::operator=(const QDomNotation&)
    {25, 375, 0, 0, Smoke::mf_const, 122, 4},	//300 QDomNotation::publicId() const
    {25, 655, 0, 0, Smoke::mf_const, 122, 5},	//301 QDomNotation::systemId() const
    {25, 284, 0, 0, Smoke::mf_const, 58, 6},	//302 QDomNotation::nodeType() const
    {25, 743, 0, 0, Smoke::mf_dtor, 0, 7 },	//303 QDomNotation::~QDomNotation()
    {26, 52, 0, 0, Smoke::mf_ctor, 68, 1},	//304 QDomProcessingInstruction::QDomProcessingInstruction()
    {26, 52, 250, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 68, 2},	//305 QDomProcessingInstruction::QDomProcessingInstruction(const QDomProcessingInstruction&)
    {26, 326, 250, 1, 0, 67, 3},	//306 QDomProcessingInstruction::operator=(const QDomProcessingInstruction&)
    {26, 657, 0, 0, Smoke::mf_const, 122, 4},	//307 QDomProcessingInstruction::target() const
    {26, 172, 0, 0, Smoke::mf_const, 122, 5},	//308 QDomProcessingInstruction::data() const
    {26, 599, 3, 1, 0, 0, 6},	//309 QDomProcessingInstruction::setData(const QString&)
    {26, 284, 0, 0, Smoke::mf_const, 58, 7},	//310 QDomProcessingInstruction::nodeType() const
    {26, 744, 0, 0, Smoke::mf_dtor, 0, 8 },	//311 QDomProcessingInstruction::~QDomProcessingInstruction()
    {27, 54, 0, 0, Smoke::mf_ctor, 71, 1},	//312 QDomText::QDomText()
    {27, 54, 252, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 71, 2},	//313 QDomText::QDomText(const QDomText&)
    {27, 326, 252, 1, 0, 70, 3},	//314 QDomText::operator=(const QDomText&)
    {27, 641, 76, 1, 0, 69, 4},	//315 QDomText::splitText(int)
    {27, 284, 0, 0, Smoke::mf_const, 58, 5},	//316 QDomText::nodeType() const
    {27, 745, 0, 0, Smoke::mf_dtor, 0, 6 },	//317 QDomText::~QDomText()
    {29, 297, 254, 2, Smoke::mf_static, 2, 1},	//318 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {29, 400, 0, 0, Smoke::mf_static, 13, 2},	//319 QGlobalSpace::qCritical()
    {29, 422, 257, 1, Smoke::mf_static, 328, 3},	//320 QGlobalSpace::qHash(const QPersistentModelIndex&)
    {29, 350, 259, 2, Smoke::mf_static, 106, 4},	//321 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {29, 524, 262, 3, Smoke::mf_static, 0, 5},	//322 QGlobalSpace::qt_assert(const char*, const char*, int)
    {29, 299, 266, 2, Smoke::mf_static, 274, 6},	//323 QGlobalSpace::operator*(const QPoint&, double)
    {29, 432, 269, 1, Smoke::mf_static, 235, 7},	//324 QGlobalSpace::qIsInf(double)
    {29, 299, 271, 2, Smoke::mf_static, 276, 8},	//325 QGlobalSpace::operator*(double, const QPointF&)
    {29, 350, 274, 2, Smoke::mf_static, 97, 9},	//326 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {29, 291, 277, 2, Smoke::mf_static, 235, 10},	//327 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {29, 299, 280, 2, Smoke::mf_static, 284, 11},	//328 QGlobalSpace::operator*(double, const QSizeF&)
    {29, 350, 283, 2, Smoke::mf_static, 106, 12},	//329 QGlobalSpace::operator|(QDir::SortFlag, int)
    {29, 317, 286, 2, Smoke::mf_static, 13, 13},	//330 QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    {29, 350, 289, 2, Smoke::mf_static, 106, 14},	//331 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {29, 505, 292, 2, Smoke::mf_static, 238, 15},	//332 QGlobalSpace::qstrcpy(char*, const char*)
    {29, 291, 295, 2, Smoke::mf_static, 235, 16},	//333 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {29, 404, 269, 1, Smoke::mf_static, 316, 17},	//334 QGlobalSpace::qFabs(double)
    {29, 302, 298, 2, Smoke::mf_static, 282, 18},	//335 QGlobalSpace::operator+(const QSize&, const QSize&)
    {29, 350, 301, 2, Smoke::mf_static, 85, 19},	//336 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {29, 317, 304, 2, Smoke::mf_static, 13, 20},	//337 QGlobalSpace::operator<<(QDebug, const QPoint&)
    {29, 452, 0, 0, Smoke::mf_static, 316, 21},	//338 QGlobalSpace::qQNaN()
    {29, 422, 307, 1, Smoke::mf_static, 328, 22},	//339 QGlobalSpace::qHash(unsigned char)
    {29, 350, 309, 2, Smoke::mf_static, 76, 23},	//340 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {29, 485, 0, 0, Smoke::mf_static, 312, 24},	//341 QGlobalSpace::qVersion()
    {29, 350, 312, 2, Smoke::mf_static, 79, 25},	//342 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {29, 328, 277, 2, Smoke::mf_static, 235, 26},	//343 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {29, 350, 315, 2, Smoke::mf_static, 102, 27},	//344 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {29, 317, 318, 2, Smoke::mf_static, 10, 28},	//345 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {29, 299, 321, 2, Smoke::mf_static, 284, 29},	//346 QGlobalSpace::operator*(const QSizeF&, double)
    {29, 350, 324, 2, Smoke::mf_static, 106, 30},	//347 QGlobalSpace::operator|(QDir::Filter, int)
    {29, 334, 327, 2, Smoke::mf_static, 235, 31},	//348 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {29, 389, 269, 1, Smoke::mf_static, 318, 32},	//349 QGlobalSpace::qCeil(double)
    {29, 495, 0, 0, Smoke::mf_static, 318, 33},	//350 QGlobalSpace::qrand()
    {29, 307, 330, 2, Smoke::mf_static, 284, 34},	//351 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {29, 339, 333, 2, Smoke::mf_static, 235, 35},	//352 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {29, 328, 336, 2, Smoke::mf_static, 235, 36},	//353 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {29, 350, 339, 2, Smoke::mf_static, 97, 37},	//354 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {29, 317, 342, 2, Smoke::mf_static, 13, 38},	//355 QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    {29, 291, 345, 2, Smoke::mf_static, 235, 39},	//356 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {29, 328, 348, 2, Smoke::mf_static, 235, 40},	//357 QGlobalSpace::operator==(QBool, QBool)
    {29, 350, 351, 2, Smoke::mf_static, 88, 41},	//358 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {29, 422, 354, 1, Smoke::mf_static, 328, 42},	//359 QGlobalSpace::qHash(const QStringRef&)
    {29, 328, 356, 2, Smoke::mf_static, 235, 43},	//360 QGlobalSpace::operator==(QString::Null, QString::Null)
    {29, 317, 359, 2, Smoke::mf_static, 10, 44},	//361 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {29, 344, 362, 2, Smoke::mf_static, 10, 45},	//362 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {29, 302, 365, 2, Smoke::mf_static, 286, 46},	//363 QGlobalSpace::operator+(QChar, const QString&)
    {29, 350, 368, 2, Smoke::mf_static, 81, 47},	//364 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {29, 350, 371, 2, Smoke::mf_static, 76, 48},	//365 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {29, 317, 374, 2, Smoke::mf_static, 13, 49},	//366 QGlobalSpace::operator<<(QDebug, const QTime&)
    {29, 317, 377, 2, Smoke::mf_static, 10, 50},	//367 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {29, 317, 380, 2, Smoke::mf_static, 13, 51},	//368 QGlobalSpace::operator<<(QDebug, const QDate&)
    {29, 422, 383, 1, Smoke::mf_static, 328, 52},	//369 QGlobalSpace::qHash(const QBitArray&)
    {29, 384, 269, 1, Smoke::mf_static, 316, 53},	//370 QGlobalSpace::qAtan(double)
    {29, 487, 385, 3, Smoke::mf_static, 0, 54},	//371 QGlobalSpace::qbswap_helper(const unsigned char*, unsigned char*, int)
    {29, 539, 389, 3, Smoke::mf_static, 235, 55},	//372 QGlobalSpace::qvariant_cast_helper(const QVariant&, QVariant::Type, void*)
    {29, 422, 3, 1, Smoke::mf_static, 328, 56},	//373 QGlobalSpace::qHash(const QString&)
    {29, 422, 393, 1, Smoke::mf_static, 328, 57},	//374 QGlobalSpace::qHash(unsigned short)
    {29, 457, 395, 1, Smoke::mf_static, 0, 58},	//375 QGlobalSpace::qRegisterStaticPluginInstanceFunction(QObject*(*)())
    {29, 422, 397, 1, Smoke::mf_static, 328, 59},	//376 QGlobalSpace::qHash(long)
    {29, 350, 399, 2, Smoke::mf_static, 100, 60},	//377 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {29, 422, 402, 1, Smoke::mf_static, 328, 61},	//378 QGlobalSpace::qHash(long long)
    {29, 302, 330, 2, Smoke::mf_static, 284, 62},	//379 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {29, 350, 404, 2, Smoke::mf_static, 106, 63},	//380 QGlobalSpace::operator|(Qt::DropAction, int)
    {29, 398, 269, 1, Smoke::mf_static, 316, 64},	//381 QGlobalSpace::qCos(double)
    {29, 317, 407, 2, Smoke::mf_static, 10, 65},	//382 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {29, 350, 410, 2, Smoke::mf_static, 75, 66},	//383 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {29, 498, 413, 1, Smoke::mf_static, 0, 67},	//384 QGlobalSpace::qsrand(unsigned int)
    {29, 432, 415, 1, Smoke::mf_static, 235, 68},	//385 QGlobalSpace::qIsInf(float)
    {29, 350, 417, 2, Smoke::mf_static, 88, 69},	//386 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {29, 350, 420, 2, Smoke::mf_static, 106, 70},	//387 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {29, 317, 423, 2, Smoke::mf_static, 10, 71},	//388 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {29, 350, 426, 2, Smoke::mf_static, 106, 72},	//389 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {29, 312, 429, 2, Smoke::mf_static, 235, 73},	//390 QGlobalSpace::operator<(const QByteArray&, const char*)
    {29, 350, 432, 2, Smoke::mf_static, 78, 74},	//391 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {29, 350, 435, 2, Smoke::mf_static, 89, 75},	//392 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {29, 317, 438, 2, Smoke::mf_static, 13, 76},	//393 QGlobalSpace::operator<<(QDebug, const QSizeF&)
    {29, 486, 0, 0, Smoke::mf_static, 13, 77},	//394 QGlobalSpace::qWarning()
    {29, 350, 441, 2, Smoke::mf_static, 98, 78},	//395 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {29, 350, 444, 2, Smoke::mf_static, 106, 79},	//396 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {29, 344, 447, 2, Smoke::mf_static, 10, 80},	//397 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {29, 350, 450, 2, Smoke::mf_static, 106, 81},	//398 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {29, 302, 453, 2, Smoke::mf_static, 286, 82},	//399 QGlobalSpace::operator+(const QString&, const char*)
    {29, 317, 456, 2, Smoke::mf_static, 13, 83},	//400 QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    {29, 350, 459, 2, Smoke::mf_static, 91, 84},	//401 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {29, 344, 462, 2, Smoke::mf_static, 10, 85},	//402 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {29, 350, 465, 2, Smoke::mf_static, 81, 86},	//403 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {29, 350, 468, 2, Smoke::mf_static, 106, 87},	//404 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {29, 302, 471, 2, Smoke::mf_static, 240, 88},	//405 QGlobalSpace::operator+(char, const QByteArray&)
    {29, 310, 266, 2, Smoke::mf_static, 274, 89},	//406 QGlobalSpace::operator/(const QPoint&, double)
    {29, 302, 474, 2, Smoke::mf_static, 286, 90},	//407 QGlobalSpace::operator+(const char*, const QString&)
    {29, 328, 477, 2, Smoke::mf_static, 235, 91},	//408 QGlobalSpace::operator==(const char*, const QByteArray&)
    {29, 434, 415, 1, Smoke::mf_static, 235, 92},	//409 QGlobalSpace::qIsNaN(float)
    {29, 344, 480, 2, Smoke::mf_static, 10, 93},	//410 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {29, 418, 483, 2, Smoke::mf_static, 235, 94},	//411 QGlobalSpace::qFuzzyCompare(double, double)
    {29, 436, 415, 1, Smoke::mf_static, 235, 95},	//412 QGlobalSpace::qIsNull(float)
    {29, 344, 486, 2, Smoke::mf_static, 10, 96},	//413 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {29, 344, 489, 2, Smoke::mf_static, 10, 97},	//414 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {29, 344, 492, 2, Smoke::mf_static, 10, 98},	//415 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {29, 328, 495, 2, Smoke::mf_static, 235, 99},	//416 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {29, 321, 474, 2, Smoke::mf_static, 235, 100},	//417 QGlobalSpace::operator<=(const char*, const QString&)
    {29, 291, 498, 2, Smoke::mf_static, 235, 101},	//418 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {29, 350, 501, 2, Smoke::mf_static, 106, 102},	//419 QGlobalSpace::operator|(QFile::Permission, int)
    {29, 312, 504, 2, Smoke::mf_static, 235, 103},	//420 QGlobalSpace::operator<(QChar, QChar)
    {29, 317, 507, 2, Smoke::mf_static, 13, 104},	//421 QGlobalSpace::operator<<(QDebug, const QLineF&)
    {29, 339, 327, 2, Smoke::mf_static, 235, 105},	//422 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {29, 517, 510, 3, Smoke::mf_static, 318, 106},	//423 QGlobalSpace::qstrnicmp(const char*, const char*, unsigned int)
    {29, 422, 126, 1, Smoke::mf_static, 328, 107},	//424 QGlobalSpace::qHash(const QByteArray&)
    {29, 317, 514, 2, Smoke::mf_static, 13, 108},	//425 QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    {29, 528, 517, 2, Smoke::mf_static, 0, 109},	//426 QGlobalSpace::qt_check_pointer(const char*, int)
    {29, 350, 520, 2, Smoke::mf_static, 86, 110},	//427 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {29, 344, 523, 2, Smoke::mf_static, 10, 111},	//428 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {29, 299, 526, 2, Smoke::mf_static, 276, 112},	//429 QGlobalSpace::operator*(const QPointF&, double)
    {29, 500, 333, 2, Smoke::mf_static, 318, 113},	//430 QGlobalSpace::qstrcmp(const QByteArray&, const QByteArray&)
    {29, 468, 529, 1, Smoke::mf_static, 135, 114},	//431 QGlobalSpace::qSetPadChar(QChar)
    {29, 500, 429, 2, Smoke::mf_static, 318, 115},	//432 QGlobalSpace::qstrcmp(const QByteArray&, const char*)
    {29, 328, 298, 2, Smoke::mf_static, 235, 116},	//433 QGlobalSpace::operator==(const QSize&, const QSize&)
    {29, 472, 0, 0, Smoke::mf_static, 235, 117},	//434 QGlobalSpace::qSharedBuild()
    {29, 350, 531, 2, Smoke::mf_static, 75, 118},	//435 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {29, 426, 534, 1, Smoke::mf_static, 334, 119},	//436 QGlobalSpace::qInstallMsgHandler(void(*)(QtMsgType,const char*))
    {29, 317, 536, 2, Smoke::mf_static, 10, 120},	//437 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {29, 535, 539, 3, Smoke::mf_static, 113, 121},	//438 QGlobalSpace::qt_qFindChild_helper(const QObject*, const QString&, const QMetaObject&)
    {29, 328, 327, 2, Smoke::mf_static, 235, 122},	//439 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {29, 350, 543, 2, Smoke::mf_static, 96, 123},	//440 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {29, 350, 546, 2, Smoke::mf_static, 106, 124},	//441 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {29, 291, 333, 2, Smoke::mf_static, 235, 125},	//442 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {29, 350, 549, 2, Smoke::mf_static, 106, 126},	//443 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {29, 350, 552, 2, Smoke::mf_static, 95, 127},	//444 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {29, 310, 321, 2, Smoke::mf_static, 284, 128},	//445 QGlobalSpace::operator/(const QSizeF&, double)
    {29, 350, 555, 2, Smoke::mf_static, 96, 129},	//446 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {29, 334, 504, 2, Smoke::mf_static, 235, 130},	//447 QGlobalSpace::operator>(QChar, QChar)
    {29, 339, 477, 2, Smoke::mf_static, 235, 131},	//448 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {29, 416, 558, 1, Smoke::mf_static, 0, 132},	//449 QGlobalSpace::qFreeAligned(void*)
    {29, 328, 560, 2, Smoke::mf_static, 235, 133},	//450 QGlobalSpace::operator==(const QString&, QString::Null)
    {29, 428, 415, 1, Smoke::mf_static, 318, 134},	//451 QGlobalSpace::qIntCast(float)
    {29, 312, 333, 2, Smoke::mf_static, 235, 135},	//452 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {29, 493, 477, 2, Smoke::mf_static, 235, 136},	//453 QGlobalSpace::qputenv(const char*, const QByteArray&)
    {29, 350, 563, 2, Smoke::mf_static, 106, 137},	//454 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {29, 344, 566, 2, Smoke::mf_static, 10, 138},	//455 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {29, 477, 569, 2, Smoke::mf_static, 235, 139},	//456 QGlobalSpace::qStringComparisonHelper(const QStringRef&, const char*)
    {29, 513, 510, 3, Smoke::mf_static, 318, 140},	//457 QGlobalSpace::qstrncmp(const char*, const char*, unsigned int)
    {29, 307, 572, 1, Smoke::mf_static, 276, 141},	//458 QGlobalSpace::operator-(const QPointF&)
    {29, 455, 574, 4, Smoke::mf_static, 335, 142},	//459 QGlobalSpace::qReallocAligned(void*, size_t, size_t, size_t)
    {29, 350, 579, 2, Smoke::mf_static, 94, 143},	//460 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {29, 422, 582, 1, Smoke::mf_static, 328, 144},	//461 QGlobalSpace::qHash(unsigned long long)
    {29, 302, 584, 2, Smoke::mf_static, 286, 145},	//462 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {29, 350, 587, 2, Smoke::mf_static, 103, 146},	//463 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {29, 317, 590, 2, Smoke::mf_static, 13, 147},	//464 QGlobalSpace::operator<<(QDebug, const QSize&)
    {29, 350, 593, 2, Smoke::mf_static, 94, 148},	//465 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {29, 350, 596, 2, Smoke::mf_static, 101, 149},	//466 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {29, 381, 0, 0, Smoke::mf_static, 122, 150},	//467 QGlobalSpace::qAppName()
    {29, 302, 599, 2, Smoke::mf_static, 286, 151},	//468 QGlobalSpace::operator+(const QString&, char)
    {29, 339, 498, 2, Smoke::mf_static, 235, 152},	//469 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {29, 422, 529, 1, Smoke::mf_static, 328, 153},	//470 QGlobalSpace::qHash(QChar)
    {29, 328, 345, 2, Smoke::mf_static, 235, 154},	//471 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {29, 420, 269, 1, Smoke::mf_static, 235, 155},	//472 QGlobalSpace::qFuzzyIsNull(double)
    {29, 317, 602, 2, Smoke::mf_static, 10, 156},	//473 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {29, 446, 605, 3, Smoke::mf_static, 335, 157},	//474 QGlobalSpace::qMemSet(void*, int, size_t)
    {29, 386, 483, 2, Smoke::mf_static, 316, 158},	//475 QGlobalSpace::qAtan2(double, double)
    {29, 317, 609, 2, Smoke::mf_static, 10, 159},	//476 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {29, 344, 612, 2, Smoke::mf_static, 10, 160},	//477 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {29, 393, 615, 2, Smoke::mf_static, 5, 161},	//478 QGlobalSpace::qCompress(const QByteArray&, int)
    {29, 393, 126, 1, Smoke::mf_static, 5, 162},	//479 QGlobalSpace::qCompress(const QByteArray&)
    {29, 350, 618, 2, Smoke::mf_static, 95, 163},	//480 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {29, 312, 477, 2, Smoke::mf_static, 235, 164},	//481 QGlobalSpace::operator<(const char*, const QByteArray&)
    {29, 379, 621, 1, Smoke::mf_static, 0, 165},	//482 QGlobalSpace::qAddPostRoutine(void(*)())
    {29, 350, 623, 2, Smoke::mf_static, 106, 166},	//483 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {29, 350, 626, 2, Smoke::mf_static, 106, 167},	//484 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {29, 350, 629, 2, Smoke::mf_static, 106, 168},	//485 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {29, 402, 269, 1, Smoke::mf_static, 316, 169},	//486 QGlobalSpace::qExp(double)
    {29, 350, 632, 2, Smoke::mf_static, 92, 170},	//487 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {29, 291, 298, 2, Smoke::mf_static, 235, 171},	//488 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {29, 321, 429, 2, Smoke::mf_static, 235, 172},	//489 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {29, 350, 635, 2, Smoke::mf_static, 106, 173},	//490 QGlobalSpace::operator|(QString::SectionFlag, int)
    {29, 291, 638, 2, Smoke::mf_static, 235, 174},	//491 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {29, 350, 641, 2, Smoke::mf_static, 106, 175},	//492 QGlobalSpace::operator|(Qt::WindowType, int)
    {29, 328, 644, 2, Smoke::mf_static, 235, 176},	//493 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {29, 436, 269, 1, Smoke::mf_static, 235, 177},	//494 QGlobalSpace::qIsNull(double)
    {29, 339, 647, 2, Smoke::mf_static, 235, 178},	//495 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {29, 328, 650, 2, Smoke::mf_static, 235, 179},	//496 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {29, 428, 269, 1, Smoke::mf_static, 318, 180},	//497 QGlobalSpace::qIntCast(double)
    {29, 348, 254, 2, Smoke::mf_static, 2, 181},	//498 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {29, 391, 653, 2, Smoke::mf_static, 331, 182},	//499 QGlobalSpace::qChecksum(const char*, unsigned int)
    {29, 350, 656, 2, Smoke::mf_static, 87, 183},	//500 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {29, 350, 659, 2, Smoke::mf_static, 106, 184},	//501 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {29, 312, 498, 2, Smoke::mf_static, 235, 185},	//502 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {29, 317, 662, 2, Smoke::mf_static, 13, 186},	//503 QGlobalSpace::operator<<(QDebug, const QMargins&)
    {29, 491, 665, 1, Smoke::mf_static, 5, 187},	//504 QGlobalSpace::qgetenv(const char*)
    {29, 291, 569, 2, Smoke::mf_static, 235, 188},	//505 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {29, 344, 667, 2, Smoke::mf_static, 132, 189},	//506 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 291, 477, 2, Smoke::mf_static, 235, 190},	//507 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {29, 377, 269, 1, Smoke::mf_static, 316, 191},	//508 QGlobalSpace::qAcos(double)
    {29, 334, 498, 2, Smoke::mf_static, 235, 192},	//509 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {29, 344, 670, 2, Smoke::mf_static, 10, 193},	//510 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {29, 317, 673, 2, Smoke::mf_static, 10, 194},	//511 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {29, 350, 676, 2, Smoke::mf_static, 80, 195},	//512 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {29, 515, 679, 3, Smoke::mf_static, 238, 196},	//513 QGlobalSpace::qstrncpy(char*, const char*, unsigned int)
    {29, 317, 683, 2, Smoke::mf_static, 10, 197},	//514 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {29, 422, 686, 1, Smoke::mf_static, 328, 198},	//515 QGlobalSpace::qHash(const QUrl&)
    {29, 430, 415, 1, Smoke::mf_static, 235, 199},	//516 QGlobalSpace::qIsFinite(float)
    {29, 530, 76, 1, Smoke::mf_static, 122, 200},	//517 QGlobalSpace::qt_error_string(int)
    {29, 530, 0, 0, Smoke::mf_static, 122, 201},	//518 QGlobalSpace::qt_error_string()
    {29, 350, 688, 2, Smoke::mf_static, 106, 202},	//519 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {29, 453, 691, 2, Smoke::mf_static, 335, 203},	//520 QGlobalSpace::qRealloc(void*, size_t)
    {29, 302, 25, 2, Smoke::mf_static, 286, 204},	//521 QGlobalSpace::operator+(const QString&, const QString&)
    {29, 526, 694, 4, Smoke::mf_static, 0, 205},	//522 QGlobalSpace::qt_assert_x(const char*, const char*, const char*, int)
    {29, 312, 474, 2, Smoke::mf_static, 235, 206},	//523 QGlobalSpace::operator<(const char*, const QString&)
    {29, 291, 474, 2, Smoke::mf_static, 235, 207},	//524 QGlobalSpace::operator!=(const char*, const QString&)
    {29, 291, 429, 2, Smoke::mf_static, 235, 208},	//525 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {29, 291, 699, 2, Smoke::mf_static, 235, 209},	//526 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {29, 334, 333, 2, Smoke::mf_static, 235, 210},	//527 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {29, 461, 269, 1, Smoke::mf_static, 318, 211},	//528 QGlobalSpace::qRound(double)
    {29, 321, 327, 2, Smoke::mf_static, 235, 212},	//529 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {29, 328, 638, 2, Smoke::mf_static, 235, 213},	//530 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {29, 328, 702, 2, Smoke::mf_static, 235, 214},	//531 QGlobalSpace::operator==(const char*, const QStringRef&)
    {29, 350, 254, 2, Smoke::mf_static, 2, 215},	//532 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {29, 302, 477, 2, Smoke::mf_static, 240, 216},	//533 QGlobalSpace::operator+(const char*, const QByteArray&)
    {29, 350, 705, 2, Smoke::mf_static, 106, 217},	//534 QGlobalSpace::operator|(Qt::MouseButton, int)
    {29, 321, 498, 2, Smoke::mf_static, 235, 218},	//535 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {29, 344, 708, 2, Smoke::mf_static, 10, 219},	//536 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {29, 350, 711, 2, Smoke::mf_static, 93, 220},	//537 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {29, 350, 714, 2, Smoke::mf_static, 78, 221},	//538 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {29, 350, 717, 2, Smoke::mf_static, 86, 222},	//539 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {29, 344, 720, 2, Smoke::mf_static, 10, 223},	//540 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {29, 328, 504, 2, Smoke::mf_static, 235, 224},	//541 QGlobalSpace::operator==(QChar, QChar)
    {29, 350, 723, 2, Smoke::mf_static, 99, 225},	//542 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {29, 291, 644, 2, Smoke::mf_static, 235, 226},	//543 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {29, 291, 726, 2, Smoke::mf_static, 235, 227},	//544 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {29, 422, 729, 1, Smoke::mf_static, 328, 228},	//545 QGlobalSpace::qHash(signed char)
    {29, 350, 731, 2, Smoke::mf_static, 100, 229},	//546 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {29, 317, 734, 2, Smoke::mf_static, 10, 230},	//547 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {29, 475, 269, 1, Smoke::mf_static, 316, 231},	//548 QGlobalSpace::qSqrt(double)
    {29, 500, 737, 2, Smoke::mf_static, 318, 232},	//549 QGlobalSpace::qstrcmp(const char*, const char*)
    {29, 302, 740, 2, Smoke::mf_static, 286, 233},	//550 QGlobalSpace::operator+(char, const QString&)
    {29, 291, 336, 2, Smoke::mf_static, 235, 234},	//551 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {29, 291, 504, 2, Smoke::mf_static, 235, 235},	//552 QGlobalSpace::operator!=(QChar, QChar)
    {29, 350, 743, 2, Smoke::mf_static, 82, 236},	//553 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {29, 519, 653, 2, Smoke::mf_static, 328, 237},	//554 QGlobalSpace::qstrnlen(const char*, unsigned int)
    {29, 328, 647, 2, Smoke::mf_static, 235, 238},	//555 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {29, 412, 269, 1, Smoke::mf_static, 318, 239},	//556 QGlobalSpace::qFloor(double)
    {29, 350, 746, 2, Smoke::mf_static, 102, 240},	//557 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {29, 317, 749, 2, Smoke::mf_static, 13, 241},	//558 QGlobalSpace::operator<<(QDebug, const QUrl&)
    {29, 328, 330, 2, Smoke::mf_static, 235, 242},	//559 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {29, 350, 752, 2, Smoke::mf_static, 87, 243},	//560 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {29, 328, 498, 2, Smoke::mf_static, 235, 244},	//561 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {29, 291, 755, 2, Smoke::mf_static, 235, 245},	//562 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {29, 299, 758, 2, Smoke::mf_static, 282, 246},	//563 QGlobalSpace::operator*(double, const QSize&)
    {29, 422, 761, 1, Smoke::mf_static, 328, 247},	//564 QGlobalSpace::qHash(const QModelIndex&)
    {29, 350, 763, 2, Smoke::mf_static, 80, 248},	//565 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {29, 317, 766, 2, Smoke::mf_static, 13, 249},	//566 QGlobalSpace::operator<<(QDebug, const QLine&)
    {29, 459, 621, 1, Smoke::mf_static, 0, 250},	//567 QGlobalSpace::qRemovePostRoutine(void(*)())
    {29, 317, 769, 2, Smoke::mf_static, 10, 251},	//568 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {29, 410, 665, 1, Smoke::mf_static, 312, 252},	//569 QGlobalSpace::qFlagLocation(const char*)
    {29, 444, 772, 3, Smoke::mf_static, 335, 253},	//570 QGlobalSpace::qMemCopy(void*, const void*, size_t)
    {29, 339, 429, 2, Smoke::mf_static, 235, 254},	//571 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {29, 299, 776, 2, Smoke::mf_static, 274, 255},	//572 QGlobalSpace::operator*(double, const QPoint&)
    {29, 434, 269, 1, Smoke::mf_static, 235, 256},	//573 QGlobalSpace::qIsNaN(double)
    {29, 317, 779, 2, Smoke::mf_static, 13, 257},	//574 QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    {29, 422, 782, 1, Smoke::mf_static, 328, 258},	//575 QGlobalSpace::qHash(short)
    {29, 425, 0, 0, Smoke::mf_static, 316, 259},	//576 QGlobalSpace::qInf()
    {29, 317, 784, 2, Smoke::mf_static, 13, 260},	//577 QGlobalSpace::operator<<(QDebug, const QDateTime&)
    {29, 317, 787, 2, Smoke::mf_static, 10, 261},	//578 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {29, 302, 790, 2, Smoke::mf_static, 240, 262},	//579 QGlobalSpace::operator+(const QByteArray&, char)
    {29, 482, 126, 1, Smoke::mf_static, 5, 263},	//580 QGlobalSpace::qUncompress(const QByteArray&)
    {29, 310, 526, 2, Smoke::mf_static, 276, 264},	//581 QGlobalSpace::operator/(const QPointF&, double)
    {29, 339, 504, 2, Smoke::mf_static, 235, 265},	//582 QGlobalSpace::operator>=(QChar, QChar)
    {29, 321, 333, 2, Smoke::mf_static, 235, 266},	//583 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {29, 470, 76, 1, Smoke::mf_static, 135, 267},	//584 QGlobalSpace::qSetRealNumberPrecision(int)
    {29, 317, 793, 2, Smoke::mf_static, 13, 268},	//585 QGlobalSpace::operator<<(QDebug, const QObject*)
    {29, 473, 269, 1, Smoke::mf_static, 316, 269},	//586 QGlobalSpace::qSin(double)
    {29, 382, 269, 1, Smoke::mf_static, 316, 270},	//587 QGlobalSpace::qAsin(double)
    {29, 509, 737, 2, Smoke::mf_static, 318, 271},	//588 QGlobalSpace::qstricmp(const char*, const char*)
    {29, 489, 796, 3, Smoke::mf_static, 238, 272},	//589 QGlobalSpace::qgcvt(long double, int, char*)
    {29, 418, 800, 2, Smoke::mf_static, 235, 273},	//590 QGlobalSpace::qFuzzyCompare(float, float)
    {29, 350, 803, 2, Smoke::mf_static, 77, 274},	//591 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {29, 321, 647, 2, Smoke::mf_static, 235, 275},	//592 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {29, 541, 806, 4, Smoke::mf_static, 318, 276},	//593 QGlobalSpace::qvsnprintf(char*, size_t, const char*, va_list)
    {29, 350, 811, 2, Smoke::mf_static, 84, 277},	//594 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {29, 317, 814, 2, Smoke::mf_static, 10, 278},	//595 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {29, 534, 0, 0, Smoke::mf_static, 0, 279},	//596 QGlobalSpace::qt_noop()
    {29, 334, 477, 2, Smoke::mf_static, 235, 280},	//597 QGlobalSpace::operator>(const char*, const QByteArray&)
    {29, 344, 817, 2, Smoke::mf_static, 10, 281},	//598 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {29, 466, 76, 1, Smoke::mf_static, 135, 282},	//599 QGlobalSpace::qSetFieldWidth(int)
    {29, 350, 820, 2, Smoke::mf_static, 85, 283},	//600 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {29, 317, 823, 2, Smoke::mf_static, 13, 284},	//601 QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    {29, 317, 826, 2, Smoke::mf_static, 10, 285},	//602 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {29, 328, 755, 2, Smoke::mf_static, 235, 286},	//603 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {29, 291, 829, 2, Smoke::mf_static, 235, 287},	//604 QGlobalSpace::operator!=(bool, QBool)
    {29, 422, 832, 1, Smoke::mf_static, 328, 288},	//605 QGlobalSpace::qHash(unsigned long)
    {29, 317, 834, 2, Smoke::mf_static, 13, 289},	//606 QGlobalSpace::operator<<(QDebug, const QRectF&)
    {29, 291, 837, 2, Smoke::mf_static, 235, 290},	//607 QGlobalSpace::operator!=(QBool, bool)
    {29, 350, 840, 2, Smoke::mf_static, 106, 291},	//608 QGlobalSpace::operator|(Qt::WindowState, int)
    {29, 307, 638, 2, Smoke::mf_static, 274, 292},	//609 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {29, 438, 269, 1, Smoke::mf_static, 316, 293},	//610 QGlobalSpace::qLn(double)
    {29, 344, 843, 2, Smoke::mf_static, 10, 294},	//611 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {29, 511, 665, 1, Smoke::mf_static, 328, 295},	//612 QGlobalSpace::qstrlen(const char*)
    {29, 302, 429, 2, Smoke::mf_static, 240, 296},	//613 QGlobalSpace::operator+(const QByteArray&, const char*)
    {29, 317, 846, 2, Smoke::mf_static, 10, 297},	//614 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {29, 321, 477, 2, Smoke::mf_static, 235, 298},	//615 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {29, 291, 330, 2, Smoke::mf_static, 235, 299},	//616 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {29, 350, 849, 2, Smoke::mf_static, 89, 300},	//617 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {29, 328, 699, 2, Smoke::mf_static, 235, 301},	//618 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {29, 350, 852, 2, Smoke::mf_static, 83, 302},	//619 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {29, 291, 647, 2, Smoke::mf_static, 235, 303},	//620 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {29, 350, 855, 2, Smoke::mf_static, 103, 304},	//621 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {29, 299, 858, 2, Smoke::mf_static, 282, 305},	//622 QGlobalSpace::operator*(const QSize&, double)
    {29, 328, 861, 2, Smoke::mf_static, 235, 306},	//623 QGlobalSpace::operator==(QString::Null, const QString&)
    {29, 350, 864, 2, Smoke::mf_static, 77, 307},	//624 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {29, 350, 867, 2, Smoke::mf_static, 93, 308},	//625 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {29, 344, 870, 2, Smoke::mf_static, 10, 309},	//626 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {29, 317, 873, 2, Smoke::mf_static, 13, 310},	//627 QGlobalSpace::operator<<(QDebug, const QPointF&)
    {29, 328, 429, 2, Smoke::mf_static, 235, 311},	//628 QGlobalSpace::operator==(const QByteArray&, const char*)
    {29, 537, 876, 5, Smoke::mf_static, 0, 312},	//629 QGlobalSpace::qt_qFindChildren_helper(const QObject*, const QString&, const QRegExp*, const QMetaObject&, QList<void*>*)
    {29, 344, 882, 2, Smoke::mf_static, 10, 313},	//630 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {29, 334, 474, 2, Smoke::mf_static, 235, 314},	//631 QGlobalSpace::operator>(const char*, const QString&)
    {29, 496, 885, 4, Smoke::mf_static, 0, 315},	//632 QGlobalSpace::qsort(void*, size_t, size_t, __compar_fn_t)
    {29, 317, 890, 2, Smoke::mf_static, 10, 316},	//633 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {29, 334, 429, 2, Smoke::mf_static, 235, 317},	//634 QGlobalSpace::operator>(const QByteArray&, const char*)
    {29, 312, 327, 2, Smoke::mf_static, 235, 318},	//635 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {29, 302, 638, 2, Smoke::mf_static, 274, 319},	//636 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {29, 317, 893, 2, Smoke::mf_static, 10, 320},	//637 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {29, 414, 558, 1, Smoke::mf_static, 0, 321},	//638 QGlobalSpace::qFree(void*)
    {29, 321, 504, 2, Smoke::mf_static, 235, 322},	//639 QGlobalSpace::operator<=(QChar, QChar)
    {29, 317, 896, 2, Smoke::mf_static, 132, 323},	//640 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {29, 422, 413, 1, Smoke::mf_static, 328, 324},	//641 QGlobalSpace::qHash(unsigned int)
    {29, 291, 861, 2, Smoke::mf_static, 235, 325},	//642 QGlobalSpace::operator!=(QString::Null, const QString&)
    {29, 463, 269, 1, Smoke::mf_static, 322, 326},	//643 QGlobalSpace::qRound64(double)
    {29, 334, 647, 2, Smoke::mf_static, 235, 327},	//644 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {29, 350, 899, 2, Smoke::mf_static, 84, 328},	//645 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {29, 442, 902, 2, Smoke::mf_static, 335, 329},	//646 QGlobalSpace::qMallocAligned(size_t, size_t)
    {29, 291, 560, 2, Smoke::mf_static, 235, 330},	//647 QGlobalSpace::operator!=(const QString&, QString::Null)
    {29, 350, 905, 2, Smoke::mf_static, 106, 331},	//648 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {29, 393, 908, 3, Smoke::mf_static, 5, 332},	//649 QGlobalSpace::qCompress(const unsigned char*, int, int)
    {29, 393, 912, 2, Smoke::mf_static, 5, 333},	//650 QGlobalSpace::qCompress(const unsigned char*, int)
    {29, 350, 915, 2, Smoke::mf_static, 106, 334},	//651 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {29, 507, 665, 1, Smoke::mf_static, 238, 335},	//652 QGlobalSpace::qstrdup(const char*)
    {29, 350, 918, 2, Smoke::mf_static, 91, 336},	//653 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {29, 401, 0, 0, Smoke::mf_static, 13, 337},	//654 QGlobalSpace::qDebug()
    {29, 307, 921, 1, Smoke::mf_static, 274, 338},	//655 QGlobalSpace::operator-(const QPoint&)
    {29, 500, 477, 2, Smoke::mf_static, 318, 339},	//656 QGlobalSpace::qstrcmp(const char*, const QByteArray&)
    {29, 317, 923, 2, Smoke::mf_static, 132, 340},	//657 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {29, 480, 269, 1, Smoke::mf_static, 316, 341},	//658 QGlobalSpace::qTan(double)
    {29, 344, 926, 2, Smoke::mf_static, 10, 342},	//659 QGlobalSpace::operator>>(QDataStream&, QString&)
    {29, 328, 333, 2, Smoke::mf_static, 235, 343},	//660 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {29, 317, 929, 2, Smoke::mf_static, 10, 344},	//661 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {29, 422, 76, 1, Smoke::mf_static, 328, 345},	//662 QGlobalSpace::qHash(int)
    {29, 312, 647, 2, Smoke::mf_static, 235, 346},	//663 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {29, 307, 495, 2, Smoke::mf_static, 276, 347},	//664 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {29, 317, 932, 2, Smoke::mf_static, 10, 348},	//665 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {29, 344, 935, 2, Smoke::mf_static, 10, 349},	//666 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {29, 350, 938, 2, Smoke::mf_static, 99, 350},	//667 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {29, 450, 483, 2, Smoke::mf_static, 316, 351},	//668 QGlobalSpace::qPow(double, double)
    {29, 328, 569, 2, Smoke::mf_static, 235, 352},	//669 QGlobalSpace::operator==(const QStringRef&, const char*)
    {29, 291, 702, 2, Smoke::mf_static, 235, 353},	//670 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {29, 302, 333, 2, Smoke::mf_static, 240, 354},	//671 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {29, 302, 941, 2, Smoke::mf_static, 286, 355},	//672 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {29, 477, 453, 2, Smoke::mf_static, 235, 356},	//673 QGlobalSpace::qStringComparisonHelper(const QString&, const char*)
    {29, 350, 944, 2, Smoke::mf_static, 79, 357},	//674 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {29, 344, 947, 2, Smoke::mf_static, 10, 358},	//675 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {29, 350, 950, 2, Smoke::mf_static, 106, 359},	//676 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {29, 532, 953, 2, Smoke::mf_static, 0, 360},	//677 QGlobalSpace::qt_message_output(QtMsgType, const char*)
    {29, 350, 956, 2, Smoke::mf_static, 106, 361},	//678 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {29, 328, 474, 2, Smoke::mf_static, 235, 362},	//679 QGlobalSpace::operator==(const char*, const QString&)
    {29, 406, 269, 1, Smoke::mf_static, 316, 363},	//680 QGlobalSpace::qFastCos(double)
    {29, 317, 959, 2, Smoke::mf_static, 13, 364},	//681 QGlobalSpace::operator<<(QDebug, const QRect&)
    {29, 317, 962, 2, Smoke::mf_static, 10, 365},	//682 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {29, 310, 858, 2, Smoke::mf_static, 282, 366},	//683 QGlobalSpace::operator/(const QSize&, double)
    {29, 344, 965, 2, Smoke::mf_static, 10, 367},	//684 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {29, 328, 829, 2, Smoke::mf_static, 235, 368},	//685 QGlobalSpace::operator==(bool, QBool)
    {29, 350, 968, 2, Smoke::mf_static, 101, 369},	//686 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {29, 350, 971, 2, Smoke::mf_static, 106, 370},	//687 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {29, 339, 474, 2, Smoke::mf_static, 235, 371},	//688 QGlobalSpace::operator>=(const char*, const QString&)
    {29, 422, 974, 1, Smoke::mf_static, 328, 372},	//689 QGlobalSpace::qHash(char)
    {29, 317, 976, 2, Smoke::mf_static, 10, 373},	//690 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {29, 344, 979, 2, Smoke::mf_static, 10, 374},	//691 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {29, 291, 495, 2, Smoke::mf_static, 235, 375},	//692 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {29, 430, 269, 1, Smoke::mf_static, 235, 376},	//693 QGlobalSpace::qIsFinite(double)
    {29, 350, 982, 2, Smoke::mf_static, 92, 377},	//694 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {29, 307, 298, 2, Smoke::mf_static, 282, 378},	//695 QGlobalSpace::operator-(const QSize&, const QSize&)
    {29, 465, 0, 0, Smoke::mf_static, 316, 379},	//696 QGlobalSpace::qSNaN()
    {29, 420, 415, 1, Smoke::mf_static, 235, 380},	//697 QGlobalSpace::qFuzzyIsNull(float)
    {29, 350, 985, 2, Smoke::mf_static, 90, 381},	//698 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {29, 482, 912, 2, Smoke::mf_static, 5, 382},	//699 QGlobalSpace::qUncompress(const unsigned char*, int)
    {29, 350, 988, 2, Smoke::mf_static, 90, 383},	//700 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {29, 350, 991, 2, Smoke::mf_static, 106, 384},	//701 QGlobalSpace::operator|(Qt::Orientation, int)
    {29, 291, 327, 2, Smoke::mf_static, 235, 385},	//702 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {29, 408, 269, 1, Smoke::mf_static, 316, 386},	//703 QGlobalSpace::qFastSin(double)
    {29, 317, 994, 2, Smoke::mf_static, 13, 387},	//704 QGlobalSpace::operator<<(QDebug, const QDir&)
    {29, 302, 495, 2, Smoke::mf_static, 276, 388},	//705 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {29, 328, 837, 2, Smoke::mf_static, 235, 389},	//706 QGlobalSpace::operator==(QBool, bool)
    {29, 328, 295, 2, Smoke::mf_static, 235, 390},	//707 QGlobalSpace::operator==(const QRect&, const QRect&)
    {29, 521, 517, 2, Smoke::mf_static, 122, 391},	//708 QGlobalSpace::qtTrId(const char*, int)
    {29, 521, 665, 1, Smoke::mf_static, 122, 392},	//709 QGlobalSpace::qtTrId(const char*)
    {29, 344, 997, 2, Smoke::mf_static, 10, 393},	//710 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {29, 350, 1000, 2, Smoke::mf_static, 82, 394},	//711 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {29, 302, 1003, 2, Smoke::mf_static, 286, 395},	//712 QGlobalSpace::operator+(const QString&, QChar)
    {29, 388, 0, 0, Smoke::mf_static, 0, 396},	//713 QGlobalSpace::qBadAlloc()
    {29, 291, 356, 2, Smoke::mf_static, 235, 397},	//714 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {29, 350, 1006, 2, Smoke::mf_static, 98, 398},	//715 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {29, 291, 348, 2, Smoke::mf_static, 235, 399},	//716 QGlobalSpace::operator!=(QBool, QBool)
    {29, 440, 1009, 1, Smoke::mf_static, 335, 400},	//717 QGlobalSpace::qMalloc(size_t)
    {29, 317, 667, 2, Smoke::mf_static, 132, 401},	//718 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {29, 317, 1011, 2, Smoke::mf_static, 13, 402},	//719 QGlobalSpace::operator<<(QDebug, const QVariant&)
    {29, 328, 726, 2, Smoke::mf_static, 235, 403},	//720 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {29, 350, 1014, 2, Smoke::mf_static, 83, 404},	//721 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {29, 317, 1017, 2, Smoke::mf_static, 10, 405},	//722 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {29, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 406},	//723 QGlobalSpace::_ISupper (enum)
    {29, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 407},	//724 QGlobalSpace::_ISlower (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 408},	//725 QGlobalSpace::_ISalpha (enum)
    {29, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 409},	//726 QGlobalSpace::_ISdigit (enum)
    {29, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 410},	//727 QGlobalSpace::_ISxdigit (enum)
    {29, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 411},	//728 QGlobalSpace::_ISspace (enum)
    {29, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 412},	//729 QGlobalSpace::_ISprint (enum)
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 413},	//730 QGlobalSpace::_ISgraph (enum)
    {29, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 414},	//731 QGlobalSpace::_ISblank (enum)
    {29, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 415},	//732 QGlobalSpace::_IScntrl (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 416},	//733 QGlobalSpace::_ISpunct (enum)
    {29, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 320, 417},	//734 QGlobalSpace::_ISalnum (enum)
    {29, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 418},	//735 QGlobalSpace::QtDebugMsg (enum)
    {29, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 419},	//736 QGlobalSpace::QtWarningMsg (enum)
    {29, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 420},	//737 QGlobalSpace::QtCriticalMsg (enum)
    {29, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 421},	//738 QGlobalSpace::QtFatalMsg (enum)
    {29, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 232, 422},	//739 QGlobalSpace::QtSystemMsg (enum)
    {29, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 423},	//740 QGlobalSpace::__codecvt_ok (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 424},	//741 QGlobalSpace::__codecvt_partial (enum)
    {29, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 425},	//742 QGlobalSpace::__codecvt_error (enum)
    {29, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 233, 426},	//743 QGlobalSpace::__codecvt_noconv (enum)
    {59, 56, 0, 0, Smoke::mf_ctor, 143, 1},	//744 QXmlAttributes::QXmlAttributes()
    {59, 231, 3, 1, Smoke::mf_const, 318, 2},	//745 QXmlAttributes::index(const QString&) const
    {59, 231, 1020, 1, Smoke::mf_const, 318, 3},	//746 QXmlAttributes::index(const QLatin1String&) const
    {59, 231, 25, 2, Smoke::mf_const, 318, 4},	//747 QXmlAttributes::index(const QString&, const QString&) const
    {59, 267, 0, 0, Smoke::mf_const, 318, 5},	//748 QXmlAttributes::length() const
    {59, 148, 0, 0, Smoke::mf_const, 318, 6},	//749 QXmlAttributes::count() const
    {59, 270, 76, 1, Smoke::mf_const, 122, 7},	//750 QXmlAttributes::localName(int) const
    {59, 448, 76, 1, Smoke::mf_const, 122, 8},	//751 QXmlAttributes::qName(int) const
    {59, 681, 76, 1, Smoke::mf_const, 122, 9},	//752 QXmlAttributes::uri(int) const
    {59, 676, 76, 1, Smoke::mf_const, 122, 10},	//753 QXmlAttributes::type(int) const
    {59, 676, 3, 1, Smoke::mf_const, 122, 11},	//754 QXmlAttributes::type(const QString&) const
    {59, 676, 25, 2, Smoke::mf_const, 122, 12},	//755 QXmlAttributes::type(const QString&, const QString&) const
    {59, 683, 76, 1, Smoke::mf_const, 122, 13},	//756 QXmlAttributes::value(int) const
    {59, 683, 3, 1, Smoke::mf_const, 122, 14},	//757 QXmlAttributes::value(const QString&) const
    {59, 683, 1020, 1, Smoke::mf_const, 122, 15},	//758 QXmlAttributes::value(const QLatin1String&) const
    {59, 683, 25, 2, Smoke::mf_const, 122, 16},	//759 QXmlAttributes::value(const QString&, const QString&) const
    {59, 138, 0, 0, 0, 0, 17},	//760 QXmlAttributes::clear()
    {59, 112, 1022, 4, 0, 0, 18},	//761 QXmlAttributes::append(const QString&, const QString&, const QString&, const QString&)
    {59, 56, 1027, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 143, 19},	//762 QXmlAttributes::QXmlAttributes(const QXmlAttributes&)
    {59, 746, 0, 0, Smoke::mf_dtor, 0, 20 },	//763 QXmlAttributes::~QXmlAttributes()
    {60, 606, 1029, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 1},	//764 QXmlContentHandler::setDocumentLocator(QXmlLocator*) [pure virtual]
    {60, 646, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//765 QXmlContentHandler::startDocument() [pure virtual]
    {60, 187, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//766 QXmlContentHandler::endDocument() [pure virtual]
    {60, 651, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//767 QXmlContentHandler::startPrefixMapping(const QString&, const QString&) [pure virtual]
    {60, 192, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//768 QXmlContentHandler::endPrefixMapping(const QString&) [pure virtual]
    {60, 647, 1031, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//769 QXmlContentHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&) [pure virtual]
    {60, 188, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//770 QXmlContentHandler::endElement(const QString&, const QString&, const QString&) [pure virtual]
    {60, 135, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 8},	//771 QXmlContentHandler::characters(const QString&) [pure virtual]
    {60, 225, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 9},	//772 QXmlContentHandler::ignorableWhitespace(const QString&) [pure virtual]
    {60, 370, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 10},	//773 QXmlContentHandler::processingInstruction(const QString&, const QString&) [pure virtual]
    {60, 636, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 11},	//774 QXmlContentHandler::skippedEntity(const QString&) [pure virtual]
    {60, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 12},	//775 QXmlContentHandler::errorString() const [pure virtual]
    {60, 58, 0, 0, Smoke::mf_ctor, 144, 13},	//776 QXmlContentHandler::QXmlContentHandler()
    {60, 58, 1036, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 144, 14},	//777 QXmlContentHandler::QXmlContentHandler(const QXmlContentHandler&)
    {60, 747, 0, 0, Smoke::mf_dtor, 0, 15 },	//778 QXmlContentHandler::~QXmlContentHandler()
    {61, 287, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//779 QXmlDTDHandler::notationDecl(const QString&, const QString&, const QString&) [pure virtual]
    {61, 679, 1022, 4, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//780 QXmlDTDHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {61, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 3},	//781 QXmlDTDHandler::errorString() const [pure virtual]
    {61, 60, 0, 0, Smoke::mf_ctor, 145, 4},	//782 QXmlDTDHandler::QXmlDTDHandler()
    {61, 60, 1038, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 145, 5},	//783 QXmlDTDHandler::QXmlDTDHandler(const QXmlDTDHandler&)
    {61, 748, 0, 0, Smoke::mf_dtor, 0, 6 },	//784 QXmlDTDHandler::~QXmlDTDHandler()
    {62, 123, 1040, 5, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//785 QXmlDeclHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&) [pure virtual]
    {62, 241, 25, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//786 QXmlDeclHandler::internalEntityDecl(const QString&, const QString&) [pure virtual]
    {62, 200, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//787 QXmlDeclHandler::externalEntityDecl(const QString&, const QString&, const QString&) [pure virtual]
    {62, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//788 QXmlDeclHandler::errorString() const [pure virtual]
    {62, 62, 0, 0, Smoke::mf_ctor, 146, 5},	//789 QXmlDeclHandler::QXmlDeclHandler()
    {62, 62, 1046, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 146, 6},	//790 QXmlDeclHandler::QXmlDeclHandler(const QXmlDeclHandler&)
    {62, 749, 0, 0, Smoke::mf_dtor, 0, 7 },	//791 QXmlDeclHandler::~QXmlDeclHandler()
    {63, 64, 0, 0, Smoke::mf_ctor, 147, 1},	//792 QXmlDefaultHandler::QXmlDefaultHandler()
    {63, 606, 1029, 1, Smoke::mf_virtual, 0, 2},	//793 QXmlDefaultHandler::setDocumentLocator(QXmlLocator*)
    {63, 646, 0, 0, Smoke::mf_virtual, 235, 3},	//794 QXmlDefaultHandler::startDocument()
    {63, 187, 0, 0, Smoke::mf_virtual, 235, 4},	//795 QXmlDefaultHandler::endDocument()
    {63, 651, 25, 2, Smoke::mf_virtual, 235, 5},	//796 QXmlDefaultHandler::startPrefixMapping(const QString&, const QString&)
    {63, 192, 3, 1, Smoke::mf_virtual, 235, 6},	//797 QXmlDefaultHandler::endPrefixMapping(const QString&)
    {63, 647, 1031, 4, Smoke::mf_virtual, 235, 7},	//798 QXmlDefaultHandler::startElement(const QString&, const QString&, const QString&, const QXmlAttributes&)
    {63, 188, 218, 3, Smoke::mf_virtual, 235, 8},	//799 QXmlDefaultHandler::endElement(const QString&, const QString&, const QString&)
    {63, 135, 3, 1, Smoke::mf_virtual, 235, 9},	//800 QXmlDefaultHandler::characters(const QString&)
    {63, 225, 3, 1, Smoke::mf_virtual, 235, 10},	//801 QXmlDefaultHandler::ignorableWhitespace(const QString&)
    {63, 370, 25, 2, Smoke::mf_virtual, 235, 11},	//802 QXmlDefaultHandler::processingInstruction(const QString&, const QString&)
    {63, 636, 3, 1, Smoke::mf_virtual, 235, 12},	//803 QXmlDefaultHandler::skippedEntity(const QString&)
    {63, 687, 1048, 1, Smoke::mf_virtual, 235, 13},	//804 QXmlDefaultHandler::warning(const QXmlParseException&)
    {63, 196, 1048, 1, Smoke::mf_virtual, 235, 14},	//805 QXmlDefaultHandler::error(const QXmlParseException&)
    {63, 202, 1048, 1, Smoke::mf_virtual, 235, 15},	//806 QXmlDefaultHandler::fatalError(const QXmlParseException&)
    {63, 287, 218, 3, Smoke::mf_virtual, 235, 16},	//807 QXmlDefaultHandler::notationDecl(const QString&, const QString&, const QString&)
    {63, 679, 1022, 4, Smoke::mf_virtual, 235, 17},	//808 QXmlDefaultHandler::unparsedEntityDecl(const QString&, const QString&, const QString&, const QString&)
    {63, 560, 1050, 3, Smoke::mf_virtual, 235, 18},	//809 QXmlDefaultHandler::resolveEntity(const QString&, const QString&, QXmlInputSource*&)
    {63, 644, 218, 3, Smoke::mf_virtual, 235, 19},	//810 QXmlDefaultHandler::startDTD(const QString&, const QString&, const QString&)
    {63, 186, 0, 0, Smoke::mf_virtual, 235, 20},	//811 QXmlDefaultHandler::endDTD()
    {63, 649, 3, 1, Smoke::mf_virtual, 235, 21},	//812 QXmlDefaultHandler::startEntity(const QString&)
    {63, 190, 3, 1, Smoke::mf_virtual, 235, 22},	//813 QXmlDefaultHandler::endEntity(const QString&)
    {63, 643, 0, 0, Smoke::mf_virtual, 235, 23},	//814 QXmlDefaultHandler::startCDATA()
    {63, 185, 0, 0, Smoke::mf_virtual, 235, 24},	//815 QXmlDefaultHandler::endCDATA()
    {63, 143, 3, 1, Smoke::mf_virtual, 235, 25},	//816 QXmlDefaultHandler::comment(const QString&)
    {63, 123, 1040, 5, Smoke::mf_virtual, 235, 26},	//817 QXmlDefaultHandler::attributeDecl(const QString&, const QString&, const QString&, const QString&, const QString&)
    {63, 241, 25, 2, Smoke::mf_virtual, 235, 27},	//818 QXmlDefaultHandler::internalEntityDecl(const QString&, const QString&)
    {63, 200, 218, 3, Smoke::mf_virtual, 235, 28},	//819 QXmlDefaultHandler::externalEntityDecl(const QString&, const QString&, const QString&)
    {63, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 29},	//820 QXmlDefaultHandler::errorString() const
    {63, 750, 0, 0, Smoke::mf_dtor, 0, 30 },	//821 QXmlDefaultHandler::~QXmlDefaultHandler()
    {64, 560, 1050, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//822 QXmlEntityResolver::resolveEntity(const QString&, const QString&, QXmlInputSource*&) [pure virtual]
    {64, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 2},	//823 QXmlEntityResolver::errorString() const [pure virtual]
    {64, 65, 0, 0, Smoke::mf_ctor, 148, 3},	//824 QXmlEntityResolver::QXmlEntityResolver()
    {64, 65, 1054, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 148, 4},	//825 QXmlEntityResolver::QXmlEntityResolver(const QXmlEntityResolver&)
    {64, 751, 0, 0, Smoke::mf_dtor, 0, 5 },	//826 QXmlEntityResolver::~QXmlEntityResolver()
    {65, 687, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//827 QXmlErrorHandler::warning(const QXmlParseException&) [pure virtual]
    {65, 196, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//828 QXmlErrorHandler::error(const QXmlParseException&) [pure virtual]
    {65, 202, 1048, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//829 QXmlErrorHandler::fatalError(const QXmlParseException&) [pure virtual]
    {65, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 4},	//830 QXmlErrorHandler::errorString() const [pure virtual]
    {65, 67, 0, 0, Smoke::mf_ctor, 149, 5},	//831 QXmlErrorHandler::QXmlErrorHandler()
    {65, 67, 1056, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 149, 6},	//832 QXmlErrorHandler::QXmlErrorHandler(const QXmlErrorHandler&)
    {65, 752, 0, 0, Smoke::mf_dtor, 0, 7 },	//833 QXmlErrorHandler::~QXmlErrorHandler()
    {66, 69, 0, 0, Smoke::mf_ctor, 150, 1},	//834 QXmlInputSource::QXmlInputSource()
    {66, 69, 142, 1, Smoke::mf_ctor, 150, 2},	//835 QXmlInputSource::QXmlInputSource(QIODevice*)
    {66, 599, 3, 1, Smoke::mf_virtual, 0, 3},	//836 QXmlInputSource::setData(const QString&)
    {66, 599, 126, 1, Smoke::mf_virtual, 0, 4},	//837 QXmlInputSource::setData(const QByteArray&)
    {66, 207, 0, 0, Smoke::mf_virtual, 0, 5},	//838 QXmlInputSource::fetchData()
    {66, 172, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 6},	//839 QXmlInputSource::data() const
    {66, 279, 0, 0, Smoke::mf_virtual, 8, 7},	//840 QXmlInputSource::next()
    {66, 559, 0, 0, Smoke::mf_virtual, 0, 8},	//841 QXmlInputSource::reset()
    {66, 211, 78, 2, Smoke::mf_protected|Smoke::mf_virtual, 122, 9},	//842 QXmlInputSource::fromRawData(const QByteArray&, bool)
    {66, 69, 1058, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 150, 10},	//843 QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    {66, 211, 126, 1, Smoke::mf_protected, 122, 11},	//844 QXmlInputSource::fromRawData(const QByteArray&)
    {66, 15, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 12},	//845 QXmlInputSource::EndOfData() const
    {66, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 314, 13},	//846 QXmlInputSource::EndOfDocument() const
    {66, 753, 0, 0, Smoke::mf_dtor, 0, 14 },	//847 QXmlInputSource::~QXmlInputSource()
    {67, 644, 218, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//848 QXmlLexicalHandler::startDTD(const QString&, const QString&, const QString&) [pure virtual]
    {67, 186, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 2},	//849 QXmlLexicalHandler::endDTD() [pure virtual]
    {67, 649, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//850 QXmlLexicalHandler::startEntity(const QString&) [pure virtual]
    {67, 190, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 4},	//851 QXmlLexicalHandler::endEntity(const QString&) [pure virtual]
    {67, 643, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 5},	//852 QXmlLexicalHandler::startCDATA() [pure virtual]
    {67, 185, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//853 QXmlLexicalHandler::endCDATA() [pure virtual]
    {67, 143, 3, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 7},	//854 QXmlLexicalHandler::comment(const QString&) [pure virtual]
    {67, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 8},	//855 QXmlLexicalHandler::errorString() const [pure virtual]
    {67, 71, 0, 0, Smoke::mf_ctor, 152, 9},	//856 QXmlLexicalHandler::QXmlLexicalHandler()
    {67, 71, 1060, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 152, 10},	//857 QXmlLexicalHandler::QXmlLexicalHandler(const QXmlLexicalHandler&)
    {67, 754, 0, 0, Smoke::mf_dtor, 0, 11 },	//858 QXmlLexicalHandler::~QXmlLexicalHandler()
    {68, 73, 0, 0, Smoke::mf_ctor, 153, 1},	//859 QXmlLocator::QXmlLocator()
    {68, 142, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 2},	//860 QXmlLocator::columnNumber() const [pure virtual]
    {68, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 318, 3},	//861 QXmlLocator::lineNumber() const [pure virtual]
    {68, 73, 1062, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 153, 4},	//862 QXmlLocator::QXmlLocator(const QXmlLocator&)
    {68, 755, 0, 0, Smoke::mf_dtor, 0, 5 },	//863 QXmlLocator::~QXmlLocator()
    {69, 75, 0, 0, Smoke::mf_ctor, 154, 1},	//864 QXmlNamespaceSupport::QXmlNamespaceSupport()
    {69, 626, 25, 2, 0, 0, 2},	//865 QXmlNamespaceSupport::setPrefix(const QString&, const QString&)
    {69, 361, 3, 1, Smoke::mf_const, 122, 3},	//866 QXmlNamespaceSupport::prefix(const QString&) const
    {69, 681, 3, 1, Smoke::mf_const, 122, 4},	//867 QXmlNamespaceSupport::uri(const QString&) const
    {69, 639, 1064, 3, Smoke::mf_const, 0, 5},	//868 QXmlNamespaceSupport::splitName(const QString&, QString&, QString&) const
    {69, 368, 1068, 4, Smoke::mf_const, 0, 6},	//869 QXmlNamespaceSupport::processName(const QString&, bool, QString&, QString&) const
    {69, 363, 0, 0, Smoke::mf_const, 127, 7},	//870 QXmlNamespaceSupport::prefixes() const
    {69, 363, 3, 1, Smoke::mf_const, 127, 8},	//871 QXmlNamespaceSupport::prefixes(const QString&) const
    {69, 376, 0, 0, 0, 0, 9},	//872 QXmlNamespaceSupport::pushContext()
    {69, 360, 0, 0, 0, 0, 10},	//873 QXmlNamespaceSupport::popContext()
    {69, 559, 0, 0, 0, 0, 11},	//874 QXmlNamespaceSupport::reset()
    {69, 756, 0, 0, Smoke::mf_dtor, 0, 12 },	//875 QXmlNamespaceSupport::~QXmlNamespaceSupport()
    {70, 76, 1073, 5, Smoke::mf_ctor, 155, 1},	//876 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&, const QString&)
    {70, 76, 1048, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 155, 2},	//877 QXmlParseException::QXmlParseException(const QXmlParseException&)
    {70, 142, 0, 0, Smoke::mf_const, 318, 3},	//878 QXmlParseException::columnNumber() const
    {70, 269, 0, 0, Smoke::mf_const, 318, 4},	//879 QXmlParseException::lineNumber() const
    {70, 375, 0, 0, Smoke::mf_const, 122, 5},	//880 QXmlParseException::publicId() const
    {70, 655, 0, 0, Smoke::mf_const, 122, 6},	//881 QXmlParseException::systemId() const
    {70, 272, 0, 0, Smoke::mf_const, 122, 7},	//882 QXmlParseException::message() const
    {70, 76, 0, 0, Smoke::mf_ctor, 155, 8},	//883 QXmlParseException::QXmlParseException()
    {70, 76, 3, 1, Smoke::mf_ctor, 155, 9},	//884 QXmlParseException::QXmlParseException(const QString&)
    {70, 76, 173, 2, Smoke::mf_ctor, 155, 10},	//885 QXmlParseException::QXmlParseException(const QString&, int)
    {70, 76, 1079, 3, Smoke::mf_ctor, 155, 11},	//886 QXmlParseException::QXmlParseException(const QString&, int, int)
    {70, 76, 1083, 4, Smoke::mf_ctor, 155, 12},	//887 QXmlParseException::QXmlParseException(const QString&, int, int, const QString&)
    {70, 757, 0, 0, Smoke::mf_dtor, 0, 13 },	//888 QXmlParseException::~QXmlParseException()
    {71, 204, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 1},	//889 QXmlReader::feature(const QString&, bool*) const [pure virtual]
    {71, 612, 90, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 2},	//890 QXmlReader::setFeature(const QString&, bool) [pure virtual]
    {71, 220, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 3},	//891 QXmlReader::hasFeature(const QString&) const [pure virtual]
    {71, 372, 1088, 2, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 335, 4},	//892 QXmlReader::property(const QString&, bool*) const [pure virtual]
    {71, 629, 1091, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 5},	//893 QXmlReader::setProperty(const QString&, void*) [pure virtual]
    {71, 223, 3, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 6},	//894 QXmlReader::hasProperty(const QString&) const [pure virtual]
    {71, 608, 1094, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//895 QXmlReader::setEntityResolver(QXmlEntityResolver*) [pure virtual]
    {71, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 148, 8},	//896 QXmlReader::entityResolver() const [pure virtual]
    {71, 597, 1096, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 9},	//897 QXmlReader::setDTDHandler(QXmlDTDHandler*) [pure virtual]
    {71, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 145, 10},	//898 QXmlReader::DTDHandler() const [pure virtual]
    {71, 595, 1098, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 11},	//899 QXmlReader::setContentHandler(QXmlContentHandler*) [pure virtual]
    {71, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 144, 12},	//900 QXmlReader::contentHandler() const [pure virtual]
    {71, 610, 1100, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 13},	//901 QXmlReader::setErrorHandler(QXmlErrorHandler*) [pure virtual]
    {71, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 149, 14},	//902 QXmlReader::errorHandler() const [pure virtual]
    {71, 618, 1102, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//903 QXmlReader::setLexicalHandler(QXmlLexicalHandler*) [pure virtual]
    {71, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 152, 16},	//904 QXmlReader::lexicalHandler() const [pure virtual]
    {71, 602, 1104, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//905 QXmlReader::setDeclHandler(QXmlDeclHandler*) [pure virtual]
    {71, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 146, 18},	//906 QXmlReader::declHandler() const [pure virtual]
    {71, 356, 1058, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 19},	//907 QXmlReader::parse(const QXmlInputSource&) [pure virtual]
    {71, 356, 1106, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 235, 20},	//908 QXmlReader::parse(const QXmlInputSource*) [pure virtual]
    {71, 83, 0, 0, Smoke::mf_ctor, 156, 21},	//909 QXmlReader::QXmlReader()
    {71, 83, 1108, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 156, 22},	//910 QXmlReader::QXmlReader(const QXmlReader&)
    {71, 204, 3, 1, Smoke::mf_const, 235, 23},	//911 QXmlReader::feature(const QString&) const
    {71, 372, 3, 1, Smoke::mf_const, 335, 24},	//912 QXmlReader::property(const QString&) const
    {71, 758, 0, 0, Smoke::mf_dtor, 0, 25 },	//913 QXmlReader::~QXmlReader()
    {72, 85, 0, 0, Smoke::mf_ctor, 157, 1},	//914 QXmlSimpleReader::QXmlSimpleReader()
    {72, 204, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 235, 2},	//915 QXmlSimpleReader::feature(const QString&, bool*) const
    {72, 612, 90, 2, Smoke::mf_virtual, 0, 3},	//916 QXmlSimpleReader::setFeature(const QString&, bool)
    {72, 220, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 4},	//917 QXmlSimpleReader::hasFeature(const QString&) const
    {72, 372, 1088, 2, Smoke::mf_const|Smoke::mf_virtual, 335, 5},	//918 QXmlSimpleReader::property(const QString&, bool*) const
    {72, 629, 1091, 2, Smoke::mf_virtual, 0, 6},	//919 QXmlSimpleReader::setProperty(const QString&, void*)
    {72, 223, 3, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 7},	//920 QXmlSimpleReader::hasProperty(const QString&) const
    {72, 608, 1094, 1, Smoke::mf_virtual, 0, 8},	//921 QXmlSimpleReader::setEntityResolver(QXmlEntityResolver*)
    {72, 195, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 148, 9},	//922 QXmlSimpleReader::entityResolver() const
    {72, 597, 1096, 1, Smoke::mf_virtual, 0, 10},	//923 QXmlSimpleReader::setDTDHandler(QXmlDTDHandler*)
    {72, 7, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 145, 11},	//924 QXmlSimpleReader::DTDHandler() const
    {72, 595, 1098, 1, Smoke::mf_virtual, 0, 12},	//925 QXmlSimpleReader::setContentHandler(QXmlContentHandler*)
    {72, 147, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 144, 13},	//926 QXmlSimpleReader::contentHandler() const
    {72, 610, 1100, 1, Smoke::mf_virtual, 0, 14},	//927 QXmlSimpleReader::setErrorHandler(QXmlErrorHandler*)
    {72, 198, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 149, 15},	//928 QXmlSimpleReader::errorHandler() const
    {72, 618, 1102, 1, Smoke::mf_virtual, 0, 16},	//929 QXmlSimpleReader::setLexicalHandler(QXmlLexicalHandler*)
    {72, 268, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 152, 17},	//930 QXmlSimpleReader::lexicalHandler() const
    {72, 602, 1104, 1, Smoke::mf_virtual, 0, 18},	//931 QXmlSimpleReader::setDeclHandler(QXmlDeclHandler*)
    {72, 173, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 146, 19},	//932 QXmlSimpleReader::declHandler() const
    {72, 356, 1058, 1, Smoke::mf_virtual, 235, 20},	//933 QXmlSimpleReader::parse(const QXmlInputSource&)
    {72, 356, 1106, 1, Smoke::mf_virtual, 235, 21},	//934 QXmlSimpleReader::parse(const QXmlInputSource*)
    {72, 356, 1110, 2, Smoke::mf_virtual, 235, 22},	//935 QXmlSimpleReader::parse(const QXmlInputSource*, bool)
    {72, 359, 0, 0, Smoke::mf_virtual, 235, 23},	//936 QXmlSimpleReader::parseContinue()
    {72, 204, 3, 1, Smoke::mf_const, 235, 24},	//937 QXmlSimpleReader::feature(const QString&) const
    {72, 372, 3, 1, Smoke::mf_const, 335, 25},	//938 QXmlSimpleReader::property(const QString&) const
    {72, 759, 0, 0, Smoke::mf_dtor, 0, 26 },	//939 QXmlSimpleReader::~QXmlSimpleReader()
    {76, 86, 0, 0, Smoke::mf_ctor, 158, 1},	//940 QXmlStreamWriter::QXmlStreamWriter()
    {76, 86, 142, 1, Smoke::mf_ctor, 158, 2},	//941 QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    {76, 86, 1113, 1, Smoke::mf_ctor, 158, 3},	//942 QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    {76, 86, 1115, 1, Smoke::mf_ctor, 158, 4},	//943 QXmlStreamWriter::QXmlStreamWriter(QString*)
    {76, 604, 142, 1, 0, 0, 5},	//944 QXmlStreamWriter::setDevice(QIODevice*)
    {76, 176, 0, 0, Smoke::mf_const, 104, 6},	//945 QXmlStreamWriter::device() const
    {76, 577, 1117, 1, 0, 0, 7},	//946 QXmlStreamWriter::setCodec(QTextCodec*)
    {76, 577, 665, 1, 0, 0, 8},	//947 QXmlStreamWriter::setCodec(const char*)
    {76, 141, 0, 0, Smoke::mf_const, 130, 9},	//948 QXmlStreamWriter::codec() const
    {76, 573, 235, 1, 0, 0, 10},	//949 QXmlStreamWriter::setAutoFormatting(bool)
    {76, 133, 0, 0, Smoke::mf_const, 235, 11},	//950 QXmlStreamWriter::autoFormatting() const
    {76, 575, 76, 1, 0, 0, 12},	//951 QXmlStreamWriter::setAutoFormattingIndent(int)
    {76, 134, 0, 0, Smoke::mf_const, 318, 13},	//952 QXmlStreamWriter::autoFormattingIndent() const
    {76, 689, 25, 2, 0, 0, 14},	//953 QXmlStreamWriter::writeAttribute(const QString&, const QString&)
    {76, 689, 218, 3, 0, 0, 15},	//954 QXmlStreamWriter::writeAttribute(const QString&, const QString&, const QString&)
    {76, 689, 1119, 1, 0, 0, 16},	//955 QXmlStreamWriter::writeAttribute(const QXmlStreamAttribute&)
    {76, 693, 1121, 1, 0, 0, 17},	//956 QXmlStreamWriter::writeAttributes(const QXmlStreamAttributes&)
    {76, 695, 3, 1, 0, 0, 18},	//957 QXmlStreamWriter::writeCDATA(const QString&)
    {76, 697, 3, 1, 0, 0, 19},	//958 QXmlStreamWriter::writeCharacters(const QString&)
    {76, 699, 3, 1, 0, 0, 20},	//959 QXmlStreamWriter::writeComment(const QString&)
    {76, 703, 3, 1, 0, 0, 21},	//960 QXmlStreamWriter::writeDTD(const QString&)
    {76, 707, 3, 1, 0, 0, 22},	//961 QXmlStreamWriter::writeEmptyElement(const QString&)
    {76, 707, 25, 2, 0, 0, 23},	//962 QXmlStreamWriter::writeEmptyElement(const QString&, const QString&)
    {76, 726, 25, 2, 0, 0, 24},	//963 QXmlStreamWriter::writeTextElement(const QString&, const QString&)
    {76, 726, 218, 3, 0, 0, 25},	//964 QXmlStreamWriter::writeTextElement(const QString&, const QString&, const QString&)
    {76, 710, 0, 0, 0, 0, 26},	//965 QXmlStreamWriter::writeEndDocument()
    {76, 711, 0, 0, 0, 0, 27},	//966 QXmlStreamWriter::writeEndElement()
    {76, 712, 3, 1, 0, 0, 28},	//967 QXmlStreamWriter::writeEntityReference(const QString&)
    {76, 714, 25, 2, 0, 0, 29},	//968 QXmlStreamWriter::writeNamespace(const QString&, const QString&)
    {76, 705, 3, 1, 0, 0, 30},	//969 QXmlStreamWriter::writeDefaultNamespace(const QString&)
    {76, 717, 25, 2, 0, 0, 31},	//970 QXmlStreamWriter::writeProcessingInstruction(const QString&, const QString&)
    {76, 720, 0, 0, 0, 0, 32},	//971 QXmlStreamWriter::writeStartDocument()
    {76, 720, 3, 1, 0, 0, 33},	//972 QXmlStreamWriter::writeStartDocument(const QString&)
    {76, 720, 90, 2, 0, 0, 34},	//973 QXmlStreamWriter::writeStartDocument(const QString&, bool)
    {76, 723, 3, 1, 0, 0, 35},	//974 QXmlStreamWriter::writeStartElement(const QString&)
    {76, 723, 25, 2, 0, 0, 36},	//975 QXmlStreamWriter::writeStartElement(const QString&, const QString&)
    {76, 701, 1123, 1, 0, 0, 37},	//976 QXmlStreamWriter::writeCurrentToken(const QXmlStreamReader&)
    {76, 714, 3, 1, 0, 0, 38},	//977 QXmlStreamWriter::writeNamespace(const QString&)
    {76, 717, 3, 1, 0, 0, 39},	//978 QXmlStreamWriter::writeProcessingInstruction(const QString&)
    {76, 760, 0, 0, Smoke::mf_dtor, 0, 40 },	//979 QXmlStreamWriter::~QXmlStreamWriter()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    114,  // QDomElement::setAttribute(const QString&, const QString&)
    115,  // QDomElement::setAttribute(const QString&, long long)
    116,  // QDomElement::setAttribute(const QString&, unsigned long long)
    117,  // QDomElement::setAttribute(const QString&, int)
    118,  // QDomElement::setAttribute(const QString&, unsigned int)
    119,  // QDomElement::setAttribute(const QString&, float)
    120,  // QDomElement::setAttribute(const QString&, double)
    0,
    128,  // QDomElement::setAttributeNS(const QString, const QString&, const QString&)
    129,  // QDomElement::setAttributeNS(const QString, const QString&, int)
    130,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned int)
    131,  // QDomElement::setAttributeNS(const QString, const QString&, long long)
    132,  // QDomElement::setAttributeNS(const QString, const QString&, unsigned long long)
    133,  // QDomElement::setAttributeNS(const QString, const QString&, double)
    0,
    753,  // QXmlAttributes::type(int) const
    754,  // QXmlAttributes::type(const QString&) const
    0,
    756,  // QXmlAttributes::value(int) const
    757,  // QXmlAttributes::value(const QString&) const
    0,
    907,  // QXmlReader::parse(const QXmlInputSource&)
    908,  // QXmlReader::parse(const QXmlInputSource*)
    0,
    327,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    333,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    356,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    418,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    442,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    488,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    491,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    544,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    551,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    552,  // QGlobalSpace::operator!=(QChar, QChar)
    562,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    616,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    620,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    692,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    714,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    716,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    505,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    525,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    543,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    607,  // QGlobalSpace::operator!=(QBool, bool)
    642,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    507,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    526,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    604,  // QGlobalSpace::operator!=(bool, QBool)
    647,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    670,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    702,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    323,  // QGlobalSpace::operator*(const QPoint&, double)
    346,  // QGlobalSpace::operator*(const QSizeF&, double)
    429,  // QGlobalSpace::operator*(const QPointF&, double)
    622,  // QGlobalSpace::operator*(const QSize&, double)
    0,
    325,  // QGlobalSpace::operator*(double, const QPointF&)
    328,  // QGlobalSpace::operator*(double, const QSizeF&)
    563,  // QGlobalSpace::operator*(double, const QSize&)
    572,  // QGlobalSpace::operator*(double, const QPoint&)
    0,
    335,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    379,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    636,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    671,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    705,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    363,  // QGlobalSpace::operator+(QChar, const QString&)
    462,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    579,  // QGlobalSpace::operator+(const QByteArray&, char)
    613,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    405,  // QGlobalSpace::operator+(char, const QByteArray&)
    533,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    672,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    712,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    399,  // QGlobalSpace::operator+(const QString&, const char*)
    407,  // QGlobalSpace::operator+(const char*, const QString&)
    468,  // QGlobalSpace::operator+(const QString&, char)
    521,  // QGlobalSpace::operator+(const QString&, const QString&)
    550,  // QGlobalSpace::operator+(char, const QString&)
    0,
    458,  // QGlobalSpace::operator-(const QPointF&)
    655,  // QGlobalSpace::operator-(const QPoint&)
    0,
    351,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    609,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    664,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    695,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    406,  // QGlobalSpace::operator/(const QPoint&, double)
    445,  // QGlobalSpace::operator/(const QSizeF&, double)
    581,  // QGlobalSpace::operator/(const QPointF&, double)
    683,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    420,  // QGlobalSpace::operator<(QChar, QChar)
    452,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    502,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    663,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    481,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    635,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    330,  // QGlobalSpace::operator<<(QDebug, const QPersistentModelIndex&)
    337,  // QGlobalSpace::operator<<(QDebug, const QPoint&)
    345,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    361,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    366,  // QGlobalSpace::operator<<(QDebug, const QTime&)
    367,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    368,  // QGlobalSpace::operator<<(QDebug, const QDate&)
    388,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    393,  // QGlobalSpace::operator<<(QDebug, const QSizeF&)
    400,  // QGlobalSpace::operator<<(QDebug, const QEasingCurve&)
    421,  // QGlobalSpace::operator<<(QDebug, const QLineF&)
    437,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    464,  // QGlobalSpace::operator<<(QDebug, const QSize&)
    473,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    476,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    503,  // QGlobalSpace::operator<<(QDebug, const QMargins&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    514,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    547,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    558,  // QGlobalSpace::operator<<(QDebug, const QUrl&)
    566,  // QGlobalSpace::operator<<(QDebug, const QLine&)
    568,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    574,  // QGlobalSpace::operator<<(QDebug, const QModelIndex&)
    577,  // QGlobalSpace::operator<<(QDebug, const QDateTime&)
    578,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    585,  // QGlobalSpace::operator<<(QDebug, const QObject*)
    595,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    606,  // QGlobalSpace::operator<<(QDebug, const QRectF&)
    614,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    627,  // QGlobalSpace::operator<<(QDebug, const QPointF&)
    633,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    637,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    640,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    657,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    665,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    681,  // QGlobalSpace::operator<<(QDebug, const QRect&)
    690,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    704,  // QGlobalSpace::operator<<(QDebug, const QDir&)
    718,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    719,  // QGlobalSpace::operator<<(QDebug, const QVariant&)
    722,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    355,  // QGlobalSpace::operator<<(QDebug, const QVariant::Type)
    425,  // QGlobalSpace::operator<<(QDebug, QFlags<QDir::Filter>)
    601,  // QGlobalSpace::operator<<(QDebug, QFlags<QIODevice::OpenModeFlag>)
    661,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    682,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    535,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    583,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    592,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    639,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    529,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    615,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    343,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    353,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    357,  // QGlobalSpace::operator==(QBool, QBool)
    360,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    416,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    433,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    471,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    496,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    530,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    541,  // QGlobalSpace::operator==(QChar, QChar)
    555,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    559,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    561,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    603,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    660,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    707,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    720,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    493,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    623,  // QGlobalSpace::operator==(QString::Null, const QString&)
    628,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    669,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    706,  // QGlobalSpace::operator==(QBool, bool)
    0,
    408,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    439,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    450,  // QGlobalSpace::operator==(const QString&, QString::Null)
    531,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    618,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    685,  // QGlobalSpace::operator==(bool, QBool)
    0,
    447,  // QGlobalSpace::operator>(QChar, QChar)
    509,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    527,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    644,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    348,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    597,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    352,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    469,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    495,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    582,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    422,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    448,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    362,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    397,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    402,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    410,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    413,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    414,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    415,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    428,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    455,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    477,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    506,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    510,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    536,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    598,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    626,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    630,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    666,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    675,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    684,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    691,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    710,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    540,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    659,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    321,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    326,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    329,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    331,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    336,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    340,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    342,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    344,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    347,  // QGlobalSpace::operator|(QDir::Filter, int)
    354,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    358,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    364,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    365,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    377,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    380,  // QGlobalSpace::operator|(Qt::DropAction, int)
    383,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    386,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    387,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    389,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    391,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    392,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    395,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    396,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    398,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    401,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    403,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    404,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    419,  // QGlobalSpace::operator|(QFile::Permission, int)
    427,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    435,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    440,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    441,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    443,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    444,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    446,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    454,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    460,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    463,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    465,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    466,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    480,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    483,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    484,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    485,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    487,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    490,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    492,  // QGlobalSpace::operator|(Qt::WindowType, int)
    500,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    501,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    512,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    519,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    534,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    537,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    538,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    539,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    542,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    546,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    553,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    557,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    560,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    565,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    591,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    594,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    600,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    608,  // QGlobalSpace::operator|(Qt::WindowState, int)
    617,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    619,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    621,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    624,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    625,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    645,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    648,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    651,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    653,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    667,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    674,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    676,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    678,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    686,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    687,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    694,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    698,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    700,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    701,  // QGlobalSpace::operator|(Qt::Orientation, int)
    711,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    715,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    721,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
    411,  // QGlobalSpace::qFuzzyCompare(double, double)
    590,  // QGlobalSpace::qFuzzyCompare(float, float)
    0,
    472,  // QGlobalSpace::qFuzzyIsNull(double)
    697,  // QGlobalSpace::qFuzzyIsNull(float)
    0,
    320,  // QGlobalSpace::qHash(const QPersistentModelIndex&)
    359,  // QGlobalSpace::qHash(const QStringRef&)
    369,  // QGlobalSpace::qHash(const QBitArray&)
    424,  // QGlobalSpace::qHash(const QByteArray&)
    470,  // QGlobalSpace::qHash(QChar)
    515,  // QGlobalSpace::qHash(const QUrl&)
    564,  // QGlobalSpace::qHash(const QModelIndex&)
    0,
    339,  // QGlobalSpace::qHash(unsigned char)
    373,  // QGlobalSpace::qHash(const QString&)
    374,  // QGlobalSpace::qHash(unsigned short)
    376,  // QGlobalSpace::qHash(long)
    378,  // QGlobalSpace::qHash(long long)
    461,  // QGlobalSpace::qHash(unsigned long long)
    545,  // QGlobalSpace::qHash(signed char)
    575,  // QGlobalSpace::qHash(short)
    605,  // QGlobalSpace::qHash(unsigned long)
    641,  // QGlobalSpace::qHash(unsigned int)
    662,  // QGlobalSpace::qHash(int)
    689,  // QGlobalSpace::qHash(char)
    0,
    451,  // QGlobalSpace::qIntCast(float)
    497,  // QGlobalSpace::qIntCast(double)
    0,
    516,  // QGlobalSpace::qIsFinite(float)
    693,  // QGlobalSpace::qIsFinite(double)
    0,
    324,  // QGlobalSpace::qIsInf(double)
    385,  // QGlobalSpace::qIsInf(float)
    0,
    409,  // QGlobalSpace::qIsNaN(float)
    573,  // QGlobalSpace::qIsNaN(double)
    0,
    412,  // QGlobalSpace::qIsNull(float)
    494,  // QGlobalSpace::qIsNull(double)
    0,
    941,  // QXmlStreamWriter::QXmlStreamWriter(QIODevice*)
    942,  // QXmlStreamWriter::QXmlStreamWriter(QByteArray*)
    0,
    933,  // QXmlSimpleReader::parse(const QXmlInputSource&)
    934,  // QXmlSimpleReader::parse(const QXmlInputSource*)
    0,
    36,  // QDomDocument::QDomDocument(const QDomDocumentType&)
    37,  // QDomDocument::QDomDocument(const QDomDocument&)
    0,
    79,  // QDomDocument::setContent(const QByteArray&)
    85,  // QDomDocument::setContent(QIODevice*)
    0,
    67,  // QDomDocument::setContent(const QByteArray&, bool)
    73,  // QDomDocument::setContent(QIODevice*, bool)
    76,  // QDomDocument::setContent(QXmlInputSource*, bool)
    80,  // QDomDocument::setContent(const QByteArray&, QString*)
    86,  // QDomDocument::setContent(QIODevice*, QString*)
    0,
    68,  // QDomDocument::setContent(const QByteArray&, bool, QString*)
    74,  // QDomDocument::setContent(QIODevice*, bool, QString*)
    77,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*)
    81,  // QDomDocument::setContent(const QByteArray&, QString*, int*)
    87,  // QDomDocument::setContent(QIODevice*, QString*, int*)
    0,
    61,  // QDomDocument::setContent(const QByteArray&, QString*, int*, int*)
    63,  // QDomDocument::setContent(QIODevice*, QString*, int*, int*)
    69,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*)
    75,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*)
    78,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*)
    0,
    57,  // QDomDocument::setContent(const QByteArray&, bool, QString*, int*, int*)
    59,  // QDomDocument::setContent(QIODevice*, bool, QString*, int*, int*)
    60,  // QDomDocument::setContent(QXmlInputSource*, bool, QString*, int*, int*)
    0,
    70,  // QDomDocument::setContent(const QString&, bool)
    83,  // QDomDocument::setContent(const QString&, QString*)
    0,
    71,  // QDomDocument::setContent(const QString&, bool, QString*)
    84,  // QDomDocument::setContent(const QString&, QString*, int*)
    0,
    62,  // QDomDocument::setContent(const QString&, QString*, int*, int*)
    72,  // QDomDocument::setContent(const QString&, bool, QString*, int*)
    0,
    835,  // QXmlInputSource::QXmlInputSource(QIODevice*)
    843,  // QXmlInputSource::QXmlInputSource(const QXmlInputSource&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {10, 21, 1},	// QDomAttr::QDomAttr
    {10, 22, 2},	// QDomAttr::QDomAttr#
    {10, 273, 4},	// QDomAttr::name
    {10, 284, 9},	// QDomAttr::nodeType
    {10, 327, 3},	// QDomAttr::operator=#
    {10, 354, 6},	// QDomAttr::ownerElement
    {10, 634, 8},	// QDomAttr::setValue$
    {10, 638, 5},	// QDomAttr::specified
    {10, 683, 7},	// QDomAttr::value
    {10, 729, 10},	// QDomAttr::~QDomAttr
    {11, 23, 11},	// QDomCDATASection::QDomCDATASection
    {11, 24, 12},	// QDomCDATASection::QDomCDATASection#
    {11, 284, 14},	// QDomCDATASection::nodeType
    {11, 327, 13},	// QDomCDATASection::operator=#
    {11, 730, 15},	// QDomCDATASection::~QDomCDATASection
    {12, 25, 16},	// QDomCharacterData::QDomCharacterData
    {12, 26, 17},	// QDomCharacterData::QDomCharacterData#
    {12, 117, 20},	// QDomCharacterData::appendData$
    {12, 172, 25},	// QDomCharacterData::data
    {12, 175, 22},	// QDomCharacterData::deleteData$$
    {12, 240, 21},	// QDomCharacterData::insertData$$
    {12, 267, 24},	// QDomCharacterData::length
    {12, 284, 27},	// QDomCharacterData::nodeType
    {12, 327, 18},	// QDomCharacterData::operator=#
    {12, 558, 23},	// QDomCharacterData::replaceData$$$
    {12, 601, 26},	// QDomCharacterData::setData$
    {12, 654, 19},	// QDomCharacterData::substringData$$
    {12, 731, 28},	// QDomCharacterData::~QDomCharacterData
    {13, 27, 29},	// QDomComment::QDomComment
    {13, 28, 30},	// QDomComment::QDomComment#
    {13, 284, 32},	// QDomComment::nodeType
    {13, 327, 31},	// QDomComment::operator=#
    {13, 732, 33},	// QDomComment::~QDomComment
    {14, 29, 34},	// QDomDocument::QDomDocument
    {14, 30, -373},	// QDomDocument::QDomDocument#
    {14, 31, 35},	// QDomDocument::QDomDocument$
    {14, 150, 45},	// QDomDocument::createAttribute$
    {14, 152, 50},	// QDomDocument::createAttributeNS$$
    {14, 154, 43},	// QDomDocument::createCDATASection$
    {14, 156, 42},	// QDomDocument::createComment$
    {14, 159, 40},	// QDomDocument::createDocumentFragment
    {14, 163, 39},	// QDomDocument::createElement$
    {14, 165, 49},	// QDomDocument::createElementNS$$
    {14, 167, 46},	// QDomDocument::createEntityReference$
    {14, 169, 44},	// QDomDocument::createProcessingInstruction$$
    {14, 171, 41},	// QDomDocument::createTextNode$
    {14, 177, 53},	// QDomDocument::doctype
    {14, 178, 55},	// QDomDocument::documentElement
    {14, 180, 52},	// QDomDocument::elementById$
    {14, 182, 47},	// QDomDocument::elementsByTagName$
    {14, 184, 51},	// QDomDocument::elementsByTagNameNS$$
    {14, 228, 54},	// QDomDocument::implementation
    {14, 230, 48},	// QDomDocument::importNode#$
    {14, 284, 56},	// QDomDocument::nodeType
    {14, 327, 38},	// QDomDocument::operator=#
    {14, 581, -376},	// QDomDocument::setContent#
    {14, 582, 88},	// QDomDocument::setContent##
    {14, 583, 89},	// QDomDocument::setContent##$
    {14, 584, 90},	// QDomDocument::setContent##$$
    {14, 585, 64},	// QDomDocument::setContent##$$$
    {14, 586, -379},	// QDomDocument::setContent#$
    {14, 587, -385},	// QDomDocument::setContent#$$
    {14, 588, -391},	// QDomDocument::setContent#$$$
    {14, 589, -397},	// QDomDocument::setContent#$$$$
    {14, 590, 82},	// QDomDocument::setContent$
    {14, 591, -401},	// QDomDocument::setContent$$
    {14, 592, -404},	// QDomDocument::setContent$$$
    {14, 593, -407},	// QDomDocument::setContent$$$$
    {14, 594, 58},	// QDomDocument::setContent$$$$$
    {14, 660, 92},	// QDomDocument::toByteArray
    {14, 661, 66},	// QDomDocument::toByteArray$
    {14, 673, 91},	// QDomDocument::toString
    {14, 674, 65},	// QDomDocument::toString$
    {14, 733, 93},	// QDomDocument::~QDomDocument
    {15, 32, 94},	// QDomDocumentFragment::QDomDocumentFragment
    {15, 33, 95},	// QDomDocumentFragment::QDomDocumentFragment#
    {15, 284, 97},	// QDomDocumentFragment::nodeType
    {15, 327, 96},	// QDomDocumentFragment::operator=#
    {15, 734, 98},	// QDomDocumentFragment::~QDomDocumentFragment
    {16, 34, 99},	// QDomDocumentType::QDomDocumentType
    {16, 35, 100},	// QDomDocumentType::QDomDocumentType#
    {16, 194, 103},	// QDomDocumentType::entities
    {16, 243, 107},	// QDomDocumentType::internalSubset
    {16, 273, 102},	// QDomDocumentType::name
    {16, 284, 108},	// QDomDocumentType::nodeType
    {16, 290, 104},	// QDomDocumentType::notations
    {16, 327, 101},	// QDomDocumentType::operator=#
    {16, 375, 105},	// QDomDocumentType::publicId
    {16, 655, 106},	// QDomDocumentType::systemId
    {16, 735, 109},	// QDomDocumentType::~QDomDocumentType
    {17, 36, 110},	// QDomElement::QDomElement
    {17, 37, 111},	// QDomElement::QDomElement#
    {17, 121, 144},	// QDomElement::attribute$
    {17, 122, 113},	// QDomElement::attribute$$
    {17, 126, 145},	// QDomElement::attributeNS$$
    {17, 127, 127},	// QDomElement::attributeNS$$$
    {17, 129, 122},	// QDomElement::attributeNode$
    {17, 131, 135},	// QDomElement::attributeNodeNS$$
    {17, 132, 141},	// QDomElement::attributes
    {17, 182, 125},	// QDomElement::elementsByTagName$
    {17, 184, 137},	// QDomElement::elementsByTagNameNS$$
    {17, 215, 126},	// QDomElement::hasAttribute$
    {17, 217, 138},	// QDomElement::hasAttributeNS$$
    {17, 284, 142},	// QDomElement::nodeType
    {17, 327, 112},	// QDomElement::operator=#
    {17, 544, 121},	// QDomElement::removeAttribute$
    {17, 546, 134},	// QDomElement::removeAttributeNS$$
    {17, 548, 124},	// QDomElement::removeAttributeNode#
    {17, 566, -1},	// QDomElement::setAttribute$$
    {17, 568, -9},	// QDomElement::setAttributeNS$$$
    {17, 570, 123},	// QDomElement::setAttributeNode#
    {17, 572, 136},	// QDomElement::setAttributeNodeNS#
    {17, 632, 140},	// QDomElement::setTagName$
    {17, 656, 139},	// QDomElement::tagName
    {17, 658, 143},	// QDomElement::text
    {17, 736, 146},	// QDomElement::~QDomElement
    {18, 38, 147},	// QDomEntity::QDomEntity
    {18, 39, 148},	// QDomEntity::QDomEntity#
    {18, 284, 153},	// QDomEntity::nodeType
    {18, 289, 152},	// QDomEntity::notationName
    {18, 327, 149},	// QDomEntity::operator=#
    {18, 375, 150},	// QDomEntity::publicId
    {18, 655, 151},	// QDomEntity::systemId
    {18, 737, 154},	// QDomEntity::~QDomEntity
    {19, 40, 155},	// QDomEntityReference::QDomEntityReference
    {19, 41, 156},	// QDomEntityReference::QDomEntityReference#
    {19, 284, 158},	// QDomEntityReference::nodeType
    {19, 327, 157},	// QDomEntityReference::operator=#
    {19, 738, 159},	// QDomEntityReference::~QDomEntityReference
    {20, 1, 171},	// QDomImplementation::AcceptInvalidChars
    {20, 11, 172},	// QDomImplementation::DropInvalidChars
    {20, 42, 160},	// QDomImplementation::QDomImplementation
    {20, 43, 161},	// QDomImplementation::QDomImplementation#
    {20, 94, 173},	// QDomImplementation::ReturnNullNode
    {20, 158, 167},	// QDomImplementation::createDocument$$#
    {20, 161, 166},	// QDomImplementation::createDocumentType$$$
    {20, 222, 165},	// QDomImplementation::hasFeature$$
    {20, 244, 168},	// QDomImplementation::invalidDataPolicy
    {20, 257, 170},	// QDomImplementation::isNull
    {20, 292, 164},	// QDomImplementation::operator!=#
    {20, 327, 162},	// QDomImplementation::operator=#
    {20, 329, 163},	// QDomImplementation::operator==#
    {20, 617, 169},	// QDomImplementation::setInvalidDataPolicy$
    {20, 739, 174},	// QDomImplementation::~QDomImplementation
    {21, 44, 175},	// QDomNamedNodeMap::QDomNamedNodeMap
    {21, 45, 176},	// QDomNamedNodeMap::QDomNamedNodeMap#
    {21, 146, 191},	// QDomNamedNodeMap::contains$
    {21, 148, 188},	// QDomNamedNodeMap::count
    {21, 253, 190},	// QDomNamedNodeMap::isEmpty
    {21, 263, 183},	// QDomNamedNodeMap::item$
    {21, 267, 187},	// QDomNamedNodeMap::length
    {21, 275, 180},	// QDomNamedNodeMap::namedItem$
    {21, 277, 184},	// QDomNamedNodeMap::namedItemNS$$
    {21, 292, 179},	// QDomNamedNodeMap::operator!=#
    {21, 327, 177},	// QDomNamedNodeMap::operator=#
    {21, 329, 178},	// QDomNamedNodeMap::operator==#
    {21, 552, 182},	// QDomNamedNodeMap::removeNamedItem$
    {21, 554, 186},	// QDomNamedNodeMap::removeNamedItemNS$$
    {21, 621, 181},	// QDomNamedNodeMap::setNamedItem#
    {21, 623, 185},	// QDomNamedNodeMap::setNamedItemNS#
    {21, 635, 189},	// QDomNamedNodeMap::size
    {21, 740, 192},	// QDomNamedNodeMap::~QDomNamedNodeMap
    {22, 2, 269},	// QDomNode::AttributeNode
    {22, 3, 280},	// QDomNode::BaseNode
    {22, 4, 271},	// QDomNode::CDATASectionNode
    {22, 5, 281},	// QDomNode::CharacterDataNode
    {22, 6, 275},	// QDomNode::CommentNode
    {22, 8, 278},	// QDomNode::DocumentFragmentNode
    {22, 9, 276},	// QDomNode::DocumentNode
    {22, 10, 277},	// QDomNode::DocumentTypeNode
    {22, 12, 268},	// QDomNode::ElementNode
    {22, 13, 282},	// QDomNode::EncodingFromDocument
    {22, 14, 283},	// QDomNode::EncodingFromTextStream
    {22, 17, 273},	// QDomNode::EntityNode
    {22, 18, 272},	// QDomNode::EntityReferenceNode
    {22, 19, 279},	// QDomNode::NotationNode
    {22, 20, 274},	// QDomNode::ProcessingInstructionNode
    {22, 46, 193},	// QDomNode::QDomNode
    {22, 47, 194},	// QDomNode::QDomNode#
    {22, 95, 270},	// QDomNode::TextNode
    {22, 115, 202},	// QDomNode::appendChild#
    {22, 132, 215},	// QDomNode::attributes
    {22, 137, 210},	// QDomNode::childNodes
    {22, 138, 239},	// QDomNode::clear
    {22, 139, 261},	// QDomNode::cloneNode
    {22, 140, 204},	// QDomNode::cloneNode$
    {22, 142, 260},	// QDomNode::columnNumber
    {22, 208, 211},	// QDomNode::firstChild
    {22, 209, 262},	// QDomNode::firstChildElement
    {22, 210, 255},	// QDomNode::firstChildElement$
    {22, 218, 219},	// QDomNode::hasAttributes
    {22, 219, 203},	// QDomNode::hasChildNodes
    {22, 227, 266},	// QDomNode::impl
    {22, 236, 199},	// QDomNode::insertAfter##
    {22, 238, 198},	// QDomNode::insertBefore##
    {22, 245, 224},	// QDomNode::isAttr
    {22, 246, 225},	// QDomNode::isCDATASection
    {22, 247, 235},	// QDomNode::isCharacterData
    {22, 248, 236},	// QDomNode::isComment
    {22, 249, 227},	// QDomNode::isDocument
    {22, 250, 226},	// QDomNode::isDocumentFragment
    {22, 251, 228},	// QDomNode::isDocumentType
    {22, 252, 229},	// QDomNode::isElement
    {22, 254, 232},	// QDomNode::isEntity
    {22, 255, 230},	// QDomNode::isEntityReference
    {22, 256, 233},	// QDomNode::isNotation
    {22, 257, 238},	// QDomNode::isNull
    {22, 258, 234},	// QDomNode::isProcessingInstruction
    {22, 260, 206},	// QDomNode::isSupported$$
    {22, 261, 231},	// QDomNode::isText
    {22, 264, 212},	// QDomNode::lastChild
    {22, 265, 263},	// QDomNode::lastChildElement
    {22, 266, 256},	// QDomNode::lastChildElement$
    {22, 269, 259},	// QDomNode::lineNumber
    {22, 270, 218},	// QDomNode::localName
    {22, 275, 237},	// QDomNode::namedItem$
    {22, 278, 217},	// QDomNode::namespaceURI
    {22, 280, 214},	// QDomNode::nextSibling
    {22, 281, 265},	// QDomNode::nextSiblingElement
    {22, 282, 258},	// QDomNode::nextSiblingElement$
    {22, 283, 207},	// QDomNode::nodeName
    {22, 284, 208},	// QDomNode::nodeType
    {22, 285, 220},	// QDomNode::nodeValue
    {22, 286, 205},	// QDomNode::normalize
    {22, 292, 197},	// QDomNode::operator!=#
    {22, 327, 195},	// QDomNode::operator=#
    {22, 329, 196},	// QDomNode::operator==#
    {22, 353, 216},	// QDomNode::ownerDocument
    {22, 355, 209},	// QDomNode::parentNode
    {22, 361, 222},	// QDomNode::prefix
    {22, 365, 213},	// QDomNode::previousSibling
    {22, 366, 264},	// QDomNode::previousSiblingElement
    {22, 367, 257},	// QDomNode::previousSiblingElement$
    {22, 550, 201},	// QDomNode::removeChild#
    {22, 556, 200},	// QDomNode::replaceChild##
    {22, 563, 253},	// QDomNode::save#$
    {22, 564, 254},	// QDomNode::save#$$
    {22, 615, 267},	// QDomNode::setImpl#
    {22, 625, 221},	// QDomNode::setNodeValue$
    {22, 627, 223},	// QDomNode::setPrefix$
    {22, 659, 240},	// QDomNode::toAttr
    {22, 662, 241},	// QDomNode::toCDATASection
    {22, 663, 251},	// QDomNode::toCharacterData
    {22, 664, 252},	// QDomNode::toComment
    {22, 665, 243},	// QDomNode::toDocument
    {22, 666, 242},	// QDomNode::toDocumentFragment
    {22, 667, 244},	// QDomNode::toDocumentType
    {22, 668, 245},	// QDomNode::toElement
    {22, 669, 248},	// QDomNode::toEntity
    {22, 670, 246},	// QDomNode::toEntityReference
    {22, 671, 249},	// QDomNode::toNotation
    {22, 672, 250},	// QDomNode::toProcessingInstruction
    {22, 675, 247},	// QDomNode::toText
    {22, 741, 284},	// QDomNode::~QDomNode
    {23, 48, 285},	// QDomNodeList::QDomNodeList
    {23, 49, 286},	// QDomNodeList::QDomNodeList#
    {23, 119, 291},	// QDomNodeList::at$
    {23, 148, 293},	// QDomNodeList::count
    {23, 253, 295},	// QDomNodeList::isEmpty
    {23, 263, 290},	// QDomNodeList::item$
    {23, 267, 292},	// QDomNodeList::length
    {23, 292, 289},	// QDomNodeList::operator!=#
    {23, 327, 287},	// QDomNodeList::operator=#
    {23, 329, 288},	// QDomNodeList::operator==#
    {23, 635, 294},	// QDomNodeList::size
    {23, 742, 296},	// QDomNodeList::~QDomNodeList
    {25, 50, 297},	// QDomNotation::QDomNotation
    {25, 51, 298},	// QDomNotation::QDomNotation#
    {25, 284, 302},	// QDomNotation::nodeType
    {25, 327, 299},	// QDomNotation::operator=#
    {25, 375, 300},	// QDomNotation::publicId
    {25, 655, 301},	// QDomNotation::systemId
    {25, 743, 303},	// QDomNotation::~QDomNotation
    {26, 52, 304},	// QDomProcessingInstruction::QDomProcessingInstruction
    {26, 53, 305},	// QDomProcessingInstruction::QDomProcessingInstruction#
    {26, 172, 308},	// QDomProcessingInstruction::data
    {26, 284, 310},	// QDomProcessingInstruction::nodeType
    {26, 327, 306},	// QDomProcessingInstruction::operator=#
    {26, 601, 309},	// QDomProcessingInstruction::setData$
    {26, 657, 307},	// QDomProcessingInstruction::target
    {26, 744, 311},	// QDomProcessingInstruction::~QDomProcessingInstruction
    {27, 54, 312},	// QDomText::QDomText
    {27, 55, 313},	// QDomText::QDomText#
    {27, 284, 316},	// QDomText::nodeType
    {27, 327, 314},	// QDomText::operator=#
    {27, 642, 315},	// QDomText::splitText$
    {27, 745, 317},	// QDomText::~QDomText
    {29, 89, 737},	// QGlobalSpace::QtCriticalMsg
    {29, 90, 735},	// QGlobalSpace::QtDebugMsg
    {29, 91, 738},	// QGlobalSpace::QtFatalMsg
    {29, 92, 739},	// QGlobalSpace::QtSystemMsg
    {29, 93, 736},	// QGlobalSpace::QtWarningMsg
    {29, 96, 734},	// QGlobalSpace::_ISalnum
    {29, 97, 725},	// QGlobalSpace::_ISalpha
    {29, 98, 731},	// QGlobalSpace::_ISblank
    {29, 99, 732},	// QGlobalSpace::_IScntrl
    {29, 100, 726},	// QGlobalSpace::_ISdigit
    {29, 101, 730},	// QGlobalSpace::_ISgraph
    {29, 102, 724},	// QGlobalSpace::_ISlower
    {29, 103, 729},	// QGlobalSpace::_ISprint
    {29, 104, 733},	// QGlobalSpace::_ISpunct
    {29, 105, 728},	// QGlobalSpace::_ISspace
    {29, 106, 723},	// QGlobalSpace::_ISupper
    {29, 107, 727},	// QGlobalSpace::_ISxdigit
    {29, 108, 742},	// QGlobalSpace::__codecvt_error
    {29, 109, 743},	// QGlobalSpace::__codecvt_noconv
    {29, 110, 740},	// QGlobalSpace::__codecvt_ok
    {29, 111, 741},	// QGlobalSpace::__codecvt_partial
    {29, 293, -25},	// QGlobalSpace::operator!=##
    {29, 294, -42},	// QGlobalSpace::operator!=#$
    {29, 295, -48},	// QGlobalSpace::operator!=$#
    {29, 296, 524},	// QGlobalSpace::operator!=$$
    {29, 298, 318},	// QGlobalSpace::operator&##
    {29, 300, -55},	// QGlobalSpace::operator*#$
    {29, 301, -60},	// QGlobalSpace::operator*$#
    {29, 303, -65},	// QGlobalSpace::operator+##
    {29, 304, -71},	// QGlobalSpace::operator+#$
    {29, 305, -76},	// QGlobalSpace::operator+$#
    {29, 306, -81},	// QGlobalSpace::operator+$$
    {29, 308, -87},	// QGlobalSpace::operator-#
    {29, 309, -90},	// QGlobalSpace::operator-##
    {29, 311, -95},	// QGlobalSpace::operator/#$
    {29, 313, -100},	// QGlobalSpace::operator<##
    {29, 314, 390},	// QGlobalSpace::operator<#$
    {29, 315, -105},	// QGlobalSpace::operator<$#
    {29, 316, 523},	// QGlobalSpace::operator<$$
    {29, 318, -108},	// QGlobalSpace::operator<<##
    {29, 319, -151},	// QGlobalSpace::operator<<#$
    {29, 320, 382},	// QGlobalSpace::operator<<#?
    {29, 322, -157},	// QGlobalSpace::operator<=##
    {29, 323, 489},	// QGlobalSpace::operator<=#$
    {29, 324, -162},	// QGlobalSpace::operator<=$#
    {29, 325, 417},	// QGlobalSpace::operator<=$$
    {29, 330, -165},	// QGlobalSpace::operator==##
    {29, 331, -183},	// QGlobalSpace::operator==#$
    {29, 332, -189},	// QGlobalSpace::operator==$#
    {29, 333, 679},	// QGlobalSpace::operator==$$
    {29, 335, -196},	// QGlobalSpace::operator>##
    {29, 336, 634},	// QGlobalSpace::operator>#$
    {29, 337, -201},	// QGlobalSpace::operator>$#
    {29, 338, 631},	// QGlobalSpace::operator>$$
    {29, 340, -204},	// QGlobalSpace::operator>=##
    {29, 341, 571},	// QGlobalSpace::operator>=#$
    {29, 342, -209},	// QGlobalSpace::operator>=$#
    {29, 343, 688},	// QGlobalSpace::operator>=$$
    {29, 345, -212},	// QGlobalSpace::operator>>##
    {29, 346, -234},	// QGlobalSpace::operator>>#$
    {29, 347, 611},	// QGlobalSpace::operator>>#?
    {29, 349, 498},	// QGlobalSpace::operator^##
    {29, 351, 532},	// QGlobalSpace::operator|##
    {29, 352, -237},	// QGlobalSpace::operator|$$
    {29, 378, 508},	// QGlobalSpace::qAcos$
    {29, 380, 482},	// QGlobalSpace::qAddPostRoutine$
    {29, 381, 467},	// QGlobalSpace::qAppName
    {29, 383, 587},	// QGlobalSpace::qAsin$
    {29, 385, 370},	// QGlobalSpace::qAtan$
    {29, 387, 475},	// QGlobalSpace::qAtan2$$
    {29, 388, 713},	// QGlobalSpace::qBadAlloc
    {29, 390, 349},	// QGlobalSpace::qCeil$
    {29, 392, 499},	// QGlobalSpace::qChecksum$$
    {29, 394, 479},	// QGlobalSpace::qCompress#
    {29, 395, 478},	// QGlobalSpace::qCompress#$
    {29, 396, 650},	// QGlobalSpace::qCompress$$
    {29, 397, 649},	// QGlobalSpace::qCompress$$$
    {29, 399, 381},	// QGlobalSpace::qCos$
    {29, 400, 319},	// QGlobalSpace::qCritical
    {29, 401, 654},	// QGlobalSpace::qDebug
    {29, 403, 486},	// QGlobalSpace::qExp$
    {29, 405, 334},	// QGlobalSpace::qFabs$
    {29, 407, 680},	// QGlobalSpace::qFastCos$
    {29, 409, 703},	// QGlobalSpace::qFastSin$
    {29, 411, 569},	// QGlobalSpace::qFlagLocation$
    {29, 413, 556},	// QGlobalSpace::qFloor$
    {29, 415, 638},	// QGlobalSpace::qFree$
    {29, 417, 449},	// QGlobalSpace::qFreeAligned$
    {29, 419, -325},	// QGlobalSpace::qFuzzyCompare$$
    {29, 421, -328},	// QGlobalSpace::qFuzzyIsNull$
    {29, 423, -331},	// QGlobalSpace::qHash#
    {29, 424, -339},	// QGlobalSpace::qHash$
    {29, 425, 576},	// QGlobalSpace::qInf
    {29, 427, 436},	// QGlobalSpace::qInstallMsgHandler$
    {29, 429, -352},	// QGlobalSpace::qIntCast$
    {29, 431, -355},	// QGlobalSpace::qIsFinite$
    {29, 433, -358},	// QGlobalSpace::qIsInf$
    {29, 435, -361},	// QGlobalSpace::qIsNaN$
    {29, 437, -364},	// QGlobalSpace::qIsNull$
    {29, 439, 610},	// QGlobalSpace::qLn$
    {29, 441, 717},	// QGlobalSpace::qMalloc$
    {29, 443, 646},	// QGlobalSpace::qMallocAligned$$
    {29, 445, 570},	// QGlobalSpace::qMemCopy$$$
    {29, 447, 474},	// QGlobalSpace::qMemSet$$$
    {29, 451, 668},	// QGlobalSpace::qPow$$
    {29, 452, 338},	// QGlobalSpace::qQNaN
    {29, 454, 520},	// QGlobalSpace::qRealloc$$
    {29, 456, 459},	// QGlobalSpace::qReallocAligned$$$$
    {29, 458, 375},	// QGlobalSpace::qRegisterStaticPluginInstanceFunction#
    {29, 460, 567},	// QGlobalSpace::qRemovePostRoutine$
    {29, 462, 528},	// QGlobalSpace::qRound$
    {29, 464, 643},	// QGlobalSpace::qRound64$
    {29, 465, 696},	// QGlobalSpace::qSNaN
    {29, 467, 599},	// QGlobalSpace::qSetFieldWidth$
    {29, 469, 431},	// QGlobalSpace::qSetPadChar#
    {29, 471, 584},	// QGlobalSpace::qSetRealNumberPrecision$
    {29, 472, 434},	// QGlobalSpace::qSharedBuild
    {29, 474, 586},	// QGlobalSpace::qSin$
    {29, 476, 548},	// QGlobalSpace::qSqrt$
    {29, 478, 456},	// QGlobalSpace::qStringComparisonHelper#$
    {29, 479, 673},	// QGlobalSpace::qStringComparisonHelper$$
    {29, 481, 658},	// QGlobalSpace::qTan$
    {29, 483, 580},	// QGlobalSpace::qUncompress#
    {29, 484, 699},	// QGlobalSpace::qUncompress$$
    {29, 485, 341},	// QGlobalSpace::qVersion
    {29, 486, 394},	// QGlobalSpace::qWarning
    {29, 488, 371},	// QGlobalSpace::qbswap_helper$$$
    {29, 490, 589},	// QGlobalSpace::qgcvt$$$
    {29, 492, 504},	// QGlobalSpace::qgetenv$
    {29, 494, 453},	// QGlobalSpace::qputenv$#
    {29, 495, 350},	// QGlobalSpace::qrand
    {29, 497, 632},	// QGlobalSpace::qsort$$$?
    {29, 499, 384},	// QGlobalSpace::qsrand$
    {29, 501, 430},	// QGlobalSpace::qstrcmp##
    {29, 502, 432},	// QGlobalSpace::qstrcmp#$
    {29, 503, 656},	// QGlobalSpace::qstrcmp$#
    {29, 504, 549},	// QGlobalSpace::qstrcmp$$
    {29, 506, 332},	// QGlobalSpace::qstrcpy$$
    {29, 508, 652},	// QGlobalSpace::qstrdup$
    {29, 510, 588},	// QGlobalSpace::qstricmp$$
    {29, 512, 612},	// QGlobalSpace::qstrlen$
    {29, 514, 457},	// QGlobalSpace::qstrncmp$$$
    {29, 516, 513},	// QGlobalSpace::qstrncpy$$$
    {29, 518, 423},	// QGlobalSpace::qstrnicmp$$$
    {29, 520, 554},	// QGlobalSpace::qstrnlen$$
    {29, 522, 709},	// QGlobalSpace::qtTrId$
    {29, 523, 708},	// QGlobalSpace::qtTrId$$
    {29, 525, 322},	// QGlobalSpace::qt_assert$$$
    {29, 527, 522},	// QGlobalSpace::qt_assert_x$$$$
    {29, 529, 426},	// QGlobalSpace::qt_check_pointer$$
    {29, 530, 518},	// QGlobalSpace::qt_error_string
    {29, 531, 517},	// QGlobalSpace::qt_error_string$
    {29, 533, 677},	// QGlobalSpace::qt_message_output$$
    {29, 534, 596},	// QGlobalSpace::qt_noop
    {29, 536, 438},	// QGlobalSpace::qt_qFindChild_helper#$#
    {29, 538, 629},	// QGlobalSpace::qt_qFindChildren_helper#$##?
    {29, 540, 372},	// QGlobalSpace::qvariant_cast_helper#$$
    {29, 542, 593},	// QGlobalSpace::qvsnprintf$$$?
    {59, 56, 744},	// QXmlAttributes::QXmlAttributes
    {59, 57, 762},	// QXmlAttributes::QXmlAttributes#
    {59, 113, 761},	// QXmlAttributes::append$$$$
    {59, 138, 760},	// QXmlAttributes::clear
    {59, 148, 749},	// QXmlAttributes::count
    {59, 232, 746},	// QXmlAttributes::index#
    {59, 233, 745},	// QXmlAttributes::index$
    {59, 234, 747},	// QXmlAttributes::index$$
    {59, 267, 748},	// QXmlAttributes::length
    {59, 271, 750},	// QXmlAttributes::localName$
    {59, 449, 751},	// QXmlAttributes::qName$
    {59, 677, -16},	// QXmlAttributes::type$
    {59, 678, 755},	// QXmlAttributes::type$$
    {59, 682, 752},	// QXmlAttributes::uri$
    {59, 684, 758},	// QXmlAttributes::value#
    {59, 685, -19},	// QXmlAttributes::value$
    {59, 686, 759},	// QXmlAttributes::value$$
    {59, 746, 763},	// QXmlAttributes::~QXmlAttributes
    {60, 58, 776},	// QXmlContentHandler::QXmlContentHandler
    {60, 59, 777},	// QXmlContentHandler::QXmlContentHandler#
    {60, 136, 771},	// QXmlContentHandler::characters$
    {60, 187, 766},	// QXmlContentHandler::endDocument
    {60, 189, 770},	// QXmlContentHandler::endElement$$$
    {60, 193, 768},	// QXmlContentHandler::endPrefixMapping$
    {60, 199, 775},	// QXmlContentHandler::errorString
    {60, 226, 772},	// QXmlContentHandler::ignorableWhitespace$
    {60, 371, 773},	// QXmlContentHandler::processingInstruction$$
    {60, 607, 764},	// QXmlContentHandler::setDocumentLocator#
    {60, 637, 774},	// QXmlContentHandler::skippedEntity$
    {60, 646, 765},	// QXmlContentHandler::startDocument
    {60, 648, 769},	// QXmlContentHandler::startElement$$$#
    {60, 652, 767},	// QXmlContentHandler::startPrefixMapping$$
    {60, 747, 778},	// QXmlContentHandler::~QXmlContentHandler
    {61, 60, 782},	// QXmlDTDHandler::QXmlDTDHandler
    {61, 61, 783},	// QXmlDTDHandler::QXmlDTDHandler#
    {61, 199, 781},	// QXmlDTDHandler::errorString
    {61, 288, 779},	// QXmlDTDHandler::notationDecl$$$
    {61, 680, 780},	// QXmlDTDHandler::unparsedEntityDecl$$$$
    {61, 748, 784},	// QXmlDTDHandler::~QXmlDTDHandler
    {62, 62, 789},	// QXmlDeclHandler::QXmlDeclHandler
    {62, 63, 790},	// QXmlDeclHandler::QXmlDeclHandler#
    {62, 124, 785},	// QXmlDeclHandler::attributeDecl$$$$$
    {62, 199, 788},	// QXmlDeclHandler::errorString
    {62, 201, 787},	// QXmlDeclHandler::externalEntityDecl$$$
    {62, 242, 786},	// QXmlDeclHandler::internalEntityDecl$$
    {62, 749, 791},	// QXmlDeclHandler::~QXmlDeclHandler
    {63, 64, 792},	// QXmlDefaultHandler::QXmlDefaultHandler
    {63, 124, 817},	// QXmlDefaultHandler::attributeDecl$$$$$
    {63, 136, 800},	// QXmlDefaultHandler::characters$
    {63, 144, 816},	// QXmlDefaultHandler::comment$
    {63, 185, 815},	// QXmlDefaultHandler::endCDATA
    {63, 186, 811},	// QXmlDefaultHandler::endDTD
    {63, 187, 795},	// QXmlDefaultHandler::endDocument
    {63, 189, 799},	// QXmlDefaultHandler::endElement$$$
    {63, 191, 813},	// QXmlDefaultHandler::endEntity$
    {63, 193, 797},	// QXmlDefaultHandler::endPrefixMapping$
    {63, 197, 805},	// QXmlDefaultHandler::error#
    {63, 199, 820},	// QXmlDefaultHandler::errorString
    {63, 201, 819},	// QXmlDefaultHandler::externalEntityDecl$$$
    {63, 203, 806},	// QXmlDefaultHandler::fatalError#
    {63, 226, 801},	// QXmlDefaultHandler::ignorableWhitespace$
    {63, 242, 818},	// QXmlDefaultHandler::internalEntityDecl$$
    {63, 288, 807},	// QXmlDefaultHandler::notationDecl$$$
    {63, 371, 802},	// QXmlDefaultHandler::processingInstruction$$
    {63, 561, 809},	// QXmlDefaultHandler::resolveEntity$$#
    {63, 607, 793},	// QXmlDefaultHandler::setDocumentLocator#
    {63, 637, 803},	// QXmlDefaultHandler::skippedEntity$
    {63, 643, 814},	// QXmlDefaultHandler::startCDATA
    {63, 645, 810},	// QXmlDefaultHandler::startDTD$$$
    {63, 646, 794},	// QXmlDefaultHandler::startDocument
    {63, 648, 798},	// QXmlDefaultHandler::startElement$$$#
    {63, 650, 812},	// QXmlDefaultHandler::startEntity$
    {63, 652, 796},	// QXmlDefaultHandler::startPrefixMapping$$
    {63, 680, 808},	// QXmlDefaultHandler::unparsedEntityDecl$$$$
    {63, 688, 804},	// QXmlDefaultHandler::warning#
    {63, 750, 821},	// QXmlDefaultHandler::~QXmlDefaultHandler
    {64, 65, 824},	// QXmlEntityResolver::QXmlEntityResolver
    {64, 66, 825},	// QXmlEntityResolver::QXmlEntityResolver#
    {64, 199, 823},	// QXmlEntityResolver::errorString
    {64, 561, 822},	// QXmlEntityResolver::resolveEntity$$#
    {64, 751, 826},	// QXmlEntityResolver::~QXmlEntityResolver
    {65, 67, 831},	// QXmlErrorHandler::QXmlErrorHandler
    {65, 68, 832},	// QXmlErrorHandler::QXmlErrorHandler#
    {65, 197, 828},	// QXmlErrorHandler::error#
    {65, 199, 830},	// QXmlErrorHandler::errorString
    {65, 203, 829},	// QXmlErrorHandler::fatalError#
    {65, 688, 827},	// QXmlErrorHandler::warning#
    {65, 752, 833},	// QXmlErrorHandler::~QXmlErrorHandler
    {66, 15, 845},	// QXmlInputSource::EndOfData
    {66, 16, 846},	// QXmlInputSource::EndOfDocument
    {66, 69, 834},	// QXmlInputSource::QXmlInputSource
    {66, 70, -410},	// QXmlInputSource::QXmlInputSource#
    {66, 172, 839},	// QXmlInputSource::data
    {66, 207, 838},	// QXmlInputSource::fetchData
    {66, 212, 844},	// QXmlInputSource::fromRawData#
    {66, 213, 842},	// QXmlInputSource::fromRawData#$
    {66, 279, 840},	// QXmlInputSource::next
    {66, 559, 841},	// QXmlInputSource::reset
    {66, 600, 837},	// QXmlInputSource::setData#
    {66, 601, 836},	// QXmlInputSource::setData$
    {66, 753, 847},	// QXmlInputSource::~QXmlInputSource
    {67, 71, 856},	// QXmlLexicalHandler::QXmlLexicalHandler
    {67, 72, 857},	// QXmlLexicalHandler::QXmlLexicalHandler#
    {67, 144, 854},	// QXmlLexicalHandler::comment$
    {67, 185, 853},	// QXmlLexicalHandler::endCDATA
    {67, 186, 849},	// QXmlLexicalHandler::endDTD
    {67, 191, 851},	// QXmlLexicalHandler::endEntity$
    {67, 199, 855},	// QXmlLexicalHandler::errorString
    {67, 643, 852},	// QXmlLexicalHandler::startCDATA
    {67, 645, 848},	// QXmlLexicalHandler::startDTD$$$
    {67, 650, 850},	// QXmlLexicalHandler::startEntity$
    {67, 754, 858},	// QXmlLexicalHandler::~QXmlLexicalHandler
    {68, 73, 859},	// QXmlLocator::QXmlLocator
    {68, 74, 862},	// QXmlLocator::QXmlLocator#
    {68, 142, 860},	// QXmlLocator::columnNumber
    {68, 269, 861},	// QXmlLocator::lineNumber
    {68, 755, 863},	// QXmlLocator::~QXmlLocator
    {69, 75, 864},	// QXmlNamespaceSupport::QXmlNamespaceSupport
    {69, 360, 873},	// QXmlNamespaceSupport::popContext
    {69, 362, 866},	// QXmlNamespaceSupport::prefix$
    {69, 363, 870},	// QXmlNamespaceSupport::prefixes
    {69, 364, 871},	// QXmlNamespaceSupport::prefixes$
    {69, 369, 869},	// QXmlNamespaceSupport::processName$$$$
    {69, 376, 872},	// QXmlNamespaceSupport::pushContext
    {69, 559, 874},	// QXmlNamespaceSupport::reset
    {69, 628, 865},	// QXmlNamespaceSupport::setPrefix$$
    {69, 640, 868},	// QXmlNamespaceSupport::splitName$$$
    {69, 682, 867},	// QXmlNamespaceSupport::uri$
    {69, 756, 875},	// QXmlNamespaceSupport::~QXmlNamespaceSupport
    {70, 76, 883},	// QXmlParseException::QXmlParseException
    {70, 77, 877},	// QXmlParseException::QXmlParseException#
    {70, 78, 884},	// QXmlParseException::QXmlParseException$
    {70, 79, 885},	// QXmlParseException::QXmlParseException$$
    {70, 80, 886},	// QXmlParseException::QXmlParseException$$$
    {70, 81, 887},	// QXmlParseException::QXmlParseException$$$$
    {70, 82, 876},	// QXmlParseException::QXmlParseException$$$$$
    {70, 142, 878},	// QXmlParseException::columnNumber
    {70, 269, 879},	// QXmlParseException::lineNumber
    {70, 272, 882},	// QXmlParseException::message
    {70, 375, 880},	// QXmlParseException::publicId
    {70, 655, 881},	// QXmlParseException::systemId
    {70, 757, 888},	// QXmlParseException::~QXmlParseException
    {71, 7, 898},	// QXmlReader::DTDHandler
    {71, 83, 909},	// QXmlReader::QXmlReader
    {71, 84, 910},	// QXmlReader::QXmlReader#
    {71, 147, 900},	// QXmlReader::contentHandler
    {71, 173, 906},	// QXmlReader::declHandler
    {71, 195, 896},	// QXmlReader::entityResolver
    {71, 198, 902},	// QXmlReader::errorHandler
    {71, 205, 911},	// QXmlReader::feature$
    {71, 206, 889},	// QXmlReader::feature$$
    {71, 221, 891},	// QXmlReader::hasFeature$
    {71, 224, 894},	// QXmlReader::hasProperty$
    {71, 268, 904},	// QXmlReader::lexicalHandler
    {71, 357, -22},	// QXmlReader::parse#
    {71, 373, 912},	// QXmlReader::property$
    {71, 374, 892},	// QXmlReader::property$$
    {71, 596, 899},	// QXmlReader::setContentHandler#
    {71, 598, 897},	// QXmlReader::setDTDHandler#
    {71, 603, 905},	// QXmlReader::setDeclHandler#
    {71, 609, 895},	// QXmlReader::setEntityResolver#
    {71, 611, 901},	// QXmlReader::setErrorHandler#
    {71, 613, 890},	// QXmlReader::setFeature$$
    {71, 619, 903},	// QXmlReader::setLexicalHandler#
    {71, 630, 893},	// QXmlReader::setProperty$$
    {71, 758, 913},	// QXmlReader::~QXmlReader
    {72, 7, 924},	// QXmlSimpleReader::DTDHandler
    {72, 85, 914},	// QXmlSimpleReader::QXmlSimpleReader
    {72, 147, 926},	// QXmlSimpleReader::contentHandler
    {72, 173, 932},	// QXmlSimpleReader::declHandler
    {72, 195, 922},	// QXmlSimpleReader::entityResolver
    {72, 198, 928},	// QXmlSimpleReader::errorHandler
    {72, 205, 937},	// QXmlSimpleReader::feature$
    {72, 206, 915},	// QXmlSimpleReader::feature$$
    {72, 221, 917},	// QXmlSimpleReader::hasFeature$
    {72, 224, 920},	// QXmlSimpleReader::hasProperty$
    {72, 268, 930},	// QXmlSimpleReader::lexicalHandler
    {72, 357, -370},	// QXmlSimpleReader::parse#
    {72, 358, 935},	// QXmlSimpleReader::parse#$
    {72, 359, 936},	// QXmlSimpleReader::parseContinue
    {72, 373, 938},	// QXmlSimpleReader::property$
    {72, 374, 918},	// QXmlSimpleReader::property$$
    {72, 596, 925},	// QXmlSimpleReader::setContentHandler#
    {72, 598, 923},	// QXmlSimpleReader::setDTDHandler#
    {72, 603, 931},	// QXmlSimpleReader::setDeclHandler#
    {72, 609, 921},	// QXmlSimpleReader::setEntityResolver#
    {72, 611, 927},	// QXmlSimpleReader::setErrorHandler#
    {72, 613, 916},	// QXmlSimpleReader::setFeature$$
    {72, 619, 929},	// QXmlSimpleReader::setLexicalHandler#
    {72, 630, 919},	// QXmlSimpleReader::setProperty$$
    {72, 759, 939},	// QXmlSimpleReader::~QXmlSimpleReader
    {76, 86, 940},	// QXmlStreamWriter::QXmlStreamWriter
    {76, 87, -367},	// QXmlStreamWriter::QXmlStreamWriter#
    {76, 88, 943},	// QXmlStreamWriter::QXmlStreamWriter$
    {76, 133, 950},	// QXmlStreamWriter::autoFormatting
    {76, 134, 952},	// QXmlStreamWriter::autoFormattingIndent
    {76, 141, 948},	// QXmlStreamWriter::codec
    {76, 176, 945},	// QXmlStreamWriter::device
    {76, 574, 949},	// QXmlStreamWriter::setAutoFormatting$
    {76, 576, 951},	// QXmlStreamWriter::setAutoFormattingIndent$
    {76, 578, 946},	// QXmlStreamWriter::setCodec#
    {76, 579, 947},	// QXmlStreamWriter::setCodec$
    {76, 605, 944},	// QXmlStreamWriter::setDevice#
    {76, 690, 955},	// QXmlStreamWriter::writeAttribute#
    {76, 691, 953},	// QXmlStreamWriter::writeAttribute$$
    {76, 692, 954},	// QXmlStreamWriter::writeAttribute$$$
    {76, 694, 956},	// QXmlStreamWriter::writeAttributes#
    {76, 696, 957},	// QXmlStreamWriter::writeCDATA$
    {76, 698, 958},	// QXmlStreamWriter::writeCharacters$
    {76, 700, 959},	// QXmlStreamWriter::writeComment$
    {76, 702, 976},	// QXmlStreamWriter::writeCurrentToken#
    {76, 704, 960},	// QXmlStreamWriter::writeDTD$
    {76, 706, 969},	// QXmlStreamWriter::writeDefaultNamespace$
    {76, 708, 961},	// QXmlStreamWriter::writeEmptyElement$
    {76, 709, 962},	// QXmlStreamWriter::writeEmptyElement$$
    {76, 710, 965},	// QXmlStreamWriter::writeEndDocument
    {76, 711, 966},	// QXmlStreamWriter::writeEndElement
    {76, 713, 967},	// QXmlStreamWriter::writeEntityReference$
    {76, 715, 977},	// QXmlStreamWriter::writeNamespace$
    {76, 716, 968},	// QXmlStreamWriter::writeNamespace$$
    {76, 718, 978},	// QXmlStreamWriter::writeProcessingInstruction$
    {76, 719, 970},	// QXmlStreamWriter::writeProcessingInstruction$$
    {76, 720, 971},	// QXmlStreamWriter::writeStartDocument
    {76, 721, 972},	// QXmlStreamWriter::writeStartDocument$
    {76, 722, 973},	// QXmlStreamWriter::writeStartDocument$$
    {76, 724, 974},	// QXmlStreamWriter::writeStartElement$
    {76, 725, 975},	// QXmlStreamWriter::writeStartElement$$
    {76, 727, 963},	// QXmlStreamWriter::writeTextElement$$
    {76, 728, 964},	// QXmlStreamWriter::writeTextElement$$$
    {76, 760, 979},	// QXmlStreamWriter::~QXmlStreamWriter
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();

static bool initialized = false;
Smoke *qtxml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtxml_Smoke() {
    init_qtcore_Smoke();
    if (initialized) return;
    qtxml_Smoke = new Smoke(
        "qtxml",
        __smokeqtxml::classes, 76,
        __smokeqtxml::methods, 980,
        __smokeqtxml::methodMaps, 676,
        __smokeqtxml::methodNames, 760,
        __smokeqtxml::types, 336,
        __smokeqtxml::inheritanceList,
        __smokeqtxml::argumentList,
        __smokeqtxml::ambiguousMethodList,
        __smokeqtxml::cast );
    initialized = true;
}

void delete_qtxml_Smoke() { delete qtxml_Smoke; }

}
